#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ahci_platform_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_phys, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_phys, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_find_clk, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_clks, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_clks, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_deassert_rsts, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_assert_rsts, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_regulators, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_regulators, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_get_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_init_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_shutdown, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_suspend_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_resume_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_suspend, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_resume, "_gpl", "");

SYMBOL_CRC(ahci_platform_ops, 0xa4f10554, "_gpl");
SYMBOL_CRC(ahci_platform_enable_phys, 0x66feeb7f, "_gpl");
SYMBOL_CRC(ahci_platform_disable_phys, 0x6a020c07, "_gpl");
SYMBOL_CRC(ahci_platform_find_clk, 0x1e7cef7d, "_gpl");
SYMBOL_CRC(ahci_platform_enable_clks, 0x2679b025, "_gpl");
SYMBOL_CRC(ahci_platform_disable_clks, 0x2a85575d, "_gpl");
SYMBOL_CRC(ahci_platform_deassert_rsts, 0x081b58a4, "_gpl");
SYMBOL_CRC(ahci_platform_assert_rsts, 0xbdd9179f, "_gpl");
SYMBOL_CRC(ahci_platform_enable_regulators, 0x410682f1, "_gpl");
SYMBOL_CRC(ahci_platform_disable_regulators, 0xf92946e9, "_gpl");
SYMBOL_CRC(ahci_platform_enable_resources, 0x054f6290, "_gpl");
SYMBOL_CRC(ahci_platform_disable_resources, 0x972e75a7, "_gpl");
SYMBOL_CRC(ahci_platform_get_resources, 0x6c6a7dfd, "_gpl");
SYMBOL_CRC(ahci_platform_init_host, 0x2ebe908e, "_gpl");
SYMBOL_CRC(ahci_platform_shutdown, 0x72a69daf, "_gpl");
SYMBOL_CRC(ahci_platform_suspend_host, 0x185222a4, "_gpl");
SYMBOL_CRC(ahci_platform_resume_host, 0xf9d61404, "_gpl");
SYMBOL_CRC(ahci_platform_suspend, 0x7ed7ec36, "_gpl");
SYMBOL_CRC(ahci_platform_resume, 0xf2d9e941, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x37a0cba, "kfree" },
	{ 0xe733d41b, "__pm_runtime_idle" },
	{ 0x308ad3c, "__pm_runtime_disable" },
	{ 0xa5d2f423, "ata_host_suspend" },
	{ 0xb853f55d, "_dev_err" },
	{ 0x47d3c349, "platform_get_irq" },
	{ 0x2a6e14ba, "ahci_save_initial_config" },
	{ 0x1192cdee, "ahci_set_em_messages" },
	{ 0xd5a1aec0, "ata_host_alloc_pinfo" },
	{ 0x76db4385, "platform_get_resource" },
	{ 0xf6648b69, "ata_port_desc" },
	{ 0xb2b42bc2, "ata_dummy_port_ops" },
	{ 0x928e024a, "ahci_reset_controller" },
	{ 0xea50dad3, "ahci_ignore_sss" },
	{ 0x591b192f, "_dev_info" },
	{ 0xe5c61c62, "ahci_reset_em" },
	{ 0xbe5cb455, "ahci_init_controller" },
	{ 0xa5bfd49a, "ahci_print_info" },
	{ 0x9f731e4a, "ahci_host_activate" },
	{ 0x4396602e, "dma_set_mask" },
	{ 0xa5aa685b, "dma_set_coherent_mask" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xaae346f2, "devres_open_group" },
	{ 0x9a510220, "__devres_alloc_node" },
	{ 0xef8591fd, "devres_add" },
	{ 0x2aeffe0b, "platform_get_resource_byname" },
	{ 0x6a9ec7d2, "devm_platform_ioremap_resource_byname" },
	{ 0xf26b18db, "devm_clk_bulk_get_all" },
	{ 0xfc6ec21f, "devm_kmalloc" },
	{ 0xaec842d6, "devres_release_group" },
	{ 0x55c5f42, "devm_platform_ioremap_resource" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x631da867, "pm_runtime_enable" },
	{ 0xa0c04ee5, "__pm_runtime_resume" },
	{ 0x7852e4be, "devres_remove_group" },
	{ 0x754653cc, "devm_clk_get_optional" },
	{ 0xaaec0a78, "devm_reset_control_array_get" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x5d2bc42a, "reset_control_rearm" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0x5a5e8d39, "ata_host_resume" },
	{ 0xb512f731, "__pm_runtime_set_status" },
	{ 0xe95666dd, "ahci_ops" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "libata,libahci");


MODULE_INFO(srcversion, "ED738B00998294F6C68F3EE");
