#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mhi_register_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_unregister_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_alloc_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_free_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_after_power_down, "_gpl", "");
KSYMTAB_FUNC(__mhi_driver_register, "_gpl", "");
KSYMTAB_FUNC(mhi_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(mhi_get_exec_env, "_gpl", "");
KSYMTAB_FUNC(mhi_get_mhi_state, "_gpl", "");
KSYMTAB_FUNC(mhi_soc_reset, "_gpl", "");
KSYMTAB_FUNC(mhi_get_free_desc_count, "_gpl", "");
KSYMTAB_FUNC(mhi_notify, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_skb, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_dma, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_buf, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_is_full, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer_autoqueue, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_from_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_suspend, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume_force, "_gpl", "");
KSYMTAB_FUNC(mhi_async_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_power_down, "_gpl", "");
KSYMTAB_FUNC(mhi_sync_power_up, "", "");
KSYMTAB_FUNC(mhi_force_rddm_mode, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get_sync, "_gpl", "");
KSYMTAB_FUNC(mhi_device_put, "_gpl", "");
KSYMTAB_FUNC(mhi_download_rddm_image, "_gpl", "");

SYMBOL_CRC(mhi_register_controller, 0x0de26b4e, "_gpl");
SYMBOL_CRC(mhi_unregister_controller, 0x4160ab8c, "_gpl");
SYMBOL_CRC(mhi_alloc_controller, 0xa29cc768, "_gpl");
SYMBOL_CRC(mhi_free_controller, 0x940c46af, "_gpl");
SYMBOL_CRC(mhi_prepare_for_power_up, 0xa285951d, "_gpl");
SYMBOL_CRC(mhi_unprepare_after_power_down, 0x16bc04c3, "_gpl");
SYMBOL_CRC(__mhi_driver_register, 0xfe922dd1, "_gpl");
SYMBOL_CRC(mhi_driver_unregister, 0x3b6c4519, "_gpl");
SYMBOL_CRC(mhi_get_exec_env, 0x639cf9b7, "_gpl");
SYMBOL_CRC(mhi_get_mhi_state, 0x02b18838, "_gpl");
SYMBOL_CRC(mhi_soc_reset, 0xfbeac984, "_gpl");
SYMBOL_CRC(mhi_get_free_desc_count, 0x2696a16b, "_gpl");
SYMBOL_CRC(mhi_notify, 0xe3509724, "_gpl");
SYMBOL_CRC(mhi_queue_skb, 0x9bd29d86, "_gpl");
SYMBOL_CRC(mhi_queue_dma, 0x88376a50, "_gpl");
SYMBOL_CRC(mhi_queue_buf, 0x723f858c, "_gpl");
SYMBOL_CRC(mhi_queue_is_full, 0xe85c9fe9, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer, 0x64e801d8, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer_autoqueue, 0x8a40e614, "_gpl");
SYMBOL_CRC(mhi_unprepare_from_transfer, 0xa7342b58, "_gpl");
SYMBOL_CRC(mhi_pm_suspend, 0x515666c1, "_gpl");
SYMBOL_CRC(mhi_pm_resume, 0x3f8cd6d1, "_gpl");
SYMBOL_CRC(mhi_pm_resume_force, 0x23cc0832, "_gpl");
SYMBOL_CRC(mhi_async_power_up, 0xbdf3151b, "_gpl");
SYMBOL_CRC(mhi_power_down, 0xfbe85c8c, "_gpl");
SYMBOL_CRC(mhi_sync_power_up, 0x498e01fe, "");
SYMBOL_CRC(mhi_force_rddm_mode, 0xb0bac0f6, "_gpl");
SYMBOL_CRC(mhi_device_get, 0x5bd07469, "_gpl");
SYMBOL_CRC(mhi_device_get_sync, 0xcfe53c15, "_gpl");
SYMBOL_CRC(mhi_device_put, 0x411ad564, "_gpl");
SYMBOL_CRC(mhi_download_rddm_image, 0xba0b3f9b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3279e0ed, "dma_unmap_page_attrs" },
	{ 0xe8038cb6, "request_firmware" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xd428971f, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x71b79722, "device_for_each_child" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe1740888, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5da8aca0, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3aca0190, "_raw_write_lock_irq" },
	{ 0xe168fe48, "dev_driver_string" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x211a607e, "dma_map_page_attrs" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x21756f2c, "pm_wakeup_dev_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xef39ce92, "put_device" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x591b192f, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf4b0bda5, "bus_unregister" },
	{ 0xb853f55d, "_dev_err" },
	{ 0xb6df04a6, "device_wakeup_enable" },
	{ 0x150c287d, "device_add" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xda754828, "dma_alloc_attrs" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xffb7c514, "ida_free" },
	{ 0xad3d97e3, "driver_unregister" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd7482f05, "vcalloc" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x2f38ab01, "device_del" },
	{ 0x9f76baf4, "_raw_write_unlock_irq" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x62e6f572, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xa4191c0b, "memset_io" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0x3298e05b, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0x55252989, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x48112d76, "_raw_read_lock_irq" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x6b178afb, "device_set_wakeup_capable" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x19160e4d, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa58af0a6, "_raw_read_unlock_irq" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8F69103E281B25D4DF61789");
