#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(adf_cfg_dev_add, "_gpl", "");
KSYMTAB_FUNC(adf_cfg_dev_remove, "_gpl", "");
KSYMTAB_FUNC(adf_cfg_add_key_value_param, "_gpl", "");
KSYMTAB_FUNC(adf_cfg_section_add, "_gpl", "");
KSYMTAB_FUNC(adf_cfg_get_param_value, "_gpl", "");
KSYMTAB_FUNC(adf_isr_resource_free, "_gpl", "");
KSYMTAB_FUNC(adf_isr_resource_alloc, "_gpl", "");
KSYMTAB_DATA(adf_cfg_services, "_gpl", "");
KSYMTAB_FUNC(adf_get_service_enabled, "_gpl", "");
KSYMTAB_FUNC(adf_clean_vf_map, "_gpl", "");
KSYMTAB_FUNC(adf_devmgr_update_class_index, "_gpl", "");
KSYMTAB_FUNC(adf_devmgr_add_dev, "_gpl", "");
KSYMTAB_FUNC(adf_devmgr_rm_dev, "_gpl", "");
KSYMTAB_FUNC(adf_devmgr_pci_to_accel_dev, "_gpl", "");
KSYMTAB_FUNC(adf_dev_in_use, "_gpl", "");
KSYMTAB_FUNC(adf_dev_get, "_gpl", "");
KSYMTAB_FUNC(adf_dev_put, "_gpl", "");
KSYMTAB_FUNC(adf_devmgr_in_reset, "_gpl", "");
KSYMTAB_FUNC(adf_dev_started, "_gpl", "");
KSYMTAB_FUNC(adf_dev_down, "_gpl", "");
KSYMTAB_FUNC(adf_dev_up, "_gpl", "");
KSYMTAB_FUNC(adf_dev_restart, "_gpl", "");
KSYMTAB_FUNC(adf_reset_sbr, "_gpl", "");
KSYMTAB_FUNC(adf_reset_flr, "_gpl", "");
KSYMTAB_DATA(adf_err_handler, "_gpl", "");
KSYMTAB_FUNC(adf_init_etr_data, "_gpl", "");
KSYMTAB_FUNC(adf_cleanup_etr_data, "_gpl", "");
KSYMTAB_FUNC(adf_send_admin_init, "_gpl", "");
KSYMTAB_FUNC(adf_init_admin_comms, "_gpl", "");
KSYMTAB_FUNC(adf_exit_admin_comms, "_gpl", "");
KSYMTAB_FUNC(adf_init_arb, "_gpl", "");
KSYMTAB_FUNC(adf_exit_arb, "_gpl", "");
KSYMTAB_FUNC(adf_sysfs_init, "_gpl", "");
KSYMTAB_FUNC(adf_gen2_get_num_accels, "_gpl", "");
KSYMTAB_FUNC(adf_gen2_get_num_aes, "_gpl", "");
KSYMTAB_FUNC(adf_gen2_enable_error_correction, "_gpl", "");
KSYMTAB_FUNC(adf_gen2_cfg_iov_thds, "_gpl", "");
KSYMTAB_FUNC(adf_gen2_get_admin_info, "_gpl", "");
KSYMTAB_FUNC(adf_gen2_get_arb_info, "_gpl", "");
KSYMTAB_FUNC(adf_gen2_enable_ints, "_gpl", "");
KSYMTAB_FUNC(adf_gen2_init_hw_csr_ops, "_gpl", "");
KSYMTAB_FUNC(adf_gen2_get_accel_cap, "_gpl", "");
KSYMTAB_FUNC(adf_gen2_set_ssm_wdtimer, "_gpl", "");
KSYMTAB_FUNC(adf_gen2_dev_config, "_gpl", "");
KSYMTAB_FUNC(adf_gen4_init_hw_csr_ops, "_gpl", "");
KSYMTAB_FUNC(adf_gen4_set_ssm_wdtimer, "_gpl", "");
KSYMTAB_FUNC(adf_pfvf_comms_disabled, "_gpl", "");
KSYMTAB_FUNC(adf_gen4_ring_pair_reset, "_gpl", "");
KSYMTAB_FUNC(adf_gen4_handle_pm_interrupt, "_gpl", "");
KSYMTAB_FUNC(adf_gen4_enable_pm, "_gpl", "");
KSYMTAB_FUNC(adf_gen2_init_dc_ops, "_gpl", "");
KSYMTAB_FUNC(adf_gen4_init_dc_ops, "_gpl", "");
KSYMTAB_FUNC(adf_gen4_timer_start, "_gpl", "");
KSYMTAB_FUNC(adf_gen4_timer_stop, "_gpl", "");
KSYMTAB_FUNC(adf_dev_measure_clock, "_gpl", "");
KSYMTAB_FUNC(adf_heartbeat_check_ctrs, "_gpl", "");
KSYMTAB_FUNC(adf_heartbeat_save_cfg_param, "_gpl", "");
KSYMTAB_FUNC(adf_heartbeat_dbgfs_add, "_gpl", "");
KSYMTAB_FUNC(adf_heartbeat_dbgfs_rm, "_gpl", "");
KSYMTAB_FUNC(adf_dbgfs_init, "_gpl", "");
KSYMTAB_FUNC(adf_dbgfs_exit, "_gpl", "");
KSYMTAB_FUNC(adf_disable_sriov, "_gpl", "");
KSYMTAB_FUNC(adf_sriov_configure, "_gpl", "");
KSYMTAB_FUNC(adf_disable_pf2vf_interrupts, "_gpl", "");
KSYMTAB_FUNC(adf_vf_isr_resource_free, "_gpl", "");
KSYMTAB_FUNC(adf_vf_isr_resource_alloc, "_gpl", "");
KSYMTAB_FUNC(adf_flush_vf_wq, "_gpl", "");
KSYMTAB_FUNC(adf_enable_pf2vf_comms, "_gpl", "");
KSYMTAB_FUNC(adf_vf2pf_notify_init, "_gpl", "");
KSYMTAB_FUNC(adf_vf2pf_notify_shutdown, "_gpl", "");
KSYMTAB_FUNC(adf_enable_vf2pf_comms, "_gpl", "");
KSYMTAB_FUNC(adf_gen2_init_pf_pfvf_ops, "_gpl", "");
KSYMTAB_FUNC(adf_gen2_init_vf_pfvf_ops, "_gpl", "");
KSYMTAB_FUNC(adf_gen4_init_pf_pfvf_ops, "_gpl", "");

SYMBOL_CRC(adf_cfg_dev_add, 0xeefeb4bf, "_gpl");
SYMBOL_CRC(adf_cfg_dev_remove, 0x76fa383a, "_gpl");
SYMBOL_CRC(adf_cfg_add_key_value_param, 0x89660a33, "_gpl");
SYMBOL_CRC(adf_cfg_section_add, 0xaba7117c, "_gpl");
SYMBOL_CRC(adf_cfg_get_param_value, 0x4f572703, "_gpl");
SYMBOL_CRC(adf_isr_resource_free, 0x13f6b506, "_gpl");
SYMBOL_CRC(adf_isr_resource_alloc, 0x7c7fc59d, "_gpl");
SYMBOL_CRC(adf_cfg_services, 0xc9dd5b96, "_gpl");
SYMBOL_CRC(adf_get_service_enabled, 0xae214da1, "_gpl");
SYMBOL_CRC(adf_clean_vf_map, 0xcc3b167a, "_gpl");
SYMBOL_CRC(adf_devmgr_update_class_index, 0x074a4ec2, "_gpl");
SYMBOL_CRC(adf_devmgr_add_dev, 0x8424e7b5, "_gpl");
SYMBOL_CRC(adf_devmgr_rm_dev, 0xd482daae, "_gpl");
SYMBOL_CRC(adf_devmgr_pci_to_accel_dev, 0x87154ea8, "_gpl");
SYMBOL_CRC(adf_dev_in_use, 0x791610c5, "_gpl");
SYMBOL_CRC(adf_dev_get, 0x810d9c24, "_gpl");
SYMBOL_CRC(adf_dev_put, 0xf3433f6d, "_gpl");
SYMBOL_CRC(adf_devmgr_in_reset, 0x37777662, "_gpl");
SYMBOL_CRC(adf_dev_started, 0x7473dd00, "_gpl");
SYMBOL_CRC(adf_dev_down, 0x911a0593, "_gpl");
SYMBOL_CRC(adf_dev_up, 0x902e8bdc, "_gpl");
SYMBOL_CRC(adf_dev_restart, 0x9c08a7ce, "_gpl");
SYMBOL_CRC(adf_reset_sbr, 0xb2d76051, "_gpl");
SYMBOL_CRC(adf_reset_flr, 0xfd88a31e, "_gpl");
SYMBOL_CRC(adf_err_handler, 0x344312e3, "_gpl");
SYMBOL_CRC(adf_init_etr_data, 0x62ef5ee3, "_gpl");
SYMBOL_CRC(adf_cleanup_etr_data, 0x7285d59a, "_gpl");
SYMBOL_CRC(adf_send_admin_init, 0x5f921b85, "_gpl");
SYMBOL_CRC(adf_init_admin_comms, 0xd9033225, "_gpl");
SYMBOL_CRC(adf_exit_admin_comms, 0xbf843058, "_gpl");
SYMBOL_CRC(adf_init_arb, 0x0faab7a7, "_gpl");
SYMBOL_CRC(adf_exit_arb, 0xbfc63ded, "_gpl");
SYMBOL_CRC(adf_sysfs_init, 0xcf7634b4, "_gpl");
SYMBOL_CRC(adf_gen2_get_num_accels, 0xb52ad1f5, "_gpl");
SYMBOL_CRC(adf_gen2_get_num_aes, 0xf8601109, "_gpl");
SYMBOL_CRC(adf_gen2_enable_error_correction, 0xcf73e9a0, "_gpl");
SYMBOL_CRC(adf_gen2_cfg_iov_thds, 0xa4b10684, "_gpl");
SYMBOL_CRC(adf_gen2_get_admin_info, 0x3e707f37, "_gpl");
SYMBOL_CRC(adf_gen2_get_arb_info, 0x2be4e269, "_gpl");
SYMBOL_CRC(adf_gen2_enable_ints, 0xe82a4666, "_gpl");
SYMBOL_CRC(adf_gen2_init_hw_csr_ops, 0xd64519f1, "_gpl");
SYMBOL_CRC(adf_gen2_get_accel_cap, 0x80d0523b, "_gpl");
SYMBOL_CRC(adf_gen2_set_ssm_wdtimer, 0x5ae2c65c, "_gpl");
SYMBOL_CRC(adf_gen2_dev_config, 0x5bdfe2d2, "_gpl");
SYMBOL_CRC(adf_gen4_init_hw_csr_ops, 0xc501ac82, "_gpl");
SYMBOL_CRC(adf_gen4_set_ssm_wdtimer, 0xee195667, "_gpl");
SYMBOL_CRC(adf_pfvf_comms_disabled, 0x4b3d76da, "_gpl");
SYMBOL_CRC(adf_gen4_ring_pair_reset, 0x05c48126, "_gpl");
SYMBOL_CRC(adf_gen4_handle_pm_interrupt, 0xfbe004ac, "_gpl");
SYMBOL_CRC(adf_gen4_enable_pm, 0x779dba39, "_gpl");
SYMBOL_CRC(adf_gen2_init_dc_ops, 0xe45f3512, "_gpl");
SYMBOL_CRC(adf_gen4_init_dc_ops, 0xe327f1f1, "_gpl");
SYMBOL_CRC(adf_gen4_timer_start, 0x4a09d0eb, "_gpl");
SYMBOL_CRC(adf_gen4_timer_stop, 0xf1f332f9, "_gpl");
SYMBOL_CRC(adf_dev_measure_clock, 0x35ece83e, "_gpl");
SYMBOL_CRC(adf_heartbeat_check_ctrs, 0x600ddf18, "_gpl");
SYMBOL_CRC(adf_heartbeat_save_cfg_param, 0x8e95104e, "_gpl");
SYMBOL_CRC(adf_heartbeat_dbgfs_add, 0x9f2691ea, "_gpl");
SYMBOL_CRC(adf_heartbeat_dbgfs_rm, 0x6cce3d5a, "_gpl");
SYMBOL_CRC(adf_dbgfs_init, 0xd972abd5, "_gpl");
SYMBOL_CRC(adf_dbgfs_exit, 0xde836d2c, "_gpl");
SYMBOL_CRC(adf_disable_sriov, 0xc0b33636, "_gpl");
SYMBOL_CRC(adf_sriov_configure, 0x35346f60, "_gpl");
SYMBOL_CRC(adf_disable_pf2vf_interrupts, 0x62e89c38, "_gpl");
SYMBOL_CRC(adf_vf_isr_resource_free, 0xaba58fce, "_gpl");
SYMBOL_CRC(adf_vf_isr_resource_alloc, 0xa46dfd3e, "_gpl");
SYMBOL_CRC(adf_flush_vf_wq, 0x7abf6a00, "_gpl");
SYMBOL_CRC(adf_enable_pf2vf_comms, 0x3b391105, "_gpl");
SYMBOL_CRC(adf_vf2pf_notify_init, 0x85934355, "_gpl");
SYMBOL_CRC(adf_vf2pf_notify_shutdown, 0x0bbef6cf, "_gpl");
SYMBOL_CRC(adf_enable_vf2pf_comms, 0x112187e9, "_gpl");
SYMBOL_CRC(adf_gen2_init_pf_pfvf_ops, 0x796611d1, "_gpl");
SYMBOL_CRC(adf_gen2_init_vf_pfvf_ops, 0x6abe17e2, "_gpl");
SYMBOL_CRC(adf_gen4_init_pf_pfvf_ops, 0xcd9d81ea, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x522f38f5, "crypto_register_acomps" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x61409eae, "seq_read" },
	{ 0xc62611e1, "scatterwalk_map_and_copy" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7c5e52a9, "crypto_cipher_encrypt_one" },
	{ 0xdd64e639, "strscpy" },
	{ 0x6e7f1d4a, "debugfs_create_file" },
	{ 0x62e6f572, "dma_free_attrs" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa89926dc, "crypto_dh_decode_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xdb428c3e, "crypto_register_kpp" },
	{ 0x7f8810b, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7109424, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7f2422a5, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0xab23235b, "seq_puts" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xaa8106bc, "crc8_populate_msb" },
	{ 0x2b582a1a, "seq_open" },
	{ 0xeabbed66, "crypto_unregister_skciphers" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x81188c30, "match_string" },
	{ 0x651c9e4e, "crypto_register_akcipher" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x136ea7d0, "crypto_alloc_shash" },
	{ 0xf29606ab, "debugfs_create_dir" },
	{ 0x2ac7ea93, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x89ae7aa0, "rsa_parse_pub_key" },
	{ 0x526c1129, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xa4ed0033, "pci_enable_sriov" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x740638f5, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0x7698fe05, "cdev_del" },
	{ 0xd79861de, "crypto_alloc_skcipher" },
	{ 0x96f7f4ac, "crypto_skcipher_encrypt" },
	{ 0x986d6339, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x6f8442c4, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xaf630745, "crypto_alloc_base" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xfc6ec21f, "devm_kmalloc" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x23e1ff2, "pci_alloc_irq_vectors" },
	{ 0x252a4ce1, "crypto_unregister_kpp" },
	{ 0xd7c32c4e, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x3279e0ed, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xe8038cb6, "request_firmware" },
	{ 0xc3794904, "class_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0xee8eff27, "pci_num_vf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xe19348d7, "crypto_register_aeads" },
	{ 0x7c191131, "pci_sriov_get_totalvfs" },
	{ 0x8a761f82, "seq_hex_dump" },
	{ 0xdfc6e05a, "seq_lseek" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0x9b3142ab, "devm_device_add_group" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0xcb3ab39a, "pci_irq_vector" },
	{ 0x88480cca, "crypto_skcipher_setkey" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5da8aca0, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x8ad89dfb, "crypto_cipher_setkey" },
	{ 0xe168fe48, "dev_driver_string" },
	{ 0x6f35f3c3, "crypto_unregister_aeads" },
	{ 0x4d5e3e9d, "crypto_destroy_tfm" },
	{ 0xd9db14f0, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9c5d5b94, "crc8" },
	{ 0x211a607e, "dma_map_page_attrs" },
	{ 0x122c3a7e, "_printk" },
	{ 0x2479193e, "crypto_authenc_extractkeys" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x23a35f85, "crypto_skcipher_decrypt" },
	{ 0xa916b694, "strnlen" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0xabf6250d, "kmalloc_node_trace" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb0aa812e, "fips_enabled" },
	{ 0x591b192f, "_dev_info" },
	{ 0x8e90385d, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x5304c04, "compat_ptr_ioctl" },
	{ 0x30ed3c4e, "cdev_add" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xed28a98b, "crypto_unregister_acomps" },
	{ 0x57bc19d2, "down_write" },
	{ 0x1ff88043, "devm_kfree" },
	{ 0xb853f55d, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x7d7cf115, "simple_open" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2d4390f6, "crypto_unregister_akcipher" },
	{ 0x3b78df03, "device_create" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x22376df7, "class_create" },
	{ 0x5d005ee0, "pci_wait_for_pending_transaction" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd75b20aa, "rsa_parse_priv_key" },
	{ 0xda754828, "dma_alloc_attrs" },
	{ 0x6ca64ef8, "debugfs_remove" },
	{ 0x9d97ff48, "pcie_flr" },
	{ 0xbe400d07, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0xd7f80d10, "seq_putc" },
	{ 0x9166fada, "strncpy" },
	{ 0x8214082, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xf4debd6f, "crypto_shash_update" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb3e0841f, "crypto_register_skciphers" },
	{ 0x26dfd906, "pci_restore_state" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0xfb578fc5, "memset" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "crc8");


MODULE_INFO(srcversion, "A6DE892DA0CE5FC983F7F28");
