#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs_dsp_mem_region_name, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_init_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_cleanup_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_acked_control, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_read_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_get_ctl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_find_alg_region, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_set_dspclk, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_run, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_stop, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_raw_data_block, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_write_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove_padding, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_wdt_expire, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_write, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_flush, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_read, "_gpl", "FW_CS_DSP");

SYMBOL_CRC(cs_dsp_mem_region_name, 0x144d6986, "_gpl");
SYMBOL_CRC(cs_dsp_init_debugfs, 0x15832499, "_gpl");
SYMBOL_CRC(cs_dsp_cleanup_debugfs, 0x6c8a3a5e, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_acked_control, 0xa798b48c, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_ctrl, 0x2557cab9, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_read_ctrl, 0x9437a861, "_gpl");
SYMBOL_CRC(cs_dsp_get_ctl, 0x791bbefe, "_gpl");
SYMBOL_CRC(cs_dsp_find_alg_region, 0x2babe8a4, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_init, 0xbf53144b, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_up, 0x93d84af3, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_down, 0x19440614, "_gpl");
SYMBOL_CRC(cs_dsp_set_dspclk, 0xa33dd545, "_gpl");
SYMBOL_CRC(cs_dsp_power_up, 0xa88d7821, "_gpl");
SYMBOL_CRC(cs_dsp_power_down, 0x3fa06257, "_gpl");
SYMBOL_CRC(cs_dsp_run, 0x0b763b7a, "_gpl");
SYMBOL_CRC(cs_dsp_stop, 0x3abfda20, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_init, 0x028b04ca, "_gpl");
SYMBOL_CRC(cs_dsp_halo_init, 0x8dca1451, "_gpl");
SYMBOL_CRC(cs_dsp_remove, 0x362c83a5, "_gpl");
SYMBOL_CRC(cs_dsp_read_raw_data_block, 0xe3b3dbc3, "_gpl");
SYMBOL_CRC(cs_dsp_read_data_word, 0x522bf17c, "_gpl");
SYMBOL_CRC(cs_dsp_write_data_word, 0x2dd17f88, "_gpl");
SYMBOL_CRC(cs_dsp_remove_padding, 0x4e5562f8, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_bus_error, 0xdc4d38c2, "_gpl");
SYMBOL_CRC(cs_dsp_halo_bus_error, 0xc357895f, "_gpl");
SYMBOL_CRC(cs_dsp_halo_wdt_expire, 0x49320f68, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_write, 0x6e0cce2d, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_flush, 0x9e324cb0, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_read, 0xb6c0d9e7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe3e6bbe, "regmap_raw_read" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x56470118, "__warn_printk" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x37a0cba, "kfree" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x69acdf38, "memcpy" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5a921311, "strncmp" },
	{ 0x47cc6910, "regmap_read" },
	{ 0x591b192f, "_dev_info" },
	{ 0xd17d1747, "regmap_update_bits_base" },
	{ 0x572253a8, "regmap_write" },
	{ 0x3d5d85b7, "regmap_multi_reg_write" },
	{ 0x42cd3b, "regmap_bulk_read" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x18af0d7f, "devm_kasprintf" },
	{ 0x6ca64ef8, "debugfs_remove" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x999e8297, "vfree" },
	{ 0xa916b694, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x84bf5cac, "regmap_raw_write_async" },
	{ 0x7f7e0b01, "regmap_async_complete" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xdfc6e05a, "seq_lseek" },
	{ 0x61409eae, "seq_read" },
	{ 0xcb5f3d33, "single_release" },
	{ 0x7d7cf115, "simple_open" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf29606ab, "debugfs_create_dir" },
	{ 0xfd52a6b9, "debugfs_create_bool" },
	{ 0xbe54ae88, "debugfs_create_x32" },
	{ 0x6e7f1d4a, "debugfs_create_file" },
	{ 0x998f32e, "single_open" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb853f55d, "_dev_err" },
	{ 0x7109424, "seq_printf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x754d539c, "strlen" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x5da8aca0, "__dynamic_dev_dbg" },
	{ 0x16adcbb9, "regmap_raw_write" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3619D67BBBD837536291B02");
