#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_vram_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_put, "", "");
KSYMTAB_FUNC(drm_gem_vram_offset, "", "");
KSYMTAB_FUNC(drm_gem_vram_pin, "", "");
KSYMTAB_FUNC(drm_gem_vram_unpin, "", "");
KSYMTAB_FUNC(drm_gem_vram_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_fill_create_dumb, "", "");
KSYMTAB_FUNC(drm_gem_vram_driver_dumb_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_vram_mm_debugfs_init, "", "");
KSYMTAB_FUNC(drmm_vram_helper_init, "", "");
KSYMTAB_FUNC(drm_vram_helper_mode_valid, "", "");

SYMBOL_CRC(drm_gem_vram_create, 0x133220a9, "");
SYMBOL_CRC(drm_gem_vram_put, 0xa6c7c7a6, "");
SYMBOL_CRC(drm_gem_vram_offset, 0xcd0d2a7d, "");
SYMBOL_CRC(drm_gem_vram_pin, 0x4512b288, "");
SYMBOL_CRC(drm_gem_vram_unpin, 0xf538b6af, "");
SYMBOL_CRC(drm_gem_vram_vmap, 0x991b335e, "");
SYMBOL_CRC(drm_gem_vram_vunmap, 0x467c6c38, "");
SYMBOL_CRC(drm_gem_vram_fill_create_dumb, 0xc0e4c155, "");
SYMBOL_CRC(drm_gem_vram_driver_dumb_create, 0xb86e7933, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_prepare_fb, 0xf8d466c5, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_cleanup_fb, 0x020e7f7d, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_prepare_fb, 0x8699e64b, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_cleanup_fb, 0x409f4df1, "");
SYMBOL_CRC(drm_vram_mm_debugfs_init, 0x3293ffb7, "");
SYMBOL_CRC(drmm_vram_helper_init, 0x40f8a88b, "");
SYMBOL_CRC(drm_vram_helper_mode_valid, 0xd2ae6845, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1f24dc56, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb28bdac5, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x350b3c36, "drm_gem_object_release" },
	{ 0xd6ef479b, "ttm_tt_init" },
	{ 0x94565a3f, "drm_gem_handle_create" },
	{ 0x35a695fd, "drm_gem_fb_get_obj" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2f2ad902, "ttm_bo_unpin" },
	{ 0x513072fe, "__drm_puts_seq_file" },
	{ 0x2d28b5b8, "drm_debugfs_add_files" },
	{ 0xa8ab25f5, "ttm_bo_init_validate" },
	{ 0x56470118, "__warn_printk" },
	{ 0x944b84b, "ttm_device_init" },
	{ 0x4c67f62c, "ttm_bo_validate" },
	{ 0xe80fd165, "ttm_bo_move_to_lru_tail" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0xa61fe031, "ttm_bo_vmap" },
	{ 0x18647528, "ttm_bo_put" },
	{ 0x41fb6ac2, "ttm_resource_free" },
	{ 0x2f270633, "ttm_bo_move_memcpy" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc55106cc, "ttm_tt_fini" },
	{ 0x9726fdf3, "ttm_device_fini" },
	{ 0x2b9fead0, "drm_gem_plane_helper_prepare_fb" },
	{ 0xebcef5, "ttm_bo_eviction_valuable" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0xbb214dda, "drm_gem_ttm_print_info" },
	{ 0xf2c94626, "ttm_range_man_init_nocheck" },
	{ 0x5e9f375a, "ww_mutex_lock_interruptible" },
	{ 0x72ee39f8, "ttm_resource_manager_debug" },
	{ 0x3bc167b1, "ww_mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x311a606c, "ttm_range_man_fini_nocheck" },
	{ 0x219a1811, "drm_gem_object_init" },
	{ 0xfeb953b1, "__drm_printfn_seq_file" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9267fcf8, "ttm_bo_pin" },
	{ 0xe168fe48, "dev_driver_string" },
	{ 0x78c6167e, "drm_gem_ttm_mmap" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "ttm,drm_ttm_helper");


MODULE_INFO(srcversion, "7AE0AE9C03F5998B04013AB");
