#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ishtp_device_init, "", "");
KSYMTAB_FUNC(ishtp_start, "", "");
KSYMTAB_FUNC(ishtp_send_suspend, "", "");
KSYMTAB_FUNC(ishtp_send_resume, "", "");
KSYMTAB_FUNC(ishtp_cl_get_tx_free_buffer_size, "", "");
KSYMTAB_FUNC(ishtp_cl_get_tx_free_rings, "", "");
KSYMTAB_FUNC(ishtp_cl_flush_queues, "", "");
KSYMTAB_FUNC(ishtp_cl_allocate, "", "");
KSYMTAB_FUNC(ishtp_cl_free, "", "");
KSYMTAB_FUNC(ishtp_cl_link, "", "");
KSYMTAB_FUNC(ishtp_cl_unlink, "", "");
KSYMTAB_FUNC(ishtp_cl_disconnect, "", "");
KSYMTAB_FUNC(ishtp_cl_connect, "", "");
KSYMTAB_FUNC(ishtp_cl_send, "", "");
KSYMTAB_FUNC(ishtp_get_client_data, "", "");
KSYMTAB_FUNC(ishtp_set_client_data, "", "");
KSYMTAB_FUNC(ishtp_get_ishtp_device, "", "");
KSYMTAB_FUNC(ishtp_set_tx_ring_size, "", "");
KSYMTAB_FUNC(ishtp_set_rx_ring_size, "", "");
KSYMTAB_FUNC(ishtp_set_connection_state, "", "");
KSYMTAB_FUNC(ishtp_cl_set_fw_client_id, "", "");
KSYMTAB_FUNC(ishtp_recv, "", "");
KSYMTAB_FUNC(ishtp_fw_cl_by_uuid, "", "");
KSYMTAB_FUNC(ishtp_fw_cl_get_client, "", "");
KSYMTAB_FUNC(ishtp_get_fw_client_id, "", "");
KSYMTAB_FUNC(ishtp_cl_driver_register, "", "");
KSYMTAB_FUNC(ishtp_cl_driver_unregister, "", "");
KSYMTAB_FUNC(ishtp_register_event_cb, "", "");
KSYMTAB_FUNC(ishtp_get_device, "", "");
KSYMTAB_FUNC(ishtp_put_device, "", "");
KSYMTAB_FUNC(ishtp_set_drvdata, "", "");
KSYMTAB_FUNC(ishtp_get_drvdata, "", "");
KSYMTAB_FUNC(ishtp_dev_to_cl_device, "", "");
KSYMTAB_FUNC(ishtp_bus_remove_all_clients, "", "");
KSYMTAB_FUNC(ishtp_reset_handler, "", "");
KSYMTAB_FUNC(ishtp_reset_compl_handler, "", "");
KSYMTAB_FUNC(ishtp_device, "", "");
KSYMTAB_FUNC(ishtp_wait_resume, "_gpl", "");
KSYMTAB_FUNC(ishtp_get_pci_device, "", "");
KSYMTAB_FUNC(ishtp_trace_callback, "", "");
KSYMTAB_FUNC(ish_hw_reset, "", "");
KSYMTAB_FUNC(ishtp_cl_io_rb_recycle, "", "");
KSYMTAB_FUNC(ishtp_cl_tx_empty, "", "");
KSYMTAB_FUNC(ishtp_cl_rx_get_rb, "", "");

SYMBOL_CRC(ishtp_device_init, 0xc1d52dda, "");
SYMBOL_CRC(ishtp_start, 0x0d3c2736, "");
SYMBOL_CRC(ishtp_send_suspend, 0x1f0b28e9, "");
SYMBOL_CRC(ishtp_send_resume, 0x42bc55b8, "");
SYMBOL_CRC(ishtp_cl_get_tx_free_buffer_size, 0x8b09df44, "");
SYMBOL_CRC(ishtp_cl_get_tx_free_rings, 0x66f23c2b, "");
SYMBOL_CRC(ishtp_cl_flush_queues, 0x98bd2f0f, "");
SYMBOL_CRC(ishtp_cl_allocate, 0x7d718108, "");
SYMBOL_CRC(ishtp_cl_free, 0x0a253340, "");
SYMBOL_CRC(ishtp_cl_link, 0x04699dfc, "");
SYMBOL_CRC(ishtp_cl_unlink, 0x009d3c81, "");
SYMBOL_CRC(ishtp_cl_disconnect, 0xf6360915, "");
SYMBOL_CRC(ishtp_cl_connect, 0xba47b8b7, "");
SYMBOL_CRC(ishtp_cl_send, 0x35214a43, "");
SYMBOL_CRC(ishtp_get_client_data, 0x801e2aeb, "");
SYMBOL_CRC(ishtp_set_client_data, 0x14487716, "");
SYMBOL_CRC(ishtp_get_ishtp_device, 0x2ec93533, "");
SYMBOL_CRC(ishtp_set_tx_ring_size, 0xbfa0979a, "");
SYMBOL_CRC(ishtp_set_rx_ring_size, 0x0b618115, "");
SYMBOL_CRC(ishtp_set_connection_state, 0x1048d408, "");
SYMBOL_CRC(ishtp_cl_set_fw_client_id, 0x5836d8db, "");
SYMBOL_CRC(ishtp_recv, 0x9b53b7f3, "");
SYMBOL_CRC(ishtp_fw_cl_by_uuid, 0xb829d24d, "");
SYMBOL_CRC(ishtp_fw_cl_get_client, 0xabc52f30, "");
SYMBOL_CRC(ishtp_get_fw_client_id, 0x5f9b0501, "");
SYMBOL_CRC(ishtp_cl_driver_register, 0x65035d9e, "");
SYMBOL_CRC(ishtp_cl_driver_unregister, 0x24adf631, "");
SYMBOL_CRC(ishtp_register_event_cb, 0x3afc6450, "");
SYMBOL_CRC(ishtp_get_device, 0x348df482, "");
SYMBOL_CRC(ishtp_put_device, 0x3e23eaff, "");
SYMBOL_CRC(ishtp_set_drvdata, 0x47387cfa, "");
SYMBOL_CRC(ishtp_get_drvdata, 0x9aea693f, "");
SYMBOL_CRC(ishtp_dev_to_cl_device, 0x8c909524, "");
SYMBOL_CRC(ishtp_bus_remove_all_clients, 0x73c8c328, "");
SYMBOL_CRC(ishtp_reset_handler, 0x3ab91ffd, "");
SYMBOL_CRC(ishtp_reset_compl_handler, 0x738ad2ae, "");
SYMBOL_CRC(ishtp_device, 0xeed9a4d4, "");
SYMBOL_CRC(ishtp_wait_resume, 0x58d673d4, "_gpl");
SYMBOL_CRC(ishtp_get_pci_device, 0x9b2f2a43, "");
SYMBOL_CRC(ishtp_trace_callback, 0x935aa5bf, "");
SYMBOL_CRC(ish_hw_reset, 0xbf7627f3, "");
SYMBOL_CRC(ishtp_cl_io_rb_recycle, 0x10661572, "");
SYMBOL_CRC(ishtp_cl_tx_empty, 0xe3ccc095, "");
SYMBOL_CRC(ishtp_cl_rx_get_rb, 0xfc6d727e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5da8aca0, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xef39ce92, "put_device" },
	{ 0x591b192f, "_dev_info" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf4b0bda5, "bus_unregister" },
	{ 0xb853f55d, "_dev_err" },
	{ 0xda754828, "dma_alloc_attrs" },
	{ 0xad3d97e3, "driver_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x61ede170, "device_register" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc805f93, "clflush_cache_range" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x62e6f572, "dma_free_attrs" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x7cf19c, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3298e05b, "driver_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0x55252989, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x19160e4d, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81335b6f, "device_unregister" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2A8A484047E007EB5458566");
