#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hid_sensor_power_state, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_remove_trigger, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_setup_trigger, "", "IIO_HID");
KSYMTAB_DATA(hid_sensor_pm_ops, "", "IIO_HID");

SYMBOL_CRC(hid_sensor_power_state, 0xfb333deb, "");
SYMBOL_CRC(hid_sensor_remove_trigger, 0xa0936fdc, "");
SYMBOL_CRC(hid_sensor_setup_trigger, 0x808938d4, "");
SYMBOL_CRC(hid_sensor_pm_ops, 0xe233d0bd, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa1178e1f, "__pm_runtime_use_autosuspend" },
	{ 0x23b0d948, "__pm_runtime_suspend" },
	{ 0xb512f731, "__pm_runtime_set_status" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xb9a93fa4, "iio_trigger_unregister" },
	{ 0xedd736e6, "iio_trigger_free" },
	{ 0x3d37d780, "iio_triggered_buffer_cleanup" },
	{ 0x308ad3c, "__pm_runtime_disable" },
	{ 0x40840ab1, "sensor_hub_device_close" },
	{ 0x789b1df7, "hid_sensor_get_usage_index" },
	{ 0xab831a58, "sensor_hub_get_feature" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x5f297bb0, "sensor_hub_set_feature" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x94905357, "sensor_hub_device_open" },
	{ 0x71ea5c12, "hid_sensor_read_poll_value" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1a03218a, "hid_sensor_set_report_latency" },
	{ 0x1e904da6, "hid_sensor_get_report_latency" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x26f6b499, "iio_str_to_fixpoint" },
	{ 0xa72f5d97, "hid_sensor_batch_mode_supported" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0x2c950a63, "iio_triggered_buffer_setup_ext" },
	{ 0x4a744a9c, "iio_device_id" },
	{ 0xb4e8bdf6, "__iio_trigger_alloc" },
	{ 0xa478ed0b, "iio_trigger_register" },
	{ 0xe1740888, "get_device" },
	{ 0x7f5865a6, "__module_get" },
	{ 0x89f17944, "pm_runtime_set_autosuspend_delay" },
	{ 0xb853f55d, "_dev_err" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x631da867, "pm_runtime_enable" },
	{ 0xa0c04ee5, "__pm_runtime_resume" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer,hid-sensor-iio-common");


MODULE_INFO(srcversion, "4925A92A9B7B92364117342");
