#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ibcm_reject_msg, "", "");
KSYMTAB_FUNC(ib_create_cm_id, "", "");
KSYMTAB_FUNC(ib_destroy_cm_id, "", "");
KSYMTAB_FUNC(ib_cm_listen, "", "");
KSYMTAB_FUNC(ib_cm_insert_listen, "", "");
KSYMTAB_FUNC(ib_send_cm_req, "", "");
KSYMTAB_FUNC(ib_send_cm_rep, "", "");
KSYMTAB_FUNC(ib_send_cm_rtu, "", "");
KSYMTAB_FUNC(ib_send_cm_dreq, "", "");
KSYMTAB_FUNC(ib_send_cm_drep, "", "");
KSYMTAB_FUNC(ib_send_cm_rej, "", "");
KSYMTAB_FUNC(ib_send_cm_mra, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_req, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_rep, "", "");
KSYMTAB_FUNC(ib_cm_notify, "", "");
KSYMTAB_FUNC(ib_cm_init_qp_attr, "", "");

SYMBOL_CRC(ibcm_reject_msg, 0x69824a14, "");
SYMBOL_CRC(ib_create_cm_id, 0x294fde7d, "");
SYMBOL_CRC(ib_destroy_cm_id, 0x89eead8f, "");
SYMBOL_CRC(ib_cm_listen, 0x447b6a30, "");
SYMBOL_CRC(ib_cm_insert_listen, 0xd20e720d, "");
SYMBOL_CRC(ib_send_cm_req, 0x163e48b6, "");
SYMBOL_CRC(ib_send_cm_rep, 0x7f6b4853, "");
SYMBOL_CRC(ib_send_cm_rtu, 0xde0f1f26, "");
SYMBOL_CRC(ib_send_cm_dreq, 0x3508c65e, "");
SYMBOL_CRC(ib_send_cm_drep, 0xc4eef6d0, "");
SYMBOL_CRC(ib_send_cm_rej, 0x96a77ff7, "");
SYMBOL_CRC(ib_send_cm_mra, 0xb663a4d0, "");
SYMBOL_CRC(ib_send_cm_sidr_req, 0xc7297c3e, "");
SYMBOL_CRC(ib_send_cm_sidr_rep, 0xaa727bd6, "");
SYMBOL_CRC(ib_cm_notify, 0x78f3fd86, "");
SYMBOL_CRC(ib_cm_init_qp_attr, 0xe088c3b5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0x747f2da4, "ib_register_client" },
	{ 0xeeedd54b, "ib_unregister_mad_agent" },
	{ 0x7dbadc35, "ib_post_send_mad" },
	{ 0xe1a212ec, "ib_create_send_mad" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x6435d0f9, "perf_trace_run_bpf_submit" },
	{ 0xcf6b4bd9, "rdma_destroy_ah_attr" },
	{ 0x983f10e, "ib_set_client_data" },
	{ 0x937a0add, "ib_get_cached_pkey" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xc2e6bdf5, "rdma_put_gid_attr" },
	{ 0xb04a43ad, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x5122d8a0, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8d10a62, "bpf_trace_run1" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9ce3a4e4, "rdma_destroy_ah_user" },
	{ 0x4ca5d19, "ib_free_send_mad" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0x1dca60f3, "ib_port_unregister_client_groups" },
	{ 0x745a981, "xa_erase" },
	{ 0xe0942c61, "bpf_trace_run3" },
	{ 0xfe363490, "rdma_move_ah_attr" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x55254fa2, "trace_event_buffer_reserve" },
	{ 0xc9d1fc34, "rdma_find_gid" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xcc149376, "ib_free_recv_mad" },
	{ 0xfdc2d3ad, "ib_register_mad_agent" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x6db35db0, "ib_modify_mad" },
	{ 0x8fcdf05f, "ib_create_ah_from_wc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0xf2461c5b, "ib_unregister_client" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5c94df03, "ib_init_ah_attr_from_path" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa6257a2f, "complete" },
	{ 0xa4cbedd, "trace_raw_output_prep" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe8e0ed1e, "__trace_trigger_soft_disabled" },
	{ 0x65a259b6, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x5b50ae95, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x37a0cba, "kfree" },
	{ 0xdcd4593e, "rdma_query_gid" },
	{ 0x552868a, "ib_port_register_client_groups" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0x665a45af, "ib_modify_port" },
	{ 0xe8690ce1, "bpf_trace_run2" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x7816f98d, "trace_event_buffer_commit" },
	{ 0x978a1b5f, "rdma_create_ah" },
	{ 0xb6abf84a, "ib_init_ah_attr_from_wc" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0xcfc18dbe, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "B8FE8BFF2DDE8C273D9C383");
