#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ib_pack, "", "");
KSYMTAB_FUNC(ib_unpack, "", "");
KSYMTAB_FUNC(ib_ud_ip4_csum, "", "");
KSYMTAB_FUNC(ib_ud_header_init, "", "");
KSYMTAB_FUNC(ib_ud_header_pack, "", "");
KSYMTAB_FUNC(ib_ud_header_unpack, "", "");
KSYMTAB_FUNC(ib_event_msg, "", "");
KSYMTAB_FUNC(ib_wc_status_msg, "", "");
KSYMTAB_FUNC(ib_rate_to_mult, "", "");
KSYMTAB_FUNC(mult_to_ib_rate, "", "");
KSYMTAB_FUNC(ib_rate_to_mbps, "", "");
KSYMTAB_FUNC(rdma_node_get_transport, "", "");
KSYMTAB_FUNC(rdma_port_get_link_layer, "", "");
KSYMTAB_FUNC(__ib_alloc_pd, "", "");
KSYMTAB_FUNC(ib_dealloc_pd_user, "", "");
KSYMTAB_FUNC(rdma_copy_ah_attr, "", "");
KSYMTAB_FUNC(rdma_replace_ah_attr, "", "");
KSYMTAB_FUNC(rdma_move_ah_attr, "", "");
KSYMTAB_FUNC(rdma_create_ah, "", "");
KSYMTAB_FUNC(rdma_create_user_ah, "", "");
KSYMTAB_FUNC(ib_get_rdma_header_version, "", "");
KSYMTAB_FUNC(ib_get_gids_from_rdma_hdr, "", "");
KSYMTAB_FUNC(ib_init_ah_attr_from_wc, "", "");
KSYMTAB_FUNC(rdma_move_grh_sgid_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_ah_attr, "", "");
KSYMTAB_FUNC(ib_create_ah_from_wc, "", "");
KSYMTAB_FUNC(rdma_modify_ah, "", "");
KSYMTAB_FUNC(rdma_query_ah, "", "");
KSYMTAB_FUNC(rdma_destroy_ah_user, "", "");
KSYMTAB_FUNC(ib_create_srq_user, "", "");
KSYMTAB_FUNC(ib_modify_srq, "", "");
KSYMTAB_FUNC(ib_query_srq, "", "");
KSYMTAB_FUNC(ib_destroy_srq_user, "", "");
KSYMTAB_FUNC(ib_open_qp, "", "");
KSYMTAB_FUNC(ib_create_qp_user, "", "");
KSYMTAB_FUNC(ib_qp_usecnt_inc, "", "");
KSYMTAB_FUNC(ib_qp_usecnt_dec, "", "");
KSYMTAB_FUNC(ib_create_qp_kernel, "", "");
KSYMTAB_FUNC(ib_modify_qp_is_ok, "", "");
KSYMTAB_FUNC(ib_modify_qp_with_udata, "", "");
KSYMTAB_FUNC(ib_get_eth_speed, "", "");
KSYMTAB_FUNC(ib_modify_qp, "", "");
KSYMTAB_FUNC(ib_query_qp, "", "");
KSYMTAB_FUNC(ib_close_qp, "", "");
KSYMTAB_FUNC(ib_destroy_qp_user, "", "");
KSYMTAB_FUNC(__ib_create_cq, "", "");
KSYMTAB_FUNC(rdma_set_cq_moderation, "", "");
KSYMTAB_FUNC(ib_destroy_cq_user, "", "");
KSYMTAB_FUNC(ib_resize_cq, "", "");
KSYMTAB_FUNC(ib_reg_user_mr, "", "");
KSYMTAB_FUNC(ib_advise_mr, "", "");
KSYMTAB_FUNC(ib_dereg_mr_user, "", "");
KSYMTAB_FUNC(ib_alloc_mr, "", "");
KSYMTAB_FUNC(ib_alloc_mr_integrity, "", "");
KSYMTAB_FUNC(ib_attach_mcast, "", "");
KSYMTAB_FUNC(ib_detach_mcast, "", "");
KSYMTAB_FUNC(ib_alloc_xrcd_user, "", "");
KSYMTAB_FUNC(ib_dealloc_xrcd_user, "", "");
KSYMTAB_FUNC(ib_create_wq, "", "");
KSYMTAB_FUNC(ib_destroy_wq_user, "", "");
KSYMTAB_FUNC(ib_check_mr_status, "", "");
KSYMTAB_FUNC(ib_set_vf_link_state, "", "");
KSYMTAB_FUNC(ib_get_vf_config, "", "");
KSYMTAB_FUNC(ib_get_vf_stats, "", "");
KSYMTAB_FUNC(ib_set_vf_guid, "", "");
KSYMTAB_FUNC(ib_get_vf_guid, "", "");
KSYMTAB_FUNC(ib_map_mr_sg_pi, "", "");
KSYMTAB_FUNC(ib_map_mr_sg, "", "");
KSYMTAB_FUNC(ib_sg_to_pages, "", "");
KSYMTAB_FUNC(ib_drain_sq, "", "");
KSYMTAB_FUNC(ib_drain_rq, "", "");
KSYMTAB_FUNC(ib_drain_qp, "", "");
KSYMTAB_FUNC(rdma_alloc_netdev, "", "");
KSYMTAB_FUNC(rdma_init_netdev, "", "");
KSYMTAB_FUNC(__rdma_block_iter_start, "", "");
KSYMTAB_FUNC(__rdma_block_iter_next, "", "");
KSYMTAB_FUNC(rdma_alloc_hw_stats_struct, "", "");
KSYMTAB_FUNC(rdma_free_hw_stats_struct, "", "");
KSYMTAB_FUNC(ib_process_cq_direct, "", "");
KSYMTAB_FUNC(__ib_alloc_cq, "", "");
KSYMTAB_FUNC(__ib_alloc_cq_any, "", "");
KSYMTAB_FUNC(ib_free_cq, "", "");
KSYMTAB_FUNC(ib_cq_pool_get, "", "");
KSYMTAB_FUNC(ib_cq_pool_put, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_init, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_signature_init, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_wrs, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_post, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_destroy, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_destroy_signature, "", "");
KSYMTAB_FUNC(rdma_rw_mr_factor, "", "");
KSYMTAB_FUNC(ib_port_sysfs_get_ibdev_kobj, "", "");
KSYMTAB_FUNC(ib_port_register_client_groups, "", "");
KSYMTAB_FUNC(ib_port_unregister_client_groups, "", "");
KSYMTAB_DATA(ib_wq, "_gpl", "");
KSYMTAB_FUNC(rdma_dev_access_netns, "", "");
KSYMTAB_FUNC(ibdev_printk, "", "");
KSYMTAB_FUNC(ibdev_emerg, "", "");
KSYMTAB_FUNC(ibdev_alert, "", "");
KSYMTAB_FUNC(ibdev_crit, "", "");
KSYMTAB_FUNC(ibdev_err, "", "");
KSYMTAB_FUNC(ibdev_warn, "", "");
KSYMTAB_FUNC(ibdev_notice, "", "");
KSYMTAB_FUNC(ibdev_info, "", "");
KSYMTAB_FUNC(ib_device_put, "", "");
KSYMTAB_FUNC(ib_device_get_by_name, "", "");
KSYMTAB_FUNC(_ib_alloc_device, "", "");
KSYMTAB_FUNC(ib_dealloc_device, "", "");
KSYMTAB_FUNC(ib_port_immutable_read, "", "");
KSYMTAB_FUNC(ib_get_device_fw_str, "", "");
KSYMTAB_FUNC(ib_register_device, "", "");
KSYMTAB_FUNC(ib_unregister_device, "", "");
KSYMTAB_FUNC(ib_unregister_device_and_put, "", "");
KSYMTAB_FUNC(ib_unregister_driver, "", "");
KSYMTAB_FUNC(ib_unregister_device_queued, "", "");
KSYMTAB_FUNC(ib_register_client, "", "");
KSYMTAB_FUNC(ib_unregister_client, "", "");
KSYMTAB_FUNC(ib_set_client_data, "", "");
KSYMTAB_FUNC(ib_register_event_handler, "", "");
KSYMTAB_FUNC(ib_unregister_event_handler, "", "");
KSYMTAB_FUNC(ib_query_port, "", "");
KSYMTAB_FUNC(ib_device_set_netdev, "", "");
KSYMTAB_FUNC(ib_device_get_by_netdev, "", "");
KSYMTAB_FUNC(ib_query_pkey, "", "");
KSYMTAB_FUNC(ib_modify_device, "", "");
KSYMTAB_FUNC(ib_modify_port, "", "");
KSYMTAB_FUNC(ib_find_gid, "", "");
KSYMTAB_FUNC(ib_find_pkey, "", "");
KSYMTAB_FUNC(ib_get_net_dev_by_params, "", "");
KSYMTAB_FUNC(ib_set_device_ops, "", "");
KSYMTAB_FUNC(ib_dma_virt_map_sg, "", "");
KSYMTAB_DATA(zgid, "", "");
KSYMTAB_FUNC(ib_cache_gid_type_str, "", "");
KSYMTAB_FUNC(rdma_is_zero_gid, "", "");
KSYMTAB_FUNC(ib_cache_gid_parse_type_str, "", "");
KSYMTAB_FUNC(rdma_find_gid_by_port, "", "");
KSYMTAB_FUNC(rdma_query_gid, "", "");
KSYMTAB_FUNC(rdma_read_gid_hw_context, "", "");
KSYMTAB_FUNC(rdma_find_gid, "", "");
KSYMTAB_FUNC(ib_get_cached_pkey, "", "");
KSYMTAB_FUNC(ib_get_cached_subnet_prefix, "", "");
KSYMTAB_FUNC(ib_find_cached_pkey, "", "");
KSYMTAB_FUNC(ib_find_exact_cached_pkey, "", "");
KSYMTAB_FUNC(ib_get_cached_lmc, "", "");
KSYMTAB_FUNC(ib_get_cached_port_state, "", "");
KSYMTAB_FUNC(rdma_get_gid_attr, "", "");
KSYMTAB_FUNC(rdma_query_gid_table, "", "");
KSYMTAB_FUNC(rdma_put_gid_attr, "", "");
KSYMTAB_FUNC(rdma_hold_gid_attr, "", "");
KSYMTAB_FUNC(rdma_read_gid_attr_ndev_rcu, "", "");
KSYMTAB_FUNC(rdma_read_gid_l2_fields, "", "");
KSYMTAB_FUNC(ib_dispatch_event, "", "");
KSYMTAB_FUNC(rdma_nl_chk_listeners, "", "");
KSYMTAB_FUNC(rdma_nl_register, "", "");
KSYMTAB_FUNC(rdma_nl_unregister, "", "");
KSYMTAB_FUNC(ibnl_put_msg, "", "");
KSYMTAB_FUNC(ibnl_put_attr, "", "");
KSYMTAB_FUNC(rdma_nl_unicast, "", "");
KSYMTAB_FUNC(rdma_nl_unicast_wait, "", "");
KSYMTAB_FUNC(rdma_nl_multicast, "", "");
KSYMTAB_FUNC(roce_gid_type_mask_support, "", "");
KSYMTAB_FUNC(rdma_roce_rescan_device, "", "");
KSYMTAB_FUNC(ib_mr_pool_get, "", "");
KSYMTAB_FUNC(ib_mr_pool_put, "", "");
KSYMTAB_FUNC(ib_mr_pool_init, "", "");
KSYMTAB_FUNC(ib_mr_pool_destroy, "", "");
KSYMTAB_FUNC(rdma_addr_size, "", "");
KSYMTAB_FUNC(rdma_addr_size_in6, "", "");
KSYMTAB_FUNC(rdma_addr_size_kss, "", "");
KSYMTAB_FUNC(rdma_copy_src_l2_addr, "", "");
KSYMTAB_FUNC(rdma_translate_ip, "", "");
KSYMTAB_FUNC(rdma_resolve_ip, "", "");
KSYMTAB_FUNC(rdma_addr_cancel, "", "");
KSYMTAB_FUNC(ib_sa_register_client, "", "");
KSYMTAB_FUNC(ib_sa_unregister_client, "", "");
KSYMTAB_FUNC(ib_sa_cancel_query, "", "");
KSYMTAB_FUNC(ib_init_ah_attr_from_path, "", "");
KSYMTAB_FUNC(ib_sa_unpack_path, "", "");
KSYMTAB_FUNC(ib_sa_pack_path, "", "");
KSYMTAB_FUNC(ib_sa_path_rec_get, "", "");
KSYMTAB_FUNC(ib_sa_guid_info_rec_query, "", "");
KSYMTAB_FUNC(ib_sa_join_multicast, "", "");
KSYMTAB_FUNC(ib_sa_free_multicast, "", "");
KSYMTAB_FUNC(ib_sa_get_mcmember_rec, "", "");
KSYMTAB_FUNC(ib_init_ah_from_mcmember, "", "");
KSYMTAB_FUNC(ib_response_mad, "", "");
KSYMTAB_FUNC(ib_register_mad_agent, "", "");
KSYMTAB_FUNC(ib_unregister_mad_agent, "", "");
KSYMTAB_FUNC(ib_mad_kernel_rmpp_agent, "", "");
KSYMTAB_FUNC(ib_create_send_mad, "", "");
KSYMTAB_FUNC(ib_get_mad_data_offset, "", "");
KSYMTAB_FUNC(ib_is_mad_class_rmpp, "", "");
KSYMTAB_FUNC(ib_get_rmpp_segment, "", "");
KSYMTAB_FUNC(ib_free_send_mad, "", "");
KSYMTAB_FUNC(ib_post_send_mad, "", "");
KSYMTAB_FUNC(ib_free_recv_mad, "", "");
KSYMTAB_FUNC(ib_modify_mad, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_string, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u32, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u32_hex, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u64, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u64_hex, "", "");
KSYMTAB_FUNC(rdma_nl_stat_hwcounter_entry, "", "");
KSYMTAB_FUNC(rdma_link_register, "", "");
KSYMTAB_FUNC(rdma_link_unregister, "", "");
KSYMTAB_FUNC(rdma_restrack_count, "", "");
KSYMTAB_FUNC(rdma_restrack_set_name, "", "");
KSYMTAB_FUNC(rdma_restrack_parent_name, "", "");
KSYMTAB_FUNC(rdma_restrack_new, "", "");
KSYMTAB_FUNC(rdma_restrack_add, "", "");
KSYMTAB_FUNC(rdma_restrack_get, "", "");
KSYMTAB_FUNC(rdma_restrack_get_byid, "", "");
KSYMTAB_FUNC(rdma_restrack_put, "", "");
KSYMTAB_FUNC(rdma_restrack_del, "", "");
KSYMTAB_FUNC(rdma_umap_priv_init, "", "");
KSYMTAB_FUNC(rdma_user_mmap_io, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_get_pgoff, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_get, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_put, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_remove, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_insert_range, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_insert, "", "");
KSYMTAB_FUNC(ib_create_qp_security, "", "");
KSYMTAB_FUNC(ib_rdmacg_try_charge, "", "");
KSYMTAB_FUNC(ib_rdmacg_uncharge, "", "");

SYMBOL_CRC(ib_pack, 0x22f3cf93, "");
SYMBOL_CRC(ib_unpack, 0xa432baf6, "");
SYMBOL_CRC(ib_ud_ip4_csum, 0x6b958320, "");
SYMBOL_CRC(ib_ud_header_init, 0xb7852a05, "");
SYMBOL_CRC(ib_ud_header_pack, 0xe9e799fc, "");
SYMBOL_CRC(ib_ud_header_unpack, 0x3fc2387c, "");
SYMBOL_CRC(ib_event_msg, 0xf6ed3334, "");
SYMBOL_CRC(ib_wc_status_msg, 0xe5840ec6, "");
SYMBOL_CRC(ib_rate_to_mult, 0xae956dce, "");
SYMBOL_CRC(mult_to_ib_rate, 0xe7b52e5f, "");
SYMBOL_CRC(ib_rate_to_mbps, 0x61d24c52, "");
SYMBOL_CRC(rdma_node_get_transport, 0xf5dedb30, "");
SYMBOL_CRC(rdma_port_get_link_layer, 0xc85937a2, "");
SYMBOL_CRC(__ib_alloc_pd, 0x7ca1e950, "");
SYMBOL_CRC(ib_dealloc_pd_user, 0xfe6a8884, "");
SYMBOL_CRC(rdma_copy_ah_attr, 0x04861864, "");
SYMBOL_CRC(rdma_replace_ah_attr, 0x7c12b648, "");
SYMBOL_CRC(rdma_move_ah_attr, 0xfe363490, "");
SYMBOL_CRC(rdma_create_ah, 0x978a1b5f, "");
SYMBOL_CRC(rdma_create_user_ah, 0xe6504fd2, "");
SYMBOL_CRC(ib_get_rdma_header_version, 0x00cd25ea, "");
SYMBOL_CRC(ib_get_gids_from_rdma_hdr, 0x58df5b94, "");
SYMBOL_CRC(ib_init_ah_attr_from_wc, 0xb6abf84a, "");
SYMBOL_CRC(rdma_move_grh_sgid_attr, 0x06a3c27e, "");
SYMBOL_CRC(rdma_destroy_ah_attr, 0xcf6b4bd9, "");
SYMBOL_CRC(ib_create_ah_from_wc, 0x8fcdf05f, "");
SYMBOL_CRC(rdma_modify_ah, 0xe729f585, "");
SYMBOL_CRC(rdma_query_ah, 0xc58c4231, "");
SYMBOL_CRC(rdma_destroy_ah_user, 0x9ce3a4e4, "");
SYMBOL_CRC(ib_create_srq_user, 0x8b7a61fb, "");
SYMBOL_CRC(ib_modify_srq, 0x77a5dc1b, "");
SYMBOL_CRC(ib_query_srq, 0x4cffb0b3, "");
SYMBOL_CRC(ib_destroy_srq_user, 0xc3c48085, "");
SYMBOL_CRC(ib_open_qp, 0x90cf5774, "");
SYMBOL_CRC(ib_create_qp_user, 0x614fabfd, "");
SYMBOL_CRC(ib_qp_usecnt_inc, 0xe7dd72b3, "");
SYMBOL_CRC(ib_qp_usecnt_dec, 0x9cf2b0e5, "");
SYMBOL_CRC(ib_create_qp_kernel, 0x52edee28, "");
SYMBOL_CRC(ib_modify_qp_is_ok, 0x73baf9a2, "");
SYMBOL_CRC(ib_modify_qp_with_udata, 0x2ad3cccd, "");
SYMBOL_CRC(ib_get_eth_speed, 0xd7683cc1, "");
SYMBOL_CRC(ib_modify_qp, 0x81619962, "");
SYMBOL_CRC(ib_query_qp, 0xb538fcda, "");
SYMBOL_CRC(ib_close_qp, 0xcd6d572f, "");
SYMBOL_CRC(ib_destroy_qp_user, 0x6b0552db, "");
SYMBOL_CRC(__ib_create_cq, 0xedc136a2, "");
SYMBOL_CRC(rdma_set_cq_moderation, 0x79d357dc, "");
SYMBOL_CRC(ib_destroy_cq_user, 0x88baaf1d, "");
SYMBOL_CRC(ib_resize_cq, 0x101881af, "");
SYMBOL_CRC(ib_reg_user_mr, 0x8d06ca75, "");
SYMBOL_CRC(ib_advise_mr, 0xdfc8b7d6, "");
SYMBOL_CRC(ib_dereg_mr_user, 0xe500bcfc, "");
SYMBOL_CRC(ib_alloc_mr, 0x590b073a, "");
SYMBOL_CRC(ib_alloc_mr_integrity, 0x36d6ca26, "");
SYMBOL_CRC(ib_attach_mcast, 0x375c1e17, "");
SYMBOL_CRC(ib_detach_mcast, 0x3eb9f1c2, "");
SYMBOL_CRC(ib_alloc_xrcd_user, 0xd0cc1ea0, "");
SYMBOL_CRC(ib_dealloc_xrcd_user, 0x4304ca1d, "");
SYMBOL_CRC(ib_create_wq, 0xffaee7a5, "");
SYMBOL_CRC(ib_destroy_wq_user, 0xff479fea, "");
SYMBOL_CRC(ib_check_mr_status, 0x6f207d7d, "");
SYMBOL_CRC(ib_set_vf_link_state, 0x65a316a4, "");
SYMBOL_CRC(ib_get_vf_config, 0x05c33894, "");
SYMBOL_CRC(ib_get_vf_stats, 0x17969387, "");
SYMBOL_CRC(ib_set_vf_guid, 0x0f4124ea, "");
SYMBOL_CRC(ib_get_vf_guid, 0x006ce737, "");
SYMBOL_CRC(ib_map_mr_sg_pi, 0x370cf49d, "");
SYMBOL_CRC(ib_map_mr_sg, 0x127de73a, "");
SYMBOL_CRC(ib_sg_to_pages, 0x0644b481, "");
SYMBOL_CRC(ib_drain_sq, 0xb7d6aa00, "");
SYMBOL_CRC(ib_drain_rq, 0xb2c4d6bf, "");
SYMBOL_CRC(ib_drain_qp, 0xafd9ffb9, "");
SYMBOL_CRC(rdma_alloc_netdev, 0x32cfd647, "");
SYMBOL_CRC(rdma_init_netdev, 0x1b91f8e7, "");
SYMBOL_CRC(__rdma_block_iter_start, 0x680e3cfd, "");
SYMBOL_CRC(__rdma_block_iter_next, 0x61373fd2, "");
SYMBOL_CRC(rdma_alloc_hw_stats_struct, 0x0d3354a6, "");
SYMBOL_CRC(rdma_free_hw_stats_struct, 0xc8d38664, "");
SYMBOL_CRC(ib_process_cq_direct, 0x9e96c386, "");
SYMBOL_CRC(__ib_alloc_cq, 0x6e5e7a36, "");
SYMBOL_CRC(__ib_alloc_cq_any, 0x08a5c586, "");
SYMBOL_CRC(ib_free_cq, 0xf87cad2d, "");
SYMBOL_CRC(ib_cq_pool_get, 0x8fdef5fa, "");
SYMBOL_CRC(ib_cq_pool_put, 0x767b6e06, "");
SYMBOL_CRC(rdma_rw_ctx_init, 0xb64c33df, "");
SYMBOL_CRC(rdma_rw_ctx_signature_init, 0xfbc0241a, "");
SYMBOL_CRC(rdma_rw_ctx_wrs, 0x2321c26a, "");
SYMBOL_CRC(rdma_rw_ctx_post, 0xaa127abf, "");
SYMBOL_CRC(rdma_rw_ctx_destroy, 0xeadd1340, "");
SYMBOL_CRC(rdma_rw_ctx_destroy_signature, 0x23a2899c, "");
SYMBOL_CRC(rdma_rw_mr_factor, 0x30701fec, "");
SYMBOL_CRC(ib_port_sysfs_get_ibdev_kobj, 0x57ddfb84, "");
SYMBOL_CRC(ib_port_register_client_groups, 0x0552868a, "");
SYMBOL_CRC(ib_port_unregister_client_groups, 0x1dca60f3, "");
SYMBOL_CRC(ib_wq, 0xdbd019c4, "_gpl");
SYMBOL_CRC(rdma_dev_access_netns, 0xa75e0a22, "");
SYMBOL_CRC(ibdev_printk, 0xfa44f74e, "");
SYMBOL_CRC(ibdev_emerg, 0xbd93dc09, "");
SYMBOL_CRC(ibdev_alert, 0xe25d0d88, "");
SYMBOL_CRC(ibdev_crit, 0xe59ce44a, "");
SYMBOL_CRC(ibdev_err, 0x201ebb28, "");
SYMBOL_CRC(ibdev_warn, 0x4360d4ba, "");
SYMBOL_CRC(ibdev_notice, 0x10cf3ca4, "");
SYMBOL_CRC(ibdev_info, 0x83c70399, "");
SYMBOL_CRC(ib_device_put, 0xb6b9a287, "");
SYMBOL_CRC(ib_device_get_by_name, 0x1eb531c2, "");
SYMBOL_CRC(_ib_alloc_device, 0x3aff9ce5, "");
SYMBOL_CRC(ib_dealloc_device, 0x2ec9c50a, "");
SYMBOL_CRC(ib_port_immutable_read, 0x2b0151cc, "");
SYMBOL_CRC(ib_get_device_fw_str, 0xc7ed7303, "");
SYMBOL_CRC(ib_register_device, 0x851b933c, "");
SYMBOL_CRC(ib_unregister_device, 0x7dd66b83, "");
SYMBOL_CRC(ib_unregister_device_and_put, 0x8c937d2c, "");
SYMBOL_CRC(ib_unregister_driver, 0xd0478dc4, "");
SYMBOL_CRC(ib_unregister_device_queued, 0x57225885, "");
SYMBOL_CRC(ib_register_client, 0x747f2da4, "");
SYMBOL_CRC(ib_unregister_client, 0xf2461c5b, "");
SYMBOL_CRC(ib_set_client_data, 0x0983f10e, "");
SYMBOL_CRC(ib_register_event_handler, 0x0ce4db5c, "");
SYMBOL_CRC(ib_unregister_event_handler, 0x4a9044db, "");
SYMBOL_CRC(ib_query_port, 0xef84880e, "");
SYMBOL_CRC(ib_device_set_netdev, 0xf556be0d, "");
SYMBOL_CRC(ib_device_get_by_netdev, 0x2c890ccf, "");
SYMBOL_CRC(ib_query_pkey, 0x123325de, "");
SYMBOL_CRC(ib_modify_device, 0xab82a467, "");
SYMBOL_CRC(ib_modify_port, 0x665a45af, "");
SYMBOL_CRC(ib_find_gid, 0x13a962ed, "");
SYMBOL_CRC(ib_find_pkey, 0x2180fe7d, "");
SYMBOL_CRC(ib_get_net_dev_by_params, 0xf99d5e27, "");
SYMBOL_CRC(ib_set_device_ops, 0xf61cffb8, "");
SYMBOL_CRC(ib_dma_virt_map_sg, 0xb5ed74bb, "");
SYMBOL_CRC(zgid, 0x434c5d10, "");
SYMBOL_CRC(ib_cache_gid_type_str, 0x55bb02f3, "");
SYMBOL_CRC(rdma_is_zero_gid, 0x6f3614b6, "");
SYMBOL_CRC(ib_cache_gid_parse_type_str, 0x90e807c7, "");
SYMBOL_CRC(rdma_find_gid_by_port, 0x6fdfe028, "");
SYMBOL_CRC(rdma_query_gid, 0xdcd4593e, "");
SYMBOL_CRC(rdma_read_gid_hw_context, 0xffc8c1ea, "");
SYMBOL_CRC(rdma_find_gid, 0xc9d1fc34, "");
SYMBOL_CRC(ib_get_cached_pkey, 0x937a0add, "");
SYMBOL_CRC(ib_get_cached_subnet_prefix, 0x6bcb3188, "");
SYMBOL_CRC(ib_find_cached_pkey, 0xcfc18dbe, "");
SYMBOL_CRC(ib_find_exact_cached_pkey, 0x14b979fd, "");
SYMBOL_CRC(ib_get_cached_lmc, 0x803ccac6, "");
SYMBOL_CRC(ib_get_cached_port_state, 0x14b7318f, "");
SYMBOL_CRC(rdma_get_gid_attr, 0x88625b42, "");
SYMBOL_CRC(rdma_query_gid_table, 0x08d9b51d, "");
SYMBOL_CRC(rdma_put_gid_attr, 0xc2e6bdf5, "");
SYMBOL_CRC(rdma_hold_gid_attr, 0x6bcb6cde, "");
SYMBOL_CRC(rdma_read_gid_attr_ndev_rcu, 0x7ec4fdf5, "");
SYMBOL_CRC(rdma_read_gid_l2_fields, 0xffaed8df, "");
SYMBOL_CRC(ib_dispatch_event, 0xfa8a8e34, "");
SYMBOL_CRC(rdma_nl_chk_listeners, 0x45fb8985, "");
SYMBOL_CRC(rdma_nl_register, 0x1198c0c5, "");
SYMBOL_CRC(rdma_nl_unregister, 0x75a729a0, "");
SYMBOL_CRC(ibnl_put_msg, 0xcea93393, "");
SYMBOL_CRC(ibnl_put_attr, 0xb52651c9, "");
SYMBOL_CRC(rdma_nl_unicast, 0xea3f2c38, "");
SYMBOL_CRC(rdma_nl_unicast_wait, 0x12370eee, "");
SYMBOL_CRC(rdma_nl_multicast, 0x34aed242, "");
SYMBOL_CRC(roce_gid_type_mask_support, 0x1b9a35b4, "");
SYMBOL_CRC(rdma_roce_rescan_device, 0x063dea23, "");
SYMBOL_CRC(ib_mr_pool_get, 0xe34f20df, "");
SYMBOL_CRC(ib_mr_pool_put, 0x0a6a84ba, "");
SYMBOL_CRC(ib_mr_pool_init, 0x34141b7c, "");
SYMBOL_CRC(ib_mr_pool_destroy, 0x3016a56b, "");
SYMBOL_CRC(rdma_addr_size, 0x70807834, "");
SYMBOL_CRC(rdma_addr_size_in6, 0xd6636ca6, "");
SYMBOL_CRC(rdma_addr_size_kss, 0x305e5701, "");
SYMBOL_CRC(rdma_copy_src_l2_addr, 0xc030514d, "");
SYMBOL_CRC(rdma_translate_ip, 0x78da8876, "");
SYMBOL_CRC(rdma_resolve_ip, 0xaf863bc7, "");
SYMBOL_CRC(rdma_addr_cancel, 0x39dd2d0c, "");
SYMBOL_CRC(ib_sa_register_client, 0x0c86f5cb, "");
SYMBOL_CRC(ib_sa_unregister_client, 0x439ce33c, "");
SYMBOL_CRC(ib_sa_cancel_query, 0xda0d50ec, "");
SYMBOL_CRC(ib_init_ah_attr_from_path, 0x5c94df03, "");
SYMBOL_CRC(ib_sa_unpack_path, 0xd21bb37a, "");
SYMBOL_CRC(ib_sa_pack_path, 0xb4c40040, "");
SYMBOL_CRC(ib_sa_path_rec_get, 0xaaae56b6, "");
SYMBOL_CRC(ib_sa_guid_info_rec_query, 0xaf18528b, "");
SYMBOL_CRC(ib_sa_join_multicast, 0x3c3446eb, "");
SYMBOL_CRC(ib_sa_free_multicast, 0x4e90435c, "");
SYMBOL_CRC(ib_sa_get_mcmember_rec, 0x45c60236, "");
SYMBOL_CRC(ib_init_ah_from_mcmember, 0x72e21c81, "");
SYMBOL_CRC(ib_response_mad, 0x4e155af0, "");
SYMBOL_CRC(ib_register_mad_agent, 0xfdc2d3ad, "");
SYMBOL_CRC(ib_unregister_mad_agent, 0xeeedd54b, "");
SYMBOL_CRC(ib_mad_kernel_rmpp_agent, 0x5c7423ea, "");
SYMBOL_CRC(ib_create_send_mad, 0xe1a212ec, "");
SYMBOL_CRC(ib_get_mad_data_offset, 0x787ccc4c, "");
SYMBOL_CRC(ib_is_mad_class_rmpp, 0x613b1e2e, "");
SYMBOL_CRC(ib_get_rmpp_segment, 0xbfb9858d, "");
SYMBOL_CRC(ib_free_send_mad, 0x04ca5d19, "");
SYMBOL_CRC(ib_post_send_mad, 0x7dbadc35, "");
SYMBOL_CRC(ib_free_recv_mad, 0xcc149376, "");
SYMBOL_CRC(ib_modify_mad, 0x6db35db0, "");
SYMBOL_CRC(rdma_nl_put_driver_string, 0xb2035c4a, "");
SYMBOL_CRC(rdma_nl_put_driver_u32, 0xda503abb, "");
SYMBOL_CRC(rdma_nl_put_driver_u32_hex, 0x84c3ba64, "");
SYMBOL_CRC(rdma_nl_put_driver_u64, 0x1321fb07, "");
SYMBOL_CRC(rdma_nl_put_driver_u64_hex, 0xf6e519f6, "");
SYMBOL_CRC(rdma_nl_stat_hwcounter_entry, 0xabd06ed7, "");
SYMBOL_CRC(rdma_link_register, 0xeef864ac, "");
SYMBOL_CRC(rdma_link_unregister, 0x17166926, "");
SYMBOL_CRC(rdma_restrack_count, 0x7a040e2d, "");
SYMBOL_CRC(rdma_restrack_set_name, 0x29b54230, "");
SYMBOL_CRC(rdma_restrack_parent_name, 0xb7e49f2d, "");
SYMBOL_CRC(rdma_restrack_new, 0x4a215734, "");
SYMBOL_CRC(rdma_restrack_add, 0x9fe0c45b, "");
SYMBOL_CRC(rdma_restrack_get, 0x956763ad, "");
SYMBOL_CRC(rdma_restrack_get_byid, 0x509c8a67, "");
SYMBOL_CRC(rdma_restrack_put, 0x4936c313, "");
SYMBOL_CRC(rdma_restrack_del, 0xad181a90, "");
SYMBOL_CRC(rdma_umap_priv_init, 0x8c51e546, "");
SYMBOL_CRC(rdma_user_mmap_io, 0xe5a5b645, "");
SYMBOL_CRC(rdma_user_mmap_entry_get_pgoff, 0x975ef07c, "");
SYMBOL_CRC(rdma_user_mmap_entry_get, 0x7c6ea6fc, "");
SYMBOL_CRC(rdma_user_mmap_entry_put, 0xf4683c84, "");
SYMBOL_CRC(rdma_user_mmap_entry_remove, 0x480cc559, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert_range, 0x7a785aa8, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert, 0xcff4b4a6, "");
SYMBOL_CRC(ib_create_qp_security, 0xa94a7636, "");
SYMBOL_CRC(ib_rdmacg_try_charge, 0xd26d5df5, "");
SYMBOL_CRC(ib_rdmacg_uncharge, 0x090c4ae2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1c153357, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x14e75498, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x42684d3e, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x131a6146, "xa_clear_mark" },
	{ 0x8d10a62, "bpf_trace_run1" },
	{ 0x2f38ab01, "device_del" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9f76baf4, "_raw_write_unlock_irq" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xd88d81f0, "netdev_get_xmit_slave" },
	{ 0xfb578fc5, "memset" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xece784c2, "rb_first" },
	{ 0x6690a2bb, "__neigh_event_send" },
	{ 0xb0be1aed, "dev_printk_emit" },
	{ 0xf47937a4, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x838fc730, "skb_trim" },
	{ 0xfc0ccf1e, "netdev_has_upper_dev_all_rcu" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f7f7bb4, "irq_poll_disable" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x594cd51f, "netdev_walk_all_upper_dev_rcu" },
	{ 0xe0942c61, "bpf_trace_run3" },
	{ 0x54307a13, "__put_net" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x47a1d41c, "_dev_notice" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x415cab5f, "neigh_destroy" },
	{ 0x60ede69c, "kobject_del" },
	{ 0x55254fa2, "trace_event_buffer_reserve" },
	{ 0x5e6787cc, "dma_map_sgtable" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x93067637, "param_ops_bool" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xcfeb7b30, "netdev_master_upper_dev_get_rcu" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x554ae3a4, "irq_poll_sched" },
	{ 0xba5f8145, "dev_get_by_name" },
	{ 0x5fb53a16, "netlink_ns_capable" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x8da81df9, "dst_release" },
	{ 0x1efa7f5b, "kobject_uevent" },
	{ 0xda027d4b, "rdmacg_uncharge" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0x2f2e91b2, "security_ib_alloc_security" },
	{ 0x18888d00, "downgrade_write" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf738d1be, "register_blocking_lsm_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xcbadbc62, "vlan_dev_vlan_id" },
	{ 0xe42dfeee, "dma_unmap_sg_attrs" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xab3697e4, "irq_poll_init" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0xd7c18895, "ipv6_chk_addr" },
	{ 0x9da0ba4, "xa_set_mark" },
	{ 0x754d539c, "strlen" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x7cf19c, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x50be748d, "security_ib_free_security" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7ef13251, "netlink_has_listeners" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xb0b8b7e8, "register_pernet_device" },
	{ 0x3059133e, "get_net_ns_by_fd" },
	{ 0xd18ebda1, "class_register" },
	{ 0xe1a8d7c9, "net_rwsem" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f0c17b, "kobject_put" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x557fa65c, "__netlink_dump_start" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x1757935, "rdmacg_register_device" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x6887d9b8, "rdmacg_try_charge" },
	{ 0xe82b72e3, "netdev_walk_all_lower_dev_rcu" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb1c89cea, "bpf_trace_run4" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xc94b8682, "__nlmsg_put" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x79856fee, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x19160e4d, "dev_set_name" },
	{ 0xc55b3cb0, "ip6_dst_hoplimit" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa4cbedd, "trace_raw_output_prep" },
	{ 0x1b6865c, "xa_get_mark" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0x88cce6a0, "xas_find_marked" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe8e0ed1e, "__trace_trigger_soft_disabled" },
	{ 0x3279e0ed, "dma_unmap_page_attrs" },
	{ 0x65a259b6, "trace_event_printf" },
	{ 0x812f3d63, "__ip_dev_find" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xa8a1bb8, "sysfs_remove_groups" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0xc3af45f2, "__put_task_struct" },
	{ 0x1b777357, "rdmacg_unregister_device" },
	{ 0x39c9d88c, "xas_find" },
	{ 0x52348b57, "kobject_init" },
	{ 0xd428971f, "device_initialize" },
	{ 0x2e6ffc01, "__dynamic_ibdev_dbg" },
	{ 0xd923865c, "sysfs_create_groups" },
	{ 0x5b50ae95, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd80ab91, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x82e3fa83, "in6_dev_finish_destroy" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0x250d8c41, "__netlink_kernel_create" },
	{ 0xe8690ce1, "bpf_trace_run2" },
	{ 0x51dc391f, "ip_route_output_flow" },
	{ 0xe1740888, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5da8aca0, "__dynamic_dev_dbg" },
	{ 0x88822d38, "unregister_blocking_lsm_notifier" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xf697cd5a, "netlink_ack" },
	{ 0xd7d280ad, "irq_poll_complete" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcf5dbc8d, "device_rename" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3aca0190, "_raw_write_lock_irq" },
	{ 0xe168fe48, "dev_driver_string" },
	{ 0x7816f98d, "trace_event_buffer_commit" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x211a607e, "dma_map_page_attrs" },
	{ 0x9212808a, "alloc_netdev_mqs" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x489f6e0b, "rdma_dim" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xef39ce92, "put_device" },
	{ 0x157de0e5, "netlink_broadcast" },
	{ 0x6dced87a, "net_ns_type_operations" },
	{ 0xe58090ca, "security_ib_endport_manage_subnet" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xeaeba39b, "__alloc_skb" },
	{ 0xe0daa662, "netlink_capable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0x3f89071b, "security_ib_pkey_access" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xa3247669, "__task_pid_nr_ns" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x79e31868, "vlan_dev_real_dev" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x6435d0f9, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0xb853f55d, "_dev_err" },
	{ 0x7abf16e4, "init_net" },
	{ 0x7e49736d, "kobject_add" },
	{ 0xce807a25, "up_write" },
	{ 0x6497b2b8, "ipv6_stub" },
	{ 0x92836a8b, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x150c287d, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb075fe75, "netlink_unicast" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x85e87fd5, "dev_get_by_index" },
	{ 0x86564197, "kfree_skb_reason" },
	{ 0xb04a43ad, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc25338ec, "skb_push" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xd5a43273, "nla_put" },
	{ 0x5122d8a0, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x6052eb62, "netlink_kernel_release" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AED4C6A4649F1A1CCCC0C92");
