#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rdma_event_msg, "", "");
KSYMTAB_FUNC(rdma_reject_msg, "", "");
KSYMTAB_FUNC(rdma_consumer_reject_data, "", "");
KSYMTAB_FUNC(rdma_iw_cm_id, "", "");
KSYMTAB_FUNC(rdma_res_to_id, "", "");
KSYMTAB_FUNC(__rdma_create_kernel_id, "", "");
KSYMTAB_FUNC(rdma_create_user_id, "", "");
KSYMTAB_FUNC(rdma_create_qp, "", "");
KSYMTAB_FUNC(rdma_destroy_qp, "", "");
KSYMTAB_FUNC(rdma_init_qp_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_id, "", "");
KSYMTAB_FUNC(rdma_get_service_id, "", "");
KSYMTAB_FUNC(rdma_read_gids, "", "");
KSYMTAB_FUNC(rdma_set_service_type, "", "");
KSYMTAB_FUNC(rdma_set_ack_timeout, "", "");
KSYMTAB_FUNC(rdma_set_min_rnr_timer, "", "");
KSYMTAB_FUNC(rdma_set_ib_path, "", "");
KSYMTAB_FUNC(rdma_resolve_route, "", "");
KSYMTAB_FUNC(rdma_set_reuseaddr, "", "");
KSYMTAB_FUNC(rdma_set_afonly, "", "");
KSYMTAB_FUNC(rdma_listen, "", "");
KSYMTAB_FUNC(rdma_resolve_addr, "", "");
KSYMTAB_FUNC(rdma_bind_addr, "", "");
KSYMTAB_FUNC(rdma_connect_locked, "", "");
KSYMTAB_FUNC(rdma_connect, "", "");
KSYMTAB_FUNC(rdma_connect_ece, "", "");
KSYMTAB_FUNC(rdma_accept, "", "");
KSYMTAB_FUNC(rdma_accept_ece, "", "");
KSYMTAB_FUNC(rdma_lock_handler, "", "");
KSYMTAB_FUNC(rdma_unlock_handler, "", "");
KSYMTAB_FUNC(rdma_notify, "", "");
KSYMTAB_FUNC(rdma_reject, "", "");
KSYMTAB_FUNC(rdma_disconnect, "", "");
KSYMTAB_FUNC(rdma_join_multicast, "", "");
KSYMTAB_FUNC(rdma_leave_multicast, "", "");

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0xed17e101, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0x96a1ac54, "");
SYMBOL_CRC(rdma_iw_cm_id, 0xcb2d7583, "");
SYMBOL_CRC(rdma_res_to_id, 0xc9e93aee, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0xaab7670b, "");
SYMBOL_CRC(rdma_create_user_id, 0xc7f0683f, "");
SYMBOL_CRC(rdma_create_qp, 0x3a5aaea3, "");
SYMBOL_CRC(rdma_destroy_qp, 0xc2894a87, "");
SYMBOL_CRC(rdma_init_qp_attr, 0xd78fecd4, "");
SYMBOL_CRC(rdma_destroy_id, 0xe3914911, "");
SYMBOL_CRC(rdma_get_service_id, 0x2897c0a4, "");
SYMBOL_CRC(rdma_read_gids, 0x02c96bd3, "");
SYMBOL_CRC(rdma_set_service_type, 0x9ed1232c, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0x77acb888, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0x4fcbd323, "");
SYMBOL_CRC(rdma_set_ib_path, 0xef9deab7, "");
SYMBOL_CRC(rdma_resolve_route, 0x38df345b, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0x1909b000, "");
SYMBOL_CRC(rdma_set_afonly, 0xe80f9b81, "");
SYMBOL_CRC(rdma_listen, 0xd344aee7, "");
SYMBOL_CRC(rdma_resolve_addr, 0x9ce33c49, "");
SYMBOL_CRC(rdma_bind_addr, 0xe2e41b3f, "");
SYMBOL_CRC(rdma_connect_locked, 0xc6af30de, "");
SYMBOL_CRC(rdma_connect, 0xd3436cd0, "");
SYMBOL_CRC(rdma_connect_ece, 0x3fdaf89d, "");
SYMBOL_CRC(rdma_accept, 0x502b00e6, "");
SYMBOL_CRC(rdma_accept_ece, 0x2ceeb91d, "");
SYMBOL_CRC(rdma_lock_handler, 0x792be759, "");
SYMBOL_CRC(rdma_unlock_handler, 0xb6199abb, "");
SYMBOL_CRC(rdma_notify, 0xeb7a7a56, "");
SYMBOL_CRC(rdma_reject, 0xafd33bfa, "");
SYMBOL_CRC(rdma_disconnect, 0x180a15ff, "");
SYMBOL_CRC(rdma_join_multicast, 0x371c4324, "");
SYMBOL_CRC(rdma_leave_multicast, 0x3417ce1b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x747f2da4, "ib_register_client" },
	{ 0xaaae56b6, "ib_sa_path_rec_get" },
	{ 0x294fde7d, "ib_create_cm_id" },
	{ 0xd7fd0f52, "__ip_mc_dec_group" },
	{ 0x79e31868, "vlan_dev_real_dev" },
	{ 0x439ce33c, "ib_sa_unregister_client" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x6435d0f9, "perf_trace_run_bpf_submit" },
	{ 0x72e21c81, "ib_init_ah_from_mcmember" },
	{ 0xcf6b4bd9, "rdma_destroy_ah_attr" },
	{ 0x983f10e, "ib_set_client_data" },
	{ 0x7abf16e4, "init_net" },
	{ 0x937a0add, "ib_get_cached_pkey" },
	{ 0x9bc53f9d, "configfs_register_subsystem" },
	{ 0x60ab8f83, "configfs_remove_default_groups" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xc2e6bdf5, "rdma_put_gid_attr" },
	{ 0xfba56811, "config_group_init_type_name" },
	{ 0x85e87fd5, "dev_get_by_index" },
	{ 0x49bfe40a, "iw_destroy_cm_id" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x7f6b4853, "ib_send_cm_rep" },
	{ 0x5122d8a0, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x12e6cc21, "iw_cm_disconnect" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0x8d10a62, "bpf_trace_run1" },
	{ 0x6b0552db, "ib_destroy_qp_user" },
	{ 0xe2e2ddd6, "unregister_pernet_subsys" },
	{ 0xe088c3b5, "ib_cm_init_qp_attr" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0xc4eef6d0, "ib_send_cm_drep" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x29b54230, "rdma_restrack_set_name" },
	{ 0xf99d5e27, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0x14b7318f, "ib_get_cached_port_state" },
	{ 0xb663a4d0, "ib_send_cm_mra" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xad181a90, "rdma_restrack_del" },
	{ 0x81619962, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xe0942c61, "bpf_trace_run3" },
	{ 0x54307a13, "__put_net" },
	{ 0xb7e49f2d, "rdma_restrack_parent_name" },
	{ 0xdd64e639, "strscpy" },
	{ 0x21a8a4b6, "iw_cm_accept" },
	{ 0x55254fa2, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6d2df33b, "config_item_put" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf9acdaf1, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0xc00d096d, "iw_cm_init_qp_attr" },
	{ 0x8da81df9, "dst_release" },
	{ 0xde0f1f26, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x3508c65e, "ib_send_cm_dreq" },
	{ 0x163e48b6, "ib_send_cm_req" },
	{ 0x52edee28, "ib_create_qp_kernel" },
	{ 0x3c3446eb, "ib_sa_join_multicast" },
	{ 0x1b9a35b4, "roce_gid_type_mask_support" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x88625b42, "rdma_get_gid_attr" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x4a215734, "rdma_restrack_new" },
	{ 0x8a2a7dc0, "__fib_lookup" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xad74026a, "iw_cm_listen" },
	{ 0x96a77ff7, "ib_send_cm_rej" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc030514d, "rdma_copy_src_l2_addr" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0xaf863bc7, "rdma_resolve_ip" },
	{ 0xc7297c3e, "ib_send_cm_sidr_req" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x829641d4, "iw_create_cm_id" },
	{ 0xf9e107c3, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xf2461c5b, "ib_unregister_client" },
	{ 0xe82b72e3, "netdev_walk_all_lower_dev_rcu" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xaa727bd6, "ib_send_cm_sidr_rep" },
	{ 0xb1c89cea, "bpf_trace_run4" },
	{ 0x44a7185d, "config_group_init" },
	{ 0x5c94df03, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x6fdfe028, "rdma_find_gid_by_port" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa4cbedd, "trace_raw_output_prep" },
	{ 0xd20e720d, "ib_cm_insert_listen" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe8e0ed1e, "__trace_trigger_soft_disabled" },
	{ 0x65a259b6, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc86f5cb, "ib_sa_register_client" },
	{ 0x5b50ae95, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xdcd4593e, "rdma_query_gid" },
	{ 0x5d3575af, "rt6_lookup" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0x78da8876, "rdma_translate_ip" },
	{ 0xe8690ce1, "bpf_trace_run2" },
	{ 0xa75e0a22, "rdma_dev_access_netns" },
	{ 0xc0426082, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x89eead8f, "ib_destroy_cm_id" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4569b576, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x46bd3ea6, "register_pernet_subsys" },
	{ 0x7816f98d, "trace_event_buffer_commit" },
	{ 0xf4cea1cf, "ip_mc_inc_group" },
	{ 0x7ec4fdf5, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xcfc18dbe, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x35c15b22, "iw_cm_connect" },
	{ 0x9fe0c45b, "rdma_restrack_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x39dd2d0c, "rdma_addr_cancel" },
	{ 0x78f3fd86, "ib_cm_notify" },
	{ 0xa916b694, "strnlen" },
	{ 0x45c60236, "ib_sa_get_mcmember_rec" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "ib_core,ib_cm,iw_cm");


MODULE_INFO(srcversion, "3FA75D30E04992D116E2E22");
