#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cec_allocate_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_register_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_unregister_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_delete_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_get_edid_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_fill_conn_info_from_drm, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_cec_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_hpd_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_5v_event, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_attempt_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_msg, "_gpl", "");
KSYMTAB_FUNC(cec_received_msg_ts, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr_from_edid, "_gpl", "");
KSYMTAB_FUNC(cec_s_conn_info, "_gpl", "");
KSYMTAB_FUNC(cec_s_log_addrs, "_gpl", "");

SYMBOL_CRC(cec_allocate_adapter, 0x9af4e304, "_gpl");
SYMBOL_CRC(cec_register_adapter, 0x85fb4327, "_gpl");
SYMBOL_CRC(cec_unregister_adapter, 0x21514e63, "_gpl");
SYMBOL_CRC(cec_delete_adapter, 0x1bdb0f27, "_gpl");
SYMBOL_CRC(cec_get_edid_phys_addr, 0xbe4de675, "_gpl");
SYMBOL_CRC(cec_fill_conn_info_from_drm, 0xe6e0c7c7, "_gpl");
SYMBOL_CRC(cec_queue_pin_cec_event, 0xdb0ee0c5, "_gpl");
SYMBOL_CRC(cec_queue_pin_hpd_event, 0xd7de1031, "_gpl");
SYMBOL_CRC(cec_queue_pin_5v_event, 0x9934b3cf, "_gpl");
SYMBOL_CRC(cec_transmit_done_ts, 0x569b5338, "_gpl");
SYMBOL_CRC(cec_transmit_attempt_done_ts, 0xd53067b5, "_gpl");
SYMBOL_CRC(cec_transmit_msg, 0x79a1e9d1, "_gpl");
SYMBOL_CRC(cec_received_msg_ts, 0x7f58efd8, "_gpl");
SYMBOL_CRC(cec_s_phys_addr, 0xf62d6ddf, "_gpl");
SYMBOL_CRC(cec_s_phys_addr_from_edid, 0x17cfbb53, "_gpl");
SYMBOL_CRC(cec_s_conn_info, 0x336a27c3, "_gpl");
SYMBOL_CRC(cec_s_log_addrs, 0x45db47a0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe1740888, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1a53c964, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xaa1d402a, "cdev_device_add" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdf3edb1e, "debugfs_create_devm_seqfile" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xef39ce92, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc6cbbc89, "capable" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf4b0bda5, "bus_unregister" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6ca64ef8, "debugfs_remove" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xd697f068, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xd7d4b590, "kthread_create_on_node" },
	{ 0x61409eae, "seq_read" },
	{ 0xdd64e639, "strscpy" },
	{ 0x6e7f1d4a, "debugfs_create_file" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x93067637, "param_ops_bool" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xf920e2a9, "kobject_set_name" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7109424, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xab23235b, "seq_puts" },
	{ 0xcb5f3d33, "single_release" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x7cf19c, "param_ops_int" },
	{ 0x998f32e, "single_open" },
	{ 0xf29606ab, "debugfs_create_dir" },
	{ 0x740638f5, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0x55252989, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x19160e4d, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xba0b481c, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xd428971f, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xdfc6e05a, "seq_lseek" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9B1E263B1469480FEDAF739");
