#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(media_device_register_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_init, "_gpl", "");
KSYMTAB_FUNC(media_device_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_device_register, "_gpl", "");
KSYMTAB_FUNC(media_device_register_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister, "_gpl", "");
KSYMTAB_FUNC(media_device_pci_init, "_gpl", "");
KSYMTAB_FUNC(__media_device_usb_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_entity_pads_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_start, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_next, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_alloc_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_pad_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_init, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_entity_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_get_pad_index, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_link, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_find_link, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_first, "_gpl", "");
KSYMTAB_FUNC(media_entity_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_entity_get_fwnode_pad, "_gpl", "");
KSYMTAB_FUNC(media_entity_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_pad_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_devnode_create, "_gpl", "");
KSYMTAB_FUNC(media_devnode_remove, "_gpl", "");
KSYMTAB_FUNC(media_create_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_create_ancillary_link, "_gpl", "");
KSYMTAB_FUNC(__media_entity_next_link, "_gpl", "");
KSYMTAB_FUNC(media_request_put, "_gpl", "");
KSYMTAB_FUNC(media_request_get_by_fd, "_gpl", "");
KSYMTAB_FUNC(media_request_object_find, "_gpl", "");
KSYMTAB_FUNC(media_request_object_put, "_gpl", "");
KSYMTAB_FUNC(media_request_object_init, "_gpl", "");
KSYMTAB_FUNC(media_request_object_bind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_unbind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_complete, "_gpl", "");
KSYMTAB_FUNC(media_device_usb_allocate, "_gpl", "");
KSYMTAB_FUNC(media_device_delete, "_gpl", "");

SYMBOL_CRC(media_device_register_entity, 0xc1ba229e, "_gpl");
SYMBOL_CRC(media_device_unregister_entity, 0x92559c04, "_gpl");
SYMBOL_CRC(media_device_init, 0xe189a76d, "_gpl");
SYMBOL_CRC(media_device_cleanup, 0xc8de7bbc, "_gpl");
SYMBOL_CRC(__media_device_register, 0x03e56eed, "_gpl");
SYMBOL_CRC(media_device_register_entity_notify, 0x5518ac8b, "_gpl");
SYMBOL_CRC(media_device_unregister_entity_notify, 0x4f52841b, "_gpl");
SYMBOL_CRC(media_device_unregister, 0x651092c4, "_gpl");
SYMBOL_CRC(media_device_pci_init, 0x6cc51627, "_gpl");
SYMBOL_CRC(__media_device_usb_init, 0xb93a4c35, "_gpl");
SYMBOL_CRC(media_entity_enum_init, 0xf3a64a94, "_gpl");
SYMBOL_CRC(media_entity_enum_cleanup, 0xe5ceecd6, "_gpl");
SYMBOL_CRC(media_entity_pads_init, 0x1ad9be22, "_gpl");
SYMBOL_CRC(media_graph_walk_init, 0xe85d0772, "_gpl");
SYMBOL_CRC(media_graph_walk_cleanup, 0x765d3ae1, "_gpl");
SYMBOL_CRC(media_graph_walk_start, 0x4b351e63, "_gpl");
SYMBOL_CRC(media_graph_walk_next, 0xfad91d29, "_gpl");
SYMBOL_CRC(__media_pipeline_start, 0x3fc2d4ee, "_gpl");
SYMBOL_CRC(media_pipeline_start, 0x2e3f710a, "_gpl");
SYMBOL_CRC(__media_pipeline_stop, 0x03201e9b, "_gpl");
SYMBOL_CRC(media_pipeline_stop, 0xd142f8cd, "_gpl");
SYMBOL_CRC(media_pipeline_alloc_start, 0x77046b8f, "_gpl");
SYMBOL_CRC(__media_pipeline_pad_iter_next, 0x9c8fb1ce, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_init, 0xa2ef607d, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_cleanup, 0x65dd67e0, "_gpl");
SYMBOL_CRC(__media_pipeline_entity_iter_next, 0xcb03f28d, "_gpl");
SYMBOL_CRC(media_get_pad_index, 0x12f8e612, "_gpl");
SYMBOL_CRC(media_create_pad_link, 0xcd30a814, "_gpl");
SYMBOL_CRC(media_create_pad_links, 0xc12a6e0f, "_gpl");
SYMBOL_CRC(__media_entity_remove_links, 0xd3030f7f, "_gpl");
SYMBOL_CRC(media_entity_remove_links, 0xd42bfb8d, "_gpl");
SYMBOL_CRC(__media_entity_setup_link, 0xd2e7682b, "_gpl");
SYMBOL_CRC(media_entity_setup_link, 0x3aed304e, "_gpl");
SYMBOL_CRC(media_entity_find_link, 0x014b80cc, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_first, 0xb3cfb657, "_gpl");
SYMBOL_CRC(media_entity_remote_pad_unique, 0xeae3f9e7, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_unique, 0x85a24f35, "_gpl");
SYMBOL_CRC(media_entity_get_fwnode_pad, 0xdc1e2d16, "_gpl");
SYMBOL_CRC(media_entity_pipeline, 0x64e47a7a, "_gpl");
SYMBOL_CRC(media_pad_pipeline, 0xa67926bd, "_gpl");
SYMBOL_CRC(media_devnode_create, 0x7af8befe, "_gpl");
SYMBOL_CRC(media_devnode_remove, 0x5746dc2a, "_gpl");
SYMBOL_CRC(media_create_intf_link, 0x036e2661, "_gpl");
SYMBOL_CRC(__media_remove_intf_link, 0x89e1185b, "_gpl");
SYMBOL_CRC(media_remove_intf_link, 0xf5fe5eea, "_gpl");
SYMBOL_CRC(__media_remove_intf_links, 0x14a8222c, "_gpl");
SYMBOL_CRC(media_remove_intf_links, 0x471c99e8, "_gpl");
SYMBOL_CRC(media_create_ancillary_link, 0x960723d0, "_gpl");
SYMBOL_CRC(__media_entity_next_link, 0x5155af9c, "_gpl");
SYMBOL_CRC(media_request_put, 0xba050fb6, "_gpl");
SYMBOL_CRC(media_request_get_by_fd, 0x16d16c0f, "_gpl");
SYMBOL_CRC(media_request_object_find, 0x8b788ebd, "_gpl");
SYMBOL_CRC(media_request_object_put, 0x5dd99b1b, "_gpl");
SYMBOL_CRC(media_request_object_init, 0x0e85eb70, "_gpl");
SYMBOL_CRC(media_request_object_bind, 0xe0e80866, "_gpl");
SYMBOL_CRC(media_request_object_unbind, 0xea92805f, "_gpl");
SYMBOL_CRC(media_request_object_complete, 0xd0c037a6, "_gpl");
SYMBOL_CRC(media_device_usb_allocate, 0xcd7f9488, "_gpl");
SYMBOL_CRC(media_device_delete, 0xccc8a93c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xaa1d402a, "cdev_device_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xef39ce92, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xf5fe45c0, "fwnode_graph_parse_endpoint" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8e90385d, "module_put" },
	{ 0xd47100f3, "device_create_file" },
	{ 0xf4b0bda5, "bus_unregister" },
	{ 0xf8f37fbe, "fput" },
	{ 0xb853f55d, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xffb7c514, "ida_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfb578fc5, "memset" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x19f71f6c, "platform_bus_type" },
	{ 0xf920e2a9, "kobject_set_name" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x740638f5, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2d590fb7, "pci_bus_type" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0xd401cc06, "device_remove_file" },
	{ 0x55252989, "bus_register" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x6f8442c4, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x2dbd60db, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x19160e4d, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xba0b481c, "cdev_device_del" },
	{ 0xd428971f, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x4e9db8f, "fd_install" },
	{ 0x37a0cba, "kfree" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe1740888, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x5da8aca0, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CF86D0ACBEF32F787BD9709");
