#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(gspca_debug, "", "");
KSYMTAB_FUNC(gspca_frame_add, "", "");
KSYMTAB_FUNC(gspca_dev_probe2, "", "");
KSYMTAB_FUNC(gspca_dev_probe, "", "");
KSYMTAB_FUNC(gspca_disconnect, "", "");
KSYMTAB_FUNC(gspca_suspend, "", "");
KSYMTAB_FUNC(gspca_resume, "", "");
KSYMTAB_FUNC(gspca_expo_autogain, "", "");
KSYMTAB_FUNC(gspca_coarse_grained_expo_autogain, "", "");

SYMBOL_CRC(gspca_debug, 0x9670af2c, "");
SYMBOL_CRC(gspca_frame_add, 0x99823e2a, "");
SYMBOL_CRC(gspca_dev_probe2, 0xc4f3a9f3, "");
SYMBOL_CRC(gspca_dev_probe, 0x6c60f119, "");
SYMBOL_CRC(gspca_disconnect, 0x7383f158, "");
SYMBOL_CRC(gspca_suspend, 0x176c6c54, "");
SYMBOL_CRC(gspca_resume, 0x9fb16d9d, "");
SYMBOL_CRC(gspca_expo_autogain, 0x1f175989, "");
SYMBOL_CRC(gspca_coarse_grained_expo_autogain, 0xbf8405e9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd1057b46, "vb2_ioctl_dqbuf" },
	{ 0x8e5ebf3d, "usb_free_coherent" },
	{ 0xa4c641fa, "vb2_ioctl_create_bufs" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x966dff2f, "vb2_buffer_done" },
	{ 0x31b995bb, "vb2_plane_vaddr" },
	{ 0xff010255, "v4l2_ctrl_subscribe_event" },
	{ 0x32cf5cb1, "usb_set_interface" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xcd0a104b, "video_unregister_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x52f928f7, "vb2_ioctl_qbuf" },
	{ 0x9982032f, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x60dcabda, "vb2_vmalloc_memops" },
	{ 0xf3f9b93a, "v4l2_device_disconnect" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcea85979, "vb2_fop_read" },
	{ 0xbcd41d3a, "v4l2_device_register" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc78f143e, "__video_register_device" },
	{ 0x52694df1, "vb2_ops_wait_prepare" },
	{ 0x3283fb69, "usb_kill_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x8dfe0125, "vb2_ioctl_streamon" },
	{ 0x32a5c408, "vb2_fop_poll" },
	{ 0x769f8cca, "v4l2_ctrl_g_ctrl" },
	{ 0x4262d962, "v4l2_ctrl_handler_free" },
	{ 0x2079d563, "v4l2_device_unregister" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x7cf19c, "param_ops_int" },
	{ 0x7a12c07e, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb5163fa1, "v4l2_event_unsubscribe" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0xdaeb8668, "vb2_ioctl_reqbufs" },
	{ 0xd714524c, "vb2_queue_init" },
	{ 0xb28be58a, "input_allocate_device" },
	{ 0x241026cc, "usb_alloc_urb" },
	{ 0xaccbb035, "video_ioctl2" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xf43fcd82, "usb_free_urb" },
	{ 0xe580c40f, "v4l2_device_put" },
	{ 0xbf04d3e0, "vb2_ioctl_streamoff" },
	{ 0xefdb31f6, "usb_alloc_coherent" },
	{ 0x9fa66340, "vb2_ioctl_expbuf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xde2b7d95, "usb_ifnum_to_if" },
	{ 0xead51949, "vb2_ops_wait_finish" },
	{ 0x75e84ec1, "input_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5438aa10, "vb2_ioctl_querybuf" },
	{ 0x1a950c2f, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa8440fde, "input_free_device" },
	{ 0x122c3a7e, "_printk" },
	{ 0x7fd171c0, "usb_clear_halt" },
	{ 0xc1a26958, "v4l2_ctrl_handler_setup" },
	{ 0xf9bd5fd8, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7a1c6cf9, "video_devdata" },
	{ 0xc1c940fc, "vb2_queue_error" },
	{ 0xc3afb851, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x22e74c30, "usb_submit_urb" },
	{ 0xbdab051c, "__v4l2_ctrl_s_ctrl" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,videobuf2-common,videodev,videobuf2-vmalloc");


MODULE_INFO(srcversion, "92526AC430C4F2C0BCBCF7F");
