#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mmc_command_done, "", "");
KSYMTAB_FUNC(mmc_request_done, "", "");
KSYMTAB_FUNC(mmc_start_request, "", "");
KSYMTAB_FUNC(mmc_wait_for_req_done, "", "");
KSYMTAB_FUNC(mmc_cqe_start_req, "", "");
KSYMTAB_FUNC(mmc_cqe_request_done, "", "");
KSYMTAB_FUNC(mmc_cqe_post_req, "", "");
KSYMTAB_FUNC(mmc_cqe_recovery, "", "");
KSYMTAB_FUNC(mmc_is_req_done, "", "");
KSYMTAB_FUNC(mmc_wait_for_req, "", "");
KSYMTAB_FUNC(mmc_wait_for_cmd, "", "");
KSYMTAB_FUNC(mmc_set_data_timeout, "", "");
KSYMTAB_FUNC(__mmc_claim_host, "", "");
KSYMTAB_FUNC(mmc_release_host, "", "");
KSYMTAB_FUNC(mmc_get_card, "", "");
KSYMTAB_FUNC(mmc_put_card, "", "");
KSYMTAB_FUNC(mmc_detect_change, "", "");
KSYMTAB_FUNC(mmc_erase, "", "");
KSYMTAB_FUNC(mmc_can_erase, "", "");
KSYMTAB_FUNC(mmc_can_trim, "", "");
KSYMTAB_FUNC(mmc_can_discard, "", "");
KSYMTAB_FUNC(mmc_can_secure_erase_trim, "", "");
KSYMTAB_FUNC(mmc_erase_group_aligned, "", "");
KSYMTAB_FUNC(mmc_calc_max_discard, "", "");
KSYMTAB_FUNC(mmc_card_is_blockaddr, "", "");
KSYMTAB_FUNC(mmc_set_blocklen, "", "");
KSYMTAB_FUNC(mmc_hw_reset, "", "");
KSYMTAB_FUNC(mmc_sw_reset, "", "");
KSYMTAB_FUNC(mmc_detect_card_removed, "", "");
KSYMTAB_FUNC(mmc_card_alternative_gpt_sector, "", "");
KSYMTAB_FUNC(mmc_register_driver, "", "");
KSYMTAB_FUNC(mmc_unregister_driver, "", "");
KSYMTAB_FUNC(mmc_retune_pause, "", "");
KSYMTAB_FUNC(mmc_retune_unpause, "", "");
KSYMTAB_FUNC(mmc_retune_timer_stop, "", "");
KSYMTAB_FUNC(mmc_retune_release, "", "");
KSYMTAB_FUNC(mmc_of_parse_clk_phase, "", "");
KSYMTAB_FUNC(mmc_of_parse, "", "");
KSYMTAB_FUNC(mmc_of_parse_voltage, "", "");
KSYMTAB_FUNC(mmc_alloc_host, "", "");
KSYMTAB_FUNC(devm_mmc_alloc_host, "", "");
KSYMTAB_FUNC(mmc_add_host, "", "");
KSYMTAB_FUNC(mmc_remove_host, "", "");
KSYMTAB_FUNC(mmc_free_host, "", "");
KSYMTAB_FUNC(__mmc_send_status, "_gpl", "");
KSYMTAB_FUNC(mmc_send_status, "_gpl", "");
KSYMTAB_FUNC(mmc_get_ext_csd, "_gpl", "");
KSYMTAB_FUNC(__mmc_poll_for_busy, "_gpl", "");
KSYMTAB_FUNC(mmc_poll_for_busy, "_gpl", "");
KSYMTAB_FUNC(mmc_prepare_busy_cmd, "_gpl", "");
KSYMTAB_FUNC(mmc_switch, "_gpl", "");
KSYMTAB_FUNC(mmc_send_tuning, "_gpl", "");
KSYMTAB_FUNC(mmc_send_abort_tuning, "_gpl", "");
KSYMTAB_FUNC(mmc_run_bkops, "", "");
KSYMTAB_FUNC(mmc_cmdq_enable, "_gpl", "");
KSYMTAB_FUNC(mmc_cmdq_disable, "_gpl", "");
KSYMTAB_FUNC(mmc_sanitize, "_gpl", "");
KSYMTAB_FUNC(mmc_app_cmd, "_gpl", "");
KSYMTAB_FUNC(mmc_sd_switch, "_gpl", "");
KSYMTAB_FUNC(sdio_register_driver, "_gpl", "");
KSYMTAB_FUNC(sdio_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(sdio_claim_host, "_gpl", "");
KSYMTAB_FUNC(sdio_release_host, "_gpl", "");
KSYMTAB_FUNC(sdio_enable_func, "_gpl", "");
KSYMTAB_FUNC(sdio_disable_func, "_gpl", "");
KSYMTAB_FUNC(sdio_set_block_size, "_gpl", "");
KSYMTAB_FUNC(sdio_align_size, "_gpl", "");
KSYMTAB_FUNC(sdio_readb, "_gpl", "");
KSYMTAB_FUNC(sdio_writeb, "_gpl", "");
KSYMTAB_FUNC(sdio_writeb_readb, "_gpl", "");
KSYMTAB_FUNC(sdio_memcpy_fromio, "_gpl", "");
KSYMTAB_FUNC(sdio_memcpy_toio, "_gpl", "");
KSYMTAB_FUNC(sdio_readsb, "_gpl", "");
KSYMTAB_FUNC(sdio_writesb, "_gpl", "");
KSYMTAB_FUNC(sdio_readw, "_gpl", "");
KSYMTAB_FUNC(sdio_writew, "_gpl", "");
KSYMTAB_FUNC(sdio_readl, "_gpl", "");
KSYMTAB_FUNC(sdio_writel, "_gpl", "");
KSYMTAB_FUNC(sdio_f0_readb, "_gpl", "");
KSYMTAB_FUNC(sdio_f0_writeb, "_gpl", "");
KSYMTAB_FUNC(sdio_get_host_pm_caps, "_gpl", "");
KSYMTAB_FUNC(sdio_set_host_pm_flags, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_crc_disable, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_crc_enable, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_hold_now, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_release, "_gpl", "");
KSYMTAB_FUNC(sdio_signal_irq, "_gpl", "");
KSYMTAB_FUNC(sdio_claim_irq, "_gpl", "");
KSYMTAB_FUNC(sdio_release_irq, "_gpl", "");
KSYMTAB_FUNC(mmc_gpio_set_cd_irq, "", "");
KSYMTAB_FUNC(mmc_gpio_get_ro, "", "");
KSYMTAB_FUNC(mmc_gpio_get_cd, "", "");
KSYMTAB_FUNC(mmc_gpiod_request_cd_irq, "", "");
KSYMTAB_FUNC(mmc_gpio_set_cd_wake, "", "");
KSYMTAB_FUNC(mmc_gpio_set_cd_isr, "", "");
KSYMTAB_FUNC(mmc_gpiod_request_cd, "", "");
KSYMTAB_FUNC(mmc_gpiod_set_cd_config, "", "");
KSYMTAB_FUNC(mmc_can_gpio_cd, "", "");
KSYMTAB_FUNC(mmc_gpiod_request_ro, "", "");
KSYMTAB_FUNC(mmc_can_gpio_ro, "", "");
KSYMTAB_FUNC(mmc_regulator_get_supply, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_enable_vqmmc, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_disable_vqmmc, "_gpl", "");

SYMBOL_CRC(mmc_command_done, 0x10096457, "");
SYMBOL_CRC(mmc_request_done, 0x6a759edb, "");
SYMBOL_CRC(mmc_start_request, 0xe2ee59e8, "");
SYMBOL_CRC(mmc_wait_for_req_done, 0x8bf65259, "");
SYMBOL_CRC(mmc_cqe_start_req, 0x18fecc80, "");
SYMBOL_CRC(mmc_cqe_request_done, 0x498353fc, "");
SYMBOL_CRC(mmc_cqe_post_req, 0x11cd4545, "");
SYMBOL_CRC(mmc_cqe_recovery, 0x9cf9943a, "");
SYMBOL_CRC(mmc_is_req_done, 0x6871afc4, "");
SYMBOL_CRC(mmc_wait_for_req, 0x0f155a0e, "");
SYMBOL_CRC(mmc_wait_for_cmd, 0x9971fc32, "");
SYMBOL_CRC(mmc_set_data_timeout, 0x11a536b7, "");
SYMBOL_CRC(__mmc_claim_host, 0xd23ef887, "");
SYMBOL_CRC(mmc_release_host, 0x6483e71f, "");
SYMBOL_CRC(mmc_get_card, 0x6a10dc9f, "");
SYMBOL_CRC(mmc_put_card, 0x0050c15f, "");
SYMBOL_CRC(mmc_detect_change, 0xaf88d5a9, "");
SYMBOL_CRC(mmc_erase, 0x37ac363f, "");
SYMBOL_CRC(mmc_can_erase, 0x1aa33434, "");
SYMBOL_CRC(mmc_can_trim, 0x5604e2fb, "");
SYMBOL_CRC(mmc_can_discard, 0x45966c87, "");
SYMBOL_CRC(mmc_can_secure_erase_trim, 0x44ff0640, "");
SYMBOL_CRC(mmc_erase_group_aligned, 0xfe160050, "");
SYMBOL_CRC(mmc_calc_max_discard, 0xcef709b4, "");
SYMBOL_CRC(mmc_card_is_blockaddr, 0xbd49c4a6, "");
SYMBOL_CRC(mmc_set_blocklen, 0x85b6b663, "");
SYMBOL_CRC(mmc_hw_reset, 0xe92c0fc5, "");
SYMBOL_CRC(mmc_sw_reset, 0x99f8e43d, "");
SYMBOL_CRC(mmc_detect_card_removed, 0x2fa20589, "");
SYMBOL_CRC(mmc_card_alternative_gpt_sector, 0x07c2d723, "");
SYMBOL_CRC(mmc_register_driver, 0x0f191343, "");
SYMBOL_CRC(mmc_unregister_driver, 0xaa15c595, "");
SYMBOL_CRC(mmc_retune_pause, 0x97d76b86, "");
SYMBOL_CRC(mmc_retune_unpause, 0x26bf5c8d, "");
SYMBOL_CRC(mmc_retune_timer_stop, 0xfa1163d5, "");
SYMBOL_CRC(mmc_retune_release, 0x45b7c54e, "");
SYMBOL_CRC(mmc_of_parse_clk_phase, 0x74437785, "");
SYMBOL_CRC(mmc_of_parse, 0xa33f0988, "");
SYMBOL_CRC(mmc_of_parse_voltage, 0x34ecc567, "");
SYMBOL_CRC(mmc_alloc_host, 0xeb37742f, "");
SYMBOL_CRC(devm_mmc_alloc_host, 0x85772266, "");
SYMBOL_CRC(mmc_add_host, 0xc51cc66c, "");
SYMBOL_CRC(mmc_remove_host, 0x7960fd44, "");
SYMBOL_CRC(mmc_free_host, 0x7dede476, "");
SYMBOL_CRC(__mmc_send_status, 0xe4268bce, "_gpl");
SYMBOL_CRC(mmc_send_status, 0xa755e0e4, "_gpl");
SYMBOL_CRC(mmc_get_ext_csd, 0x048ebadc, "_gpl");
SYMBOL_CRC(__mmc_poll_for_busy, 0xab1a3759, "_gpl");
SYMBOL_CRC(mmc_poll_for_busy, 0x8f28ee9f, "_gpl");
SYMBOL_CRC(mmc_prepare_busy_cmd, 0xb3be23cb, "_gpl");
SYMBOL_CRC(mmc_switch, 0xfce3e5ed, "_gpl");
SYMBOL_CRC(mmc_send_tuning, 0x9340fb84, "_gpl");
SYMBOL_CRC(mmc_send_abort_tuning, 0x7e252280, "_gpl");
SYMBOL_CRC(mmc_run_bkops, 0x0455124f, "");
SYMBOL_CRC(mmc_cmdq_enable, 0xda5e4ec4, "_gpl");
SYMBOL_CRC(mmc_cmdq_disable, 0x6c0fec79, "_gpl");
SYMBOL_CRC(mmc_sanitize, 0xf1b1eb44, "_gpl");
SYMBOL_CRC(mmc_app_cmd, 0x33ef0c4f, "_gpl");
SYMBOL_CRC(mmc_sd_switch, 0xc71d477c, "_gpl");
SYMBOL_CRC(sdio_register_driver, 0xdfea4b38, "_gpl");
SYMBOL_CRC(sdio_unregister_driver, 0x472e893a, "_gpl");
SYMBOL_CRC(sdio_claim_host, 0xa1a19e60, "_gpl");
SYMBOL_CRC(sdio_release_host, 0x03483bca, "_gpl");
SYMBOL_CRC(sdio_enable_func, 0xb7fadd9d, "_gpl");
SYMBOL_CRC(sdio_disable_func, 0xbaf6fa7b, "_gpl");
SYMBOL_CRC(sdio_set_block_size, 0xe46d229f, "_gpl");
SYMBOL_CRC(sdio_align_size, 0xbd500368, "_gpl");
SYMBOL_CRC(sdio_readb, 0x6e4cbbcb, "_gpl");
SYMBOL_CRC(sdio_writeb, 0xce50594f, "_gpl");
SYMBOL_CRC(sdio_writeb_readb, 0xca7de4aa, "_gpl");
SYMBOL_CRC(sdio_memcpy_fromio, 0x450dc84f, "_gpl");
SYMBOL_CRC(sdio_memcpy_toio, 0xf810d56e, "_gpl");
SYMBOL_CRC(sdio_readsb, 0xd7ef7aba, "_gpl");
SYMBOL_CRC(sdio_writesb, 0x96ddff89, "_gpl");
SYMBOL_CRC(sdio_readw, 0x8225bed7, "_gpl");
SYMBOL_CRC(sdio_writew, 0x58cc9a0d, "_gpl");
SYMBOL_CRC(sdio_readl, 0xfa2596c9, "_gpl");
SYMBOL_CRC(sdio_writel, 0x9053be05, "_gpl");
SYMBOL_CRC(sdio_f0_readb, 0x679d7a83, "_gpl");
SYMBOL_CRC(sdio_f0_writeb, 0x2ab14877, "_gpl");
SYMBOL_CRC(sdio_get_host_pm_caps, 0x6959c89e, "_gpl");
SYMBOL_CRC(sdio_set_host_pm_flags, 0xb2c222d0, "_gpl");
SYMBOL_CRC(sdio_retune_crc_disable, 0xe1599e3f, "_gpl");
SYMBOL_CRC(sdio_retune_crc_enable, 0x30bcfb89, "_gpl");
SYMBOL_CRC(sdio_retune_hold_now, 0x84c79553, "_gpl");
SYMBOL_CRC(sdio_retune_release, 0x111e0a24, "_gpl");
SYMBOL_CRC(sdio_signal_irq, 0x0b226e00, "_gpl");
SYMBOL_CRC(sdio_claim_irq, 0xcfaeafcf, "_gpl");
SYMBOL_CRC(sdio_release_irq, 0x3d9ed02e, "_gpl");
SYMBOL_CRC(mmc_gpio_set_cd_irq, 0x3e2b0722, "");
SYMBOL_CRC(mmc_gpio_get_ro, 0xd4fdc5c7, "");
SYMBOL_CRC(mmc_gpio_get_cd, 0xf339b411, "");
SYMBOL_CRC(mmc_gpiod_request_cd_irq, 0x103b5a8d, "");
SYMBOL_CRC(mmc_gpio_set_cd_wake, 0x0a40e54a, "");
SYMBOL_CRC(mmc_gpio_set_cd_isr, 0x06205ca8, "");
SYMBOL_CRC(mmc_gpiod_request_cd, 0x25735130, "");
SYMBOL_CRC(mmc_gpiod_set_cd_config, 0x62996f5e, "");
SYMBOL_CRC(mmc_can_gpio_cd, 0xd14c1ebd, "");
SYMBOL_CRC(mmc_gpiod_request_ro, 0x968bf7f0, "");
SYMBOL_CRC(mmc_can_gpio_ro, 0x5835753b, "");
SYMBOL_CRC(mmc_regulator_get_supply, 0x1744cad9, "_gpl");
SYMBOL_CRC(mmc_regulator_enable_vqmmc, 0x01a6b0f2, "_gpl");
SYMBOL_CRC(mmc_regulator_disable_vqmmc, 0x2b1e9dbb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x507d2361, "devm_gpiod_get_index" },
	{ 0x1c153357, "class_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xd697f068, "kthread_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x2f38ab01, "device_del" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd7d4b590, "kthread_create_on_node" },
	{ 0x18af0d7f, "devm_kasprintf" },
	{ 0x61409eae, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa903ea5c, "gpiod_cansleep" },
	{ 0x6e7f1d4a, "debugfs_create_file" },
	{ 0x635d265b, "gpiod_is_active_low" },
	{ 0x55254fa2, "trace_event_buffer_reserve" },
	{ 0xa0c04ee5, "__pm_runtime_resume" },
	{ 0xbe54ae88, "debugfs_create_x32" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x93067637, "param_ops_bool" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x7109424, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xcb5f3d33, "single_release" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x23b0d948, "__pm_runtime_suspend" },
	{ 0xcd79daba, "set_primary_fwnode" },
	{ 0x45e170d9, "led_trigger_event" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x998f32e, "single_open" },
	{ 0xa44e0c7f, "gpiod_set_consumer_name" },
	{ 0x308ad3c, "__pm_runtime_disable" },
	{ 0xf29606ab, "debugfs_create_dir" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x3298e05b, "driver_register" },
	{ 0xd18ebda1, "class_register" },
	{ 0xe733d41b, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8ff38073, "__dev_fwnode" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0x55252989, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x134b7c5f, "gpiod_get_value_cansleep" },
	{ 0xe914e41e, "strcpy" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xe150e193, "device_property_present" },
	{ 0x239b90a, "wakeup_source_register" },
	{ 0xfcf41aeb, "is_acpi_device_node" },
	{ 0xd46a0d6f, "simple_attr_open" },
	{ 0x211ce9ad, "devm_request_threaded_irq" },
	{ 0x1f9d1937, "debugfs_attr_write" },
	{ 0xfc6ec21f, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x19160e4d, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa4cbedd, "trace_raw_output_prep" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe8e0ed1e, "__trace_trigger_soft_disabled" },
	{ 0x65a259b6, "trace_event_printf" },
	{ 0xa3d6e3bc, "led_trigger_register_simple" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd428971f, "device_initialize" },
	{ 0x5b50ae95, "trace_event_raw_init" },
	{ 0x71682b02, "gpiod_to_irq" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0xdfc6e05a, "seq_lseek" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x8309ed, "gpiod_toggle_active_low" },
	{ 0x31d708b3, "dev_pm_domain_attach" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe8690ce1, "bpf_trace_run2" },
	{ 0xe5dcb4e3, "gpiod_get_value" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xfb2d8b7a, "led_trigger_unregister_simple" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe1740888, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5da8aca0, "__dynamic_dev_dbg" },
	{ 0x4c74cc38, "sched_set_fifo_low" },
	{ 0xef8591fd, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x1a53c964, "wake_up_process" },
	{ 0x7816f98d, "trace_event_buffer_commit" },
	{ 0xf61def1a, "pm_generic_runtime_resume" },
	{ 0xb4a74f10, "pm_generic_resume" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb512f731, "__pm_runtime_set_status" },
	{ 0xcbfa523, "pm_wakeup_ws_event" },
	{ 0x98d8b43c, "gpiod_set_config" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xad83abed, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xef39ce92, "put_device" },
	{ 0x631da867, "pm_runtime_enable" },
	{ 0xdbe919e0, "device_property_read_u32_array" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x591b192f, "_dev_info" },
	{ 0xb81a9c52, "gpiod_set_debounce" },
	{ 0x1a470c7e, "dev_pm_domain_detach" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc8f7fc92, "pm_generic_runtime_suspend" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x2860af2c, "pm_generic_suspend" },
	{ 0xf02d5644, "debugfs_attr_read" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x6435d0f9, "perf_trace_run_bpf_submit" },
	{ 0xf4b0bda5, "bus_unregister" },
	{ 0xb853f55d, "_dev_err" },
	{ 0x16bfe39, "debugfs_create_file_unsafe" },
	{ 0x150c287d, "device_add" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0x2717c154, "simple_attr_release" },
	{ 0x30283d27, "wakeup_source_unregister" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6ca64ef8, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x9a510220, "__devres_alloc_node" },
	{ 0x5122d8a0, "trace_event_reg" },
	{ 0xffb7c514, "ida_free" },
	{ 0xad3d97e3, "driver_unregister" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CEB9CE7487B9834EB08E453");
