#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mtd_table_mutex, "_gpl", "");
KSYMTAB_FUNC(__mtd_next_device, "_gpl", "");
KSYMTAB_FUNC(mtd_check_expert_analysis_mode, "_gpl", "");
KSYMTAB_FUNC(mtd_wunit_to_pairing_info, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_info_to_wunit, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_groups, "_gpl", "");
KSYMTAB_FUNC(mtd_device_parse_register, "_gpl", "");
KSYMTAB_FUNC(mtd_device_unregister, "_gpl", "");
KSYMTAB_FUNC(register_mtd_user, "_gpl", "");
KSYMTAB_FUNC(unregister_mtd_user, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(of_get_mtd_device_by_node, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device_nm, "_gpl", "");
KSYMTAB_FUNC(put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(mtd_erase, "_gpl", "");
KSYMTAB_FUNC(mtd_point, "_gpl", "");
KSYMTAB_FUNC(mtd_unpoint, "_gpl", "");
KSYMTAB_FUNC(mtd_get_unmapped_area, "_gpl", "");
KSYMTAB_FUNC(mtd_read, "_gpl", "");
KSYMTAB_FUNC(mtd_write, "_gpl", "");
KSYMTAB_FUNC(mtd_panic_write, "_gpl", "");
KSYMTAB_FUNC(mtd_read_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_write_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_ecc, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_free, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_find_eccregion, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_freebytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_get_fact_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_fact_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_get_user_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_write_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_erase_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock, "_gpl", "");
KSYMTAB_FUNC(mtd_unlock, "_gpl", "");
KSYMTAB_FUNC(mtd_is_locked, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isreserved, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isbad, "_gpl", "");
KSYMTAB_FUNC(mtd_block_markbad, "_gpl", "");
KSYMTAB_FUNC(mtd_writev, "_gpl", "");
KSYMTAB_FUNC(mtd_kmalloc_up_to, "_gpl", "");
KSYMTAB_FUNC(get_tree_mtd, "_gpl", "");
KSYMTAB_FUNC(kill_mtd_super, "_gpl", "");
KSYMTAB_FUNC(mtd_concat_create, "", "");
KSYMTAB_FUNC(mtd_concat_destroy, "", "");
KSYMTAB_FUNC(mtd_add_partition, "_gpl", "");
KSYMTAB_FUNC(mtd_del_partition, "_gpl", "");
KSYMTAB_FUNC(__register_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(deregister_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(mtd_get_device_size, "_gpl", "");

SYMBOL_CRC(mtd_table_mutex, 0x50dabc2f, "_gpl");
SYMBOL_CRC(__mtd_next_device, 0xcd7c2623, "_gpl");
SYMBOL_CRC(mtd_check_expert_analysis_mode, 0xb7075882, "_gpl");
SYMBOL_CRC(mtd_wunit_to_pairing_info, 0x45d53cde, "_gpl");
SYMBOL_CRC(mtd_pairing_info_to_wunit, 0x1228cfec, "_gpl");
SYMBOL_CRC(mtd_pairing_groups, 0x5baa557e, "_gpl");
SYMBOL_CRC(mtd_device_parse_register, 0xb41bed61, "_gpl");
SYMBOL_CRC(mtd_device_unregister, 0xa8274aa5, "_gpl");
SYMBOL_CRC(register_mtd_user, 0x642d5d48, "_gpl");
SYMBOL_CRC(unregister_mtd_user, 0x717ee05f, "_gpl");
SYMBOL_CRC(get_mtd_device, 0x0105d8e9, "_gpl");
SYMBOL_CRC(__get_mtd_device, 0x1965295f, "_gpl");
SYMBOL_CRC(of_get_mtd_device_by_node, 0x566d9641, "_gpl");
SYMBOL_CRC(get_mtd_device_nm, 0x89caf87c, "_gpl");
SYMBOL_CRC(put_mtd_device, 0x08362d28, "_gpl");
SYMBOL_CRC(__put_mtd_device, 0xe32cb521, "_gpl");
SYMBOL_CRC(mtd_erase, 0xa5404817, "_gpl");
SYMBOL_CRC(mtd_point, 0x8761b421, "_gpl");
SYMBOL_CRC(mtd_unpoint, 0x093bcc32, "_gpl");
SYMBOL_CRC(mtd_get_unmapped_area, 0xfabe2e43, "_gpl");
SYMBOL_CRC(mtd_read, 0x00cada67, "_gpl");
SYMBOL_CRC(mtd_write, 0x40305fb8, "_gpl");
SYMBOL_CRC(mtd_panic_write, 0xcd2b068e, "_gpl");
SYMBOL_CRC(mtd_read_oob, 0x95ed9028, "_gpl");
SYMBOL_CRC(mtd_write_oob, 0xe229bb5a, "_gpl");
SYMBOL_CRC(mtd_ooblayout_ecc, 0xa4d9decf, "_gpl");
SYMBOL_CRC(mtd_ooblayout_free, 0x6b4047bb, "_gpl");
SYMBOL_CRC(mtd_ooblayout_find_eccregion, 0x549a7919, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_eccbytes, 0xa49b4e47, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_eccbytes, 0xd7c55b81, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_databytes, 0xbdfe2c77, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_databytes, 0xe9137a61, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_freebytes, 0x5e0200ec, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_eccbytes, 0x6dd62cd7, "_gpl");
SYMBOL_CRC(mtd_get_fact_prot_info, 0x67068e87, "_gpl");
SYMBOL_CRC(mtd_read_fact_prot_reg, 0x0e9c5ead, "_gpl");
SYMBOL_CRC(mtd_get_user_prot_info, 0x5f65fc84, "_gpl");
SYMBOL_CRC(mtd_read_user_prot_reg, 0xb52c990f, "_gpl");
SYMBOL_CRC(mtd_write_user_prot_reg, 0x3cb5f051, "_gpl");
SYMBOL_CRC(mtd_lock_user_prot_reg, 0x0e9c3c4c, "_gpl");
SYMBOL_CRC(mtd_erase_user_prot_reg, 0x5c5a7a04, "_gpl");
SYMBOL_CRC(mtd_lock, 0xb9dbb259, "_gpl");
SYMBOL_CRC(mtd_unlock, 0x24229529, "_gpl");
SYMBOL_CRC(mtd_is_locked, 0x05bfddeb, "_gpl");
SYMBOL_CRC(mtd_block_isreserved, 0x8d193bed, "_gpl");
SYMBOL_CRC(mtd_block_isbad, 0x38b48c4d, "_gpl");
SYMBOL_CRC(mtd_block_markbad, 0x27de1186, "_gpl");
SYMBOL_CRC(mtd_writev, 0xe53b9312, "_gpl");
SYMBOL_CRC(mtd_kmalloc_up_to, 0x15446456, "_gpl");
SYMBOL_CRC(get_tree_mtd, 0xe1b2f718, "_gpl");
SYMBOL_CRC(kill_mtd_super, 0x6e5ff8f0, "_gpl");
SYMBOL_CRC(mtd_concat_create, 0xa180838b, "");
SYMBOL_CRC(mtd_concat_destroy, 0x72f13acf, "");
SYMBOL_CRC(mtd_add_partition, 0x7c3bd4c0, "_gpl");
SYMBOL_CRC(mtd_del_partition, 0xaf222bd0, "_gpl");
SYMBOL_CRC(__register_mtd_parser, 0xafbd9dfa, "_gpl");
SYMBOL_CRC(deregister_mtd_parser, 0xecf6125a, "_gpl");
SYMBOL_CRC(mtd_get_device_size, 0xb9cd58e0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb8f11603, "idr_alloc" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x3b78df03, "device_create" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6ca64ef8, "debugfs_remove" },
	{ 0xc5460995, "fixed_size_llseek" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1c153357, "class_unregister" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x6b6564b5, "bdi_alloc" },
	{ 0x61ede170, "device_register" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x29458b4, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x7f8810b, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xffcaaff, "remove_proc_entry" },
	{ 0x9ee875a9, "sysfs_create_files" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7109424, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x127a9489, "deactivate_locked_super" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xab23235b, "seq_puts" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x140ebacd, "dev_err_probe" },
	{ 0xd7c469d6, "proc_create_single_data" },
	{ 0x65df4e0b, "nvmem_register" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xf29606ab, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd18ebda1, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xdd1a229b, "generic_shutdown_super" },
	{ 0x6f8442c4, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x20978fb9, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x70805972, "sget_dev" },
	{ 0xf912662c, "bdi_unregister" },
	{ 0x19160e4d, "dev_set_name" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x488494a0, "bdi_register" },
	{ 0x81335b6f, "device_unregister" },
	{ 0xcc39c03e, "nvmem_unregister" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x97a3e8ba, "logfc" },
	{ 0x774d3f80, "sysfs_remove_files" },
	{ 0x7f5865a6, "__module_get" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x122c3a7e, "_printk" },
	{ 0x11577754, "bdi_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xef39ce92, "put_device" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc6cbbc89, "capable" },
	{ 0x8e90385d, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xfd52a6b9, "debugfs_create_bool" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F791D9842983DCB762A2866");
