#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vnic_dev_get_res_count, "", "");
KSYMTAB_FUNC(vnic_dev_get_res, "", "");
KSYMTAB_FUNC(vnic_dev_unregister, "", "");
KSYMTAB_FUNC(vnic_dev_register, "", "");
KSYMTAB_FUNC(vnic_dev_get_pdev, "", "");
KSYMTAB_FUNC(enic_api_devcmd_proxy_by_index, "", "");

SYMBOL_CRC(vnic_dev_get_res_count, 0xdf713148, "");
SYMBOL_CRC(vnic_dev_get_res, 0x0b2f3f7c, "");
SYMBOL_CRC(vnic_dev_unregister, 0x3f7acbf3, "");
SYMBOL_CRC(vnic_dev_register, 0xcfa6eadf, "");
SYMBOL_CRC(vnic_dev_get_pdev, 0xe7bc3555, "");
SYMBOL_CRC(enic_api_devcmd_proxy_by_index, 0x69751eea, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xbfd51e1d, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0x591b192f, "_dev_info" },
	{ 0xc65d7017, "__hw_addr_unsync_dev" },
	{ 0x6a861570, "napi_gro_receive" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xee5da9e0, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0x84b241b0, "pci_enable_msi" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xb853f55d, "_dev_err" },
	{ 0xd1d1e3bb, "softnet_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x5b5ba85a, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xd1cd91f7, "netif_set_real_num_rx_queues" },
	{ 0xbb89a669, "dev_close" },
	{ 0xda754828, "dma_alloc_attrs" },
	{ 0xbe400d07, "pci_read_config_word" },
	{ 0x468fd87f, "napi_enable" },
	{ 0x9e7e1368, "netif_receive_skb" },
	{ 0xd5a43273, "nla_put" },
	{ 0xfd57cfc0, "register_netdev" },
	{ 0x19e7a957, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x478d2a9e, "ethtool_op_get_link" },
	{ 0xacec49d8, "netif_set_xps_queue" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x66e94de6, "netif_tx_wake_queue" },
	{ 0xb19b445, "ioread8" },
	{ 0xc3b1bf66, "dma_sync_single_for_cpu" },
	{ 0xfb578fc5, "memset" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0x6d57bd5c, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa405c525, "__pskb_pull_tail" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xa0cc62e3, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa5aa685b, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x56203072, "rps_may_expire_flow" },
	{ 0x62e6f572, "dma_free_attrs" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd4ef9091, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x91337c2c, "call_netdevice_notifiers" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf20f992a, "netif_carrier_off" },
	{ 0x6514c1e6, "flow_get_u32_src" },
	{ 0x342a8eec, "__hw_addr_sync_dev" },
	{ 0x7f2422a5, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x68b91085, "netif_carrier_on" },
	{ 0xd87896ba, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8941e0e8, "pci_disable_device" },
	{ 0x4396602e, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xe6975d2e, "__skb_flow_dissect" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x231634c, "__napi_schedule_irqoff" },
	{ 0xe496c9fc, "napi_schedule_prep" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xe9927733, "napi_disable" },
	{ 0xa0410ee2, "dev_kfree_skb_any_reason" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa4ed0033, "pci_enable_sriov" },
	{ 0x589d96cd, "skb_clone_tx_timestamp" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0x5b6f8c26, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xe921ae40, "alloc_etherdev_mqs" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x41ad1b21, "pci_find_ext_capability" },
	{ 0xa87083f1, "skb_copy_bits" },
	{ 0x79856fee, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x64dfaea7, "skb_tstamp_tx" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x788f0b04, "pci_enable_device_mem" },
	{ 0xe7251df7, "consume_skb" },
	{ 0xc33f127f, "pci_iomap" },
	{ 0x81f74173, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x8614e316, "unregister_netdev" },
	{ 0x3279e0ed, "dma_unmap_page_attrs" },
	{ 0xeebad00b, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xca675898, "pci_disable_msi" },
	{ 0xc8974b62, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5a99a0d7, "flow_get_u32_dst" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0xcbe08b58, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x2c145a85, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x469497b4, "__netif_napi_del" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb3ec0124, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x693a9460, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe168fe48, "dev_driver_string" },
	{ 0x7fc396cf, "dev_addr_mod" },
	{ 0x9d85e4dc, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x211a607e, "dma_map_page_attrs" },
	{ 0xf2dc7718, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001137d00000043sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001137d00000044sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001137d00000071sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "698D0B539A3E0B77BE7ABC4");
