#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(i40e_client_device_register, "_gpl", "");
KSYMTAB_FUNC(i40e_client_device_unregister, "_gpl", "");

SYMBOL_CRC(i40e_client_device_register, 0x2daca0ca, "_gpl");
SYMBOL_CRC(i40e_client_device_unregister, 0x204f5514, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x33e9a856, "netdev_set_sb_channel" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xc3b1bf66, "dma_sync_single_for_cpu" },
	{ 0xba826144, "dcb_getapp" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0xc41f5619, "flow_rule_match_ports" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xb7095c6c, "ptp_clock_event" },
	{ 0x62cc531e, "netif_schedule_queue" },
	{ 0x86d065c3, "__alloc_pages" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x6d57bd5c, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa5a207e4, "flow_rule_match_ipv6_addrs" },
	{ 0x1826ab8b, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xcb85c4e7, "ptp_clock_unregister" },
	{ 0xa405c525, "__pskb_pull_tail" },
	{ 0xc662ffda, "xp_dma_unmap" },
	{ 0xadc69a5f, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x17d29bbd, "netdev_unbind_sb_channel" },
	{ 0xa5aa685b, "dma_set_coherent_mask" },
	{ 0xe0942c61, "bpf_trace_run3" },
	{ 0x40e14a60, "__page_frag_cache_drain" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x78405ab9, "ipv6_find_hdr" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb9abd8f2, "netdev_bind_sb_channel_queue" },
	{ 0xdd64e639, "strscpy" },
	{ 0x6e7f1d4a, "debugfs_create_file" },
	{ 0x5a596141, "xsk_set_tx_need_wakeup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xfb0a0b60, "netdev_reset_tc" },
	{ 0x62e6f572, "dma_free_attrs" },
	{ 0x55254fa2, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x91337c2c, "call_netdevice_notifiers" },
	{ 0xa4af0565, "xp_set_rxq_info" },
	{ 0x13155ece, "flow_rule_match_vlan" },
	{ 0x30cd2966, "xdp_rxq_info_unreg" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x85e1c9ee, "napi_build_skb" },
	{ 0x3059a888, "__xdp_rxq_info_reg" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf20f992a, "netif_carrier_off" },
	{ 0x342a8eec, "__hw_addr_sync_dev" },
	{ 0x7f2422a5, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x68b91085, "netif_carrier_on" },
	{ 0xb95622eb, "netdev_set_num_tc" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xd87896ba, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x96f7ded7, "dev_uc_add_excl" },
	{ 0x8941e0e8, "pci_disable_device" },
	{ 0x3e13ca43, "xp_free" },
	{ 0xe845420a, "dev_mc_add_excl" },
	{ 0x5e91ecfa, "dev_uc_add" },
	{ 0x4396602e, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4e5d89fa, "_dev_crit" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0xd98744a1, "xdp_master_redirect" },
	{ 0x231634c, "__napi_schedule_irqoff" },
	{ 0xe496c9fc, "napi_schedule_prep" },
	{ 0x862328f7, "napi_consume_skb" },
	{ 0xb1cdd034, "pci_read_config_byte" },
	{ 0x99a43174, "xp_alloc_batch" },
	{ 0xe9927733, "napi_disable" },
	{ 0xa0410ee2, "dev_kfree_skb_any_reason" },
	{ 0x985181b3, "dcb_ieee_delapp" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xf29606ab, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xee11c9e, "flow_rule_match_control" },
	{ 0xa4ed0033, "pci_enable_sriov" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x589d96cd, "skb_clone_tx_timestamp" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x8611f13, "dcb_ieee_setapp" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7129d150, "ethtool_op_get_ts_info" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0x5b6f8c26, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc1f44981, "__tracepoint_xdp_exception" },
	{ 0xd2ce90d2, "xsk_tx_completed" },
	{ 0xe921ae40, "alloc_etherdev_mqs" },
	{ 0x986d6339, "pci_save_state" },
	{ 0x9a81cceb, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x234b6f17, "pcie_capability_read_word" },
	{ 0xbe1f2603, "device_set_wakeup_enable" },
	{ 0xa5629620, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x8620781c, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x41ad1b21, "pci_find_ext_capability" },
	{ 0xa6676980, "bpf_prog_put" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x73b70f93, "xp_dma_map" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xa87083f1, "skb_copy_bits" },
	{ 0xe7749017, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb9266da5, "pci_request_selected_regions" },
	{ 0x1026444d, "pci_release_selected_regions" },
	{ 0x45159ab1, "pci_wake_from_d3" },
	{ 0x64dfaea7, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x45d84045, "__napi_alloc_skb" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xb96971e9, "auxiliary_device_init" },
	{ 0x788f0b04, "pci_enable_device_mem" },
	{ 0xe7251df7, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x81f74173, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x36faa7ee, "xsk_tx_peek_release_desc_batch" },
	{ 0x35aebe6a, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa4cbedd, "trace_raw_output_prep" },
	{ 0xbcc2c8c9, "bpf_warn_invalid_xdp_action" },
	{ 0xaa8c2aa1, "ndo_dflt_bridge_getlink" },
	{ 0x8614e316, "unregister_netdev" },
	{ 0x8fcae89, "xdp_convert_zc_to_xdp_frame" },
	{ 0x7ae3f064, "xdp_features_set_redirect_target" },
	{ 0xe8e0ed1e, "__trace_trigger_soft_disabled" },
	{ 0x39ebaee0, "pci_get_device" },
	{ 0x3279e0ed, "dma_unmap_page_attrs" },
	{ 0xe8038cb6, "request_firmware" },
	{ 0x65a259b6, "trace_event_printf" },
	{ 0x9a58dd2d, "trace_print_bitmask_seq" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0xeebad00b, "__pci_register_driver" },
	{ 0x51e39b60, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0xee8eff27, "pci_num_vf" },
	{ 0xc2e5b91c, "flow_rule_match_eth_addrs" },
	{ 0x2b64d5e7, "skb_add_rx_frag" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xca675898, "pci_disable_msi" },
	{ 0x116d8311, "ptp_clock_index" },
	{ 0x5b50ae95, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0xc2e04ed2, "xdp_do_redirect" },
	{ 0xcbe08b58, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe8690ce1, "bpf_trace_run2" },
	{ 0x2c145a85, "netdev_warn" },
	{ 0x667cd131, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xbce62797, "pci_set_power_state" },
	{ 0x148653, "vsnprintf" },
	{ 0x877b02dd, "flow_rule_match_ipv4_addrs" },
	{ 0x469497b4, "__netif_napi_del" },
	{ 0xb8406521, "bpf_trace_run8" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x5da8aca0, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xb3ec0124, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x693a9460, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc401512a, "pskb_expand_head" },
	{ 0xe168fe48, "dev_driver_string" },
	{ 0x8105132a, "pci_restore_msi_state" },
	{ 0x7816f98d, "trace_event_buffer_commit" },
	{ 0x7fc396cf, "dev_addr_mod" },
	{ 0xfec17abf, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x2890c9ac, "ptp_find_pin" },
	{ 0x9d85e4dc, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x211a607e, "dma_map_page_attrs" },
	{ 0x8735ed3d, "irq_set_affinity_notifier" },
	{ 0xf2dc7718, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x764700f7, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xef39ce92, "put_device" },
	{ 0xe86b53e0, "__napi_schedule" },
	{ 0x8b857b42, "ipv6_skip_exthdr" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xbfd51e1d, "pci_enable_msix_range" },
	{ 0x292d1cc3, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x618911fc, "numa_node" },
	{ 0x5fd94173, "__free_pages" },
	{ 0xc65d7017, "__hw_addr_unsync_dev" },
	{ 0x591b192f, "_dev_info" },
	{ 0x6a861570, "napi_gro_receive" },
	{ 0x6e6605b4, "xdp_features_clear_redirect_target" },
	{ 0x8c5f0ff3, "pci_select_bars" },
	{ 0x2582e732, "netdev_pick_tx" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xa45a8fe8, "xp_raw_get_dma" },
	{ 0xf3bfba2b, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xdbd7b9c, "xdp_rxq_info_is_reg" },
	{ 0xcaf8c6f, "flow_block_cb_setup_simple" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7e10b26b, "flow_rule_match_basic" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x84b241b0, "pci_enable_msi" },
	{ 0x6435d0f9, "perf_trace_run_bpf_submit" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xb853f55d, "_dev_err" },
	{ 0xd1d1e3bb, "softnet_data" },
	{ 0x7d7cf115, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0xd63296c9, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xf760515a, "ptp_clock_register" },
	{ 0x5cd2ddf3, "ethtool_intersect_link_masks" },
	{ 0x748f4d74, "xp_dma_sync_for_cpu_slow" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5b5ba85a, "netif_set_real_num_tx_queues" },
	{ 0x2bd6f85c, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xd1cd91f7, "netif_set_real_num_rx_queues" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xda754828, "dma_alloc_attrs" },
	{ 0x6ca64ef8, "debugfs_remove" },
	{ 0xbe400d07, "pci_read_config_word" },
	{ 0x468fd87f, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x42f4c272, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x539d1127, "dcbnl_ieee_notify" },
	{ 0x8d07e477, "xsk_uses_need_wakeup" },
	{ 0xfd57cfc0, "register_netdev" },
	{ 0x5122d8a0, "trace_event_reg" },
	{ 0xffb7c514, "ida_free" },
	{ 0x19e7a957, "free_netdev" },
	{ 0xb126be56, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x478d2a9e, "ethtool_op_get_link" },
	{ 0x632e8345, "eth_platform_get_mac_address" },
	{ 0xacec49d8, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x3b450d2, "__SCK__tp_func_xdp_exception" },
	{ 0xb00e8468, "netif_tx_stop_all_queues" },
	{ 0x26dfd906, "pci_restore_state" },
	{ 0x66e94de6, "netif_tx_wake_queue" },
	{ 0x2f38ab01, "device_del" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00008086d00001572sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001574sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001580sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001581sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001583sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001584sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001585sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000DD2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001586sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001589sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015FFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000104Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000104Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037CEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037CFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000DDAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001587sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001588sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000CF8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000D58sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000158Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000158Bsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "D027019CFBA78A57F727A0A");
