#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ice_xdp_locking_key, "", "");
KSYMTAB_FUNC(ice_add_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_del_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_request_reset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_update_vsi_filter, "_gpl", "");
KSYMTAB_FUNC(ice_get_qos_params, "_gpl", "");

SYMBOL_CRC(ice_xdp_locking_key, 0x965ff908, "");
SYMBOL_CRC(ice_add_rdma_qset, 0x697121d2, "_gpl");
SYMBOL_CRC(ice_del_rdma_qset, 0xac742663, "_gpl");
SYMBOL_CRC(ice_rdma_request_reset, 0x37ff3fd9, "_gpl");
SYMBOL_CRC(ice_rdma_update_vsi_filter, 0x9b53b14d, "_gpl");
SYMBOL_CRC(ice_get_qos_params, 0x0b6552f7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb7095c6c, "ptp_clock_event" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0x62cc531e, "netif_schedule_queue" },
	{ 0x86d065c3, "__alloc_pages" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x6d57bd5c, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa5a207e4, "flow_rule_match_ipv6_addrs" },
	{ 0x1826ab8b, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcb85c4e7, "ptp_clock_unregister" },
	{ 0xa405c525, "__pskb_pull_tail" },
	{ 0xc662ffda, "xp_dma_unmap" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x14712d80, "switchdev_handle_port_obj_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd1f22273, "devl_unlock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xadc69a5f, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa5aa685b, "dma_set_coherent_mask" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xebac3714, "flow_rule_match_pppoe" },
	{ 0x6c8a285a, "flow_rule_match_enc_control" },
	{ 0xe0942c61, "bpf_trace_run3" },
	{ 0x40e14a60, "__page_frag_cache_drain" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x47a1d41c, "_dev_notice" },
	{ 0xdd64e639, "strscpy" },
	{ 0x63773969, "gnss_deregister_device" },
	{ 0x56203072, "rps_may_expire_flow" },
	{ 0x7b78a419, "metadata_dst_free" },
	{ 0x5a596141, "xsk_set_tx_need_wakeup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xfb0a0b60, "netdev_reset_tc" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xd24a011e, "devlink_params_register" },
	{ 0x55254fa2, "trace_event_buffer_reserve" },
	{ 0xfb5d0459, "kthread_destroy_worker" },
	{ 0xc9341184, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xb5906171, "flow_rule_match_enc_ports" },
	{ 0xc616bc59, "xdp_return_frame_bulk" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x91337c2c, "call_netdevice_notifiers" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x6c708c56, "pcie_print_link_status" },
	{ 0xa4af0565, "xp_set_rxq_info" },
	{ 0x13155ece, "flow_rule_match_vlan" },
	{ 0x30cd2966, "xdp_rxq_info_unreg" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x85e1c9ee, "napi_build_skb" },
	{ 0xcfeb7b30, "netdev_master_upper_dev_get_rcu" },
	{ 0x3059a888, "__xdp_rxq_info_reg" },
	{ 0x7020a8f6, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf20f992a, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0xd33ea1b9, "gnss_register_device" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x627ffb78, "devlink_priv" },
	{ 0x342a8eec, "__hw_addr_sync_dev" },
	{ 0x6143302e, "devlink_port_register_with_ops" },
	{ 0x7f2422a5, "pci_disable_sriov" },
	{ 0x5e48e842, "pldmfw_flash_image" },
	{ 0x82c5cab6, "kthread_queue_delayed_work" },
	{ 0x5d9cb9be, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x8da81df9, "dst_release" },
	{ 0x68b91085, "netif_carrier_on" },
	{ 0xb95622eb, "netdev_set_num_tc" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x96f7ded7, "dev_uc_add_excl" },
	{ 0x8941e0e8, "pci_disable_device" },
	{ 0x78d27962, "boot_cpu_data" },
	{ 0x3e13ca43, "xp_free" },
	{ 0xe845420a, "dev_mc_add_excl" },
	{ 0xb07819ff, "gnss_put_device" },
	{ 0x4396602e, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc001370d, "netif_set_tso_max_size" },
	{ 0xe6975d2e, "__skb_flow_dissect" },
	{ 0xcbadbc62, "vlan_dev_vlan_id" },
	{ 0x3f6a9080, "pci_msix_alloc_irq_at" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xa965e302, "pcim_iomap_table" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0xd98744a1, "xdp_master_redirect" },
	{ 0x3e5948d2, "__devm_add_action" },
	{ 0xe496c9fc, "napi_schedule_prep" },
	{ 0x862328f7, "napi_consume_skb" },
	{ 0xb1cdd034, "pci_read_config_byte" },
	{ 0x99a43174, "xp_alloc_batch" },
	{ 0x754d539c, "strlen" },
	{ 0xe9927733, "napi_disable" },
	{ 0xa0410ee2, "dev_kfree_skb_any_reason" },
	{ 0x985181b3, "dcb_ieee_delapp" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7cf19c, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x1c983405, "pcim_enable_device" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x526c1129, "pci_free_irq_vectors" },
	{ 0xee11c9e, "flow_rule_match_control" },
	{ 0x6bdac601, "flow_rule_match_ip" },
	{ 0xa4ed0033, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x589d96cd, "skb_clone_tx_timestamp" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x8611f13, "dcb_ieee_setapp" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7129d150, "ethtool_op_get_ts_info" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0x5b6f8c26, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x3f2deaa9, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc1f44981, "__tracepoint_xdp_exception" },
	{ 0xd2ce90d2, "xsk_tx_completed" },
	{ 0xe921ae40, "alloc_etherdev_mqs" },
	{ 0x86bfb4dd, "netdev_lower_get_next" },
	{ 0x43f2fa5c, "flow_block_cb_lookup" },
	{ 0x986d6339, "pci_save_state" },
	{ 0x9a81cceb, "xp_dma_sync_for_device_slow" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc624f50e, "devl_rate_leaf_create" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0xbe1f2603, "device_set_wakeup_enable" },
	{ 0xa5629620, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x8620781c, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x41ad1b21, "pci_find_ext_capability" },
	{ 0xc4833f65, "kthread_create_worker" },
	{ 0xa6676980, "bpf_prog_put" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x73b70f93, "xp_dma_map" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x6ded925b, "devlink_unregister" },
	{ 0xa87083f1, "skb_copy_bits" },
	{ 0x20978fb9, "idr_find" },
	{ 0x211ce9ad, "devm_request_threaded_irq" },
	{ 0x216cc109, "kthread_cancel_delayed_work_sync" },
	{ 0xa410a295, "devlink_region_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xfc6ec21f, "devm_kmalloc" },
	{ 0x45159ab1, "pci_wake_from_d3" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x64dfaea7, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb4898b0a, "call_switchdev_notifiers" },
	{ 0x45d84045, "__napi_alloc_skb" },
	{ 0xb1da3a17, "flow_indr_dev_register" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a8340db, "firmware_request_nowarn" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xb96971e9, "auxiliary_device_init" },
	{ 0x788f0b04, "pci_enable_device_mem" },
	{ 0xe7251df7, "consume_skb" },
	{ 0xf86f560, "kthread_delayed_work_timer_fn" },
	{ 0xf1bd9065, "flow_rule_match_enc_ip" },
	{ 0xb0e602eb, "memmove" },
	{ 0x23e1ff2, "pci_alloc_irq_vectors" },
	{ 0x7455bc85, "flow_rule_match_l2tpv3" },
	{ 0x81f74173, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x36faa7ee, "xsk_tx_peek_release_desc_batch" },
	{ 0x35aebe6a, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x59f19bc3, "dmam_alloc_attrs" },
	{ 0xa4cbedd, "trace_raw_output_prep" },
	{ 0xd21cf28f, "devl_lock" },
	{ 0xbcc2c8c9, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xaa8c2aa1, "ndo_dflt_bridge_getlink" },
	{ 0x8614e316, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x7ae3f064, "xdp_features_set_redirect_target" },
	{ 0xe8e0ed1e, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x39ebaee0, "pci_get_device" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x3279e0ed, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xe8038cb6, "request_firmware" },
	{ 0x65a259b6, "trace_event_printf" },
	{ 0xbc86fd39, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0xa6929803, "flow_rule_match_cvlan" },
	{ 0xeebad00b, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x28df45cc, "devlink_params_unregister" },
	{ 0x51e39b60, "dma_sync_single_for_device" },
	{ 0x478aab7f, "gnss_insert_raw" },
	{ 0xee8eff27, "pci_num_vf" },
	{ 0xc2e5b91c, "flow_rule_match_eth_addrs" },
	{ 0x2b64d5e7, "skb_add_rx_frag" },
	{ 0x69dbc17a, "get_device_system_crosststamp" },
	{ 0x61e2cbb4, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x116d8311, "ptp_clock_index" },
	{ 0x5b50ae95, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4d6376f0, "xp_can_alloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xc9526906, "devlink_alloc_ns" },
	{ 0x38e01b9e, "devl_rate_leaf_destroy" },
	{ 0x70e1fec3, "devlink_register" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0xc2e04ed2, "xdp_do_redirect" },
	{ 0x2dc25e78, "devlink_free" },
	{ 0xcbe08b58, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe8690ce1, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x549c3e53, "devl_rate_node_create" },
	{ 0x2c145a85, "netdev_warn" },
	{ 0x667cd131, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xbce62797, "pci_set_power_state" },
	{ 0x57652633, "devl_rate_nodes_destroy" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xcb3ab39a, "pci_irq_vector" },
	{ 0x877b02dd, "flow_rule_match_ipv4_addrs" },
	{ 0x469497b4, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x5da8aca0, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc1d72d7d, "netdev_state_change" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xb3ec0124, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x693a9460, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc401512a, "pskb_expand_head" },
	{ 0xff175da3, "switchdev_handle_port_attr_set" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x58634e8, "devlink_flash_update_status_notify" },
	{ 0xe168fe48, "dev_driver_string" },
	{ 0x8105132a, "pci_restore_msi_state" },
	{ 0x7816f98d, "trace_event_buffer_commit" },
	{ 0xb61b0e5b, "xdp_return_buff" },
	{ 0x7fc396cf, "dev_addr_mod" },
	{ 0xfec17abf, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x73c95742, "convert_art_ns_to_tsc" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x9d85e4dc, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x211a607e, "dma_map_page_attrs" },
	{ 0xf2dc7718, "napi_complete_done" },
	{ 0xab63d593, "switchdev_handle_port_obj_del" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf8946af, "priv_to_devlink" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x764700f7, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xef39ce92, "put_device" },
	{ 0xa2b057be, "devm_free_irq" },
	{ 0x7f52071a, "net_dim" },
	{ 0xe86b53e0, "__napi_schedule" },
	{ 0x8b857b42, "ipv6_skip_exthdr" },
	{ 0x292d1cc3, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x407e404d, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5fd94173, "__free_pages" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xc65d7017, "__hw_addr_unsync_dev" },
	{ 0x591b192f, "_dev_info" },
	{ 0x6a861570, "napi_gro_receive" },
	{ 0x6e6605b4, "xdp_features_clear_redirect_target" },
	{ 0x2582e732, "netdev_pick_tx" },
	{ 0x7ce3ada9, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xa45a8fe8, "xp_raw_get_dma" },
	{ 0xf3bfba2b, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xdbd7b9c, "xdp_rxq_info_is_reg" },
	{ 0x974aab9b, "flow_rule_match_enc_opts" },
	{ 0xcaf8c6f, "flow_block_cb_setup_simple" },
	{ 0x8db9d513, "pci_msix_can_alloc_dyn" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7e10b26b, "flow_rule_match_basic" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xee5da9e0, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x9676f130, "pcim_iomap_regions" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x64d54ab7, "devlink_region_create" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x79e31868, "vlan_dev_real_dev" },
	{ 0x86cf43f0, "pci_clear_master" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2e82590e, "devm_kmemdup" },
	{ 0x8792296, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x6435d0f9, "perf_trace_run_bpf_submit" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xe3f7ff3f, "devlink_port_unregister" },
	{ 0x1b7435b8, "devlink_flash_update_timeout_notify" },
	{ 0x1ff88043, "devm_kfree" },
	{ 0xb853f55d, "_dev_err" },
	{ 0x7abf16e4, "init_net" },
	{ 0xd1d1e3bb, "softnet_data" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xd63296c9, "xdp_return_frame" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xf760515a, "ptp_clock_register" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x748f4d74, "xp_dma_sync_for_cpu_slow" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x5b5ba85a, "netif_set_real_num_tx_queues" },
	{ 0x2bd6f85c, "__auxiliary_device_add" },
	{ 0x64549bd6, "pldmfw_op_pci_match_record" },
	{ 0xc16be39d, "iter_div_u64_rem" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xd1cd91f7, "netif_set_real_num_rx_queues" },
	{ 0xaeb1e3a9, "flow_indr_block_cb_alloc" },
	{ 0x5d005ee0, "pci_wait_for_pending_transaction" },
	{ 0xbb89a669, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x2ee15ba, "pci_device_is_present" },
	{ 0xbe400d07, "pci_read_config_word" },
	{ 0x9d97ff48, "pcie_flr" },
	{ 0x468fd87f, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x42f4c272, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x539d1127, "dcbnl_ieee_notify" },
	{ 0x8d07e477, "xsk_uses_need_wakeup" },
	{ 0xfd57cfc0, "register_netdev" },
	{ 0x42610a16, "dev_mc_del" },
	{ 0x5122d8a0, "trace_event_reg" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0x19e7a957, "free_netdev" },
	{ 0xb126be56, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x478d2a9e, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xacec49d8, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x3b450d2, "__SCK__tp_func_xdp_exception" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xb00e8468, "netif_tx_stop_all_queues" },
	{ 0x26dfd906, "pci_restore_state" },
	{ 0x8d10a62, "bpf_trace_run1" },
	{ 0x66e94de6, "netif_tx_wake_queue" },
	{ 0x2f38ab01, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xc3b1bf66, "dma_sync_single_for_cpu" },
	{ 0xba826144, "dcb_getapp" },
	{ 0xd0707a1, "dmam_free_coherent" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0xc41f5619, "flow_rule_match_ports" },
	{ 0x6e3a64c6, "gnss_allocate_device" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "gnss");

MODULE_ALIAS("pci:v00008086d00001591sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001599sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001890sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001891sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001892sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001893sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001894sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001897sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001898sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001899sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000189Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000151Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001888sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "27D7E3CCF23E3C45D829130");
