#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx5_core_uplink_netdev_event_replay, "", "");
KSYMTAB_FUNC(mlx5_core_mp_event_replay, "", "");
KSYMTAB_FUNC(mlx5_is_roce_on, "", "");
KSYMTAB_FUNC(mlx5_vf_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_vf_put_core_dev, "", "");
KSYMTAB_FUNC(mlx5_cmd_out_err, "", "");
KSYMTAB_FUNC(mlx5_cmd_check, "", "");
KSYMTAB_FUNC(mlx5_cmd_do, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_polling, "", "");
KSYMTAB_FUNC(mlx5_cmd_init_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_cleanup_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_cb, "", "");
KSYMTAB_DATA(mlx5_debugfs_root, "", "");
KSYMTAB_FUNC(mlx5_debugfs_get_dev_root, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_init, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_cleanup, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_add, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_remove, "", "");
KSYMTAB_FUNC(mlx5_core_query_vendor_id, "", "");
KSYMTAB_FUNC(mlx5_eq_enable, "", "");
KSYMTAB_FUNC(mlx5_eq_disable, "", "");
KSYMTAB_FUNC(mlx5_eq_create_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_destroy_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_get_eqe, "", "");
KSYMTAB_FUNC(mlx5_eq_update_ci, "", "");
KSYMTAB_FUNC(mlx5_comp_eqn_get, "", "");
KSYMTAB_FUNC(mlx5_comp_vectors_max, "", "");
KSYMTAB_FUNC(mlx5_comp_vector_get_cpu, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_get_uars_page, "", "");
KSYMTAB_FUNC(mlx5_put_uars_page, "", "");
KSYMTAB_FUNC(mlx5_alloc_bfreg, "", "");
KSYMTAB_FUNC(mlx5_free_bfreg, "", "");
KSYMTAB_FUNC(mlx5_core_attach_mcg, "", "");
KSYMTAB_FUNC(mlx5_core_detach_mcg, "", "");
KSYMTAB_FUNC(mlx5_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_cq, "", "");
KSYMTAB_FUNC(mlx5_core_query_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq_moderation, "", "");
KSYMTAB_FUNC(mlx5_frag_buf_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_frag_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array_perm, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array, "_gpl", "");
KSYMTAB_FUNC(mlx5_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_caps, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ptys, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_ib_port_oper, "", "");
KSYMTAB_FUNC(mlx5_toggle_port_link, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_max_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_oper_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom_by_page, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_vl_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_query_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_create_psv, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_psv, "", "");
KSYMTAB_FUNC(mlx5_core_get_terminate_scatter_list_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_create_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_rq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rq, "", "");
KSYMTAB_FUNC(mlx5_core_query_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq_state, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_tir, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tir, "", "");
KSYMTAB_FUNC(mlx5_core_create_tis, "", "");
KSYMTAB_FUNC(mlx5_core_modify_tis, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tis, "", "");
KSYMTAB_FUNC(mlx5_core_create_rqt, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rqt, "", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_vlans, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_qkey_viol_cntr, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_gid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_pkey, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_update_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_query_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_enable_roce, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_disable_roce, "", "");
KSYMTAB_FUNC(mlx5_core_query_vport_counter, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_modify_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_affiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_unaffiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_vport_get_other_func_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_create_flow_table, "", "");
KSYMTAB_FUNC(mlx5_flow_table_id, "", "");
KSYMTAB_FUNC(mlx5_create_lag_demux_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_auto_grouped_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_flow_group, "", "");
KSYMTAB_FUNC(mlx5_add_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_del_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_table, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_group, "", "");
KSYMTAB_FUNC(mlx5_get_fdb_sub_ns, "", "");
KSYMTAB_FUNC(mlx5_get_flow_namespace, "", "");
KSYMTAB_FUNC(mlx5_fs_add_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_fs_remove_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_modify_header_alloc, "", "");
KSYMTAB_FUNC(mlx5_modify_header_dealloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_alloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_dealloc, "", "");
KSYMTAB_FUNC(mlx5_msix_alloc, "", "");
KSYMTAB_FUNC(mlx5_msix_free, "", "");
KSYMTAB_FUNC(mlx5_fc_create, "", "");
KSYMTAB_FUNC(mlx5_fc_id, "", "");
KSYMTAB_FUNC(mlx5_fc_destroy, "", "");
KSYMTAB_FUNC(mlx5_fc_query, "", "");
KSYMTAB_FUNC(mlx5_rl_is_in_range, "", "");
KSYMTAB_FUNC(mlx5_rl_are_equal, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate, "", "");
KSYMTAB_FUNC(mlx5_cmd_create_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_cmd_destroy_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_lag_is_roce, "", "");
KSYMTAB_FUNC(mlx5_lag_is_active, "", "");
KSYMTAB_FUNC(mlx5_lag_mode_is_hash, "", "");
KSYMTAB_FUNC(mlx5_lag_is_master, "", "");
KSYMTAB_FUNC(mlx5_lag_is_sriov, "", "");
KSYMTAB_FUNC(mlx5_lag_is_shared_fdb, "", "");
KSYMTAB_FUNC(mlx5_lag_get_roce_netdev, "", "");
KSYMTAB_FUNC(mlx5_lag_get_slave_port, "", "");
KSYMTAB_FUNC(mlx5_lag_get_num_ports, "", "");
KSYMTAB_FUNC(mlx5_lag_get_next_peer_mdev, "", "");
KSYMTAB_FUNC(mlx5_lag_query_cong_counters, "", "");
KSYMTAB_FUNC(mlx5_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_core_reserved_gids_count, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_roce_gid_set, "", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_dealloc, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fw, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fw, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_create, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_destroy, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_next, "", "");
KSYMTAB_FUNC(mlx5_lag_is_mpesw, "", "");
KSYMTAB_FUNC(mlx5_eswitch_mode, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_encap_mode, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_total_vports, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_add_send_to_vport_rule, "", "");
KSYMTAB_FUNC(mlx5_eswitch_register_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_unregister_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_uplink_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_rep, "", "");
KSYMTAB_FUNC(mlx5_eswitch_reg_c1_loopback_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_match_metadata_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_match, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_set, "", "");
KSYMTAB_FUNC(mlx5_mpfs_add_mac, "", "");
KSYMTAB_FUNC(mlx5_mpfs_del_mac, "", "");
KSYMTAB_FUNC(mlx5_rdma_rn_get_params, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_create, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_destroy, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_sendmsg, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_read, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_write, "", "");
KSYMTAB_FUNC(mlx5_fpga_get_sbu_caps, "", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_ipsec_device_caps, "_gpl", "");

SYMBOL_CRC(mlx5_core_uplink_netdev_event_replay, 0xfaef463d, "");
SYMBOL_CRC(mlx5_core_mp_event_replay, 0xaaca8831, "");
SYMBOL_CRC(mlx5_is_roce_on, 0x3de16e65, "");
SYMBOL_CRC(mlx5_vf_get_core_dev, 0xdcee4d03, "");
SYMBOL_CRC(mlx5_vf_put_core_dev, 0x4d9ae18e, "");
SYMBOL_CRC(mlx5_cmd_out_err, 0x5551d4ea, "");
SYMBOL_CRC(mlx5_cmd_check, 0x017a209c, "");
SYMBOL_CRC(mlx5_cmd_do, 0x811fc838, "");
SYMBOL_CRC(mlx5_cmd_exec, 0x061af5ac, "");
SYMBOL_CRC(mlx5_cmd_exec_polling, 0xf52cbe4e, "");
SYMBOL_CRC(mlx5_cmd_init_async_ctx, 0xe464ef93, "");
SYMBOL_CRC(mlx5_cmd_cleanup_async_ctx, 0x0404e0c5, "");
SYMBOL_CRC(mlx5_cmd_exec_cb, 0x53888935, "");
SYMBOL_CRC(mlx5_debugfs_root, 0x12c5abdb, "");
SYMBOL_CRC(mlx5_debugfs_get_dev_root, 0x9823b8e3, "");
SYMBOL_CRC(mlx5_qp_debugfs_init, 0x37afd315, "");
SYMBOL_CRC(mlx5_qp_debugfs_cleanup, 0xdfe630ec, "");
SYMBOL_CRC(mlx5_debug_qp_add, 0xf56106e8, "");
SYMBOL_CRC(mlx5_debug_qp_remove, 0x024836b6, "");
SYMBOL_CRC(mlx5_core_query_vendor_id, 0xccc43819, "");
SYMBOL_CRC(mlx5_eq_enable, 0xee23567e, "");
SYMBOL_CRC(mlx5_eq_disable, 0x1316c398, "");
SYMBOL_CRC(mlx5_eq_create_generic, 0xb70a42f4, "");
SYMBOL_CRC(mlx5_eq_destroy_generic, 0x949b6734, "");
SYMBOL_CRC(mlx5_eq_get_eqe, 0x99c1d4f7, "");
SYMBOL_CRC(mlx5_eq_update_ci, 0xc420c0d4, "");
SYMBOL_CRC(mlx5_comp_eqn_get, 0x30e47177, "");
SYMBOL_CRC(mlx5_comp_vectors_max, 0xd7534c5a, "");
SYMBOL_CRC(mlx5_comp_vector_get_cpu, 0x90db4227, "");
SYMBOL_CRC(mlx5_eq_notifier_register, 0x289c72a2, "");
SYMBOL_CRC(mlx5_eq_notifier_unregister, 0xcaa64052, "");
SYMBOL_CRC(mlx5_get_uars_page, 0x56753281, "");
SYMBOL_CRC(mlx5_put_uars_page, 0x7ecd275c, "");
SYMBOL_CRC(mlx5_alloc_bfreg, 0xa21f4236, "");
SYMBOL_CRC(mlx5_free_bfreg, 0xefc5adc7, "");
SYMBOL_CRC(mlx5_core_attach_mcg, 0x69e595c7, "");
SYMBOL_CRC(mlx5_core_detach_mcg, 0x3457dce5, "");
SYMBOL_CRC(mlx5_create_cq, 0xdd76dac0, "");
SYMBOL_CRC(mlx5_core_create_cq, 0x45d4a541, "");
SYMBOL_CRC(mlx5_core_destroy_cq, 0x74806f77, "");
SYMBOL_CRC(mlx5_core_query_cq, 0x07bebcb5, "");
SYMBOL_CRC(mlx5_core_modify_cq, 0xbf0e5b8e, "");
SYMBOL_CRC(mlx5_core_modify_cq_moderation, 0xf9f5dcf6, "");
SYMBOL_CRC(mlx5_frag_buf_alloc_node, 0xc15dee43, "_gpl");
SYMBOL_CRC(mlx5_frag_buf_free, 0xefaf5e11, "_gpl");
SYMBOL_CRC(mlx5_db_alloc_node, 0xb794fd51, "_gpl");
SYMBOL_CRC(mlx5_db_free, 0x2a2143a4, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array_perm, 0x81aadc6a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array, 0x072460c4, "_gpl");
SYMBOL_CRC(mlx5_access_reg, 0x1b2f9892, "_gpl");
SYMBOL_CRC(mlx5_core_access_reg, 0xc0b04c58, "_gpl");
SYMBOL_CRC(mlx5_set_port_caps, 0x75d519aa, "_gpl");
SYMBOL_CRC(mlx5_query_port_ptys, 0x2199444b, "_gpl");
SYMBOL_CRC(mlx5_query_ib_port_oper, 0xc66e110d, "");
SYMBOL_CRC(mlx5_toggle_port_link, 0x5d6eb0c2, "_gpl");
SYMBOL_CRC(mlx5_set_port_admin_status, 0x0532394e, "_gpl");
SYMBOL_CRC(mlx5_query_port_admin_status, 0x509b51ae, "_gpl");
SYMBOL_CRC(mlx5_set_port_mtu, 0x224e4991, "_gpl");
SYMBOL_CRC(mlx5_query_port_max_mtu, 0xc31cb4a3, "_gpl");
SYMBOL_CRC(mlx5_query_port_oper_mtu, 0xf87eacf0, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom, 0x6d354123, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom_by_page, 0xa9b13df4, "_gpl");
SYMBOL_CRC(mlx5_query_port_vl_hw_cap, 0xa74c85d8, "_gpl");
SYMBOL_CRC(mlx5_set_port_pause, 0xf488f858, "_gpl");
SYMBOL_CRC(mlx5_query_port_pause, 0x69e06f93, "_gpl");
SYMBOL_CRC(mlx5_set_port_pfc, 0x21fc1b74, "_gpl");
SYMBOL_CRC(mlx5_query_port_pfc, 0x387f3eac, "_gpl");
SYMBOL_CRC(mlx5_set_port_prio_tc, 0xa9f47584, "_gpl");
SYMBOL_CRC(mlx5_query_port_prio_tc, 0xfe22e062, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_group, 0xdede7d28, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_group, 0x79c6cac3, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_bw_alloc, 0x5e9a2190, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_bw_alloc, 0xbb6b740b, "_gpl");
SYMBOL_CRC(mlx5_modify_port_ets_rate_limit, 0xa070f46c, "_gpl");
SYMBOL_CRC(mlx5_query_port_ets_rate_limit, 0x8b2117f7, "_gpl");
SYMBOL_CRC(mlx5_set_port_wol, 0x29114a45, "_gpl");
SYMBOL_CRC(mlx5_query_port_wol, 0xc8c1c7bb, "_gpl");
SYMBOL_CRC(mlx5_core_create_mkey, 0x32ecb65f, "");
SYMBOL_CRC(mlx5_core_destroy_mkey, 0x27f9e9da, "");
SYMBOL_CRC(mlx5_core_query_mkey, 0xbf343ff7, "");
SYMBOL_CRC(mlx5_core_create_psv, 0x0a76aa98, "");
SYMBOL_CRC(mlx5_core_destroy_psv, 0xf1f4c177, "");
SYMBOL_CRC(mlx5_core_get_terminate_scatter_list_mkey, 0xae15673b, "");
SYMBOL_CRC(mlx5_core_alloc_pd, 0x1af82d95, "");
SYMBOL_CRC(mlx5_core_dealloc_pd, 0xf70d35ac, "");
SYMBOL_CRC(mlx5_core_alloc_transport_domain, 0x9ae5ca90, "");
SYMBOL_CRC(mlx5_core_dealloc_transport_domain, 0x7d859bc5, "");
SYMBOL_CRC(mlx5_core_create_rq, 0x7223386d, "");
SYMBOL_CRC(mlx5_core_modify_rq, 0xa453eb53, "");
SYMBOL_CRC(mlx5_core_destroy_rq, 0xc67e6bd5, "");
SYMBOL_CRC(mlx5_core_query_rq, 0x973445bc, "");
SYMBOL_CRC(mlx5_core_modify_sq, 0xb1e3a15b, "");
SYMBOL_CRC(mlx5_core_query_sq, 0x82840fb4, "");
SYMBOL_CRC(mlx5_core_query_sq_state, 0x891165a8, "_gpl");
SYMBOL_CRC(mlx5_core_create_tir, 0xbe301137, "");
SYMBOL_CRC(mlx5_core_destroy_tir, 0x066ae054, "");
SYMBOL_CRC(mlx5_core_create_tis, 0xb0fe294f, "");
SYMBOL_CRC(mlx5_core_modify_tis, 0x7f3d8058, "");
SYMBOL_CRC(mlx5_core_destroy_tis, 0xde7bcdfd, "");
SYMBOL_CRC(mlx5_core_create_rqt, 0x0fd9f1b0, "");
SYMBOL_CRC(mlx5_core_destroy_rqt, 0xa489cea8, "");
SYMBOL_CRC(mlx5_query_nic_vport_min_inline, 0x6af2a224, "_gpl");
SYMBOL_CRC(mlx5_query_min_inline, 0x613f40f4, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_address, 0xdc18fddc, "_gpl");
SYMBOL_CRC(mlx5_query_mac_address, 0x06825052, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_address, 0x24e65a2d, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mtu, 0xc9beb100, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mtu, 0x18a2ddf7, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_list, 0x21425a93, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_list, 0xc0648b33, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_vlans, 0x57696f46, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_system_image_guid, 0x88b90ec0, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_node_guid, 0x06b347ab, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_qkey_viol_cntr, 0x731447f4, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_gid, 0xb4badc03, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_pkey, 0x3c541a0e, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_context, 0xb1188585, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_system_image_guid, 0x8ef83fd8, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_node_guid, 0xe9421d5c, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_promisc, 0xe8b08830, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_promisc, 0x9e8fa83e, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_update_local_lb, 0x766fb2d8, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_query_local_lb, 0x7944aae3, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_enable_roce, 0x8e63b79d, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_disable_roce, 0x8ba543a0, "");
SYMBOL_CRC(mlx5_core_query_vport_counter, 0x3b02ba9b, "_gpl");
SYMBOL_CRC(mlx5_core_modify_hca_vport_context, 0x4f2c0f8a, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_affiliate_multiport, 0x1ab550d6, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_unaffiliate_multiport, 0x8a79b635, "_gpl");
SYMBOL_CRC(mlx5_query_nic_system_image_guid, 0x297e9847, "_gpl");
SYMBOL_CRC(mlx5_vport_get_other_func_cap, 0x28fcb003, "_gpl");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_unregister, 0x2794c2dc, "");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_register, 0xbd6f745c, "");
SYMBOL_CRC(mlx5_create_flow_table, 0x23bb3f50, "");
SYMBOL_CRC(mlx5_flow_table_id, 0xa85e04b7, "");
SYMBOL_CRC(mlx5_create_lag_demux_flow_table, 0xe5ad0cad, "");
SYMBOL_CRC(mlx5_create_auto_grouped_flow_table, 0x888a2246, "");
SYMBOL_CRC(mlx5_create_flow_group, 0x5c6e2b0d, "");
SYMBOL_CRC(mlx5_add_flow_rules, 0x9d4b0339, "");
SYMBOL_CRC(mlx5_del_flow_rules, 0xafc29d8e, "");
SYMBOL_CRC(mlx5_destroy_flow_table, 0xcc002b85, "");
SYMBOL_CRC(mlx5_destroy_flow_group, 0xb28dbbe8, "");
SYMBOL_CRC(mlx5_get_fdb_sub_ns, 0xbd3bff5c, "");
SYMBOL_CRC(mlx5_get_flow_namespace, 0x45b64b7a, "");
SYMBOL_CRC(mlx5_fs_add_rx_underlay_qpn, 0x8e4c63d3, "");
SYMBOL_CRC(mlx5_fs_remove_rx_underlay_qpn, 0x98c785ac, "");
SYMBOL_CRC(mlx5_modify_header_alloc, 0xb763d0c9, "");
SYMBOL_CRC(mlx5_modify_header_dealloc, 0x943974f3, "");
SYMBOL_CRC(mlx5_packet_reformat_alloc, 0xb6b240f4, "");
SYMBOL_CRC(mlx5_packet_reformat_dealloc, 0x6f9b2dbe, "");
SYMBOL_CRC(mlx5_msix_alloc, 0x77204ff2, "");
SYMBOL_CRC(mlx5_msix_free, 0x25274e3c, "");
SYMBOL_CRC(mlx5_fc_create, 0x89edb17f, "");
SYMBOL_CRC(mlx5_fc_id, 0x96eb2c99, "");
SYMBOL_CRC(mlx5_fc_destroy, 0x138b3cfe, "");
SYMBOL_CRC(mlx5_fc_query, 0xdf582d89, "");
SYMBOL_CRC(mlx5_rl_is_in_range, 0xdb3db482, "");
SYMBOL_CRC(mlx5_rl_are_equal, 0x61492bb7, "");
SYMBOL_CRC(mlx5_rl_add_rate_raw, 0x022c360e, "");
SYMBOL_CRC(mlx5_rl_remove_rate_raw, 0x9db6fb60, "");
SYMBOL_CRC(mlx5_rl_add_rate, 0x58375f2a, "");
SYMBOL_CRC(mlx5_rl_remove_rate, 0x35d609dd, "");
SYMBOL_CRC(mlx5_cmd_create_vport_lag, 0xc779bf40, "");
SYMBOL_CRC(mlx5_cmd_destroy_vport_lag, 0x1163b8b6, "");
SYMBOL_CRC(mlx5_lag_is_roce, 0x97c61424, "");
SYMBOL_CRC(mlx5_lag_is_active, 0x1fbfad4d, "");
SYMBOL_CRC(mlx5_lag_mode_is_hash, 0x8cdbf92c, "");
SYMBOL_CRC(mlx5_lag_is_master, 0x271dcd99, "");
SYMBOL_CRC(mlx5_lag_is_sriov, 0x6b03afac, "");
SYMBOL_CRC(mlx5_lag_is_shared_fdb, 0xfed6f2cc, "");
SYMBOL_CRC(mlx5_lag_get_roce_netdev, 0x69b7e57e, "");
SYMBOL_CRC(mlx5_lag_get_slave_port, 0xb57f9ef2, "");
SYMBOL_CRC(mlx5_lag_get_num_ports, 0x11926d73, "");
SYMBOL_CRC(mlx5_lag_get_next_peer_mdev, 0xb9cd8387, "");
SYMBOL_CRC(mlx5_lag_query_cong_counters, 0x23e36d9f, "");
SYMBOL_CRC(mlx5_notifier_register, 0xce15ed31, "");
SYMBOL_CRC(mlx5_notifier_unregister, 0x16e62e3a, "");
SYMBOL_CRC(mlx5_blocking_notifier_register, 0x13bb2525, "");
SYMBOL_CRC(mlx5_blocking_notifier_unregister, 0xadf76e43, "");
SYMBOL_CRC(mlx5_core_reserved_gids_count, 0xb64254e4, "_gpl");
SYMBOL_CRC(mlx5_core_roce_gid_set, 0x74b08f1c, "");
SYMBOL_CRC(mlx5_dm_sw_icm_alloc, 0x65b84a26, "_gpl");
SYMBOL_CRC(mlx5_dm_sw_icm_dealloc, 0x4b4e36b0, "_gpl");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_ft, 0x018e3a8e, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_ft, 0xab521f6e, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_ft, 0xc26e2e38, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_ft, 0xb4e976bb, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_ft, 0xa89a8d4d, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_ft, 0xd020dd1f, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_ft, 0x6b7a99fb, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_ft, 0xe30fb2a8, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_fg, 0x60617b1c, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_fg, 0x1c57c524, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_fg, 0xa3816faa, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_fg, 0x9d36ddd0, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fg, 0xc975ccdf, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fg, 0xba5c2f4f, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fg, 0x0a95d869, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fg, 0xcad019c3, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_set_fte, 0xf55c6b61, "");
SYMBOL_CRC(__traceiter_mlx5_fs_set_fte, 0x0244562e, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_set_fte, 0xd79d9dcc, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_set_fte, 0xb06c0bfd, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fte, 0x6ca7d3a5, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fte, 0x24415684, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fte, 0x4e662508, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fte, 0xacfe8a18, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_rule, 0x556de2af, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_rule, 0x9e31c9ec, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_rule, 0xfd28fc0c, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_rule, 0xdb622108, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_rule, 0xe0bfe919, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_rule, 0x5ed395f6, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_rule, 0x48faf7ba, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_rule, 0x62dc190a, "");
SYMBOL_CRC(__tracepoint_mlx5_fw, 0xfc98d3a8, "");
SYMBOL_CRC(__traceiter_mlx5_fw, 0xaf57005b, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fw, 0xf6facfd8, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fw, 0xdfbc08aa, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_create, 0xf8eb7f4b, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_destroy, 0xad6815cd, "");
SYMBOL_CRC(mlx5_rsc_dump_next, 0x665d25aa, "");
SYMBOL_CRC(mlx5_lag_is_mpesw, 0x7a6527d0, "");
SYMBOL_CRC(mlx5_eswitch_mode, 0x44db1983, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_encap_mode, 0x9bfb1470, "");
SYMBOL_CRC(mlx5_eswitch_get_total_vports, 0x32c1ac6b, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_core_dev, 0x904152f7, "");
SYMBOL_CRC(mlx5_eswitch_add_send_to_vport_rule, 0x55f7277b, "");
SYMBOL_CRC(mlx5_eswitch_register_vport_reps, 0x43b31fcb, "");
SYMBOL_CRC(mlx5_eswitch_unregister_vport_reps, 0x83fa67ce, "");
SYMBOL_CRC(mlx5_eswitch_get_proto_dev, 0x17d4c196, "");
SYMBOL_CRC(mlx5_eswitch_uplink_get_proto_dev, 0x039d228c, "");
SYMBOL_CRC(mlx5_eswitch_vport_rep, 0x07cf100c, "");
SYMBOL_CRC(mlx5_eswitch_reg_c1_loopback_enabled, 0x74a2cf97, "");
SYMBOL_CRC(mlx5_eswitch_vport_match_metadata_enabled, 0x939a0939, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_match, 0x5c93b53e, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_set, 0x9bae959d, "");
SYMBOL_CRC(mlx5_mpfs_add_mac, 0x8665991f, "");
SYMBOL_CRC(mlx5_mpfs_del_mac, 0xbbaf170b, "");
SYMBOL_CRC(mlx5_rdma_rn_get_params, 0xbb8eb09d, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_create, 0x88692943, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_destroy, 0x807201e0, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_sendmsg, 0x0c2c2753, "");
SYMBOL_CRC(mlx5_fpga_mem_read, 0x7cba9485, "");
SYMBOL_CRC(mlx5_fpga_mem_write, 0xb1ad5d98, "");
SYMBOL_CRC(mlx5_fpga_get_sbu_caps, 0x290974f1, "");
SYMBOL_CRC(mlx5_macsec_del_roce_rule, 0x42b43a38, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_rule, 0x3d08fdcc, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_sa_rules, 0x49566105, "_gpl");
SYMBOL_CRC(mlx5_macsec_del_roce_sa_rules, 0x390b982c, "_gpl");
SYMBOL_CRC(mlx5_ipsec_device_caps, 0xc2f5a149, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xccab1e5b, "devl_traps_register" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xd1f22273, "devl_unlock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xadc69a5f, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa5aa685b, "dma_set_coherent_mask" },
	{ 0xa348295c, "__neigh_create" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x6c8a285a, "flow_rule_match_enc_control" },
	{ 0xe0942c61, "bpf_trace_run3" },
	{ 0x61409eae, "seq_read" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0xe5f73406, "hyperv_write_cfg_blk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x78405ab9, "ipv6_find_hdr" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x99d472b1, "net_dim_get_rx_moderation" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x6e7f1d4a, "debugfs_create_file" },
	{ 0x56203072, "rps_may_expire_flow" },
	{ 0x7b78a419, "metadata_dst_free" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x5a596141, "xsk_set_tx_need_wakeup" },
	{ 0xdd6ef490, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xfb0a0b60, "netdev_reset_tc" },
	{ 0x415cab5f, "neigh_destroy" },
	{ 0x62e6f572, "dma_free_attrs" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x55254fa2, "trace_event_buffer_reserve" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0xbe54ae88, "debugfs_create_x32" },
	{ 0xc9341184, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xb5906171, "flow_rule_match_enc_ports" },
	{ 0xc616bc59, "xdp_return_frame_bulk" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd4ef9091, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x79ab1df, "bpf_prog_add" },
	{ 0x7cfe368d, "net_dim_get_def_tx_moderation" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x5b481af6, "devl_assert_locked" },
	{ 0x6c708c56, "pcie_print_link_status" },
	{ 0xa4af0565, "xp_set_rxq_info" },
	{ 0x13155ece, "flow_rule_match_vlan" },
	{ 0x9c49bb9, "alloc_pages" },
	{ 0x8f3c134f, "devl_port_unregister" },
	{ 0x30cd2966, "xdp_rxq_info_unreg" },
	{ 0xdb6e347c, "page_pool_alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xfb359976, "devl_param_driverinit_value_get" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x85e1c9ee, "napi_build_skb" },
	{ 0xcfeb7b30, "netdev_master_upper_dev_get_rcu" },
	{ 0x991d34a3, "__folio_put" },
	{ 0x3059a888, "__xdp_rxq_info_reg" },
	{ 0xef552fa1, "xdp_set_features_flag" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x7020a8f6, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1e78a0b2, "bpf_prog_inc" },
	{ 0x3ac3feba, "rhltable_init" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x622b8c38, "netif_carrier_event" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf20f992a, "netif_carrier_off" },
	{ 0x7109424, "seq_printf" },
	{ 0x7d39947e, "flow_rule_match_meta" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x627ffb78, "devlink_priv" },
	{ 0x6143302e, "devlink_port_register_with_ops" },
	{ 0x7f2422a5, "pci_disable_sriov" },
	{ 0x5d9cb9be, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x8da81df9, "dst_release" },
	{ 0x68b91085, "netif_carrier_on" },
	{ 0xb95622eb, "netdev_set_num_tc" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x86c34a36, "hwmon_device_unregister" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xb35dcafa, "arp_tbl" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8941e0e8, "pci_disable_device" },
	{ 0x8ac3334b, "net_dim_get_def_rx_moderation" },
	{ 0x258d2f76, "net_dim_get_tx_moderation" },
	{ 0x78d27962, "boot_cpu_data" },
	{ 0xab23235b, "seq_puts" },
	{ 0x3e13ca43, "xp_free" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0x318a966c, "page_pool_update_nid" },
	{ 0xcb5f3d33, "single_release" },
	{ 0x234cf416, "devlink_fmsg_string_pair_put" },
	{ 0x4396602e, "dma_set_mask" },
	{ 0x8e75de17, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc001370d, "netif_set_tso_max_size" },
	{ 0xcbadbc62, "vlan_dev_vlan_id" },
	{ 0xe6975d2e, "__skb_flow_dissect" },
	{ 0x3f6a9080, "pci_msix_alloc_irq_at" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x2b582a1a, "seq_open" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0xd98744a1, "xdp_master_redirect" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x7fba7112, "xp_raw_get_data" },
	{ 0x6b4b224, "tls_validate_xmit_skb" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x9da0ba4, "xa_set_mark" },
	{ 0xe496c9fc, "napi_schedule_prep" },
	{ 0xd3bde05c, "qdisc_reset" },
	{ 0x862328f7, "napi_consume_skb" },
	{ 0xb10d964d, "devlink_fmsg_pair_nest_end" },
	{ 0x99a43174, "xp_alloc_batch" },
	{ 0x2002e4b7, "flow_rule_match_mpls" },
	{ 0x754d539c, "strlen" },
	{ 0xe9927733, "napi_disable" },
	{ 0xa0410ee2, "dev_kfree_skb_any_reason" },
	{ 0x985181b3, "dcb_ieee_delapp" },
	{ 0xd1bec6ca, "bpf_trace_run7" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x2e950e50, "devl_port_health_reporter_create" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb21a0585, "debugfs_create_u8" },
	{ 0x998f32e, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x3eff117c, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xf29606ab, "debugfs_create_dir" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x180193cc, "skb_ext_add" },
	{ 0x5e89af12, "pcie_bandwidth_available" },
	{ 0x526c1129, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xee11c9e, "flow_rule_match_control" },
	{ 0x6bdac601, "flow_rule_match_ip" },
	{ 0xa4ed0033, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x8611f13, "dcb_ieee_setapp" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xbae6c61c, "devl_trap_groups_unregister" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x1acd1f27, "xsk_tx_release" },
	{ 0x9a4add37, "devl_traps_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x458f3f97, "pci_iov_get_pf_drvdata" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd2256dd7, "pci_write_config_dword" },
	{ 0x2d590fb7, "pci_bus_type" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0x5b6f8c26, "netdev_info" },
	{ 0xc472ce15, "neigh_lookup" },
	{ 0xa71ccb69, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc1f44981, "__tracepoint_xdp_exception" },
	{ 0x42cdb0bd, "__inet_lookup_established" },
	{ 0xd2ce90d2, "xsk_tx_completed" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe921ae40, "alloc_etherdev_mqs" },
	{ 0x86bfb4dd, "netdev_lower_get_next" },
	{ 0x225ac4b6, "secpath_set" },
	{ 0x43f2fa5c, "flow_block_cb_lookup" },
	{ 0xe914e41e, "strcpy" },
	{ 0x986d6339, "pci_save_state" },
	{ 0x9a81cceb, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc624f50e, "devl_rate_leaf_create" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x2150749f, "xp_alloc" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x234b6f17, "pcie_capability_read_word" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9bab48ed, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x8620781c, "flow_rule_match_enc_keyid" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xa6676980, "bpf_prog_put" },
	{ 0xafa49d1c, "page_pool_get_stats" },
	{ 0x92e683f5, "down_timeout" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xd46a0d6f, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x56f1331f, "pci_cfg_access_unlock" },
	{ 0x73b70f93, "xp_dma_map" },
	{ 0xb1c89cea, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x6ded925b, "devlink_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xa87083f1, "skb_copy_bits" },
	{ 0x1f9d1937, "debugfs_attr_write" },
	{ 0xee8a942f, "dma_pool_create" },
	{ 0xe7749017, "param_ops_uint" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x10314c5e, "pci_msix_vec_count" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x28b05f52, "pci_enable_device" },
	{ 0x79856fee, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x64dfaea7, "skb_tstamp_tx" },
	{ 0x3fe6c346, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb4898b0a, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x45d84045, "__napi_alloc_skb" },
	{ 0xb1da3a17, "flow_indr_dev_register" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x9a16633d, "register_fib_notifier" },
	{ 0xb96971e9, "auxiliary_device_init" },
	{ 0xc55b3cb0, "ip6_dst_hoplimit" },
	{ 0x3fb5cd7e, "netdev_update_features" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xf1bd9065, "flow_rule_match_enc_ip" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0x23e1ff2, "pci_alloc_irq_vectors" },
	{ 0x81f74173, "netif_napi_add_weight" },
	{ 0xeb1d57c2, "pci_enable_atomic_ops_to_root" },
	{ 0xd7c32c4e, "seq_release" },
	{ 0x466e0668, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x893abbdd, "devlink_fmsg_u32_pair_put" },
	{ 0xa4cbedd, "trace_raw_output_prep" },
	{ 0xe753b68d, "devlink_fmsg_arr_pair_nest_end" },
	{ 0x3180bff0, "xsk_clear_tx_need_wakeup" },
	{ 0x5e4430b4, "udp4_hwcsum" },
	{ 0x1b6865c, "xa_get_mark" },
	{ 0xd21cf28f, "devl_lock" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xbcc2c8c9, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xaa8c2aa1, "ndo_dflt_bridge_getlink" },
	{ 0x8614e316, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x8fcae89, "xdp_convert_zc_to_xdp_frame" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe8e0ed1e, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x29ef0687, "flow_rule_match_tcp" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x5daf2356, "register_netdevice_notifier_dev_net" },
	{ 0x3279e0ed, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x65a259b6, "trace_event_printf" },
	{ 0xc35f8f4e, "devlink_health_reporter_create" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xa6929803, "flow_rule_match_cvlan" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0xeebad00b, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xcf2a6966, "up" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0x51e39b60, "dma_sync_single_for_device" },
	{ 0x28323d9a, "xdp_rxq_info_unused" },
	{ 0xa71d2e2c, "ioread16be" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xee8eff27, "pci_num_vf" },
	{ 0x3dde7ae1, "debugfs_create_atomic_t" },
	{ 0xc2e5b91c, "flow_rule_match_eth_addrs" },
	{ 0x2b64d5e7, "skb_add_rx_frag" },
	{ 0xb9a0a534, "xfrm_state_check_expire" },
	{ 0x61e2cbb4, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x116d8311, "ptp_clock_index" },
	{ 0xc8974b62, "pci_request_regions" },
	{ 0xc39771fa, "___pskb_trim" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x5b50ae95, "trace_event_raw_init" },
	{ 0x43787b31, "flow_block_cb_free" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4d6376f0, "xp_can_alloc" },
	{ 0xf86794f4, "psample_sample_packet" },
	{ 0x73b704b7, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0xc9526906, "devlink_alloc_ns" },
	{ 0x38e01b9e, "devl_rate_leaf_destroy" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x7c191131, "pci_sriov_get_totalvfs" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x70e1fec3, "devlink_register" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x8fc9ff2a, "devlink_remote_reload_actions_performed" },
	{ 0x663bb448, "devlink_fmsg_obj_nest_end" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0xdfc6e05a, "seq_lseek" },
	{ 0x55d8e049, "page_pool_destroy" },
	{ 0xc2e04ed2, "xdp_do_redirect" },
	{ 0xb76bc482, "__put_devmap_managed_page_refs" },
	{ 0x2dc25e78, "devlink_free" },
	{ 0xe782e15d, "tls_get_record" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe8690ce1, "bpf_trace_run2" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0x2c145a85, "netdev_warn" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x667cd131, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x57652633, "devl_rate_nodes_destroy" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xcb3ab39a, "pci_irq_vector" },
	{ 0x877b02dd, "flow_rule_match_ipv4_addrs" },
	{ 0x51dc391f, "ip_route_output_flow" },
	{ 0x469497b4, "__netif_napi_del" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0x15510a89, "devlink_fmsg_binary_put" },
	{ 0xd4fbd8af, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x5da8aca0, "__dynamic_dev_dbg" },
	{ 0x1e3817a3, "sched_numa_hop_mask" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x2ed9f3b9, "sock_gen_put" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xb3ec0124, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0x693a9460, "netdev_err" },
	{ 0xb543f388, "pci_cfg_access_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x988c3842, "register_netdevice_notifier_net" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xe168fe48, "dev_driver_string" },
	{ 0xed93a4b6, "netdev_port_same_parent_id" },
	{ 0x7816f98d, "trace_event_buffer_commit" },
	{ 0x7fc396cf, "dev_addr_mod" },
	{ 0xfec17abf, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x2890c9ac, "ptp_find_pin" },
	{ 0x9d85e4dc, "eth_type_trans" },
	{ 0xd9db14f0, "pci_read_config_dword" },
	{ 0xa636c60e, "request_firmware_direct" },
	{ 0xa7f01087, "flow_rule_match_icmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5d5bf180, "auxiliary_driver_unregister" },
	{ 0x211a607e, "dma_map_page_attrs" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0xf2dc7718, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xca17ac01, "_find_next_andnot_bit" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x36391661, "devlink_port_attrs_pci_vf_set" },
	{ 0xf8946af, "priv_to_devlink" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xa10d5be6, "vlan_dev_vlan_proto" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xef39ce92, "put_device" },
	{ 0x7f52071a, "net_dim" },
	{ 0xe86b53e0, "__napi_schedule" },
	{ 0x7b7da0c7, "devlink_port_health_reporter_create" },
	{ 0x91dd5bc, "pcie_relaxed_ordering_enabled" },
	{ 0x292d1cc3, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0xabf6250d, "kmalloc_node_trace" },
	{ 0x6f782611, "devlink_port_attrs_pci_pf_set" },
	{ 0x407e404d, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x45beb1a8, "netif_device_detach" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5fd94173, "__free_pages" },
	{ 0xaada9d35, "kmem_cache_alloc" },
	{ 0x591b192f, "_dev_info" },
	{ 0x5dbfb8b5, "skb_vlan_pop" },
	{ 0x6a861570, "napi_gro_receive" },
	{ 0xdeaf811, "netif_device_attach" },
	{ 0x62fad89b, "devl_resource_register" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x2582e732, "netdev_pick_tx" },
	{ 0x7ce3ada9, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xa45a8fe8, "xp_raw_get_dma" },
	{ 0xf3bfba2b, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xdbd7b9c, "xdp_rxq_info_is_reg" },
	{ 0x974aab9b, "flow_rule_match_enc_opts" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xc2c5802, "work_busy" },
	{ 0x37c3b402, "devlink_net" },
	{ 0xa99ef899, "devlink_fmsg_bool_pair_put" },
	{ 0x42cd0178, "free_fib_info" },
	{ 0x1591b2c6, "hyperv_read_cfg_blk" },
	{ 0x872194f7, "devl_health_reporter_create" },
	{ 0xcaf8c6f, "flow_block_cb_setup_simple" },
	{ 0x8db9d513, "pci_msix_can_alloc_dyn" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7e10b26b, "flow_rule_match_basic" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x510ed792, "unregister_netdevice_notifier_dev_net" },
	{ 0xb602a134, "pci_find_capability" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0x908e9fd5, "pci_iov_vf_id" },
	{ 0xbb6a3cbd, "devlink_fmsg_arr_pair_nest_start" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xf02d5644, "debugfs_attr_read" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x7e9c160e, "flow_rule_match_ct" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x79e31868, "vlan_dev_real_dev" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8792296, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x299569af, "__dev_get_by_index" },
	{ 0x6435d0f9, "perf_trace_run_bpf_submit" },
	{ 0xf7bc95b0, "devlink_fmsg_pair_nest_start" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xe3f7ff3f, "devlink_port_unregister" },
	{ 0x1b8aea61, "dev_get_port_parent_id" },
	{ 0x57bc19d2, "down_write" },
	{ 0xb853f55d, "_dev_err" },
	{ 0x7abf16e4, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0xd1d1e3bb, "softnet_data" },
	{ 0x6497b2b8, "ipv6_stub" },
	{ 0x7d7cf115, "simple_open" },
	{ 0x92836a8b, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x62af41d9, "bus_find_device" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xd63296c9, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2717c154, "simple_attr_release" },
	{ 0xf760515a, "ptp_clock_register" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x748f4d74, "xp_dma_sync_for_cpu_slow" },
	{ 0x8780ed5c, "xsk_tx_peek_desc" },
	{ 0xc3f1702, "hwmon_device_register_with_info" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xafaa6031, "_find_next_and_bit" },
	{ 0x5b5ba85a, "netif_set_real_num_tx_queues" },
	{ 0xcfc5108a, "devlink_fmsg_u8_pair_put" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x2bd6f85c, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x7856c190, "irq_get_irq_data" },
	{ 0x72c2abfa, "dev_remove_pack" },
	{ 0xd1cd91f7, "netif_set_real_num_rx_queues" },
	{ 0x6626afca, "down" },
	{ 0x85e87fd5, "dev_get_by_index" },
	{ 0x409b1dff, "bpf_trace_run5" },
	{ 0xaeb1e3a9, "flow_indr_block_cb_alloc" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x24e47524, "skb_store_bits" },
	{ 0x84a72ea5, "devl_port_register_with_ops" },
	{ 0x1b0596e5, "dev_get_by_index_rcu" },
	{ 0x86564197, "kfree_skb_reason" },
	{ 0xaf75aa37, "netdev_printk" },
	{ 0x954f099c, "idr_preload" },
	{ 0xc4d702d9, "mlxfw_firmware_flash" },
	{ 0x16da1f88, "devlink_fmsg_u32_put" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x737fcfb1, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc25338ec, "skb_push" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0x11dbe881, "kmem_cache_free" },
	{ 0xda754828, "dma_alloc_attrs" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x6ca64ef8, "debugfs_remove" },
	{ 0xbe400d07, "pci_read_config_word" },
	{ 0x468fd87f, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x42f4c272, "xsk_clear_rx_need_wakeup" },
	{ 0x4ad738fc, "unregister_netdevice_notifier_net" },
	{ 0x8d07e477, "xsk_uses_need_wakeup" },
	{ 0xfd57cfc0, "register_netdev" },
	{ 0xfeee07af, "unregister_fib_notifier" },
	{ 0x5122d8a0, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x4ae277e7, "devlink_port_attrs_pci_sf_set" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1af267f8, "int_pow" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0xafbdcb8f, "debugfs_create_u64" },
	{ 0xffb7c514, "ida_free" },
	{ 0x19e7a957, "free_netdev" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x221394ae, "hyperv_reg_block_invalidate" },
	{ 0xc07f80cc, "debugfs_create_size_t" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x528ab66d, "devl_params_register" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x478d2a9e, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xacec49d8, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x3b450d2, "__SCK__tp_func_xdp_exception" },
	{ 0x5358864e, "devlink_fmsg_binary_pair_nest_end" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x26dfd906, "pci_restore_state" },
	{ 0x8d10a62, "bpf_trace_run1" },
	{ 0xe9fcee18, "__inet6_lookup_established" },
	{ 0x66e94de6, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x2f38ab01, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xb19b445, "ioread8" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xc3b1bf66, "dma_sync_single_for_cpu" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0xbe11cc58, "page_pool_create" },
	{ 0x513e008e, "skb_checksum" },
	{ 0xae225ff2, "page_pool_put_defragged_page" },
	{ 0x7cb693f3, "devl_param_driverinit_value_set" },
	{ 0xfb578fc5, "memset" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0xc41f5619, "flow_rule_match_ports" },
	{ 0x11df0e75, "devlink_fmsg_binary_pair_nest_start" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0x6f41a639, "irq_cpu_rmap_remove" },
	{ 0x413c51d7, "xfrm_replay_seqhi" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x4fa55e26, "devl_resources_unregister" },
	{ 0xb7095c6c, "ptp_clock_event" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x62cc531e, "netif_schedule_queue" },
	{ 0x86d065c3, "__alloc_pages" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xb307c909, "devlink_fmsg_u64_pair_put" },
	{ 0x6d57bd5c, "pci_set_master" },
	{ 0xfec74c73, "devl_trap_groups_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfe04b3ce, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa5a207e4, "flow_rule_match_ipv6_addrs" },
	{ 0x1826ab8b, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0x1dab1414, "devl_params_unregister" },
	{ 0xcb85c4e7, "ptp_clock_unregister" },
	{ 0xa405c525, "__pskb_pull_tail" },
	{ 0xc662ffda, "xp_dma_unmap" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0xa0cc62e3, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0xab7ea02d, "devlink_trap_report" },
	{ 0x6690a2bb, "__neigh_event_send" },
	{ 0xa92aa717, "flow_block_cb_alloc" },
	{ 0x86585a33, "devlink_fmsg_obj_nest_start" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0xb0be1aed, "dev_printk_emit" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "pci-hyperv-intf,tls,psample,mlxfw");

MODULE_ALIAS("auxiliary:mlx5_core.eth");
MODULE_ALIAS("auxiliary:mlx5_core.sf");
MODULE_ALIAS("auxiliary:mlx5_core.eth-rep");
MODULE_ALIAS("pci:v000015B3d00001011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DFsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "3E45B9A1EF92711862EF48B");
