#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qede_rdma_register_driver, "", "");
KSYMTAB_FUNC(qede_rdma_unregister_driver, "", "");

SYMBOL_CRC(qede_rdma_register_driver, 0xbecb849d, "");
SYMBOL_CRC(qede_rdma_unregister_driver, 0xbdecd237, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x68b91085, "netif_carrier_on" },
	{ 0xb95622eb, "netdev_set_num_tc" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0xd98744a1, "xdp_master_redirect" },
	{ 0x231634c, "__napi_schedule_irqoff" },
	{ 0xe496c9fc, "napi_schedule_prep" },
	{ 0xe9927733, "napi_disable" },
	{ 0xa0410ee2, "dev_kfree_skb_any_reason" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x589d96cd, "skb_clone_tx_timestamp" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x8611f13, "dcb_ieee_setapp" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc1f44981, "__tracepoint_xdp_exception" },
	{ 0xe921ae40, "alloc_etherdev_mqs" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x2ef49a75, "qed_get_eth_ops" },
	{ 0xa6676980, "bpf_prog_put" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa87083f1, "skb_copy_bits" },
	{ 0xe7749017, "param_ops_uint" },
	{ 0xdf42a5d5, "ethtool_rx_flow_rule_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x79856fee, "skb_put" },
	{ 0x64dfaea7, "skb_tstamp_tx" },
	{ 0xe7251df7, "consume_skb" },
	{ 0x81f74173, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbcc2c8c9, "bpf_warn_invalid_xdp_action" },
	{ 0x8614e316, "unregister_netdev" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x3279e0ed, "dma_unmap_page_attrs" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0xeebad00b, "__pci_register_driver" },
	{ 0x51e39b60, "dma_sync_single_for_device" },
	{ 0xee8eff27, "pci_num_vf" },
	{ 0x2b64d5e7, "skb_add_rx_frag" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x116d8311, "ptp_clock_index" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0xc2e04ed2, "xdp_do_redirect" },
	{ 0xcbe08b58, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x667cd131, "udp_tunnel_nic_ops" },
	{ 0x877b02dd, "flow_rule_match_ipv4_addrs" },
	{ 0x469497b4, "__netif_napi_del" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xb3ec0124, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x693a9460, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xe168fe48, "dev_driver_string" },
	{ 0x7fc396cf, "dev_addr_mod" },
	{ 0xfec17abf, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x9d85e4dc, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x211a607e, "dma_map_page_attrs" },
	{ 0xf2dc7718, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa916b694, "strnlen" },
	{ 0x45beb1a8, "netif_device_detach" },
	{ 0x5fd94173, "__free_pages" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x591b192f, "_dev_info" },
	{ 0x6a861570, "napi_gro_receive" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x2582e732, "netdev_pick_tx" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xdbd7b9c, "xdp_rxq_info_is_reg" },
	{ 0xcaf8c6f, "flow_block_cb_setup_simple" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7e10b26b, "flow_rule_match_basic" },
	{ 0xadcb12bd, "build_skb" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xb853f55d, "_dev_err" },
	{ 0xd1d1e3bb, "softnet_data" },
	{ 0xd63296c9, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xf760515a, "ptp_clock_register" },
	{ 0x5b5ba85a, "netif_set_real_num_tx_queues" },
	{ 0xd1cd91f7, "netif_set_real_num_rx_queues" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xc381d955, "ethtool_rx_flow_rule_create" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xda754828, "dma_alloc_attrs" },
	{ 0x468fd87f, "napi_enable" },
	{ 0x9eeeef48, "qed_put_eth_ops" },
	{ 0xfd57cfc0, "register_netdev" },
	{ 0x19e7a957, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x3b450d2, "__SCK__tp_func_xdp_exception" },
	{ 0x66e94de6, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xfb578fc5, "memset" },
	{ 0xc41f5619, "flow_rule_match_ports" },
	{ 0x62cc531e, "netif_schedule_queue" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa5a207e4, "flow_rule_match_ipv6_addrs" },
	{ 0x1826ab8b, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xcb85c4e7, "ptp_clock_unregister" },
	{ 0xa405c525, "__pskb_pull_tail" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xa0cc62e3, "__netdev_alloc_skb" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x56203072, "rps_may_expire_flow" },
	{ 0xfb0a0b60, "netdev_reset_tc" },
	{ 0x62e6f572, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x79ab1df, "bpf_prog_add" },
	{ 0x9c49bb9, "alloc_pages" },
	{ 0x30cd2966, "xdp_rxq_info_unreg" },
	{ 0x3059a888, "__xdp_rxq_info_reg" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf20f992a, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x627ffb78, "devlink_priv" },
	{ 0x343b9468, "tcp_gro_complete" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "qed");

MODULE_ALIAS("pci:v00001077d00001634sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00001666sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00001636sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00001644sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00001654sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00001656sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00001664sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008070sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008090sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "CCED5D05EA0C8C5434A05F2");
