#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0xb2251126, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0x8e7f3d92, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0xba371caf, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0xa9e8f627, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0x1cce8171, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7a053648, "eth_header_parse" },
	{ 0xb6c03729, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa009cec4, "eth_header_cache_update" },
	{ 0x86d1aec8, "nf_register_net_hooks" },
	{ 0xf8835cef, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xf95f29cd, "ip_route_input_noref" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x299569af, "__dev_get_by_index" },
	{ 0x99f5fca7, "rtnl_link_unregister" },
	{ 0x92836a8b, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x320c4efb, "netif_stacked_transfer_operstate" },
	{ 0x86564197, "kfree_skb_reason" },
	{ 0x3bcd1e6d, "netdev_upper_dev_unlink" },
	{ 0xd5a43273, "nla_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe0bc69b2, "ns_capable" },
	{ 0x93cfd1bd, "nf_unregister_net_hooks" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x478d2a9e, "ethtool_op_get_link" },
	{ 0x42684d3e, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xe2e2ddd6, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa405c525, "__pskb_pull_tail" },
	{ 0x513a6e20, "netif_rx" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xa9aada8f, "skb_scrub_packet" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0xdd6ef490, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3bec5428, "vlan_vid_add" },
	{ 0x91337c2c, "call_netdevice_notifiers" },
	{ 0xeb9f038c, "vlan_vid_del" },
	{ 0xd56e410d, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x8bcb3fdf, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x8da81df9, "dst_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x759de620, "netdev_rx_handler_register" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2d50404b, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x11bd9584, "dev_mc_unsync" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6f5047df, "dev_change_flags" },
	{ 0x8a38ecd9, "dev_forward_skb" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xdc5210c0, "register_netdevice" },
	{ 0xc9eda17f, "__do_once_done" },
	{ 0x6cc5ad2, "ip6_route_input_lookup" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x2bfd65d4, "dev_pre_changeaddr_notify" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x69a034bf, "dev_mc_sync" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xc36a9a40, "netdev_is_rx_handler_busy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x3fb5cd7e, "netdev_update_features" },
	{ 0xe7251df7, "consume_skb" },
	{ 0x2d932f18, "ip6_local_out" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5a4c6d27, "dev_uc_sync" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2be096d9, "rtnl_link_register" },
	{ 0xc3d3153, "netif_inherit_tso_max" },
	{ 0xa57adac2, "eth_header_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0x51dc391f, "ip_route_output_flow" },
	{ 0x4e55b5df, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xba924f2a, "dev_uc_unsync" },
	{ 0xaef003f0, "ether_setup" },
	{ 0x693a9460, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x85bcb37c, "netdev_upper_dev_link" },
	{ 0x46bd3ea6, "register_pernet_subsys" },
	{ 0x7fc396cf, "dev_addr_mod" },
	{ 0xc8432edb, "netdev_core_stats_alloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B82B76A4896558897CBD30F");
