#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0x36ae31b9, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0xd2e0a5be, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0x1594f8d9, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0x7445e613, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe7008f08, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x4e55b5df, "unregister_netdevice_queue" },
	{ 0x3bcd1e6d, "netdev_upper_dev_unlink" },
	{ 0x299569af, "__dev_get_by_index" },
	{ 0xc36a9a40, "netdev_is_rx_handler_busy" },
	{ 0x759de620, "netdev_rx_handler_register" },
	{ 0xdc5210c0, "register_netdevice" },
	{ 0x85bcb37c, "netdev_upper_dev_link" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xc3cf00f, "linkwatch_fire_event" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a4c6d27, "dev_uc_sync" },
	{ 0x69a034bf, "dev_mc_sync" },
	{ 0x513a6e20, "netif_rx" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8bcb3fdf, "skb_clone" },
	{ 0x31c00861, "__dev_forward_skb" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe7251df7, "consume_skb" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xdd6ef490, "__dev_queue_xmit" },
	{ 0x8a38ecd9, "dev_forward_skb" },
	{ 0xbde53a30, "netpoll_send_skb" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x2f2ff5e, "__netif_rx" },
	{ 0xbf3fae3d, "ip_check_defrag" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc8432edb, "netdev_core_stats_alloc" },
	{ 0xf51f9633, "passthru_features_check" },
	{ 0xcbe08b58, "eth_validate_addr" },
	{ 0xad82374a, "ndo_dflt_fdb_dump" },
	{ 0x478d2a9e, "ethtool_op_get_link" },
	{ 0x7a053648, "eth_header_parse" },
	{ 0xa57adac2, "eth_header_cache" },
	{ 0xa009cec4, "eth_header_cache_update" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xaef003f0, "ether_setup" },
	{ 0x42684d3e, "__ethtool_get_link_ksettings" },
	{ 0x7abf16e4, "init_net" },
	{ 0x6fe6ff01, "generic_hwtstamp_set_lower" },
	{ 0x187b894b, "generic_hwtstamp_get_lower" },
	{ 0x42610a16, "dev_mc_del" },
	{ 0xbc86fd39, "dev_uc_del" },
	{ 0xe845420a, "dev_mc_add_excl" },
	{ 0x96f7ded7, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x25201f9, "__netpoll_free" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0xeb9f038c, "vlan_vid_del" },
	{ 0x3bec5428, "vlan_vid_add" },
	{ 0xd56e410d, "dev_set_allmulti" },
	{ 0xb48fa54e, "dev_set_promiscuity" },
	{ 0xba924f2a, "dev_uc_unsync" },
	{ 0x11bd9584, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xb6c03729, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x86564197, "kfree_skb_reason" },
	{ 0xdbaf6b5, "dev_set_mac_address" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2be096d9, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x99f5fca7, "rtnl_link_unregister" },
	{ 0xd5a43273, "nla_put" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7dcc738b, "__netpoll_setup" },
	{ 0x7fc396cf, "dev_addr_mod" },
	{ 0x5e91ecfa, "dev_uc_add" },
	{ 0x91337c2c, "call_netdevice_notifiers" },
	{ 0xc3d3153, "netif_inherit_tso_max" },
	{ 0x3fb5cd7e, "netdev_update_features" },
	{ 0x320c4efb, "netif_stacked_transfer_operstate" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "655CB35379F9C4F79C8DD4D");
