#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc4b95187, "bcm_phy_get_sset_count" },
	{ 0x776dfe6a, "bcm_ptp_probe" },
	{ 0xa18cda49, "devm_gpiod_get" },
	{ 0x71682b02, "gpiod_to_irq" },
	{ 0xa0f0ddfd, "bcm_phy_wol_isr" },
	{ 0x211ce9ad, "devm_request_threaded_irq" },
	{ 0x6b178afb, "device_set_wakeup_capable" },
	{ 0xb6df04a6, "device_wakeup_enable" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xe54c4503, "bcm_ptp_stop" },
	{ 0x3b5fcf02, "bcm_ptp_config_init" },
	{ 0x21756f2c, "pm_wakeup_dev_event" },
	{ 0x9455c341, "genphy_resume" },
	{ 0xcc062c01, "genphy_soft_reset" },
	{ 0x997104c6, "bcm_phy_config_intr" },
	{ 0xab4aedbb, "bcm_phy_handle_interrupt" },
	{ 0x945eff21, "bcm_phy_get_strings" },
	{ 0x8cb35f02, "bcm_phy_led_brightness_set" },
	{ 0x1cc2656b, "genphy_suspend" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7c28257c, "phy_drivers_register" },
	{ 0x1d9fe4b3, "mdiobus_read" },
	{ 0x10216ef6, "phy_trigger_machine" },
	{ 0x85386e42, "phy_error" },
	{ 0xc94413f3, "bcm54xx_auxctl_read" },
	{ 0x7927f396, "bcm54xx_auxctl_write" },
	{ 0x2fca6ac5, "bcm_phy_read_shadow" },
	{ 0x786caf0f, "bcm_phy_write_shadow" },
	{ 0x5c7db952, "__genphy_config_aneg" },
	{ 0x4924a473, "phy_modify" },
	{ 0x4e0fd123, "genphy_c37_read_status" },
	{ 0x2d04d29e, "genphy_read_status" },
	{ 0x4d8181dd, "genphy_c37_config_aneg" },
	{ 0xfc6ec21f, "devm_kmalloc" },
	{ 0x42f112c2, "bcm_phy_get_wol" },
	{ 0x6d08e5e7, "bcm_phy_set_wol" },
	{ 0x3ded4b7, "bcm_phy_get_stats" },
	{ 0x3d5f008e, "phy_drivers_unregister" },
	{ 0xa83fdc5a, "mdiobus_write" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x56a49c94, "bcm_phy_read_exp" },
	{ 0x460cb208, "bcm_phy_write_exp" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "bcm-phy-lib,bcm-phy-ptp");

MODULE_ALIAS("mdio:0000000000100000011000000111????");
MODULE_ALIAS("mdio:0000000000100000011000001110????");
MODULE_ALIAS("mdio:0110000000001101100001001010????");
MODULE_ALIAS("mdio:0000000000100000011000001100????");
MODULE_ALIAS("mdio:0000001101100010010111100110????");
MODULE_ALIAS("mdio:0000001101100010010111010001????");
MODULE_ALIAS("mdio:0000000000100000011000001011????");
MODULE_ALIAS("mdio:0000000101000011101111001010????");
MODULE_ALIAS("mdio:0000001101100010010111010000????");
MODULE_ALIAS("mdio:0000001101100010010111001100????");
MODULE_ALIAS("mdio:0000000101000011101111001011????");
MODULE_ALIAS("mdio:0000000101000011101111010110????");
MODULE_ALIAS("mdio:0000000101000011101111010111????");
MODULE_ALIAS("mdio:0000001101100010010111011001????");
MODULE_ALIAS("mdio:0000000101000011101111000111????");
MODULE_ALIAS("mdio:0000000101000011101111000011????");
MODULE_ALIAS("mdio:0000000101000011101111001111????");
MODULE_ALIAS("mdio:0000001101100010010111110010????");
MODULE_ALIAS("mdio:0000001101100010010111100001????");
MODULE_ALIAS("mdio:0000001101100010010111001101????");

MODULE_INFO(srcversion, "765E51766C0426E5FD9B2CB");
