#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ppp_register_net_channel, "", "");
KSYMTAB_FUNC(ppp_register_channel, "", "");
KSYMTAB_FUNC(ppp_unregister_channel, "", "");
KSYMTAB_FUNC(ppp_channel_index, "", "");
KSYMTAB_FUNC(ppp_unit_number, "", "");
KSYMTAB_FUNC(ppp_dev_name, "", "");
KSYMTAB_FUNC(ppp_input, "", "");
KSYMTAB_FUNC(ppp_input_error, "", "");
KSYMTAB_FUNC(ppp_output_wakeup, "", "");
KSYMTAB_FUNC(ppp_register_compressor, "", "");
KSYMTAB_FUNC(ppp_unregister_compressor, "", "");

SYMBOL_CRC(ppp_register_net_channel, 0x516eeace, "");
SYMBOL_CRC(ppp_register_channel, 0x4ca1f0d6, "");
SYMBOL_CRC(ppp_unregister_channel, 0xb1fbdad9, "");
SYMBOL_CRC(ppp_channel_index, 0x4303d25d, "");
SYMBOL_CRC(ppp_unit_number, 0x7345b824, "");
SYMBOL_CRC(ppp_dev_name, 0x944a2b8f, "");
SYMBOL_CRC(ppp_input, 0xf4ee032c, "");
SYMBOL_CRC(ppp_input_error, 0xb2386884, "");
SYMBOL_CRC(ppp_output_wakeup, 0xababdf9b, "");
SYMBOL_CRC(ppp_register_compressor, 0xadb1b2d6, "");
SYMBOL_CRC(ppp_unregister_compressor, 0x97064bd7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0xb0b8b7e8, "register_pernet_device" },
	{ 0x29458b4, "__register_chrdev" },
	{ 0x22376df7, "class_create" },
	{ 0x2be096d9, "rtnl_link_register" },
	{ 0x3b78df03, "device_create" },
	{ 0x14e75498, "unregister_pernet_device" },
	{ 0xc3794904, "class_destroy" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x99f5fca7, "rtnl_link_unregister" },
	{ 0x7f8810b, "device_destroy" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xcaccbaf5, "skb_dequeue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0xbce63b78, "iov_iter_init" },
	{ 0xe8140ab8, "skb_copy_datagram_iter" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe2964344, "__wake_up" },
	{ 0x20978fb9, "idr_find" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xaab26e3a, "netdev_name_in_use" },
	{ 0xdc5210c0, "register_netdevice" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x79a87bd2, "fget" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xf8f37fbe, "fput" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x54307a13, "__put_net" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xa0cc62e3, "__netdev_alloc_skb" },
	{ 0x74b8e674, "slhc_toss" },
	{ 0xa405c525, "__pskb_pull_tail" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xaf75aa37, "netdev_printk" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xc401512a, "pskb_expand_head" },
	{ 0xc25338ec, "skb_push" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa87083f1, "skb_copy_bits" },
	{ 0xf36f42a9, "slhc_uncompress" },
	{ 0x43f9ebc8, "slhc_remember" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x838fc730, "skb_trim" },
	{ 0xde0ae5c2, "skb_pull_rcsum" },
	{ 0xa9aada8f, "skb_scrub_packet" },
	{ 0x513a6e20, "netif_rx" },
	{ 0xdcdc0040, "slhc_compress" },
	{ 0x66e94de6, "netif_tx_wake_queue" },
	{ 0xa175b502, "skb_queue_head" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x9212808a, "alloc_netdev_mqs" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x15f90688, "slhc_init" },
	{ 0x668b19a1, "down_read" },
	{ 0x53b954a2, "up_read" },
	{ 0x93067637, "param_ops_bool" },
	{ 0x9ef9355f, "noop_llseek" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8e90385d, "module_put" },
	{ 0x693a9460, "netdev_err" },
	{ 0x2a928918, "slhc_free" },
	{ 0x824f5862, "skb_queue_purge_reason" },
	{ 0xea6e578a, "bpf_prog_destroy" },
	{ 0x86564197, "kfree_skb_reason" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x19e7a957, "free_netdev" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xeaeba39b, "__alloc_skb" },
	{ 0x79856fee, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0x30d8be3, "skb_queue_tail" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe7251df7, "consume_skb" },
	{ 0x92836a8b, "skb_pull" },
	{ 0x4e55b5df, "unregister_netdevice_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe0bc69b2, "ns_capable" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xaaf58f42, "bpf_prog_create" },
	{ 0x37a0cba, "kfree" },
	{ 0x6f8442c4, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "slhc");


MODULE_INFO(srcversion, "D4FE9E2B2778FEBD4A4A4B7");
