#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda5f4a17, "fixed_phy_unregister" },
	{ 0xd738ca1b, "phy_unregister_fixup_for_uid" },
	{ 0x30f94315, "usb_get_from_anchor" },
	{ 0xe496c9fc, "napi_schedule_prep" },
	{ 0xe86b53e0, "__napi_schedule" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xee654d26, "handle_simple_irq" },
	{ 0x5c531308, "irq_domain_create_simple" },
	{ 0x1d7515e0, "irq_create_mapping_affinity" },
	{ 0x27e9db5b, "mdiobus_alloc_size" },
	{ 0x3edf71da, "__mdiobus_register" },
	{ 0xfb578fc5, "memset" },
	{ 0x81e2bdf4, "generic_handle_irq_safe" },
	{ 0x589d96cd, "skb_clone_tx_timestamp" },
	{ 0x64dfaea7, "skb_tstamp_tx" },
	{ 0x241026cc, "usb_alloc_urb" },
	{ 0xeaeba39b, "__alloc_skb" },
	{ 0x469497b4, "__netif_napi_del" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x8614e316, "unregister_netdev" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x2a003478, "phy_disconnect" },
	{ 0x807766ea, "usb_scuttle_anchored_urbs" },
	{ 0x19e7a957, "free_netdev" },
	{ 0xeb7b00a4, "usb_put_dev" },
	{ 0x4442b85c, "skb_unlink" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xaf69111, "phy_start" },
	{ 0x468fd87f, "napi_enable" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x16a43507, "usb_get_dev" },
	{ 0xe921ae40, "alloc_etherdev_mqs" },
	{ 0xc001370d, "netif_set_tso_max_size" },
	{ 0x81f74173, "netif_napi_add_weight" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb853f55d, "_dev_err" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xfd57cfc0, "register_netdev" },
	{ 0x89f17944, "pm_runtime_set_autosuspend_delay" },
	{ 0xf2dc7718, "napi_complete_done" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xdeaf811, "netif_device_attach" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xf20f992a, "netif_carrier_off" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7fd171c0, "usb_clear_halt" },
	{ 0xcbe08b58, "eth_validate_addr" },
	{ 0x6d39eaec, "phy_do_ioctl_running" },
	{ 0xeda29d7c, "phy_ethtool_nway_reset" },
	{ 0x7129d150, "ethtool_op_get_ts_info" },
	{ 0x7cf19c, "param_ops_int" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x16657d3c, "usb_register_driver" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0xcf2521c4, "usb_control_msg" },
	{ 0x37a0cba, "kfree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2c145a85, "netdev_warn" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x632e8345, "eth_platform_get_mac_address" },
	{ 0x7fc396cf, "dev_addr_mod" },
	{ 0xadc69a5f, "__dynamic_netdev_dbg" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x693a9460, "netdev_err" },
	{ 0xf9a482f9, "msleep" },
	{ 0x80477a2f, "usb_get_urb" },
	{ 0x4aae71f3, "usb_unlink_urb" },
	{ 0xf43fcd82, "usb_free_urb" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xcaccbaf5, "skb_dequeue" },
	{ 0x30d8be3, "skb_queue_tail" },
	{ 0x824f5862, "skb_queue_purge_reason" },
	{ 0x28962ae1, "usb_autopm_get_interface" },
	{ 0x8e6d897f, "usb_autopm_put_interface" },
	{ 0x60a6601a, "phy_ethtool_ksettings_set" },
	{ 0x1d9fe4b3, "mdiobus_read" },
	{ 0xa83fdc5a, "mdiobus_write" },
	{ 0x2e61b8c7, "phy_ethtool_ksettings_get" },
	{ 0xa0d76c51, "phy_ethtool_set_eee" },
	{ 0x6276f71e, "phy_ethtool_get_eee" },
	{ 0xbe1f2603, "device_set_wakeup_enable" },
	{ 0x2e7194e1, "phy_ethtool_set_wol" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe9927733, "napi_disable" },
	{ 0x8b98d9ce, "phy_stop" },
	{ 0x3283fb69, "usb_kill_urb" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x5b6f8c26, "netdev_info" },
	{ 0x9d85e4dc, "eth_type_trans" },
	{ 0xe9ec90b5, "skb_defer_rx_timestamp" },
	{ 0x6a861570, "napi_gro_receive" },
	{ 0xbfe93e4b, "irq_set_chip_and_handler_name" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xe0e3ad97, "phy_print_status" },
	{ 0xa7b646e4, "phy_find_first" },
	{ 0x125a9ae6, "phy_register_fixup_for_uid" },
	{ 0xec14b63e, "fixed_phy_register" },
	{ 0xf192ca57, "phy_read_mmd" },
	{ 0xecf4ec71, "phy_write_mmd" },
	{ 0x3ff6391e, "usb_deregister" },
	{ 0xa405c525, "__pskb_pull_tail" },
	{ 0xa87083f1, "skb_copy_bits" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x92836a8b, "skb_pull" },
	{ 0x45d84045, "__napi_alloc_skb" },
	{ 0x69acdf38, "memcpy" },
	{ 0x79856fee, "skb_put" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa0410ee2, "dev_kfree_skb_any_reason" },
	{ 0xafcf325f, "netif_tx_lock" },
	{ 0xb8398cc6, "netif_tx_unlock" },
	{ 0x8ea05cd6, "usb_autopm_get_interface_async" },
	{ 0x22e74c30, "usb_submit_urb" },
	{ 0x12d97ed7, "usb_autopm_put_interface_async" },
	{ 0x45beb1a8, "netif_device_detach" },
	{ 0x66e94de6, "netif_tx_wake_queue" },
	{ 0x709f7616, "usb_anchor_urb" },
	{ 0xf8489b1c, "mdiobus_unregister" },
	{ 0x8bea2cda, "mdiobus_free" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0xec04b677, "irq_domain_remove" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2d04d29e, "genphy_read_status" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x4efec5b6, "phy_connect_direct" },
	{ 0x7fcd6114, "phy_remove_link_mode" },
	{ 0x5c7db952, "__genphy_config_aneg" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("usb:v0424p7800d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p7850d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p7801d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07C9p0012d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "F204979F8324985A95CF707");
