#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2a003478, "phy_disconnect" },
	{ 0xf8489b1c, "mdiobus_unregister" },
	{ 0x8bea2cda, "mdiobus_free" },
	{ 0xf521a933, "__irq_resolve_mapping" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0xec04b677, "irq_domain_remove" },
	{ 0xb6117bd1, "irq_domain_free_fwnode" },
	{ 0x37a0cba, "kfree" },
	{ 0x2d04d29e, "genphy_read_status" },
	{ 0x92836a8b, "skb_pull" },
	{ 0xa0cc62e3, "__netdev_alloc_skb" },
	{ 0x79856fee, "skb_put" },
	{ 0x838fc730, "skb_trim" },
	{ 0xf80e3fbb, "usbnet_skb_return" },
	{ 0x8bea7676, "usbnet_write_cmd_async" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x122c3a7e, "_printk" },
	{ 0x4c18d7a4, "usbnet_get_endpoints" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8e12a744, "__irq_domain_alloc_fwnode" },
	{ 0x6cf34b4d, "irq_domain_simple_ops" },
	{ 0xf42f9d0a, "__irq_domain_add" },
	{ 0x1d7515e0, "irq_create_mapping_affinity" },
	{ 0x3437d61e, "dummy_irq_chip" },
	{ 0xee654d26, "handle_simple_irq" },
	{ 0xbfe93e4b, "irq_set_chip_and_handler_name" },
	{ 0x27e9db5b, "mdiobus_alloc_size" },
	{ 0x3edf71da, "__mdiobus_register" },
	{ 0xa7b646e4, "phy_find_first" },
	{ 0x4efec5b6, "phy_connect_direct" },
	{ 0x6da38bff, "phy_attached_info" },
	{ 0x693a9460, "netdev_err" },
	{ 0xeb560297, "usbnet_suspend" },
	{ 0x92ce44f2, "usbnet_probe" },
	{ 0xa3f2437, "usbnet_disconnect" },
	{ 0x2d8d9647, "usbnet_open" },
	{ 0x6dd108b, "usbnet_stop" },
	{ 0xbc4cb2e1, "usbnet_start_xmit" },
	{ 0x538736c3, "eth_mac_addr" },
	{ 0xcbe08b58, "eth_validate_addr" },
	{ 0x67298595, "usbnet_change_mtu" },
	{ 0x73e601e8, "usbnet_tx_timeout" },
	{ 0x355a1c70, "dev_get_tstats64" },
	{ 0x2bfda92e, "usbnet_get_drvinfo" },
	{ 0xefd1d19f, "usbnet_get_msglevel" },
	{ 0xc7d11f2b, "usbnet_set_msglevel" },
	{ 0xeda29d7c, "phy_ethtool_nway_reset" },
	{ 0x875d9ee7, "net_selftest" },
	{ 0x7129d150, "ethtool_op_get_ts_info" },
	{ 0xd26fcbf6, "phy_ethtool_get_link_ksettings" },
	{ 0x8709c863, "phy_ethtool_set_link_ksettings" },
	{ 0x93067637, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc25338ec, "skb_push" },
	{ 0xc401512a, "pskb_expand_head" },
	{ 0xa0410ee2, "dev_kfree_skb_any_reason" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0x7a71f4b3, "usbnet_read_cmd_nopm" },
	{ 0x3935b27c, "usbnet_read_cmd" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2c145a85, "netdev_warn" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2d6db7ea, "usbnet_write_cmd_nopm" },
	{ 0x24c39847, "usbnet_write_cmd" },
	{ 0xadc69a5f, "__dynamic_netdev_dbg" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa219410b, "generic_handle_domain_irq" },
	{ 0xaf69111, "phy_start" },
	{ 0x8b98d9ce, "phy_stop" },
	{ 0x2d02702b, "phy_get_pause" },
	{ 0xe0e3ad97, "phy_print_status" },
	{ 0x91c9adca, "usbnet_defer_kevent" },
	{ 0x8e6b1a9e, "net_selftest_get_count" },
	{ 0xc090c376, "net_selftest_get_strings" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xbe1f2603, "device_set_wakeup_enable" },
	{ 0xf435c5b6, "phy_mii_ioctl" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x5b6f8c26, "netdev_info" },
	{ 0xf9a482f9, "msleep" },
	{ 0x16657d3c, "usb_register_driver" },
	{ 0x8821127e, "phy_init_hw" },
	{ 0x46f83c0b, "usbnet_resume" },
	{ 0xbd6841d4, "crc16" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x3ff6391e, "usb_deregister" },
	{ 0x79ceb112, "usb_autopm_get_interface_no_resume" },
	{ 0x8e6d897f, "usb_autopm_put_interface" },
	{ 0x8d2c5e74, "platform_get_ethdev_address" },
	{ 0x7fc396cf, "dev_addr_mod" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "usbnet");

MODULE_ALIAS("usb:v0424p9500d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9505d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9E00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9E01d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424pEC00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9900d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9901d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9902d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9903d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9904d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9905d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9906d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9907d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9908d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9909d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9530d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9730d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9E08d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0878p1400d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v184Fp0051d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "1E6A952C6FEABE611EA4AA6");
