#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdad145c3, "skb_copy_header" },
	{ 0xa87083f1, "skb_copy_bits" },
	{ 0x79856fee, "skb_put" },
	{ 0xed0b8e02, "skb_headers_offset_update" },
	{ 0x2b64d5e7, "skb_add_rx_frag" },
	{ 0xe7251df7, "consume_skb" },
	{ 0xae225ff2, "page_pool_put_defragged_page" },
	{ 0xe9927733, "napi_disable" },
	{ 0x55d8e049, "page_pool_destroy" },
	{ 0xbe11cc58, "page_pool_create" },
	{ 0x468fd87f, "napi_enable" },
	{ 0x6e6605b4, "xdp_features_clear_redirect_target" },
	{ 0x7ae3f064, "xdp_features_set_redirect_target" },
	{ 0xdd5e4cea, "rtnl_nla_parse_ifinfomsg" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb311571a, "rtnl_link_get_net" },
	{ 0x5aad4c1b, "rtnl_create_link" },
	{ 0xc3d3153, "netif_inherit_tso_max" },
	{ 0xdc5210c0, "register_netdevice" },
	{ 0x3fb5cd7e, "netdev_update_features" },
	{ 0xf20f992a, "netif_carrier_off" },
	{ 0x2e65599f, "rtnl_configure_link" },
	{ 0x54307a13, "__put_net" },
	{ 0x19e7a957, "free_netdev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x7fc396cf, "dev_addr_mod" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0xe61c5add, "__tracepoint_xdp_bulk_tx" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x872d4f7c, "__SCT__tp_func_xdp_bulk_tx" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x8fcae89, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x122c3a7e, "_printk" },
	{ 0x68b91085, "netif_carrier_on" },
	{ 0xdbd7b9c, "xdp_rxq_info_is_reg" },
	{ 0xa6676980, "bpf_prog_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xc2e04ed2, "xdp_do_redirect" },
	{ 0xb61b0e5b, "xdp_return_buff" },
	{ 0xd98744a1, "xdp_master_redirect" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xbcc2c8c9, "bpf_warn_invalid_xdp_action" },
	{ 0xc1f44981, "__tracepoint_xdp_exception" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x9d85e4dc, "eth_type_trans" },
	{ 0x9e7e1368, "netif_receive_skb" },
	{ 0xc401512a, "pskb_expand_head" },
	{ 0x5c670202, "bpf_redirect_info" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xf2dc7718, "napi_complete_done" },
	{ 0xf51f9633, "passthru_features_check" },
	{ 0x538736c3, "eth_mac_addr" },
	{ 0x478d2a9e, "ethtool_op_get_link" },
	{ 0x7129d150, "ethtool_op_get_ts_info" },
	{ 0xd2316ed6, "__SCK__tp_func_xdp_bulk_tx" },
	{ 0x3b450d2, "__SCK__tp_func_xdp_exception" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2be096d9, "rtnl_link_register" },
	{ 0x4e55b5df, "unregister_netdevice_queue" },
	{ 0xef552fa1, "xdp_set_features_flag" },
	{ 0xaef003f0, "ether_setup" },
	{ 0xc001370d, "netif_set_tso_max_size" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd63296c9, "xdp_return_frame" },
	{ 0x86564197, "kfree_skb_reason" },
	{ 0x3059a888, "__xdp_rxq_info_reg" },
	{ 0xfec17abf, "xdp_rxq_info_reg_mem_model" },
	{ 0x81f74173, "netif_napi_add_weight" },
	{ 0x469497b4, "__netif_napi_del" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x30cd2966, "xdp_rxq_info_unreg" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0xafa49d1c, "page_pool_get_stats" },
	{ 0xc060c3f4, "page_pool_ethtool_stats_get" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0x53f8ced7, "page_pool_ethtool_stats_get_strings" },
	{ 0x3a9eb4a2, "__skb_get_hash" },
	{ 0x8fa5a6ee, "dev_fetch_sw_netstats" },
	{ 0x99f5fca7, "rtnl_link_unregister" },
	{ 0x5b5ba85a, "netif_set_real_num_tx_queues" },
	{ 0xd1cd91f7, "netif_set_real_num_rx_queues" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xd91dbd1f, "xdp_alloc_skb_bulk" },
	{ 0x6a861570, "napi_gro_receive" },
	{ 0x900e19bb, "__xdp_build_skb_from_frame" },
	{ 0x589d96cd, "skb_clone_tx_timestamp" },
	{ 0x31c00861, "__dev_forward_skb" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe496c9fc, "napi_schedule_prep" },
	{ 0xe86b53e0, "__napi_schedule" },
	{ 0x760baa66, "sock_wfree" },
	{ 0xa405c525, "__pskb_pull_tail" },
	{ 0x2f2ff5e, "__netif_rx" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x64dfaea7, "skb_tstamp_tx" },
	{ 0xa0410ee2, "dev_kfree_skb_any_reason" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xdb6e347c, "page_pool_alloc_pages" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x85e1c9ee, "napi_build_skb" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C346528DBF6B467E167DE59");
