#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0xe6975d2e, "__skb_flow_dissect" },
	{ 0x12cd0092, "skb_partial_csum_set" },
	{ 0xa405c525, "__pskb_pull_tail" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x56470118, "__warn_printk" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x81f74173, "netif_napi_add_weight" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x48cf031b, "virtqueue_add_outbuf" },
	{ 0x157dddd6, "virtqueue_set_dma_premapped" },
	{ 0xe26d87c6, "virtqueue_enable_cb_delayed" },
	{ 0xe3a725fb, "virtqueue_kick_prepare" },
	{ 0x3b71645, "virtqueue_notify" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xc2e04ed2, "xdp_do_redirect" },
	{ 0xd98744a1, "xdp_master_redirect" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xbcc2c8c9, "bpf_warn_invalid_xdp_action" },
	{ 0xc1f44981, "__tracepoint_xdp_exception" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x8fcae89, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xadc69a5f, "__dynamic_netdev_dbg" },
	{ 0xad847e6c, "xdp_return_frame_rx_napi" },
	{ 0x9c49bb9, "alloc_pages" },
	{ 0xfddf0b3a, "virtqueue_add_inbuf" },
	{ 0x4ce9ebc3, "skb_to_sgvec" },
	{ 0xd1d1e3bb, "softnet_data" },
	{ 0x589d96cd, "skb_clone_tx_timestamp" },
	{ 0x64dfaea7, "skb_tstamp_tx" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xa0410ee2, "dev_kfree_skb_any_reason" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x3e67975, "virtqueue_dma_unmap_single_attrs" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x991d34a3, "__folio_put" },
	{ 0xb76bc482, "__put_devmap_managed_page_refs" },
	{ 0xf190ae46, "virtqueue_dma_sync_single_range_for_cpu" },
	{ 0xe921ae40, "alloc_etherdev_mqs" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x7fc396cf, "dev_addr_mod" },
	{ 0x591b192f, "_dev_info" },
	{ 0xdc5210c0, "register_netdevice" },
	{ 0x5b49d836, "net_failover_destroy" },
	{ 0xd1517527, "virtio_reset_device" },
	{ 0x19e7a957, "free_netdev" },
	{ 0x8614e316, "unregister_netdev" },
	{ 0x9ecc94f0, "net_failover_create" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xb853f55d, "_dev_err" },
	{ 0xc19afc50, "skb_page_frag_refill" },
	{ 0x960b296b, "virtqueue_dma_map_single_attrs" },
	{ 0xee25e810, "virtqueue_dma_mapping_error" },
	{ 0x8165f383, "virtqueue_dma_need_sync" },
	{ 0x6a246db8, "virtqueue_get_buf_ctx" },
	{ 0x5168483f, "virtqueue_add_inbuf_ctx" },
	{ 0xfec17abf, "xdp_rxq_info_reg_mem_model" },
	{ 0x3059a888, "__xdp_rxq_info_reg" },
	{ 0x32a153be, "virtqueue_resize" },
	{ 0x79856fee, "skb_put" },
	{ 0x45d84045, "__napi_alloc_skb" },
	{ 0x2b64d5e7, "skb_add_rx_frag" },
	{ 0x69acdf38, "memcpy" },
	{ 0x98fa645b, "virtqueue_detach_unused_buf" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x5fd94173, "__free_pages" },
	{ 0xdeaf811, "netif_device_attach" },
	{ 0xee077fce, "skb_coalesce_rx_frag" },
	{ 0xeaeba39b, "__alloc_skb" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9d85e4dc, "eth_type_trans" },
	{ 0x6a861570, "napi_gro_receive" },
	{ 0x122c3a7e, "_printk" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xf51f9633, "passthru_features_check" },
	{ 0xcbe08b58, "eth_validate_addr" },
	{ 0x478d2a9e, "ethtool_op_get_link" },
	{ 0x7129d150, "ethtool_op_get_ts_info" },
	{ 0x93067637, "param_ops_bool" },
	{ 0x7cf19c, "param_ops_int" },
	{ 0x3b450d2, "__SCK__tp_func_xdp_exception" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x862328f7, "napi_consume_skb" },
	{ 0x56907eb5, "virtqueue_get_buf" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd63296c9, "xdp_return_frame" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x62d4380, "virtqueue_disable_cb" },
	{ 0x5d13507d, "virtqueue_enable_cb_prepare" },
	{ 0xf2dc7718, "napi_complete_done" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xfb2007b1, "virtqueue_poll" },
	{ 0x66e94de6, "netif_tx_wake_queue" },
	{ 0xe496c9fc, "napi_schedule_prep" },
	{ 0xe86b53e0, "__napi_schedule" },
	{ 0x9f860738, "virtqueue_get_vring_size" },
	{ 0xe7251df7, "consume_skb" },
	{ 0x469497b4, "__netif_napi_del" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x37a0cba, "kfree" },
	{ 0xaa87cf19, "__cpuhp_state_add_instance" },
	{ 0x8fa8aca1, "__cpuhp_state_remove_instance" },
	{ 0x75bd17f1, "ethtool_virtdev_set_link_ksettings" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x693a9460, "netdev_err" },
	{ 0x97fa317c, "__cpuhp_setup_state" },
	{ 0x19ac0ff7, "__cpuhp_remove_state" },
	{ 0xeae9416f, "register_virtio_driver" },
	{ 0x1f07d020, "unregister_virtio_driver" },
	{ 0xadcb12bd, "build_skb" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe9927733, "napi_disable" },
	{ 0x30cd2966, "xdp_rxq_info_unreg" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xafcf325f, "netif_tx_lock" },
	{ 0x45beb1a8, "netif_device_detach" },
	{ 0xb8398cc6, "netif_tx_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x984d9c39, "cpumask_next_wrap" },
	{ 0xd5646558, "__netif_set_xps_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xbda1aea9, "virtio_check_driver_offered_feature" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x40ed8395, "virtqueue_add_sgs" },
	{ 0x2dd776c8, "virtqueue_kick" },
	{ 0xf83b2793, "virtqueue_is_broken" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0x68b91085, "netif_carrier_on" },
	{ 0xf20f992a, "netif_carrier_off" },
	{ 0xb00e8468, "netif_tx_stop_all_queues" },
	{ 0x51f54198, "netdev_notify_peers" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0x5b5ba85a, "netif_set_real_num_tx_queues" },
	{ 0xd1cd91f7, "netif_set_real_num_rx_queues" },
	{ 0x468fd87f, "napi_enable" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6ea0d678, "eth_prepare_mac_addr_change" },
	{ 0x541b8766, "eth_commit_mac_addr_change" },
	{ 0xaf75aa37, "netdev_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x79ab1df, "bpf_prog_add" },
	{ 0x1565d9ea, "bpf_prog_sub" },
	{ 0xa6676980, "bpf_prog_put" },
	{ 0x6e6605b4, "xdp_features_clear_redirect_target" },
	{ 0x2c145a85, "netdev_warn" },
	{ 0x7ae3f064, "xdp_features_set_redirect_target" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "net_failover");

MODULE_ALIAS("virtio:d00000001v*");

MODULE_INFO(srcversion, "43F7894A03B7A41106571AD");
