#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76_connac_mcu_start_firmware, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_patch_sem_ctrl, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_start_patch, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_init_download, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_channel_domain, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_mac_enable, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_vif_ps, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_rts_thresh, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_beacon_loss_iter, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_add_nested_tlv, "_gpl", "");
KSYMTAB_FUNC(__mt76_connac_mcu_alloc_sta_req, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_alloc_wtbl_req, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_bss_omac_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_basic_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_uapsd, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_hdr_trans_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_update_hdr_trans, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_update_hdr_trans, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_generic_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_smps_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_ht_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_cmd, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_ba_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_uni_add_dev, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_ba_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_wed_update, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_ba, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_phy_mode, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_phy_mode_ext, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_he_phy_cap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_eht_phy_cap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_uni_set_chctx, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_uni_add_bss, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_cancel_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sched_scan_req, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sched_scan_enable, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_chip_config, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_deep_sleep, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_sta_state_dp, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_coredump_event, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_get_nic_capability, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_rate_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_update_arp_filter, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_p2p_oppps, "_gpl", "");
KSYMTAB_DATA(mt76_connac_wowlan_support, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_update_gtk_rekey, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_hif_suspend, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_suspend_iter, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_reg_rr, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_reg_wr, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_add_key, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_bss_ext_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_bss_basic_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_pm, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_restart, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_rdd_cmd, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_load_ram, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_load_patch, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mcu_fill_message, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_gen_ppe_thresh, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_pm_wake, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_power_save_sched, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_free_pending_tx_skbs, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_pm_queue_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_pm_dequeue_skbs, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_write_hw_txp, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_txp_skb_unmap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_init_tx_queues, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_tx_rate_val, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_fill_txs, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_add_txs_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_decode_he_radiotap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_reverse_frag0_hdr_trans, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_fill_rx_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_tx_check_aggr, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_txwi_free, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_tx_token_put, "_gpl", "");
KSYMTAB_FUNC(mt76_connac3_mac_decode_he_radiotap, "_gpl", "");

SYMBOL_CRC(mt76_connac_mcu_start_firmware, 0x5727443b, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_patch_sem_ctrl, 0xb24a34d4, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_start_patch, 0x90d2f9a9, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_init_download, 0x47437210, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_channel_domain, 0x9be37229, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_mac_enable, 0x1615130f, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_vif_ps, 0xf0e69cc4, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_rts_thresh, 0xea39ecb2, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_beacon_loss_iter, 0x946a4d11, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_add_nested_tlv, 0x0d3408c7, "_gpl");
SYMBOL_CRC(__mt76_connac_mcu_alloc_sta_req, 0xbd330a72, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_alloc_wtbl_req, 0xbab92e07, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_bss_omac_tlv, 0xd2c3d932, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_basic_tlv, 0x2245918c, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_uapsd, 0x85200248, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_hdr_trans_tlv, 0x1b45844b, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_update_hdr_trans, 0x7aaec6c3, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_update_hdr_trans, 0x90378c2a, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_generic_tlv, 0xb6a95270, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_tlv, 0xcd798e02, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_smps_tlv, 0xe4b1befe, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_ht_tlv, 0xd3e8fccf, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_cmd, 0x2e437954, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_ba_tlv, 0x779263d8, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_uni_add_dev, 0xa0256cac, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_ba_tlv, 0xafe391a3, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_wed_update, 0xcf0feebe, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_ba, 0x23f4ab0f, "_gpl");
SYMBOL_CRC(mt76_connac_get_phy_mode, 0xda71b1c6, "_gpl");
SYMBOL_CRC(mt76_connac_get_phy_mode_ext, 0xd8fd4126, "_gpl");
SYMBOL_CRC(mt76_connac_get_he_phy_cap, 0x1799a57c, "_gpl");
SYMBOL_CRC(mt76_connac_get_eht_phy_cap, 0x69f6b958, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_uni_set_chctx, 0x06f290d9, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_uni_add_bss, 0xa97f7fc4, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_hw_scan, 0x6bd60973, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_cancel_hw_scan, 0x004ed19a, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sched_scan_req, 0xed0a41e8, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sched_scan_enable, 0xa5f94530, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_chip_config, 0x86fe8d23, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_deep_sleep, 0x2ff24854, "_gpl");
SYMBOL_CRC(mt76_connac_sta_state_dp, 0xf701a81a, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_coredump_event, 0xe100f04b, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_get_nic_capability, 0xc5d0c4f8, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_rate_txpower, 0xac7879ef, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_update_arp_filter, 0x46ddccc4, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_p2p_oppps, 0x5f8aa327, "_gpl");
SYMBOL_CRC(mt76_connac_wowlan_support, 0x908ca40c, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_update_gtk_rekey, 0x7d233814, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_hif_suspend, 0xb390f44d, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_suspend_iter, 0x5087de17, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_reg_rr, 0x2762d13e, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_reg_wr, 0x059a6fbf, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_add_key, 0xe64c1372, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_bss_ext_tlv, 0x2dc6c31c, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_bss_basic_tlv, 0x2e78dbcd, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_pm, 0x8826a278, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_restart, 0x2f5848be, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_rdd_cmd, 0xed6075e1, "_gpl");
SYMBOL_CRC(mt76_connac2_load_ram, 0xd533d88b, "_gpl");
SYMBOL_CRC(mt76_connac2_load_patch, 0xafd08bcc, "_gpl");
SYMBOL_CRC(mt76_connac2_mcu_fill_message, 0x9eb76eed, "_gpl");
SYMBOL_CRC(mt76_connac_gen_ppe_thresh, 0x0a25337f, "_gpl");
SYMBOL_CRC(mt76_connac_pm_wake, 0x940bce3c, "_gpl");
SYMBOL_CRC(mt76_connac_power_save_sched, 0xc86056a8, "_gpl");
SYMBOL_CRC(mt76_connac_free_pending_tx_skbs, 0x37ff9344, "_gpl");
SYMBOL_CRC(mt76_connac_pm_queue_skb, 0xd1d3306d, "_gpl");
SYMBOL_CRC(mt76_connac_pm_dequeue_skbs, 0xd09cb4f5, "_gpl");
SYMBOL_CRC(mt76_connac_tx_complete_skb, 0xc636a970, "_gpl");
SYMBOL_CRC(mt76_connac_write_hw_txp, 0x40672c63, "_gpl");
SYMBOL_CRC(mt76_connac_txp_skb_unmap, 0x29bb6932, "_gpl");
SYMBOL_CRC(mt76_connac_init_tx_queues, 0xd4cdb9d0, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_tx_rate_val, 0x0250e119, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_write_txwi, 0xc33f4c74, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_fill_txs, 0xf6a23d38, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_add_txs_skb, 0xe296afd0, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_decode_he_radiotap, 0xf55c1024, "_gpl");
SYMBOL_CRC(mt76_connac2_reverse_frag0_hdr_trans, 0x342c7602, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_fill_rx_rate, 0x1b100b99, "_gpl");
SYMBOL_CRC(mt76_connac2_tx_check_aggr, 0x96e7fe49, "_gpl");
SYMBOL_CRC(mt76_connac2_txwi_free, 0x006a3974, "_gpl");
SYMBOL_CRC(mt76_connac2_tx_token_put, 0x7ab09d2e, "_gpl");
SYMBOL_CRC(mt76_connac3_mac_decode_he_radiotap, 0x727d44fc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2a412188, "mt76_tx_status_skb_get" },
	{ 0x1cd8405, "mt76_tx_status_lock" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x3279e0ed, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xe8038cb6, "request_firmware" },
	{ 0x1a86a919, "mt76_get_rate" },
	{ 0x2807e33d, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfec8d29b, "ieee80211_beacon_loss" },
	{ 0x35ab3082, "__mt76_tx_complete_skb" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xd656d42c, "ieee80211_get_hdrlen_from_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1a53c964, "wake_up_process" },
	{ 0x75edbf9c, "ieee80211_find_sta" },
	{ 0x50d97fa7, "mt76_calculate_default_rate" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa96198a5, "mt76_tx" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x591b192f, "_dev_info" },
	{ 0xce87a385, "mt76_init_queue" },
	{ 0xfe73c670, "mt76_tx_status_skb_done" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb853f55d, "_dev_err" },
	{ 0x92836a8b, "skb_pull" },
	{ 0xe15778f6, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc25338ec, "skb_push" },
	{ 0x68f00fa1, "ieee80211_wake_queues" },
	{ 0xf69152a6, "mt76_mcu_send_and_get_msg" },
	{ 0x8daaa09, "ieee80211_iter_keys_rcu" },
	{ 0xb4f583b3, "__mt76_mcu_msg_alloc" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x432585e6, "__mt76_mcu_send_firmware" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7e3089b0, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2f5a4ec0, "mt76_get_rate_power_limits" },
	{ 0xb5a2b9da, "ieee80211_scan_completed" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9ca1e68d, "mt76_get_sar_power" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x50213ed8, "mt76_put_txwi" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0xa0410ee2, "dev_kfree_skb_any_reason" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x52167f01, "mt76_tx_status_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x79856fee, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe7251df7, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "mt76,mac80211,cfg80211");


MODULE_INFO(srcversion, "063EA54E9730DC9CD572211");
