#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76_set_irq_mask, "_gpl", "");
KSYMTAB_FUNC(mt76_mmio_init, "_gpl", "");
KSYMTAB_FUNC(__mt76_poll, "_gpl", "");
KSYMTAB_FUNC(____mt76_poll_msec, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_get_min_avg_rssi, "_gpl", "");
KSYMTAB_FUNC(__mt76_worker_fn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__traceiter_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__tracepoint_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_dev_irq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_free_pending_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_wed_setup, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_rx_poll, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_attach, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_cleanup, "_gpl", "");
KSYMTAB_DATA(mt76_rates, "_gpl", "");
KSYMTAB_FUNC(mt76_set_stream_caps, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_register_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_create_page_pool, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_device, "_gpl", "");
KSYMTAB_FUNC(mt76_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_device, "_gpl", "");
KSYMTAB_FUNC(mt76_free_device, "_gpl", "");
KSYMTAB_FUNC(mt76_rx, "_gpl", "");
KSYMTAB_FUNC(mt76_has_tx_pending, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey_active_time, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt76_get_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_key_setup, "", "");
KSYMTAB_FUNC(mt76_rx_signal, "", "");
KSYMTAB_FUNC(mt76_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_state, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_pre_rcu_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_get_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76_init_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_get_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_finish, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_check, "_gpl", "");
KSYMTAB_FUNC(mt76_set_tim, "_gpl", "");
KSYMTAB_FUNC(mt76_insert_ccmp_hdr, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76_get_antenna, "_gpl", "");
KSYMTAB_FUNC(mt76_init_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_calculate_default_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_worker, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_page_pool_stats, "_gpl", "");
KSYMTAB_FUNC(mt76_phy_dfs_state, "_gpl", "");
KSYMTAB_FUNC(mt76_queues_read, "_gpl", "");
KSYMTAB_FUNC(mt76_seq_puts_array, "_gpl", "");
KSYMTAB_FUNC(mt76_register_debugfs_fops, "_gpl", "");
KSYMTAB_FUNC(mt76_get_of_eeprom, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_override, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate_power_limits, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_check_agg_ssn, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_lock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_unlock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_done, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_add, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_get, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_check, "_gpl", "");
KSYMTAB_FUNC(__mt76_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_tx, "_gpl", "");
KSYMTAB_FUNC(mt76_release_buffered_frames, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule_all, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_worker_run, "_gpl", "");
KSYMTAB_FUNC(mt76_stop_tx_queues, "_gpl", "");
KSYMTAB_FUNC(mt76_wake_tx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_ac_to_hwq, "_gpl", "");
KSYMTAB_FUNC(mt76_skb_adjust_pad, "_gpl", "");
KSYMTAB_FUNC(mt76_queue_tx_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_set_tx_blocked, "_gpl", "");
KSYMTAB_FUNC(mt76_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_start, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_stop, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_msg_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_get_response, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_rx_event, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_skb_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_send_firmware, "_gpl", "");
KSYMTAB_FUNC(mt76_pci_disable_aspm, "_gpl", "");

SYMBOL_CRC(mt76_set_irq_mask, 0x184df793, "_gpl");
SYMBOL_CRC(mt76_mmio_init, 0xe286d1d4, "_gpl");
SYMBOL_CRC(__mt76_poll, 0xca899e2a, "_gpl");
SYMBOL_CRC(____mt76_poll_msec, 0x138c12e0, "_gpl");
SYMBOL_CRC(mt76_wcid_alloc, 0xe40b66ef, "_gpl");
SYMBOL_CRC(mt76_get_min_avg_rssi, 0x7421ef61, "_gpl");
SYMBOL_CRC(__mt76_worker_fn, 0x1ec57b4f, "_gpl");
SYMBOL_CRC(__tracepoint_mac_txdone, 0x18a634a0, "_gpl");
SYMBOL_CRC(__traceiter_mac_txdone, 0x3c208d90, "_gpl");
SYMBOL_CRC(__SCK__tp_func_mac_txdone, 0x2ab56d57, "_gpl");
SYMBOL_CRC(__SCT__tp_func_mac_txdone, 0xbb31a266, "_gpl");
SYMBOL_CRC(__tracepoint_dev_irq, 0x4134fe47, "_gpl");
SYMBOL_CRC(__traceiter_dev_irq, 0xa48d615c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_dev_irq, 0x38c367b1, "_gpl");
SYMBOL_CRC(__SCT__tp_func_dev_irq, 0xe45628cb, "_gpl");
SYMBOL_CRC(mt76_get_rxwi, 0x118c6312, "_gpl");
SYMBOL_CRC(mt76_put_txwi, 0x50213ed8, "_gpl");
SYMBOL_CRC(mt76_put_rxwi, 0x4a3e6dd3, "_gpl");
SYMBOL_CRC(mt76_free_pending_rxwi, 0xf537fd66, "_gpl");
SYMBOL_CRC(mt76_dma_wed_setup, 0xb81d779b, "_gpl");
SYMBOL_CRC(mt76_dma_rx_poll, 0x72694743, "_gpl");
SYMBOL_CRC(mt76_dma_attach, 0xcd9f5966, "_gpl");
SYMBOL_CRC(mt76_dma_cleanup, 0x6af9b6f5, "_gpl");
SYMBOL_CRC(mt76_rates, 0x17f568e9, "_gpl");
SYMBOL_CRC(mt76_set_stream_caps, 0x916de848, "_gpl");
SYMBOL_CRC(mt76_alloc_phy, 0x1f8c18b2, "_gpl");
SYMBOL_CRC(mt76_register_phy, 0x3f863095, "_gpl");
SYMBOL_CRC(mt76_unregister_phy, 0xa2ba22a0, "_gpl");
SYMBOL_CRC(mt76_create_page_pool, 0x1dbfe366, "_gpl");
SYMBOL_CRC(mt76_alloc_device, 0x8ab351f1, "_gpl");
SYMBOL_CRC(mt76_register_device, 0x25b720df, "_gpl");
SYMBOL_CRC(mt76_unregister_device, 0x722f4598, "_gpl");
SYMBOL_CRC(mt76_free_device, 0x09da66b4, "_gpl");
SYMBOL_CRC(mt76_rx, 0x2ccdcc36, "_gpl");
SYMBOL_CRC(mt76_has_tx_pending, 0x913d3bd0, "_gpl");
SYMBOL_CRC(mt76_update_survey_active_time, 0x49cf9e6f, "_gpl");
SYMBOL_CRC(mt76_update_survey, 0xcd525718, "_gpl");
SYMBOL_CRC(mt76_set_channel, 0x08f87d41, "_gpl");
SYMBOL_CRC(mt76_get_survey, 0x7b4954f1, "_gpl");
SYMBOL_CRC(mt76_wcid_key_setup, 0xb6718c04, "");
SYMBOL_CRC(mt76_rx_signal, 0x327a9822, "");
SYMBOL_CRC(mt76_rx_poll_complete, 0x6b5a2714, "_gpl");
SYMBOL_CRC(__mt76_sta_remove, 0xc6a3d6ef, "_gpl");
SYMBOL_CRC(mt76_sta_state, 0x769b860f, "_gpl");
SYMBOL_CRC(mt76_sta_pre_rcu_remove, 0xcbec4279, "_gpl");
SYMBOL_CRC(mt76_get_txpower, 0xfa6af01a, "_gpl");
SYMBOL_CRC(mt76_init_sar_power, 0xba223022, "_gpl");
SYMBOL_CRC(mt76_get_sar_power, 0x9ca1e68d, "_gpl");
SYMBOL_CRC(mt76_csa_finish, 0xb4780c4a, "_gpl");
SYMBOL_CRC(mt76_csa_check, 0xb1e85350, "_gpl");
SYMBOL_CRC(mt76_set_tim, 0xbd7cc754, "_gpl");
SYMBOL_CRC(mt76_insert_ccmp_hdr, 0x57d10f1b, "_gpl");
SYMBOL_CRC(mt76_get_rate, 0x1a86a919, "_gpl");
SYMBOL_CRC(mt76_sw_scan, 0xaf4de87e, "_gpl");
SYMBOL_CRC(mt76_sw_scan_complete, 0x46c816c8, "_gpl");
SYMBOL_CRC(mt76_get_antenna, 0x9101c4b2, "_gpl");
SYMBOL_CRC(mt76_init_queue, 0xce87a385, "_gpl");
SYMBOL_CRC(mt76_calculate_default_rate, 0x50d97fa7, "_gpl");
SYMBOL_CRC(mt76_ethtool_worker, 0xab9d88b8, "_gpl");
SYMBOL_CRC(mt76_ethtool_page_pool_stats, 0x708f0b1f, "_gpl");
SYMBOL_CRC(mt76_phy_dfs_state, 0xb9626685, "_gpl");
SYMBOL_CRC(mt76_queues_read, 0x86d01b49, "_gpl");
SYMBOL_CRC(mt76_seq_puts_array, 0x1aaa0d67, "_gpl");
SYMBOL_CRC(mt76_register_debugfs_fops, 0x6c404aeb, "_gpl");
SYMBOL_CRC(mt76_get_of_eeprom, 0x792f346f, "_gpl");
SYMBOL_CRC(mt76_eeprom_override, 0xe467bb2b, "_gpl");
SYMBOL_CRC(mt76_get_rate_power_limits, 0x2f5a4ec0, "_gpl");
SYMBOL_CRC(mt76_eeprom_init, 0x01981eb4, "_gpl");
SYMBOL_CRC(mt76_tx_check_agg_ssn, 0xd6c39428, "_gpl");
SYMBOL_CRC(mt76_tx_status_lock, 0x01cd8405, "_gpl");
SYMBOL_CRC(mt76_tx_status_unlock, 0x52167f01, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_done, 0xfe73c670, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_add, 0x158f10e0, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_get, 0x2a412188, "_gpl");
SYMBOL_CRC(mt76_tx_status_check, 0x3b259026, "_gpl");
SYMBOL_CRC(__mt76_tx_complete_skb, 0x35ab3082, "_gpl");
SYMBOL_CRC(mt76_tx, 0xa96198a5, "_gpl");
SYMBOL_CRC(mt76_release_buffered_frames, 0x3117cdb8, "_gpl");
SYMBOL_CRC(mt76_txq_schedule, 0x76b89878, "_gpl");
SYMBOL_CRC(mt76_txq_schedule_all, 0x96e3e6bd, "_gpl");
SYMBOL_CRC(mt76_tx_worker_run, 0x15f6b315, "_gpl");
SYMBOL_CRC(mt76_stop_tx_queues, 0x8c3daf47, "_gpl");
SYMBOL_CRC(mt76_wake_tx_queue, 0x07d3af7f, "_gpl");
SYMBOL_CRC(mt76_ac_to_hwq, 0xc6634315, "_gpl");
SYMBOL_CRC(mt76_skb_adjust_pad, 0x045eccea, "_gpl");
SYMBOL_CRC(mt76_queue_tx_complete, 0xe9f82c14, "_gpl");
SYMBOL_CRC(__mt76_set_tx_blocked, 0xf99170e5, "_gpl");
SYMBOL_CRC(mt76_token_consume, 0xeb3e2634, "_gpl");
SYMBOL_CRC(mt76_rx_token_consume, 0x81b29ca8, "_gpl");
SYMBOL_CRC(mt76_token_release, 0x31695194, "_gpl");
SYMBOL_CRC(mt76_rx_token_release, 0x6884649b, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_start, 0xe50fbcf4, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_stop, 0x70894063, "_gpl");
SYMBOL_CRC(__mt76_mcu_msg_alloc, 0xb4f583b3, "_gpl");
SYMBOL_CRC(mt76_mcu_get_response, 0x31dde598, "_gpl");
SYMBOL_CRC(mt76_mcu_rx_event, 0x35c784c3, "_gpl");
SYMBOL_CRC(mt76_mcu_send_and_get_msg, 0xf69152a6, "_gpl");
SYMBOL_CRC(mt76_mcu_skb_send_and_get_msg, 0xe15778f6, "_gpl");
SYMBOL_CRC(__mt76_mcu_send_firmware, 0x432585e6, "_gpl");
SYMBOL_CRC(mt76_pci_disable_aspm, 0xa3db99f9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65709836, "led_classdev_unregister" },
	{ 0x87854dfb, "__ieee80211_create_tpt_led_trigger" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x48e786e1, "ieee80211_sta_eosp" },
	{ 0xd656d42c, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0x469497b4, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x4d0de428, "kthread_park" },
	{ 0x4c74cc38, "sched_set_fifo_low" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1a53c964, "wake_up_process" },
	{ 0xe168fe48, "dev_driver_string" },
	{ 0x7816f98d, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x211a607e, "dma_map_page_attrs" },
	{ 0xf2dc7718, "napi_complete_done" },
	{ 0x8fc2f99f, "ieee80211_get_tx_rates" },
	{ 0xd03230c, "ieee80211_send_bar" },
	{ 0xaeb9a917, "ieee80211_get_key_rx_seq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x243b7fc, "ieee80211_sta_uapsd_trigger" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdf3edb1e, "debugfs_create_devm_seqfile" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa916b694, "strnlen" },
	{ 0xeaeba39b, "__alloc_skb" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xe19676b1, "pci_disable_link_state" },
	{ 0x591b192f, "_dev_info" },
	{ 0x6a861570, "napi_gro_receive" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0x30d8be3, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc060c3f4, "page_pool_ethtool_stats_get" },
	{ 0x4a2ec449, "dev_set_threaded" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xf02d5644, "debugfs_attr_read" },
	{ 0x9cf37c44, "__iowrite32_copy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x23eacd27, "ieee80211_queue_delayed_work" },
	{ 0x2e82590e, "devm_kmemdup" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x6435d0f9, "perf_trace_run_bpf_submit" },
	{ 0x16bfe39, "debugfs_create_file_unsafe" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2717c154, "simple_attr_release" },
	{ 0xa2d0c4ad, "ieee80211_calc_rx_airtime" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6789bdad, "ieee80211_find_sta_by_ifaddr" },
	{ 0x1532d1e7, "ieee80211_next_txq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x737fcfb1, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc25338ec, "skb_push" },
	{ 0x468fd87f, "napi_enable" },
	{ 0xb4abbe47, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x5122d8a0, "trace_event_reg" },
	{ 0x7010b15e, "ieee80211_sta_pspoll" },
	{ 0x3801776b, "__ioread32_copy" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd697f068, "kthread_stop" },
	{ 0x8829cc30, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x93c00428, "ieee80211_alloc_hw_nm" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x2d6cd7e, "ieee80211_tx_dequeue" },
	{ 0xef111f8, "ieee80211_rx_list" },
	{ 0xc3b1bf66, "dma_sync_single_for_cpu" },
	{ 0xbe11cc58, "page_pool_create" },
	{ 0xae225ff2, "page_pool_put_defragged_page" },
	{ 0xfb578fc5, "memset" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfe04b3ce, "debugfs_create_u32" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd7d4b590, "kthread_create_on_node" },
	{ 0x7e6219f6, "cfg80211_reg_can_beacon" },
	{ 0xe0942c61, "bpf_trace_run3" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x55254fa2, "trace_event_buffer_reserve" },
	{ 0xe36d4495, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb700b3e0, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x85e1c9ee, "napi_build_skb" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7109424, "seq_printf" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xab23235b, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0xe7a1bfde, "ieee80211_sta_ps_transition" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb21a0585, "debugfs_create_u8" },
	{ 0xf29606ab, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x1238d9f7, "init_dummy_netdev" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0xc5a1a2eb, "ieee80211_csa_finish" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x27f2be9, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x234b6f17, "pcie_capability_read_word" },
	{ 0xa5629620, "__skb_pad" },
	{ 0xafa49d1c, "page_pool_get_stats" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xd46a0d6f, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf603fa4c, "__ieee80211_schedule_txq" },
	{ 0x1f9d1937, "debugfs_attr_write" },
	{ 0xfc6ec21f, "devm_kmalloc" },
	{ 0x79856fee, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xaa3e8eb7, "page_pool_alloc_frag" },
	{ 0xe7251df7, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x81f74173, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x59f19bc3, "dmam_alloc_attrs" },
	{ 0xa4cbedd, "trace_raw_output_prep" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0xcaccbaf5, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe8e0ed1e, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x387150b6, "ieee80211_free_hw" },
	{ 0x3279e0ed, "dma_unmap_page_attrs" },
	{ 0x9a27b4c9, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x65a259b6, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x51e39b60, "dma_sync_single_for_device" },
	{ 0x2b64d5e7, "skb_add_rx_frag" },
	{ 0xb8c1d4d0, "ieee80211_tx_status_ext" },
	{ 0x1d2dac69, "debugfs_create_blob" },
	{ 0x5b50ae95, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0x55d8e049, "page_pool_destroy" },
	{ 0x5afc3566, "ieee80211_register_hw" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "5F96115480E1880EDA5B5CB");
