#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfa6af01a, "mt76_get_txpower" },
	{ 0x7d3af7f, "mt76_wake_tx_queue" },
	{ 0x9101c4b2, "mt76_get_antenna" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x935ef8b3, "mt76x02_sta_ps" },
	{ 0x379a6cfa, "mt76u_resume_rx" },
	{ 0xc059ef1a, "mt76x02_sta_rate_tbl_update" },
	{ 0x5da8aca0, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8ab351f1, "mt76_alloc_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xeb7b00a4, "usb_put_dev" },
	{ 0x5a0f4975, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3b979b50, "mt76x02_update_channel" },
	{ 0x16a43507, "usb_get_dev" },
	{ 0x591b192f, "_dev_info" },
	{ 0x7818fa86, "mt76x02_configure_filter" },
	{ 0x9da66b4, "mt76_free_device" },
	{ 0x75953b50, "mt76x0_chip_onoff" },
	{ 0x28629f95, "mt76x02_queue_rx_skb" },
	{ 0xfd65d429, "mt76u_queues_deinit" },
	{ 0x23eacd27, "ieee80211_queue_delayed_work" },
	{ 0x60ee30c8, "mt76x0_config" },
	{ 0x971f246a, "mt76x0_register_device" },
	{ 0xb853f55d, "_dev_err" },
	{ 0xbc46b9ee, "mt76x02u_mcu_fw_reset" },
	{ 0xc69ce207, "mt76x0_phy_calibrate" },
	{ 0xbd7cc754, "mt76_set_tim" },
	{ 0x6eef8882, "mt76x02_sw_scan_complete" },
	{ 0xd564c4bb, "mt76x02_tx" },
	{ 0xd4aa4a49, "mt76x02_sta_remove" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x3ff6391e, "usb_deregister" },
	{ 0x81b245af, "mt76x02_tx_status_data" },
	{ 0x47bffb8f, "mt76x02_sta_add" },
	{ 0x59d6d62d, "mt76x0_mac_stop" },
	{ 0x64bca4dc, "mt76x02u_mcu_fw_send_data" },
	{ 0xd74d410f, "mt76u_init" },
	{ 0x7b4954f1, "mt76_get_survey" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0x974b9e4b, "mt76x02u_init_mcu" },
	{ 0xa1efe2fa, "mt76x02u_tx_prepare_skb" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb9805af0, "mt76x02_set_rts_threshold" },
	{ 0x769b860f, "mt76_sta_state" },
	{ 0x11fe88cc, "mt76x0_init_hardware" },
	{ 0xffa23e8f, "mt76x02u_mac_start" },
	{ 0xb93e2b2a, "mt76x02_bss_info_changed" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x7f95f097, "mt76u_alloc_queues" },
	{ 0x88388f83, "mt76u_stop_tx" },
	{ 0xaee3dc7a, "mt76x02u_init_beacon_config" },
	{ 0xb700b3e0, "ieee80211_unregister_hw" },
	{ 0xeae7035, "mt76u_vendor_request" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xaa11a3f9, "mt76x02_add_interface" },
	{ 0x138c12e0, "____mt76_poll_msec" },
	{ 0x3775a66c, "mt76x02u_exit_beacon_config" },
	{ 0x4a3c3f36, "mt76u_stop_rx" },
	{ 0x83019bd7, "mt76x02_ampdu_action" },
	{ 0xc1b2d1c9, "mt76x02_conf_tx" },
	{ 0xaf4de87e, "mt76_sw_scan" },
	{ 0xcbec4279, "mt76_sta_pre_rcu_remove" },
	{ 0xca899e2a, "__mt76_poll" },
	{ 0x7b0db0cf, "mt76x02_remove_interface" },
	{ 0xf8d4dcaf, "mt76x02u_tx_complete_skb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xfc6ec21f, "devm_kmalloc" },
	{ 0x40c0e4c3, "mt76x0_set_sar_specs" },
	{ 0x6a8340db, "firmware_request_nowarn" },
	{ 0x8850b19e, "mt76x02_set_ethtool_fwver" },
	{ 0x4892403f, "mt76x02_set_key" },
	{ 0x3117cdb8, "mt76_release_buffered_frames" },
	{ 0xe8038cb6, "request_firmware" },
	{ 0x16657d3c, "usb_register_driver" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76x02-lib,mt76-usb,mt76x0-common,mac80211,mt76x02-usb");

MODULE_ALIAS("usb:v148Fp7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p003Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pA711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pB711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp761Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp760Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17D1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17DBd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0075d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2019pAB31d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3D02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0586p3425d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07B8p7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04BBp0951d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v057Cp8502d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v293Cp5702d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v20F4p806Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pC711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0079d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2357p0123d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2357p010Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2357p0105d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7630d*dc*dsc*dp*icFFisc02ipFFin*");
MODULE_ALIAS("usb:v0E8Dp7650d*dc*dsc*dp*icFFisc02ipFFin*");

MODULE_INFO(srcversion, "B0140B81FEF358466AC448A");
