#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76x2_read_rx_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_power_info, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_temp_comp, "_gpl", "");
KSYMTAB_FUNC(mt76x2_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mac_stop, "_gpl", "");
KSYMTAB_FUNC(mt76x2_set_sar_specs, "_gpl", "");
KSYMTAB_FUNC(mt76x2_reset_wlan, "_gpl", "");
KSYMTAB_FUNC(mt76_write_mac_initvals, "_gpl", "");
KSYMTAB_FUNC(mt76x2_init_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x2_apply_gain_adj, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_set_txpower_regs, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_set_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x2_configure_tx_delay, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_tssi_compensate, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_update_channel_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_load_cr, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_init_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_tssi_comp, "_gpl", "");

SYMBOL_CRC(mt76x2_read_rx_gain, 0x0b50aa6d, "_gpl");
SYMBOL_CRC(mt76x2_get_rate_power, 0x9e5d9a6f, "_gpl");
SYMBOL_CRC(mt76x2_get_power_info, 0xe6775aba, "_gpl");
SYMBOL_CRC(mt76x2_get_temp_comp, 0xac9db81f, "_gpl");
SYMBOL_CRC(mt76x2_eeprom_init, 0x26914c3f, "_gpl");
SYMBOL_CRC(mt76x2_mac_stop, 0xd8a2577e, "_gpl");
SYMBOL_CRC(mt76x2_set_sar_specs, 0x9b5de2ca, "_gpl");
SYMBOL_CRC(mt76x2_reset_wlan, 0x820e5343, "_gpl");
SYMBOL_CRC(mt76_write_mac_initvals, 0x0df6b734, "_gpl");
SYMBOL_CRC(mt76x2_init_txpower, 0x816b2e41, "_gpl");
SYMBOL_CRC(mt76x2_apply_gain_adj, 0x41aeedca, "_gpl");
SYMBOL_CRC(mt76x2_phy_set_txpower_regs, 0xad615352, "_gpl");
SYMBOL_CRC(mt76x2_phy_set_txpower, 0xb839cf30, "_gpl");
SYMBOL_CRC(mt76x2_configure_tx_delay, 0xf1b19ec9, "_gpl");
SYMBOL_CRC(mt76x2_phy_tssi_compensate, 0x3ebbd084, "_gpl");
SYMBOL_CRC(mt76x2_phy_update_channel_gain, 0xe169983d, "_gpl");
SYMBOL_CRC(mt76x2_mcu_set_channel, 0xc715b566, "_gpl");
SYMBOL_CRC(mt76x2_mcu_load_cr, 0x784cc828, "_gpl");
SYMBOL_CRC(mt76x2_mcu_init_gain, 0x2d1a0059, "_gpl");
SYMBOL_CRC(mt76x2_mcu_tssi_comp, 0x7d67c5b3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc4b4fc27, "cfg80211_chandef_valid" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb0274629, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3aeff87b, "mt76x02_get_efuse_data" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4a4f10f0, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0x1981eb4, "mt76_eeprom_init" },
	{ 0xb853f55d, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4dd8e833, "mt76x02_eeprom_parse_hw_cap" },
	{ 0xf69152a6, "mt76_mcu_send_and_get_msg" },
	{ 0xe467bb2b, "mt76_eeprom_override" },
	{ 0x70896a07, "mt76x02_get_lna_gain" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9ca1e68d, "mt76_get_sar_power" },
	{ 0x801c447f, "mt76x02_eeprom_copy" },
	{ 0x8edc7221, "mt76x02_mcu_calibrate" },
	{ 0x3a70e5d, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0x7421ef61, "mt76_get_min_avg_rssi" },
	{ 0xba223022, "mt76_init_sar_power" },
	{ 0xf654855a, "mt76x02_phy_adjust_vga_gain" },
	{ 0x1d8325a8, "mt76x02_phy_dfs_adjust_agc" },
	{ 0xfc6ec21f, "devm_kmalloc" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mt76x02-lib,mt76");


MODULE_INFO(srcversion, "B855F1C5C8D938837BB73B6");
