#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7d3af7f, "mt76_wake_tx_queue" },
	{ 0x3ff9d70c, "mt76x02e_init_beacon_config" },
	{ 0x9101c4b2, "mt76_get_antenna" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0x916de848, "mt76_set_stream_caps" },
	{ 0x41aeedca, "mt76x2_apply_gain_adj" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbce62797, "pci_set_power_state" },
	{ 0x935ef8b3, "mt76x02_sta_ps" },
	{ 0x9b5de2ca, "mt76x2_set_sar_specs" },
	{ 0xc059ef1a, "mt76x02_sta_rate_tbl_update" },
	{ 0x4d0de428, "kthread_park" },
	{ 0x6af9b6f5, "mt76_dma_cleanup" },
	{ 0xb3ec0124, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc6173577, "mt76x02_reconfig_complete" },
	{ 0x8ab351f1, "mt76_alloc_device" },
	{ 0x1a53c964, "wake_up_process" },
	{ 0x4e7ad47b, "mt76x02_mac_shared_key_setup" },
	{ 0xb0274629, "mt76x02_ext_pa_enabled" },
	{ 0xea4b4123, "mt76x02_set_coverage_class" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd8a2577e, "mt76x2_mac_stop" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd06c62db, "mt76x02_set_tx_ackto" },
	{ 0x3b979b50, "mt76x02_update_channel" },
	{ 0xe86b53e0, "__napi_schedule" },
	{ 0xf1b19ec9, "mt76x2_configure_tx_delay" },
	{ 0xa3db99f9, "mt76_pci_disable_aspm" },
	{ 0x591b192f, "_dev_info" },
	{ 0x7818fa86, "mt76x02_configure_filter" },
	{ 0x9da66b4, "mt76_free_device" },
	{ 0x28629f95, "mt76x02_queue_rx_skb" },
	{ 0x42cb488f, "kthread_unpark" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x9676f130, "pcim_iomap_regions" },
	{ 0x23eacd27, "ieee80211_queue_delayed_work" },
	{ 0xb853f55d, "_dev_err" },
	{ 0x79857c55, "mt76x02_rx_poll_complete" },
	{ 0xdd6e10e0, "mt76x02_mac_setaddr" },
	{ 0x25b720df, "mt76_register_device" },
	{ 0xbd7cc754, "mt76_set_tim" },
	{ 0x6eef8882, "mt76x02_sw_scan_complete" },
	{ 0x429e6244, "mt76x02_phy_set_bw" },
	{ 0x91d5b9ee, "mt76x02_irq_handler" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xfb429e89, "mt76x02_phy_set_band" },
	{ 0x8f87d41, "mt76_set_channel" },
	{ 0x9defd712, "mt76x02_init_device" },
	{ 0x468fd87f, "napi_enable" },
	{ 0xd564c4bb, "mt76x02_tx" },
	{ 0xe286d1d4, "mt76_mmio_init" },
	{ 0x68f00fa1, "ieee80211_wake_queues" },
	{ 0xd4aa4a49, "mt76x02_sta_remove" },
	{ 0xe37975cc, "mt76x02_edcca_init" },
	{ 0x26914c3f, "mt76x2_eeprom_init" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x47bffb8f, "mt76x02_sta_add" },
	{ 0x722f4598, "mt76_unregister_device" },
	{ 0x784cc828, "mt76x2_mcu_load_cr" },
	{ 0x26dfd906, "pci_restore_state" },
	{ 0x816b2e41, "mt76x2_init_txpower" },
	{ 0x59b652d0, "mt76x02_init_debugfs" },
	{ 0x7b4954f1, "mt76_get_survey" },
	{ 0x6d57bd5c, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2d1a0059, "mt76x2_mcu_init_gain" },
	{ 0xb9805af0, "mt76x02_set_rts_threshold" },
	{ 0xcf882a7f, "mt76x02_tx_complete_skb" },
	{ 0x769b860f, "mt76_sta_state" },
	{ 0xe4b23196, "mt76x02_mcu_msg_send" },
	{ 0x3ebbd084, "mt76x2_phy_tssi_compensate" },
	{ 0x7e3089b0, "ieee80211_stop_queues" },
	{ 0xba69f4d8, "mt76x02_mac_cc_reset" },
	{ 0xb93e2b2a, "mt76x02_bss_info_changed" },
	{ 0x2d29f7ca, "mt76x02_init_agc_gain" },
	{ 0xe169983d, "mt76x2_phy_update_channel_gain" },
	{ 0xb4a794ec, "pci_enable_wake" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x96e3e6bd, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xaa11a3f9, "mt76x02_add_interface" },
	{ 0x138c12e0, "____mt76_poll_msec" },
	{ 0x5ed24ad0, "mt76x02_dfs_init_params" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf2d65fa5, "mt76x02_config_mac_addr_list" },
	{ 0x9ca1e68d, "mt76_get_sar_power" },
	{ 0x5d135e57, "mt76x02_tx_prepare_skb" },
	{ 0xc254f79a, "mt76x02_mcu_cleanup" },
	{ 0x83019bd7, "mt76x02_ampdu_action" },
	{ 0x8edc7221, "mt76x02_mcu_calibrate" },
	{ 0xc1b2d1c9, "mt76x02_conf_tx" },
	{ 0xe4f36102, "mt76x02_mcu_function_select" },
	{ 0x4396602e, "dma_set_mask" },
	{ 0xaf4de87e, "mt76_sw_scan" },
	{ 0xcbec4279, "mt76_sta_pre_rcu_remove" },
	{ 0xa965e302, "pcim_iomap_table" },
	{ 0xac9db81f, "mt76x2_get_temp_comp" },
	{ 0xaafaae47, "mt76x02_mac_wcid_setup" },
	{ 0xe496c9fc, "napi_schedule_prep" },
	{ 0xe9927733, "napi_disable" },
	{ 0xca899e2a, "__mt76_poll" },
	{ 0xb50aa6d, "mt76x2_read_rx_gain" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x1c983405, "pcim_enable_device" },
	{ 0xad615352, "mt76x2_phy_set_txpower_regs" },
	{ 0xb839cf30, "mt76x2_phy_set_txpower" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xcd6ec9a8, "mt76x02_mac_start" },
	{ 0x7b0db0cf, "mt76x02_remove_interface" },
	{ 0x62f501f1, "mt76x02_dma_init" },
	{ 0x986d6339, "pci_save_state" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x211ce9ad, "devm_request_threaded_irq" },
	{ 0x8b131c3, "pci_choose_state" },
	{ 0x8850b19e, "mt76x02_set_ethtool_fwver" },
	{ 0xf7af8c10, "mt76x02_tx_set_txpwr_auto" },
	{ 0x4892403f, "mt76x02_set_key" },
	{ 0xc307d281, "mt76x02_mcu_parse_response" },
	{ 0x3117cdb8, "mt76_release_buffered_frames" },
	{ 0xe8038cb6, "request_firmware" },
	{ 0xfa6af01a, "mt76_get_txpower" },
	{ 0xeebad00b, "__pci_register_driver" },
	{ 0xdf6b734, "mt76_write_mac_initvals" },
	{ 0x820e5343, "mt76x2_reset_wlan" },
	{ 0xc715b566, "mt76x2_mcu_set_channel" },
	{ 0x8bd4fb79, "mt76x02_dma_disable" },
	{ 0xbd567272, "mt76x02_mcu_set_radio_state" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76x02-lib,mt76x2-common,mac80211");

MODULE_ALIAS("pci:v000014C3d00007662sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007612sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007602sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "F27838563C06DA6D82A9F81");
