#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt7921_rx_check, "_gpl", "");
KSYMTAB_FUNC(mt7921_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt7921_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt7921_run_firmware, "_gpl", "");
KSYMTAB_FUNC(mt7921_mcu_set_eeprom, "_gpl", "");
KSYMTAB_FUNC(__mt7921_start, "_gpl", "");
KSYMTAB_FUNC(mt7921_stop, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_assoc, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_remove, "_gpl", "");
KSYMTAB_DATA(mt7921_ops, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_init, "_gpl", "");
KSYMTAB_FUNC(mt7921_register_device, "_gpl", "");

SYMBOL_CRC(mt7921_rx_check, 0x892aae89, "_gpl");
SYMBOL_CRC(mt7921_queue_rx_skb, 0x283ff531, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_prepare_skb, 0xdfaf94b5, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_complete_skb, 0x892362a2, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_status_data, 0x0cf80edb, "_gpl");
SYMBOL_CRC(mt7921_mcu_parse_response, 0x25c79a14, "_gpl");
SYMBOL_CRC(mt7921_run_firmware, 0xc8ab67a7, "_gpl");
SYMBOL_CRC(mt7921_mcu_set_eeprom, 0x90d658d8, "_gpl");
SYMBOL_CRC(__mt7921_start, 0x6b2c231c, "_gpl");
SYMBOL_CRC(mt7921_stop, 0xf6ac9fb7, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_add, 0x60f01051, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_assoc, 0x15c5b108, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_remove, 0xcbbface7, "_gpl");
SYMBOL_CRC(mt7921_ops, 0x1af44790, "_gpl");
SYMBOL_CRC(mt7921_mac_init, 0xc7bda7e2, "_gpl");
SYMBOL_CRC(mt7921_register_device, 0x8bb16bda, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x35c784c3, "mt76_mcu_rx_event" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc401512a, "pskb_expand_head" },
	{ 0x1a53c964, "wake_up_process" },
	{ 0x37ff9344, "mt76_connac_free_pending_tx_skbs" },
	{ 0x3ffe0506, "mt792x_sta_statistics" },
	{ 0x824f5862, "skb_queue_purge_reason" },
	{ 0xc86056a8, "mt76_connac_power_save_sched" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7d4c8507, "mt792x_conf_tx" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdf3edb1e, "debugfs_create_devm_seqfile" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x1e383e49, "mt792x_get_et_sset_count" },
	{ 0x1615130f, "mt76_connac_mcu_set_mac_enable" },
	{ 0xf4b882be, "mt792x_set_tsf" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x25e4b075, "mt792x_init_acpi_sar_power" },
	{ 0x5706b14d, "mt792x_set_wakeup" },
	{ 0xb6718c04, "mt76_wcid_key_setup" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x591b192f, "_dev_info" },
	{ 0x30d8be3, "skb_queue_tail" },
	{ 0xb3baae38, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x2ccdcc36, "mt76_rx" },
	{ 0x54a231e7, "mt792x_load_firmware" },
	{ 0xed0a41e8, "mt76_connac_mcu_sched_scan_req" },
	{ 0xf7c48bdb, "mt792x_get_et_stats" },
	{ 0x6a3974, "mt76_connac2_txwi_free" },
	{ 0x9701f933, "__tracepoint_lp_event" },
	{ 0xa97f7fc4, "mt76_connac_mcu_uni_add_bss" },
	{ 0xe296afd0, "mt76_connac2_mac_add_txs_skb" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x40939d0c, "wiphy_to_ieee80211_hw" },
	{ 0xf02d5644, "debugfs_attr_read" },
	{ 0x6bd60973, "mt76_connac_mcu_hw_scan" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x23eacd27, "ieee80211_queue_delayed_work" },
	{ 0x2e82590e, "devm_kmemdup" },
	{ 0xb853f55d, "_dev_err" },
	{ 0x92836a8b, "skb_pull" },
	{ 0x25b720df, "mt76_register_device" },
	{ 0x739697c2, "mt792x_get_stats" },
	{ 0xe15778f6, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x2717c154, "simple_attr_release" },
	{ 0xd1ba282, "mt792x_mac_set_timeing" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x14019068, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc25338ec, "skb_push" },
	{ 0x8f87d41, "mt76_set_channel" },
	{ 0x68f00fa1, "ieee80211_wake_queues" },
	{ 0xf69152a6, "mt76_mcu_send_and_get_msg" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x119b821d, "ieee80211_beacon_get_template" },
	{ 0x950e9543, "mt792x_pm_stats" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xe467bb2b, "mt76_eeprom_override" },
	{ 0x5ae445f1, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xb4f583b3, "__mt76_mcu_msg_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x7b4954f1, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x5a4a3ee6, "devm_hwmon_device_register_with_groups" },
	{ 0x31695194, "mt76_token_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd47388a8, "mt792x_get_tsf" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa405c525, "__pskb_pull_tail" },
	{ 0x5a7b5c38, "mt792x_pm_idle_timeout_set" },
	{ 0xe2680d20, "mt792x_tx" },
	{ 0x6f194caf, "mt792x_get_et_strings" },
	{ 0x769b860f, "mt76_sta_state" },
	{ 0xe484db58, "ieee80211_ready_on_channel" },
	{ 0x7e3089b0, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x18af0d7f, "devm_kasprintf" },
	{ 0x7e6219f6, "cfg80211_reg_can_beacon" },
	{ 0x43f29403, "mt792x_remove_interface" },
	{ 0x61409eae, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc5d0c4f8, "mt76_connac_mcu_get_nic_capability" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0x3e41f45f, "mt792x_queues_read" },
	{ 0x4ed19a, "mt76_connac_mcu_cancel_hw_scan" },
	{ 0x6e7f1d4a, "debugfs_create_file" },
	{ 0xd679d6a7, "mt792x_queues_acq" },
	{ 0x58b4d8a3, "ieee80211_sched_scan_results" },
	{ 0xb5a2b9da, "ieee80211_scan_completed" },
	{ 0xe36d4495, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x57d10f1b, "mt76_insert_ccmp_hdr" },
	{ 0x2e437954, "mt76_connac_mcu_sta_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x93067637, "param_ops_bool" },
	{ 0x342c7602, "mt76_connac2_reverse_frag0_hdr_trans" },
	{ 0xf7193733, "mt792x_tx_stats_show" },
	{ 0xe50fbcf4, "mt76_rx_aggr_start" },
	{ 0xc3a65983, "__SCK__tp_func_lp_event" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x7109424, "seq_printf" },
	{ 0xc3a0fb62, "mt792x_pm_idle_timeout_get" },
	{ 0x9c06d4d5, "mt792x_roc_timer" },
	{ 0xe100f04b, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x30d201b9, "mt792x_mac_init_band" },
	{ 0x45eccea, "mt76_skb_adjust_pad" },
	{ 0xaa471599, "mt792x_init_wiphy" },
	{ 0xab23235b, "seq_puts" },
	{ 0xf701a81a, "mt76_connac_sta_state_dp" },
	{ 0x5087de17, "mt76_connac_mcu_set_suspend_iter" },
	{ 0xcb5f3d33, "single_release" },
	{ 0x86d01b49, "mt76_queues_read" },
	{ 0xcbec4279, "mt76_sta_pre_rcu_remove" },
	{ 0x6c404aeb, "mt76_register_debugfs_fops" },
	{ 0x4b127661, "mt792x_reset" },
	{ 0x327a9822, "mt76_rx_signal" },
	{ 0xc33f4c74, "mt76_connac2_mac_write_txwi" },
	{ 0xf99170e5, "__mt76_set_tx_blocked" },
	{ 0x23f4ab0f, "mt76_connac_mcu_sta_ba" },
	{ 0xf55c1024, "mt76_connac2_mac_decode_he_radiotap" },
	{ 0xa9a81f10, "ieee80211_queue_work" },
	{ 0x95c280e0, "mt792x_mac_reset_counters" },
	{ 0x862328f7, "napi_consume_skb" },
	{ 0xca899e2a, "__mt76_poll" },
	{ 0x70894063, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x998f32e, "single_open" },
	{ 0xe64c1372, "mt76_connac_mcu_add_key" },
	{ 0x1f15040a, "mt792x_unassign_vif_chanctx" },
	{ 0xc46522f5, "ieee80211_disconnect" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe4ccb149, "mt792x_pm_power_save_work" },
	{ 0xabff3e0f, "__SCT__tp_func_lp_event" },
	{ 0x4f3c2f26, "mt792x_assign_vif_chanctx" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7d233814, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0xac7879ef, "mt76_connac_mcu_set_rate_txpower" },
	{ 0x27f2be9, "ieee80211_sta_register_airtime" },
	{ 0x691ec550, "mt792x_init_wcid" },
	{ 0x8eb913fb, "mt792x_init_acpi_sar" },
	{ 0xba223022, "mt76_init_sar_power" },
	{ 0xe4183b8b, "ieee80211_connection_loss" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xd46a0d6f, "simple_attr_open" },
	{ 0x1449e0dd, "ieee80211_iterate_interfaces" },
	{ 0x1f9d1937, "debugfs_attr_write" },
	{ 0x7aaec6c3, "mt76_connac_mcu_sta_update_hdr_trans" },
	{ 0xa5f94530, "mt76_connac_mcu_sched_scan_enable" },
	{ 0x79856fee, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xe7251df7, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6f290d9, "mt76_connac_mcu_uni_set_chctx" },
	{ 0xcc3f69fd, "mt792x_tx_worker" },
	{ 0x6299a17c, "mt792x_flush" },
	{ 0x561e2b70, "mt792x_rx_get_wcid" },
	{ 0xcaccbaf5, "skb_dequeue" },
	{ 0xa25337f, "mt76_connac_gen_ppe_thresh" },
	{ 0xea39ecb2, "mt76_connac_mcu_set_rts_thresh" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x9be37229, "mt76_connac_mcu_set_channel_domain" },
	{ 0xa0256cac, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x3117cdb8, "mt76_release_buffered_frames" },
	{ 0xe8038cb6, "request_firmware" },
	{ 0xfa6af01a, "mt76_get_txpower" },
	{ 0x158f10e0, "mt76_tx_status_skb_add" },
	{ 0x940bce3c, "mt76_connac_pm_wake" },
	{ 0x1b100b99, "mt76_connac2_mac_fill_rx_rate" },
	{ 0xdf73a34, "mt792x_pm_wake_work" },
	{ 0x2ff24854, "mt76_connac_mcu_set_deep_sleep" },
	{ 0x7d3af7f, "mt76_wake_tx_queue" },
	{ 0x69acdf38, "memcpy" },
	{ 0x86fe8d23, "mt76_connac_mcu_chip_config" },
	{ 0x9101c4b2, "mt76_get_antenna" },
	{ 0x5e02b6d3, "mt792x_set_coverage_class" },
	{ 0xa05fcddd, "mt792x_acpi_get_flags" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x35ab3082, "__mt76_tx_complete_skb" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0xdfc6e05a, "seq_lseek" },
	{ 0x916de848, "mt76_set_stream_caps" },
	{ 0x74b4001a, "mt792x_mac_assoc_rssi" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd656d42c, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe731fec5, "mt792x_mac_work" },
	{ 0x46ddccc4, "mt76_connac_mcu_update_arp_filter" },
	{ 0x96e7fe49, "mt76_connac2_tx_check_aggr" },
	{ 0x5da8aca0, "__dynamic_dev_dbg" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76-connac-lib,mt792x-lib,mac80211,cfg80211");


MODULE_INFO(srcversion, "F535441C69D1F94FC166BCF");
