#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1d24c881, "___ratelimit" },
	{ 0xb853f55d, "_dev_err" },
	{ 0x4d535743, "rt2800mmio_enable_radio" },
	{ 0xdeb70842, "rt2800_mcu_request" },
	{ 0x852acdb8, "rt2800mmio_toggle_irq" },
	{ 0xf2a985d4, "rt2x00pci_remove" },
	{ 0x5f48d8b2, "rt2x00pci_pm_ops" },
	{ 0x6edd930e, "rt2800mmio_queue_init" },
	{ 0xf8dd97a0, "rt2800_rt2x00debug" },
	{ 0x5fa4db64, "rt2800mmio_interrupt" },
	{ 0x9f3c8921, "rt2800mmio_txstatus_tasklet" },
	{ 0x3d741c87, "rt2800mmio_pretbtt_tasklet" },
	{ 0x5028bbb2, "rt2800mmio_tbtt_tasklet" },
	{ 0x32ac3645, "rt2800mmio_rxdone_tasklet" },
	{ 0x97e3c029, "rt2800mmio_autowake_tasklet" },
	{ 0xdd0e7165, "rt2800mmio_probe_hw" },
	{ 0x829cc5e, "rt2800_check_firmware" },
	{ 0x11bf4df0, "rt2800_load_firmware" },
	{ 0xe2e19f33, "rt2x00mmio_initialize" },
	{ 0x9c9b2b66, "rt2x00mmio_uninitialize" },
	{ 0x820493ae, "rt2800mmio_get_entry_state" },
	{ 0x951be2f, "rt2800mmio_clear_entry" },
	{ 0x6ca13d00, "rt2800_rfkill_poll" },
	{ 0xb48220da, "rt2800_link_stats" },
	{ 0xe2afabec, "rt2800_reset_tuner" },
	{ 0x489c5d85, "rt2800_link_tuner" },
	{ 0x5ad32106, "rt2800_gain_calibration" },
	{ 0x95db8697, "rt2800_vco_calibration" },
	{ 0xc1733bbe, "rt2800_watchdog" },
	{ 0xcd728d57, "rt2800mmio_start_queue" },
	{ 0xdc1cec80, "rt2800mmio_kick_queue" },
	{ 0xab26d242, "rt2800mmio_stop_queue" },
	{ 0xc00d9134, "rt2800mmio_flush_queue" },
	{ 0xd80176c, "rt2800mmio_write_tx_desc" },
	{ 0xad1602e1, "rt2800_write_tx_data" },
	{ 0x7da591c0, "rt2800_write_beacon" },
	{ 0xc81c4bb8, "rt2800_clear_beacon" },
	{ 0xb27e59b5, "rt2800mmio_fill_rxdone" },
	{ 0x5c7a7502, "rt2800_config_shared_key" },
	{ 0xb889f74c, "rt2800_config_pairwise_key" },
	{ 0xa2dab457, "rt2800_config_filter" },
	{ 0x102579bb, "rt2800_config_intf" },
	{ 0xa0fff13d, "rt2800_config_erp" },
	{ 0xf98d50e5, "rt2800_config_ant" },
	{ 0xda84bd47, "rt2800_config" },
	{ 0x5d3a557a, "rt2800_pre_reset_hw" },
	{ 0x9b60eb0b, "rt2x00mmio_regbusy_read" },
	{ 0xa5a22747, "rt2800mmio_init_registers" },
	{ 0x1e96b0a1, "rt2800mmio_get_txwi" },
	{ 0xf8961fad, "rt2800mmio_get_dma_done" },
	{ 0xb9cc08b2, "rt2x00mac_tx" },
	{ 0x6ca679be, "rt2x00mac_start" },
	{ 0x55df6cb9, "rt2x00mac_stop" },
	{ 0xbeddaa35, "rt2x00mac_add_interface" },
	{ 0x1e74d6b7, "rt2x00mac_remove_interface" },
	{ 0xed8e4bb5, "rt2x00mac_config" },
	{ 0x46306042, "rt2x00mac_bss_info_changed" },
	{ 0x8d876f83, "rt2x00mac_configure_filter" },
	{ 0xead54f04, "rt2x00mac_set_key" },
	{ 0x1823f17c, "rt2x00mac_sw_scan_start" },
	{ 0x3ab4a125, "rt2x00mac_sw_scan_complete" },
	{ 0x959aa147, "rt2x00mac_get_stats" },
	{ 0xffdf95e2, "rt2800_get_key_seq" },
	{ 0x29c050d1, "rt2800_set_rts_threshold" },
	{ 0xcfd3baa7, "rt2800_sta_add" },
	{ 0xc9681790, "rt2800_sta_remove" },
	{ 0xd65a17eb, "rt2800_conf_tx" },
	{ 0x57a77e5e, "rt2800_get_tsf" },
	{ 0xcff4f2a5, "rt2800_ampdu_action" },
	{ 0x62233852, "rt2800_get_survey" },
	{ 0xdb7185d9, "rt2x00mac_rfkill_poll" },
	{ 0x34b03741, "rt2x00mac_flush" },
	{ 0x4cd9842d, "rt2x00mac_get_ringparam" },
	{ 0xe26190ad, "rt2x00mac_tx_frames_pending" },
	{ 0xb61aee9c, "rt2x00mac_reconfig_complete" },
	{ 0x26504c47, "ieee80211_handle_wake_tx_queue" },
	{ 0x93067637, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xeebad00b, "__pci_register_driver" },
	{ 0xd7e21c31, "rt2x00pci_probe" },
	{ 0xfd4b4785, "rt2800_efuse_detect" },
	{ 0x40f5d78a, "rt2800_read_eeprom_efuse" },
	{ 0xff7a0fdf, "eeprom_93cx6_multiread" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9cf37c44, "__iowrite32_copy" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xb3ec0124, "pci_unregister_driver" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "rt2800mmio,rt2800lib,rt2x00pci,rt2x00mmio,rt2x00lib,mac80211,eeprom_93cx6");

MODULE_ALIAS("pci:v00001814d00000601sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000681sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000701sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000781sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003090sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003091sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003092sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007708sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007728sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007738sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007748sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007758sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007768sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001462d0000891Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001A3Bd00001059sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003290sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007711sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007722sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003060sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003062sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003562sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000359Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005362sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005392sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Fsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "E9BF56BB404C69688673417");
