#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2x00lib_get_bssidx, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_beacondone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_pretbtt, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_dmastart, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_dmadone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone_nomatch, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone_noinfo, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_rxdone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_set_mac_address, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_probe_dev, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_remove_dev, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_suspend, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_resume, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_tx, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_start, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_stop, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_add_interface, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_remove_interface, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_config, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_configure_filter, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_tim, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_key, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_sw_scan_start, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_stats, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_flush, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_antenna, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_antenna, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_ringparam, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_tx_frames_pending, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_map_txskb, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_unmap_skb, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_for_each_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_get_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_pause_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_unpause_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_start_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_stop_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_start_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_stop_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_flush_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00debug_dump_frame, "_gpl", "");

SYMBOL_CRC(rt2x00lib_get_bssidx, 0x5be7cec8, "_gpl");
SYMBOL_CRC(rt2x00lib_beacondone, 0x51196b61, "_gpl");
SYMBOL_CRC(rt2x00lib_pretbtt, 0x88c5ed98, "_gpl");
SYMBOL_CRC(rt2x00lib_dmastart, 0xcae6b25a, "_gpl");
SYMBOL_CRC(rt2x00lib_dmadone, 0xdc80e6e4, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_nomatch, 0x879f9497, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone, 0x41be295f, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_noinfo, 0xdb762198, "_gpl");
SYMBOL_CRC(rt2x00lib_rxdone, 0x2777cdec, "_gpl");
SYMBOL_CRC(rt2x00lib_set_mac_address, 0x8db2bc8a, "_gpl");
SYMBOL_CRC(rt2x00lib_probe_dev, 0xadf2f3d7, "_gpl");
SYMBOL_CRC(rt2x00lib_remove_dev, 0x2c2e2712, "_gpl");
SYMBOL_CRC(rt2x00lib_suspend, 0x5d398b08, "_gpl");
SYMBOL_CRC(rt2x00lib_resume, 0x3028acb5, "_gpl");
SYMBOL_CRC(rt2x00mac_tx, 0xb9cc08b2, "_gpl");
SYMBOL_CRC(rt2x00mac_start, 0x6ca679be, "_gpl");
SYMBOL_CRC(rt2x00mac_stop, 0x55df6cb9, "_gpl");
SYMBOL_CRC(rt2x00mac_reconfig_complete, 0xb61aee9c, "_gpl");
SYMBOL_CRC(rt2x00mac_add_interface, 0xbeddaa35, "_gpl");
SYMBOL_CRC(rt2x00mac_remove_interface, 0x1e74d6b7, "_gpl");
SYMBOL_CRC(rt2x00mac_config, 0xed8e4bb5, "_gpl");
SYMBOL_CRC(rt2x00mac_configure_filter, 0x8d876f83, "_gpl");
SYMBOL_CRC(rt2x00mac_set_tim, 0x0425549a, "_gpl");
SYMBOL_CRC(rt2x00mac_set_key, 0xead54f04, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_start, 0x1823f17c, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_complete, 0x3ab4a125, "_gpl");
SYMBOL_CRC(rt2x00mac_get_stats, 0x959aa147, "_gpl");
SYMBOL_CRC(rt2x00mac_bss_info_changed, 0x46306042, "_gpl");
SYMBOL_CRC(rt2x00mac_conf_tx, 0x05e045a6, "_gpl");
SYMBOL_CRC(rt2x00mac_rfkill_poll, 0xdb7185d9, "_gpl");
SYMBOL_CRC(rt2x00mac_flush, 0x34b03741, "_gpl");
SYMBOL_CRC(rt2x00mac_set_antenna, 0x167719f1, "_gpl");
SYMBOL_CRC(rt2x00mac_get_antenna, 0x7e8fd1cd, "_gpl");
SYMBOL_CRC(rt2x00mac_get_ringparam, 0x4cd9842d, "_gpl");
SYMBOL_CRC(rt2x00mac_tx_frames_pending, 0xe26190ad, "_gpl");
SYMBOL_CRC(rt2x00queue_map_txskb, 0x801b7fae, "_gpl");
SYMBOL_CRC(rt2x00queue_unmap_skb, 0xf8d1b3c9, "_gpl");
SYMBOL_CRC(rt2x00queue_for_each_entry, 0xe77650ec, "_gpl");
SYMBOL_CRC(rt2x00queue_get_entry, 0xa4c2d301, "_gpl");
SYMBOL_CRC(rt2x00queue_pause_queue, 0xb455d2bd, "_gpl");
SYMBOL_CRC(rt2x00queue_unpause_queue, 0xc22a4473, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queue, 0xf70d5798, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queue, 0x61add323, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queue, 0xade92ec4, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queues, 0x21b7f58e, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queues, 0x7d923f0e, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queues, 0xe1d297ff, "_gpl");
SYMBOL_CRC(rt2x00debug_dump_frame, 0xaaf0416a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0x65709836, "led_classdev_unregister" },
	{ 0x5afc3566, "ieee80211_register_hw" },
	{ 0x87854dfb, "__ieee80211_create_tpt_led_trigger" },
	{ 0x4d19b2a6, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xd656d42c, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xda8a92c8, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5da8aca0, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x824f5862, "skb_queue_purge_reason" },
	{ 0xe168fe48, "dev_driver_string" },
	{ 0xc92000c2, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x211a607e, "dma_map_page_attrs" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa916b694, "strnlen" },
	{ 0xeaeba39b, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x591b192f, "_dev_info" },
	{ 0x30d8be3, "skb_queue_tail" },
	{ 0x8e90385d, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x23eacd27, "ieee80211_queue_delayed_work" },
	{ 0xb853f55d, "_dev_err" },
	{ 0x7d7cf115, "simple_open" },
	{ 0x99cf3d58, "ieee80211_ctstoself_get" },
	{ 0x92836a8b, "skb_pull" },
	{ 0x3939f8f0, "rfkill_pause_polling" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x86564197, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc25338ec, "skb_push" },
	{ 0x6ca64ef8, "debugfs_remove" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x55d0a5da, "ieee80211_free_txskb" },
	{ 0x8829cc30, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc66b0eb0, "default_llseek" },
	{ 0xfb578fc5, "memset" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfe04b3ce, "debugfs_create_u32" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xaf635b5b, "ieee80211_tx_status" },
	{ 0xc20fe68a, "ieee80211_stop_queue" },
	{ 0xa0cc62e3, "__netdev_alloc_skb" },
	{ 0x7e3089b0, "ieee80211_stop_queues" },
	{ 0x838fc730, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xbd3c3a3, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x2f12715a, "wiphy_rfkill_start_polling" },
	{ 0x6e7f1d4a, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe36d4495, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3344b9e5, "led_classdev_resume" },
	{ 0xb700b3e0, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcb92acf1, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x2f619810, "ieee80211_rts_get" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xa9a81f10, "ieee80211_queue_work" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x754d539c, "strlen" },
	{ 0xa0410ee2, "dev_kfree_skb_any_reason" },
	{ 0xf29606ab, "debugfs_create_dir" },
	{ 0x6342a948, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0x4d22f519, "ieee80211_rx_napi" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x6f8442c4, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1449e0dd, "ieee80211_iterate_interfaces" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x79856fee, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0xe7251df7, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xcaccbaf5, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x3279e0ed, "dma_unmap_page_attrs" },
	{ 0xe8038cb6, "request_firmware" },
	{ 0x85b61f4f, "led_classdev_suspend" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0xb8c1d4d0, "ieee80211_tx_status_ext" },
	{ 0x1d2dac69, "debugfs_create_blob" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,rfkill");


MODULE_INFO(srcversion, "85E3D6DC14C47ED1A12AEAF");
