#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtw89_core_fill_txdesc, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_v1, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_fwcmd_v1, "", "");
KSYMTAB_FUNC(rtw89_core_query_rxdesc, "", "");
KSYMTAB_FUNC(rtw89_core_rx, "", "");
KSYMTAB_FUNC(rtw89_core_napi_start, "", "");
KSYMTAB_FUNC(rtw89_core_napi_stop, "", "");
KSYMTAB_FUNC(rtw89_core_napi_init, "", "");
KSYMTAB_FUNC(rtw89_core_napi_deinit, "", "");
KSYMTAB_FUNC(rtw89_core_init, "", "");
KSYMTAB_FUNC(rtw89_core_deinit, "", "");
KSYMTAB_FUNC(rtw89_chip_info_setup, "", "");
KSYMTAB_FUNC(rtw89_core_register, "", "");
KSYMTAB_FUNC(rtw89_core_unregister, "", "");
KSYMTAB_FUNC(rtw89_alloc_ieee80211_hw, "", "");
KSYMTAB_FUNC(rtw89_free_ieee80211_hw, "", "");
KSYMTAB_DATA(rtw89_ops, "", "");
KSYMTAB_FUNC(rtw89_mac_get_err_status, "", "");
KSYMTAB_FUNC(rtw89_mac_set_err_status, "", "");
KSYMTAB_DATA(rtw89_mac_size, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_enable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_disable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_get_txpwr_cr, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ppdu_status, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_write_xtal_si, "", "");
KSYMTAB_FUNC(rtw89_mac_read_xtal_si, "", "");
KSYMTAB_DATA(rtw89_mac_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_phy_get_txsc, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_config_rf_reg_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_read32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_write_reg3_tbl, "", "");
KSYMTAB_FUNC(rtw89_phy_load_txpwr_byrate, "", "");
KSYMTAB_FUNC(rtw89_phy_read_txpwr_limit, "", "");
KSYMTAB_FUNC(rtw89_phy_set_txpwr_byrate, "", "");
KSYMTAB_FUNC(rtw89_phy_set_txpwr_offset, "", "");
KSYMTAB_FUNC(rtw89_phy_set_txpwr_limit, "", "");
KSYMTAB_FUNC(rtw89_phy_set_txpwr_limit_ru, "", "");
KSYMTAB_FUNC(rtw89_rfk_parser, "", "");
KSYMTAB_FUNC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, "", "");
KSYMTAB_FUNC(rtw89_encode_chan_idx, "", "");
KSYMTAB_FUNC(rtw89_decode_chan_idx, "", "");
KSYMTAB_DATA(rtw89_phy_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_dctl_sec_cam_v1, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_rf_ntfy_mcc, "", "");
KSYMTAB_FUNC(rtw89_read_efuse_ver, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy_v1, "", "");
KSYMTAB_FUNC(rtw89_btc_ntfy_wl_rfk, "", "");
KSYMTAB_FUNC(rtw89_ser_notify, "", "");

SYMBOL_CRC(rtw89_core_fill_txdesc, 0x791d8c3a, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v1, 0x35316535, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v1, 0x0544b696, "");
SYMBOL_CRC(rtw89_core_query_rxdesc, 0x56e8e168, "");
SYMBOL_CRC(rtw89_core_rx, 0x5cbdd747, "");
SYMBOL_CRC(rtw89_core_napi_start, 0x43f4e824, "");
SYMBOL_CRC(rtw89_core_napi_stop, 0x449d92c0, "");
SYMBOL_CRC(rtw89_core_napi_init, 0x4bbe446d, "");
SYMBOL_CRC(rtw89_core_napi_deinit, 0x54aa55a6, "");
SYMBOL_CRC(rtw89_core_init, 0xc967b1a2, "");
SYMBOL_CRC(rtw89_core_deinit, 0x0d835dec, "");
SYMBOL_CRC(rtw89_chip_info_setup, 0xdcf622af, "");
SYMBOL_CRC(rtw89_core_register, 0x5f1a5e46, "");
SYMBOL_CRC(rtw89_core_unregister, 0x2af963e0, "");
SYMBOL_CRC(rtw89_alloc_ieee80211_hw, 0x10f35b2a, "");
SYMBOL_CRC(rtw89_free_ieee80211_hw, 0x0061989c, "");
SYMBOL_CRC(rtw89_ops, 0x2aeffc27, "");
SYMBOL_CRC(rtw89_mac_get_err_status, 0xa6e06e51, "");
SYMBOL_CRC(rtw89_mac_set_err_status, 0x4b4a4677, "");
SYMBOL_CRC(rtw89_mac_size, 0x9ac85705, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx, 0x5018e829, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx_v1, 0x71b29e09, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx, 0xdbdcc4bc, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx_v1, 0x3c842ffd, "");
SYMBOL_CRC(rtw89_mac_enable_bb_rf, 0x0e2a29c6, "");
SYMBOL_CRC(rtw89_mac_disable_bb_rf, 0x7523ca76, "");
SYMBOL_CRC(rtw89_mac_get_txpwr_cr, 0xbcc1e27c, "");
SYMBOL_CRC(rtw89_mac_cfg_ppdu_status, 0x0d9cb202, "");
SYMBOL_CRC(rtw89_mac_coex_init, 0x9cbfead3, "");
SYMBOL_CRC(rtw89_mac_coex_init_v1, 0x01d4e0b2, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt, 0x1d4059d7, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt_v1, 0x68cf3151, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path, 0xdb2fc1e1, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path_v1, 0xe8e7a82d, "");
SYMBOL_CRC(rtw89_mac_write_xtal_si, 0xc701b6a0, "");
SYMBOL_CRC(rtw89_mac_read_xtal_si, 0xd0af35dd, "");
SYMBOL_CRC(rtw89_mac_gen_ax, 0xb412b016, "");
SYMBOL_CRC(rtw89_phy_get_txsc, 0x66d416f3, "");
SYMBOL_CRC(rtw89_phy_read_rf, 0xb99265c7, "");
SYMBOL_CRC(rtw89_phy_read_rf_v1, 0xc458dbb2, "");
SYMBOL_CRC(rtw89_phy_write_rf, 0x94fe8547, "");
SYMBOL_CRC(rtw89_phy_write_rf_v1, 0xf5d3d38b, "");
SYMBOL_CRC(rtw89_phy_config_rf_reg_v1, 0xa9b9bb9c, "");
SYMBOL_CRC(rtw89_phy_write32_idx, 0xb997fca7, "");
SYMBOL_CRC(rtw89_phy_read32_idx, 0xbc1f7e1f, "");
SYMBOL_CRC(rtw89_phy_write_reg3_tbl, 0x5e0b27b3, "");
SYMBOL_CRC(rtw89_phy_load_txpwr_byrate, 0x238e27e8, "");
SYMBOL_CRC(rtw89_phy_read_txpwr_limit, 0xd1ffda71, "");
SYMBOL_CRC(rtw89_phy_set_txpwr_byrate, 0xc24ff60f, "");
SYMBOL_CRC(rtw89_phy_set_txpwr_offset, 0x46cb022f, "");
SYMBOL_CRC(rtw89_phy_set_txpwr_limit, 0x9ff35fb7, "");
SYMBOL_CRC(rtw89_phy_set_txpwr_limit_ru, 0xaec0d950, "");
SYMBOL_CRC(rtw89_rfk_parser, 0x982ff289, "");
SYMBOL_CRC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, 0x08d533be, "");
SYMBOL_CRC(rtw89_encode_chan_idx, 0x475e028d, "");
SYMBOL_CRC(rtw89_decode_chan_idx, 0x91f07a75, "");
SYMBOL_CRC(rtw89_phy_gen_ax, 0x63f14d32, "");
SYMBOL_CRC(rtw89_fw_h2c_dctl_sec_cam_v1, 0xb5f9e430, "");
SYMBOL_CRC(rtw89_fw_h2c_rf_ntfy_mcc, 0x01961dc1, "");
SYMBOL_CRC(rtw89_read_efuse_ver, 0xcc92f55d, "");
SYMBOL_CRC(rtw89_btc_set_policy, 0x28e1ce14, "");
SYMBOL_CRC(rtw89_btc_set_policy_v1, 0x7b9fa088, "");
SYMBOL_CRC(rtw89_btc_ntfy_wl_rfk, 0xcb60593f, "");
SYMBOL_CRC(rtw89_ser_notify, 0x5147c3ad, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfb578fc5, "memset" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa0cc62e3, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xe484db58, "ieee80211_ready_on_channel" },
	{ 0x7e3089b0, "ieee80211_stop_queues" },
	{ 0x4442b85c, "skb_unlink" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xb5a2b9da, "ieee80211_scan_completed" },
	{ 0xe36d4495, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x93067637, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb700b3e0, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7109424, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xcb92acf1, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8a0efb21, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x6ca71fd, "cfg80211_chandef_create" },
	{ 0x5273b57a, "ieee80211_cqm_rssi_notify" },
	{ 0xab23235b, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0xa9a81f10, "ieee80211_queue_work" },
	{ 0xe496c9fc, "napi_schedule_prep" },
	{ 0x754d539c, "strlen" },
	{ 0xe9927733, "napi_disable" },
	{ 0xa0410ee2, "dev_kfree_skb_any_reason" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x1238d9f7, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4d22f519, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x6e950088, "ieee80211_stop_tx_ba_session" },
	{ 0xbe1f2603, "device_set_wakeup_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xe4183b8b, "ieee80211_connection_loss" },
	{ 0x377cd063, "ieee80211_report_wowlan_wakeup" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xfcf41aeb, "is_acpi_device_node" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf603fa4c, "__ieee80211_schedule_txq" },
	{ 0x835eda7e, "ieee80211_txq_get_depth" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x8f59eb39, "cfg80211_bss_iter" },
	{ 0x79856fee, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xe7251df7, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x81f74173, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x387150b6, "ieee80211_free_hw" },
	{ 0x5be2c2c5, "ieee80211_probereq_get" },
	{ 0x9a27b4c9, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xe8038cb6, "request_firmware" },
	{ 0x3119e09c, "ieee80211_iterate_stations_atomic" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x2807e33d, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfba897cf, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x2b392846, "ieee80211_nullfunc_get" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0x497467cc, "ieee80211_pspoll_get" },
	{ 0x5afc3566, "ieee80211_register_hw" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4d19b2a6, "ieee80211_restart_hw" },
	{ 0x469497b4, "__netif_napi_del" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc401512a, "pskb_expand_head" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x75edbf9c, "ieee80211_find_sta" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xe86b53e0, "__napi_schedule" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x591b192f, "_dev_info" },
	{ 0x30d8be3, "skb_queue_tail" },
	{ 0xb3baae38, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x40939d0c, "wiphy_to_ieee80211_hw" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x23eacd27, "ieee80211_queue_delayed_work" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xb853f55d, "_dev_err" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1532d1e7, "ieee80211_next_txq" },
	{ 0x86564197, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x14019068, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc25338ec, "skb_push" },
	{ 0x468fd87f, "napi_enable" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x68f00fa1, "ieee80211_wake_queues" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x8daaa09, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x55d0a5da, "ieee80211_free_txskb" },
	{ 0x5ae445f1, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x93c00428, "ieee80211_alloc_hw_nm" },
	{ 0x2d6cd7e, "ieee80211_tx_dequeue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "574F37FC8F8AFF2121393AB");
