#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtw89_pci_recognize_intrs, "", "");
KSYMTAB_FUNC(rtw89_pci_recognize_intrs_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr_v1, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info_v1, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_dual, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_single, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask_v1, "", "");
KSYMTAB_DATA(rtw89_pm_ops, "", "");
KSYMTAB_FUNC(rtw89_pci_probe, "", "");
KSYMTAB_FUNC(rtw89_pci_remove, "", "");

SYMBOL_CRC(rtw89_pci_recognize_intrs, 0xfd6ebf5e, "");
SYMBOL_CRC(rtw89_pci_recognize_intrs_v1, 0x3e0ddaf0, "");
SYMBOL_CRC(rtw89_pci_enable_intr, 0x7fd9cc1a, "");
SYMBOL_CRC(rtw89_pci_disable_intr, 0x5cd1c4e3, "");
SYMBOL_CRC(rtw89_pci_enable_intr_v1, 0x2c095755, "");
SYMBOL_CRC(rtw89_pci_disable_intr_v1, 0x501e1d13, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set, 0x9ce0961b, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set_v1, 0xf630d9a9, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info, 0x41bdc8bc, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info_v1, 0xafd50456, "");
SYMBOL_CRC(rtw89_bd_ram_table_dual, 0x6efd9f2c, "");
SYMBOL_CRC(rtw89_bd_ram_table_single, 0x71162055, "");
SYMBOL_CRC(rtw89_pci_ltr_set, 0x3bd854fe, "");
SYMBOL_CRC(rtw89_pci_ltr_set_v1, 0xf980c31a, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask, 0x8c430b23, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask_v1, 0x5419544c, "");
SYMBOL_CRC(rtw89_pm_ops, 0x3cc45b2b, "");
SYMBOL_CRC(rtw89_pci_probe, 0xabe58150, "");
SYMBOL_CRC(rtw89_pci_remove, 0xda5f62a9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3b1bf66, "dma_sync_single_for_cpu" },
	{ 0xfb578fc5, "memset" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0x6d57bd5c, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaf635b5b, "ieee80211_tx_status" },
	{ 0x5147c3ad, "rtw89_ser_notify" },
	{ 0xa0cc62e3, "__netdev_alloc_skb" },
	{ 0x4442b85c, "skb_unlink" },
	{ 0xa5aa685b, "dma_set_coherent_mask" },
	{ 0x5f1a5e46, "rtw89_core_register" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x62e6f572, "dma_free_attrs" },
	{ 0x5cbdd747, "rtw89_core_rx" },
	{ 0x93067637, "param_ops_bool" },
	{ 0xd4ef9091, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd835dec, "rtw89_core_deinit" },
	{ 0xb6571a30, "pci_write_config_byte" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x8941e0e8, "pci_disable_device" },
	{ 0x4396602e, "dma_set_mask" },
	{ 0xe496c9fc, "napi_schedule_prep" },
	{ 0xb1cdd034, "pci_read_config_byte" },
	{ 0xa0410ee2, "dev_kfree_skb_any_reason" },
	{ 0x526c1129, "pci_free_irq_vectors" },
	{ 0xf9a482f9, "msleep" },
	{ 0x449d92c0, "rtw89_core_napi_stop" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdcf622af, "rtw89_chip_info_setup" },
	{ 0xa6e06e51, "rtw89_mac_get_err_status" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x234b6f17, "pcie_capability_read_word" },
	{ 0x41ad1b21, "pci_find_ext_capability" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x10f35b2a, "rtw89_alloc_ieee80211_hw" },
	{ 0x211ce9ad, "devm_request_threaded_irq" },
	{ 0x28b05f52, "pci_enable_device" },
	{ 0x79856fee, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe7251df7, "consume_skb" },
	{ 0xc33f127f, "pci_iomap" },
	{ 0x23e1ff2, "pci_alloc_irq_vectors" },
	{ 0xa6257a2f, "complete" },
	{ 0xcaccbaf5, "skb_dequeue" },
	{ 0x3279e0ed, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x51e39b60, "dma_sync_single_for_device" },
	{ 0xc8974b62, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4bbe446d, "rtw89_core_napi_init" },
	{ 0x2af963e0, "rtw89_core_unregister" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe168fe48, "dev_driver_string" },
	{ 0xd9db14f0, "pci_read_config_dword" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x211a607e, "dma_map_page_attrs" },
	{ 0xf2dc7718, "napi_complete_done" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa2b057be, "devm_free_irq" },
	{ 0xe86b53e0, "__napi_schedule" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x591b192f, "_dev_info" },
	{ 0x30d8be3, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc967b1a2, "rtw89_core_init" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xb853f55d, "_dev_err" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x54aa55a6, "rtw89_core_napi_deinit" },
	{ 0xc25338ec, "skb_push" },
	{ 0xda754828, "dma_alloc_attrs" },
	{ 0x61989c, "rtw89_free_ieee80211_hw" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x43f4e824, "rtw89_core_napi_start" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3345c342, "pci_iounmap" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "mac80211,rtw89_core");


MODULE_INFO(srcversion, "9AA8EFB7B61C17965C16C0E");
