#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ntb_register_client, "", "");
KSYMTAB_FUNC(ntb_unregister_client, "", "");
KSYMTAB_FUNC(ntb_register_device, "", "");
KSYMTAB_FUNC(ntb_unregister_device, "", "");
KSYMTAB_FUNC(ntb_set_ctx, "", "");
KSYMTAB_FUNC(ntb_clear_ctx, "", "");
KSYMTAB_FUNC(ntb_link_event, "", "");
KSYMTAB_FUNC(ntb_db_event, "", "");
KSYMTAB_FUNC(ntb_msg_event, "", "");
KSYMTAB_FUNC(ntb_default_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_count, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_idx, "", "");
KSYMTAB_FUNC(ntb_msi_init, "", "");
KSYMTAB_FUNC(ntb_msi_setup_mws, "", "");
KSYMTAB_FUNC(ntb_msi_clear_mws, "", "");
KSYMTAB_FUNC(ntbm_msi_request_threaded_irq, "", "");
KSYMTAB_FUNC(ntbm_msi_free_irq, "", "");
KSYMTAB_FUNC(ntb_msi_peer_trigger, "", "");
KSYMTAB_FUNC(ntb_msi_peer_addr, "", "");

SYMBOL_CRC(__ntb_register_client, 0x41904605, "");
SYMBOL_CRC(ntb_unregister_client, 0xfabc4f1a, "");
SYMBOL_CRC(ntb_register_device, 0x4126a7d6, "");
SYMBOL_CRC(ntb_unregister_device, 0xa5ece939, "");
SYMBOL_CRC(ntb_set_ctx, 0xf39900a3, "");
SYMBOL_CRC(ntb_clear_ctx, 0xb2864f4f, "");
SYMBOL_CRC(ntb_link_event, 0x6f613d36, "");
SYMBOL_CRC(ntb_db_event, 0xfc1147f7, "");
SYMBOL_CRC(ntb_msg_event, 0xcf7da88a, "");
SYMBOL_CRC(ntb_default_port_number, 0xfaf065ac, "");
SYMBOL_CRC(ntb_default_peer_port_count, 0x931b8df5, "");
SYMBOL_CRC(ntb_default_peer_port_number, 0xec576b42, "");
SYMBOL_CRC(ntb_default_peer_port_idx, 0xb0f1513f, "");
SYMBOL_CRC(ntb_msi_init, 0xca524899, "");
SYMBOL_CRC(ntb_msi_setup_mws, 0x115d842c, "");
SYMBOL_CRC(ntb_msi_clear_mws, 0xc7c2f205, "");
SYMBOL_CRC(ntbm_msi_request_threaded_irq, 0x2962b6d8, "");
SYMBOL_CRC(ntbm_msi_free_irq, 0xb812a5b0, "");
SYMBOL_CRC(ntb_msi_peer_trigger, 0x19c328eb, "");
SYMBOL_CRC(ntb_msi_peer_addr, 0x35848ad1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4a1e943a, "devm_iounmap" },
	{ 0x81335b6f, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x7ac24442, "devres_destroy" },
	{ 0x59772576, "msi_unlock_descs" },
	{ 0xfe929f51, "devm_ioremap" },
	{ 0xe1740888, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xfcc7a124, "msi_lock_descs" },
	{ 0xef8591fd, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xef39ce92, "put_device" },
	{ 0xa2b057be, "devm_free_irq" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf4b0bda5, "bus_unregister" },
	{ 0x1ff88043, "devm_kfree" },
	{ 0x7856c190, "irq_get_irq_data" },
	{ 0x9a510220, "__devres_alloc_node" },
	{ 0xad3d97e3, "driver_unregister" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x61ede170, "device_register" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xcee41c7b, "msi_domain_first_desc" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xc2f3ac3e, "msi_next_desc" },
	{ 0x3298e05b, "driver_register" },
	{ 0x55252989, "bus_register" },
	{ 0x6f7e6040, "irq_has_action" },
	{ 0x211ce9ad, "devm_request_threaded_irq" },
	{ 0xfc6ec21f, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x19160e4d, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "026457906ECEF839D1F4A06");
