#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvdimm_bus_lock, "", "");
KSYMTAB_FUNC(nvdimm_bus_unlock, "", "");
KSYMTAB_FUNC(is_nvdimm_bus_locked, "", "");
KSYMTAB_FUNC(devm_nvdimm_memremap, "_gpl", "");
KSYMTAB_FUNC(nd_fletcher64, "_gpl", "");
KSYMTAB_FUNC(to_nd_desc, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus_dev, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_add_badrange, "_gpl", "");
KSYMTAB_FUNC(nd_integrity_init, "", "");
KSYMTAB_FUNC(nd_device_notify, "", "");
KSYMTAB_FUNC(nvdimm_region_notify, "_gpl", "");
KSYMTAB_FUNC(nvdimm_clear_poison, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_to_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_register, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_unregister, "_gpl", "");
KSYMTAB_FUNC(nd_synchronize, "_gpl", "");
KSYMTAB_FUNC(nd_device_register, "", "");
KSYMTAB_FUNC(nd_device_unregister, "", "");
KSYMTAB_FUNC(__nd_driver_register, "", "");
KSYMTAB_FUNC(nvdimm_check_and_set_ro, "", "");
KSYMTAB_FUNC(nd_cmd_dimm_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_bus_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_in_size, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_out_size, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm, "_gpl", "");
KSYMTAB_FUNC(to_ndd, "", "");
KSYMTAB_FUNC(nvdimm_name, "_gpl", "");
KSYMTAB_FUNC(nvdimm_kobj, "_gpl", "");
KSYMTAB_FUNC(nvdimm_cmd_mask, "_gpl", "");
KSYMTAB_FUNC(nvdimm_provider_data, "_gpl", "");
KSYMTAB_FUNC(__nvdimm_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_security_setup_events, "_gpl", "");
KSYMTAB_FUNC(nvdimm_in_overwrite, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_check_dimm_count, "_gpl", "");
KSYMTAB_FUNC(register_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(unregister_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(to_nd_region, "_gpl", "");
KSYMTAB_FUNC(nd_region_dev, "_gpl", "");
KSYMTAB_FUNC(nd_region_provider_data, "_gpl", "");
KSYMTAB_FUNC(nd_region_to_nstype, "", "");
KSYMTAB_FUNC(nd_region_acquire_lane, "", "");
KSYMTAB_FUNC(nd_region_release_lane, "", "");
KSYMTAB_FUNC(nvdimm_pmem_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_volatile_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_region_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_cache, "_gpl", "");
KSYMTAB_FUNC(is_nvdimm_sync, "_gpl", "");
KSYMTAB_FUNC(pmem_should_map_pages, "", "");
KSYMTAB_FUNC(pmem_sector_size, "", "");
KSYMTAB_FUNC(nvdimm_namespace_disk_name, "", "");
KSYMTAB_FUNC(nd_dev_to_uuid, "", "");
KSYMTAB_FUNC(nvdimm_namespace_capacity, "", "");
KSYMTAB_FUNC(nvdimm_namespace_locked, "", "");
KSYMTAB_FUNC(nvdimm_namespace_common_probe, "", "");
KSYMTAB_FUNC(devm_namespace_enable, "_gpl", "");
KSYMTAB_FUNC(devm_namespace_disable, "_gpl", "");
KSYMTAB_FUNC(badrange_init, "_gpl", "");
KSYMTAB_FUNC(badrange_add, "_gpl", "");
KSYMTAB_FUNC(badrange_forget, "_gpl", "");
KSYMTAB_FUNC(nvdimm_badblocks_populate, "_gpl", "");
KSYMTAB_FUNC(nd_sb_checksum, "", "");
KSYMTAB_FUNC(to_nd_btt, "", "");
KSYMTAB_FUNC(is_nd_btt, "", "");
KSYMTAB_FUNC(nd_btt_arena_is_valid, "", "");
KSYMTAB_FUNC(nd_btt_version, "", "");
KSYMTAB_FUNC(nd_btt_probe, "", "");
KSYMTAB_FUNC(to_nd_pfn, "", "");
KSYMTAB_FUNC(is_nd_pfn, "", "");
KSYMTAB_FUNC(nd_pfn_validate, "", "");
KSYMTAB_FUNC(nd_pfn_probe, "", "");
KSYMTAB_FUNC(nvdimm_setup_pfn, "_gpl", "");
KSYMTAB_FUNC(to_nd_dax, "", "");
KSYMTAB_FUNC(is_nd_dax, "", "");
KSYMTAB_FUNC(nd_dax_probe, "", "");

SYMBOL_CRC(nvdimm_bus_lock, 0x2435575f, "");
SYMBOL_CRC(nvdimm_bus_unlock, 0x353ded21, "");
SYMBOL_CRC(is_nvdimm_bus_locked, 0xc777345b, "");
SYMBOL_CRC(devm_nvdimm_memremap, 0xe78551e3, "_gpl");
SYMBOL_CRC(nd_fletcher64, 0xaf076aec, "_gpl");
SYMBOL_CRC(to_nd_desc, 0x5790caba, "_gpl");
SYMBOL_CRC(to_nvdimm_bus_dev, 0xc7ccaf6d, "_gpl");
SYMBOL_CRC(nvdimm_bus_add_badrange, 0xe369a9f7, "_gpl");
SYMBOL_CRC(nd_integrity_init, 0x740bd8fb, "");
SYMBOL_CRC(nd_device_notify, 0xb6d7f6b9, "");
SYMBOL_CRC(nvdimm_region_notify, 0xe3e89b56, "_gpl");
SYMBOL_CRC(nvdimm_clear_poison, 0x8a625e4b, "_gpl");
SYMBOL_CRC(to_nvdimm_bus, 0xaa6e2acd, "_gpl");
SYMBOL_CRC(nvdimm_to_bus, 0x81d4a276, "_gpl");
SYMBOL_CRC(nvdimm_bus_register, 0x6efbb050, "_gpl");
SYMBOL_CRC(nvdimm_bus_unregister, 0xc2242e03, "_gpl");
SYMBOL_CRC(nd_synchronize, 0x7d00c65b, "_gpl");
SYMBOL_CRC(nd_device_register, 0xf2c733cb, "");
SYMBOL_CRC(nd_device_unregister, 0xaefd6067, "");
SYMBOL_CRC(__nd_driver_register, 0x418c2a3a, "");
SYMBOL_CRC(nvdimm_check_and_set_ro, 0x5c1b0f42, "");
SYMBOL_CRC(nd_cmd_dimm_desc, 0xb501b2df, "_gpl");
SYMBOL_CRC(nd_cmd_bus_desc, 0xa01a8d9b, "_gpl");
SYMBOL_CRC(nd_cmd_in_size, 0x0b17b322, "_gpl");
SYMBOL_CRC(nd_cmd_out_size, 0x9137e0e1, "_gpl");
SYMBOL_CRC(to_nvdimm, 0xb4489328, "_gpl");
SYMBOL_CRC(to_ndd, 0x6e543eb3, "");
SYMBOL_CRC(nvdimm_name, 0xc6d38840, "_gpl");
SYMBOL_CRC(nvdimm_kobj, 0xb01f71e9, "_gpl");
SYMBOL_CRC(nvdimm_cmd_mask, 0xbd8e0a60, "_gpl");
SYMBOL_CRC(nvdimm_provider_data, 0x4a034e77, "_gpl");
SYMBOL_CRC(__nvdimm_create, 0x3c8c9864, "_gpl");
SYMBOL_CRC(nvdimm_delete, 0xc8b869e9, "_gpl");
SYMBOL_CRC(nvdimm_security_setup_events, 0x4f90aa2c, "_gpl");
SYMBOL_CRC(nvdimm_in_overwrite, 0x81ddd5bf, "_gpl");
SYMBOL_CRC(nvdimm_bus_check_dimm_count, 0xe186ba66, "_gpl");
SYMBOL_CRC(register_nvdimm_pmu, 0x2c10a530, "_gpl");
SYMBOL_CRC(unregister_nvdimm_pmu, 0x63038306, "_gpl");
SYMBOL_CRC(to_nd_region, 0xc4ba0c53, "_gpl");
SYMBOL_CRC(nd_region_dev, 0xe2949258, "_gpl");
SYMBOL_CRC(nd_region_provider_data, 0xe17cd5ae, "_gpl");
SYMBOL_CRC(nd_region_to_nstype, 0x6c42950a, "");
SYMBOL_CRC(nd_region_acquire_lane, 0x3192c00e, "");
SYMBOL_CRC(nd_region_release_lane, 0xafb51252, "");
SYMBOL_CRC(nvdimm_pmem_region_create, 0x59b16b9c, "_gpl");
SYMBOL_CRC(nvdimm_volatile_region_create, 0x37015254, "_gpl");
SYMBOL_CRC(nvdimm_region_delete, 0x02b6f9ae, "_gpl");
SYMBOL_CRC(nvdimm_flush, 0xba4e8eb5, "_gpl");
SYMBOL_CRC(nvdimm_has_flush, 0xe7d0ed89, "_gpl");
SYMBOL_CRC(nvdimm_has_cache, 0x32694dce, "_gpl");
SYMBOL_CRC(is_nvdimm_sync, 0x9727ce18, "_gpl");
SYMBOL_CRC(pmem_should_map_pages, 0x52cf5d1a, "");
SYMBOL_CRC(pmem_sector_size, 0x59c1ab97, "");
SYMBOL_CRC(nvdimm_namespace_disk_name, 0xc7078c2c, "");
SYMBOL_CRC(nd_dev_to_uuid, 0x00747e37, "");
SYMBOL_CRC(nvdimm_namespace_capacity, 0x99e75da7, "");
SYMBOL_CRC(nvdimm_namespace_locked, 0x8eaee137, "");
SYMBOL_CRC(nvdimm_namespace_common_probe, 0x2286caf3, "");
SYMBOL_CRC(devm_namespace_enable, 0x13e2d9c2, "_gpl");
SYMBOL_CRC(devm_namespace_disable, 0x540082e1, "_gpl");
SYMBOL_CRC(badrange_init, 0x11e06ee9, "_gpl");
SYMBOL_CRC(badrange_add, 0x2e08226d, "_gpl");
SYMBOL_CRC(badrange_forget, 0x82092899, "_gpl");
SYMBOL_CRC(nvdimm_badblocks_populate, 0x84f109c1, "_gpl");
SYMBOL_CRC(nd_sb_checksum, 0x499f0ecf, "");
SYMBOL_CRC(to_nd_btt, 0x194e47f2, "");
SYMBOL_CRC(is_nd_btt, 0x7d31309d, "");
SYMBOL_CRC(nd_btt_arena_is_valid, 0xe7a2e33d, "");
SYMBOL_CRC(nd_btt_version, 0x42457365, "");
SYMBOL_CRC(nd_btt_probe, 0xfc181c4a, "");
SYMBOL_CRC(to_nd_pfn, 0x2c357d41, "");
SYMBOL_CRC(is_nd_pfn, 0x9c5e454c, "");
SYMBOL_CRC(nd_pfn_validate, 0xbfbe8cf6, "");
SYMBOL_CRC(nd_pfn_probe, 0x19c070ac, "");
SYMBOL_CRC(nvdimm_setup_pfn, 0x617dcf48, "_gpl");
SYMBOL_CRC(to_nd_dax, 0x3b13ea0f, "");
SYMBOL_CRC(is_nd_dax, 0x6a9f26dc, "");
SYMBOL_CRC(nd_dax_probe, 0x666e4d90, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd68c5a1f, "adjust_resource" },
	{ 0xdcf7222c, "kill_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x93067637, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x20a58bfe, "__devm_release_region" },
	{ 0x72012f35, "request_key_tag" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x56c8a653, "kernfs_put" },
	{ 0x29458b4, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x7f8810b, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x9b41ceee, "badblocks_check" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x3e5948d2, "__devm_add_action" },
	{ 0x2c635527, "arch_invalidate_pmem" },
	{ 0xf6a28554, "region_intersects" },
	{ 0x25fc4bc2, "badblocks_clear" },
	{ 0x79278c86, "devm_init_badblocks" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x53b954a2, "up_read" },
	{ 0x3298e05b, "driver_register" },
	{ 0x19ac0ff7, "__cpuhp_remove_state" },
	{ 0x45d246da, "node_to_cpumask_map" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x55252989, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x43e80e9a, "set_disk_ro" },
	{ 0xe914e41e, "strcpy" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x5cde8e04, "blk_integrity_register" },
	{ 0x6f8442c4, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd6551b9c, "cpu_cache_has_invalidate_memregion" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xfc6ec21f, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x77bc13a0, "strim" },
	{ 0x55dd09fb, "devm_memremap" },
	{ 0x19160e4d, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xea7d29e8, "badblocks_set" },
	{ 0x81335b6f, "device_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xc3794904, "class_destroy" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0xedc03953, "iounmap" },
	{ 0xd428971f, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x1bf7ec9c, "badblocks_exit" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0x71b79722, "device_for_each_child" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xbc4e24bb, "copy_mc_to_kernel" },
	{ 0xe1740888, "get_device" },
	{ 0x4d924f20, "memremap" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x5da8aca0, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xf1550601, "kernfs_notify" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe168fe48, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xddb09295, "__devm_request_region" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x8fa8aca1, "__cpuhp_state_remove_instance" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xef39ce92, "put_device" },
	{ 0xea4ebaf3, "badblocks_show" },
	{ 0xeeae3e8, "key_type_encrypted" },
	{ 0x618911fc, "numa_node" },
	{ 0x591b192f, "_dev_info" },
	{ 0x8e90385d, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x5304c04, "compat_ptr_ioctl" },
	{ 0x3b408f20, "perf_pmu_migrate_context" },
	{ 0xf89763dd, "perf_pmu_register" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x76b6a9a7, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfbb7344, "memremap_compat_align" },
	{ 0xf4b0bda5, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0x3c804b25, "cpu_cache_invalidate_memregion" },
	{ 0xb853f55d, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0x97fa317c, "__cpuhp_setup_state" },
	{ 0xdf3db6ce, "devm_memunmap" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x150c287d, "device_add" },
	{ 0x5c309e65, "hibernate_quiet_exec" },
	{ 0x9ef9355f, "noop_llseek" },
	{ 0x328e3354, "__memcpy_flushcache" },
	{ 0x22376df7, "class_create" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1f7cc1ab, "kernfs_find_and_get_ns" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x5a921311, "strncmp" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xffb7c514, "ida_free" },
	{ 0xad3d97e3, "driver_unregister" },
	{ 0xaa87cf19, "__cpuhp_state_add_instance" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd9935883, "perf_pmu_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xdfc3daee, "device_find_child" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6A2A0857B179E21D39E97A8");
