#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dell_smbios_error, "_gpl", "");
KSYMTAB_FUNC(dell_smbios_register_device, "_gpl", "");
KSYMTAB_FUNC(dell_smbios_unregister_device, "_gpl", "");
KSYMTAB_FUNC(dell_smbios_call_filter, "_gpl", "");
KSYMTAB_FUNC(dell_smbios_call, "_gpl", "");
KSYMTAB_FUNC(dell_smbios_find_token, "_gpl", "");
KSYMTAB_FUNC(dell_laptop_register_notifier, "_gpl", "");
KSYMTAB_FUNC(dell_laptop_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(dell_laptop_call_notifier, "_gpl", "");

SYMBOL_CRC(dell_smbios_error, 0xc2871e79, "_gpl");
SYMBOL_CRC(dell_smbios_register_device, 0x25e49296, "_gpl");
SYMBOL_CRC(dell_smbios_unregister_device, 0x2917f0b6, "_gpl");
SYMBOL_CRC(dell_smbios_call_filter, 0x0ee4d669, "_gpl");
SYMBOL_CRC(dell_smbios_call, 0x45170471, "_gpl");
SYMBOL_CRC(dell_smbios_find_token, 0x7fd2ce06, "_gpl");
SYMBOL_CRC(dell_laptop_register_notifier, 0x1b0b3141, "_gpl");
SYMBOL_CRC(dell_laptop_unregister_notifier, 0xd6c6b12d, "_gpl");
SYMBOL_CRC(dell_laptop_call_notifier, 0xb9400dbf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe1740888, "get_device" },
	{ 0x5da8aca0, "__dynamic_dev_dbg" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x122c3a7e, "_printk" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xef39ce92, "put_device" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc6cbbc89, "capable" },
	{ 0xa3dcfa65, "dell_wmi_get_descriptor_valid" },
	{ 0xb853f55d, "_dev_err" },
	{ 0x1a94279d, "platform_device_unregister" },
	{ 0x55bbfcfb, "wmidev_evaluate_method" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xdc30dd9c, "platform_device_add" },
	{ 0x66b4126, "platform_device_alloc" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x42bdd99c, "platform_device_del" },
	{ 0x6add5c9a, "dmi_find_device" },
	{ 0x81767c57, "sysfs_create_group" },
	{ 0xfb578fc5, "memset" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xbe71fe84, "wmi_driver_unregister" },
	{ 0x477721ee, "__platform_driver_register" },
	{ 0x8eef8246, "dell_wmi_get_hotfix" },
	{ 0x25483cd5, "sysfs_remove_group" },
	{ 0x76cc8184, "set_required_buffer_size" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x3705f74d, "__wmi_driver_register" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd5c024d7, "platform_device_put" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xfc6ec21f, "devm_kmalloc" },
	{ 0x1cb77636, "platform_driver_unregister" },
	{ 0xa167d064, "dell_wmi_get_size" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "dell-wmi-descriptor,wmi");

MODULE_ALIAS("wmi:A80593CE-A997-11DA-B012-B622A1EF5492");

MODULE_INFO(srcversion, "A2434024284B70C0E85C7C2");
