#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x591b192f, "_dev_info" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xf39c4fa8, "sparse_keymap_report_event" },
	{ 0x5da8aca0, "__dynamic_dev_dbg" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x4fdee897, "i8042_command" },
	{ 0x10f406dc, "sysfs_notify" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0xcdce87c, "rfkill_set_hw_state_reason" },
	{ 0xfcf41aeb, "is_acpi_device_node" },
	{ 0xab1105ac, "device_add_groups" },
	{ 0xf29606ab, "debugfs_create_dir" },
	{ 0x6e7f1d4a, "debugfs_create_file" },
	{ 0xb28be58a, "input_allocate_device" },
	{ 0x40a41c5, "sparse_keymap_setup" },
	{ 0xf9bd5fd8, "input_register_device" },
	{ 0x8829cc30, "led_classdev_register_ext" },
	{ 0x7de7bf50, "__acpi_video_get_backlight_type" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x23d2c28b, "rfkill_alloc" },
	{ 0xaad6d92f, "rfkill_init_sw_state" },
	{ 0xff282521, "rfkill_register" },
	{ 0xb853f55d, "_dev_err" },
	{ 0xa8440fde, "input_free_device" },
	{ 0xced75e17, "backlight_device_register" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd683411d, "backlight_force_update" },
	{ 0x65b959ac, "led_classdev_notify_brightness_hw_changed" },
	{ 0xdfc6e05a, "seq_lseek" },
	{ 0x61409eae, "seq_read" },
	{ 0xcb5f3d33, "single_release" },
	{ 0x93067637, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfc6ec21f, "devm_kmalloc" },
	{ 0x998f32e, "single_open" },
	{ 0x7109424, "seq_printf" },
	{ 0xab23235b, "seq_puts" },
	{ 0x3705f74d, "__wmi_driver_register" },
	{ 0x477721ee, "__platform_driver_register" },
	{ 0xbe71fe84, "wmi_driver_unregister" },
	{ 0x1cb77636, "platform_driver_unregister" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x64f8191, "backlight_device_unregister" },
	{ 0xbfe36436, "platform_profile_remove" },
	{ 0x37a0cba, "kfree" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x65709836, "led_classdev_unregister" },
	{ 0x75e84ec1, "input_unregister_device" },
	{ 0x6ca64ef8, "debugfs_remove" },
	{ 0xa730a3cc, "device_remove_groups" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1000e51, "schedule" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0xd8df08ac, "acpi_handle_printk" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0x67927a0d, "platform_profile_notify" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xcac33cd4, "platform_profile_register" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "sparse-keymap,rfkill,video,wmi,platform_profile");

MODULE_ALIAS("acpi*:VPC2004:*");
MODULE_ALIAS("wmi:26CAB2E5-5CF1-46AE-AAC3-4A12B6BA50E6");
MODULE_ALIAS("wmi:56322276-8493-4CE8-A783-98C991274F5E");
MODULE_ALIAS("wmi:8FC0DE0C-B4E4-43FD-B0F3-8871711C1294");

MODULE_INFO(srcversion, "70FC06770444ACFC6718C15");
