#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fcoe_ctlr_init, "", "");
KSYMTAB_FUNC(fcoe_ctlr_destroy, "", "");
KSYMTAB_FUNC(fcoe_ctlr_link_up, "", "");
KSYMTAB_FUNC(fcoe_ctlr_link_down, "", "");
KSYMTAB_FUNC(fcoe_ctlr_els_send, "", "");
KSYMTAB_FUNC(fcoe_ctlr_recv, "", "");
KSYMTAB_FUNC(fcoe_ctlr_recv_flogi, "", "");
KSYMTAB_FUNC(fcoe_wwn_from_mac, "_gpl", "");
KSYMTAB_FUNC(fcoe_libfc_config, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_get_selected, "", "");
KSYMTAB_FUNC(fcoe_ctlr_set_fip_mode, "", "");
KSYMTAB_FUNC(fcoe_link_speed_update, "_gpl", "");
KSYMTAB_FUNC(__fcoe_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_ctlr_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_wwn_to_str, "_gpl", "");
KSYMTAB_FUNC(fcoe_validate_vport_create, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_wwn, "_gpl", "");
KSYMTAB_FUNC(fcoe_fc_crc, "_gpl", "");
KSYMTAB_FUNC(fcoe_start_io, "_gpl", "");
KSYMTAB_FUNC(fcoe_clean_pending_queue, "_gpl", "");
KSYMTAB_FUNC(fcoe_check_wait_queue, "_gpl", "");
KSYMTAB_FUNC(fcoe_queue_timer, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_paged_crc_eof, "_gpl", "");
KSYMTAB_FUNC(fcoe_transport_attach, "", "");
KSYMTAB_FUNC(fcoe_transport_detach, "", "");
KSYMTAB_FUNC(fcoe_ctlr_device_add, "_gpl", "");
KSYMTAB_FUNC(fcoe_ctlr_device_delete, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_device_delete, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_device_add, "_gpl", "");

SYMBOL_CRC(fcoe_ctlr_init, 0xe9dbc02b, "");
SYMBOL_CRC(fcoe_ctlr_destroy, 0xb812ae93, "");
SYMBOL_CRC(fcoe_ctlr_link_up, 0xe4b1e5b0, "");
SYMBOL_CRC(fcoe_ctlr_link_down, 0xa42c7368, "");
SYMBOL_CRC(fcoe_ctlr_els_send, 0x173e5d84, "");
SYMBOL_CRC(fcoe_ctlr_recv, 0x6d031b6c, "");
SYMBOL_CRC(fcoe_ctlr_recv_flogi, 0xcecddd27, "");
SYMBOL_CRC(fcoe_wwn_from_mac, 0xc3f30cc0, "_gpl");
SYMBOL_CRC(fcoe_libfc_config, 0xe7160d6a, "_gpl");
SYMBOL_CRC(fcoe_fcf_get_selected, 0xa81d4efe, "");
SYMBOL_CRC(fcoe_ctlr_set_fip_mode, 0x45fe95b8, "");
SYMBOL_CRC(fcoe_link_speed_update, 0x6a53a7ff, "_gpl");
SYMBOL_CRC(__fcoe_get_lesb, 0x1f456fc1, "_gpl");
SYMBOL_CRC(fcoe_get_lesb, 0x514910fc, "_gpl");
SYMBOL_CRC(fcoe_ctlr_get_lesb, 0x8cd7464b, "_gpl");
SYMBOL_CRC(fcoe_wwn_to_str, 0xf167cb7a, "_gpl");
SYMBOL_CRC(fcoe_validate_vport_create, 0x5bb9ce80, "_gpl");
SYMBOL_CRC(fcoe_get_wwn, 0x1897d570, "_gpl");
SYMBOL_CRC(fcoe_fc_crc, 0xff532b3d, "_gpl");
SYMBOL_CRC(fcoe_start_io, 0x886ea9b1, "_gpl");
SYMBOL_CRC(fcoe_clean_pending_queue, 0xa4d943f3, "_gpl");
SYMBOL_CRC(fcoe_check_wait_queue, 0x96571c7e, "_gpl");
SYMBOL_CRC(fcoe_queue_timer, 0xbac58840, "_gpl");
SYMBOL_CRC(fcoe_get_paged_crc_eof, 0xa04af6d9, "_gpl");
SYMBOL_CRC(fcoe_transport_attach, 0xdadcbe93, "");
SYMBOL_CRC(fcoe_transport_detach, 0xa6df625f, "");
SYMBOL_CRC(fcoe_ctlr_device_add, 0x50dcdc22, "_gpl");
SYMBOL_CRC(fcoe_ctlr_device_delete, 0x951873f8, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_delete, 0x28b2f7bc, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_add, 0x4a0ba24c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x42684d3e, "__ethtool_get_link_ksettings" },
	{ 0x61ede170, "device_register" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xe9e0245a, "fc_vport_id_lookup" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x26e64657, "fc_elsct_init" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xb6f89156, "fc_disc_config" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa405c525, "__pskb_pull_tail" },
	{ 0xcd78d2bc, "fc_fcp_init" },
	{ 0xa0cc62e3, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x838fc730, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xdd6ef490, "__dev_queue_xmit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9c49bb9, "alloc_pages" },
	{ 0x991d34a3, "__folio_put" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xba5f8145, "dev_get_by_name" },
	{ 0x8bcb3fdf, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xf74c31c7, "fc_seq_els_rsp_send" },
	{ 0xb0ddd5a1, "fc_rport_flush_queue" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x7cf19c, "param_ops_int" },
	{ 0x54db240f, "fc_rport_create" },
	{ 0xc906d8e1, "_dev_printk" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0xb802cbdc, "fc_exch_init" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x55252989, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8e9cbb04, "fc_linkup" },
	{ 0x47fe9bcd, "fc_rport_lookup" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x7da90656, "dev_get_stats" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe7749017, "param_ops_uint" },
	{ 0x79856fee, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x19160e4d, "dev_set_name" },
	{ 0xe7251df7, "consume_skb" },
	{ 0x6c4b5ae7, "fc_lport_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d50ed7e, "fc_rport_destroy" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x81335b6f, "device_unregister" },
	{ 0xcaccbaf5, "skb_dequeue" },
	{ 0x37a0cba, "kfree" },
	{ 0xcdede8c2, "fc_rport_logoff" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0xb76bc482, "__put_devmap_managed_page_refs" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x41bb2569, "fc_disc_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x892be3c0, "fc_rport_login" },
	{ 0x824f5862, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x122c3a7e, "_printk" },
	{ 0x2fb110f6, "fc_linkdown" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xef39ce92, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x30d8be3, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x541954d4, "fc_lport_reset" },
	{ 0xf4b0bda5, "bus_unregister" },
	{ 0x7abf16e4, "init_net" },
	{ 0x92836a8b, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x86564197, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc25338ec, "skb_push" },
	{ 0x9166fada, "strncpy" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x471f7a48, "fc_lport_set_local_id" },
	{ 0x80e55aad, "fc_exch_recv" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "libfc");


MODULE_INFO(srcversion, "A483AEBD89FF2F24E96890B");
