#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_ata_ncq_prio_supported, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0xc64c74fe, "");
SYMBOL_CRC(sas_remove_host, 0xd7b7114c, "");
SYMBOL_CRC(sas_get_address, 0x06b6f93e, "");
SYMBOL_CRC(sas_tlr_supported, 0x4e38f123, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0x5481ccb5, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0x7ccc2454, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0x920ed513, "_gpl");
SYMBOL_CRC(sas_ata_ncq_prio_supported, 0x15aaa365, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0xee8cf3b2, "");
SYMBOL_CRC(sas_phy_add, 0x66ed7d97, "");
SYMBOL_CRC(sas_phy_free, 0xda121313, "");
SYMBOL_CRC(sas_phy_delete, 0x56d786bf, "");
SYMBOL_CRC(scsi_is_sas_phy, 0xb71ab714, "");
SYMBOL_CRC(sas_port_alloc, 0x29a9de60, "");
SYMBOL_CRC(sas_port_alloc_num, 0x0a76e72e, "");
SYMBOL_CRC(sas_port_add, 0x7e3d7f14, "");
SYMBOL_CRC(sas_port_free, 0xc5d0b1e5, "");
SYMBOL_CRC(sas_port_delete, 0xc562c7ea, "");
SYMBOL_CRC(scsi_is_sas_port, 0xd1c5d74a, "");
SYMBOL_CRC(sas_port_get_phy, 0x96bfb4dd, "");
SYMBOL_CRC(sas_port_add_phy, 0x34fad931, "");
SYMBOL_CRC(sas_port_delete_phy, 0x247e52d1, "");
SYMBOL_CRC(sas_port_mark_backlink, 0xe18bf65e, "");
SYMBOL_CRC(sas_read_port_mode_page, 0xc3541a6c, "");
SYMBOL_CRC(sas_end_device_alloc, 0xabb15c70, "");
SYMBOL_CRC(sas_expander_alloc, 0x72f92ea7, "");
SYMBOL_CRC(sas_rphy_add, 0x9c1e7d0d, "");
SYMBOL_CRC(sas_rphy_free, 0xd5d49d5a, "");
SYMBOL_CRC(sas_rphy_delete, 0xfeee0958, "");
SYMBOL_CRC(sas_rphy_unlink, 0x05ca9f64, "");
SYMBOL_CRC(sas_rphy_remove, 0x7f9b4af9, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0x18e80bfa, "");
SYMBOL_CRC(sas_attach_transport, 0x71d8f7c8, "");
SYMBOL_CRC(sas_release_transport, 0xd092c8ca, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0xe14f738f, "attribute_container_register" },
	{ 0x28cb77ae, "sysfs_remove_link" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xc906d8e1, "_dev_printk" },
	{ 0xc5c981df, "scsi_get_vpd_page" },
	{ 0x92c49556, "scsi_mode_sense" },
	{ 0x82fe11bc, "attribute_container_unregister" },
	{ 0x1f581a17, "scsi_remove_host" },
	{ 0xc3b914a3, "bsg_remove_queue" },
	{ 0x717c3509, "scsi_remove_target" },
	{ 0x88303564, "scsi_is_host_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0x39ae8e4b, "bsg_job_done" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe800a322, "dma_opt_mapping_size" },
	{ 0xd428971f, "device_initialize" },
	{ 0x19160e4d, "dev_set_name" },
	{ 0x698ea3db, "transport_setup_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x71b79722, "device_for_each_child" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xef39ce92, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x150c287d, "device_add" },
	{ 0xd621dc3, "transport_add_device" },
	{ 0x6a8b7a61, "transport_configure_device" },
	{ 0x2f38ab01, "device_del" },
	{ 0xfdf5e619, "transport_destroy_device" },
	{ 0x72211960, "transport_remove_device" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe1740888, "get_device" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x38a1a970, "sysfs_create_link" },
	{ 0x122c3a7e, "_printk" },
	{ 0x58f137b4, "scsi_scan_target" },
	{ 0xeb6aeaf5, "bsg_setup_queue" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0xff14c810, "transport_class_register" },
	{ 0x2d68478e, "transport_class_unregister" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "082852696E06971446548D5");
