#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(sdw_bus_type, "_gpl", "");
KSYMTAB_FUNC(__sdw_register_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_bus_master_add, "", "");
KSYMTAB_FUNC(sdw_bus_master_delete, "", "");
KSYMTAB_FUNC(sdw_show_ping_status, "", "");
KSYMTAB_FUNC(sdw_nread_no_pm, "", "");
KSYMTAB_FUNC(sdw_nwrite_no_pm, "", "");
KSYMTAB_FUNC(sdw_write_no_pm, "", "");
KSYMTAB_FUNC(sdw_bread_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_bwrite_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_read_no_pm, "", "");
KSYMTAB_FUNC(sdw_update_no_pm, "", "");
KSYMTAB_FUNC(sdw_update, "", "");
KSYMTAB_FUNC(sdw_nread, "", "");
KSYMTAB_FUNC(sdw_nwrite, "", "");
KSYMTAB_FUNC(sdw_read, "", "");
KSYMTAB_FUNC(sdw_write, "", "");
KSYMTAB_FUNC(sdw_compare_devid, "", "");
KSYMTAB_FUNC(sdw_extract_slave_id, "", "");
KSYMTAB_FUNC(sdw_bus_prep_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_exit_clk_stop, "", "");
KSYMTAB_FUNC(sdw_handle_slave_status, "", "");
KSYMTAB_FUNC(sdw_clear_slave_status, "", "");
KSYMTAB_FUNC(sdw_slave_add, "", "");
KSYMTAB_FUNC(sdw_master_read_prop, "", "");
KSYMTAB_FUNC(sdw_slave_read_prop, "", "");
KSYMTAB_DATA(sdw_rows, "", "");
KSYMTAB_DATA(sdw_cols, "", "");
KSYMTAB_FUNC(sdw_find_col_index, "", "");
KSYMTAB_FUNC(sdw_find_row_index, "", "");
KSYMTAB_FUNC(sdw_prepare_stream, "", "");
KSYMTAB_FUNC(sdw_enable_stream, "", "");
KSYMTAB_FUNC(sdw_disable_stream, "", "");
KSYMTAB_FUNC(sdw_deprepare_stream, "", "");
KSYMTAB_FUNC(sdw_alloc_stream, "", "");
KSYMTAB_FUNC(sdw_startup_stream, "", "");
KSYMTAB_FUNC(sdw_shutdown_stream, "", "");
KSYMTAB_FUNC(sdw_release_stream, "", "");
KSYMTAB_FUNC(sdw_stream_add_master, "", "");
KSYMTAB_FUNC(sdw_stream_remove_master, "", "");
KSYMTAB_FUNC(sdw_stream_add_slave, "", "");
KSYMTAB_FUNC(sdw_stream_remove_slave, "", "");

SYMBOL_CRC(sdw_bus_type, 0xa37757be, "_gpl");
SYMBOL_CRC(__sdw_register_driver, 0xf9eef4dc, "_gpl");
SYMBOL_CRC(sdw_unregister_driver, 0x404be7a4, "_gpl");
SYMBOL_CRC(sdw_bus_master_add, 0x1e0b70b9, "");
SYMBOL_CRC(sdw_bus_master_delete, 0x064168f3, "");
SYMBOL_CRC(sdw_show_ping_status, 0x3df07264, "");
SYMBOL_CRC(sdw_nread_no_pm, 0xa37d682e, "");
SYMBOL_CRC(sdw_nwrite_no_pm, 0xb3483411, "");
SYMBOL_CRC(sdw_write_no_pm, 0xa70061da, "");
SYMBOL_CRC(sdw_bread_no_pm_unlocked, 0x62ef9aa2, "");
SYMBOL_CRC(sdw_bwrite_no_pm_unlocked, 0x38357f49, "");
SYMBOL_CRC(sdw_read_no_pm, 0xa08dc788, "");
SYMBOL_CRC(sdw_update_no_pm, 0xcf996cc0, "");
SYMBOL_CRC(sdw_update, 0xc6ffbb46, "");
SYMBOL_CRC(sdw_nread, 0x4d940c17, "");
SYMBOL_CRC(sdw_nwrite, 0x40451ef1, "");
SYMBOL_CRC(sdw_read, 0x83ec1def, "");
SYMBOL_CRC(sdw_write, 0x3b9cd65c, "");
SYMBOL_CRC(sdw_compare_devid, 0x4af66256, "");
SYMBOL_CRC(sdw_extract_slave_id, 0x4000aeee, "");
SYMBOL_CRC(sdw_bus_prep_clk_stop, 0xe9321b35, "");
SYMBOL_CRC(sdw_bus_clk_stop, 0x6213a7ad, "");
SYMBOL_CRC(sdw_bus_exit_clk_stop, 0xb5c73bd7, "");
SYMBOL_CRC(sdw_handle_slave_status, 0xabcd2c59, "");
SYMBOL_CRC(sdw_clear_slave_status, 0xb73b86a6, "");
SYMBOL_CRC(sdw_slave_add, 0xab35c6f9, "");
SYMBOL_CRC(sdw_master_read_prop, 0x91962cc9, "");
SYMBOL_CRC(sdw_slave_read_prop, 0xef49f8f7, "");
SYMBOL_CRC(sdw_rows, 0xf53ba0b8, "");
SYMBOL_CRC(sdw_cols, 0xba54b904, "");
SYMBOL_CRC(sdw_find_col_index, 0x60e31fbb, "");
SYMBOL_CRC(sdw_find_row_index, 0x1deee061, "");
SYMBOL_CRC(sdw_prepare_stream, 0x16d1706b, "");
SYMBOL_CRC(sdw_enable_stream, 0xbbec2c2e, "");
SYMBOL_CRC(sdw_disable_stream, 0x4cde88bf, "");
SYMBOL_CRC(sdw_deprepare_stream, 0x71891d59, "");
SYMBOL_CRC(sdw_alloc_stream, 0x9e122d79, "");
SYMBOL_CRC(sdw_startup_stream, 0x3b0a8582, "");
SYMBOL_CRC(sdw_shutdown_stream, 0x6f95b16b, "");
SYMBOL_CRC(sdw_release_stream, 0xda5bce09, "");
SYMBOL_CRC(sdw_stream_add_master, 0xb9e5936d, "");
SYMBOL_CRC(sdw_stream_remove_master, 0x15001adc, "");
SYMBOL_CRC(sdw_stream_add_slave, 0xefc9b9f9, "");
SYMBOL_CRC(sdw_stream_remove_slave, 0x6f311542, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x18af0d7f, "devm_kasprintf" },
	{ 0x61409eae, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3478dc1d, "fwnode_property_present" },
	{ 0x6e7f1d4a, "debugfs_create_file" },
	{ 0xa0c04ee5, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf0a55650, "device_get_named_child_node" },
	{ 0x7109424, "seq_printf" },
	{ 0x1d7515e0, "irq_create_mapping_affinity" },
	{ 0xcb5f3d33, "single_release" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0x47006c6e, "acpi_dev_for_each_child" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x23b0d948, "__pm_runtime_suspend" },
	{ 0xccdddcbb, "irq_set_chip" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0xa1178e1f, "__pm_runtime_use_autosuspend" },
	{ 0x998f32e, "single_open" },
	{ 0x308ad3c, "__pm_runtime_disable" },
	{ 0xf29606ab, "debugfs_create_dir" },
	{ 0x3298e05b, "driver_register" },
	{ 0xe733d41b, "__pm_runtime_idle" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0x55252989, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xe150e193, "device_property_present" },
	{ 0x7ed8eefa, "devm_device_add_groups" },
	{ 0xfcf41aeb, "is_acpi_device_node" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xfc6ec21f, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x19160e4d, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x81335b6f, "device_unregister" },
	{ 0x89f17944, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xec04b677, "irq_domain_remove" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xdfc6e05a, "seq_lseek" },
	{ 0x31d708b3, "dev_pm_domain_attach" },
	{ 0x9b3142ab, "devm_device_add_group" },
	{ 0x71b79722, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5da8aca0, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf61def1a, "pm_generic_runtime_resume" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb512f731, "__pm_runtime_set_status" },
	{ 0x122c3a7e, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xef39ce92, "put_device" },
	{ 0x631da867, "pm_runtime_enable" },
	{ 0xdbe919e0, "device_property_read_u32_array" },
	{ 0x7b047cb4, "fwnode_property_read_u32_array" },
	{ 0x1a470c7e, "dev_pm_domain_detach" },
	{ 0xc8f7fc92, "pm_generic_runtime_suspend" },
	{ 0xf4b0bda5, "bus_unregister" },
	{ 0xb853f55d, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6ca64ef8, "debugfs_remove" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xffb7c514, "ida_free" },
	{ 0xad3d97e3, "driver_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x61ede170, "device_register" },
	{ 0xf521a933, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0xf42f9d0a, "__irq_domain_add" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0666F09C6D217B5B73A6775");
