#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fuse_len_args, "_gpl", "");
KSYMTAB_FUNC(fuse_get_unique, "_gpl", "");
KSYMTAB_DATA(fuse_dev_fiq_ops, "_gpl", "");
KSYMTAB_FUNC(fuse_request_end, "_gpl", "");
KSYMTAB_FUNC(fuse_simple_background, "_gpl", "");
KSYMTAB_FUNC(fuse_dequeue_forget, "", "");
KSYMTAB_FUNC(fuse_abort_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_release, "_gpl", "");
KSYMTAB_DATA(fuse_dev_operations, "_gpl", "");
KSYMTAB_FUNC(fuse_do_open, "_gpl", "");
KSYMTAB_FUNC(fuse_sync_release, "_gpl", "");
KSYMTAB_FUNC(fuse_direct_io, "_gpl", "");
KSYMTAB_FUNC(fuse_file_poll, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_init, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_put, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_get, "_gpl", "");
KSYMTAB_FUNC(fuse_send_init, "_gpl", "");
KSYMTAB_FUNC(fuse_free_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_free, "_gpl", "");
KSYMTAB_FUNC(fuse_init_fs_context_submount, "_gpl", "");
KSYMTAB_FUNC(fuse_fill_super_common, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_remove, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_destroy, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_destroy, "", "");
KSYMTAB_FUNC(fuse_do_ioctl, "_gpl", "");
KSYMTAB_FUNC(fuse_dax_cancel_work, "_gpl", "");

SYMBOL_CRC(fuse_len_args, 0xdd626ee3, "_gpl");
SYMBOL_CRC(fuse_get_unique, 0xd701a461, "_gpl");
SYMBOL_CRC(fuse_dev_fiq_ops, 0x20fd7f9f, "_gpl");
SYMBOL_CRC(fuse_request_end, 0xf48b228c, "_gpl");
SYMBOL_CRC(fuse_simple_background, 0x08e003cd, "_gpl");
SYMBOL_CRC(fuse_dequeue_forget, 0xa9f85723, "");
SYMBOL_CRC(fuse_abort_conn, 0x75003c65, "_gpl");
SYMBOL_CRC(fuse_dev_release, 0x33f746a3, "_gpl");
SYMBOL_CRC(fuse_dev_operations, 0xb1ab54bb, "_gpl");
SYMBOL_CRC(fuse_do_open, 0x236e52de, "_gpl");
SYMBOL_CRC(fuse_sync_release, 0x5c5f25ca, "_gpl");
SYMBOL_CRC(fuse_direct_io, 0x9f05252b, "_gpl");
SYMBOL_CRC(fuse_file_poll, 0x3678d3ad, "_gpl");
SYMBOL_CRC(fuse_conn_init, 0x0bd0219f, "_gpl");
SYMBOL_CRC(fuse_conn_put, 0xfc25ffdc, "_gpl");
SYMBOL_CRC(fuse_conn_get, 0x87246de1, "_gpl");
SYMBOL_CRC(fuse_send_init, 0x9244a3fb, "_gpl");
SYMBOL_CRC(fuse_free_conn, 0xa9816359, "_gpl");
SYMBOL_CRC(fuse_dev_alloc, 0xd42fde6c, "_gpl");
SYMBOL_CRC(fuse_dev_install, 0x587e836d, "_gpl");
SYMBOL_CRC(fuse_dev_alloc_install, 0xce43161f, "_gpl");
SYMBOL_CRC(fuse_dev_free, 0x02eb3c60, "_gpl");
SYMBOL_CRC(fuse_init_fs_context_submount, 0x620cb56c, "_gpl");
SYMBOL_CRC(fuse_fill_super_common, 0xc8de5134, "_gpl");
SYMBOL_CRC(fuse_mount_remove, 0x9413ea45, "_gpl");
SYMBOL_CRC(fuse_conn_destroy, 0x1b01dbe2, "_gpl");
SYMBOL_CRC(fuse_mount_destroy, 0x4c6f3c3e, "");
SYMBOL_CRC(fuse_do_ioctl, 0xc9286572, "_gpl");
SYMBOL_CRC(fuse_dax_cancel_work, 0x5485a22a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xedf04207, "inode_nohighmem" },
	{ 0x369ee47b, "release_pages" },
	{ 0x960921a7, "generic_file_direct_write" },
	{ 0xf8f37fbe, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x973715ce, "generic_file_read_iter" },
	{ 0x6a6fffe5, "inode_maybe_inc_iversion" },
	{ 0x19e032e3, "unlock_page" },
	{ 0xa0e73784, "inc_node_page_state" },
	{ 0xe19163a6, "thp_get_unmapped_area" },
	{ 0xa07a37f0, "memchr" },
	{ 0x33a71b10, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x63be90ef, "put_fs_context" },
	{ 0xb5b63711, "fileattr_fill_xflags" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0xdad0841a, "dec_node_page_state" },
	{ 0x6c4c5c36, "write_cache_pages" },
	{ 0x3c0d7ca9, "file_update_time" },
	{ 0x34bdcfbc, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x11dbe881, "kmem_cache_free" },
	{ 0x925493f, "clear_page_orig" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0xeb2b24ec, "from_kgid" },
	{ 0x2d7b7e59, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x7df9d5d5, "file_remove_privs" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xf64af171, "write_inode_now" },
	{ 0x5b305633, "dax_writeback_mapping_range" },
	{ 0x816e7cef, "d_obtain_alias" },
	{ 0x702f048c, "file_modified" },
	{ 0x5e2288f4, "copy_page_to_iter" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2c8dc27c, "finish_no_open" },
	{ 0xb0716d92, "__folio_start_writeback" },
	{ 0x41709bb8, "kill_litter_super" },
	{ 0x3eee1f2, "folio_end_writeback" },
	{ 0x312215ea, "from_kuid" },
	{ 0x9f34f324, "current_in_userns" },
	{ 0x8757ffe5, "fc_mount" },
	{ 0xfb578fc5, "memset" },
	{ 0x683ac9d7, "sysfs_remove_mount_point" },
	{ 0x44c0914d, "misc_register" },
	{ 0xdf93b9d8, "timespec64_to_jiffies" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x258f12f6, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x99f6ee21, "d_delete" },
	{ 0x67dca288, "from_kgid_munged" },
	{ 0x23b24b82, "end_page_writeback" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xf47937a4, "kobject_create_and_add" },
	{ 0x668b19a1, "down_read" },
	{ 0x9bd08534, "wb_writeout_inc" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x109815da, "nonseekable_open" },
	{ 0x67845432, "dax_finish_sync_fault" },
	{ 0x694ef0b0, "set_page_dirty" },
	{ 0xc83f423e, "copy_page_from_iter" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4f0333ae, "redirty_page_for_writepage" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x59a4c5fa, "noop_direct_IO" },
	{ 0x2f46f643, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf2bdd71, "generic_read_dir" },
	{ 0x7d16a20a, "d_add" },
	{ 0x29f6e24, "set_page_writeback" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xd84d35bd, "dax_read_lock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x93067637, "param_ops_bool" },
	{ 0xfe49d011, "init_user_ns" },
	{ 0xbf53f746, "d_find_alias" },
	{ 0xd75ca4f0, "invalidate_inode_pages2" },
	{ 0x9c49bb9, "alloc_pages" },
	{ 0xe393f62f, "inode_set_ctime_current" },
	{ 0x5bbff36d, "inc_nlink" },
	{ 0x991d34a3, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe6b6d16d, "get_tree_bdev" },
	{ 0x7c9cac6e, "set_anon_super_fc" },
	{ 0x7109424, "seq_printf" },
	{ 0xb6cfaf14, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7af56625, "generic_delete_inode" },
	{ 0x127a9489, "deactivate_locked_super" },
	{ 0x2b70dc64, "touch_atime" },
	{ 0xc13abf37, "__percpu_down_read" },
	{ 0x3cfca415, "__d_lookup_unhash_wake" },
	{ 0x1be47449, "set_page_dirty_lock" },
	{ 0xfc3c841d, "pid_nr_ns" },
	{ 0xd68e19, "generic_file_open" },
	{ 0x762e149c, "truncate_inode_pages_range" },
	{ 0x98199fa4, "__put_user_ns" },
	{ 0x71a1beba, "__folio_lock" },
	{ 0xb726ed83, "filemap_dirty_folio" },
	{ 0xf92539fb, "pagecache_get_page" },
	{ 0xab23235b, "seq_puts" },
	{ 0x876e87a5, "stream_open" },
	{ 0xdaf409bc, "rcuwait_wake_up" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xb8273d0b, "__wake_up_sync" },
	{ 0xc37c8f3b, "add_to_pipe" },
	{ 0x2e1619bc, "__fs_parse" },
	{ 0x534884f0, "dax_layout_busy_page_range" },
	{ 0xe6c33281, "filemap_splice_read" },
	{ 0x96da82ec, "posix_acl_to_xattr" },
	{ 0xc93c800, "dget_parent" },
	{ 0x981ae2f3, "kill_anon_super" },
	{ 0x989b1f2b, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x5768cbc9, "iget5_locked" },
	{ 0xb7b3dfa1, "security_dentry_init_security" },
	{ 0x6ae931c9, "filemap_write_and_wait_range" },
	{ 0xa10bc935, "get_tree_single" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xe7098031, "generic_write_checks" },
	{ 0xe197f6b4, "iov_iter_revert" },
	{ 0xf29a4e64, "__remove_inode_hash" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xde598e0f, "mntget" },
	{ 0xd4bcba7e, "kmem_cache_alloc_lru" },
	{ 0x36fe7ba7, "filemap_fault" },
	{ 0xe6824f9f, "d_invalidate" },
	{ 0x6932f81, "__mark_inode_dirty" },
	{ 0x6342a948, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x53b954a2, "up_read" },
	{ 0x44caf266, "iov_iter_npages" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0x66dce2fb, "drop_nlink" },
	{ 0x958e3edb, "fault_in_iov_iter_readable" },
	{ 0xa84ec7eb, "filemap_check_errors" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0x9011e181, "bdi_set_max_ratio" },
	{ 0xa71ccb69, "kmem_cache_destroy" },
	{ 0x2f0c17b, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x79184884, "super_setup_bdi_name" },
	{ 0x69964287, "posix_test_lock" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x3824ff9d, "truncate_inode_pages" },
	{ 0x9b4bb359, "generic_copy_file_range" },
	{ 0x515f2dd6, "noop_backing_dev_info" },
	{ 0xe914e41e, "strcpy" },
	{ 0xd2776946, "pipe_lock" },
	{ 0x7b2dbe4f, "generic_fillattr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x3c54cf53, "vfs_fsync_range" },
	{ 0x530695f7, "setattr_prepare" },
	{ 0x83455f2c, "clear_nlink" },
	{ 0x123abce1, "file_check_and_advance_wb_err" },
	{ 0xc214bcac, "d_alloc_parallel" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xbb0f1a73, "d_instantiate" },
	{ 0x3c185c61, "page_put_link" },
	{ 0x3edda8b5, "misc_deregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xeffc7cfc, "make_vfsgid" },
	{ 0xe005e8e5, "clear_inode" },
	{ 0x275dedc5, "inode_to_bdi" },
	{ 0x4a564f45, "find_pid_ns" },
	{ 0xbb33c412, "grab_cache_page_write_begin" },
	{ 0x5cc3c6cb, "simple_dir_inode_operations" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2e4fd213, "pipe_unlock" },
	{ 0x551ad6e1, "fs_param_is_string" },
	{ 0x187731ab, "folio_unlock" },
	{ 0xccd9e369, "new_inode" },
	{ 0x20386b57, "filemap_map_pages" },
	{ 0xa6257a2f, "complete" },
	{ 0xf163274a, "dump_page" },
	{ 0x2c26c5e8, "forget_all_cached_acls" },
	{ 0xae010024, "init_special_inode" },
	{ 0x42e4a582, "unregister_filesystem" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xc7de53f7, "task_active_pid_ns" },
	{ 0xb29d8e7b, "iov_iter_single_seg_count" },
	{ 0xe4dda5bc, "retire_super" },
	{ 0xca9360b5, "rb_next" },
	{ 0x984de0ab, "filemap_fdatawrite_range" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xea35e501, "d_alloc_name" },
	{ 0xce59e8ba, "replace_page_cache_folio" },
	{ 0x5c73fe50, "inode_query_iversion" },
	{ 0x58db4927, "iov_iter_advance" },
	{ 0x6ac7560f, "kill_fasync" },
	{ 0xbdc8e00d, "d_make_root" },
	{ 0x91bba0bf, "sb_set_blocksize" },
	{ 0x79a87bd2, "fget" },
	{ 0xbb87ce92, "simple_fill_super" },
	{ 0x39c9d88c, "xas_find" },
	{ 0x12bd7a1a, "sync_filesystem" },
	{ 0x918ae00c, "noop_dirty_folio" },
	{ 0xbd4eefdb, "sget_fc" },
	{ 0x5cb30300, "param_set_uint" },
	{ 0x94c80228, "d_splice_alias" },
	{ 0xc7ed07c4, "iov_iter_get_pages2" },
	{ 0xc95cc72f, "direct_write_fallback" },
	{ 0x69acdf38, "memcpy" },
	{ 0x36f0b587, "page_get_link" },
	{ 0xd81c9ab0, "generic_permission" },
	{ 0x4496cecc, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xa27f2e17, "invalidate_inode_pages2_range" },
	{ 0x66bb5da3, "posix_lock_file" },
	{ 0x9eef56c1, "finish_open" },
	{ 0xcd20eb72, "dax_iomap_rw" },
	{ 0x8600ddfe, "iput" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0x97a3e8ba, "logfc" },
	{ 0xb76bc482, "__put_devmap_managed_page_refs" },
	{ 0x7a725bb7, "iter_file_splice_write" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x7552119b, "init_pid_ns" },
	{ 0x1a80b295, "dax_iomap_fault" },
	{ 0xbce63b78, "iov_iter_init" },
	{ 0xbdd9feb4, "d_lookup" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0x495a9b8b, "sysfs_create_mount_point" },
	{ 0x102cae60, "generic_file_write_iter" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x27d8722f, "register_filesystem" },
	{ 0xd4fbd8af, "kmem_cache_create" },
	{ 0xd60f5d16, "folio_add_lru" },
	{ 0x675d32fd, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x81cdb9f4, "sync_inode_metadata" },
	{ 0x286b39b0, "simple_empty" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xe18954e9, "vfs_setpos" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x55982dfa, "shrink_dcache_parent" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0x4fcdf6ac, "get_tree_nodev" },
	{ 0x12036bf, "d_mark_dontcache" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdb02c0be, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xd1c48b43, "fs_param_is_u32" },
	{ 0xba14a3c5, "inode_newsize_ok" },
	{ 0x7a91f388, "d_drop" },
	{ 0xdd8f0848, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0xc35247da, "unlock_new_inode" },
	{ 0x122c3a7e, "_printk" },
	{ 0x11577754, "bdi_put" },
	{ 0x71329eae, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0x52baa50c, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x83fd9682, "make_kuid" },
	{ 0x4b0bc638, "truncate_inode_pages_final" },
	{ 0xdc87be9b, "fs_kobj" },
	{ 0x75fa7000, "__filemap_set_wb_err" },
	{ 0xff5acb89, "simple_dir_operations" },
	{ 0xcef12f34, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x33b84f74, "copy_page" },
	{ 0x5fd94173, "__free_pages" },
	{ 0xaada9d35, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x795d81a3, "put_pid_ns" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0x6bed9230, "setattr_should_drop_suidgid" },
	{ 0x8a399f63, "capable_wrt_inode_uidgid" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xc6cbbc89, "capable" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x6b27e643, "copy_page_from_iter_atomic" },
	{ 0x8eee3399, "dax_read_unlock" },
	{ 0x12d14b57, "fs_context_for_submount" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xb7eb46cd, "inode_init_once" },
	{ 0x2ac4b396, "file_write_and_wait_range" },
	{ 0x5304c04, "compat_ptr_ioctl" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x775d35c3, "nosteal_pipe_buf_ops" },
	{ 0xf01ca8e6, "ilookup5" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2B8972FFA3DF088F99B3E74");
