#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(jbd2__journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_free_reserved, "", "");
KSYMTAB_FUNC(jbd2_journal_start_reserved, "", "");
KSYMTAB_FUNC(jbd2__journal_restart, "", "");
KSYMTAB_FUNC(jbd2_journal_restart, "", "");
KSYMTAB_FUNC(jbd2_submit_inode_data, "", "");
KSYMTAB_FUNC(jbd2_wait_inode_data, "", "");
KSYMTAB_FUNC(jbd2_journal_extend, "", "");
KSYMTAB_FUNC(jbd2_journal_stop, "", "");
KSYMTAB_FUNC(jbd2_journal_lock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_unlock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_get_write_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_create_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_undo_access, "", "");
KSYMTAB_FUNC(jbd2_journal_set_triggers, "", "");
KSYMTAB_FUNC(jbd2_journal_dirty_metadata, "", "");
KSYMTAB_FUNC(jbd2_journal_forget, "", "");
KSYMTAB_FUNC(jbd2_journal_flush, "", "");
KSYMTAB_FUNC(jbd2_journal_revoke, "", "");
KSYMTAB_FUNC(jbd2_journal_init_dev, "", "");
KSYMTAB_FUNC(jbd2_journal_init_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_check_used_features, "", "");
KSYMTAB_FUNC(jbd2_journal_check_available_features, "", "");
KSYMTAB_FUNC(jbd2_journal_set_features, "", "");
KSYMTAB_FUNC(jbd2_journal_load, "", "");
KSYMTAB_FUNC(jbd2_journal_destroy, "", "");
KSYMTAB_FUNC(jbd2_journal_abort, "", "");
KSYMTAB_FUNC(jbd2_journal_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_ack_err, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_err, "", "");
KSYMTAB_FUNC(jbd2_log_wait_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_start_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit_nested, "", "");
KSYMTAB_FUNC(jbd2_journal_wipe, "", "");
KSYMTAB_FUNC(jbd2_journal_blocks_per_page, "", "");
KSYMTAB_FUNC(jbd2_journal_invalidate_folio, "", "");
KSYMTAB_FUNC(jbd2_journal_try_to_free_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_write, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_wait, "", "");
KSYMTAB_FUNC(jbd2_journal_finish_inode_data_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_init_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_release_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_begin_ordered_truncate, "", "");
KSYMTAB_DATA(jbd2_inode_cache, "", "");
KSYMTAB_FUNC(jbd2_trans_will_send_data_barrier, "", "");
KSYMTAB_FUNC(jbd2_fc_begin_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit_fallback, "", "");
KSYMTAB_FUNC(jbd2_transaction_committed, "", "");
KSYMTAB_FUNC(jbd2_complete_transaction, "", "");
KSYMTAB_FUNC(jbd2_fc_get_buf, "", "");
KSYMTAB_FUNC(jbd2_fc_wait_bufs, "", "");
KSYMTAB_FUNC(jbd2_fc_release_bufs, "", "");
KSYMTAB_FUNC(jbd2_journal_update_sb_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_features, "", "");
KSYMTAB_FUNC(jbd2_journal_grab_journal_head, "", "");
KSYMTAB_FUNC(jbd2_journal_put_journal_head, "", "");

SYMBOL_CRC(jbd2__journal_start, 0xcd39256d, "");
SYMBOL_CRC(jbd2_journal_start, 0x0965c0a9, "");
SYMBOL_CRC(jbd2_journal_free_reserved, 0x3533205c, "");
SYMBOL_CRC(jbd2_journal_start_reserved, 0x8fa2b8c2, "");
SYMBOL_CRC(jbd2__journal_restart, 0x41735183, "");
SYMBOL_CRC(jbd2_journal_restart, 0x0f6c0e96, "");
SYMBOL_CRC(jbd2_submit_inode_data, 0x054a5973, "");
SYMBOL_CRC(jbd2_wait_inode_data, 0x58e6881d, "");
SYMBOL_CRC(jbd2_journal_extend, 0xb25e1339, "");
SYMBOL_CRC(jbd2_journal_stop, 0x1f9febc5, "");
SYMBOL_CRC(jbd2_journal_lock_updates, 0xb1014ef3, "");
SYMBOL_CRC(jbd2_journal_unlock_updates, 0x0522d88e, "");
SYMBOL_CRC(jbd2_journal_get_write_access, 0x0a378de4, "");
SYMBOL_CRC(jbd2_journal_get_create_access, 0xd5c41190, "");
SYMBOL_CRC(jbd2_journal_get_undo_access, 0xdaee8913, "");
SYMBOL_CRC(jbd2_journal_set_triggers, 0x2f6e06b3, "");
SYMBOL_CRC(jbd2_journal_dirty_metadata, 0xebd2617a, "");
SYMBOL_CRC(jbd2_journal_forget, 0x73c0eb85, "");
SYMBOL_CRC(jbd2_journal_flush, 0x7a392eb3, "");
SYMBOL_CRC(jbd2_journal_revoke, 0xcbcbbc1a, "");
SYMBOL_CRC(jbd2_journal_init_dev, 0x180378b0, "");
SYMBOL_CRC(jbd2_journal_init_inode, 0x17bee7be, "");
SYMBOL_CRC(jbd2_journal_check_used_features, 0xfc6f129c, "");
SYMBOL_CRC(jbd2_journal_check_available_features, 0xf66386ad, "");
SYMBOL_CRC(jbd2_journal_set_features, 0xa8e1d475, "");
SYMBOL_CRC(jbd2_journal_load, 0xbe250156, "");
SYMBOL_CRC(jbd2_journal_destroy, 0xc273f941, "");
SYMBOL_CRC(jbd2_journal_abort, 0x260b618d, "");
SYMBOL_CRC(jbd2_journal_errno, 0x760ddd02, "");
SYMBOL_CRC(jbd2_journal_ack_err, 0xeeb200ba, "");
SYMBOL_CRC(jbd2_journal_clear_err, 0xb1d2952b, "");
SYMBOL_CRC(jbd2_log_wait_commit, 0x4c7071dc, "");
SYMBOL_CRC(jbd2_journal_start_commit, 0x96c62b36, "");
SYMBOL_CRC(jbd2_journal_force_commit_nested, 0xb4246867, "");
SYMBOL_CRC(jbd2_journal_wipe, 0x0a1eb3b2, "");
SYMBOL_CRC(jbd2_journal_blocks_per_page, 0x13212b2d, "");
SYMBOL_CRC(jbd2_journal_invalidate_folio, 0xffa5cec7, "");
SYMBOL_CRC(jbd2_journal_try_to_free_buffers, 0x1084cf78, "");
SYMBOL_CRC(jbd2_journal_force_commit, 0x174f5b92, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_write, 0x74ef6b24, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_wait, 0x74804b89, "");
SYMBOL_CRC(jbd2_journal_finish_inode_data_buffers, 0x8853f5dd, "");
SYMBOL_CRC(jbd2_journal_init_jbd_inode, 0xa9025968, "");
SYMBOL_CRC(jbd2_journal_release_jbd_inode, 0x5a4434e5, "");
SYMBOL_CRC(jbd2_journal_begin_ordered_truncate, 0x0a8c3471, "");
SYMBOL_CRC(jbd2_inode_cache, 0xacd81eb3, "");
SYMBOL_CRC(jbd2_trans_will_send_data_barrier, 0x6c0b9ee5, "");
SYMBOL_CRC(jbd2_fc_begin_commit, 0xb7494885, "");
SYMBOL_CRC(jbd2_fc_end_commit, 0x364df8ed, "");
SYMBOL_CRC(jbd2_fc_end_commit_fallback, 0x74db015e, "");
SYMBOL_CRC(jbd2_transaction_committed, 0x18b8cf23, "");
SYMBOL_CRC(jbd2_complete_transaction, 0x4307601a, "");
SYMBOL_CRC(jbd2_fc_get_buf, 0x0d2ceac9, "");
SYMBOL_CRC(jbd2_fc_wait_bufs, 0x7f0b400c, "");
SYMBOL_CRC(jbd2_fc_release_bufs, 0x7db0c40b, "");
SYMBOL_CRC(jbd2_journal_update_sb_errno, 0xf12f1778, "");
SYMBOL_CRC(jbd2_journal_clear_features, 0x3c4aec0a, "");
SYMBOL_CRC(jbd2_journal_grab_journal_head, 0xbb406bf6, "");
SYMBOL_CRC(jbd2_journal_put_journal_head, 0x4199a8a7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd73653c4, "freezer_active" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x19645b5e, "try_to_free_buffers" },
	{ 0x445c2021, "sync_blockdev" },
	{ 0x11155e5b, "free_buffer_head" },
	{ 0xa7e43a05, "unregister_shrinker" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xaada9d35, "kmem_cache_alloc" },
	{ 0xbb0094c0, "blk_finish_plug" },
	{ 0xa02aa74a, "__cond_resched_lock" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xad9901ae, "bit_waitqueue" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x811acde, "__brelse" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x6435d0f9, "perf_trace_run_bpf_submit" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x14ef5b09, "__bh_read_batch" },
	{ 0x409b1dff, "bpf_trace_run5" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x859b124d, "__wait_on_buffer" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x11dbe881, "kmem_cache_free" },
	{ 0x4f658b1f, "__bh_read" },
	{ 0x5122d8a0, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x789c934a, "blkdev_issue_zeroout" },
	{ 0x29670d6, "filemap_fdatawait_range_keep_errors" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xf4debd6f, "crypto_shash_update" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x31d42bf4, "freezing_slow_path" },
	{ 0x8d10a62, "bpf_trace_run1" },
	{ 0x94686cc8, "proc_mkdir" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd7d4b590, "kthread_create_on_node" },
	{ 0xe0942c61, "bpf_trace_run3" },
	{ 0x61409eae, "seq_read" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb93ff0ce, "unlock_buffer" },
	{ 0x1526f444, "__getblk_gfp" },
	{ 0x55254fa2, "trace_event_buffer_reserve" },
	{ 0x21bdb523, "errseq_check_and_advance" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0x991d34a3, "__folio_put" },
	{ 0xffcaaff, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7109424, "seq_printf" },
	{ 0x1aa337fb, "__lock_buffer" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x762e149c, "truncate_inode_pages_range" },
	{ 0xa7f21240, "blkdev_issue_flush" },
	{ 0x748d1e, "folio_set_bh" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x7c618526, "end_buffer_write_sync" },
	{ 0x2b582a1a, "seq_open" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x6a613912, "bmap" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x6a460dc5, "schedule_hrtimeout" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x136ea7d0, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7410aba2, "strreplace" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0xa71ccb69, "kmem_cache_destroy" },
	{ 0x32924564, "blkdev_issue_discard" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0x136dbb96, "bh_uptodate_or_lock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xfb655096, "blk_start_plug" },
	{ 0xb1c89cea, "bpf_trace_run4" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x187731ab, "folio_unlock" },
	{ 0xd7c32c4e, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa4cbedd, "trace_raw_output_prep" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x64775c4e, "bpf_trace_run6" },
	{ 0x31f67e02, "mark_buffer_dirty" },
	{ 0x11671fda, "__find_get_block" },
	{ 0xe8e0ed1e, "__trace_trigger_soft_disabled" },
	{ 0x984de0ab, "filemap_fdatawrite_range" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x65a259b6, "trace_event_printf" },
	{ 0x64fc6d1c, "__bforget" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x160690ee, "write_dirty_buffer" },
	{ 0xe5fc3b34, "register_shrinker" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x4df02057, "crc32_be" },
	{ 0x5b50ae95, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8600ddfe, "iput" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0xdfc6e05a, "seq_lseek" },
	{ 0xe2350830, "blockdev_superblock" },
	{ 0x17a24a7d, "proc_create_data" },
	{ 0xe8690ce1, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xd4fbd8af, "kmem_cache_create" },
	{ 0xb8406521, "bpf_trace_run8" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xe077ee00, "submit_bh" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x54f8ab8a, "alloc_buffer_head" },
	{ 0x1a53c964, "wake_up_process" },
	{ 0x7816f98d, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x4d5e3e9d, "crypto_destroy_tfm" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x64a31445, "mutex_lock_io" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "FBD64F39F25AB572B118EB0");
