#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0x961fe2fc, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0x141fe39a, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0x6b86bc87, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0x4b0dbf89, "_gpl");
SYMBOL_CRC(br_forward_finish, 0xe27530aa, "_gpl");
SYMBOL_CRC(br_forward, 0xce4bb906, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0x45e4e5d3, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0x97905096, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0xe1d28f2a, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0x1c59a14d, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0x5bf36789, "_gpl");
SYMBOL_CRC(br_multicast_router, 0x3551d124, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0x44682f16, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0x7e4c2b93, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0x87c0e4e9, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0x4ffb337a, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0x171a9305, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0xc18feb7d, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0x762fab9c, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0x86c71ba2, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0x31b7a49a, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0x4a12210a, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0xba4fc3c3, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0x7f5b29aa, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0x0d013812, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf20f992a, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd3afa1c4, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x8bcb3fdf, "skb_clone" },
	{ 0x4301b6fd, "__SCK__tp_func_br_fdb_external_learn_add" },
	{ 0x5d9cb9be, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x8da81df9, "dst_release" },
	{ 0x68b91085, "netif_carrier_on" },
	{ 0x1efa7f5b, "kobject_uevent" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xb35dcafa, "arp_tbl" },
	{ 0xc903f53a, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x759de620, "netdev_rx_handler_register" },
	{ 0x5e91ecfa, "dev_uc_add" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc001370d, "netif_set_tso_max_size" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x9c37c95, "dev_disable_lro" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0xd7c18895, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x9180fd1b, "dev_get_flags" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0xa0410ee2, "dev_kfree_skb_any_reason" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x49164886, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0x4c96e0bc, "nf_queue" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0xf9c883b5, "netif_set_tso_max_segs" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x180193cc, "skb_ext_add" },
	{ 0x72851373, "sysfs_remove_bin_file" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xdc5d9559, "stp_proto_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0xc472ce15, "neigh_lookup" },
	{ 0xa71ccb69, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f0c17b, "kobject_put" },
	{ 0xdc5210c0, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x86bfb4dd, "netdev_lower_get_next" },
	{ 0xe7008f08, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x2bfd65d4, "dev_pre_changeaddr_notify" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xa87083f1, "skb_copy_bits" },
	{ 0xc94b8682, "__nlmsg_put" },
	{ 0xc64472f6, "switchdev_port_attr_set" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xaa7ec7fe, "ipv6_mc_check_mld" },
	{ 0x79856fee, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb4898b0a, "call_switchdev_notifiers" },
	{ 0x5a9b51fc, "sysfs_create_file_ns" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x3fb5cd7e, "netdev_update_features" },
	{ 0xe7251df7, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x25201f9, "__netpoll_free" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x19e0ae50, "__SCT__tp_func_br_fdb_external_learn_add" },
	{ 0x733ec33e, "__SCT__tp_func_fdb_delete" },
	{ 0xbc86fd39, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xbde53a30, "netpoll_send_skb" },
	{ 0x2be096d9, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xb46a0f75, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x69acdf38, "memcpy" },
	{ 0xec406848, "switchdev_port_obj_act_is_deferred" },
	{ 0x73b704b7, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0xb48fa54e, "dev_set_promiscuity" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4e55b5df, "unregister_netdevice_queue" },
	{ 0xd4fbd8af, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc1d72d7d, "netdev_state_change" },
	{ 0xb476df2e, "__pskb_copy_fclone" },
	{ 0x81aac961, "__dev_get_by_name" },
	{ 0xaef003f0, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x693a9460, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc401512a, "pskb_expand_head" },
	{ 0x46bd3ea6, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0xc44738f2, "brioctl_set" },
	{ 0x7fc396cf, "dev_addr_mod" },
	{ 0xb912560d, "static_key_disable" },
	{ 0xc1cb72e0, "arp_xmit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9212808a, "alloc_netdev_mqs" },
	{ 0xf51f9633, "passthru_features_check" },
	{ 0xb8f7350a, "nla_put_nohdr" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb6c03729, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x1ceb3e8e, "__SCK__tp_func_br_mdb_full" },
	{ 0x36f1a131, "rtnl_af_register" },
	{ 0xf607f94d, "__tracepoint_br_mdb_full" },
	{ 0xb11cc43b, "__SCT__tp_func_br_fdb_update" },
	{ 0x7916343c, "__SCT__tp_func_br_mdb_full" },
	{ 0xa916b694, "strnlen" },
	{ 0xeaeba39b, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xaada9d35, "kmem_cache_alloc" },
	{ 0xa918ab3, "rtnl_set_sk_err" },
	{ 0x5dbfb8b5, "skb_vlan_pop" },
	{ 0x38a1a970, "sysfs_create_link" },
	{ 0xa583877d, "ipv6_dev_get_saddr" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x6350d90a, "nla_reserve_64bit" },
	{ 0xd7fd0f52, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x299569af, "__dev_get_by_index" },
	{ 0x99f5fca7, "rtnl_link_unregister" },
	{ 0x7e3191f6, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0x1b8aea61, "dev_get_port_parent_id" },
	{ 0x7abf16e4, "init_net" },
	{ 0x6497b2b8, "ipv6_stub" },
	{ 0xc90a8296, "inet_confirm_addr" },
	{ 0x92836a8b, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x28cb77ae, "sysfs_remove_link" },
	{ 0xb0f6e373, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe2dff64c, "__SCK__tp_func_br_fdb_add" },
	{ 0xd7ca8307, "rtnl_af_unregister" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xa9c5ded6, "arp_send" },
	{ 0x1b0596e5, "dev_get_by_index_rcu" },
	{ 0x86564197, "kfree_skb_reason" },
	{ 0xdb5f0cc8, "__tracepoint_br_fdb_add" },
	{ 0x652032cb, "mac_pton" },
	{ 0xc25338ec, "skb_push" },
	{ 0x11dbe881, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xad82374a, "ndo_dflt_fdb_dump" },
	{ 0x5a921311, "strncmp" },
	{ 0x3bcd1e6d, "netdev_upper_dev_unlink" },
	{ 0x9e7e1368, "netif_receive_skb" },
	{ 0xd5a43273, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xde76d501, "llc_mac_hdr_init" },
	{ 0x19e7a957, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c91ec3a, "__SCK__tp_func_fdb_delete" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xe5b643ab, "kobject_init_and_add" },
	{ 0xee95b8bd, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe0bc69b2, "ns_capable" },
	{ 0xa83ffe48, "inet_select_addr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x81767c57, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x478d2a9e, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x3c176c3d, "arp_create" },
	{ 0x42684d3e, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x87b54681, "stp_proto_register" },
	{ 0xc6a5a3a0, "rtnl_register_module" },
	{ 0x6ffea5f6, "__tracepoint_br_fdb_update" },
	{ 0x40908b8c, "sysfs_rename_link_ns" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xe2e2ddd6, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x6ebe73df, "switchdev_port_obj_add" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa405c525, "__pskb_pull_tail" },
	{ 0x355a1c70, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x513a6e20, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x4404188d, "ip_mc_check_igmp" },
	{ 0xa0cc62e3, "__netdev_alloc_skb" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0xeb706661, "switchdev_port_obj_del" },
	{ 0xb9a64ddd, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xf47937a4, "kobject_create_and_add" },
	{ 0x838fc730, "skb_trim" },
	{ 0x27952dc4, "nf_hook_slow" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xadc69a5f, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x42d6fd5, "__ip_mc_inc_group" },
	{ 0x594cd51f, "netdev_walk_all_upper_dev_rcu" },
	{ 0x25483cd5, "sysfs_remove_group" },
	{ 0xff7bf0c3, "in_dev_finish_destroy" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x751116be, "__tracepoint_fdb_delete" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x7dcc738b, "__netpoll_setup" },
	{ 0xdd6ef490, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3bec5428, "vlan_vid_add" },
	{ 0x415cab5f, "neigh_destroy" },
	{ 0x153b8c9b, "__tracepoint_br_fdb_external_learn_add" },
	{ 0x60ede69c, "kobject_del" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2d44be3b, "__SCT__tp_func_br_fdb_add" },
	{ 0x8a299c84, "__SCK__tp_func_br_fdb_update" },
	{ 0x91337c2c, "call_netdevice_notifiers" },
	{ 0x4e3d805b, "is_skb_forwardable" },
	{ 0xeb9f038c, "vlan_vid_del" },
	{ 0xd56e410d, "dev_set_allmulti" },
	{ 0x4bd8d832, "net_ns_get_ownership" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x7020a8f6, "netdev_master_upper_dev_get" },
	{ 0xee4d34a9, "ipv6_dev_mc_inc" },
	{ 0x59b22c7e, "rtnl_notify" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "stp,llc");


MODULE_INFO(srcversion, "51ADF5F1B67D8DFB30728B5");
