#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0x0d32784c, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0xd751d6e9, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0xb69b06f3, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0x40571577, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0xcfd5f6f4, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0x1401ec9b, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0x1950a183, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0xaab4af18, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0xaf41baba, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0x0dfe2e45, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0x8cefa249, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0xfb033a78, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0x7abf16e4, "init_net" },
	{ 0x9212808a, "alloc_netdev_mqs" },
	{ 0xfd57cfc0, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0x19e7a957, "free_netdev" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x99f5fca7, "rtnl_link_unregister" },
	{ 0x2d932f18, "ip6_local_out" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x639073d2, "gro_cells_init" },
	{ 0x654a0f16, "__xfrm_policy_check" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xa87083f1, "skb_copy_bits" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa405c525, "__pskb_pull_tail" },
	{ 0xdc5210c0, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0xc1d72d7d, "netdev_state_change" },
	{ 0xe0bc69b2, "ns_capable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x83fd9682, "make_kuid" },
	{ 0xec8e70f2, "ip6_redirect" },
	{ 0x55a3346, "ip6_update_pmtu" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb456ba8f, "dst_cache_get" },
	{ 0xf8835cef, "ip6_route_output_flags" },
	{ 0xe13c82a0, "xfrm_lookup" },
	{ 0xa7a76fd7, "ip6_mtu" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0xa9aada8f, "skb_scrub_packet" },
	{ 0xb575dab7, "skb_realloc_headroom" },
	{ 0x9b4d2e7b, "skb_set_owner_w" },
	{ 0xe7251df7, "consume_skb" },
	{ 0xd39c4701, "ipv6_push_frag_opts" },
	{ 0xc25338ec, "skb_push" },
	{ 0x3a6f3d35, "dst_cache_set_ip6" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc55b3cb0, "ip6_dst_hoplimit" },
	{ 0xf4055c03, "ipv4_mtu" },
	{ 0xa583877d, "ipv6_dev_get_saddr" },
	{ 0x415cab5f, "neigh_destroy" },
	{ 0x49a1ee6e, "iptunnel_handle_offloads" },
	{ 0xf48f6ec, "icmpv6_ndo_send" },
	{ 0xb6bb673b, "icmp_ndo_send" },
	{ 0x86564197, "kfree_skb_reason" },
	{ 0x8bcb3fdf, "skb_clone" },
	{ 0x92836a8b, "skb_pull" },
	{ 0x8b118f77, "icmp6_send" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xcd27c2d7, "gro_cells_receive" },
	{ 0x9d85e4dc, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x55d3374b, "__iptunnel_pull_header" },
	{ 0x5d9cb9be, "metadata_dst_alloc" },
	{ 0x51dc391f, "ip_route_output_flow" },
	{ 0xf95f29cd, "ip_route_input_noref" },
	{ 0xab408bac, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x355a1c70, "dev_get_tstats64" },
	{ 0x93067637, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd28c67ef, "ip6tun_encaps" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7c4b1274, "ipv6_chk_addr_and_flags" },
	{ 0x1b0596e5, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x122c3a7e, "_printk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xb0b8b7e8, "register_pernet_device" },
	{ 0x63d5c26a, "xfrm6_tunnel_register" },
	{ 0x2be096d9, "rtnl_link_register" },
	{ 0x14e75498, "unregister_pernet_device" },
	{ 0xe572fffd, "xfrm6_tunnel_deregister" },
	{ 0xd5a43273, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4e55b5df, "unregister_netdevice_queue" },
	{ 0x7fc396cf, "dev_addr_mod" },
	{ 0x5d3575af, "rt6_lookup" },
	{ 0x8da81df9, "dst_release" },
	{ 0x299569af, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xf406fe6b, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "tunnel6");


MODULE_INFO(srcversion, "B1D6F9A70D20698C21DB1C1");
