#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mpls_output_possible, "_gpl", "");
KSYMTAB_FUNC(mpls_dev_mtu, "_gpl", "");
KSYMTAB_FUNC(mpls_pkt_too_big, "_gpl", "");
KSYMTAB_FUNC(mpls_stats_inc_outucastpkts, "_gpl", "");
KSYMTAB_FUNC(nla_put_labels, "_gpl", "");
KSYMTAB_FUNC(nla_get_labels, "_gpl", "");

SYMBOL_CRC(mpls_output_possible, 0xc9bcef42, "_gpl");
SYMBOL_CRC(mpls_dev_mtu, 0xe0fc831c, "_gpl");
SYMBOL_CRC(mpls_pkt_too_big, 0x18b7a03e, "_gpl");
SYMBOL_CRC(mpls_stats_inc_outucastpkts, 0xd5a7a6f4, "_gpl");
SYMBOL_CRC(nla_put_labels, 0x71244260, "_gpl");
SYMBOL_CRC(nla_get_labels, 0x8ee316eb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6497b2b8, "ipv6_stub" },
	{ 0x92836a8b, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x30b6b483, "nla_reserve_nohdr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd7ca8307, "rtnl_af_unregister" },
	{ 0x72c2abfa, "dev_remove_pack" },
	{ 0x85e87fd5, "dev_get_by_index" },
	{ 0x86564197, "kfree_skb_reason" },
	{ 0xc25338ec, "skb_push" },
	{ 0xd5a43273, "nla_put" },
	{ 0xcd279169, "nla_find" },
	{ 0xee95b8bd, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xc6a5a3a0, "rtnl_register_module" },
	{ 0xcb9415d9, "ip_tunnel_encap_del_ops" },
	{ 0xe2e2ddd6, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa405c525, "__pskb_pull_tail" },
	{ 0x838fc730, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x59b22c7e, "rtnl_notify" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x8bcb3fdf, "skb_clone" },
	{ 0x8da81df9, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0xb805d2b3, "unregister_net_sysctl_table" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x9180fd1b, "dev_get_flags" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0x7a068cae, "netlink_strict_get_check" },
	{ 0x96886ea2, "ip_tunnel_encap_add_ops" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc94b8682, "__nlmsg_put" },
	{ 0x6185679a, "skb_gso_validate_network_len" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xe7251df7, "consume_skb" },
	{ 0x466e0668, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xca9e776c, "nla_reserve" },
	{ 0x579e0bf5, "rtnl_unregister_all" },
	{ 0x5c684178, "neigh_xmit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x51dc391f, "ip_route_output_flow" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc401512a, "pskb_expand_head" },
	{ 0x46bd3ea6, "register_pernet_subsys" },
	{ 0x960e34f8, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x36f1a131, "rtnl_af_register" },
	{ 0xeaeba39b, "__alloc_skb" },
	{ 0xa918ab3, "rtnl_set_sk_err" },
	{ 0xa701dfd, "rtnl_unicast" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x6350d90a, "nla_reserve_64bit" },
	{ 0xb7cba948, "ip_valid_fib_dump_req" },
	{ 0x299569af, "__dev_get_by_index" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "ip_tunnel");


MODULE_INFO(srcversion, "16EDC9F75859354E2259D50");
