#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0x985add7d, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0x9da97d9e, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0xc7d20c60, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0xdff2d137, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0xa8d5cb6c, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0x7909d38a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc25338ec, "skb_push" },
	{ 0x11dbe881, "kmem_cache_free" },
	{ 0x3bcd1e6d, "netdev_upper_dev_unlink" },
	{ 0xd5a43273, "nla_put" },
	{ 0x5122d8a0, "trace_event_reg" },
	{ 0xed81cb37, "skb_ensure_writable" },
	{ 0x19e7a957, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xee95b8bd, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x14e75498, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x478d2a9e, "ethtool_op_get_link" },
	{ 0xa48fd5d2, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xfb578fc5, "memset" },
	{ 0xa9934f6e, "nf_nat_helper_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa405c525, "__pskb_pull_tail" },
	{ 0x89bcaec7, "nf_ct_delete" },
	{ 0x11d9a724, "nf_conncount_init" },
	{ 0xf9b9ee57, "skb_vlan_push" },
	{ 0x355a1c70, "dev_get_tstats64" },
	{ 0x513a6e20, "netif_rx" },
	{ 0xa0cc62e3, "__netdev_alloc_skb" },
	{ 0xb9a64ddd, "netdev_master_upper_dev_link" },
	{ 0x5831df9f, "skb_zerocopy_headlen" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x23823e7c, "inet_proto_csum_replace16" },
	{ 0x838fc730, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa9aada8f, "skb_scrub_packet" },
	{ 0xafc2dbbc, "nf_ct_deliver_cached_events" },
	{ 0x78405ab9, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x86a73630, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xdd6ef490, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x55254fa2, "trace_event_buffer_reserve" },
	{ 0xd6afab6f, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x79e57068, "inet_proto_csum_replace4" },
	{ 0x4131bb9b, "nf_conncount_destroy" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x29681bc4, "skb_zerocopy" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x7020a8f6, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xba5f8145, "dev_get_by_name" },
	{ 0x8bcb3fdf, "skb_clone" },
	{ 0x5d9cb9be, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x8da81df9, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8fa67d2a, "peernet2id_alloc" },
	{ 0xf29eff14, "nf_ct_get_tuplepr" },
	{ 0x759de620, "netdev_rx_handler_register" },
	{ 0x5977f228, "ip_do_fragment" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x6360af9a, "genl_unregister_family" },
	{ 0x9c37c95, "dev_disable_lro" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0xa0410ee2, "dev_kfree_skb_any_reason" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xc71fe0b0, "genl_register_family" },
	{ 0x1316e920, "nf_ct_tmpl_free" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7ef13251, "netlink_has_listeners" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xa31aef83, "__skb_gso_segment" },
	{ 0x53b954a2, "up_read" },
	{ 0xf2117714, "skb_mpls_push" },
	{ 0xb0b8b7e8, "register_pernet_device" },
	{ 0x8b97ce84, "nf_conntrack_in" },
	{ 0xe1a8d7c9, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0xc6d8f6f3, "kmem_cache_alloc_node" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa71ccb69, "kmem_cache_destroy" },
	{ 0x9e0845bd, "__skb_vlan_pop" },
	{ 0x7a79718f, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xdc5210c0, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x19abe7fe, "nf_ct_ext_add" },
	{ 0x70c138a3, "__skb_get_hash_symmetric" },
	{ 0xe914e41e, "strcpy" },
	{ 0x966af92c, "nsh_pop" },
	{ 0x42cf9d1e, "nf_conntrack_find_get" },
	{ 0xb6d168ba, "nf_ct_set_timeout" },
	{ 0x7da90656, "dev_get_stats" },
	{ 0xfcc9d052, "__nla_put" },
	{ 0x6f8442c4, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xa3ff5219, "dev_fill_metadata_dst" },
	{ 0xb1c89cea, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xa87083f1, "skb_copy_bits" },
	{ 0x64a3967d, "nf_ct_handle_fragments" },
	{ 0x538736c3, "eth_mac_addr" },
	{ 0x79856fee, "skb_put" },
	{ 0xb0d61c84, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xbb7bef6d, "nsh_push" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xe7251df7, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x614f0849, "nf_ct_nat" },
	{ 0xca9e776c, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe104de95, "skb_eth_pop" },
	{ 0xa4cbedd, "trace_raw_output_prep" },
	{ 0x7c613813, "skb_gso_validate_mac_len" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0x770a3cc1, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0x92c216c8, "nf_ct_helper" },
	{ 0xe8e0ed1e, "__trace_trigger_soft_disabled" },
	{ 0x58e6910c, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x65a259b6, "trace_event_printf" },
	{ 0xcabe0b49, "rtnl_delete_link" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2be096d9, "rtnl_link_register" },
	{ 0x2a1a837c, "nf_connlabels_put" },
	{ 0xf567b7be, "genlmsg_put" },
	{ 0xc39771fa, "___pskb_trim" },
	{ 0x5b50ae95, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb48fa54e, "dev_set_promiscuity" },
	{ 0x9c446c14, "nf_ct_destroy_timeout" },
	{ 0x81fa4fe2, "nf_ct_add_helper" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0xa4c1c33b, "nf_conntrack_helper_put" },
	{ 0x2929bdc4, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x7331c5b2, "nf_ct_skb_network_trim" },
	{ 0x4e55b5df, "unregister_netdevice_queue" },
	{ 0xd4fbd8af, "kmem_cache_create" },
	{ 0xde0ae5c2, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0xaef003f0, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc401512a, "pskb_expand_head" },
	{ 0x71a95aec, "skb_csum_hwoffload_help" },
	{ 0x7816f98d, "trace_event_buffer_commit" },
	{ 0x7fc396cf, "dev_addr_mod" },
	{ 0xcd2e4cbc, "nf_connlabels_replace" },
	{ 0x9d85e4dc, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9212808a, "alloc_netdev_mqs" },
	{ 0xb8f7350a, "nla_put_nohdr" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xefe848f3, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0xb6c03729, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x157de0e5, "netlink_broadcast" },
	{ 0x86976ee2, "skb_eth_push" },
	{ 0xd6d985c2, "nf_conncount_count" },
	{ 0xa916b694, "strnlen" },
	{ 0xeaeba39b, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xaada9d35, "kmem_cache_alloc" },
	{ 0x60313590, "skb_mpls_pop" },
	{ 0x5dbfb8b5, "skb_vlan_pop" },
	{ 0x6b5916b7, "dst_init" },
	{ 0x8e90385d, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4ea5d10, "ksize" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x99f5fca7, "rtnl_link_unregister" },
	{ 0x6435d0f9, "perf_trace_run_bpf_submit" },
	{ 0x3a9eb4a2, "__skb_get_hash" },
	{ 0x7abf16e4, "init_net" },
	{ 0xb7c0f443, "sort" },
	{ 0x6497b2b8, "ipv6_stub" },
	{ 0x3e4076e4, "skb_mpls_update_lse" },
	{ 0x92836a8b, "skb_pull" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb075fe75, "netlink_unicast" },
	{ 0x409b1dff, "bpf_trace_run5" },
	{ 0x1b0596e5, "dev_get_by_index_rcu" },
	{ 0x86564197, "kfree_skb_reason" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_conncount,nf_nat");


MODULE_INFO(srcversion, "27FF2E1BCA076F2588D7980");
