#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qrtr_endpoint_post, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_register, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_unregister, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_init, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_remove, "_gpl", "");

SYMBOL_CRC(qrtr_endpoint_post, 0x37732fe4, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0x9a73e757, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0xc82cb9cf, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfb47a0d9, "sk_error_report" },
	{ 0x824f5862, "skb_queue_purge_reason" },
	{ 0x6dc35b25, "radix_tree_iter_delete" },
	{ 0x7816f98d, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xb9ed4742, "proto_unregister" },
	{ 0x5d69ce6c, "sock_register" },
	{ 0xc262b78c, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xeaeba39b, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x9d4b617d, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x8e90385d, "module_put" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xd79e9582, "sock_no_shutdown" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x6435d0f9, "perf_trace_run_bpf_submit" },
	{ 0x7abf16e4, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2c541e7b, "radix_tree_next_chunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x52eaf5d9, "__SCK__tp_func_sk_data_ready" },
	{ 0xe534b21, "kernel_getsockname" },
	{ 0x5102a30b, "do_wait_intr_irq" },
	{ 0x99a236fd, "sk_free" },
	{ 0x86564197, "kfree_skb_reason" },
	{ 0xf0a8a6db, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc25338ec, "skb_push" },
	{ 0xbae95b32, "sock_no_listen" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x5122d8a0, "trace_event_reg" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xe7f94777, "lock_sock_nested" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe8140ab8, "skb_copy_datagram_iter" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x13ab2665, "sk_alloc" },
	{ 0x21a2e991, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4668a810, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa0cc62e3, "__netdev_alloc_skb" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xe0942c61, "bpf_trace_run3" },
	{ 0x9b4d2e7b, "skb_set_owner_w" },
	{ 0x55254fa2, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1de20377, "sock_create_kern" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xedccf0db, "skb_recv_datagram" },
	{ 0x81d53143, "sock_alloc_send_pskb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x5b3e282f, "xa_store" },
	{ 0x8bcb3fdf, "skb_clone" },
	{ 0xe9020b00, "_copy_from_iter" },
	{ 0x498a16b5, "sock_release" },
	{ 0x46ae8bf9, "sock_gettstamp" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xe197f6b4, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf6598edd, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xaf352228, "sock_init_data" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x87809aeb, "put_user_ifreq" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0x2a9af5d9, "release_sock" },
	{ 0xa60ecef3, "skb_free_datagram" },
	{ 0xe914e41e, "strcpy" },
	{ 0x583f71e1, "sock_queue_rcv_skb_reason" },
	{ 0xa5629620, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb1c89cea, "bpf_trace_run4" },
	{ 0xa87083f1, "skb_copy_bits" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x79856fee, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe7251df7, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa4cbedd, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x80816f26, "get_user_ifreq" },
	{ 0xe8e0ed1e, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x65a259b6, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x9dbf5b9, "kernel_bind" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x5b50ae95, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xb73dccab, "__tracepoint_sk_data_ready" },
	{ 0xe2964344, "__wake_up" },
	{ 0x7f5865a6, "__module_get" },
	{ 0x787ba4a0, "kernel_recvmsg" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "397EFC3C41FD84762A14389");
