#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(virtio_transport_deliver_tap_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_inc_tx_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_get_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_put_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_do_socket_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_buffer_size, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_in, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_out, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_post_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_post_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_rcvhiwat, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_is_active, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_bind, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_connect, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_shutdown, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_destruct, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_release, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_recv_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_purge_skbs, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_read_skb, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_set_rcvlowat, "_gpl", "");

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0x89498c78, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0x3a3d0d26, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0x4ef942dd, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0xdc19b494, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0x27a2aa2f, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0xf098dd7a, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0xa5ab14c1, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0xa166b443, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0x070acf9a, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0x55f72174, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0x80554308, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0x9f33b135, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0xaf6690e6, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0xe54688f8, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0xbe5060c6, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0x3776dc02, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0x01f2e134, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0x5563c473, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0x4a87a82b, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0x183aac96, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0x4bb12c21, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0x0308dc78, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0x0c1fb2b1, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0x87af6198, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0x68cfa45b, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0xdb8d51a5, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0xe7279ba5, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0x061cad19, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0x7104058e, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0x3f20f3ca, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0xae3fac52, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0xc08c262b, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0x17997f22, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0x554caddf, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0x32937a62, "_gpl");
SYMBOL_CRC(virtio_transport_notify_set_rcvlowat, 0x140dc91e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b50ae95, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xb8406521, "bpf_trace_run8" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfb47a0d9, "sk_error_report" },
	{ 0x7816f98d, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x63c8d12c, "vsock_find_bound_socket" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0xeaeba39b, "__alloc_skb" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x6435d0f9, "perf_trace_run_bpf_submit" },
	{ 0x92836a8b, "skb_pull" },
	{ 0x99a236fd, "sk_free" },
	{ 0x86564197, "kfree_skb_reason" },
	{ 0x5122d8a0, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xf2d17516, "__skb_recv_datagram" },
	{ 0xe7f94777, "lock_sock_nested" },
	{ 0x23864466, "vsock_stream_has_data" },
	{ 0x7717f5a0, "vsock_find_connected_socket" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x285c516d, "sock_efree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe785decc, "bpf_trace_run10" },
	{ 0xcf1402c2, "vsock_core_get_transport" },
	{ 0x4dd8e222, "vsock_stream_has_space" },
	{ 0x55254fa2, "trace_event_buffer_reserve" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe9020b00, "_copy_from_iter" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x734b87fd, "vsock_create_connected" },
	{ 0xabc8d765, "vsock_assign_transport" },
	{ 0xe197f6b4, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0x2a9af5d9, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc6141d84, "vsock_data_ready" },
	{ 0xcffb5826, "vsock_enqueue_accept" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x370398d4, "_copy_to_iter" },
	{ 0xb2c516af, "vsock_insert_connected" },
	{ 0x79856fee, "skb_put" },
	{ 0xe7251df7, "consume_skb" },
	{ 0xa4cbedd, "trace_raw_output_prep" },
	{ 0xe8e0ed1e, "__trace_trigger_soft_disabled" },
	{ 0x542845e5, "vsock_remove_sock" },
	{ 0x65a259b6, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x56151f01, "vsock_deliver_tap" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "1E83FB8A08E3BA8A9F42A67");
