#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(vsock_bind_table, "_gpl", "");
KSYMTAB_DATA(vsock_connected_table, "_gpl", "");
KSYMTAB_DATA(vsock_table_lock, "_gpl", "");
KSYMTAB_FUNC(vsock_insert_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_find_bound_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_find_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_sock, "_gpl", "");
KSYMTAB_FUNC(vsock_for_each_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_add_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_enqueue_accept, "_gpl", "");
KSYMTAB_FUNC(vsock_assign_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_find_cid, "_gpl", "");
KSYMTAB_FUNC(vsock_create_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(vsock_data_ready, "_gpl", "");
KSYMTAB_FUNC(vsock_dgram_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_core_get_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_core_register, "_gpl", "");
KSYMTAB_FUNC(vsock_core_unregister, "_gpl", "");
KSYMTAB_FUNC(vsock_add_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_deliver_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_init, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_validate, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_unbind, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_equals_addr, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_cast, "_gpl", "");

SYMBOL_CRC(vsock_bind_table, 0x284e07d8, "_gpl");
SYMBOL_CRC(vsock_connected_table, 0x9bb6fd09, "_gpl");
SYMBOL_CRC(vsock_table_lock, 0xc92f7f50, "_gpl");
SYMBOL_CRC(vsock_insert_connected, 0xb2c516af, "_gpl");
SYMBOL_CRC(vsock_remove_bound, 0x760fa35d, "_gpl");
SYMBOL_CRC(vsock_remove_connected, 0xe1b09987, "_gpl");
SYMBOL_CRC(vsock_find_bound_socket, 0x63c8d12c, "_gpl");
SYMBOL_CRC(vsock_find_connected_socket, 0x7717f5a0, "_gpl");
SYMBOL_CRC(vsock_remove_sock, 0x542845e5, "_gpl");
SYMBOL_CRC(vsock_for_each_connected_socket, 0x4db8f929, "_gpl");
SYMBOL_CRC(vsock_add_pending, 0x3c041db1, "_gpl");
SYMBOL_CRC(vsock_remove_pending, 0x3d193ac7, "_gpl");
SYMBOL_CRC(vsock_enqueue_accept, 0xcffb5826, "_gpl");
SYMBOL_CRC(vsock_assign_transport, 0xabc8d765, "_gpl");
SYMBOL_CRC(vsock_find_cid, 0x90aa8549, "_gpl");
SYMBOL_CRC(vsock_create_connected, 0x734b87fd, "_gpl");
SYMBOL_CRC(vsock_stream_has_data, 0x23864466, "_gpl");
SYMBOL_CRC(vsock_connectible_has_data, 0x9d1c302d, "_gpl");
SYMBOL_CRC(vsock_stream_has_space, 0x4dd8e222, "_gpl");
SYMBOL_CRC(vsock_data_ready, 0xc6141d84, "_gpl");
SYMBOL_CRC(vsock_dgram_recvmsg, 0x39a29193, "_gpl");
SYMBOL_CRC(vsock_connectible_recvmsg, 0x3b6c92dd, "_gpl");
SYMBOL_CRC(vsock_core_get_transport, 0xcf1402c2, "_gpl");
SYMBOL_CRC(vsock_core_register, 0xdf8ab347, "_gpl");
SYMBOL_CRC(vsock_core_unregister, 0x4a12e030, "_gpl");
SYMBOL_CRC(vsock_add_tap, 0x17332025, "_gpl");
SYMBOL_CRC(vsock_remove_tap, 0xc81d1f96, "_gpl");
SYMBOL_CRC(vsock_deliver_tap, 0x56151f01, "_gpl");
SYMBOL_CRC(vsock_addr_init, 0x3d4b0fca, "_gpl");
SYMBOL_CRC(vsock_addr_validate, 0xec96eadf, "_gpl");
SYMBOL_CRC(vsock_addr_bound, 0x4b99648c, "_gpl");
SYMBOL_CRC(vsock_addr_unbind, 0x0e9bc9b6, "_gpl");
SYMBOL_CRC(vsock_addr_equals_addr, 0xaf2674b5, "_gpl");
SYMBOL_CRC(vsock_addr_cast, 0xb0d7bda7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xad4d537c, "ns_capable_noaudit" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf57e46b9, "__put_cred" },
	{ 0xfb47a0d9, "sk_error_report" },
	{ 0x824f5862, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xb9ed4742, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x5d69ce6c, "sock_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x9d4b617d, "proto_register" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0x8e90385d, "module_put" },
	{ 0x617e42a5, "sk_msg_is_readable" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x99a236fd, "sk_free" },
	{ 0x86564197, "kfree_skb_reason" },
	{ 0xf0a8a6db, "sock_no_accept" },
	{ 0xedd17b31, "sock_get_timeout" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xbae95b32, "sock_no_listen" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xda8d026c, "sock_recv_errqueue" },
	{ 0xe7f94777, "lock_sock_nested" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x13ab2665, "sk_alloc" },
	{ 0x21a2e991, "sock_no_socketpair" },
	{ 0x44c0914d, "misc_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x4668a810, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x5bdb7603, "sock_copy_user_timeval" },
	{ 0x109815da, "nonseekable_open" },
	{ 0x6aaa437e, "sk_psock_drop" },
	{ 0xdd6ef490, "__dev_queue_xmit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfe49d011, "init_user_ns" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8bcb3fdf, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xdba4be1e, "sock_no_ioctl" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xaf352228, "sock_init_data" },
	{ 0x2a9af5d9, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x1ad01346, "sock_map_close" },
	{ 0x583f71e1, "sock_queue_rcv_skb_reason" },
	{ 0x6f8442c4, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3edda8b5, "misc_deregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe7251df7, "consume_skb" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xa13fc3df, "sock_map_unhash" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x7f5865a6, "__module_get" },
	{ 0x8f287a7d, "sk_msg_recvmsg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1C59688C8C333F16BCDD38A");
