#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_pcm_format_name, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_new_stream, "", "");
KSYMTAB_FUNC(snd_pcm_new, "", "");
KSYMTAB_FUNC(snd_pcm_new_internal, "", "");
KSYMTAB_FUNC(snd_pcm_stream_lock, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_lock_irq, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock_irq, "_gpl", "");
KSYMTAB_FUNC(_snd_pcm_stream_lock_irqsave, "_gpl", "");
KSYMTAB_FUNC(_snd_pcm_stream_lock_irqsave_nested, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock_irqrestore, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_hw_refine, "", "");
KSYMTAB_FUNC(snd_pcm_stop, "", "");
KSYMTAB_FUNC(snd_pcm_stop_xrun, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_suspend_all, "", "");
KSYMTAB_FUNC(snd_pcm_release_substream, "", "");
KSYMTAB_FUNC(snd_pcm_open_substream, "", "");
KSYMTAB_FUNC(snd_pcm_kernel_ioctl, "", "");
KSYMTAB_FUNC(snd_pcm_lib_default_mmap, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_lib_mmap_iomem, "", "");
KSYMTAB_FUNC(snd_pcm_mmap_data, "", "");
KSYMTAB_FUNC(snd_pcm_set_ops, "", "");
KSYMTAB_FUNC(snd_pcm_set_sync, "", "");
KSYMTAB_FUNC(snd_interval_refine, "", "");
KSYMTAB_FUNC(snd_interval_ratnum, "", "");
KSYMTAB_FUNC(snd_interval_list, "", "");
KSYMTAB_FUNC(snd_interval_ranges, "", "");
KSYMTAB_FUNC(snd_pcm_hw_rule_add, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_mask64, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_integer, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_minmax, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_list, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ranges, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ratnums, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ratdens, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_msbits, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_step, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_pow2, "", "");
KSYMTAB_FUNC(snd_pcm_hw_rule_noresample, "", "");
KSYMTAB_FUNC(_snd_pcm_hw_params_any, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_value, "", "");
KSYMTAB_FUNC(_snd_pcm_hw_param_setempty, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_first, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_last, "", "");
KSYMTAB_FUNC(snd_pcm_lib_ioctl, "", "");
KSYMTAB_FUNC(snd_pcm_period_elapsed_under_stream_lock, "", "");
KSYMTAB_FUNC(snd_pcm_period_elapsed, "", "");
KSYMTAB_FUNC(__snd_pcm_lib_xfer, "", "");
KSYMTAB_DATA(snd_pcm_std_chmaps, "_gpl", "");
KSYMTAB_DATA(snd_pcm_alt_chmaps, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_add_chmap_ctls, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_format_signed, "", "");
KSYMTAB_FUNC(snd_pcm_format_unsigned, "", "");
KSYMTAB_FUNC(snd_pcm_format_linear, "", "");
KSYMTAB_FUNC(snd_pcm_format_little_endian, "", "");
KSYMTAB_FUNC(snd_pcm_format_big_endian, "", "");
KSYMTAB_FUNC(snd_pcm_format_width, "", "");
KSYMTAB_FUNC(snd_pcm_format_physical_width, "", "");
KSYMTAB_FUNC(snd_pcm_format_size, "", "");
KSYMTAB_FUNC(snd_pcm_format_silence_64, "", "");
KSYMTAB_FUNC(snd_pcm_format_set_silence, "", "");
KSYMTAB_FUNC(snd_pcm_hw_limit_rates, "", "");
KSYMTAB_FUNC(snd_pcm_rate_to_rate_bit, "", "");
KSYMTAB_FUNC(snd_pcm_rate_bit_to_rate, "", "");
KSYMTAB_FUNC(snd_pcm_rate_mask_intersect, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_rate_range_to_bits, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_free_for_all, "", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_pages, "", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_pages_for_all, "", "");
KSYMTAB_FUNC(snd_pcm_set_managed_buffer, "", "");
KSYMTAB_FUNC(snd_pcm_set_managed_buffer_all, "", "");
KSYMTAB_FUNC(snd_pcm_lib_malloc_pages, "", "");
KSYMTAB_FUNC(snd_pcm_lib_free_pages, "", "");
KSYMTAB_FUNC(_snd_pcm_lib_alloc_vmalloc_buffer, "", "");
KSYMTAB_FUNC(snd_pcm_lib_free_vmalloc_buffer, "", "");
KSYMTAB_FUNC(snd_pcm_lib_get_vmalloc_page, "", "");
KSYMTAB_FUNC(snd_dma_alloc_dir_pages, "", "");
KSYMTAB_FUNC(snd_dma_alloc_pages_fallback, "", "");
KSYMTAB_FUNC(snd_dma_free_pages, "", "");
KSYMTAB_FUNC(snd_devm_alloc_dir_pages, "_gpl", "");
KSYMTAB_FUNC(snd_dma_buffer_mmap, "", "");
KSYMTAB_FUNC(snd_dma_buffer_sync, "_gpl", "");
KSYMTAB_FUNC(snd_sgbuf_get_addr, "", "");
KSYMTAB_FUNC(snd_sgbuf_get_page, "", "");
KSYMTAB_FUNC(snd_sgbuf_get_chunk_size, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_eld, "_gpl", "");

SYMBOL_CRC(snd_pcm_format_name, 0xa286a234, "_gpl");
SYMBOL_CRC(snd_pcm_new_stream, 0xa2dceed5, "");
SYMBOL_CRC(snd_pcm_new, 0xc3a0a9b7, "");
SYMBOL_CRC(snd_pcm_new_internal, 0xf1560d61, "");
SYMBOL_CRC(snd_pcm_stream_lock, 0xd233c122, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock, 0xa36e7945, "_gpl");
SYMBOL_CRC(snd_pcm_stream_lock_irq, 0x6e7736a2, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock_irq, 0x2bdc3403, "_gpl");
SYMBOL_CRC(_snd_pcm_stream_lock_irqsave, 0x20fe02dc, "_gpl");
SYMBOL_CRC(_snd_pcm_stream_lock_irqsave_nested, 0xf8d79ad2, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock_irqrestore, 0x5a359f73, "_gpl");
SYMBOL_CRC(snd_pcm_hw_refine, 0xa127b1a3, "");
SYMBOL_CRC(snd_pcm_stop, 0x1d39a619, "");
SYMBOL_CRC(snd_pcm_stop_xrun, 0xacfb8ae2, "_gpl");
SYMBOL_CRC(snd_pcm_suspend_all, 0x13b44355, "");
SYMBOL_CRC(snd_pcm_release_substream, 0x7df26567, "");
SYMBOL_CRC(snd_pcm_open_substream, 0xccc0ba9f, "");
SYMBOL_CRC(snd_pcm_kernel_ioctl, 0xb7a1ae5c, "");
SYMBOL_CRC(snd_pcm_lib_default_mmap, 0x87b53f44, "_gpl");
SYMBOL_CRC(snd_pcm_lib_mmap_iomem, 0xecd69001, "");
SYMBOL_CRC(snd_pcm_mmap_data, 0x99a201ef, "");
SYMBOL_CRC(snd_pcm_set_ops, 0x04ca229f, "");
SYMBOL_CRC(snd_pcm_set_sync, 0x4dd5b1ad, "");
SYMBOL_CRC(snd_interval_refine, 0x04cda566, "");
SYMBOL_CRC(snd_interval_ratnum, 0xac437f7b, "");
SYMBOL_CRC(snd_interval_list, 0x94098ff8, "");
SYMBOL_CRC(snd_interval_ranges, 0x503bd137, "");
SYMBOL_CRC(snd_pcm_hw_rule_add, 0x94887022, "");
SYMBOL_CRC(snd_pcm_hw_constraint_mask64, 0x5e40c615, "");
SYMBOL_CRC(snd_pcm_hw_constraint_integer, 0xf7235d95, "");
SYMBOL_CRC(snd_pcm_hw_constraint_minmax, 0x8f12d306, "");
SYMBOL_CRC(snd_pcm_hw_constraint_list, 0x60f24bb8, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ranges, 0x31aef8a4, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ratnums, 0xfcaefd08, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ratdens, 0x2521be4a, "");
SYMBOL_CRC(snd_pcm_hw_constraint_msbits, 0x184cc6e4, "");
SYMBOL_CRC(snd_pcm_hw_constraint_step, 0x787eb95a, "");
SYMBOL_CRC(snd_pcm_hw_constraint_pow2, 0x917f6558, "");
SYMBOL_CRC(snd_pcm_hw_rule_noresample, 0x3c0bab05, "");
SYMBOL_CRC(_snd_pcm_hw_params_any, 0x0283dfe3, "");
SYMBOL_CRC(snd_pcm_hw_param_value, 0x52e3e4a5, "");
SYMBOL_CRC(_snd_pcm_hw_param_setempty, 0x39bf9301, "");
SYMBOL_CRC(snd_pcm_hw_param_first, 0xa66b60fa, "");
SYMBOL_CRC(snd_pcm_hw_param_last, 0x799a7bf3, "");
SYMBOL_CRC(snd_pcm_lib_ioctl, 0x3f3115fd, "");
SYMBOL_CRC(snd_pcm_period_elapsed_under_stream_lock, 0x920be0c2, "");
SYMBOL_CRC(snd_pcm_period_elapsed, 0xc25dbfae, "");
SYMBOL_CRC(__snd_pcm_lib_xfer, 0x3b343554, "");
SYMBOL_CRC(snd_pcm_std_chmaps, 0x04e1b99f, "_gpl");
SYMBOL_CRC(snd_pcm_alt_chmaps, 0x09e913c1, "_gpl");
SYMBOL_CRC(snd_pcm_add_chmap_ctls, 0xb872eea6, "_gpl");
SYMBOL_CRC(snd_pcm_format_signed, 0x1d027e4b, "");
SYMBOL_CRC(snd_pcm_format_unsigned, 0xa61aa028, "");
SYMBOL_CRC(snd_pcm_format_linear, 0x6ef8fcd8, "");
SYMBOL_CRC(snd_pcm_format_little_endian, 0x3796bdcc, "");
SYMBOL_CRC(snd_pcm_format_big_endian, 0x4f816e9b, "");
SYMBOL_CRC(snd_pcm_format_width, 0xe56a9336, "");
SYMBOL_CRC(snd_pcm_format_physical_width, 0x68a24153, "");
SYMBOL_CRC(snd_pcm_format_size, 0x834dc955, "");
SYMBOL_CRC(snd_pcm_format_silence_64, 0x650f8603, "");
SYMBOL_CRC(snd_pcm_format_set_silence, 0x5e7f4920, "");
SYMBOL_CRC(snd_pcm_hw_limit_rates, 0x69255f54, "");
SYMBOL_CRC(snd_pcm_rate_to_rate_bit, 0xb9638db4, "");
SYMBOL_CRC(snd_pcm_rate_bit_to_rate, 0xff6104d0, "");
SYMBOL_CRC(snd_pcm_rate_mask_intersect, 0xab8bc1a2, "_gpl");
SYMBOL_CRC(snd_pcm_rate_range_to_bits, 0x8d864069, "_gpl");
SYMBOL_CRC(snd_pcm_lib_preallocate_free_for_all, 0x922b255e, "");
SYMBOL_CRC(snd_pcm_lib_preallocate_pages, 0x223de7f9, "");
SYMBOL_CRC(snd_pcm_lib_preallocate_pages_for_all, 0xcc77243d, "");
SYMBOL_CRC(snd_pcm_set_managed_buffer, 0xc0ed8524, "");
SYMBOL_CRC(snd_pcm_set_managed_buffer_all, 0x11974cef, "");
SYMBOL_CRC(snd_pcm_lib_malloc_pages, 0x83f53b59, "");
SYMBOL_CRC(snd_pcm_lib_free_pages, 0x78abdcb1, "");
SYMBOL_CRC(_snd_pcm_lib_alloc_vmalloc_buffer, 0x25df2d4e, "");
SYMBOL_CRC(snd_pcm_lib_free_vmalloc_buffer, 0xc83bc9ef, "");
SYMBOL_CRC(snd_pcm_lib_get_vmalloc_page, 0x46a22041, "");
SYMBOL_CRC(snd_dma_alloc_dir_pages, 0x510ea82c, "");
SYMBOL_CRC(snd_dma_alloc_pages_fallback, 0xbeada062, "");
SYMBOL_CRC(snd_dma_free_pages, 0x8280d732, "");
SYMBOL_CRC(snd_devm_alloc_dir_pages, 0xd6ccd15d, "_gpl");
SYMBOL_CRC(snd_dma_buffer_mmap, 0x4ce6e27e, "");
SYMBOL_CRC(snd_dma_buffer_sync, 0x47a5ac1b, "_gpl");
SYMBOL_CRC(snd_sgbuf_get_addr, 0x671bf3b4, "");
SYMBOL_CRC(snd_sgbuf_get_page, 0xf1ab446f, "");
SYMBOL_CRC(snd_sgbuf_get_chunk_size, 0x9b52413a, "");
SYMBOL_CRC(snd_pcm_hw_constraint_eld, 0x9987b784, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x15eca223, "snd_ctl_unregister_ioctl" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x109815da, "nonseekable_open" },
	{ 0x5af762f1, "snd_fasync_free" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x68a28591, "dma_free_noncontiguous" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xdc083376, "dma_alloc_noncontiguous" },
	{ 0xeba5ef58, "dma_mmap_noncontiguous" },
	{ 0x27e0394a, "set_pages_array_wc" },
	{ 0x62e6f572, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb33d8f69, "vm_map_pages" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x60ba97c, "gen_pool_free_owner" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x7109424, "seq_printf" },
	{ 0xb2e5ae4a, "snd_lookup_minor_data" },
	{ 0x2cf3a257, "snd_ctl_register_ioctl_compat" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x288f167f, "snd_info_create_card_entry" },
	{ 0xe9020b00, "_copy_from_iter" },
	{ 0xeb44339a, "free_pages_exact" },
	{ 0xf5666e4c, "snd_power_wait" },
	{ 0x78d27962, "boot_cpu_data" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x5288d446, "dma_mmap_attrs" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x9dbc269d, "pid_vnr" },
	{ 0x4bed469c, "snd_device_free" },
	{ 0xe039368, "snd_card_file_remove" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xf8f2a4eb, "snd_kill_fasync" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xea124bd1, "gcd" },
	{ 0x11a5633e, "remap_vmalloc_range" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x767ddb02, "set_memory_wc" },
	{ 0x7cf19c, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf4e84eb9, "snd_device_register" },
	{ 0x4a892a67, "snd_register_device" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x87214660, "put_pid" },
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0x22ec5205, "cpu_latency_qos_remove_request" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x15b75e9a, "dma_can_mmap" },
	{ 0x6f8442c4, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6dd584ea, "dma_ops" },
	{ 0x370398d4, "_copy_to_iter" },
	{ 0x1e09761a, "snd_info_register" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xa15fcbca, "snd_info_create_module_entry" },
	{ 0x12d1cbd1, "snd_ctl_unregister_ioctl_compat" },
	{ 0xb48d2963, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x19160e4d, "dev_set_name" },
	{ 0xe0310f27, "snd_ctl_add" },
	{ 0x21df2444, "vmalloc_to_page" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0x593f7a56, "snd_timer_notify" },
	{ 0xff5eb74d, "snd_ctl_get_preferred_subdevice" },
	{ 0x7d23d625, "dma_vunmap_noncontiguous" },
	{ 0xada31e57, "gen_pool_dma_alloc_align" },
	{ 0x13fe2c93, "vm_iomap_memory" },
	{ 0x91607d95, "set_memory_wb" },
	{ 0x3dcc9ef2, "dma_mmap_pages" },
	{ 0x134d8c46, "dma_sync_sg_for_cpu" },
	{ 0x9d86fcda, "dma_free_pages" },
	{ 0x51e39b60, "dma_sync_single_for_device" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x6cf3dba6, "snd_timer_interrupt" },
	{ 0x8535ef87, "snd_info_free_entry" },
	{ 0xd80ab91, "remap_pfn_range" },
	{ 0x28afbb08, "cpu_latency_qos_add_request" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x9e6d79f8, "snd_info_get_str" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0xdf0ca3f4, "cpu_latency_qos_request_active" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xe9db0130, "snd_fasync_helper" },
	{ 0xe2964344, "__wake_up" },
	{ 0x6d80b657, "import_ubuf" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5da8aca0, "__dynamic_dev_dbg" },
	{ 0xeedecf89, "snd_ctl_remove" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xef8591fd, "devres_add" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa4d2e159, "snd_ctl_new1" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xabb8d89, "dma_alloc_pages" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xef39ce92, "put_device" },
	{ 0xc4812c94, "snd_ctl_register_ioctl" },
	{ 0xdd5fbb17, "snd_card_file_add" },
	{ 0xa916b694, "strnlen" },
	{ 0xbac050b1, "set_pages_array_wb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x8e90385d, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xf8f37fbe, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xb853f55d, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0xd61e32a0, "dma_vmap_noncontiguous" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0x8f595b11, "snd_major" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xda754828, "dma_alloc_attrs" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x9a510220, "__devres_alloc_node" },
	{ 0x4c52e5e0, "dma_need_sync" },
	{ 0x90164b80, "iov_iter_kvec" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd2bce102, "vmap" },
	{ 0x93643788, "snd_unregister_device" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xb2cdb289, "snd_device_alloc" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x27dcfb17, "snd_timer_new" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5fc72f0e, "alloc_pages_exact" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x6096e67d, "snd_device_new" },
	{ 0xc3b1bf66, "dma_sync_single_for_cpu" },
	{ 0xa0b9d3a1, "dma_sync_sg_for_device" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-timer");


MODULE_INFO(srcversion, "AAC9CFA03CA40834C0651E9");
