#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l56_set_patch, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_force_sync_asp1_registers_from_cache, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_mbox_send, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_firmware_shutdown, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_for_firmware_boot, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_control_port_ready, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_min_reset_pulse, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_system_reset, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_irq_request, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_irq, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_is_fw_reload_needed, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_runtime_suspend_common, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_runtime_resume_common, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_init_cs_dsp, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_hw_init, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_bclk_freq_id, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_fill_supply_names, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_tx_input_texts, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_tx_input_values, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_i2c, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_spi, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_sdw, "_gpl", "SND_SOC_CS35L56_SHARED");

SYMBOL_CRC(cs35l56_set_patch, 0x8ca797c3, "_gpl");
SYMBOL_CRC(cs35l56_force_sync_asp1_registers_from_cache, 0x09e20bc7, "_gpl");
SYMBOL_CRC(cs35l56_mbox_send, 0xfd42e0b4, "_gpl");
SYMBOL_CRC(cs35l56_firmware_shutdown, 0x75804f80, "_gpl");
SYMBOL_CRC(cs35l56_wait_for_firmware_boot, 0xa05ff9c9, "_gpl");
SYMBOL_CRC(cs35l56_wait_control_port_ready, 0xad591ce8, "_gpl");
SYMBOL_CRC(cs35l56_wait_min_reset_pulse, 0x810124fe, "_gpl");
SYMBOL_CRC(cs35l56_system_reset, 0x291bfdd8, "_gpl");
SYMBOL_CRC(cs35l56_irq_request, 0x8206bb0c, "_gpl");
SYMBOL_CRC(cs35l56_irq, 0x05482545, "_gpl");
SYMBOL_CRC(cs35l56_is_fw_reload_needed, 0xc681155c, "_gpl");
SYMBOL_CRC(cs35l56_runtime_suspend_common, 0x643ff377, "_gpl");
SYMBOL_CRC(cs35l56_runtime_resume_common, 0xdeed311f, "_gpl");
SYMBOL_CRC(cs35l56_init_cs_dsp, 0x7d2f988e, "_gpl");
SYMBOL_CRC(cs35l56_hw_init, 0x6a12b2c7, "_gpl");
SYMBOL_CRC(cs35l56_get_bclk_freq_id, 0x88762c92, "_gpl");
SYMBOL_CRC(cs35l56_fill_supply_names, 0xcd5438ad, "_gpl");
SYMBOL_CRC(cs35l56_tx_input_texts, 0x64e759e4, "_gpl");
SYMBOL_CRC(cs35l56_tx_input_values, 0x05c2529e, "_gpl");
SYMBOL_CRC(cs35l56_regmap_i2c, 0x7aefe184, "_gpl");
SYMBOL_CRC(cs35l56_regmap_spi, 0xccbae75b, "_gpl");
SYMBOL_CRC(cs35l56_regmap_sdw, 0x03d4d328, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xad9143c6, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5da8aca0, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x591b192f, "_dev_info" },
	{ 0xcb9deb3e, "regmap_multi_reg_write_bypassed" },
	{ 0xb853f55d, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x47cc6910, "regmap_read" },
	{ 0xa0c04ee5, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4e5d89fa, "_dev_crit" },
	{ 0xd17d1747, "regmap_update_bits_base" },
	{ 0x23b0d948, "__pm_runtime_suspend" },
	{ 0x9a7d9de0, "regmap_register_patch" },
	{ 0xe733d41b, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xf7903ea3, "regcache_cache_only" },
	{ 0xd4b65998, "regcache_sync" },
	{ 0x572253a8, "regmap_write" },
	{ 0x211ce9ad, "devm_request_threaded_irq" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E75406A593177B04709203B");
