#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hdac_hdmi_jack_port_init, "_gpl", "");
KSYMTAB_FUNC(hdac_hdmi_jack_init, "_gpl", "");

SYMBOL_CRC(hdac_hdmi_jack_port_init, 0x903ccb6d, "_gpl");
SYMBOL_CRC(hdac_hdmi_jack_init, 0xe561763d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x216d0e13, "snd_hdac_register_chmap_ops" },
	{ 0x78c5033a, "snd_hdac_ext_bus_link_get" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3bd544c2, "snd_hdac_get_active_channels" },
	{ 0x9984ba9a, "snd_hdac_setup_channel_mapping" },
	{ 0xbbcc289c, "snd_ctl_notify" },
	{ 0x99f4275c, "snd_hdac_codec_link_down" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x558ba4e3, "dapm_kcontrol_get_value" },
	{ 0x33f0e034, "snd_hdac_acomp_get_eld" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0x1e995770, "snd_hdac_display_power" },
	{ 0xa30e7de8, "snd_hda_ext_driver_register" },
	{ 0x5e40c615, "snd_pcm_hw_constraint_mask64" },
	{ 0x82a253c3, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x60b2c4a, "snd_soc_info_enum_double" },
	{ 0x1dc7aec4, "snd_hdac_check_power_state" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9987b784, "snd_pcm_hw_constraint_eld" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x174b4bdc, "snd_hda_ext_driver_unregister" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x80892e87, "snd_soc_dapm_new_controls" },
	{ 0x57148cb1, "snd_hdac_get_sub_nodes" },
	{ 0x6ea064a4, "pm_runtime_force_resume" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xa08720ac, "snd_soc_dapm_put_pin_switch" },
	{ 0xc23ed84c, "snd_hdac_ext_bus_get_hlink_by_name" },
	{ 0xa7c7d851, "snd_soc_dapm_info_pin_switch" },
	{ 0xde3bb83d, "snd_hdac_ext_bus_link_put" },
	{ 0xfe034db1, "snd_soc_add_card_controls" },
	{ 0x23b0d948, "__pm_runtime_suspend" },
	{ 0x24146e5f, "snd_soc_dapm_get_enum_double" },
	{ 0xe2130dad, "snd_hdac_codec_read" },
	{ 0x308ad3c, "__pm_runtime_disable" },
	{ 0xcb8f70d7, "device_link_add" },
	{ 0x2ce22d8c, "hdac_get_device_id" },
	{ 0x2a882976, "pm_runtime_force_suspend" },
	{ 0xe733d41b, "__pm_runtime_idle" },
	{ 0xa428e7b1, "snd_hdac_codec_link_up" },
	{ 0xdc94feef, "snd_soc_dapm_kcontrol_widget" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf901e5e6, "snd_soc_dapm_put_enum_double" },
	{ 0x7f04441b, "snd_hdac_get_connections" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xfc6ec21f, "devm_kmalloc" },
	{ 0x7d4895bb, "snd_hdac_sync_power_state" },
	{ 0xe0310f27, "snd_ctl_add" },
	{ 0x537f43d4, "snd_hdac_add_chmap_ctls" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9090fec8, "snd_soc_jack_report" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb232e22, "snd_hdac_channel_allocation" },
	{ 0xb14ab1ef, "hdmi_audio_infoframe_init" },
	{ 0x4edba3e8, "snd_soc_dapm_enable_pin" },
	{ 0x30e62ab, "snd_hdac_codec_write" },
	{ 0x3ef7176d, "snd_soc_dapm_disable_pin" },
	{ 0x33c05b8a, "snd_hdac_query_supported_pcm" },
	{ 0x5f9803bf, "snd_hdac_refresh_widgets" },
	{ 0x5da8aca0, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x33ac7c15, "snd_soc_dapm_sync" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4e9db89e, "devm_snd_soc_register_component" },
	{ 0xa4d2e159, "snd_ctl_new1" },
	{ 0x29e1e204, "hdmi_audio_infoframe_pack" },
	{ 0x1f84f592, "snd_soc_dapm_new_widgets" },
	{ 0xc1aad374, "devm_kstrdup" },
	{ 0xc806d1d6, "_snd_hdac_read_parm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x631da867, "pm_runtime_enable" },
	{ 0xb87050c3, "snd_soc_dapm_get_pin_switch" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x5e89c194, "snd_hdac_acomp_register_notifier" },
	{ 0x2e82590e, "devm_kmemdup" },
	{ 0x5c07cb49, "snd_hdac_calc_stream_format" },
	{ 0xbc1a3dc5, "snd_hdac_read_parm_uncached" },
	{ 0xb853f55d, "_dev_err" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-core,snd-hda-ext-core,snd,snd-soc-core,snd-pcm");

MODULE_ALIAS("hdaudio:v80862809r00100000a02*");
MODULE_ALIAS("hdaudio:v8086280Ar00100000a02*");
MODULE_ALIAS("hdaudio:v8086280Br00100000a02*");
MODULE_ALIAS("hdaudio:v8086280Cr00100000a02*");
MODULE_ALIAS("hdaudio:v8086280Dr00100000a02*");

MODULE_INFO(srcversion, "B972B1B1F3CE977DCF16FA1");
