#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt5670_jack_suspend, "_gpl", "");
KSYMTAB_FUNC(rt5670_jack_resume, "_gpl", "");
KSYMTAB_FUNC(rt5670_set_jack_detect, "_gpl", "");
KSYMTAB_FUNC(rt5670_sel_asrc_clk_src, "_gpl", "");
KSYMTAB_FUNC(rt5670_components, "_gpl", "");

SYMBOL_CRC(rt5670_jack_suspend, 0x8c541a95, "_gpl");
SYMBOL_CRC(rt5670_jack_resume, 0x797a377c, "_gpl");
SYMBOL_CRC(rt5670_set_jack_detect, 0xf11b7853, "_gpl");
SYMBOL_CRC(rt5670_sel_asrc_clk_src, 0x8dbbe55a, "_gpl");
SYMBOL_CRC(rt5670_components, 0x2f5ee4db, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb853f55d, "_dev_err" },
	{ 0x2932e4ae, "snd_soc_dapm_put_volsw" },
	{ 0x8d7fa148, "rl6231_get_pre_div" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x82a253c3, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c8b80d3, "snd_soc_dapm_kcontrol_dapm" },
	{ 0x60b2c4a, "snd_soc_info_enum_double" },
	{ 0xc0a4954, "snd_soc_get_volsw" },
	{ 0x47cc6910, "regmap_read" },
	{ 0xf3b5a15, "snd_soc_put_volsw" },
	{ 0xb7015d42, "snd_soc_component_update_bits" },
	{ 0x80892e87, "snd_soc_dapm_new_controls" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x70617a04, "rl6231_get_clk_info" },
	{ 0xd17d1747, "regmap_update_bits_base" },
	{ 0xc692fc52, "snd_soc_dapm_get_volsw" },
	{ 0x3f68ef41, "i2c_del_driver" },
	{ 0x9a7d9de0, "regmap_register_patch" },
	{ 0x24146e5f, "snd_soc_dapm_get_enum_double" },
	{ 0x308ad3c, "__pm_runtime_disable" },
	{ 0xe733d41b, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xf901e5e6, "snd_soc_dapm_put_enum_double" },
	{ 0xf7903ea3, "regcache_cache_only" },
	{ 0xd4b65998, "regcache_sync" },
	{ 0x572253a8, "regmap_write" },
	{ 0xe7749017, "param_ops_uint" },
	{ 0xfc6ec21f, "devm_kmalloc" },
	{ 0x99ff646d, "snd_soc_jack_free_gpios" },
	{ 0xd154aa6, "snd_soc_component_read" },
	{ 0x5dc92cdf, "rl6231_pll_calc" },
	{ 0x42c4e76c, "snd_soc_jack_add_gpios" },
	{ 0x3ef7176d, "snd_soc_dapm_disable_pin" },
	{ 0x7e620e6, "snd_soc_dapm_force_enable_pin" },
	{ 0xc4e14107, "snd_soc_put_enum_double" },
	{ 0xad9143c6, "regcache_mark_dirty" },
	{ 0xc8269f94, "snd_soc_params_to_frame_size" },
	{ 0x5da8aca0, "__dynamic_dev_dbg" },
	{ 0xdba4502f, "rl6231_calc_dmic_clk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa6cd9105, "snd_soc_component_write" },
	{ 0x33ac7c15, "snd_soc_dapm_sync" },
	{ 0x4e9db89e, "devm_snd_soc_register_component" },
	{ 0x6d48b7db, "__devm_regmap_init_i2c" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x631da867, "pm_runtime_enable" },
	{ 0x6d745401, "snd_soc_get_enum_double" },
	{ 0x591b192f, "_dev_info" },
	{ 0x2d226e51, "i2c_register_driver" },
	{ 0x2865fa0a, "snd_soc_info_volsw" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-rl6231,snd-pcm,regmap-i2c");

MODULE_ALIAS("i2c:rt5670");
MODULE_ALIAS("i2c:rt5671");
MODULE_ALIAS("i2c:rt5672");
MODULE_ALIAS("acpi*:10EC5670:*");
MODULE_ALIAS("acpi*:10EC5672:*");
MODULE_ALIAS("acpi*:10EC5640:*");

MODULE_INFO(srcversion, "89BB0CC3F640FEC914D3BB0");
