#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wm_adsp_fw_get, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_fw_put, "_gpl", "");
KSYMTAB_DATA(wm_adsp_fw_enum, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_write_ctl, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_read_ctl, "_gpl", "");
KSYMTAB_FUNC(wm_adsp1_init, "_gpl", "");
KSYMTAB_FUNC(wm_adsp1_event, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_set_dspclk, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_preloader_get, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_preloader_put, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_power_up, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_power_down, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_early_event, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_event, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_component_probe, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_component_remove, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_init, "_gpl", "");
KSYMTAB_FUNC(wm_halo_init, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_remove, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_open, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_free, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_get_caps, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_handle_irq, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_copy, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_bus_error, "_gpl", "");
KSYMTAB_FUNC(wm_halo_bus_error, "_gpl", "");
KSYMTAB_FUNC(wm_halo_wdt_expire, "_gpl", "");

SYMBOL_CRC(wm_adsp_fw_get, 0x7139f9f4, "_gpl");
SYMBOL_CRC(wm_adsp_fw_put, 0xdbb82cc2, "_gpl");
SYMBOL_CRC(wm_adsp_fw_enum, 0x5616c613, "_gpl");
SYMBOL_CRC(wm_adsp_write_ctl, 0x263f3587, "_gpl");
SYMBOL_CRC(wm_adsp_read_ctl, 0x39adaae9, "_gpl");
SYMBOL_CRC(wm_adsp1_init, 0x3c5b730b, "_gpl");
SYMBOL_CRC(wm_adsp1_event, 0x0670ba87, "_gpl");
SYMBOL_CRC(wm_adsp2_set_dspclk, 0x74c24846, "_gpl");
SYMBOL_CRC(wm_adsp2_preloader_get, 0xa51b2d28, "_gpl");
SYMBOL_CRC(wm_adsp2_preloader_put, 0x0f9af81e, "_gpl");
SYMBOL_CRC(wm_adsp_power_up, 0x411136ee, "_gpl");
SYMBOL_CRC(wm_adsp_power_down, 0xae006051, "_gpl");
SYMBOL_CRC(wm_adsp_early_event, 0xe8664c5e, "_gpl");
SYMBOL_CRC(wm_adsp_event, 0x6f40833f, "_gpl");
SYMBOL_CRC(wm_adsp2_component_probe, 0x6c37cace, "_gpl");
SYMBOL_CRC(wm_adsp2_component_remove, 0x238d81e3, "_gpl");
SYMBOL_CRC(wm_adsp2_init, 0x1cebbdd8, "_gpl");
SYMBOL_CRC(wm_halo_init, 0x512619c4, "_gpl");
SYMBOL_CRC(wm_adsp2_remove, 0x922b0f19, "_gpl");
SYMBOL_CRC(wm_adsp_compr_open, 0x94fde2a6, "_gpl");
SYMBOL_CRC(wm_adsp_compr_free, 0x93b21f7d, "_gpl");
SYMBOL_CRC(wm_adsp_compr_set_params, 0xf8a1d702, "_gpl");
SYMBOL_CRC(wm_adsp_compr_get_caps, 0xc57d8266, "_gpl");
SYMBOL_CRC(wm_adsp_compr_trigger, 0x8b92c152, "_gpl");
SYMBOL_CRC(wm_adsp_compr_handle_irq, 0xdb8861b3, "_gpl");
SYMBOL_CRC(wm_adsp_compr_pointer, 0xaac18928, "_gpl");
SYMBOL_CRC(wm_adsp_compr_copy, 0xd2667250, "_gpl");
SYMBOL_CRC(wm_adsp2_bus_error, 0xdd3c79ef, "_gpl");
SYMBOL_CRC(wm_halo_bus_error, 0xea38ee07, "_gpl");
SYMBOL_CRC(wm_halo_wdt_expire, 0x52c16479, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x15832499, "cs_dsp_init_debugfs" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc357895f, "cs_dsp_halo_bus_error" },
	{ 0x5da8aca0, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x33ac7c15, "snd_soc_dapm_sync" },
	{ 0x4e5562f8, "cs_dsp_remove_padding" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2babe8a4, "cs_dsp_find_alg_region" },
	{ 0xa798b48c, "cs_dsp_coeff_write_acked_control" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x791bbefe, "cs_dsp_get_ctl" },
	{ 0x591b192f, "_dev_info" },
	{ 0xb853f55d, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8dca1451, "cs_dsp_halo_init" },
	{ 0x3fa06257, "cs_dsp_power_down" },
	{ 0x28b04ca, "cs_dsp_adsp2_init" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xa14e16e9, "snd_soc_add_component_controls" },
	{ 0x362c83a5, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0x144d6986, "cs_dsp_mem_region_name" },
	{ 0xa33dd545, "cs_dsp_set_dspclk" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa88d7821, "cs_dsp_power_up" },
	{ 0xe3bda575, "snd_soc_component_notify_control" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x999e8297, "vfree" },
	{ 0xb763b7a, "cs_dsp_run" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2dd17f88, "cs_dsp_write_data_word" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x49320f68, "cs_dsp_halo_wdt_expire" },
	{ 0x1f3a8459, "snd_soc_component_disable_pin" },
	{ 0xa2e152dd, "snd_soc_bytes_tlv_callback" },
	{ 0xdc4d38c2, "cs_dsp_adsp2_bus_error" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xe3b3dbc3, "cs_dsp_read_raw_data_block" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x522bf17c, "cs_dsp_read_data_word" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xad40c497, "snd_soc_component_force_enable_pin" },
	{ 0x6a8340db, "firmware_request_nowarn" },
	{ 0x6c8a3a5e, "cs_dsp_cleanup_debugfs" },
	{ 0x9437a861, "cs_dsp_coeff_read_ctrl" },
	{ 0xb45622b9, "snd_compr_stop_error" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3abfda20, "cs_dsp_stop" },
	{ 0x93d84af3, "cs_dsp_adsp1_power_up" },
	{ 0x19440614, "cs_dsp_adsp1_power_down" },
	{ 0x96848186, "scnprintf" },
	{ 0xbf53144b, "cs_dsp_adsp1_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x2557cab9, "cs_dsp_coeff_write_ctrl" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "cs_dsp,snd-soc-core,snd-compress");


MODULE_INFO(srcversion, "F30B2FAFA245C41784B38F7");
