#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(skl_dsp_set_dma_control, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_create_pipeline, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_delete_pipeline, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_set_pipeline_state, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_save_pipeline, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_restore_pipeline, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_set_dx, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_init_instance, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_bind_unbind, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_load_modules, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_unload_modules, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_set_large_config, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_get_large_config, "_gpl", "");
KSYMTAB_FUNC(skl_sst_ipc_load_library, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_set_d0ix, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_get_core, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_put_core, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_wake, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_sleep, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_free, "_gpl", "");
KSYMTAB_FUNC(is_skl_dsp_running, "_gpl", "");
KSYMTAB_FUNC(cnl_dsp_free, "_gpl", "");
KSYMTAB_FUNC(skl_clear_module_cnt, "_gpl", "");
KSYMTAB_FUNC(skl_sst_dsp_init, "_gpl", "");
KSYMTAB_FUNC(skl_sst_init_fw, "_gpl", "");
KSYMTAB_FUNC(skl_sst_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(bxt_sst_dsp_init, "_gpl", "");
KSYMTAB_FUNC(bxt_sst_init_fw, "_gpl", "");
KSYMTAB_FUNC(bxt_sst_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(cnl_sst_dsp_init, "_gpl", "");
KSYMTAB_FUNC(cnl_sst_init_fw, "_gpl", "");
KSYMTAB_FUNC(cnl_sst_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(skl_get_pvt_instance_id_map, "_gpl", "");
KSYMTAB_FUNC(skl_get_pvt_id, "_gpl", "");
KSYMTAB_FUNC(skl_put_pvt_id, "_gpl", "");

SYMBOL_CRC(skl_dsp_set_dma_control, 0xdbd7047c, "_gpl");
SYMBOL_CRC(skl_ipc_create_pipeline, 0xa87c1d14, "_gpl");
SYMBOL_CRC(skl_ipc_delete_pipeline, 0xc9d4da69, "_gpl");
SYMBOL_CRC(skl_ipc_set_pipeline_state, 0x12d454b1, "_gpl");
SYMBOL_CRC(skl_ipc_save_pipeline, 0xe81c0b1e, "_gpl");
SYMBOL_CRC(skl_ipc_restore_pipeline, 0x56cfbd7d, "_gpl");
SYMBOL_CRC(skl_ipc_set_dx, 0xc34973c0, "_gpl");
SYMBOL_CRC(skl_ipc_init_instance, 0x0b50304d, "_gpl");
SYMBOL_CRC(skl_ipc_bind_unbind, 0x82809603, "_gpl");
SYMBOL_CRC(skl_ipc_load_modules, 0x25fab395, "_gpl");
SYMBOL_CRC(skl_ipc_unload_modules, 0x6f464be1, "_gpl");
SYMBOL_CRC(skl_ipc_set_large_config, 0x47491b67, "_gpl");
SYMBOL_CRC(skl_ipc_get_large_config, 0xbab9ec8e, "_gpl");
SYMBOL_CRC(skl_sst_ipc_load_library, 0x95b48b34, "_gpl");
SYMBOL_CRC(skl_ipc_set_d0ix, 0xbf62e18e, "_gpl");
SYMBOL_CRC(skl_dsp_get_core, 0x8bcd107c, "_gpl");
SYMBOL_CRC(skl_dsp_put_core, 0x50b414c1, "_gpl");
SYMBOL_CRC(skl_dsp_wake, 0x6bfd22b4, "_gpl");
SYMBOL_CRC(skl_dsp_sleep, 0x9a7901ac, "_gpl");
SYMBOL_CRC(skl_dsp_free, 0xee6d051f, "_gpl");
SYMBOL_CRC(is_skl_dsp_running, 0xe1f9c747, "_gpl");
SYMBOL_CRC(cnl_dsp_free, 0xe13f97b4, "_gpl");
SYMBOL_CRC(skl_clear_module_cnt, 0x548729f3, "_gpl");
SYMBOL_CRC(skl_sst_dsp_init, 0x237565c8, "_gpl");
SYMBOL_CRC(skl_sst_init_fw, 0x1791b85a, "_gpl");
SYMBOL_CRC(skl_sst_dsp_cleanup, 0xf0629e6f, "_gpl");
SYMBOL_CRC(bxt_sst_dsp_init, 0x753c569f, "_gpl");
SYMBOL_CRC(bxt_sst_init_fw, 0x2c402808, "_gpl");
SYMBOL_CRC(bxt_sst_dsp_cleanup, 0x455dfccc, "_gpl");
SYMBOL_CRC(cnl_sst_dsp_init, 0xef667b8a, "_gpl");
SYMBOL_CRC(cnl_sst_init_fw, 0x51f63370, "_gpl");
SYMBOL_CRC(cnl_sst_dsp_cleanup, 0x678e3c91, "_gpl");
SYMBOL_CRC(skl_get_pvt_instance_id_map, 0x18dc0f3f, "_gpl");
SYMBOL_CRC(skl_get_pvt_id, 0x354b3382, "_gpl");
SYMBOL_CRC(skl_put_pvt_id, 0x0156ca4d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8dbf26e2, "snd_hdac_bus_init_chip" },
	{ 0x251c0670, "snd_hdac_stream_stop" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x71af4718, "intel_nhlt_get_endpoint_blob" },
	{ 0x1fbf97a6, "snd_hdac_stream_cleanup" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5c07cb49, "snd_hdac_calc_stream_format" },
	{ 0xfb3a6325, "sst_dsp_shim_read_unlocked" },
	{ 0x1ff88043, "devm_kfree" },
	{ 0xb853f55d, "_dev_err" },
	{ 0x7d7cf115, "simple_open" },
	{ 0x336f81a3, "snd_soc_acpi_intel_bxt_machines" },
	{ 0x7c0fe246, "snd_hdac_bus_exit_link_reset" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x1a94279d, "platform_device_unregister" },
	{ 0xb3a1b636, "sst_ipc_fini" },
	{ 0xa7a03eba, "snd_hdac_ext_stream_assign" },
	{ 0xe9d7be72, "snd_hdac_ext_stream_release" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8521b05a, "snd_hdac_ext_stream_init_all" },
	{ 0x6ca64ef8, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xba39aa11, "snd_soc_acpi_find_machine" },
	{ 0xce137316, "sst_dsp_shim_update_bits_unlocked" },
	{ 0x115fe99f, "sst_dsp_shim_update_bits_forced" },
	{ 0xdc30dd9c, "platform_device_add" },
	{ 0x9166fada, "strncpy" },
	{ 0x66b4126, "platform_device_alloc" },
	{ 0x3801776b, "__ioread32_copy" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x3a62a094, "sst_ipc_init" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xe53d43e4, "snd_soc_acpi_intel_glk_machines" },
	{ 0xf1d530d8, "snd_soc_tplg_component_load" },
	{ 0x4514e68e, "sst_dsp_shim_read" },
	{ 0xa190f693, "snd_hdac_ext_stream_setup" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2df152aa, "snd_hdac_bus_stop_cmd_io" },
	{ 0x44d71d47, "snd_hdac_stream_sync" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x26dfd906, "pci_restore_state" },
	{ 0xc66b0eb0, "default_llseek" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x11974cef, "snd_pcm_set_managed_buffer_all" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0x1e995770, "snd_hdac_display_power" },
	{ 0x16e86983, "sst_shim32_read" },
	{ 0x6d57bd5c, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x690bae2d, "sst_dsp_mailbox_init" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xd293a3b3, "sst_ipc_tx_msg_reply_complete" },
	{ 0xe6ff8653, "snd_soc_tplg_component_remove" },
	{ 0xfb3ff2d9, "snd_hdac_bus_init_cmd_io" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xa5aa685b, "dma_set_coherent_mask" },
	{ 0xf7235d95, "snd_pcm_hw_constraint_integer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8b8ec2dd, "sst_dsp_shim_update_bits" },
	{ 0x57304ae5, "snd_hdac_acomp_exit" },
	{ 0x6e7f1d4a, "debugfs_create_file" },
	{ 0x8a293cdc, "snd_hdac_bus_parse_capabilities" },
	{ 0xd4028a51, "platform_device_register_full" },
	{ 0xd28b7d47, "sst_dsp_outbox_write" },
	{ 0x1f1fbc74, "pm_runtime_allow" },
	{ 0xa0c04ee5, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8caf9305, "uuid_is_valid" },
	{ 0xc618d7b8, "snd_hdac_stream_setup" },
	{ 0xe0ef3253, "sst_dsp_inbox_read" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0xc2357ee, "snd_hdac_stream_set_params" },
	{ 0xd4ef9091, "pci_release_regions" },
	{ 0xc2fa7aa9, "snd_soc_acpi_intel_cnl_machines" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe14c96ca, "snd_hdac_ext_bus_get_ml_capabilities" },
	{ 0x672023a1, "snd_hdac_bus_handle_stream_irq" },
	{ 0xb6571a30, "pci_write_config_byte" },
	{ 0x58f46fc9, "snd_hdac_stream_drsm_enable" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xaff23ec2, "snd_soc_acpi_intel_skl_machines" },
	{ 0xc23ed84c, "snd_hdac_ext_bus_get_hlink_by_name" },
	{ 0x8ca39d31, "snd_soc_set_runtime_hwparams" },
	{ 0x3ba74d2c, "snd_hdac_get_stream" },
	{ 0x8941e0e8, "pci_disable_device" },
	{ 0x57ee2510, "snd_hdac_ext_bus_link_set_stream_id" },
	{ 0xdf77bcee, "pci_match_id" },
	{ 0xd02bd92c, "snd_hdac_stream_sync_trigger" },
	{ 0xde3bb83d, "snd_hdac_ext_bus_link_put" },
	{ 0x6eb6bf03, "snd_hda_codec_device_init" },
	{ 0x4396602e, "dma_set_mask" },
	{ 0xe8388f35, "snd_hdac_set_codec_wakeup" },
	{ 0xc03dc569, "snd_hdac_stream_reset" },
	{ 0xced627e1, "sst_dsp_shim_write" },
	{ 0xc25dbfae, "snd_pcm_period_elapsed" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x23b0d948, "__pm_runtime_suspend" },
	{ 0x1f5e3d6b, "snd_hdac_bus_alloc_stream_pages" },
	{ 0x2bc4a42e, "snd_soc_tplg_widget_bind_event" },
	{ 0xb1cdd034, "pci_read_config_byte" },
	{ 0x67af9784, "snd_hdac_dsp_trigger" },
	{ 0x754d539c, "strlen" },
	{ 0xe9c6de99, "sst_shim32_write" },
	{ 0x7cf19c, "param_ops_int" },
	{ 0xce2f905, "intel_nhlt_init" },
	{ 0x14211900, "snd_hdac_stop_streams_and_chip" },
	{ 0xd0e84ccb, "snd_hdac_dsp_cleanup" },
	{ 0xf29606ab, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xdcc957f2, "snd_hdac_ext_stream_reset" },
	{ 0xd9da7688, "snd_hdac_stop_streams" },
	{ 0xdaadb62f, "snd_hdac_ext_bus_link_clear_stream_id" },
	{ 0xa833458b, "snd_hdac_stream_start" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd2256dd7, "pci_write_config_dword" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xdc94feef, "snd_soc_dapm_kcontrol_widget" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xbdaeee34, "snd_hdac_stream_set_dpibr" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x7fcda693, "snd_soc_acpi_intel_hda_machines" },
	{ 0xd5c024d7, "platform_device_put" },
	{ 0x986d6339, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x819dadae, "snd_hdac_ext_bus_link_power_down_all" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x781af8f2, "sst_dsp_register_poll" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x510ea82c, "snd_dma_alloc_dir_pages" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xfc6ec21f, "devm_kmalloc" },
	{ 0x28b05f52, "pci_enable_device" },
	{ 0x57df93e3, "snd_hdac_bus_send_cmd" },
	{ 0x5a9b51fc, "sysfs_create_file_ns" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x5491a9fe, "snd_hdac_stream_set_spib" },
	{ 0x85369a0d, "snd_hdac_bus_enter_link_reset" },
	{ 0x3c3a6c63, "sst_ipc_tx_message_wait" },
	{ 0xbd12557c, "intel_nhlt_get_dmic_geo" },
	{ 0xd00483c9, "snd_hdac_bus_get_response" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4b50a68e, "snd_hdac_ext_stream_start" },
	{ 0x83c8e6ff, "snd_soc_acpi_intel_kbl_machines" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x228672a, "snd_hdac_ext_stream_free_all" },
	{ 0x6105fecb, "snd_hdac_bus_update_rirb" },
	{ 0x9fde2f36, "sst_dsp_shim_write_unlocked" },
	{ 0xb438387a, "snd_hdac_ext_bus_ppcap_enable" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xe8038cb6, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0xeebad00b, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x8f12d306, "snd_pcm_hw_constraint_minmax" },
	{ 0xf45db36d, "snd_hdac_codec_modalias" },
	{ 0x512277fd, "snd_hdac_bus_stop_chip" },
	{ 0xc8974b62, "pci_request_regions" },
	{ 0xc91a282, "snd_hdac_ext_bus_link_power_up" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xdbada6c, "snd_hdac_ext_bus_init" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x1822f0e4, "snd_intel_dsp_driver_probe" },
	{ 0xae3552ce, "snd_hdac_stream_set_lpib" },
	{ 0x671bf3b4, "snd_sgbuf_get_addr" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5da8aca0, "__dynamic_dev_dbg" },
	{ 0x9b52413a, "snd_sgbuf_get_chunk_size" },
	{ 0x572f80b0, "pci_ioremap_bar" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x6718a92f, "snd_hdac_ext_bus_device_remove" },
	{ 0x2d593276, "snd_hdac_ext_bus_ppcap_int_enable" },
	{ 0x4dd5b1ad, "snd_pcm_set_sync" },
	{ 0xb3ec0124, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb05de49a, "snd_soc_hdac_hda_get_ops" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xce6b29ab, "platform_device_add_data" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x4169f4a2, "snd_hdac_stream_timecounter_init" },
	{ 0xba1c9c3b, "snd_hdac_ext_link_free_all" },
	{ 0x5f34837e, "sst_ipc_tx_message_nowait" },
	{ 0xd9db14f0, "pci_read_config_dword" },
	{ 0x8280d732, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4e9db89e, "devm_snd_soc_register_component" },
	{ 0x5842a22, "snd_hdac_bus_free_stream_pages" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x345122f5, "snd_hdac_dsp_prepare" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x7a5cc0e6, "snd_hdac_ext_bus_link_power_up_all" },
	{ 0x16e60bdb, "snd_hdac_ext_bus_exit" },
	{ 0xa0ff5c7e, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xef39ce92, "put_device" },
	{ 0xe84c0da2, "sysfs_remove_file_ns" },
	{ 0xaecf4398, "snd_hdac_ext_stream_decouple" },
	{ 0xfe916dc6, "hex_dump_to_buffer" },
	{ 0xf97b769e, "snd_hdac_ext_stream_clear" },
	{ 0x6ccf3f60, "snd_hdac_device_register" },
	{ 0xec11af04, "snd_hdac_stream_spbcap_enable" },
	{ 0x18978130, "sst_ipc_tx_message_nopm" },
	{ 0x71bd4371, "snd_hdac_i915_init" },
	{ 0x591b192f, "_dev_info" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-core,snd-intel-dspcfg,snd-soc-sst-dsp,snd-soc-acpi-intel-match,snd-soc-sst-ipc,snd-hda-ext-core,snd-soc-acpi,snd-soc-core,snd-pcm,snd-hda-codec,snd-soc-hdac-hda");

MODULE_ALIAS("pci:v00008086d00009D70sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005A98sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009D71sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003198sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009DC8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A348sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000002C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000006C8sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "79AC3EEF8E6F3965F4E73CF");
