#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hda_codec_jack_wake_enable, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_jack_check, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_probe_bus, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_check_for_state_change, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_detect_mask, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_init_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_resume_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_stop_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_suspend_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_rirb_status_clear, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_set_codec_wakeup, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_check_rirb_status, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_device_remove, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_i915_display_power, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC_I915");
KSYMTAB_FUNC(hda_codec_i915_init, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC_I915");
KSYMTAB_FUNC(hda_codec_i915_exit, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC_I915");

SYMBOL_CRC(hda_codec_jack_wake_enable, 0xf3165d5b, "_gpl");
SYMBOL_CRC(hda_codec_jack_check, 0x69fbc79b, "_gpl");
SYMBOL_CRC(hda_codec_probe_bus, 0xc0588a99, "_gpl");
SYMBOL_CRC(hda_codec_check_for_state_change, 0x23b10abb, "_gpl");
SYMBOL_CRC(hda_codec_detect_mask, 0x288b9129, "_gpl");
SYMBOL_CRC(hda_codec_init_cmd_io, 0xc918ace7, "_gpl");
SYMBOL_CRC(hda_codec_resume_cmd_io, 0x8b5c5fc4, "_gpl");
SYMBOL_CRC(hda_codec_stop_cmd_io, 0xd4778ced, "_gpl");
SYMBOL_CRC(hda_codec_suspend_cmd_io, 0xa398f6ee, "_gpl");
SYMBOL_CRC(hda_codec_rirb_status_clear, 0x40240950, "_gpl");
SYMBOL_CRC(hda_codec_set_codec_wakeup, 0x0d51e248, "_gpl");
SYMBOL_CRC(hda_codec_check_rirb_status, 0xe44b899d, "_gpl");
SYMBOL_CRC(hda_codec_device_remove, 0x3873561c, "_gpl");
SYMBOL_CRC(hda_codec_i915_display_power, 0x3ec9d77a, "_gpl");
SYMBOL_CRC(hda_codec_i915_init, 0x984416dd, "_gpl");
SYMBOL_CRC(hda_codec_i915_exit, 0x772e2022, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfc6ec21f, "devm_kmalloc" },
	{ 0x57df93e3, "snd_hdac_bus_send_cmd" },
	{ 0xd00483c9, "snd_hdac_bus_get_response" },
	{ 0x6105fecb, "snd_hdac_bus_update_rirb" },
	{ 0xf45db36d, "snd_hdac_codec_modalias" },
	{ 0x5da8aca0, "__dynamic_dev_dbg" },
	{ 0x6718a92f, "snd_hdac_ext_bus_device_remove" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xef39ce92, "put_device" },
	{ 0x6ccf3f60, "snd_hdac_device_register" },
	{ 0x71bd4371, "snd_hdac_i915_init" },
	{ 0xb853f55d, "_dev_err" },
	{ 0x93111ada, "snd_hdac_device_unregister" },
	{ 0x9234800e, "device_attach" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x2df152aa, "snd_hdac_bus_stop_cmd_io" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0x1e995770, "snd_hdac_display_power" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfb3ff2d9, "snd_hdac_bus_init_cmd_io" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x57304ae5, "snd_hdac_acomp_exit" },
	{ 0xa0c04ee5, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6eb6bf03, "snd_hda_codec_device_init" },
	{ 0xe8388f35, "snd_hdac_set_codec_wakeup" },
	{ 0x7cf19c, "param_ops_int" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-core,snd-hda-ext-core,snd-sof,snd-hda-codec");


MODULE_INFO(srcversion, "A205C2CB2330050D7B9D983");
