#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ahci_ignore_sss, "_gpl", "");
KSYMTAB_DATA(ahci_shost_groups, "_gpl", "");
KSYMTAB_DATA(ahci_sdev_groups, "_gpl", "");
KSYMTAB_DATA(ahci_ops, "_gpl", "");
KSYMTAB_DATA(ahci_pmp_retry_srst_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_save_initial_config, "_gpl", "");
KSYMTAB_FUNC(ahci_start_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_stop_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_start_fis_rx, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_em, "_gpl", "");
KSYMTAB_FUNC(ahci_init_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ahci_fill_cmd_slot, "_gpl", "");
KSYMTAB_FUNC(ahci_kick_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_check_ready, "_gpl", "");
KSYMTAB_FUNC(ahci_do_softreset, "_gpl", "");
KSYMTAB_FUNC(ahci_do_hardreset, "_gpl", "");
KSYMTAB_FUNC(ahci_handle_port_intr, "_gpl", "");
KSYMTAB_FUNC(ahci_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ahci_error_handler, "_gpl", "");
KSYMTAB_FUNC(ahci_port_resume, "_gpl", "");
KSYMTAB_FUNC(ahci_print_info, "_gpl", "");
KSYMTAB_FUNC(ahci_set_em_messages, "_gpl", "");
KSYMTAB_FUNC(ahci_host_activate, "_gpl", "");

SYMBOL_CRC(ahci_ignore_sss, 0xea50dad3, "_gpl");
SYMBOL_CRC(ahci_shost_groups, 0xcff7d6b4, "_gpl");
SYMBOL_CRC(ahci_sdev_groups, 0xb91dc89e, "_gpl");
SYMBOL_CRC(ahci_ops, 0xe95666dd, "_gpl");
SYMBOL_CRC(ahci_pmp_retry_srst_ops, 0x6d47c275, "_gpl");
SYMBOL_CRC(ahci_save_initial_config, 0x2a6e14ba, "_gpl");
SYMBOL_CRC(ahci_start_engine, 0x4945f9ef, "_gpl");
SYMBOL_CRC(ahci_stop_engine, 0xec75e8f2, "_gpl");
SYMBOL_CRC(ahci_start_fis_rx, 0x29956596, "_gpl");
SYMBOL_CRC(ahci_reset_controller, 0x928e024a, "_gpl");
SYMBOL_CRC(ahci_reset_em, 0xe5c61c62, "_gpl");
SYMBOL_CRC(ahci_init_controller, 0xbe5cb455, "_gpl");
SYMBOL_CRC(ahci_dev_classify, 0x2edbb967, "_gpl");
SYMBOL_CRC(ahci_fill_cmd_slot, 0xa38c32ba, "_gpl");
SYMBOL_CRC(ahci_kick_engine, 0x7a3b3b24, "_gpl");
SYMBOL_CRC(ahci_check_ready, 0x46e54607, "_gpl");
SYMBOL_CRC(ahci_do_softreset, 0x94df4920, "_gpl");
SYMBOL_CRC(ahci_do_hardreset, 0x5bfcf2d0, "_gpl");
SYMBOL_CRC(ahci_handle_port_intr, 0x9d140301, "_gpl");
SYMBOL_CRC(ahci_qc_issue, 0x88982068, "_gpl");
SYMBOL_CRC(ahci_error_handler, 0xfac80c8d, "_gpl");
SYMBOL_CRC(ahci_port_resume, 0xc5da90c6, "_gpl");
SYMBOL_CRC(ahci_print_info, 0xa5bfd49a, "_gpl");
SYMBOL_CRC(ahci_set_em_messages, 0x1192cdee, "_gpl");
SYMBOL_CRC(ahci_host_activate, 0x9f731e4a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc9006dcc, "ata_std_qc_defer" },
	{ 0x70ca78e5, "sata_pmp_qc_defer_cmd_switch" },
	{ 0x5da8aca0, "__dynamic_dev_dbg" },
	{ 0x738c714d, "ata_port_classify" },
	{ 0xbe7e9d88, "ata_qc_complete_multiple" },
	{ 0x6738d13e, "ata_port_freeze" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xebeb6332, "sata_pmp_error_handler" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0x11d3d3ff, "ata_host_start" },
	{ 0x211ce9ad, "devm_request_threaded_irq" },
	{ 0xf6648b69, "ata_port_desc" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe2d4bd36, "ata_host_register" },
	{ 0x8fe89e92, "ata_host_activate" },
	{ 0xb2b42bc2, "ata_dummy_port_ops" },
	{ 0x3a58ef6b, "acpi_storage_d3" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0xfc6ec21f, "devm_kmalloc" },
	{ 0x59f19bc3, "dmam_alloc_attrs" },
	{ 0xe168fe48, "dev_driver_string" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1ff88043, "devm_kfree" },
	{ 0xbc79eb0b, "sata_deb_timing_hotplug" },
	{ 0x9371ea58, "sata_deb_timing_normal" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xf6508656, "sata_link_hardreset" },
	{ 0x3b2025a1, "ata_wait_after_reset" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x5a39bab0, "ata_ehi_clear_desc" },
	{ 0xfe947ab0, "ata_ehi_push_desc" },
	{ 0xb2a88f8d, "ata_link_abort" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfbe490cd, "ata_port_abort" },
	{ 0xd21569d2, "sata_lpm_ignore_phy_events" },
	{ 0x6f54d8bd, "sata_async_notification" },
	{ 0xf8f3a0fb, "ata_ratelimit" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7cf19c, "param_ops_int" },
	{ 0x93067637, "param_ops_bool" },
	{ 0x457b5018, "sata_pmp_port_ops" },
	{ 0x38983a53, "dev_attr_sw_activity" },
	{ 0x3a81ecc8, "dev_attr_unload_heads" },
	{ 0xea3d7076, "dev_attr_ncq_prio_supported" },
	{ 0x394d06f, "dev_attr_ncq_prio_enable" },
	{ 0x75ef314d, "dev_attr_link_power_management_policy" },
	{ 0xdbb717bc, "dev_attr_em_message_type" },
	{ 0xbc49ef8f, "dev_attr_em_message" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa0c04ee5, "__pm_runtime_resume" },
	{ 0xe733d41b, "__pm_runtime_idle" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x122c3a7e, "_printk" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x98139153, "ata_link_next" },
	{ 0x910c8e61, "ata_wait_register" },
	{ 0x591b192f, "_dev_info" },
	{ 0x2e894ea2, "ata_dev_set_feature" },
	{ 0xece125b8, "sata_link_scr_lpm" },
	{ 0x54d01ad9, "ata_msleep" },
	{ 0xb853f55d, "_dev_err" },
	{ 0x80b54510, "ata_std_postreset" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "libata");


MODULE_INFO(srcversion, "CC667A76F4F1DE1DC5B1D82");
