#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(btmrvl_interrupt, "_gpl", "");
KSYMTAB_FUNC(btmrvl_check_evtpkt, "_gpl", "");
KSYMTAB_FUNC(btmrvl_process_event, "_gpl", "");
KSYMTAB_FUNC(btmrvl_send_module_cfg_cmd, "_gpl", "");
KSYMTAB_FUNC(btmrvl_pscan_window_reporting, "_gpl", "");
KSYMTAB_FUNC(btmrvl_send_hscfg_cmd, "_gpl", "");
KSYMTAB_FUNC(btmrvl_enable_ps, "_gpl", "");
KSYMTAB_FUNC(btmrvl_enable_hs, "_gpl", "");
KSYMTAB_FUNC(btmrvl_register_hdev, "_gpl", "");
KSYMTAB_FUNC(btmrvl_add_card, "_gpl", "");
KSYMTAB_FUNC(btmrvl_remove_card, "_gpl", "");

SYMBOL_CRC(btmrvl_interrupt, 0xf0a36056, "_gpl");
SYMBOL_CRC(btmrvl_check_evtpkt, 0xa55f0053, "_gpl");
SYMBOL_CRC(btmrvl_process_event, 0xfac78939, "_gpl");
SYMBOL_CRC(btmrvl_send_module_cfg_cmd, 0xb9c9cc6c, "_gpl");
SYMBOL_CRC(btmrvl_pscan_window_reporting, 0x127e5ca3, "_gpl");
SYMBOL_CRC(btmrvl_send_hscfg_cmd, 0x3189b372, "_gpl");
SYMBOL_CRC(btmrvl_enable_ps, 0x01b4ab88, "_gpl");
SYMBOL_CRC(btmrvl_enable_hs, 0x22ea5238, "_gpl");
SYMBOL_CRC(btmrvl_register_hdev, 0x6d3fb468, "_gpl");
SYMBOL_CRC(btmrvl_add_card, 0x3011b8e4, "_gpl");
SYMBOL_CRC(btmrvl_remove_card, 0xc086bebe, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1a53c964, "wake_up_process" },
	{ 0x824f5862, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xeaeba39b, "__alloc_skb" },
	{ 0x30d8be3, "skb_queue_tail" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7d7cf115, "simple_open" },
	{ 0x86564197, "kfree_skb_reason" },
	{ 0xc25338ec, "skb_push" },
	{ 0x6ca64ef8, "debugfs_remove" },
	{ 0xd697f068, "kthread_stop" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc66b0eb0, "default_llseek" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x2505bf18, "kstrtol_from_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x2627fc4a, "debugfs_create_x16" },
	{ 0x7b8c32f1, "bt_err" },
	{ 0xd7d4b590, "kthread_create_on_node" },
	{ 0x4f4c35f5, "hci_unregister_dev" },
	{ 0x6e7f1d4a, "debugfs_create_file" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x270b21a0, "hci_register_dev" },
	{ 0x5ede9b94, "__hci_cmd_sync" },
	{ 0xb21a0585, "debugfs_create_u8" },
	{ 0xf29606ab, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0xa175b502, "skb_queue_head" },
	{ 0x79856fee, "skb_put" },
	{ 0x40ed7ec, "hci_free_dev" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcaccbaf5, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x3ecc0f0d, "hci_alloc_dev_priv" },
	{ 0x37a0cba, "kfree" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "bluetooth");


MODULE_INFO(srcversion, "4DAA8C2DB56C352B9807349");
