#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(to_cxl_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_to_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_register_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(find_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_dport, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_rch_dport, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_ports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_pci_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hb_modulo, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_root_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add_locked, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(__cxl_driver_register, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_driver_unregister, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_rescan, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_drain, "_gpl", "CXL");
KSYMTAB_FUNC(schedule_cxl_memdev_detach, "_gpl", "CXL");
KSYMTAB_DATA(cxl_bus_type, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_debugfs_create_dir, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock_instance, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_count_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_pmu_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_setup_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_rcd_component_reg_phys, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_trigger_poison_list, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_inject_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_clear_poison, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(set_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(clear_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_fw_upload, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_sanitize_setup_notifier, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_internal_send_cmd, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_enumerate_cmds, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_event_records, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dev_state_identify, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_create_range_info, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_set_timestamp, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_poison_state_init, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_state_create, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_port_enumerate_dports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_await_media_ready, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dvsec_rr_decode, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hdm_decode_init, "_gpl", "CXL");
KSYMTAB_FUNC(read_cdat_data, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_cor_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_passthrough_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_hdm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dpa_debug, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_dpa_reserve, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_decoders, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_pmu_add, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_region, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_dax_region, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_add_to_region, "_gpl", "CXL");

SYMBOL_CRC(to_cxl_root_decoder, 0x066c3b01, "_gpl");
SYMBOL_CRC(is_endpoint_decoder, 0x76a2dde8, "_gpl");
SYMBOL_CRC(is_root_decoder, 0x3de0e100, "_gpl");
SYMBOL_CRC(is_switch_decoder, 0x737b6608, "_gpl");
SYMBOL_CRC(to_cxl_decoder, 0x99a91bf7, "_gpl");
SYMBOL_CRC(to_cxl_endpoint_decoder, 0xb063baee, "_gpl");
SYMBOL_CRC(to_cxl_switch_decoder, 0x6d0d7de9, "_gpl");
SYMBOL_CRC(is_cxl_port, 0x37c772af, "_gpl");
SYMBOL_CRC(to_cxl_port, 0x1c3d234b, "_gpl");
SYMBOL_CRC(devm_cxl_add_port, 0xc3b35568, "_gpl");
SYMBOL_CRC(cxl_port_to_pci_bus, 0x46094f12, "_gpl");
SYMBOL_CRC(devm_cxl_register_pci_bus, 0xbf602aba, "_gpl");
SYMBOL_CRC(find_cxl_root, 0x5a32dc41, "_gpl");
SYMBOL_CRC(devm_cxl_add_dport, 0xf9ff0483, "_gpl");
SYMBOL_CRC(devm_cxl_add_rch_dport, 0x90ce0136, "_gpl");
SYMBOL_CRC(cxl_endpoint_autoremove, 0x219ee52c, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_ports, 0x8b4455bb, "_gpl");
SYMBOL_CRC(cxl_pci_find_port, 0x99d37a7c, "_gpl");
SYMBOL_CRC(cxl_mem_find_port, 0x3a3cc006, "_gpl");
SYMBOL_CRC(cxl_hb_modulo, 0xefdb4c9a, "_gpl");
SYMBOL_CRC(cxl_root_decoder_alloc, 0x5e8c1c9a, "_gpl");
SYMBOL_CRC(cxl_switch_decoder_alloc, 0x5afe2ff4, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_alloc, 0x5f53d193, "_gpl");
SYMBOL_CRC(cxl_decoder_add_locked, 0x34373674, "_gpl");
SYMBOL_CRC(cxl_decoder_add, 0x4c383725, "_gpl");
SYMBOL_CRC(cxl_decoder_autoremove, 0x3f1f8544, "_gpl");
SYMBOL_CRC(__cxl_driver_register, 0x0634fb58, "_gpl");
SYMBOL_CRC(cxl_driver_unregister, 0x6f205b26, "_gpl");
SYMBOL_CRC(cxl_bus_rescan, 0x701bbaad, "_gpl");
SYMBOL_CRC(cxl_bus_drain, 0x98628ac8, "_gpl");
SYMBOL_CRC(schedule_cxl_memdev_detach, 0x5f1958e6, "_gpl");
SYMBOL_CRC(cxl_bus_type, 0x82793856, "_gpl");
SYMBOL_CRC(cxl_debugfs_create_dir, 0x84ad7f5c, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm_bridge, 0x0cd665b1, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm_bridge, 0x17e14978, "_gpl");
SYMBOL_CRC(cxl_find_nvdimm_bridge, 0xc21537f4, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm_bridge, 0x3bcc8d63, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm, 0xd387f186, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm, 0x4328dd09, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm, 0xb65bd445, "_gpl");
SYMBOL_CRC(cxl_probe_component_regs, 0x3bae4175, "_gpl");
SYMBOL_CRC(cxl_probe_device_regs, 0x5fcbc272, "_gpl");
SYMBOL_CRC(cxl_map_component_regs, 0x3d953f34, "_gpl");
SYMBOL_CRC(cxl_map_device_regs, 0x2bc21350, "_gpl");
SYMBOL_CRC(cxl_find_regblock_instance, 0x946cc90a, "_gpl");
SYMBOL_CRC(cxl_find_regblock, 0x5ea89d6a, "_gpl");
SYMBOL_CRC(cxl_count_regblock, 0x78e9158d, "_gpl");
SYMBOL_CRC(cxl_map_pmu_regs, 0xf3ab5ea3, "_gpl");
SYMBOL_CRC(cxl_setup_regs, 0x8cffd515, "_gpl");
SYMBOL_CRC(cxl_rcd_component_reg_phys, 0x2364a00c, "_gpl");
SYMBOL_CRC(cxl_trigger_poison_list, 0xa82df4d8, "_gpl");
SYMBOL_CRC(cxl_inject_poison, 0xfb7cc7df, "_gpl");
SYMBOL_CRC(cxl_clear_poison, 0x35eb072d, "_gpl");
SYMBOL_CRC(is_cxl_memdev, 0x4501cfa4, "_gpl");
SYMBOL_CRC(set_exclusive_cxl_commands, 0x1e7dabaa, "_gpl");
SYMBOL_CRC(clear_exclusive_cxl_commands, 0xf38ff962, "_gpl");
SYMBOL_CRC(devm_cxl_setup_fw_upload, 0xd9c40763, "_gpl");
SYMBOL_CRC(devm_cxl_add_memdev, 0xd8eb1ddb, "_gpl");
SYMBOL_CRC(devm_cxl_sanitize_setup_notifier, 0x4b18d719, "_gpl");
SYMBOL_CRC(cxl_internal_send_cmd, 0xbd2c3ba5, "_gpl");
SYMBOL_CRC(cxl_enumerate_cmds, 0x0518f8d2, "_gpl");
SYMBOL_CRC(cxl_mem_get_event_records, 0x8e57f4a4, "_gpl");
SYMBOL_CRC(cxl_dev_state_identify, 0x87425884, "_gpl");
SYMBOL_CRC(cxl_mem_create_range_info, 0x79130858, "_gpl");
SYMBOL_CRC(cxl_set_timestamp, 0x5ef1cabe, "_gpl");
SYMBOL_CRC(cxl_mem_get_poison, 0xe8bfdbb2, "_gpl");
SYMBOL_CRC(cxl_poison_state_init, 0x7ae1cb6a, "_gpl");
SYMBOL_CRC(cxl_memdev_state_create, 0x71fac7e0, "_gpl");
SYMBOL_CRC(devm_cxl_port_enumerate_dports, 0xaa56127f, "_gpl");
SYMBOL_CRC(cxl_await_media_ready, 0xfb06835b, "_gpl");
SYMBOL_CRC(cxl_dvsec_rr_decode, 0x0fb62d85, "_gpl");
SYMBOL_CRC(cxl_hdm_decode_init, 0x1035c147, "_gpl");
SYMBOL_CRC(read_cdat_data, 0x75477a8c, "_gpl");
SYMBOL_CRC(cxl_cor_error_detected, 0xf42e3b29, "_gpl");
SYMBOL_CRC(cxl_error_detected, 0x110bc2b8, "_gpl");
SYMBOL_CRC(devm_cxl_add_passthrough_decoder, 0xdedf83fe, "_gpl");
SYMBOL_CRC(devm_cxl_setup_hdm, 0xa6ad6db6, "_gpl");
SYMBOL_CRC(cxl_dpa_debug, 0x48e915bd, "_gpl");
SYMBOL_CRC(devm_cxl_dpa_reserve, 0x05624ad6, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_decoders, 0x03b314aa, "_gpl");
SYMBOL_CRC(devm_cxl_pmu_add, 0x93a3f235, "_gpl");
SYMBOL_CRC(is_cxl_region, 0x04326e98, "_gpl");
SYMBOL_CRC(is_cxl_pmem_region, 0x0c415b62, "_gpl");
SYMBOL_CRC(to_cxl_pmem_region, 0x3d8da81e, "_gpl");
SYMBOL_CRC(to_cxl_dax_region, 0x28770eb3, "_gpl");
SYMBOL_CRC(cxl_add_to_region, 0xaff69301, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8fa25c24, "xa_find" },
	{ 0x56c8a653, "kernfs_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x19f71f6c, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7109424, "seq_printf" },
	{ 0x5301fc08, "device_match_name" },
	{ 0x39a5a075, "pci_walk_bus" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x3e5948d2, "__devm_add_action" },
	{ 0xf8fd431b, "pci_find_dvsec_capability" },
	{ 0x65ce97fd, "device_find_child_by_name" },
	{ 0xfd7f061d, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x2ac7ea93, "pci_write_config_word" },
	{ 0xf29606ab, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0x3298e05b, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x740638f5, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2d590fb7, "pci_bus_type" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x55252989, "bus_register" },
	{ 0x31387bfc, "firmware_upload_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0xd6551b9c, "cpu_cache_has_invalidate_memregion" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb1c89cea, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xfc6ec21f, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x19160e4d, "dev_set_name" },
	{ 0x145807e, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa4cbedd, "trace_raw_output_prep" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xba0b481c, "cdev_device_del" },
	{ 0x64775c4e, "bpf_trace_run6" },
	{ 0x730a37ff, "pci_doe" },
	{ 0x81335b6f, "device_unregister" },
	{ 0xe8e0ed1e, "__trace_trigger_soft_disabled" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x65a259b6, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xfe929f51, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0xd428971f, "device_initialize" },
	{ 0x5b50ae95, "trace_event_raw_init" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0x71b79722, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe8690ce1, "bpf_trace_run2" },
	{ 0x5ff7ae7a, "devm_remove_action" },
	{ 0xe1740888, "get_device" },
	{ 0x5da8aca0, "__dynamic_dev_dbg" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xe168fe48, "dev_driver_string" },
	{ 0x7816f98d, "trace_event_buffer_commit" },
	{ 0xd9db14f0, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xddb09295, "__devm_request_region" },
	{ 0x6822de1a, "firmware_upload_unregister" },
	{ 0xaa1d402a, "cdev_device_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcc935375, "walk_iomem_res_desc" },
	{ 0xef39ce92, "put_device" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xe0e09289, "bus_for_each_dev" },
	{ 0x38a1a970, "sysfs_create_link" },
	{ 0xb2db2d5, "remove_resource" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x5304c04, "compat_ptr_ioctl" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x6435d0f9, "perf_trace_run_bpf_submit" },
	{ 0xb4a2d0f9, "sysfs_update_group" },
	{ 0xf4b0bda5, "bus_unregister" },
	{ 0x57bc19d2, "down_write" },
	{ 0x1ff88043, "devm_kfree" },
	{ 0x3c804b25, "cpu_cache_invalidate_memregion" },
	{ 0xb853f55d, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xfd52a6b9, "debugfs_create_bool" },
	{ 0x62af41d9, "bus_find_device" },
	{ 0x150c287d, "device_add" },
	{ 0x28cb77ae, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x9ef9355f, "noop_llseek" },
	{ 0x9234800e, "device_attach" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1f7cc1ab, "kernfs_find_and_get_ns" },
	{ 0x6ca64ef8, "debugfs_remove" },
	{ 0xbe400d07, "pci_read_config_word" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x5122d8a0, "trace_event_reg" },
	{ 0xffb7c514, "ida_free" },
	{ 0xad3d97e3, "driver_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xdfc3daee, "device_find_child" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xdc6b1581, "devm_release_action" },
	{ 0x2f38ab01, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xb61d6fc2, "down_read_interruptible" },
	{ 0x7fa19cc4, "alloc_free_mem_region" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc0a2bf21, "bus_rescan_devices" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x668b19a1, "down_read" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xe0942c61, "bpf_trace_run3" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x48e66520, "pci_find_doe_mailbox" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x55254fa2, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x364850b1, "down_write_killable" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B0825513E3D619167DBABBD");
