#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_dp_dual_mode_read, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_write, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_detect, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_get_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_set_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_get_dual_mode_type_name, "", "");
KSYMTAB_FUNC(drm_lspcon_get_mode, "", "");
KSYMTAB_FUNC(drm_lspcon_set_mode, "", "");
KSYMTAB_FUNC(drm_dp_channel_eq_ok, "", "");
KSYMTAB_FUNC(drm_dp_clock_recovery_ok, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_voltage, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_pre_emphasis, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_tx_ffe_preset, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_channel_eq_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_symbol_locked, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_eq_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_cds_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_link_training_failed, "", "");
KSYMTAB_FUNC(drm_dp_read_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_read_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_read_aux_rd_interval, "", "");
KSYMTAB_FUNC(drm_dp_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_phy_name, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_rate_to_bw_code, "", "");
KSYMTAB_FUNC(drm_dp_bw_code_to_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_probe, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_set_powered, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_write, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_link_status, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_phy_link_status, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_type, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_tmds, "", "");
KSYMTAB_FUNC(drm_dp_send_real_edid_checksum, "", "");
KSYMTAB_FUNC(drm_dp_read_dpcd_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_downstream_info, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_dotclock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_min_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_bpc, "", "");
KSYMTAB_FUNC(drm_dp_downstream_420_passthrough, "", "");
KSYMTAB_FUNC(drm_dp_downstream_444_to_420_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_rgb_to_ycbcr_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_mode, "", "");
KSYMTAB_FUNC(drm_dp_downstream_id, "", "");
KSYMTAB_FUNC(drm_dp_downstream_debug, "", "");
KSYMTAB_FUNC(drm_dp_subconnector_type, "", "");
KSYMTAB_FUNC(drm_dp_set_subconnector_property, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count_cap, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count, "", "");
KSYMTAB_FUNC(drm_dp_remote_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_register, "", "");
KSYMTAB_FUNC(drm_dp_aux_unregister, "", "");
KSYMTAB_FUNC(drm_dp_psr_setup_time, "", "");
KSYMTAB_FUNC(drm_dp_start_crc, "", "");
KSYMTAB_FUNC(drm_dp_stop_crc, "", "");
KSYMTAB_FUNC(drm_dp_read_desc, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_max_slice_count, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_line_buf_depth, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_supported_input_bpcs, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_common_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_phy_caps, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_lane_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_voltage_swing_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_pre_emphasis_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_get_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_set_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_log, "", "");
KSYMTAB_FUNC(drm_dp_get_pcon_max_frl_bw, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_prepare, "", "");
KSYMTAB_FUNC(drm_dp_pcon_is_frl_ready, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_1, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_reset_frl_config, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_enable, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_active, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_mode, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_frl_link_error_count, "", "");
KSYMTAB_FUNC(drm_dp_pcon_enc_is_dsc_1_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slices, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slice_width, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_default, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_buf, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_param, "", "");
KSYMTAB_FUNC(drm_dp_pcon_convert_rgb_to_ycbcr, "", "");
KSYMTAB_FUNC(drm_edp_backlight_set_level, "", "");
KSYMTAB_FUNC(drm_edp_backlight_enable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_disable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_init, "", "");
KSYMTAB_FUNC(drm_panel_dp_aux_backlight, "", "");
KSYMTAB_FUNC(drm_dp_encode_sideband_req, "", "");
KSYMTAB_FUNC(drm_dp_decode_sideband_req, "", "");
KSYMTAB_FUNC(drm_dp_dump_sideband_msg_req_body, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_port_malloc, "", "");
KSYMTAB_FUNC(drm_dp_mst_put_port_malloc, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_payload_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_late_register, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_early_unregister, "", "");
KSYMTAB_FUNC(drm_dp_send_power_updown_phy, "", "");
KSYMTAB_FUNC(drm_dp_send_query_stream_enc_status, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_get_vc_payload_bw, "", "");
KSYMTAB_FUNC(drm_dp_read_mst_cap, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_set_mst, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_suspend, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_resume, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_handle_event, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_send_new_request, "", "");
KSYMTAB_FUNC(drm_dp_mst_detect_port, "", "");
KSYMTAB_FUNC(drm_dp_mst_edid_read, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_edid, "", "");
KSYMTAB_FUNC(drm_dp_atomic_find_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_atomic_release_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_setup_commit, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_dp_mst_root_conn_atomic_check, "", "");
KSYMTAB_FUNC(drm_dp_mst_update_slots, "", "");
KSYMTAB_FUNC(drm_dp_check_act_status, "", "");
KSYMTAB_FUNC(drm_dp_calc_pbn_mode, "", "");
KSYMTAB_FUNC(drm_dp_mst_dump_topology, "", "");
KSYMTAB_FUNC(drm_dp_mst_add_affected_dsc_crtcs, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_enable_dsc, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check, "", "");
KSYMTAB_DATA(drm_dp_mst_topology_state_funcs, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_init, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_destroy, "", "");
KSYMTAB_FUNC(drm_dp_mst_dsc_aux_for_port, "", "");
KSYMTAB_FUNC(drm_dsc_dp_pps_header_init, "", "");
KSYMTAB_FUNC(drm_dsc_dp_rc_buffer_size, "", "");
KSYMTAB_FUNC(drm_dsc_pps_payload_pack, "", "");
KSYMTAB_FUNC(drm_dsc_set_const_params, "", "");
KSYMTAB_FUNC(drm_dsc_set_rc_buf_thresh, "", "");
KSYMTAB_FUNC(drm_dsc_setup_rc_params, "", "");
KSYMTAB_FUNC(drm_dsc_compute_rc_parameters, "", "");
KSYMTAB_FUNC(drm_dsc_get_bpp_int, "", "");
KSYMTAB_FUNC(drm_dsc_initial_scale_value, "", "");
KSYMTAB_FUNC(drm_dsc_flatness_det_thresh, "", "");
KSYMTAB_FUNC(drm_hdcp_check_ksvs_revoked, "_gpl", "");
KSYMTAB_FUNC(drm_connector_attach_content_protection_property, "", "");
KSYMTAB_FUNC(drm_hdcp_update_content_protection, "", "");
KSYMTAB_FUNC(drm_hdmi_infoframe_set_hdr_metadata, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_colorimetry, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_bars, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_content_type, "", "");
KSYMTAB_FUNC(drm_scdc_read, "", "");
KSYMTAB_FUNC(drm_scdc_write, "", "");
KSYMTAB_FUNC(drm_scdc_get_scrambling_status, "", "");
KSYMTAB_FUNC(drm_scdc_set_scrambling, "", "");
KSYMTAB_FUNC(drm_scdc_set_high_tmds_clock_ratio, "", "");
KSYMTAB_FUNC(drm_dp_cec_irq, "", "");
KSYMTAB_FUNC(drm_dp_cec_set_edid, "", "");
KSYMTAB_FUNC(drm_dp_cec_unset_edid, "", "");
KSYMTAB_FUNC(drm_dp_cec_register_connector, "", "");
KSYMTAB_FUNC(drm_dp_cec_unregister_connector, "", "");

SYMBOL_CRC(drm_dp_dual_mode_read, 0xdb0e3f6c, "");
SYMBOL_CRC(drm_dp_dual_mode_write, 0x2b7ce7f1, "");
SYMBOL_CRC(drm_dp_dual_mode_detect, 0x23e2fb4c, "");
SYMBOL_CRC(drm_dp_dual_mode_max_tmds_clock, 0x6922de68, "");
SYMBOL_CRC(drm_dp_dual_mode_get_tmds_output, 0xa9ef7184, "");
SYMBOL_CRC(drm_dp_dual_mode_set_tmds_output, 0x650622ab, "");
SYMBOL_CRC(drm_dp_get_dual_mode_type_name, 0x5407ae9e, "");
SYMBOL_CRC(drm_lspcon_get_mode, 0xad3594da, "");
SYMBOL_CRC(drm_lspcon_set_mode, 0x8859511f, "");
SYMBOL_CRC(drm_dp_channel_eq_ok, 0xedcf81ce, "");
SYMBOL_CRC(drm_dp_clock_recovery_ok, 0x8d701329, "");
SYMBOL_CRC(drm_dp_get_adjust_request_voltage, 0xc5c99a79, "");
SYMBOL_CRC(drm_dp_get_adjust_request_pre_emphasis, 0x582f248e, "");
SYMBOL_CRC(drm_dp_get_adjust_tx_ffe_preset, 0xccf54d5e, "");
SYMBOL_CRC(drm_dp_128b132b_lane_channel_eq_done, 0xc8b6a8ae, "");
SYMBOL_CRC(drm_dp_128b132b_lane_symbol_locked, 0xd5a95eae, "");
SYMBOL_CRC(drm_dp_128b132b_eq_interlane_align_done, 0x6a4df8c5, "");
SYMBOL_CRC(drm_dp_128b132b_cds_interlane_align_done, 0x92b9835e, "");
SYMBOL_CRC(drm_dp_128b132b_link_training_failed, 0x6aacee47, "");
SYMBOL_CRC(drm_dp_read_clock_recovery_delay, 0xdcd647a9, "");
SYMBOL_CRC(drm_dp_read_channel_eq_delay, 0xc946657c, "");
SYMBOL_CRC(drm_dp_128b132b_read_aux_rd_interval, 0x67dbeae8, "");
SYMBOL_CRC(drm_dp_link_train_clock_recovery_delay, 0x5c84b282, "");
SYMBOL_CRC(drm_dp_link_train_channel_eq_delay, 0x5c811099, "");
SYMBOL_CRC(drm_dp_phy_name, 0x5a86f411, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_clock_recovery_delay, 0x1709ddcf, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_channel_eq_delay, 0x82c04c4b, "");
SYMBOL_CRC(drm_dp_link_rate_to_bw_code, 0x26815dbc, "");
SYMBOL_CRC(drm_dp_bw_code_to_link_rate, 0x73011db0, "");
SYMBOL_CRC(drm_dp_dpcd_probe, 0x8b0607f1, "");
SYMBOL_CRC(drm_dp_dpcd_set_powered, 0x27af314f, "");
SYMBOL_CRC(drm_dp_dpcd_read, 0xa781ad76, "");
SYMBOL_CRC(drm_dp_dpcd_write, 0x6f3c3a70, "");
SYMBOL_CRC(drm_dp_dpcd_read_link_status, 0x7df57ccc, "");
SYMBOL_CRC(drm_dp_dpcd_read_phy_link_status, 0x29655945, "");
SYMBOL_CRC(drm_dp_downstream_is_type, 0xc79ecffb, "");
SYMBOL_CRC(drm_dp_downstream_is_tmds, 0x68d8dce7, "");
SYMBOL_CRC(drm_dp_send_real_edid_checksum, 0xee0058be, "");
SYMBOL_CRC(drm_dp_read_dpcd_caps, 0xfe1be505, "");
SYMBOL_CRC(drm_dp_read_downstream_info, 0x5467b2bb, "");
SYMBOL_CRC(drm_dp_downstream_max_dotclock, 0x392a838b, "");
SYMBOL_CRC(drm_dp_downstream_max_tmds_clock, 0x6b53e216, "");
SYMBOL_CRC(drm_dp_downstream_min_tmds_clock, 0x63a477fb, "");
SYMBOL_CRC(drm_dp_downstream_max_bpc, 0x23961837, "");
SYMBOL_CRC(drm_dp_downstream_420_passthrough, 0xf689ad25, "");
SYMBOL_CRC(drm_dp_downstream_444_to_420_conversion, 0x2fa94ef2, "");
SYMBOL_CRC(drm_dp_downstream_rgb_to_ycbcr_conversion, 0xfb1a7a5a, "");
SYMBOL_CRC(drm_dp_downstream_mode, 0xb30891f7, "");
SYMBOL_CRC(drm_dp_downstream_id, 0xe98f50cd, "");
SYMBOL_CRC(drm_dp_downstream_debug, 0x3944d639, "");
SYMBOL_CRC(drm_dp_subconnector_type, 0xf68741fb, "");
SYMBOL_CRC(drm_dp_set_subconnector_property, 0xaf5827ff, "");
SYMBOL_CRC(drm_dp_read_sink_count_cap, 0xac70eede, "");
SYMBOL_CRC(drm_dp_read_sink_count, 0x1f2c34de, "");
SYMBOL_CRC(drm_dp_remote_aux_init, 0x14af1791, "");
SYMBOL_CRC(drm_dp_aux_init, 0x656da1ae, "");
SYMBOL_CRC(drm_dp_aux_register, 0x42f5e241, "");
SYMBOL_CRC(drm_dp_aux_unregister, 0x3ebdd641, "");
SYMBOL_CRC(drm_dp_psr_setup_time, 0xa1fefe6a, "");
SYMBOL_CRC(drm_dp_start_crc, 0x5c314463, "");
SYMBOL_CRC(drm_dp_stop_crc, 0xb444495a, "");
SYMBOL_CRC(drm_dp_read_desc, 0xea637f77, "");
SYMBOL_CRC(drm_dp_dsc_sink_max_slice_count, 0x829b6048, "");
SYMBOL_CRC(drm_dp_dsc_sink_line_buf_depth, 0x56a663e9, "");
SYMBOL_CRC(drm_dp_dsc_sink_supported_input_bpcs, 0xa843606e, "");
SYMBOL_CRC(drm_dp_read_lttpr_common_caps, 0x41176d19, "");
SYMBOL_CRC(drm_dp_read_lttpr_phy_caps, 0xde9e915e, "");
SYMBOL_CRC(drm_dp_lttpr_count, 0xaf267620, "");
SYMBOL_CRC(drm_dp_lttpr_max_link_rate, 0x01c4bba9, "");
SYMBOL_CRC(drm_dp_lttpr_max_lane_count, 0x1605d0ed, "");
SYMBOL_CRC(drm_dp_lttpr_voltage_swing_level_3_supported, 0x1b0a1fdc, "");
SYMBOL_CRC(drm_dp_lttpr_pre_emphasis_level_3_supported, 0x76ff6644, "");
SYMBOL_CRC(drm_dp_get_phy_test_pattern, 0x95502e02, "");
SYMBOL_CRC(drm_dp_set_phy_test_pattern, 0x78bf7afb, "");
SYMBOL_CRC(drm_dp_vsc_sdp_log, 0x3a13d08c, "");
SYMBOL_CRC(drm_dp_get_pcon_max_frl_bw, 0x7053fa72, "");
SYMBOL_CRC(drm_dp_pcon_frl_prepare, 0xf3f501d1, "");
SYMBOL_CRC(drm_dp_pcon_is_frl_ready, 0xaeb37b2b, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_1, 0xa45c011e, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_2, 0x09667302, "");
SYMBOL_CRC(drm_dp_pcon_reset_frl_config, 0x1d3722e2, "");
SYMBOL_CRC(drm_dp_pcon_frl_enable, 0x10514cfc, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_active, 0x84c23434, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_mode, 0xd6cde6d1, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_frl_link_error_count, 0xf5246c5e, "");
SYMBOL_CRC(drm_dp_pcon_enc_is_dsc_1_2, 0x59f27ed7, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slices, 0xe5360b84, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slice_width, 0xc020c0c1, "");
SYMBOL_CRC(drm_dp_pcon_dsc_bpp_incr, 0x4603c416, "");
SYMBOL_CRC(drm_dp_pcon_pps_default, 0xdfc8de7d, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_buf, 0x66a9f273, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_param, 0xb7c50e94, "");
SYMBOL_CRC(drm_dp_pcon_convert_rgb_to_ycbcr, 0x20be7624, "");
SYMBOL_CRC(drm_edp_backlight_set_level, 0x98f9364b, "");
SYMBOL_CRC(drm_edp_backlight_enable, 0xb11bc6ed, "");
SYMBOL_CRC(drm_edp_backlight_disable, 0x344cc351, "");
SYMBOL_CRC(drm_edp_backlight_init, 0x726d2fbb, "");
SYMBOL_CRC(drm_panel_dp_aux_backlight, 0xa6faaf21, "");
SYMBOL_CRC(drm_dp_encode_sideband_req, 0x2483f26c, "");
SYMBOL_CRC(drm_dp_decode_sideband_req, 0xb4f9d898, "");
SYMBOL_CRC(drm_dp_dump_sideband_msg_req_body, 0x59f82ea0, "");
SYMBOL_CRC(drm_dp_mst_get_port_malloc, 0x29256b5b, "");
SYMBOL_CRC(drm_dp_mst_put_port_malloc, 0x978944cf, "");
SYMBOL_CRC(drm_atomic_get_mst_payload_state, 0xc3d52745, "");
SYMBOL_CRC(drm_dp_mst_connector_late_register, 0x2e826751, "");
SYMBOL_CRC(drm_dp_mst_connector_early_unregister, 0x1a36819c, "");
SYMBOL_CRC(drm_dp_send_power_updown_phy, 0x1ef5e7d8, "");
SYMBOL_CRC(drm_dp_send_query_stream_enc_status, 0x11a12c20, "");
SYMBOL_CRC(drm_dp_add_payload_part1, 0x0509f2d9, "");
SYMBOL_CRC(drm_dp_remove_payload, 0x739cbe8d, "");
SYMBOL_CRC(drm_dp_add_payload_part2, 0x66db1690, "");
SYMBOL_CRC(drm_dp_get_vc_payload_bw, 0x9c7ddff7, "");
SYMBOL_CRC(drm_dp_read_mst_cap, 0x56f64954, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_set_mst, 0xe250a699, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_suspend, 0x1ad68c20, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_resume, 0x295a85ea, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_handle_event, 0xfa82477c, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_send_new_request, 0x5fa28663, "");
SYMBOL_CRC(drm_dp_mst_detect_port, 0xcbc59da6, "");
SYMBOL_CRC(drm_dp_mst_edid_read, 0xfd6a030e, "");
SYMBOL_CRC(drm_dp_mst_get_edid, 0x3c9ec336, "");
SYMBOL_CRC(drm_dp_atomic_find_time_slots, 0x55261ce0, "");
SYMBOL_CRC(drm_dp_atomic_release_time_slots, 0xe9ae958d, "");
SYMBOL_CRC(drm_dp_mst_atomic_setup_commit, 0xea20e0ba, "");
SYMBOL_CRC(drm_dp_mst_atomic_wait_for_dependencies, 0xc064c350, "");
SYMBOL_CRC(drm_dp_mst_root_conn_atomic_check, 0xa8b62ca6, "");
SYMBOL_CRC(drm_dp_mst_update_slots, 0xaa3dabe6, "");
SYMBOL_CRC(drm_dp_check_act_status, 0x54f99212, "");
SYMBOL_CRC(drm_dp_calc_pbn_mode, 0xa47826e4, "");
SYMBOL_CRC(drm_dp_mst_dump_topology, 0x3fc3368a, "");
SYMBOL_CRC(drm_dp_mst_add_affected_dsc_crtcs, 0x0dcde2e7, "");
SYMBOL_CRC(drm_dp_mst_atomic_enable_dsc, 0x6cc2e667, "");
SYMBOL_CRC(drm_dp_mst_atomic_check, 0x7a304a74, "");
SYMBOL_CRC(drm_dp_mst_topology_state_funcs, 0xd8f476c8, "");
SYMBOL_CRC(drm_atomic_get_mst_topology_state, 0x93d53a9d, "");
SYMBOL_CRC(drm_atomic_get_old_mst_topology_state, 0x5cc49ee2, "");
SYMBOL_CRC(drm_atomic_get_new_mst_topology_state, 0xa0e047bb, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_init, 0xe49c4558, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_destroy, 0x78cd67f3, "");
SYMBOL_CRC(drm_dp_mst_dsc_aux_for_port, 0x1dc29686, "");
SYMBOL_CRC(drm_dsc_dp_pps_header_init, 0x648d953b, "");
SYMBOL_CRC(drm_dsc_dp_rc_buffer_size, 0x1a5bf3ca, "");
SYMBOL_CRC(drm_dsc_pps_payload_pack, 0x58d8fcaa, "");
SYMBOL_CRC(drm_dsc_set_const_params, 0x627ba04b, "");
SYMBOL_CRC(drm_dsc_set_rc_buf_thresh, 0x24ada755, "");
SYMBOL_CRC(drm_dsc_setup_rc_params, 0x79008c7e, "");
SYMBOL_CRC(drm_dsc_compute_rc_parameters, 0xfe12bcb9, "");
SYMBOL_CRC(drm_dsc_get_bpp_int, 0xd0e95456, "");
SYMBOL_CRC(drm_dsc_initial_scale_value, 0x95883bb4, "");
SYMBOL_CRC(drm_dsc_flatness_det_thresh, 0xe2468a48, "");
SYMBOL_CRC(drm_hdcp_check_ksvs_revoked, 0xf0d4466c, "_gpl");
SYMBOL_CRC(drm_connector_attach_content_protection_property, 0xb62aaafa, "");
SYMBOL_CRC(drm_hdcp_update_content_protection, 0x3c210bed, "");
SYMBOL_CRC(drm_hdmi_infoframe_set_hdr_metadata, 0x0598e914, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_colorimetry, 0x04ec97e1, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_bars, 0x9d64a474, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_content_type, 0x67fa309f, "");
SYMBOL_CRC(drm_scdc_read, 0x50380628, "");
SYMBOL_CRC(drm_scdc_write, 0x468e4b10, "");
SYMBOL_CRC(drm_scdc_get_scrambling_status, 0x31430de0, "");
SYMBOL_CRC(drm_scdc_set_scrambling, 0x4a9a2e75, "");
SYMBOL_CRC(drm_scdc_set_high_tmds_clock_ratio, 0x2fd849a6, "");
SYMBOL_CRC(drm_dp_cec_irq, 0xbbff9c79, "");
SYMBOL_CRC(drm_dp_cec_set_edid, 0x254761e9, "");
SYMBOL_CRC(drm_dp_cec_unset_edid, 0x8da94ce2, "");
SYMBOL_CRC(drm_dp_cec_register_connector, 0x6ecf763b, "");
SYMBOL_CRC(drm_dp_cec_unregister_connector, 0xe905f328, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69353664, "__drm_debug" },
	{ 0xb0124066, "__drm_atomic_helper_private_obj_duplicate_state" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x92152a8d, "drm_atomic_private_obj_fini" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x8a4cb5e2, "drm_property_create_enum" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x3aa8c86e, "drm_dev_printk" },
	{ 0x79f8ce8d, "i2c_del_adapter" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x16aef609, "drm_atomic_get_crtc_state" },
	{ 0xc04bb815, "drm_crtc_wait_one_vblank" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x7e7580ce, "drm_modeset_lock" },
	{ 0xdf0a8aaa, "drm_modeset_unlock" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb853f55d, "_dev_err" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x3b78df03, "device_create" },
	{ 0x22376df7, "class_create" },
	{ 0x8ac32f97, "drm_modeset_lock_single_interruptible" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xc5460995, "fixed_size_llseek" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xa0590974, "drm_crtc_commit_wait" },
	{ 0x89c23410, "drm_atomic_get_new_private_obj_state" },
	{ 0xb212dc3e, "drm_edid_dup" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x21514e63, "cec_unregister_adapter" },
	{ 0x2704b3d1, "drm_object_attach_property" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xea593f6, "hdmi_drm_infoframe_init" },
	{ 0x8b37607, "drm_atomic_get_old_private_obj_state" },
	{ 0xd1ce7f81, "__drm_dev_dbg" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x4489a5e9, "drm_edid_raw" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xadf8c9fc, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9af4e304, "cec_allocate_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0xba56d0d3, "drm_object_property_set_value" },
	{ 0x28779e52, "drm_printf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x191b367c, "drm_kms_helper_hotplug_event" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x29458b4, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x7f8810b, "device_destroy" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7109424, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xe9020b00, "_copy_from_iter" },
	{ 0x5a3aab6, "i2c_transfer" },
	{ 0x11a330dc, "drm_display_mode_from_cea_vic" },
	{ 0xab23235b, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xe6e0c7c7, "cec_fill_conn_info_from_drm" },
	{ 0x30d3781c, "drm_sysfs_connector_property_event" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x7f58efd8, "cec_received_msg_ts" },
	{ 0x7cf19c, "param_ops_int" },
	{ 0xc906d8e1, "_dev_printk" },
	{ 0xe197f6b4, "iov_iter_revert" },
	{ 0x25c3e99a, "devm_backlight_device_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0xa6678879, "drm_atomic_get_connector_state" },
	{ 0x7c545285, "drm_edid_get_monitor_name" },
	{ 0x85429a, "drm_edid_read_ddc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x85fb4327, "cec_register_adapter" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x14560d34, "drm_crtc_add_crc_entry" },
	{ 0x1bdb0f27, "cec_delete_adapter" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x370398d4, "_copy_to_iter" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x20978fb9, "idr_find" },
	{ 0x1be0347c, "drm_connector_register" },
	{ 0xd53067b5, "cec_transmit_attempt_done_ts" },
	{ 0xe7749017, "param_ops_uint" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xfc6ec21f, "devm_kmalloc" },
	{ 0xf824c7db, "__drm_printfn_debug" },
	{ 0x21ba2969, "drm_atomic_get_private_obj_state" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x1768abad, "drm_atomic_private_obj_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xc3794904, "class_destroy" },
	{ 0xf62d6ddf, "cec_s_phys_addr" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x336a27c3, "cec_s_conn_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x17cfbb53, "cec_s_phys_addr_from_edid" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0x7edf470b, "drm_edid_duplicate" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x33a0209, "drm_connector_unregister" },
	{ 0xe2964344, "__wake_up" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf3bcc763, "drm_mode_object_put" },
	{ 0xe168fe48, "dev_driver_string" },
	{ 0xa636c60e, "request_firmware_direct" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "cec");


MODULE_INFO(srcversion, "599B7E8EFD3C7BC3E3271FA");
