#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(pmbus_clear_cache, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_update, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_page, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_fan, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_device, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_cached, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_clear_faults, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_byte_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_word_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_driver_info, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_do_probe, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_debugfs_dir, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_lock_interruptible, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_unlock, "_gpl", "PMBUS");

SYMBOL_CRC(pmbus_clear_cache, 0x8627e2e9, "_gpl");
SYMBOL_CRC(pmbus_set_update, 0x88823662, "_gpl");
SYMBOL_CRC(pmbus_set_page, 0x5b64ee1c, "_gpl");
SYMBOL_CRC(pmbus_write_byte, 0xff8caf32, "_gpl");
SYMBOL_CRC(pmbus_write_word_data, 0xfa095d71, "_gpl");
SYMBOL_CRC(pmbus_update_fan, 0x55a2496c, "_gpl");
SYMBOL_CRC(pmbus_read_word_data, 0x117de538, "_gpl");
SYMBOL_CRC(pmbus_read_byte_data, 0x4d63b1b6, "_gpl");
SYMBOL_CRC(pmbus_write_byte_data, 0x2b9cd445, "_gpl");
SYMBOL_CRC(pmbus_update_byte_data, 0xc60725d6, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_device, 0x874642fe, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_cached, 0xbb3d5907, "_gpl");
SYMBOL_CRC(pmbus_clear_faults, 0xb8a92b3a, "_gpl");
SYMBOL_CRC(pmbus_check_byte_register, 0x9dcc6e33, "_gpl");
SYMBOL_CRC(pmbus_check_word_register, 0x61bf7b40, "_gpl");
SYMBOL_CRC(pmbus_get_driver_info, 0xe9615ac0, "_gpl");
SYMBOL_CRC(pmbus_do_probe, 0x7403807c, "_gpl");
SYMBOL_CRC(pmbus_get_debugfs_dir, 0x83d56c11, "_gpl");
SYMBOL_CRC(pmbus_lock_interruptible, 0x31b4ab36, "_gpl");
SYMBOL_CRC(pmbus_unlock, 0xa3503921, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf7907320, "i2c_smbus_read_block_data" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x211ce9ad, "devm_request_threaded_irq" },
	{ 0x5da8aca0, "__dynamic_dev_dbg" },
	{ 0xb853f55d, "_dev_err" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x10f406dc, "sysfs_notify" },
	{ 0x1efa7f5b, "kobject_uevent" },
	{ 0x3360e1e8, "i2c_smbus_xfer" },
	{ 0xd47100f3, "device_create_file" },
	{ 0x3e5948d2, "__devm_add_action" },
	{ 0x96848186, "scnprintf" },
	{ 0x6e7f1d4a, "debugfs_create_file" },
	{ 0x9166fada, "strncpy" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc1aad374, "devm_kstrdup" },
	{ 0x7410aba2, "strreplace" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5a4a3ee6, "devm_hwmon_device_register_with_groups" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0x9ef9355f, "noop_llseek" },
	{ 0x7d7cf115, "simple_open" },
	{ 0xf02d5644, "debugfs_attr_read" },
	{ 0x1f9d1937, "debugfs_attr_write" },
	{ 0x2717c154, "simple_attr_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc790649b, "i2c_smbus_write_byte_data" },
	{ 0x5728682b, "i2c_smbus_read_byte_data" },
	{ 0x57e4ce1f, "i2c_smbus_write_byte" },
	{ 0xdc13a47a, "i2c_smbus_write_word_data" },
	{ 0xf927e5e2, "i2c_smbus_read_word_data" },
	{ 0xd401cc06, "device_remove_file" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xf9a806ff, "devm_krealloc" },
	{ 0xfc6ec21f, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf29606ab, "debugfs_create_dir" },
	{ 0x6ca64ef8, "debugfs_remove" },
	{ 0xd46a0d6f, "simple_attr_open" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "67A31C999EB77224BA3E706");
