#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rvt_alloc_device, "", "");
KSYMTAB_FUNC(rvt_dealloc_device, "", "");
KSYMTAB_FUNC(rvt_register_device, "", "");
KSYMTAB_FUNC(rvt_unregister_device, "", "");
KSYMTAB_FUNC(rvt_init_port, "", "");
KSYMTAB_FUNC(rvt_check_ah, "", "");
KSYMTAB_FUNC(rvt_cq_enter, "", "");
KSYMTAB_FUNC(rvt_mcast_find, "", "");
KSYMTAB_FUNC(rvt_fast_reg_mr, "", "");
KSYMTAB_FUNC(rvt_invalidate_rkey, "", "");
KSYMTAB_FUNC(rvt_lkey_ok, "", "");
KSYMTAB_FUNC(rvt_rkey_ok, "", "");
KSYMTAB_DATA(ib_rvt_state_ops, "", "");
KSYMTAB_FUNC(rvt_error_qp, "", "");
KSYMTAB_FUNC(rvt_get_rwqe, "", "");
KSYMTAB_FUNC(rvt_comm_est, "", "");
KSYMTAB_FUNC(rvt_rc_error, "", "");
KSYMTAB_FUNC(rvt_rnr_tbl_to_usec, "", "");
KSYMTAB_FUNC(rvt_add_retry_timer_ext, "", "");
KSYMTAB_FUNC(rvt_add_rnr_timer, "", "");
KSYMTAB_FUNC(rvt_stop_rc_timers, "", "");
KSYMTAB_FUNC(rvt_del_timers_sync, "", "");
KSYMTAB_FUNC(rvt_rc_rnr_retry, "", "");
KSYMTAB_FUNC(rvt_qp_iter_init, "", "");
KSYMTAB_FUNC(rvt_qp_iter_next, "", "");
KSYMTAB_FUNC(rvt_qp_iter, "", "");
KSYMTAB_FUNC(rvt_send_complete, "", "");
KSYMTAB_FUNC(rvt_copy_sge, "", "");
KSYMTAB_FUNC(rvt_ruc_loopback, "", "");
KSYMTAB_FUNC(rvt_compute_aeth, "", "");
KSYMTAB_FUNC(rvt_get_credit, "", "");
KSYMTAB_FUNC(rvt_restart_sge, "", "");

SYMBOL_CRC(rvt_alloc_device, 0x1f0964f2, "");
SYMBOL_CRC(rvt_dealloc_device, 0xe62cc84a, "");
SYMBOL_CRC(rvt_register_device, 0xaf3b17ed, "");
SYMBOL_CRC(rvt_unregister_device, 0x3a416c15, "");
SYMBOL_CRC(rvt_init_port, 0x3fdee6fa, "");
SYMBOL_CRC(rvt_check_ah, 0x1f0284c4, "");
SYMBOL_CRC(rvt_cq_enter, 0xf8f11701, "");
SYMBOL_CRC(rvt_mcast_find, 0xe33136a2, "");
SYMBOL_CRC(rvt_fast_reg_mr, 0xa1f316a0, "");
SYMBOL_CRC(rvt_invalidate_rkey, 0x5e10a21b, "");
SYMBOL_CRC(rvt_lkey_ok, 0x47f48c16, "");
SYMBOL_CRC(rvt_rkey_ok, 0x83a3ac8a, "");
SYMBOL_CRC(ib_rvt_state_ops, 0x0e385842, "");
SYMBOL_CRC(rvt_error_qp, 0x076b80ac, "");
SYMBOL_CRC(rvt_get_rwqe, 0x9d6a83e9, "");
SYMBOL_CRC(rvt_comm_est, 0xa17b0d16, "");
SYMBOL_CRC(rvt_rc_error, 0xdc511f41, "");
SYMBOL_CRC(rvt_rnr_tbl_to_usec, 0xe9cf3e43, "");
SYMBOL_CRC(rvt_add_retry_timer_ext, 0xa82845d5, "");
SYMBOL_CRC(rvt_add_rnr_timer, 0x47596db5, "");
SYMBOL_CRC(rvt_stop_rc_timers, 0xd90e63d4, "");
SYMBOL_CRC(rvt_del_timers_sync, 0x15c954b4, "");
SYMBOL_CRC(rvt_rc_rnr_retry, 0x2ddc2237, "");
SYMBOL_CRC(rvt_qp_iter_init, 0x62f10dd9, "");
SYMBOL_CRC(rvt_qp_iter_next, 0x7ca4f356, "");
SYMBOL_CRC(rvt_qp_iter, 0x58bfd95b, "");
SYMBOL_CRC(rvt_send_complete, 0x80cd4237, "");
SYMBOL_CRC(rvt_copy_sge, 0xe76918c9, "");
SYMBOL_CRC(rvt_ruc_loopback, 0x071f9cfc, "");
SYMBOL_CRC(rvt_compute_aeth, 0x0122504c, "");
SYMBOL_CRC(rvt_get_credit, 0x2b16ce24, "");
SYMBOL_CRC(rvt_restart_sge, 0xe9734a5b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa5526619, "rb_insert_color" },
	{ 0x3aff9ce5, "_ib_alloc_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7816f98d, "trace_event_buffer_commit" },
	{ 0x7dd66b83, "ib_unregister_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x851b933c, "ib_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5635a60a, "vmalloc_user" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xabf6250d, "kmalloc_node_trace" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x591b192f, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xeeedd54b, "ib_unregister_mad_agent" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x6435d0f9, "perf_trace_run_bpf_submit" },
	{ 0xcf6b4bd9, "rdma_destroy_ah_attr" },
	{ 0xb853f55d, "_dev_err" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x409b1dff, "bpf_trace_run5" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xb46f542d, "ib_umem_get" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xef84880e, "ib_query_port" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x5122d8a0, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x9ce3a4e4, "rdma_destroy_ah_user" },
	{ 0x2ec9c50a, "ib_dealloc_device" },
	{ 0x4ca5d19, "ib_free_send_mad" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe0942c61, "bpf_trace_run3" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x999e8297, "vfree" },
	{ 0x55254fa2, "trace_event_buffer_reserve" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x78d27962, "boot_cpu_data" },
	{ 0xfdc2d3ad, "ib_register_mad_agent" },
	{ 0x3b423410, "__copy_user_nocache" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x11a5633e, "remap_vmalloc_range" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x7c12b648, "rdma_replace_ah_attr" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x45d246da, "node_to_cpumask_map" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0xf61cffb8, "ib_set_device_ops" },
	{ 0x61d24c52, "ib_rate_to_mbps" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4861864, "rdma_copy_ah_attr" },
	{ 0xe914e41e, "strcpy" },
	{ 0x3de1e693, "ib_umem_release" },
	{ 0x23fd3028, "vmalloc_node" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9e0c711d, "vzalloc_node" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0xa4cbedd, "trace_raw_output_prep" },
	{ 0x338e80e9, "hrtimer_try_to_cancel" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe8e0ed1e, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x65a259b6, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x73baf9a2, "ib_modify_qp_is_ok" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x5b50ae95, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x644b481, "ib_sg_to_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe8690ce1, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "ib_core,ib_uverbs");


MODULE_INFO(srcversion, "ED8D30DB8BC26639765D111");
