#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(raid5_set_cache_size, "", "");
KSYMTAB_FUNC(r5c_journal_mode_set, "", "");

SYMBOL_CRC(raid5_set_cache_size, 0x75aa97c6, "");
SYMBOL_CRC(r5c_journal_mode_set, 0x327e1bf9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x956e43c5, "md_account_bio" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe1271bb5, "md_write_inc" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x5655ca4e, "unregister_md_personality" },
	{ 0x475608e1, "blk_queue_max_write_zeroes_sectors" },
	{ 0x7412171f, "md_bitmap_unplug" },
	{ 0x6d7f1d84, "bio_uninit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x93067637, "param_ops_bool" },
	{ 0xda68f132, "bioset_init" },
	{ 0xe6e6b684, "md_new_event" },
	{ 0x7c941bce, "async_syndrome_val" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xe091c977, "list_sort" },
	{ 0x9c49bb9, "alloc_pages" },
	{ 0x991d34a3, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xacf7679, "dma_issue_pending_all" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7109424, "seq_printf" },
	{ 0x118f43e0, "md_write_end" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xc6dd9458, "blk_queue_io_min" },
	{ 0xdf747831, "md_check_recovery" },
	{ 0x4354e1d7, "md_bitmap_endwrite" },
	{ 0xd0116986, "__tracepoint_block_bio_remap" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xa7f21240, "blkdev_issue_flush" },
	{ 0x79065b69, "mddev_suspend" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x9b41ceee, "badblocks_check" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x1bbab994, "blk_queue_max_hw_sectors" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6bad4e36, "rdev_set_badblocks" },
	{ 0xa2b193fd, "bio_alloc_bioset" },
	{ 0x450f6c9, "blk_queue_io_opt" },
	{ 0xcba66658, "async_raid6_datap_recov" },
	{ 0x2c029d51, "submit_bio_wait" },
	{ 0x19ac0ff7, "__cpuhp_remove_state" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0x38e46431, "mempool_exit" },
	{ 0xa71ccb69, "kmem_cache_destroy" },
	{ 0x87938e5c, "bio_split" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x32924564, "blkdev_issue_discard" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x43e80e9a, "set_disk_ro" },
	{ 0xda008d12, "register_md_personality" },
	{ 0xc91fdf58, "percpu_ref_is_zero" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x566507ee, "__bio_add_page" },
	{ 0xfb655096, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x951d9680, "md_bitmap_resize" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0xc373d584, "mddev_init_writes_pending" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x215e180, "md_find_rdev_rcu" },
	{ 0x2c93021e, "mddev_resume" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x12189359, "__SCT__tp_func_block_unplug" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x42a564b2, "md_bitmap_start_sync" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xb1bd8a60, "md_bitmap_cond_end_sync" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7e965a34, "md_error" },
	{ 0x773af718, "async_xor_val_offs" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0x15c85de3, "mempool_init" },
	{ 0xe5fc3b34, "register_shrinker" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x5dfe70ba, "md_bitmap_startwrite" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x797c6d1e, "md_finish_reshape" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0xf5dcebc, "async_gen_syndrome" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x22cb5a42, "md_unregister_thread" },
	{ 0xb76bc482, "__put_devmap_managed_page_refs" },
	{ 0x3e2dc8ad, "sync_page_io" },
	{ 0xf83665b8, "md_bitmap_close_sync" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0xd4fbd8af, "kmem_cache_create" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x4d0de428, "kthread_park" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0xf1550601, "kernfs_notify" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbddb7dca, "md_wakeup_thread" },
	{ 0x8fa8aca1, "__cpuhp_state_remove_instance" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xac2d12c9, "md_set_array_sectors" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x12b8758f, "md_allow_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb8aaa661, "rdev_clear_badblocks" },
	{ 0x41efdeaf, "radix_tree_lookup_slot" },
	{ 0x10800a58, "async_tx_quiesce" },
	{ 0x7d1d3961, "md_write_start" },
	{ 0x6d12832d, "blk_queue_flag_set" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0xc3762aec, "mempool_alloc" },
	{ 0xa7e43a05, "unregister_shrinker" },
	{ 0x69049cd2, "radix_tree_replace_slot" },
	{ 0x618911fc, "numa_node" },
	{ 0xc728c6f4, "async_xor" },
	{ 0x5fd94173, "__free_pages" },
	{ 0xaada9d35, "kmem_cache_alloc" },
	{ 0x2c41cb18, "async_xor_offs" },
	{ 0xbb0094c0, "blk_finish_plug" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x7c452f76, "submit_bio" },
	{ 0x26bb74e0, "blk_queue_flag_clear" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x38a1a970, "sysfs_create_link" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x42cb488f, "kthread_unpark" },
	{ 0x121a6817, "bioset_exit" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x25985f18, "md_done_sync" },
	{ 0x9688a934, "bio_put" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x48b80a90, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0xfd7e8d70, "md_wait_for_blocked_rdev" },
	{ 0x6d60aed9, "__SCK__tp_func_block_bio_remap" },
	{ 0x97fa317c, "__cpuhp_setup_state" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7c3fe2e8, "async_memcpy" },
	{ 0xb3ac7e7, "submit_bio_noacct" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x11dbe881, "kmem_cache_free" },
	{ 0x925493f, "clear_page_orig" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x5a921311, "strncmp" },
	{ 0xbc6d520e, "mddev_unlock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x493ffea6, "__tracepoint_block_unplug" },
	{ 0xedc6e0df, "bio_chain" },
	{ 0x69c78596, "__blk_trace_note_message" },
	{ 0x789c934a, "blkdev_issue_zeroout" },
	{ 0x7faf378c, "disk_stack_limits" },
	{ 0xaa87cf19, "__cpuhp_state_add_instance" },
	{ 0x10a65d23, "async_trigger_callback" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xe4ec6506, "md_do_sync" },
	{ 0x2154feb2, "async_raid6_2data_recov" },
	{ 0x85ad53f8, "bio_add_page" },
	{ 0x7ee98845, "__SCK__tp_func_block_unplug" },
	{ 0xcf6ed933, "md_bitmap_end_sync" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf472ae22, "md_update_sb" },
	{ 0xd831d2af, "blk_queue_max_discard_sectors" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x81767c57, "sysfs_create_group" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x48c093fb, "_atomic_dec_and_lock_irqsave" },
	{ 0xa26ec4a0, "md_flush_request" },
	{ 0xbe9993c9, "bio_init" },
	{ 0x940d0ed1, "md_register_thread" },
	{ 0xfb578fc5, "memset" },
	{ 0xc1b50ae1, "bio_alloc_clone" },
	{ 0x804a5b70, "raid6_call" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xd27b25dd, "blk_check_plugged" },
	{ 0x2df98feb, "blk_queue_max_segments" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "async_pq,async_raid6_recov,async_xor,async_tx,async_memcpy,raid6_pq");


MODULE_INFO(srcversion, "6B38F214783018F27A40066");
