#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mpt_fwfault_debug, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_get_num_paths, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg1, "", "");
KSYMTAB_FUNC(mpt_set_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_clear_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_halt_firmware, "", "");
KSYMTAB_FUNC(mpt_Soft_Hard_ResetHandler, "", "");
KSYMTAB_FUNC(mpt_attach, "", "");
KSYMTAB_FUNC(mpt_detach, "", "");
KSYMTAB_FUNC(mpt_resume, "", "");
KSYMTAB_FUNC(mpt_suspend, "", "");
KSYMTAB_DATA(ioc_list, "", "");
KSYMTAB_FUNC(mpt_register, "", "");
KSYMTAB_FUNC(mpt_deregister, "", "");
KSYMTAB_FUNC(mpt_event_register, "", "");
KSYMTAB_FUNC(mpt_event_deregister, "", "");
KSYMTAB_FUNC(mpt_reset_register, "", "");
KSYMTAB_FUNC(mpt_reset_deregister, "", "");
KSYMTAB_FUNC(mpt_device_driver_register, "", "");
KSYMTAB_FUNC(mpt_device_driver_deregister, "", "");
KSYMTAB_FUNC(mpt_get_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame_hi_pri, "", "");
KSYMTAB_FUNC(mpt_free_msg_frame, "", "");
KSYMTAB_FUNC(mpt_send_handshake_request, "", "");
KSYMTAB_FUNC(mpt_verify_adapter, "", "");
KSYMTAB_FUNC(mpt_GetIocState, "", "");
KSYMTAB_FUNC(mpt_print_ioc_summary, "", "");
KSYMTAB_FUNC(mpt_HardResetHandler, "", "");
KSYMTAB_FUNC(mpt_config, "", "");
KSYMTAB_FUNC(mpt_findImVolumes, "", "");
KSYMTAB_FUNC(mpt_alloc_fw_memory, "", "");
KSYMTAB_FUNC(mpt_free_fw_memory, "", "");
KSYMTAB_FUNC(mptbase_sas_persist_operation, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg0, "", "");

SYMBOL_CRC(mpt_fwfault_debug, 0x502108d0, "");
SYMBOL_CRC(mpt_raid_phys_disk_get_num_paths, 0x1baddadc, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg1, 0xb903bf8e, "");
SYMBOL_CRC(mpt_set_taskmgmt_in_progress_flag, 0xd4db660a, "");
SYMBOL_CRC(mpt_clear_taskmgmt_in_progress_flag, 0x3d1743bd, "");
SYMBOL_CRC(mpt_halt_firmware, 0x445f80eb, "");
SYMBOL_CRC(mpt_Soft_Hard_ResetHandler, 0xddd67088, "");
SYMBOL_CRC(mpt_attach, 0x7f93637f, "");
SYMBOL_CRC(mpt_detach, 0xfc37e665, "");
SYMBOL_CRC(mpt_resume, 0x035d7e3c, "");
SYMBOL_CRC(mpt_suspend, 0x8e9c6777, "");
SYMBOL_CRC(ioc_list, 0xdd805159, "");
SYMBOL_CRC(mpt_register, 0x556f427c, "");
SYMBOL_CRC(mpt_deregister, 0x981efe92, "");
SYMBOL_CRC(mpt_event_register, 0x4ecca2d5, "");
SYMBOL_CRC(mpt_event_deregister, 0xe6c1e126, "");
SYMBOL_CRC(mpt_reset_register, 0x4d072a74, "");
SYMBOL_CRC(mpt_reset_deregister, 0x610b257e, "");
SYMBOL_CRC(mpt_device_driver_register, 0x2d5e17cd, "");
SYMBOL_CRC(mpt_device_driver_deregister, 0x74a0134a, "");
SYMBOL_CRC(mpt_get_msg_frame, 0xea2be29a, "");
SYMBOL_CRC(mpt_put_msg_frame, 0xa557e1d1, "");
SYMBOL_CRC(mpt_put_msg_frame_hi_pri, 0x6dbae4e5, "");
SYMBOL_CRC(mpt_free_msg_frame, 0xb0978883, "");
SYMBOL_CRC(mpt_send_handshake_request, 0x77edc23c, "");
SYMBOL_CRC(mpt_verify_adapter, 0xe27d4540, "");
SYMBOL_CRC(mpt_GetIocState, 0x3a453639, "");
SYMBOL_CRC(mpt_print_ioc_summary, 0xf7576279, "");
SYMBOL_CRC(mpt_HardResetHandler, 0xafa01baa, "");
SYMBOL_CRC(mpt_config, 0xbadc19f9, "");
SYMBOL_CRC(mpt_findImVolumes, 0x2917d769, "");
SYMBOL_CRC(mpt_alloc_fw_memory, 0x4bc7bb4d, "");
SYMBOL_CRC(mpt_free_fw_memory, 0xb9edf16a, "");
SYMBOL_CRC(mptbase_sas_persist_operation, 0x02ab9a13, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg0, 0x4f786ade, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4396602e, "dma_set_mask" },
	{ 0x1026444d, "pci_release_selected_regions" },
	{ 0x8941e0e8, "pci_disable_device" },
	{ 0xa5aa685b, "dma_set_coherent_mask" },
	{ 0xde80cd09, "ioremap" },
	{ 0xfb578fc5, "memset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5844309a, "pci_get_slot" },
	{ 0x57191756, "pci_dev_put" },
	{ 0xffcaaff, "remove_proc_entry" },
	{ 0xf1e046cc, "panic" },
	{ 0xa6257a2f, "complete" },
	{ 0xc4a7c338, "param_set_int" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xda754828, "dma_alloc_attrs" },
	{ 0xd7f80d10, "seq_putc" },
	{ 0x8b131c3, "pci_choose_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x986d6339, "pci_save_state" },
	{ 0xbce62797, "pci_set_power_state" },
	{ 0xca675898, "pci_disable_msi" },
	{ 0x94686cc8, "proc_mkdir" },
	{ 0xd7c469d6, "proc_create_single_data" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x37a0cba, "kfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xbe400d07, "pci_read_config_word" },
	{ 0x2ac7ea93, "pci_write_config_word" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xedc03953, "iounmap" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x6d57bd5c, "pci_set_master" },
	{ 0x28b05f52, "pci_enable_device" },
	{ 0x84b241b0, "pci_enable_msi" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xd7d4b590, "kthread_create_on_node" },
	{ 0x1a53c964, "wake_up_process" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb1cdd034, "pci_read_config_byte" },
	{ 0xb6571a30, "pci_write_config_byte" },
	{ 0xb4a794ec, "pci_enable_wake" },
	{ 0x26dfd906, "pci_restore_state" },
	{ 0x7cf19c, "param_ops_int" },
	{ 0x8f3a4130, "param_get_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xdd64e639, "strscpy" },
	{ 0x122c3a7e, "_printk" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf9a482f9, "msleep" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x7109424, "seq_printf" },
	{ 0xc4b29de0, "pci_stop_and_remove_bus_device_locked" },
	{ 0x62e6f572, "dma_free_attrs" },
	{ 0x8c5f0ff3, "pci_select_bars" },
	{ 0x788f0b04, "pci_enable_device_mem" },
	{ 0xb9266da5, "pci_request_selected_regions" },
	{ 0x1a980301, "dma_get_required_mask" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "62D9AFFB0F808AD664CEA05");
