#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ubi_do_get_device_info, "_gpl", "");
KSYMTAB_FUNC(ubi_get_device_info, "_gpl", "");
KSYMTAB_FUNC(ubi_get_volume_info, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume_nm, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume_path, "_gpl", "");
KSYMTAB_FUNC(ubi_close_volume, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_read, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_read_sg, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_write, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_change, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_erase, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_unmap, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_map, "_gpl", "");
KSYMTAB_FUNC(ubi_is_mapped, "_gpl", "");
KSYMTAB_FUNC(ubi_sync, "_gpl", "");
KSYMTAB_FUNC(ubi_flush, "_gpl", "");
KSYMTAB_FUNC(ubi_register_volume_notifier, "_gpl", "");
KSYMTAB_FUNC(ubi_unregister_volume_notifier, "_gpl", "");

SYMBOL_CRC(ubi_do_get_device_info, 0x20d5601c, "_gpl");
SYMBOL_CRC(ubi_get_device_info, 0x66011ab6, "_gpl");
SYMBOL_CRC(ubi_get_volume_info, 0xc837aced, "_gpl");
SYMBOL_CRC(ubi_open_volume, 0x2c0b080b, "_gpl");
SYMBOL_CRC(ubi_open_volume_nm, 0xcef11122, "_gpl");
SYMBOL_CRC(ubi_open_volume_path, 0xfe88a954, "_gpl");
SYMBOL_CRC(ubi_close_volume, 0x3aa5faf2, "_gpl");
SYMBOL_CRC(ubi_leb_read, 0x03af3b54, "_gpl");
SYMBOL_CRC(ubi_leb_read_sg, 0xd0f85383, "_gpl");
SYMBOL_CRC(ubi_leb_write, 0x7b95135a, "_gpl");
SYMBOL_CRC(ubi_leb_change, 0xf82bbd47, "_gpl");
SYMBOL_CRC(ubi_leb_erase, 0x6e1dc013, "_gpl");
SYMBOL_CRC(ubi_leb_unmap, 0xbe93e67b, "_gpl");
SYMBOL_CRC(ubi_leb_map, 0x2962ce88, "_gpl");
SYMBOL_CRC(ubi_is_mapped, 0x9ed56ac5, "_gpl");
SYMBOL_CRC(ubi_sync, 0x42801d20, "_gpl");
SYMBOL_CRC(ubi_flush, 0x38e10c1d, "_gpl");
SYMBOL_CRC(ubi_register_volume_notifier, 0xf5ee9ba8, "_gpl");
SYMBOL_CRC(ubi_unregister_volume_notifier, 0x85a8ee76, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xef39ce92, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xaada9d35, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xc6cbbc89, "capable" },
	{ 0x8e90385d, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x5304c04, "compat_ptr_ioctl" },
	{ 0x30ed3c4e, "cdev_add" },
	{ 0x27de1186, "mtd_block_markbad" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x7d7cf115, "simple_open" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x11dbe881, "kmem_cache_free" },
	{ 0x6ca64ef8, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xc5460995, "fixed_size_llseek" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x8362d28, "put_mtd_device" },
	{ 0x1c153357, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcada67, "mtd_read" },
	{ 0xd697f068, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x31d42bf4, "freezing_slow_path" },
	{ 0x61ede170, "device_register" },
	{ 0xfb578fc5, "memset" },
	{ 0x6931babc, "kern_path" },
	{ 0x44c0914d, "misc_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xece784c2, "rb_first" },
	{ 0xa5404817, "mtd_erase" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd7d4b590, "kthread_create_on_node" },
	{ 0x61409eae, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x40305fb8, "mtd_write" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x6e7f1d4a, "debugfs_create_file" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x999e8297, "vfree" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7109424, "seq_printf" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xb9cd58e0, "mtd_get_device_size" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xab23235b, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2b582a1a, "seq_open" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xf29606ab, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x38b48c4d, "mtd_block_isbad" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x53b954a2, "up_read" },
	{ 0xd18ebda1, "class_register" },
	{ 0x740638f5, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0x7698fe05, "cdev_del" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa71ccb69, "kmem_cache_destroy" },
	{ 0x760a0f4f, "yield" },
	{ 0x6f8442c4, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x3edda8b5, "misc_deregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x335fc4fb, "vfs_getattr" },
	{ 0xdf2c2742, "rb_last" },
	{ 0x19160e4d, "dev_set_name" },
	{ 0xd7c32c4e, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xba0b481c, "cdev_device_del" },
	{ 0x81335b6f, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0xd428971f, "device_initialize" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0xdfc6e05a, "seq_lseek" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xd4fbd8af, "kmem_cache_create" },
	{ 0xe1740888, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x89caf87c, "get_mtd_device_nm" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9c447867, "path_put" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x105d8e9, "get_mtd_device" },
	{ 0x1a53c964, "wake_up_process" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x122c3a7e, "_printk" },
	{ 0xaa1d402a, "cdev_device_add" },
	{ 0x1000e51, "schedule" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "mtd");


MODULE_INFO(srcversion, "CF39C1057E2E8BE883B7974");
