#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(can_put_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_free_echo_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canfd_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canxl_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_err_skb, "_gpl", "");
KSYMTAB_FUNC(can_dropped_invalid_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_state_str, "_gpl", "");
KSYMTAB_FUNC(can_change_state, "_gpl", "");
KSYMTAB_FUNC(can_bus_off, "_gpl", "");
KSYMTAB_FUNC(alloc_candev_mqs, "_gpl", "");
KSYMTAB_FUNC(free_candev, "_gpl", "");
KSYMTAB_FUNC(can_change_mtu, "_gpl", "");
KSYMTAB_FUNC(can_eth_ioctl_hwts, "", "");
KSYMTAB_FUNC(can_ethtool_op_get_ts_info_hwts, "", "");
KSYMTAB_FUNC(open_candev, "_gpl", "");
KSYMTAB_FUNC(close_candev, "_gpl", "");
KSYMTAB_FUNC(register_candev, "_gpl", "");
KSYMTAB_FUNC(unregister_candev, "_gpl", "");
KSYMTAB_FUNC(safe_candev_priv, "_gpl", "");
KSYMTAB_FUNC(can_fd_dlc2len, "_gpl", "");
KSYMTAB_FUNC(can_fd_len2dlc, "_gpl", "");
KSYMTAB_FUNC(can_skb_get_frame_len, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_offload_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_offload_fifo, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_queue_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_get_echo_skb_queue_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_queue_tail, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_get_echo_skb_queue_tail, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_finish, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_threaded_irq_finish, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_fifo, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_manual, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_enable, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_del, "_gpl", "");

SYMBOL_CRC(can_put_echo_skb, 0xa07d184a, "_gpl");
SYMBOL_CRC(can_get_echo_skb, 0x1d2b0648, "_gpl");
SYMBOL_CRC(can_free_echo_skb, 0x9e88ae46, "_gpl");
SYMBOL_CRC(alloc_can_skb, 0x615f61b1, "_gpl");
SYMBOL_CRC(alloc_canfd_skb, 0x547a2377, "_gpl");
SYMBOL_CRC(alloc_canxl_skb, 0xc0d1a3ca, "_gpl");
SYMBOL_CRC(alloc_can_err_skb, 0x61c1c125, "_gpl");
SYMBOL_CRC(can_dropped_invalid_skb, 0xe6ce90bb, "_gpl");
SYMBOL_CRC(can_get_state_str, 0x10d892eb, "_gpl");
SYMBOL_CRC(can_change_state, 0x21f68b86, "_gpl");
SYMBOL_CRC(can_bus_off, 0x3879f6e5, "_gpl");
SYMBOL_CRC(alloc_candev_mqs, 0x6127c46b, "_gpl");
SYMBOL_CRC(free_candev, 0x2aff0fa5, "_gpl");
SYMBOL_CRC(can_change_mtu, 0xf57ec0de, "_gpl");
SYMBOL_CRC(can_eth_ioctl_hwts, 0x0ff7d43e, "");
SYMBOL_CRC(can_ethtool_op_get_ts_info_hwts, 0x543573bc, "");
SYMBOL_CRC(open_candev, 0xe41b547d, "_gpl");
SYMBOL_CRC(close_candev, 0x1b5fde05, "_gpl");
SYMBOL_CRC(register_candev, 0x8bdd9747, "_gpl");
SYMBOL_CRC(unregister_candev, 0xf15bbfbc, "_gpl");
SYMBOL_CRC(safe_candev_priv, 0x50cfffd8, "_gpl");
SYMBOL_CRC(can_fd_dlc2len, 0xf12d9387, "_gpl");
SYMBOL_CRC(can_fd_len2dlc, 0x6047ede6, "_gpl");
SYMBOL_CRC(can_skb_get_frame_len, 0x4aa28988, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_offload_timestamp, 0xaa5f7e60, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_offload_fifo, 0x6304d6a2, "_gpl");
SYMBOL_CRC(can_rx_offload_queue_timestamp, 0xb9d38ad8, "_gpl");
SYMBOL_CRC(can_rx_offload_get_echo_skb_queue_timestamp, 0xb98272ed, "_gpl");
SYMBOL_CRC(can_rx_offload_queue_tail, 0x624e232f, "_gpl");
SYMBOL_CRC(can_rx_offload_get_echo_skb_queue_tail, 0x9703a719, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_finish, 0xc2af5bcb, "_gpl");
SYMBOL_CRC(can_rx_offload_threaded_irq_finish, 0xd785273e, "_gpl");
SYMBOL_CRC(can_rx_offload_add_timestamp, 0x101a456c, "_gpl");
SYMBOL_CRC(can_rx_offload_add_fifo, 0x9009d623, "_gpl");
SYMBOL_CRC(can_rx_offload_add_manual, 0x7a25bb7d, "_gpl");
SYMBOL_CRC(can_rx_offload_enable, 0x37ec3611, "_gpl");
SYMBOL_CRC(can_rx_offload_del, 0x669f38fe, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2be096d9, "rtnl_link_register" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0x2c145a85, "netdev_warn" },
	{ 0xaef269, "devm_gpiod_get_optional" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x469497b4, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5da8aca0, "__dynamic_dev_dbg" },
	{ 0x693a9460, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x824f5862, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf2dc7718, "napi_complete_done" },
	{ 0x9212808a, "alloc_netdev_mqs" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe86b53e0, "__napi_schedule" },
	{ 0xdbe919e0, "device_property_read_u32_array" },
	{ 0x99f5fca7, "rtnl_link_unregister" },
	{ 0x86564197, "kfree_skb_reason" },
	{ 0x468fd87f, "napi_enable" },
	{ 0x9e7e1368, "netif_receive_skb" },
	{ 0xd5a43273, "nla_put" },
	{ 0xfd57cfc0, "register_netdev" },
	{ 0x19e7a957, "free_netdev" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x285c516d, "sock_efree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x513a6e20, "netif_rx" },
	{ 0xa0cc62e3, "__netdev_alloc_skb" },
	{ 0x838fc730, "skb_trim" },
	{ 0xadc69a5f, "__dynamic_netdev_dbg" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf20f992a, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8bcb3fdf, "skb_clone" },
	{ 0x68b91085, "netif_carrier_on" },
	{ 0x140ebacd, "dev_err_probe" },
	{ 0xe496c9fc, "napi_schedule_prep" },
	{ 0xa0410ee2, "dev_kfree_skb_any_reason" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x589d96cd, "skb_clone_tx_timestamp" },
	{ 0x5b6f8c26, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x79856fee, "skb_put" },
	{ 0x31df93b3, "gpiod_set_value" },
	{ 0x64dfaea7, "skb_tstamp_tx" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xe7251df7, "consume_skb" },
	{ 0x81f74173, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8614e316, "unregister_netdev" },
	{ 0xcaccbaf5, "skb_dequeue" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "19924326AF55730FADE0FB2");
