#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(be_roce_mcc_cmd, "", "");
KSYMTAB_FUNC(be_roce_register_driver, "", "");
KSYMTAB_FUNC(be_roce_unregister_driver, "", "");

SYMBOL_CRC(be_roce_mcc_cmd, 0x4e2e10d2, "");
SYMBOL_CRC(be_roce_register_driver, 0x6fd392b3, "");
SYMBOL_CRC(be_roce_unregister_driver, 0x83390af7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x478d2a9e, "ethtool_op_get_link" },
	{ 0xacec49d8, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x3345c342, "pci_iounmap" },
	{ 0x26dfd906, "pci_restore_state" },
	{ 0x66e94de6, "netif_tx_wake_queue" },
	{ 0xc3b1bf66, "dma_sync_single_for_cpu" },
	{ 0x5a4a3ee6, "devm_hwmon_device_register_with_groups" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0x6d57bd5c, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa405c525, "__pskb_pull_tail" },
	{ 0xafcf325f, "netif_tx_lock" },
	{ 0xa0cc62e3, "__netdev_alloc_skb" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa5aa685b, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x62e6f572, "dma_free_attrs" },
	{ 0xb4a794ec, "pci_enable_wake" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd4ef9091, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9c49bb9, "alloc_pages" },
	{ 0x991d34a3, "__folio_put" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf20f992a, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8bcb3fdf, "skb_clone" },
	{ 0x342a8eec, "__hw_addr_sync_dev" },
	{ 0x7f2422a5, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x68b91085, "netif_carrier_on" },
	{ 0xd87896ba, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8941e0e8, "pci_disable_device" },
	{ 0x4396602e, "dma_set_mask" },
	{ 0xc001370d, "netif_set_tso_max_size" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0xe496c9fc, "napi_schedule_prep" },
	{ 0xffeb8cfc, "pci_sriov_set_totalvfs" },
	{ 0x754d539c, "strlen" },
	{ 0xe9927733, "napi_disable" },
	{ 0xa0410ee2, "dev_kfree_skb_any_reason" },
	{ 0xc906d8e1, "_dev_printk" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa4ed0033, "pci_enable_sriov" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd2256dd7, "pci_write_config_dword" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0x5b6f8c26, "netdev_info" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xe921ae40, "alloc_etherdev_mqs" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x986d6339, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa5629620, "__skb_pad" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xed82a673, "napi_gro_frags" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa87083f1, "skb_copy_bits" },
	{ 0xe7749017, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x28b05f52, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x145807e, "param_ops_ushort" },
	{ 0xe7251df7, "consume_skb" },
	{ 0xc33f127f, "pci_iomap" },
	{ 0xb0e602eb, "memmove" },
	{ 0x81f74173, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x35aebe6a, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xaa8c2aa1, "ndo_dflt_bridge_getlink" },
	{ 0x8614e316, "unregister_netdev" },
	{ 0x72e4416d, "napi_get_frags" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x3279e0ed, "dma_unmap_page_attrs" },
	{ 0xe8038cb6, "request_firmware" },
	{ 0xeebad00b, "__pci_register_driver" },
	{ 0xee8eff27, "pci_num_vf" },
	{ 0xc8974b62, "pci_request_regions" },
	{ 0xc39771fa, "___pskb_trim" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x7c191131, "pci_sriov_get_totalvfs" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0xb76bc482, "__put_devmap_managed_page_refs" },
	{ 0xcbe08b58, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x667cd131, "udp_tunnel_nic_ops" },
	{ 0x469497b4, "__netif_napi_del" },
	{ 0xb8398cc6, "netif_tx_unlock" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xb3ec0124, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc401512a, "pskb_expand_head" },
	{ 0xe168fe48, "dev_driver_string" },
	{ 0x7fc396cf, "dev_addr_mod" },
	{ 0x9d85e4dc, "eth_type_trans" },
	{ 0xd9db14f0, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x211a607e, "dma_map_page_attrs" },
	{ 0xf2dc7718, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xe86b53e0, "__napi_schedule" },
	{ 0xbfd51e1d, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0x45beb1a8, "netif_device_detach" },
	{ 0xc65d7017, "__hw_addr_unsync_dev" },
	{ 0x591b192f, "_dev_info" },
	{ 0xdeaf811, "netif_device_attach" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xb853f55d, "_dev_err" },
	{ 0xd1d1e3bb, "softnet_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x5b5ba85a, "netif_set_real_num_tx_queues" },
	{ 0xd1cd91f7, "netif_set_real_num_rx_queues" },
	{ 0x86564197, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc25338ec, "skb_push" },
	{ 0xda754828, "dma_alloc_attrs" },
	{ 0x468fd87f, "napi_enable" },
	{ 0x9e7e1368, "netif_receive_skb" },
	{ 0xfd57cfc0, "register_netdev" },
	{ 0x19e7a957, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000010DFd0000E220sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E228sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000720sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000728sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "E1C7FFCF4852CAE7984BA3D");
