#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx4_buf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_hwq_res, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_hwq_res, "_gpl", "");
KSYMTAB_FUNC(__mlx4_cmd, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_active_ports, "_gpl", "");
KSYMTAB_FUNC(mlx4_slave_convert_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slave_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport_actv, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_rate, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_slave_default_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_spoofchk, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_config, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_link_state, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_counter_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_smi_enabled, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_get_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_set_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_resize, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_gen_pkey_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_guid_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_port_state_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_get_slave_port_state, "", "");
KSYMTAB_FUNC(set_and_calc_slave_port_state, "", "");
KSYMTAB_FUNC(mlx4_gen_slaves_port_mgt_ev, "", "");
KSYMTAB_FUNC(mlx4_test_async, "", "");
KSYMTAB_FUNC(mlx4_test_interrupt, "", "");
KSYMTAB_FUNC(mlx4_is_eq_vector_valid, "", "");
KSYMTAB_FUNC(mlx4_get_eqs_per_port, "", "");
KSYMTAB_FUNC(mlx4_is_eq_shared, "", "");
KSYMTAB_FUNC(mlx4_get_cpu_rmap, "", "");
KSYMTAB_FUNC(mlx4_assign_eq, "", "");
KSYMTAB_FUNC(mlx4_eq_get_irq, "", "");
KSYMTAB_FUNC(mlx4_release_eq, "", "");
KSYMTAB_FUNC(mlx4_get_slave_pkey_gid_tbl_len, "", "");
KSYMTAB_FUNC(mlx4_INIT_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_CLOSE_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_dev_retrieval, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_vxlan_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_roce_v2_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_query_diag_counters, "", "");
KSYMTAB_FUNC(mlx4_wol_read, "_gpl", "");
KSYMTAB_FUNC(mlx4_wol_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_ACCESS_PTYS_REG, "_gpl", "");
KSYMTAB_FUNC(get_phv_bit, "", "");
KSYMTAB_FUNC(set_phv_bit, "", "");
KSYMTAB_FUNC(mlx4_get_is_vlan_offload_disabled, "", "");
KSYMTAB_FUNC(mlx4_replace_zero_macs, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_PRIO2TC, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_SCHEDULER, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_get, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_set, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_get, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_set, "", "");
KSYMTAB_FUNC(mlx4_register_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_unregister_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_get_devlink_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_parav_qkey, "", "");
KSYMTAB_FUNC(mlx4_sync_pkey_table, "", "");
KSYMTAB_FUNC(mlx4_put_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_get_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_is_slave_active, "", "");
KSYMTAB_FUNC(mlx4_handle_eth_header_mcast_prio, "", "");
KSYMTAB_FUNC(mlx4_queue_bond_work, "", "");
KSYMTAB_FUNC(mlx4_read_clock, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_internal_clock_params, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_default_counter_index, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_mode, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_id, "_gpl", "");
KSYMTAB_FUNC(mlx4_hw_rule_sz, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_tunnel_steer_add, "", "");
KSYMTAB_FUNC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_init, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_addr, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_get_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_write_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_put_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_pd, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_access, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_SYNC_TPT, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_qpn, "_gpl", "");
KSYMTAB_FUNC(__mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_replace_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_gid_ix, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_general, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_qpn_calc, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mtu, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mac, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_fcs_check, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_VXLAN, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_BEACON, "", "");
KSYMTAB_FUNC(mlx4_SET_MCAST_FLTR, "", "");
KSYMTAB_FUNC(mlx4_get_slave_from_roce_gid, "", "");
KSYMTAB_FUNC(mlx4_get_roce_gid_from_slave, "", "");
KSYMTAB_FUNC(mlx4_get_module_info, "", "");
KSYMTAB_FUNC(mlx4_max_tc, "", "");
KSYMTAB_FUNC(mlx4_put_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_reserve_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_release_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_update_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_to_ready, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_arm, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_lookup, "_gpl", "");

SYMBOL_CRC(mlx4_buf_alloc, 0x6cb61b81, "_gpl");
SYMBOL_CRC(mlx4_buf_free, 0x337f59d7, "_gpl");
SYMBOL_CRC(mlx4_db_alloc, 0x13be4b51, "_gpl");
SYMBOL_CRC(mlx4_db_free, 0xec133a14, "_gpl");
SYMBOL_CRC(mlx4_alloc_hwq_res, 0x23b1adf8, "_gpl");
SYMBOL_CRC(mlx4_free_hwq_res, 0x4a119a82, "_gpl");
SYMBOL_CRC(__mlx4_cmd, 0x560928e6, "_gpl");
SYMBOL_CRC(mlx4_alloc_cmd_mailbox, 0x044049a2, "_gpl");
SYMBOL_CRC(mlx4_free_cmd_mailbox, 0x521418cc, "_gpl");
SYMBOL_CRC(mlx4_get_active_ports, 0x044be4b6, "_gpl");
SYMBOL_CRC(mlx4_slave_convert_port, 0xc7e913c2, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slave_port, 0x284a98ea, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport, 0x9e18fc8b, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport_actv, 0x79e42f7c, "_gpl");
SYMBOL_CRC(mlx4_set_vf_mac, 0x6c2d6afa, "_gpl");
SYMBOL_CRC(mlx4_set_vf_vlan, 0x8d90ef13, "_gpl");
SYMBOL_CRC(mlx4_set_vf_rate, 0x7cc4a053, "_gpl");
SYMBOL_CRC(mlx4_get_slave_default_vlan, 0x837efcc4, "_gpl");
SYMBOL_CRC(mlx4_set_vf_spoofchk, 0xf76914bd, "_gpl");
SYMBOL_CRC(mlx4_get_vf_config, 0x303d9cd9, "_gpl");
SYMBOL_CRC(mlx4_set_vf_link_state, 0x6ca91291, "_gpl");
SYMBOL_CRC(mlx4_get_counter_stats, 0xe9bbf463, "_gpl");
SYMBOL_CRC(mlx4_get_vf_stats, 0xcbe36737, "_gpl");
SYMBOL_CRC(mlx4_vf_smi_enabled, 0x9c37002a, "_gpl");
SYMBOL_CRC(mlx4_vf_get_enable_smi_admin, 0xbd170821, "_gpl");
SYMBOL_CRC(mlx4_vf_set_enable_smi_admin, 0xd3914ac0, "_gpl");
SYMBOL_CRC(mlx4_cq_modify, 0x6935e254, "_gpl");
SYMBOL_CRC(mlx4_cq_resize, 0x1ef46031, "_gpl");
SYMBOL_CRC(mlx4_cq_alloc, 0xf34efc71, "_gpl");
SYMBOL_CRC(mlx4_cq_free, 0x5f5d81ad, "_gpl");
SYMBOL_CRC(mlx4_gen_pkey_eqe, 0xfcf5d253, "");
SYMBOL_CRC(mlx4_gen_guid_change_eqe, 0x31a2ac73, "");
SYMBOL_CRC(mlx4_gen_port_state_change_eqe, 0x66b40534, "");
SYMBOL_CRC(mlx4_get_slave_port_state, 0x6e14c915, "");
SYMBOL_CRC(set_and_calc_slave_port_state, 0x613b8d13, "");
SYMBOL_CRC(mlx4_gen_slaves_port_mgt_ev, 0x42f37262, "");
SYMBOL_CRC(mlx4_test_async, 0xfe66af51, "");
SYMBOL_CRC(mlx4_test_interrupt, 0x9afb6fc5, "");
SYMBOL_CRC(mlx4_is_eq_vector_valid, 0x0014e499, "");
SYMBOL_CRC(mlx4_get_eqs_per_port, 0x33fcc00e, "");
SYMBOL_CRC(mlx4_is_eq_shared, 0xeb394d47, "");
SYMBOL_CRC(mlx4_get_cpu_rmap, 0x2eb84753, "");
SYMBOL_CRC(mlx4_assign_eq, 0x92feb322, "");
SYMBOL_CRC(mlx4_eq_get_irq, 0xe438d1d7, "");
SYMBOL_CRC(mlx4_release_eq, 0xa8a18f60, "");
SYMBOL_CRC(mlx4_get_slave_pkey_gid_tbl_len, 0xfa6e6136, "");
SYMBOL_CRC(mlx4_INIT_PORT, 0x95f4bffa, "_gpl");
SYMBOL_CRC(mlx4_CLOSE_PORT, 0x3f61efa7, "_gpl");
SYMBOL_CRC(mlx4_config_dev_retrieval, 0xb7b25689, "_gpl");
SYMBOL_CRC(mlx4_config_vxlan_port, 0xc51982f8, "_gpl");
SYMBOL_CRC(mlx4_config_roce_v2_port, 0x623edf7d, "_gpl");
SYMBOL_CRC(mlx4_query_diag_counters, 0x3c6b51a6, "");
SYMBOL_CRC(mlx4_wol_read, 0x8e4424cf, "_gpl");
SYMBOL_CRC(mlx4_wol_write, 0x6eb30e9a, "_gpl");
SYMBOL_CRC(mlx4_ACCESS_PTYS_REG, 0x786f6c1b, "_gpl");
SYMBOL_CRC(get_phv_bit, 0x3aba4ad7, "");
SYMBOL_CRC(set_phv_bit, 0x3b7e1eee, "");
SYMBOL_CRC(mlx4_get_is_vlan_offload_disabled, 0x7ae5f267, "");
SYMBOL_CRC(mlx4_replace_zero_macs, 0x9e550966, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_PRIO2TC, 0xf528ff6b, "");
SYMBOL_CRC(mlx4_SET_PORT_SCHEDULER, 0x6f2bf526, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_get, 0x763ba0a6, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_set, 0x565c20bb, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_get, 0xc4cc1e13, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_set, 0xbb8bb212, "");
SYMBOL_CRC(mlx4_register_auxiliary_driver, 0x0d3de710, "_gpl");
SYMBOL_CRC(mlx4_unregister_auxiliary_driver, 0xa27c828f, "_gpl");
SYMBOL_CRC(mlx4_register_event_notifier, 0xf9f4cf1b, "");
SYMBOL_CRC(mlx4_unregister_event_notifier, 0x8c4ad679, "");
SYMBOL_CRC(mlx4_get_devlink_port, 0xfea344d8, "_gpl");
SYMBOL_CRC(mlx4_get_parav_qkey, 0x879773a1, "");
SYMBOL_CRC(mlx4_sync_pkey_table, 0x8761e8da, "");
SYMBOL_CRC(mlx4_put_slave_node_guid, 0xb08ed6bf, "");
SYMBOL_CRC(mlx4_get_slave_node_guid, 0xbdde3cba, "");
SYMBOL_CRC(mlx4_is_slave_active, 0xd7d64ca0, "");
SYMBOL_CRC(mlx4_handle_eth_header_mcast_prio, 0x7fdde0b4, "");
SYMBOL_CRC(mlx4_queue_bond_work, 0x6fda8adc, "");
SYMBOL_CRC(mlx4_read_clock, 0x4954994a, "_gpl");
SYMBOL_CRC(mlx4_get_internal_clock_params, 0x21adcf1c, "_gpl");
SYMBOL_CRC(mlx4_counter_alloc, 0x2ec32df5, "_gpl");
SYMBOL_CRC(mlx4_counter_free, 0x3ce83d7e, "_gpl");
SYMBOL_CRC(mlx4_get_default_counter_index, 0x9b0288d5, "_gpl");
SYMBOL_CRC(mlx4_set_admin_guid, 0xf13d3485, "_gpl");
SYMBOL_CRC(mlx4_get_admin_guid, 0x03e70f9b, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_mode, 0x51fe567f, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_id, 0x74fde37b, "_gpl");
SYMBOL_CRC(mlx4_hw_rule_sz, 0xdba99173, "_gpl");
SYMBOL_CRC(mlx4_flow_attach, 0xd5b48b03, "_gpl");
SYMBOL_CRC(mlx4_flow_detach, 0xe9b186c7, "_gpl");
SYMBOL_CRC(mlx4_tunnel_steer_add, 0x03d766c5, "");
SYMBOL_CRC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, 0x553e7b63, "_gpl");
SYMBOL_CRC(mlx4_multicast_attach, 0xad889e12, "_gpl");
SYMBOL_CRC(mlx4_multicast_detach, 0x8392297a, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_add, 0x2cd51bfe, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_remove, 0x7f8e04df, "_gpl");
SYMBOL_CRC(mlx4_unicast_attach, 0x3db70dc1, "_gpl");
SYMBOL_CRC(mlx4_unicast_detach, 0xc8f16c49, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_add, 0x0ad5fea2, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_remove, 0x68746cbe, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_add, 0x1fd017fc, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_remove, 0xf180d33b, "_gpl");
SYMBOL_CRC(mlx4_mtt_init, 0x95f71e55, "_gpl");
SYMBOL_CRC(mlx4_mtt_cleanup, 0xe15d5b7f, "_gpl");
SYMBOL_CRC(mlx4_mtt_addr, 0x648c3b9e, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_get_mpt, 0x9f1b7c73, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_write_mpt, 0xdff19f54, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_put_mpt, 0xcb16bb4d, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_pd, 0x2d13c9ea, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_access, 0x6566e62f, "_gpl");
SYMBOL_CRC(mlx4_mr_alloc, 0xc38b102e, "_gpl");
SYMBOL_CRC(mlx4_mr_free, 0x982910e4, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_cleanup, 0xc171257c, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_write, 0xcd185155, "_gpl");
SYMBOL_CRC(mlx4_mr_enable, 0xd76cbeee, "_gpl");
SYMBOL_CRC(mlx4_write_mtt, 0x37644dc6, "_gpl");
SYMBOL_CRC(mlx4_buf_write_mtt, 0x05fede2f, "_gpl");
SYMBOL_CRC(mlx4_mw_alloc, 0xcea189b2, "_gpl");
SYMBOL_CRC(mlx4_mw_enable, 0x61d6d637, "_gpl");
SYMBOL_CRC(mlx4_mw_free, 0x5a2168f9, "_gpl");
SYMBOL_CRC(mlx4_SYNC_TPT, 0xa98b4771, "_gpl");
SYMBOL_CRC(mlx4_pd_alloc, 0x976b0a0f, "_gpl");
SYMBOL_CRC(mlx4_pd_free, 0xba12a88b, "_gpl");
SYMBOL_CRC(mlx4_xrcd_alloc, 0xd4e29865, "_gpl");
SYMBOL_CRC(mlx4_xrcd_free, 0x47a235f6, "_gpl");
SYMBOL_CRC(mlx4_uar_alloc, 0xc0e3f68f, "_gpl");
SYMBOL_CRC(mlx4_uar_free, 0xaa8ed450, "_gpl");
SYMBOL_CRC(mlx4_bf_alloc, 0x0c3d8661, "_gpl");
SYMBOL_CRC(mlx4_bf_free, 0x7cd4fb3f, "_gpl");
SYMBOL_CRC(mlx4_find_cached_mac, 0xfc66dc9c, "_gpl");
SYMBOL_CRC(__mlx4_register_mac, 0xe34de04c, "_gpl");
SYMBOL_CRC(mlx4_register_mac, 0x43c282d7, "_gpl");
SYMBOL_CRC(mlx4_get_base_qpn, 0x1620d6eb, "_gpl");
SYMBOL_CRC(__mlx4_unregister_mac, 0x001e65f5, "_gpl");
SYMBOL_CRC(mlx4_unregister_mac, 0x40946a37, "_gpl");
SYMBOL_CRC(__mlx4_replace_mac, 0x5b20197f, "_gpl");
SYMBOL_CRC(mlx4_find_cached_vlan, 0x0e326c20, "_gpl");
SYMBOL_CRC(mlx4_register_vlan, 0xa26c6feb, "_gpl");
SYMBOL_CRC(mlx4_unregister_vlan, 0x5bece092, "_gpl");
SYMBOL_CRC(mlx4_get_base_gid_ix, 0xd96c92d8, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_general, 0x02997a93, "");
SYMBOL_CRC(mlx4_SET_PORT_qpn_calc, 0xa64c4a6c, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mtu, 0x8c2c0920, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mac, 0x83a61a57, "");
SYMBOL_CRC(mlx4_SET_PORT_fcs_check, 0xe9e7dea7, "");
SYMBOL_CRC(mlx4_SET_PORT_VXLAN, 0xebc5274c, "");
SYMBOL_CRC(mlx4_SET_PORT_BEACON, 0x15a24ca7, "");
SYMBOL_CRC(mlx4_SET_MCAST_FLTR, 0xdc4d3c6f, "");
SYMBOL_CRC(mlx4_get_slave_from_roce_gid, 0x65cdf042, "");
SYMBOL_CRC(mlx4_get_roce_gid_from_slave, 0x87f8531f, "");
SYMBOL_CRC(mlx4_get_module_info, 0xa5302b60, "");
SYMBOL_CRC(mlx4_max_tc, 0x9d6c9578, "");
SYMBOL_CRC(mlx4_put_qp, 0xf4b0999f, "_gpl");
SYMBOL_CRC(mlx4_qp_modify, 0x865a6c50, "_gpl");
SYMBOL_CRC(mlx4_qp_reserve_range, 0x6ccb7486, "_gpl");
SYMBOL_CRC(mlx4_qp_release_range, 0x1d9597e4, "_gpl");
SYMBOL_CRC(mlx4_qp_alloc, 0xf042f952, "_gpl");
SYMBOL_CRC(mlx4_update_qp, 0x8fdcdc91, "_gpl");
SYMBOL_CRC(mlx4_qp_remove, 0x38202450, "_gpl");
SYMBOL_CRC(mlx4_qp_free, 0xcf7cccdd, "_gpl");
SYMBOL_CRC(mlx4_qp_query, 0xf831d270, "_gpl");
SYMBOL_CRC(mlx4_qp_to_ready, 0xccffae52, "_gpl");
SYMBOL_CRC(mlx4_srq_alloc, 0xce6135fd, "_gpl");
SYMBOL_CRC(mlx4_srq_free, 0x0bea47fb, "_gpl");
SYMBOL_CRC(mlx4_srq_arm, 0xb0a20ff9, "_gpl");
SYMBOL_CRC(mlx4_srq_query, 0x6c703f19, "_gpl");
SYMBOL_CRC(mlx4_srq_lookup, 0xdd1e7ed7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6d11488, "__bitmap_equal" },
	{ 0xd9db14f0, "pci_read_config_dword" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5d5bf180, "auxiliary_driver_unregister" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xd82f4312, "devlink_region_snapshot_id_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf8946af, "priv_to_devlink" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xef39ce92, "put_device" },
	{ 0xbfd51e1d, "pci_enable_msix_range" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xabf6250d, "kmalloc_node_trace" },
	{ 0x618911fc, "numa_node" },
	{ 0x5fd94173, "__free_pages" },
	{ 0x591b192f, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xd47100f3, "device_create_file" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x6972e413, "__bitmap_weight_and" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x57bc19d2, "down_write" },
	{ 0xb853f55d, "_dev_err" },
	{ 0x7abf16e4, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x949b5176, "devlink_region_snapshot_create" },
	{ 0x2bd6f85c, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6626afca, "down" },
	{ 0x84a72ea5, "devl_port_register_with_ops" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xda754828, "dma_alloc_attrs" },
	{ 0xbe400d07, "pci_read_config_word" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0xffb7c514, "ida_free" },
	{ 0x528ab66d, "devl_params_register" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x26dfd906, "pci_restore_state" },
	{ 0x2f38ab01, "device_del" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0xc3b1bf66, "dma_sync_single_for_cpu" },
	{ 0x7cb693f3, "devl_param_driverinit_value_set" },
	{ 0xfb578fc5, "memset" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x86d065c3, "__alloc_pages" },
	{ 0x6d57bd5c, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0x1dab1414, "devl_params_unregister" },
	{ 0xece784c2, "rb_first" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xd1f22273, "devl_unlock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa5aa685b, "dma_set_coherent_mask" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x62e6f572, "dma_free_attrs" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x93067637, "param_ops_bool" },
	{ 0xd4ef9091, "pci_release_regions" },
	{ 0x5b481af6, "devl_assert_locked" },
	{ 0x6c708c56, "pcie_print_link_status" },
	{ 0x9c49bb9, "alloc_pages" },
	{ 0x8f3c134f, "devl_port_unregister" },
	{ 0xfb359976, "devl_param_driverinit_value_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x627ffb78, "devlink_priv" },
	{ 0x7f2422a5, "pci_disable_sriov" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xd87896ba, "pci_disable_msix" },
	{ 0x8941e0e8, "pci_disable_device" },
	{ 0x78d27962, "boot_cpu_data" },
	{ 0x4396602e, "dma_set_mask" },
	{ 0x8e75de17, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xe42dfeee, "dma_unmap_sg_attrs" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x754d539c, "strlen" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7cf19c, "param_ops_int" },
	{ 0xc906d8e1, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa4ed0033, "pci_enable_sriov" },
	{ 0x53b954a2, "up_read" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd2256dd7, "pci_write_config_dword" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0xd401cc06, "device_remove_file" },
	{ 0x6c3c1f8c, "dma_map_sg_attrs" },
	{ 0xdb80d0ff, "devl_param_value_changed" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xe914e41e, "strcpy" },
	{ 0x986d6339, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x2a1d8729, "pcie_capability_write_word" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x10a7f63b, "devl_region_create" },
	{ 0x6ded925b, "devlink_unregister" },
	{ 0xee8a942f, "dma_pool_create" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x28b05f52, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb96971e9, "auxiliary_device_init" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5055b17f, "devlink_region_snapshot_id_get" },
	{ 0xd21cf28f, "devl_lock" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x96848186, "scnprintf" },
	{ 0xeebad00b, "__pci_register_driver" },
	{ 0xcf2a6966, "up" },
	{ 0x51e39b60, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0xee8eff27, "pci_num_vf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x1911b4c5, "param_array_ops" },
	{ 0xc8974b62, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc9526906, "devlink_alloc_ns" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x7c191131, "pci_sriov_get_totalvfs" },
	{ 0x70e1fec3, "devlink_register" },
	{ 0x80a32615, "devlink_port_type_clear" },
	{ 0x2dc25e78, "devlink_free" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x27c589ac, "param_ops_byte" },
	{ 0xe1740888, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0xb3ec0124, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000015B3d00001003sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001005sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001006sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001007sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001008sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001009sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001010sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "404B5ACF317598EB45AF60F");
