#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mana_gd_send_request, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_destroy_dma_region, "", "NET_MANA");
KSYMTAB_FUNC(mana_uncfg_vport, "", "NET_MANA");
KSYMTAB_FUNC(mana_cfg_vport, "", "NET_MANA");
KSYMTAB_FUNC(mana_create_wq_obj, "", "NET_MANA");
KSYMTAB_FUNC(mana_destroy_wq_obj, "", "NET_MANA");

SYMBOL_CRC(mana_gd_send_request, 0x296ba1d0, "");
SYMBOL_CRC(mana_gd_destroy_dma_region, 0xf61077bc, "");
SYMBOL_CRC(mana_uncfg_vport, 0x94a8d8c4, "");
SYMBOL_CRC(mana_cfg_vport, 0x77d1b94b, "");
SYMBOL_CRC(mana_create_wq_obj, 0xf688ab67, "");
SYMBOL_CRC(mana_destroy_wq_obj, 0xe6776ac1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xef39ce92, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x45beb1a8, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x591b192f, "_dev_info" },
	{ 0x6a861570, "napi_gro_receive" },
	{ 0xdeaf811, "netif_device_attach" },
	{ 0x30d8be3, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x3a9eb4a2, "__skb_get_hash" },
	{ 0xb853f55d, "_dev_err" },
	{ 0x495285df, "xdp_build_skb_from_frame" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5b5ba85a, "netif_set_real_num_tx_queues" },
	{ 0x2bd6f85c, "__auxiliary_device_add" },
	{ 0xd1cd91f7, "netif_set_real_num_rx_queues" },
	{ 0x6626afca, "down" },
	{ 0xaf75aa37, "netdev_printk" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x99f9638f, "__napi_alloc_frag_align" },
	{ 0xda754828, "dma_alloc_attrs" },
	{ 0x9d97ff48, "pcie_flr" },
	{ 0x468fd87f, "napi_enable" },
	{ 0xfd57cfc0, "register_netdev" },
	{ 0xffb7c514, "ida_free" },
	{ 0x19e7a957, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd7482f05, "vcalloc" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x3b450d2, "__SCK__tp_func_xdp_exception" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3345c342, "pci_iounmap" },
	{ 0x66e94de6, "netif_tx_wake_queue" },
	{ 0x2f38ab01, "device_del" },
	{ 0xbe11cc58, "page_pool_create" },
	{ 0xae225ff2, "page_pool_put_defragged_page" },
	{ 0xfb578fc5, "memset" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x86d065c3, "__alloc_pages" },
	{ 0x6d57bd5c, "pci_set_master" },
	{ 0x4da8443a, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa5aa685b, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x62e6f572, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd4ef9091, "pci_release_regions" },
	{ 0x79ab1df, "bpf_prog_add" },
	{ 0x30cd2966, "xdp_rxq_info_unreg" },
	{ 0xdb6e347c, "page_pool_alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x85e1c9ee, "napi_build_skb" },
	{ 0x991d34a3, "__folio_put" },
	{ 0x3059a888, "__xdp_rxq_info_reg" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf20f992a, "netif_carrier_off" },
	{ 0x68b91085, "netif_carrier_on" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8941e0e8, "pci_disable_device" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0x4396602e, "dma_set_mask" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0xd98744a1, "xdp_master_redirect" },
	{ 0x231634c, "__napi_schedule_irqoff" },
	{ 0xe496c9fc, "napi_schedule_prep" },
	{ 0x862328f7, "napi_consume_skb" },
	{ 0xe9927733, "napi_disable" },
	{ 0xa0410ee2, "dev_kfree_skb_any_reason" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xcf3b69b3, "netdev_stats_to_stats64" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x526c1129, "pci_free_irq_vectors" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0x5b6f8c26, "netdev_info" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc1f44981, "__tracepoint_xdp_exception" },
	{ 0xe921ae40, "alloc_etherdev_mqs" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xa6676980, "bpf_prog_put" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x28b05f52, "pci_enable_device" },
	{ 0x79856fee, "skb_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xb96971e9, "auxiliary_device_init" },
	{ 0xc33f127f, "pci_iomap" },
	{ 0x23e1ff2, "pci_alloc_irq_vectors" },
	{ 0x81f74173, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xbcc2c8c9, "bpf_warn_invalid_xdp_action" },
	{ 0xcaccbaf5, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x3279e0ed, "dma_unmap_page_attrs" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xeebad00b, "__pci_register_driver" },
	{ 0xcf2a6966, "up" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xc8974b62, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0x55d8e049, "page_pool_destroy" },
	{ 0xc2e04ed2, "xdp_do_redirect" },
	{ 0xb76bc482, "__put_devmap_managed_page_refs" },
	{ 0xcbe08b58, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2c145a85, "netdev_warn" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xcb3ab39a, "pci_irq_vector" },
	{ 0x469497b4, "__netif_napi_del" },
	{ 0x4e55b5df, "unregister_netdevice_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x5da8aca0, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb3ec0124, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x693a9460, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc401512a, "pskb_expand_head" },
	{ 0xe168fe48, "dev_driver_string" },
	{ 0x7fc396cf, "dev_addr_mod" },
	{ 0xfec17abf, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x9d85e4dc, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x211a607e, "dma_map_page_attrs" },
	{ 0xf2dc7718, "napi_complete_done" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x764700f7, "skb_checksum_help" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001414d000000B9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001414d000000BAsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B021C1DC224C3767F7641B3");
