#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tap_del_queues, "_gpl", "");
KSYMTAB_FUNC(tap_handle_frame, "_gpl", "");
KSYMTAB_FUNC(tap_get_minor, "_gpl", "");
KSYMTAB_FUNC(tap_free_minor, "_gpl", "");
KSYMTAB_FUNC(tap_get_socket, "_gpl", "");
KSYMTAB_FUNC(tap_get_ptr_ring, "_gpl", "");
KSYMTAB_FUNC(tap_queue_resize, "_gpl", "");
KSYMTAB_FUNC(tap_create_cdev, "_gpl", "");
KSYMTAB_FUNC(tap_destroy_cdev, "_gpl", "");

SYMBOL_CRC(tap_del_queues, 0x83df0bc6, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0xda8fd56f, "_gpl");
SYMBOL_CRC(tap_get_minor, 0x6d72482f, "_gpl");
SYMBOL_CRC(tap_free_minor, 0x1d072268, "_gpl");
SYMBOL_CRC(tap_get_socket, 0xb1b2b9c2, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0x825b94b2, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0x099e332d, "_gpl");
SYMBOL_CRC(tap_create_cdev, 0xd527a581, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0xa765ac85, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x693a9460, "netdev_err" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe2964344, "__wake_up" },
	{ 0x370398d4, "_copy_to_iter" },
	{ 0x58db4927, "iov_iter_advance" },
	{ 0xe8140ab8, "skb_copy_datagram_iter" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x20978fb9, "idr_find" },
	{ 0x13ab2665, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x61b8d4cf, "sock_init_data_uid" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x99a236fd, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x740638f5, "cdev_init" },
	{ 0x30ed3c4e, "cdev_add" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x7698fe05, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4d00714d, "dev_set_mac_address_user" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xbfda5d50, "dev_get_mac_address" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xe7251df7, "consume_skb" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x1000e51, "schedule" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x37a0cba, "kfree" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc25338ec, "skb_push" },
	{ 0xa31aef83, "__skb_gso_segment" },
	{ 0x3a9eb4a2, "__skb_get_hash" },
	{ 0x764700f7, "skb_checksum_help" },
	{ 0xdf5378f4, "kfree_skb_list_reason" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0xe6975d2e, "__skb_flow_dissect" },
	{ 0x12cd0092, "skb_partial_csum_set" },
	{ 0xa405c525, "__pskb_pull_tail" },
	{ 0x44caf266, "iov_iter_npages" },
	{ 0x81d53143, "sock_alloc_send_pskb" },
	{ 0x79856fee, "skb_put" },
	{ 0x6225b8cd, "zerocopy_sg_from_iter" },
	{ 0xdd6ef490, "__dev_queue_xmit" },
	{ 0xe9020b00, "_copy_from_iter" },
	{ 0x4e1886a1, "skb_copy_datagram_from_iter" },
	{ 0xe197f6b4, "iov_iter_revert" },
	{ 0xa87083f1, "skb_copy_bits" },
	{ 0xadcb12bd, "build_skb" },
	{ 0x5304c04, "compat_ptr_ioctl" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x86564197, "kfree_skb_reason" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5B8F853864CAC40F21BA3A8");
