#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0x9189ca95, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0xbd3e38b8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8761c87b, "rps_needed" },
	{ 0x64dfaea7, "skb_tstamp_tx" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x70c138a3, "__skb_get_hash_symmetric" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc39771fa, "___pskb_trim" },
	{ 0x6a861570, "napi_gro_receive" },
	{ 0xf2dc7718, "napi_complete_done" },
	{ 0xa6676980, "bpf_prog_put" },
	{ 0x13ab2665, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x61b8d4cf, "sock_init_data_uid" },
	{ 0x99a236fd, "sk_free" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x824f5862, "skb_queue_purge_reason" },
	{ 0xe9927733, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x30cd2966, "xdp_rxq_info_unreg" },
	{ 0x469497b4, "__netif_napi_del" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x8e90385d, "module_put" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7109424, "seq_printf" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0x5b5ba85a, "netif_set_real_num_tx_queues" },
	{ 0xd1cd91f7, "netif_set_real_num_rx_queues" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x4e55b5df, "unregister_netdevice_queue" },
	{ 0xc1d72d7d, "netdev_state_change" },
	{ 0xadcb12bd, "build_skb" },
	{ 0x79856fee, "skb_put" },
	{ 0x9b4d2e7b, "skb_set_owner_w" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xc2e04ed2, "xdp_do_redirect" },
	{ 0xbcc2c8c9, "bpf_warn_invalid_xdp_action" },
	{ 0xc1f44981, "__tracepoint_xdp_exception" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xad847e6c, "xdp_return_frame_rx_napi" },
	{ 0x8fcae89, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xc19afc50, "skb_page_frag_refill" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc83f423e, "copy_page_from_iter" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xd98744a1, "xdp_master_redirect" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x991d34a3, "__folio_put" },
	{ 0xb76bc482, "__put_devmap_managed_page_refs" },
	{ 0x72e4416d, "napi_get_frags" },
	{ 0xb29d8e7b, "iov_iter_single_seg_count" },
	{ 0xc401512a, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xe7251df7, "consume_skb" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xda8d026c, "sock_recv_errqueue" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0xe6975d2e, "__skb_flow_dissect" },
	{ 0x12cd0092, "skb_partial_csum_set" },
	{ 0xa405c525, "__pskb_pull_tail" },
	{ 0xe9020b00, "_copy_from_iter" },
	{ 0x44caf266, "iov_iter_npages" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4e1886a1, "skb_copy_datagram_from_iter" },
	{ 0x9d85e4dc, "eth_type_trans" },
	{ 0x81d53143, "sock_alloc_send_pskb" },
	{ 0x6225b8cd, "zerocopy_sg_from_iter" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x70cbb9d9, "do_xdp_generic" },
	{ 0xe197f6b4, "iov_iter_revert" },
	{ 0xc25338ec, "skb_push" },
	{ 0xf3bfba2b, "eth_get_headlen" },
	{ 0xe496c9fc, "napi_schedule_prep" },
	{ 0xed82a673, "napi_gro_frags" },
	{ 0xe86b53e0, "__napi_schedule" },
	{ 0x9be7bde4, "security_tun_dev_attach" },
	{ 0xdbd7b9c, "xdp_rxq_info_is_reg" },
	{ 0x3059a888, "__xdp_rxq_info_reg" },
	{ 0xfec17abf, "xdp_rxq_info_reg_mem_model" },
	{ 0x81f74173, "netif_napi_add_weight" },
	{ 0x468fd87f, "napi_enable" },
	{ 0xe7f94777, "lock_sock_nested" },
	{ 0xbc19c2c1, "sk_attach_filter" },
	{ 0x2a9af5d9, "release_sock" },
	{ 0x81aac961, "__dev_get_by_name" },
	{ 0xe0bc69b2, "ns_capable" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0xc6cbbc89, "capable" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0x9212808a, "alloc_netdev_mqs" },
	{ 0xf406fe6b, "ip_tunnel_header_ops" },
	{ 0xdc5210c0, "register_netdevice" },
	{ 0x66e94de6, "netif_tx_wake_queue" },
	{ 0xaef003f0, "ether_setup" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x7fc396cf, "dev_addr_mod" },
	{ 0x19e7a957, "free_netdev" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xba1580c, "get_net_ns" },
	{ 0x89e774ce, "open_related_ns" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x4d00714d, "dev_set_mac_address_user" },
	{ 0x258f12f6, "make_kgid" },
	{ 0xfe49d011, "init_user_ns" },
	{ 0xeb2b24ec, "from_kgid" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0x83fd9682, "make_kuid" },
	{ 0x3fb5cd7e, "netdev_update_features" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xbfda5d50, "dev_get_mac_address" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x1dd2d40b, "sk_detach_filter" },
	{ 0x91337c2c, "call_netdevice_notifiers" },
	{ 0x312215ea, "from_kuid" },
	{ 0x7f5865a6, "__module_get" },
	{ 0x40e14a60, "__page_frag_cache_drain" },
	{ 0xf51f9633, "passthru_features_check" },
	{ 0x538736c3, "eth_mac_addr" },
	{ 0xcbe08b58, "eth_validate_addr" },
	{ 0x478d2a9e, "ethtool_op_get_link" },
	{ 0x7129d150, "ethtool_op_get_ts_info" },
	{ 0x3b450d2, "__SCK__tp_func_xdp_exception" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd63296c9, "xdp_return_frame" },
	{ 0x86564197, "kfree_skb_reason" },
	{ 0xa916b694, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2d7b7e59, "fasync_helper" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0xcd2c51ba, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x5b6f8c26, "netdev_info" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x9e7e1368, "netif_receive_skb" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd5a43273, "nla_put" },
	{ 0x67dca288, "from_kgid_munged" },
	{ 0x989b1f2b, "from_kuid_munged" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xea6e578a, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x355a1c70, "dev_get_tstats64" },
	{ 0xb00e8468, "netif_tx_stop_all_queues" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2363a369, "bpf_prog_get_type_dev" },
	{ 0x122c3a7e, "_printk" },
	{ 0x2be096d9, "rtnl_link_register" },
	{ 0x44c0914d, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x99f5fca7, "rtnl_link_unregister" },
	{ 0x3edda8b5, "misc_deregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x6ac7560f, "kill_fasync" },
	{ 0x68b91085, "netif_carrier_on" },
	{ 0xf20f992a, "netif_carrier_off" },
	{ 0x370398d4, "_copy_to_iter" },
	{ 0xe8140ab8, "skb_copy_datagram_iter" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x58db4927, "iov_iter_advance" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x693a9460, "netdev_err" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc2a8fefc, "sk_filter_trim_cap" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x589d96cd, "skb_clone_tx_timestamp" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbe9dec76, "skb_copy_ubufs" },
	{ 0x86a73630, "skb_tx_error" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xc8432edb, "netdev_core_stats_alloc" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B7E71A42AB775C689A61957");
