#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x73454f66, "usbnet_update_max_qlen" },
	{ 0xeb560297, "usbnet_suspend" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x282004ff, "mii_nway_restart" },
	{ 0x46f83c0b, "usbnet_resume" },
	{ 0x4c18d7a4, "usbnet_get_endpoints" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0xc001370d, "netif_set_tso_max_size" },
	{ 0xba40cd1a, "mii_ethtool_gset" },
	{ 0x68b91085, "netif_carrier_on" },
	{ 0x92ce44f2, "usbnet_probe" },
	{ 0x2d8d9647, "usbnet_open" },
	{ 0x6dd108b, "usbnet_stop" },
	{ 0xbc4cb2e1, "usbnet_start_xmit" },
	{ 0xcbe08b58, "eth_validate_addr" },
	{ 0x73e601e8, "usbnet_tx_timeout" },
	{ 0x355a1c70, "dev_get_tstats64" },
	{ 0xefd1d19f, "usbnet_get_msglevel" },
	{ 0xc7d11f2b, "usbnet_set_msglevel" },
	{ 0xe8aefed5, "usbnet_nway_reset" },
	{ 0x478d2a9e, "ethtool_op_get_link" },
	{ 0x7129d150, "ethtool_op_get_ts_info" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc401512a, "pskb_expand_head" },
	{ 0xc25338ec, "skb_push" },
	{ 0xa405c525, "__pskb_pull_tail" },
	{ 0xa0410ee2, "dev_kfree_skb_any_reason" },
	{ 0x7a71f4b3, "usbnet_read_cmd_nopm" },
	{ 0x3935b27c, "usbnet_read_cmd" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2c145a85, "netdev_warn" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2d6db7ea, "usbnet_write_cmd_nopm" },
	{ 0x24c39847, "usbnet_write_cmd" },
	{ 0x3e93e1e9, "mii_ethtool_set_link_ksettings" },
	{ 0xe8ed57c4, "mii_ethtool_get_link_ksettings" },
	{ 0xcf9131d4, "generic_mii_ioctl" },
	{ 0x16657d3c, "usb_register_driver" },
	{ 0xa3f2437, "usbnet_disconnect" },
	{ 0x3ff6391e, "usb_deregister" },
	{ 0xc62aa09b, "usbnet_link_change" },
	{ 0x5b6f8c26, "netdev_info" },
	{ 0x8bea7676, "usbnet_write_cmd_async" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x838fc730, "skb_trim" },
	{ 0xa0cc62e3, "__netdev_alloc_skb" },
	{ 0x79856fee, "skb_put" },
	{ 0xf80e3fbb, "usbnet_skb_return" },
	{ 0x92836a8b, "skb_pull" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7fc396cf, "dev_addr_mod" },
	{ 0x632e8345, "eth_platform_get_mac_address" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xadc69a5f, "__dynamic_netdev_dbg" },
	{ 0x37a0cba, "kfree" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf9a482f9, "msleep" },
	{ 0x693a9460, "netdev_err" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "usbnet,mii");

MODULE_ALIAS("usb:v0B95p1790d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0B95p178Ad*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v04B4p3610d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v2001p4A00d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0DF6p0072d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v04E8pA100d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v17EFp304Bd*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v050Dp0128d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0930p0A13d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0711p0179d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p000Ed*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p000Fd*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p0010d*dc*dsc*dp*icFFiscFFip00in*");

MODULE_INFO(srcversion, "27FBDDB0E5DCFD79B7066BD");
