#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cdc_ncm_change_mtu, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_bind_common, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_unbind, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_select_altsetting, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_fill_tx_frame, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_tx_fixup, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_fixup, "_gpl", "");

SYMBOL_CRC(cdc_ncm_change_mtu, 0x78f5fe85, "_gpl");
SYMBOL_CRC(cdc_ncm_bind_common, 0x9229803a, "_gpl");
SYMBOL_CRC(cdc_ncm_unbind, 0x7066279c, "_gpl");
SYMBOL_CRC(cdc_ncm_select_altsetting, 0xec559edc, "_gpl");
SYMBOL_CRC(cdc_ncm_fill_tx_frame, 0x834a7d16, "_gpl");
SYMBOL_CRC(cdc_ncm_tx_fixup, 0x433f715e, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth16, 0x1c4815b9, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth32, 0x17857d4a, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp16, 0x477532be, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp32, 0x9bedcef9, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_fixup, 0x5a5ba33a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0xafcf325f, "netif_tx_lock" },
	{ 0xbc4cb2e1, "usbnet_start_xmit" },
	{ 0xb8398cc6, "netif_tx_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3c96fa2f, "hrtimer_active" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x3935b27c, "usbnet_read_cmd" },
	{ 0xb853f55d, "_dev_err" },
	{ 0xa0cc62e3, "__netdev_alloc_skb" },
	{ 0x79856fee, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf80e3fbb, "usbnet_skb_return" },
	{ 0xfb578fc5, "memset" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x39f3ca70, "cdc_parse_cdc_header" },
	{ 0xde2b7d95, "usb_ifnum_to_if" },
	{ 0x9cf48153, "usb_driver_claim_interface" },
	{ 0x32cf5cb1, "usb_set_interface" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4b048007, "usbnet_get_ethernet_addr" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xeaeba39b, "__alloc_skb" },
	{ 0x69ff2d38, "usbnet_manage_power" },
	{ 0xdb75c57a, "usbnet_cdc_update_filter" },
	{ 0x2d8d9647, "usbnet_open" },
	{ 0x6dd108b, "usbnet_stop" },
	{ 0xf126221f, "usbnet_set_rx_mode" },
	{ 0x538736c3, "eth_mac_addr" },
	{ 0xcbe08b58, "eth_validate_addr" },
	{ 0x73e601e8, "usbnet_tx_timeout" },
	{ 0x355a1c70, "dev_get_tstats64" },
	{ 0x2bfda92e, "usbnet_get_drvinfo" },
	{ 0xefd1d19f, "usbnet_get_msglevel" },
	{ 0xc7d11f2b, "usbnet_set_msglevel" },
	{ 0xe8aefed5, "usbnet_nway_reset" },
	{ 0x89e217da, "usbnet_get_link" },
	{ 0x7129d150, "ethtool_op_get_ts_info" },
	{ 0x7591973d, "usbnet_get_link_ksettings_internal" },
	{ 0x92ce44f2, "usbnet_probe" },
	{ 0xa3f2437, "usbnet_disconnect" },
	{ 0xeb560297, "usbnet_suspend" },
	{ 0x46f83c0b, "usbnet_resume" },
	{ 0x93067637, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5da8aca0, "__dynamic_dev_dbg" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xa0410ee2, "dev_kfree_skb_any_reason" },
	{ 0x37a0cba, "kfree" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xc46b6daa, "usb_driver_release_interface" },
	{ 0xadc69a5f, "__dynamic_netdev_dbg" },
	{ 0x16657d3c, "usb_register_driver" },
	{ 0x3ff6391e, "usb_deregister" },
	{ 0x912e2879, "usb_altnum_to_altsetting" },
	{ 0xc62aa09b, "usbnet_link_change" },
	{ 0x591b192f, "_dev_info" },
	{ 0x73454f66, "usbnet_update_max_qlen" },
	{ 0x9c4f6a82, "usbnet_unlink_rx_urbs" },
	{ 0x24c39847, "usbnet_write_cmd" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "usbnet,cdc_ether");

MODULE_ALIAS("usb:v0BDBp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1BC7p0036d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BBd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BCd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v0930p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1519p0443d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1546p1010d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v17E9p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc0Dip00in*");

MODULE_INFO(srcversion, "A65C089EA6CC70961D7B748");
