#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ath9k_cmn_rx_accept, "", "");
KSYMTAB_FUNC(ath9k_cmn_rx_skb_postprocess, "", "");
KSYMTAB_FUNC(ath9k_cmn_process_rate, "", "");
KSYMTAB_FUNC(ath9k_cmn_process_rssi, "", "");
KSYMTAB_FUNC(ath9k_cmn_get_hw_crypto_keytype, "", "");
KSYMTAB_FUNC(ath9k_cmn_get_channel, "", "");
KSYMTAB_FUNC(ath9k_cmn_count_streams, "", "");
KSYMTAB_FUNC(ath9k_cmn_update_txpow, "", "");
KSYMTAB_FUNC(ath9k_cmn_init_crypto, "", "");
KSYMTAB_FUNC(ath9k_cmn_init_channels_rates, "", "");
KSYMTAB_FUNC(ath9k_cmn_setup_ht_cap, "", "");
KSYMTAB_FUNC(ath9k_cmn_reload_chainmask, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_sta, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_adhoc, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_ap, "", "");
KSYMTAB_FUNC(ath9k_cmn_debug_modal_eeprom, "", "");
KSYMTAB_FUNC(ath9k_cmn_debug_base_eeprom, "", "");
KSYMTAB_FUNC(ath9k_cmn_debug_stat_rx, "", "");
KSYMTAB_FUNC(ath9k_cmn_debug_recv, "", "");
KSYMTAB_FUNC(ath9k_cmn_debug_phy_err, "", "");

SYMBOL_CRC(ath9k_cmn_rx_accept, 0xfe080651, "");
SYMBOL_CRC(ath9k_cmn_rx_skb_postprocess, 0x64360dbe, "");
SYMBOL_CRC(ath9k_cmn_process_rate, 0xb80fac70, "");
SYMBOL_CRC(ath9k_cmn_process_rssi, 0x02c2d9ab, "");
SYMBOL_CRC(ath9k_cmn_get_hw_crypto_keytype, 0xef9a798d, "");
SYMBOL_CRC(ath9k_cmn_get_channel, 0xf936c655, "");
SYMBOL_CRC(ath9k_cmn_count_streams, 0xd2981357, "");
SYMBOL_CRC(ath9k_cmn_update_txpow, 0xdea29dea, "");
SYMBOL_CRC(ath9k_cmn_init_crypto, 0xd2da06ad, "");
SYMBOL_CRC(ath9k_cmn_init_channels_rates, 0x784c84ad, "");
SYMBOL_CRC(ath9k_cmn_setup_ht_cap, 0xff1cd21c, "");
SYMBOL_CRC(ath9k_cmn_reload_chainmask, 0xcceee077, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_sta, 0x34fdd8fa, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_adhoc, 0xd0ff225b, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_ap, 0xe3f1c783, "");
SYMBOL_CRC(ath9k_cmn_debug_modal_eeprom, 0x2a4ba4f5, "");
SYMBOL_CRC(ath9k_cmn_debug_base_eeprom, 0x2465128e, "");
SYMBOL_CRC(ath9k_cmn_debug_stat_rx, 0x1a0aa030, "");
SYMBOL_CRC(ath9k_cmn_debug_recv, 0x715b67e1, "");
SYMBOL_CRC(ath9k_cmn_debug_phy_err, 0xc8c8abd7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xd656d42c, "ieee80211_get_hdrlen_from_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7d7cf115, "simple_open" },
	{ 0x92836a8b, "skb_pull" },
	{ 0xc66b0eb0, "default_llseek" },
	{ 0x380dc241, "ath9k_hw_gettsf64" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6e7f1d4a, "debugfs_create_file" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0xd25faa, "ath9k_hw_set_txpowerlimit" },
	{ 0x5a83cb1a, "ath_hw_keyreset" },
	{ 0xfc6ec21f, "devm_kmalloc" },
	{ 0xb0e602eb, "memmove" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,ath9k_hw,ath");


MODULE_INFO(srcversion, "CAF792D3354F30FC31E70C6");
