#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76x0_chip_onoff, "_gpl", "");
KSYMTAB_FUNC(mt76x0_mac_stop, "_gpl", "");
KSYMTAB_FUNC(mt76x0_init_hardware, "_gpl", "");
KSYMTAB_FUNC(mt76x0_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76x0_set_sar_specs, "_gpl", "");
KSYMTAB_FUNC(mt76x0_config, "_gpl", "");
KSYMTAB_FUNC(mt76x0_phy_calibrate, "_gpl", "");

SYMBOL_CRC(mt76x0_chip_onoff, 0x75953b50, "_gpl");
SYMBOL_CRC(mt76x0_mac_stop, 0x59d6d62d, "_gpl");
SYMBOL_CRC(mt76x0_init_hardware, 0x11fe88cc, "_gpl");
SYMBOL_CRC(mt76x0_register_device, 0x971f246a, "_gpl");
SYMBOL_CRC(mt76x0_set_sar_specs, 0x40c0e4c3, "_gpl");
SYMBOL_CRC(mt76x0_config, 0x60ee30c8, "_gpl");
SYMBOL_CRC(mt76x0_phy_calibrate, 0xc69ce207, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0x23eacd27, "ieee80211_queue_delayed_work" },
	{ 0x1981eb4, "mt76_eeprom_init" },
	{ 0xb853f55d, "_dev_err" },
	{ 0xdd6e10e0, "mt76x02_mac_setaddr" },
	{ 0x25b720df, "mt76_register_device" },
	{ 0x429e6244, "mt76x02_phy_set_bw" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xfb429e89, "mt76x02_phy_set_band" },
	{ 0x8f87d41, "mt76_set_channel" },
	{ 0x9defd712, "mt76x02_init_device" },
	{ 0x68f00fa1, "ieee80211_wake_queues" },
	{ 0x4dd8e833, "mt76x02_eeprom_parse_hw_cap" },
	{ 0x26905ad1, "mt76x02_phy_set_rxpath" },
	{ 0xe37975cc, "mt76x02_edcca_init" },
	{ 0xe467bb2b, "mt76_eeprom_override" },
	{ 0x70896a07, "mt76x02_get_lna_gain" },
	{ 0x59b652d0, "mt76x02_init_debugfs" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7e3089b0, "ieee80211_stop_queues" },
	{ 0xba69f4d8, "mt76x02_mac_cc_reset" },
	{ 0x2d29f7ca, "mt76x02_init_agc_gain" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x96e3e6bd, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x138c12e0, "____mt76_poll_msec" },
	{ 0x5ed24ad0, "mt76x02_dfs_init_params" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf2d65fa5, "mt76x02_config_mac_addr_list" },
	{ 0x9ca1e68d, "mt76_get_sar_power" },
	{ 0x801c447f, "mt76x02_eeprom_copy" },
	{ 0x8edc7221, "mt76x02_mcu_calibrate" },
	{ 0xe4f36102, "mt76x02_mcu_function_select" },
	{ 0x3a70e5d, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0xaafaae47, "mt76x02_mac_wcid_setup" },
	{ 0xca899e2a, "__mt76_poll" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x97fecb25, "mt76x02_phy_set_txdac" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0x7421ef61, "mt76_get_min_avg_rssi" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xf9a482f9, "msleep" },
	{ 0xba223022, "mt76_init_sar_power" },
	{ 0xf654855a, "mt76x02_phy_adjust_vga_gain" },
	{ 0x1d8325a8, "mt76x02_phy_dfs_adjust_agc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc4b4fc27, "cfg80211_chandef_valid" },
	{ 0x5da8aca0, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4e7ad47b, "mt76x02_mac_shared_key_setup" },
	{ 0xb0274629, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3aeff87b, "mt76x02_get_efuse_data" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x591b192f, "_dev_info" },
	{ 0x4a4f10f0, "mt76x02_get_rx_gain" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-lib,mac80211,mt76,cfg80211");


MODULE_INFO(srcversion, "A8AAC47CCE032F37A313EB2");
