#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfa6af01a, "mt76_get_txpower" },
	{ 0xeebad00b, "__pci_register_driver" },
	{ 0x8bd4fb79, "mt76x02_dma_disable" },
	{ 0x7d3af7f, "mt76_wake_tx_queue" },
	{ 0x3ff9d70c, "mt76x02e_init_beacon_config" },
	{ 0x9101c4b2, "mt76_get_antenna" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbce62797, "pci_set_power_state" },
	{ 0x935ef8b3, "mt76x02_sta_ps" },
	{ 0xc059ef1a, "mt76x02_sta_rate_tbl_update" },
	{ 0x4d0de428, "kthread_park" },
	{ 0x5da8aca0, "__dynamic_dev_dbg" },
	{ 0x6af9b6f5, "mt76_dma_cleanup" },
	{ 0xb3ec0124, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc6173577, "mt76x02_reconfig_complete" },
	{ 0x8ab351f1, "mt76_alloc_device" },
	{ 0x1a53c964, "wake_up_process" },
	{ 0xea4b4123, "mt76x02_set_coverage_class" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3b979b50, "mt76x02_update_channel" },
	{ 0xe86b53e0, "__napi_schedule" },
	{ 0xa3db99f9, "mt76_pci_disable_aspm" },
	{ 0x591b192f, "_dev_info" },
	{ 0x7818fa86, "mt76x02_configure_filter" },
	{ 0x9da66b4, "mt76_free_device" },
	{ 0x75953b50, "mt76x0_chip_onoff" },
	{ 0x28629f95, "mt76x02_queue_rx_skb" },
	{ 0x42cb488f, "kthread_unpark" },
	{ 0x9676f130, "pcim_iomap_regions" },
	{ 0x23eacd27, "ieee80211_queue_delayed_work" },
	{ 0x60ee30c8, "mt76x0_config" },
	{ 0x971f246a, "mt76x0_register_device" },
	{ 0xb853f55d, "_dev_err" },
	{ 0x79857c55, "mt76x02_rx_poll_complete" },
	{ 0xc69ce207, "mt76x0_phy_calibrate" },
	{ 0xbd7cc754, "mt76_set_tim" },
	{ 0x6eef8882, "mt76x02_sw_scan_complete" },
	{ 0x91d5b9ee, "mt76x02_irq_handler" },
	{ 0x468fd87f, "napi_enable" },
	{ 0xd564c4bb, "mt76x02_tx" },
	{ 0xe286d1d4, "mt76_mmio_init" },
	{ 0xd4aa4a49, "mt76x02_sta_remove" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x47bffb8f, "mt76x02_sta_add" },
	{ 0x722f4598, "mt76_unregister_device" },
	{ 0x26dfd906, "pci_restore_state" },
	{ 0x59d6d62d, "mt76x0_mac_stop" },
	{ 0x7b4954f1, "mt76_get_survey" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0x6d57bd5c, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb9805af0, "mt76x02_set_rts_threshold" },
	{ 0xcf882a7f, "mt76x02_tx_complete_skb" },
	{ 0x769b860f, "mt76_sta_state" },
	{ 0xe4b23196, "mt76x02_mcu_msg_send" },
	{ 0x11fe88cc, "mt76x0_init_hardware" },
	{ 0xb93e2b2a, "mt76x02_bss_info_changed" },
	{ 0xb4a794ec, "pci_enable_wake" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xaa11a3f9, "mt76x02_add_interface" },
	{ 0x138c12e0, "____mt76_poll_msec" },
	{ 0x5d135e57, "mt76x02_tx_prepare_skb" },
	{ 0xc254f79a, "mt76x02_mcu_cleanup" },
	{ 0x83019bd7, "mt76x02_ampdu_action" },
	{ 0xc1b2d1c9, "mt76x02_conf_tx" },
	{ 0x4396602e, "dma_set_mask" },
	{ 0xaf4de87e, "mt76_sw_scan" },
	{ 0xcbec4279, "mt76_sta_pre_rcu_remove" },
	{ 0xa965e302, "pcim_iomap_table" },
	{ 0xe496c9fc, "napi_schedule_prep" },
	{ 0xe9927733, "napi_disable" },
	{ 0xca899e2a, "__mt76_poll" },
	{ 0x1c983405, "pcim_enable_device" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xcd6ec9a8, "mt76x02_mac_start" },
	{ 0x7b0db0cf, "mt76x02_remove_interface" },
	{ 0x62f501f1, "mt76x02_dma_init" },
	{ 0x986d6339, "pci_save_state" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x211ce9ad, "devm_request_threaded_irq" },
	{ 0x40c0e4c3, "mt76x0_set_sar_specs" },
	{ 0x8b131c3, "pci_choose_state" },
	{ 0x8850b19e, "mt76x02_set_ethtool_fwver" },
	{ 0x4892403f, "mt76x02_set_key" },
	{ 0xc307d281, "mt76x02_mcu_parse_response" },
	{ 0x3117cdb8, "mt76_release_buffered_frames" },
	{ 0xe8038cb6, "request_firmware" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76x02-lib,mt76x0-common,mac80211");

MODULE_ALIAS("pci:v000014C3d00007610sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007630sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007650sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "76E49B7EA7C933437988D41");
