#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mt76x02_rates, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_device, "_gpl", "");
KSYMTAB_FUNC(mt76x02_configure_filter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_key, "_gpl", "");
KSYMTAB_FUNC(mt76x02_conf_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_tx_ackto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_coverage_class, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_rate_tbl_update, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_hdr_pad, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_ps, "_gpl", "");
KSYMTAB_FUNC(mt76x02_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(mt76x02_config_mac_addr_list, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_reset_counters, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_shared_key_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_wcid_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_setaddr, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x02_edcca_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_cc_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_msg_send, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_function_select, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_set_radio_state, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_calibrate, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_ethtool_fwver, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_copy, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_efuse_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_parse_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ext_pa_enabled, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_rx_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_lna_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_rxpath, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txdac, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_max_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_limit_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_rate_power_offset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_bw, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_band, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_adjust_vga_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_agc_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02e_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_irq_handler, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_disable, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_set_txpwr_auto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_debugfs, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_dfs_adjust_agc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dfs_init_params, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_set_beacon, "_gpl", "");
KSYMTAB_FUNC(mt76x02_resync_beacon_timer, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_beacon_iter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_enqueue_buffered_bc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02_rates, 0x5bd84fd5, "_gpl");
SYMBOL_CRC(mt76x02_init_device, 0x9defd712, "_gpl");
SYMBOL_CRC(mt76x02_configure_filter, 0x7818fa86, "_gpl");
SYMBOL_CRC(mt76x02_sta_add, 0x47bffb8f, "_gpl");
SYMBOL_CRC(mt76x02_sta_remove, 0xd4aa4a49, "_gpl");
SYMBOL_CRC(mt76x02_add_interface, 0xaa11a3f9, "_gpl");
SYMBOL_CRC(mt76x02_remove_interface, 0x7b0db0cf, "_gpl");
SYMBOL_CRC(mt76x02_ampdu_action, 0x83019bd7, "_gpl");
SYMBOL_CRC(mt76x02_set_key, 0x4892403f, "_gpl");
SYMBOL_CRC(mt76x02_conf_tx, 0xc1b2d1c9, "_gpl");
SYMBOL_CRC(mt76x02_set_tx_ackto, 0xd06c62db, "_gpl");
SYMBOL_CRC(mt76x02_set_coverage_class, 0xea4b4123, "_gpl");
SYMBOL_CRC(mt76x02_set_rts_threshold, 0xb9805af0, "_gpl");
SYMBOL_CRC(mt76x02_sta_rate_tbl_update, 0xc059ef1a, "_gpl");
SYMBOL_CRC(mt76x02_remove_hdr_pad, 0x9427f1f6, "_gpl");
SYMBOL_CRC(mt76x02_sw_scan_complete, 0x6eef8882, "_gpl");
SYMBOL_CRC(mt76x02_sta_ps, 0x935ef8b3, "_gpl");
SYMBOL_CRC(mt76x02_bss_info_changed, 0xb93e2b2a, "_gpl");
SYMBOL_CRC(mt76x02_config_mac_addr_list, 0xf2d65fa5, "_gpl");
SYMBOL_CRC(mt76x02_mac_reset_counters, 0x88891f88, "_gpl");
SYMBOL_CRC(mt76x02_mac_shared_key_setup, 0x4e7ad47b, "_gpl");
SYMBOL_CRC(mt76x02_mac_wcid_setup, 0xaafaae47, "_gpl");
SYMBOL_CRC(mt76x02_mac_write_txwi, 0xfd1a8057, "_gpl");
SYMBOL_CRC(mt76x02_mac_setaddr, 0xdd6e10e0, "_gpl");
SYMBOL_CRC(mt76x02_tx_complete_skb, 0xcf882a7f, "_gpl");
SYMBOL_CRC(mt76x02_update_channel, 0x3b979b50, "_gpl");
SYMBOL_CRC(mt76x02_edcca_init, 0xe37975cc, "_gpl");
SYMBOL_CRC(mt76x02_mac_cc_reset, 0xba69f4d8, "_gpl");
SYMBOL_CRC(mt76x02_mcu_parse_response, 0xc307d281, "_gpl");
SYMBOL_CRC(mt76x02_mcu_msg_send, 0xe4b23196, "_gpl");
SYMBOL_CRC(mt76x02_mcu_function_select, 0xe4f36102, "_gpl");
SYMBOL_CRC(mt76x02_mcu_set_radio_state, 0xbd567272, "_gpl");
SYMBOL_CRC(mt76x02_mcu_calibrate, 0x8edc7221, "_gpl");
SYMBOL_CRC(mt76x02_mcu_cleanup, 0xc254f79a, "_gpl");
SYMBOL_CRC(mt76x02_set_ethtool_fwver, 0x8850b19e, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_copy, 0x801c447f, "_gpl");
SYMBOL_CRC(mt76x02_get_efuse_data, 0x3aeff87b, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_parse_hw_cap, 0x4dd8e833, "_gpl");
SYMBOL_CRC(mt76x02_ext_pa_enabled, 0xb0274629, "_gpl");
SYMBOL_CRC(mt76x02_get_rx_gain, 0x4a4f10f0, "_gpl");
SYMBOL_CRC(mt76x02_get_lna_gain, 0x70896a07, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_rxpath, 0x26905ad1, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txdac, 0x97fecb25, "_gpl");
SYMBOL_CRC(mt76x02_get_max_rate_power, 0xad5d3ba8, "_gpl");
SYMBOL_CRC(mt76x02_limit_rate_power, 0x93c479bc, "_gpl");
SYMBOL_CRC(mt76x02_add_rate_power_offset, 0x75fef85d, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txpower, 0x03a70e5d, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_bw, 0x429e6244, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_band, 0xfb429e89, "_gpl");
SYMBOL_CRC(mt76x02_phy_adjust_vga_gain, 0xf654855a, "_gpl");
SYMBOL_CRC(mt76x02_init_agc_gain, 0x2d29f7ca, "_gpl");
SYMBOL_CRC(mt76x02e_init_beacon_config, 0x3ff9d70c, "_gpl");
SYMBOL_CRC(mt76x02_dma_init, 0x62f501f1, "_gpl");
SYMBOL_CRC(mt76x02_rx_poll_complete, 0x79857c55, "_gpl");
SYMBOL_CRC(mt76x02_irq_handler, 0x91d5b9ee, "_gpl");
SYMBOL_CRC(mt76x02_dma_disable, 0x8bd4fb79, "_gpl");
SYMBOL_CRC(mt76x02_mac_start, 0xcd6ec9a8, "_gpl");
SYMBOL_CRC(mt76x02_reconfig_complete, 0xc6173577, "_gpl");
SYMBOL_CRC(mt76x02_tx, 0xd564c4bb, "_gpl");
SYMBOL_CRC(mt76x02_queue_rx_skb, 0x28629f95, "_gpl");
SYMBOL_CRC(mt76x02_tx_set_txpwr_auto, 0xf7af8c10, "_gpl");
SYMBOL_CRC(mt76x02_tx_status_data, 0x81b245af, "_gpl");
SYMBOL_CRC(mt76x02_tx_prepare_skb, 0x5d135e57, "_gpl");
SYMBOL_CRC(mt76x02_init_debugfs, 0x59b652d0, "_gpl");
SYMBOL_CRC(mt76x02_phy_dfs_adjust_agc, 0x1d8325a8, "_gpl");
SYMBOL_CRC(mt76x02_dfs_init_params, 0x5ed24ad0, "_gpl");
SYMBOL_CRC(mt76x02_mac_set_beacon, 0x416ab000, "_gpl");
SYMBOL_CRC(mt76x02_resync_beacon_timer, 0xb38a6a33, "_gpl");
SYMBOL_CRC(mt76x02_update_beacon_iter, 0x898d5416, "_gpl");
SYMBOL_CRC(mt76x02_enqueue_buffered_bc, 0xcc2f635b, "_gpl");
SYMBOL_CRC(mt76x02_init_beacon_config, 0xcb7e6bf0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8c3daf47, "mt76_stop_tx_queues" },
	{ 0xc39771fa, "___pskb_trim" },
	{ 0x5b50ae95, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x35ab3082, "__mt76_tx_complete_skb" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0xdfc6e05a, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4d19b2a6, "ieee80211_restart_hw" },
	{ 0xe8690ce1, "bpf_trace_run2" },
	{ 0xd656d42c, "ieee80211_get_hdrlen_from_skb" },
	{ 0x4d0de428, "kthread_park" },
	{ 0x35c784c3, "mt76_mcu_rx_event" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3b259026, "mt76_tx_status_check" },
	{ 0x1a53c964, "wake_up_process" },
	{ 0x7816f98d, "trace_event_buffer_commit" },
	{ 0xc92000c2, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf2dc7718, "napi_complete_done" },
	{ 0x8fc2f99f, "ieee80211_get_tx_rates" },
	{ 0xd03230c, "ieee80211_send_bar" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdf3edb1e, "debugfs_create_devm_seqfile" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa96198a5, "mt76_tx" },
	{ 0xe86b53e0, "__napi_schedule" },
	{ 0xb4780c4a, "mt76_csa_finish" },
	{ 0xa916b694, "strnlen" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb6718c04, "mt76_wcid_key_setup" },
	{ 0x591b192f, "_dev_info" },
	{ 0xb3baae38, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x2ccdcc36, "mt76_rx" },
	{ 0x42cb488f, "kthread_unpark" },
	{ 0xb9626685, "mt76_phy_dfs_state" },
	{ 0x40939d0c, "wiphy_to_ieee80211_hw" },
	{ 0xce87a385, "mt76_init_queue" },
	{ 0xf02d5644, "debugfs_attr_read" },
	{ 0xc6a3d6ef, "__mt76_sta_remove" },
	{ 0xfe73c670, "mt76_tx_status_skb_done" },
	{ 0x23eacd27, "ieee80211_queue_delayed_work" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x6435d0f9, "perf_trace_run_bpf_submit" },
	{ 0xb853f55d, "_dev_err" },
	{ 0xfd52a6b9, "debugfs_create_bool" },
	{ 0x92836a8b, "skb_pull" },
	{ 0x2717c154, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x38c367b1, "__SCK__tp_func_dev_irq" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc25338ec, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x468fd87f, "napi_enable" },
	{ 0x5122d8a0, "trace_event_reg" },
	{ 0xcd525718, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xc6634315, "mt76_ac_to_hwq" },
	{ 0x68f00fa1, "ieee80211_wake_queues" },
	{ 0xf69152a6, "mt76_mcu_send_and_get_msg" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8daaa09, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xb4f583b3, "__mt76_mcu_msg_alloc" },
	{ 0x184df793, "mt76_set_irq_mask" },
	{ 0x8d10a62, "bpf_trace_run1" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x5436f951, "ieee80211_calc_tx_airtime" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfe04b3ce, "debugfs_create_u32" },
	{ 0x2ab56d57, "__SCK__tp_func_mac_txdone" },
	{ 0x1aaa0d67, "mt76_seq_puts_array" },
	{ 0x7e3089b0, "ieee80211_stop_queues" },
	{ 0xbd462b55, "__kfifo_init" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4134fe47, "__tracepoint_dev_irq" },
	{ 0x61409eae, "seq_read" },
	{ 0xdd64e639, "strscpy" },
	{ 0x31dde598, "mt76_mcu_get_response" },
	{ 0x6e7f1d4a, "debugfs_create_file" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0x55254fa2, "trace_event_buffer_reserve" },
	{ 0xe36d4495, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x96e3e6bd, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe50fbcf4, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x138c12e0, "____mt76_poll_msec" },
	{ 0x7109424, "seq_printf" },
	{ 0xcb92acf1, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xab23235b, "seq_puts" },
	{ 0xb102ac4d, "ieee80211_radar_detected" },
	{ 0xcb5f3d33, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x86d01b49, "mt76_queues_read" },
	{ 0x6c404aeb, "mt76_register_debugfs_fops" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xe496c9fc, "napi_schedule_prep" },
	{ 0xe9927733, "napi_disable" },
	{ 0xa0410ee2, "dev_kfree_skb_any_reason" },
	{ 0xca899e2a, "__mt76_poll" },
	{ 0x70894063, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb21a0585, "debugfs_create_u8" },
	{ 0x998f32e, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xcd9f5966, "mt76_dma_attach" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x27f2be9, "ieee80211_sta_register_airtime" },
	{ 0x72694743, "mt76_dma_rx_poll" },
	{ 0x52167f01, "mt76_tx_status_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xd46a0d6f, "simple_attr_open" },
	{ 0x1f9d1937, "debugfs_attr_write" },
	{ 0xfc6ec21f, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe7251df7, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x81f74173, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2a412188, "mt76_tx_status_skb_get" },
	{ 0xa4cbedd, "trace_raw_output_prep" },
	{ 0x1cd8405, "mt76_tx_status_lock" },
	{ 0xcaccbaf5, "skb_dequeue" },
	{ 0xe8e0ed1e, "__trace_trigger_soft_disabled" },
	{ 0x65a259b6, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xb1e85350, "mt76_csa_check" },
	{ 0x158f10e0, "mt76_tx_status_skb_add" },
	{ 0x18a634a0, "__tracepoint_mac_txdone" },
	{ 0xd6c39428, "mt76_tx_check_agg_ssn" },
	{ 0xb8c1d4d0, "ieee80211_tx_status_ext" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "mt76,mac80211,cfg80211");


MODULE_INFO(srcversion, "FD229E656F7B0E92162B15B");
