#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76x02u_mcu_fw_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_mcu_fw_send_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_init_mcu, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_exit_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02u_mcu_fw_reset, 0xbc46b9ee, "_gpl");
SYMBOL_CRC(mt76x02u_mcu_fw_send_data, 0x64bca4dc, "_gpl");
SYMBOL_CRC(mt76x02u_init_mcu, 0x974b9e4b, "_gpl");
SYMBOL_CRC(mt76x02u_tx_complete_skb, 0xf8d4dcaf, "_gpl");
SYMBOL_CRC(mt76x02u_mac_start, 0xffa23e8f, "_gpl");
SYMBOL_CRC(mt76x02u_tx_prepare_skb, 0xa1efe2fa, "_gpl");
SYMBOL_CRC(mt76x02u_init_beacon_config, 0xaee3dc7a, "_gpl");
SYMBOL_CRC(mt76x02u_exit_beacon_config, 0x3775a66c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb1e85350, "mt76_csa_check" },
	{ 0x158f10e0, "mt76_tx_status_skb_add" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf7235e0e, "mt76u_single_wr" },
	{ 0x35ab3082, "__mt76_tx_complete_skb" },
	{ 0x88891f88, "mt76x02_mac_reset_counters" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd656d42c, "ieee80211_get_hdrlen_from_skb" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x5da8aca0, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xacb54712, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb4780c4a, "mt76_csa_finish" },
	{ 0xeaeba39b, "__alloc_skb" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xb853f55d, "_dev_err" },
	{ 0x92836a8b, "skb_pull" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc25338ec, "skb_push" },
	{ 0xcb7e6bf0, "mt76x02_init_beacon_config" },
	{ 0xb4f583b3, "__mt76_mcu_msg_alloc" },
	{ 0xfd1a8057, "mt76x02_mac_write_txwi" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae7035, "mt76u_vendor_request" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x45eccea, "mt76_skb_adjust_pad" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x416ab000, "mt76x02_mac_set_beacon" },
	{ 0x3c96fa2f, "hrtimer_active" },
	{ 0xca899e2a, "__mt76_poll" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x898d5416, "mt76x02_update_beacon_iter" },
	{ 0x1449e0dd, "ieee80211_iterate_interfaces" },
	{ 0xcc2f635b, "mt76x02_enqueue_buffered_bc" },
	{ 0x9427f1f6, "mt76x02_remove_hdr_pad" },
	{ 0x79856fee, "skb_put" },
	{ 0xe7251df7, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xb38a6a33, "mt76x02_resync_beacon_timer" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc307d281, "mt76x02_mcu_parse_response" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76-usb,mt76x02-lib,cfg80211,mac80211");


MODULE_INFO(srcversion, "D261E3FCE0DF5E7E72F227D");
