#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7d3af7f, "mt76_wake_tx_queue" },
	{ 0x9101c4b2, "mt76_get_antenna" },
	{ 0x41aeedca, "mt76x2_apply_gain_adj" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x935ef8b3, "mt76x02_sta_ps" },
	{ 0x9b5de2ca, "mt76x2_set_sar_specs" },
	{ 0x379a6cfa, "mt76u_resume_rx" },
	{ 0xc059ef1a, "mt76x02_sta_rate_tbl_update" },
	{ 0x5da8aca0, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8ab351f1, "mt76_alloc_device" },
	{ 0x4e7ad47b, "mt76x02_mac_shared_key_setup" },
	{ 0xb0274629, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd8a2577e, "mt76x2_mac_stop" },
	{ 0xeb7b00a4, "usb_put_dev" },
	{ 0x5a0f4975, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3b979b50, "mt76x02_update_channel" },
	{ 0xf1b19ec9, "mt76x2_configure_tx_delay" },
	{ 0x16a43507, "usb_get_dev" },
	{ 0x591b192f, "_dev_info" },
	{ 0x7818fa86, "mt76x02_configure_filter" },
	{ 0x9da66b4, "mt76_free_device" },
	{ 0x28629f95, "mt76x02_queue_rx_skb" },
	{ 0xfd65d429, "mt76u_queues_deinit" },
	{ 0x23eacd27, "ieee80211_queue_delayed_work" },
	{ 0xb853f55d, "_dev_err" },
	{ 0xbc46b9ee, "mt76x02u_mcu_fw_reset" },
	{ 0xdd6e10e0, "mt76x02_mac_setaddr" },
	{ 0x25b720df, "mt76_register_device" },
	{ 0xbd7cc754, "mt76_set_tim" },
	{ 0x6eef8882, "mt76x02_sw_scan_complete" },
	{ 0x429e6244, "mt76x02_phy_set_bw" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xfb429e89, "mt76x02_phy_set_band" },
	{ 0x8f87d41, "mt76_set_channel" },
	{ 0x9defd712, "mt76x02_init_device" },
	{ 0xd564c4bb, "mt76x02_tx" },
	{ 0x68f00fa1, "ieee80211_wake_queues" },
	{ 0x4dd8e833, "mt76x02_eeprom_parse_hw_cap" },
	{ 0xd4aa4a49, "mt76x02_sta_remove" },
	{ 0x26905ad1, "mt76x02_phy_set_rxpath" },
	{ 0xe37975cc, "mt76x02_edcca_init" },
	{ 0x3ff6391e, "usb_deregister" },
	{ 0x81b245af, "mt76x02_tx_status_data" },
	{ 0x47bffb8f, "mt76x02_sta_add" },
	{ 0x784cc828, "mt76x2_mcu_load_cr" },
	{ 0x816b2e41, "mt76x2_init_txpower" },
	{ 0x64bca4dc, "mt76x02u_mcu_fw_send_data" },
	{ 0xd74d410f, "mt76u_init" },
	{ 0x7b4954f1, "mt76_get_survey" },
	{ 0x59b652d0, "mt76x02_init_debugfs" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0x974b9e4b, "mt76x02u_init_mcu" },
	{ 0xa1efe2fa, "mt76x02u_tx_prepare_skb" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2d1a0059, "mt76x2_mcu_init_gain" },
	{ 0x769b860f, "mt76_sta_state" },
	{ 0x3ebbd084, "mt76x2_phy_tssi_compensate" },
	{ 0x7e3089b0, "ieee80211_stop_queues" },
	{ 0xffa23e8f, "mt76x02u_mac_start" },
	{ 0xba69f4d8, "mt76x02_mac_cc_reset" },
	{ 0xb93e2b2a, "mt76x02_bss_info_changed" },
	{ 0x2d29f7ca, "mt76x02_init_agc_gain" },
	{ 0xe169983d, "mt76x2_phy_update_channel_gain" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x96e3e6bd, "mt76_txq_schedule_all" },
	{ 0x7f95f097, "mt76u_alloc_queues" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x88388f83, "mt76u_stop_tx" },
	{ 0xaee3dc7a, "mt76x02u_init_beacon_config" },
	{ 0xb700b3e0, "ieee80211_unregister_hw" },
	{ 0xeae7035, "mt76u_vendor_request" },
	{ 0xaa11a3f9, "mt76x02_add_interface" },
	{ 0x138c12e0, "____mt76_poll_msec" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x9ca1e68d, "mt76_get_sar_power" },
	{ 0x4a3c3f36, "mt76u_stop_rx" },
	{ 0x83019bd7, "mt76x02_ampdu_action" },
	{ 0x8edc7221, "mt76x02_mcu_calibrate" },
	{ 0xc1b2d1c9, "mt76x02_conf_tx" },
	{ 0xe4f36102, "mt76x02_mcu_function_select" },
	{ 0xaf4de87e, "mt76_sw_scan" },
	{ 0xcbec4279, "mt76_sta_pre_rcu_remove" },
	{ 0xaafaae47, "mt76x02_mac_wcid_setup" },
	{ 0xca899e2a, "__mt76_poll" },
	{ 0xb50aa6d, "mt76x2_read_rx_gain" },
	{ 0xad615352, "mt76x2_phy_set_txpower_regs" },
	{ 0xb839cf30, "mt76x2_phy_set_txpower" },
	{ 0x97fecb25, "mt76x02_phy_set_txdac" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7b0db0cf, "mt76x02_remove_interface" },
	{ 0xf8d4dcaf, "mt76x02u_tx_complete_skb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xfc6ec21f, "devm_kmalloc" },
	{ 0x8850b19e, "mt76x02_set_ethtool_fwver" },
	{ 0x4892403f, "mt76x02_set_key" },
	{ 0x3117cdb8, "mt76_release_buffered_frames" },
	{ 0xe8038cb6, "request_firmware" },
	{ 0x16657d3c, "usb_register_driver" },
	{ 0xfa6af01a, "mt76_get_txpower" },
	{ 0xdf6b734, "mt76_write_mac_initvals" },
	{ 0x820e5343, "mt76x2_reset_wlan" },
	{ 0xc715b566, "mt76x2_mcu_set_channel" },
	{ 0xbd567272, "mt76x02_mcu_set_radio_state" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76x2-common,mt76x02-lib,mt76-usb,mac80211,mt76x02-usb");

MODULE_ALIAS("usb:v0B05p1833d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17EBd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p180Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7612d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v057Cp8503d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pB711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7632d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2C4Ep0103d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p9053d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v045Ep02E6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v045Ep02FEd*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "73FCE8CA70B6D4A42CDDF23");
