#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt792x_tx, "_gpl", "");
KSYMTAB_FUNC(mt792x_remove_interface, "_gpl", "");
KSYMTAB_FUNC(mt792x_conf_tx, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_stats, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_tsf, "_gpl", "");
KSYMTAB_FUNC(mt792x_set_tsf, "_gpl", "");
KSYMTAB_FUNC(mt792x_tx_worker, "_gpl", "");
KSYMTAB_FUNC(mt792x_roc_timer, "_gpl", "");
KSYMTAB_FUNC(mt792x_flush, "_gpl", "");
KSYMTAB_FUNC(mt792x_assign_vif_chanctx, "_gpl", "");
KSYMTAB_FUNC(mt792x_unassign_vif_chanctx, "_gpl", "");
KSYMTAB_FUNC(mt792x_set_wakeup, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_et_strings, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_et_sset_count, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_et_stats, "_gpl", "");
KSYMTAB_FUNC(mt792x_sta_statistics, "_gpl", "");
KSYMTAB_FUNC(mt792x_set_coverage_class, "_gpl", "");
KSYMTAB_FUNC(mt792x_init_wiphy, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_mac80211_ops, "_gpl", "");
KSYMTAB_FUNC(mt792x_init_wcid, "_gpl", "");
KSYMTAB_FUNC(mt792x_mcu_drv_pmctrl, "_gpl", "");
KSYMTAB_FUNC(mt792x_mcu_fw_pmctrl, "_gpl", "");
KSYMTAB_FUNC(__mt792xe_mcu_drv_pmctrl, "_gpl", "");
KSYMTAB_FUNC(mt792xe_mcu_drv_pmctrl, "_gpl", "");
KSYMTAB_FUNC(mt792xe_mcu_fw_pmctrl, "_gpl", "");
KSYMTAB_FUNC(mt792x_load_firmware, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_work, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_set_timeing, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_update_mib_stats, "_gpl", "");
KSYMTAB_FUNC(mt792x_rx_get_wcid, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_assoc_rssi, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_reset_counters, "_gpl", "");
KSYMTAB_FUNC(mt792x_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt792x_reset, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_init_band, "_gpl", "");
KSYMTAB_FUNC(mt792x_pm_wake_work, "_gpl", "");
KSYMTAB_FUNC(mt792x_pm_power_save_work, "_gpl", "");
KSYMTAB_DATA(__tracepoint_lp_event, "_gpl", "");
KSYMTAB_FUNC(__traceiter_lp_event, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_lp_event, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_lp_event, "_gpl", "");
KSYMTAB_FUNC(mt792x_tx_stats_show, "_gpl", "");
KSYMTAB_FUNC(mt792x_queues_acq, "_gpl", "");
KSYMTAB_FUNC(mt792x_queues_read, "_gpl", "");
KSYMTAB_FUNC(mt792x_pm_stats, "_gpl", "");
KSYMTAB_FUNC(mt792x_pm_idle_timeout_set, "_gpl", "");
KSYMTAB_FUNC(mt792x_pm_idle_timeout_get, "_gpl", "");
KSYMTAB_FUNC(mt792x_irq_handler, "_gpl", "");
KSYMTAB_FUNC(mt792x_irq_tasklet, "_gpl", "");
KSYMTAB_FUNC(mt792x_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(mt792x_dma_enable, "_gpl", "");
KSYMTAB_FUNC(mt792x_wpdma_reset, "_gpl", "");
KSYMTAB_FUNC(mt792x_wpdma_reinit_cond, "_gpl", "");
KSYMTAB_FUNC(mt792x_dma_disable, "_gpl", "");
KSYMTAB_FUNC(mt792x_dma_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt792x_poll_tx, "_gpl", "");
KSYMTAB_FUNC(mt792x_poll_rx, "_gpl", "");
KSYMTAB_FUNC(mt792x_wfsys_reset, "_gpl", "");
KSYMTAB_FUNC(mt792x_init_acpi_sar, "_gpl", "");
KSYMTAB_FUNC(mt792x_init_acpi_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt792x_acpi_get_flags, "_gpl", "");

SYMBOL_CRC(mt792x_tx, 0xe2680d20, "_gpl");
SYMBOL_CRC(mt792x_remove_interface, 0x43f29403, "_gpl");
SYMBOL_CRC(mt792x_conf_tx, 0x7d4c8507, "_gpl");
SYMBOL_CRC(mt792x_get_stats, 0x739697c2, "_gpl");
SYMBOL_CRC(mt792x_get_tsf, 0xd47388a8, "_gpl");
SYMBOL_CRC(mt792x_set_tsf, 0xf4b882be, "_gpl");
SYMBOL_CRC(mt792x_tx_worker, 0xcc3f69fd, "_gpl");
SYMBOL_CRC(mt792x_roc_timer, 0x9c06d4d5, "_gpl");
SYMBOL_CRC(mt792x_flush, 0x6299a17c, "_gpl");
SYMBOL_CRC(mt792x_assign_vif_chanctx, 0x4f3c2f26, "_gpl");
SYMBOL_CRC(mt792x_unassign_vif_chanctx, 0x1f15040a, "_gpl");
SYMBOL_CRC(mt792x_set_wakeup, 0x5706b14d, "_gpl");
SYMBOL_CRC(mt792x_get_et_strings, 0x6f194caf, "_gpl");
SYMBOL_CRC(mt792x_get_et_sset_count, 0x1e383e49, "_gpl");
SYMBOL_CRC(mt792x_get_et_stats, 0xf7c48bdb, "_gpl");
SYMBOL_CRC(mt792x_sta_statistics, 0x3ffe0506, "_gpl");
SYMBOL_CRC(mt792x_set_coverage_class, 0x5e02b6d3, "_gpl");
SYMBOL_CRC(mt792x_init_wiphy, 0xaa471599, "_gpl");
SYMBOL_CRC(mt792x_get_mac80211_ops, 0x1ac9fd09, "_gpl");
SYMBOL_CRC(mt792x_init_wcid, 0x691ec550, "_gpl");
SYMBOL_CRC(mt792x_mcu_drv_pmctrl, 0x1217988f, "_gpl");
SYMBOL_CRC(mt792x_mcu_fw_pmctrl, 0xfef9a971, "_gpl");
SYMBOL_CRC(__mt792xe_mcu_drv_pmctrl, 0x1c91696f, "_gpl");
SYMBOL_CRC(mt792xe_mcu_drv_pmctrl, 0xb2c7adc2, "_gpl");
SYMBOL_CRC(mt792xe_mcu_fw_pmctrl, 0x242e9c91, "_gpl");
SYMBOL_CRC(mt792x_load_firmware, 0x54a231e7, "_gpl");
SYMBOL_CRC(mt792x_mac_work, 0xe731fec5, "_gpl");
SYMBOL_CRC(mt792x_mac_set_timeing, 0x0d1ba282, "_gpl");
SYMBOL_CRC(mt792x_mac_update_mib_stats, 0xb2157e90, "_gpl");
SYMBOL_CRC(mt792x_rx_get_wcid, 0x561e2b70, "_gpl");
SYMBOL_CRC(mt792x_mac_assoc_rssi, 0x74b4001a, "_gpl");
SYMBOL_CRC(mt792x_mac_reset_counters, 0x95c280e0, "_gpl");
SYMBOL_CRC(mt792x_update_channel, 0x95f77add, "_gpl");
SYMBOL_CRC(mt792x_reset, 0x4b127661, "_gpl");
SYMBOL_CRC(mt792x_mac_init_band, 0x30d201b9, "_gpl");
SYMBOL_CRC(mt792x_pm_wake_work, 0x0df73a34, "_gpl");
SYMBOL_CRC(mt792x_pm_power_save_work, 0xe4ccb149, "_gpl");
SYMBOL_CRC(__tracepoint_lp_event, 0x9701f933, "_gpl");
SYMBOL_CRC(__traceiter_lp_event, 0x7b1eda14, "_gpl");
SYMBOL_CRC(__SCK__tp_func_lp_event, 0xc3a65983, "_gpl");
SYMBOL_CRC(__SCT__tp_func_lp_event, 0xabff3e0f, "_gpl");
SYMBOL_CRC(mt792x_tx_stats_show, 0xf7193733, "_gpl");
SYMBOL_CRC(mt792x_queues_acq, 0xd679d6a7, "_gpl");
SYMBOL_CRC(mt792x_queues_read, 0x3e41f45f, "_gpl");
SYMBOL_CRC(mt792x_pm_stats, 0x950e9543, "_gpl");
SYMBOL_CRC(mt792x_pm_idle_timeout_set, 0x5a7b5c38, "_gpl");
SYMBOL_CRC(mt792x_pm_idle_timeout_get, 0xc3a0fb62, "_gpl");
SYMBOL_CRC(mt792x_irq_handler, 0xbd22e98c, "_gpl");
SYMBOL_CRC(mt792x_irq_tasklet, 0x8e471e29, "_gpl");
SYMBOL_CRC(mt792x_rx_poll_complete, 0x67bc03d2, "_gpl");
SYMBOL_CRC(mt792x_dma_enable, 0xf8f22217, "_gpl");
SYMBOL_CRC(mt792x_wpdma_reset, 0x411b5f9c, "_gpl");
SYMBOL_CRC(mt792x_wpdma_reinit_cond, 0x19c2431f, "_gpl");
SYMBOL_CRC(mt792x_dma_disable, 0x52c6453e, "_gpl");
SYMBOL_CRC(mt792x_dma_cleanup, 0x80f0e219, "_gpl");
SYMBOL_CRC(mt792x_poll_tx, 0x5554e87f, "_gpl");
SYMBOL_CRC(mt792x_poll_rx, 0x9d78abc0, "_gpl");
SYMBOL_CRC(mt792x_wfsys_reset, 0xb7ee4217, "_gpl");
SYMBOL_CRC(mt792x_init_acpi_sar, 0x8eb913fb, "_gpl");
SYMBOL_CRC(mt792x_init_acpi_sar_power, 0x25e4b075, "_gpl");
SYMBOL_CRC(mt792x_acpi_get_flags, 0xa05fcddd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2a412188, "mt76_tx_status_skb_get" },
	{ 0xa4cbedd, "trace_raw_output_prep" },
	{ 0x1cd8405, "mt76_tx_status_lock" },
	{ 0xe8e0ed1e, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xa0256cac, "mt76_connac_mcu_uni_add_dev" },
	{ 0xe8038cb6, "request_firmware" },
	{ 0x65a259b6, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x3119e09c, "ieee80211_iterate_stations_atomic" },
	{ 0x940bce3c, "mt76_connac_pm_wake" },
	{ 0x5b50ae95, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x913d3bd0, "mt76_has_tx_pending" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0xe8690ce1, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x5da8aca0, "__dynamic_dev_dbg" },
	{ 0x6af9b6f5, "mt76_dma_cleanup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd1d3306d, "mt76_connac_pm_queue_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3b259026, "mt76_tx_status_check" },
	{ 0x1a53c964, "wake_up_process" },
	{ 0x37ff9344, "mt76_connac_free_pending_tx_skbs" },
	{ 0xc86056a8, "mt76_connac_power_save_sched" },
	{ 0x7816f98d, "trace_event_buffer_commit" },
	{ 0x53f8ced7, "page_pool_ethtool_stats_get_strings" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf2dc7718, "napi_complete_done" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa96198a5, "mt76_tx" },
	{ 0xe86b53e0, "__napi_schedule" },
	{ 0xa916b694, "strnlen" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x23eacd27, "ieee80211_queue_delayed_work" },
	{ 0x2e82590e, "devm_kmemdup" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x6435d0f9, "perf_trace_run_bpf_submit" },
	{ 0x1ff88043, "devm_kfree" },
	{ 0xb853f55d, "_dev_err" },
	{ 0xd533d88b, "mt76_connac2_load_ram" },
	{ 0x38c367b1, "__SCK__tp_func_dev_irq" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5122d8a0, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xcd525718, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x68f00fa1, "ieee80211_wake_queues" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x908ca40c, "mt76_connac_wowlan_support" },
	{ 0x184df793, "mt76_set_irq_mask" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xd09cb4f5, "mt76_connac_pm_dequeue_skbs" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x708f0b1f, "mt76_ethtool_page_pool_stats" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4134fe47, "__tracepoint_dev_irq" },
	{ 0xdd64e639, "strscpy" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0x55254fa2, "trace_event_buffer_reserve" },
	{ 0xe36d4495, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x96e3e6bd, "mt76_txq_schedule_all" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xafd08bcc, "mt76_connac2_load_patch" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x138c12e0, "____mt76_poll_msec" },
	{ 0x7109424, "seq_printf" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xab23235b, "seq_puts" },
	{ 0xa9a81f10, "ieee80211_queue_work" },
	{ 0xe496c9fc, "napi_schedule_prep" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xab9d88b8, "mt76_ethtool_worker" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xbe1f2603, "device_set_wakeup_enable" },
	{ 0x72694743, "mt76_dma_rx_poll" },
	{ 0x52167f01, "mt76_tx_status_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xfcf41aeb, "is_acpi_device_node" },
	{ 0xfc6ec21f, "devm_kmalloc" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76-connac-lib,mac80211");


MODULE_INFO(srcversion, "D75AB460518611AF0D50F60");
