#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2x00usb_vendor_request, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_vendor_req_buff_lock, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_vendor_request_buff, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_regbusy_read, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_register_read_async, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_kick_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_clear_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_initialize, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_uninitialize, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_probe, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_disconnect, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_suspend, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_resume, "_gpl", "");

SYMBOL_CRC(rt2x00usb_vendor_request, 0xf7389023, "_gpl");
SYMBOL_CRC(rt2x00usb_vendor_req_buff_lock, 0xa2cbb30f, "_gpl");
SYMBOL_CRC(rt2x00usb_vendor_request_buff, 0x19800ae6, "_gpl");
SYMBOL_CRC(rt2x00usb_regbusy_read, 0x9cbbd3f4, "_gpl");
SYMBOL_CRC(rt2x00usb_register_read_async, 0x16c0cd5e, "_gpl");
SYMBOL_CRC(rt2x00usb_kick_queue, 0x2210e185, "_gpl");
SYMBOL_CRC(rt2x00usb_flush_queue, 0x69fcd0d7, "_gpl");
SYMBOL_CRC(rt2x00usb_watchdog, 0x7333bef3, "_gpl");
SYMBOL_CRC(rt2x00usb_disable_radio, 0xc50bbebd, "_gpl");
SYMBOL_CRC(rt2x00usb_clear_entry, 0x0a97c8db, "_gpl");
SYMBOL_CRC(rt2x00usb_initialize, 0x86f683d5, "_gpl");
SYMBOL_CRC(rt2x00usb_uninitialize, 0x0591e64d, "_gpl");
SYMBOL_CRC(rt2x00usb_probe, 0x9355b003, "_gpl");
SYMBOL_CRC(rt2x00usb_disconnect, 0xce1e14ee, "_gpl");
SYMBOL_CRC(rt2x00usb_suspend, 0xb4453def, "_gpl");
SYMBOL_CRC(rt2x00usb_resume, 0xd9d7362f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x37a0cba, "kfree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x709f7616, "usb_anchor_urb" },
	{ 0x22e74c30, "usb_submit_urb" },
	{ 0x6f8c7b1, "usb_unanchor_urb" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x241026cc, "usb_alloc_urb" },
	{ 0xf43fcd82, "usb_free_urb" },
	{ 0xdc80e6e4, "rt2x00lib_dmadone" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe77650ec, "rt2x00queue_for_each_entry" },
	{ 0x3283fb69, "usb_kill_urb" },
	{ 0xa4c2d301, "rt2x00queue_get_entry" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x61add323, "rt2x00queue_stop_queue" },
	{ 0xade92ec4, "rt2x00queue_flush_queue" },
	{ 0xf70d5798, "rt2x00queue_start_queue" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0xdb762198, "rt2x00lib_txdone_noinfo" },
	{ 0x2777cdec, "rt2x00lib_rxdone" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5d398b08, "rt2x00lib_suspend" },
	{ 0x3028acb5, "rt2x00lib_resume" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xb853f55d, "_dev_err" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xcf2521c4, "usb_control_msg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xcae6b25a, "rt2x00lib_dmastart" },
	{ 0xa5629620, "__skb_pad" },
	{ 0x2c2e2712, "rt2x00lib_remove_dev" },
	{ 0x387150b6, "ieee80211_free_hw" },
	{ 0xeb7b00a4, "usb_put_dev" },
	{ 0x16a43507, "usb_get_dev" },
	{ 0x5a0f4975, "usb_reset_device" },
	{ 0x93c00428, "ieee80211_alloc_hw_nm" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x122c3a7e, "_printk" },
	{ 0xfc6ec21f, "devm_kmalloc" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xadf2f3d7, "rt2x00lib_probe_dev" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,mac80211");


MODULE_INFO(srcversion, "67708E3B0DC0029635F7F52");
