#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rtw_disable_lps_deep_mode, "", "");
KSYMTAB_DATA(rtw_debug_mask, "", "");
KSYMTAB_FUNC(rtw_dump_fw, "", "");
KSYMTAB_FUNC(rtw_dump_reg, "", "");
KSYMTAB_FUNC(rtw_set_rx_freq_band, "", "");
KSYMTAB_FUNC(rtw_chip_info_setup, "", "");
KSYMTAB_FUNC(rtw_core_init, "", "");
KSYMTAB_FUNC(rtw_core_deinit, "", "");
KSYMTAB_FUNC(rtw_register_hw, "", "");
KSYMTAB_FUNC(rtw_unregister_hw, "", "");
KSYMTAB_DATA(rtw_ops, "", "");
KSYMTAB_FUNC(check_hw_ready, "", "");
KSYMTAB_FUNC(rtw_restore_reg, "", "");
KSYMTAB_FUNC(rtw_tx_fill_tx_desc, "", "");
KSYMTAB_FUNC(rtw_tx_report_enqueue, "", "");
KSYMTAB_FUNC(rtw_tx_write_data_rsvd_page_get, "", "");
KSYMTAB_FUNC(rtw_tx_write_data_h2c_get, "", "");
KSYMTAB_FUNC(rtw_tx_ac_to_hwq, "", "");
KSYMTAB_FUNC(rtw_tx_queue_mapping, "", "");
KSYMTAB_FUNC(rtw_rx_stats, "", "");
KSYMTAB_FUNC(rtw_rx_fill_rx_status, "", "");
KSYMTAB_FUNC(rtw_set_channel_mac, "", "");
KSYMTAB_DATA(rtw_rate_section, "", "");
KSYMTAB_DATA(rtw_rate_size, "", "");
KSYMTAB_FUNC(rtw_phy_set_edcca_th, "", "");
KSYMTAB_FUNC(rtw_phy_init, "", "");
KSYMTAB_FUNC(rtw_phy_parsing_cfo, "", "");
KSYMTAB_FUNC(rtw_phy_rf_power_2_rssi, "", "");
KSYMTAB_FUNC(rtw_phy_read_rf, "", "");
KSYMTAB_FUNC(rtw_phy_read_rf_sipi, "", "");
KSYMTAB_FUNC(rtw_phy_write_rf_reg_sipi, "", "");
KSYMTAB_FUNC(rtw_phy_write_rf_reg_mix, "", "");
KSYMTAB_FUNC(rtw_parse_tbl_phy_cond, "", "");
KSYMTAB_FUNC(rtw_parse_tbl_bb_pg, "", "");
KSYMTAB_FUNC(rtw_parse_tbl_txpwr_lmt, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_mac, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_agc, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_bb, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_rf, "", "");
KSYMTAB_FUNC(rtw_phy_load_tables, "", "");
KSYMTAB_FUNC(rtw_phy_get_tx_power_index, "", "");
KSYMTAB_FUNC(rtw_phy_set_tx_power_level, "", "");
KSYMTAB_FUNC(rtw_phy_config_swing_table, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_avg, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_thermal_changed, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_get_delta, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_get_pwridx, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_need_lck, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_need_iqk, "", "");
KSYMTAB_FUNC(rtw_coex_write_scbd, "", "");
KSYMTAB_FUNC(rtw_coex_read_indirect_reg, "", "");
KSYMTAB_FUNC(rtw_coex_write_indirect_reg, "", "");
KSYMTAB_FUNC(rtw_read8_physical_efuse, "", "");
KSYMTAB_FUNC(rtw_fw_c2h_cmd_rx_irqsafe, "", "");
KSYMTAB_FUNC(rtw_fw_c2h_cmd_isr, "", "");
KSYMTAB_FUNC(rtw_fw_do_iqk, "", "");
KSYMTAB_FUNC(rtw_fw_inform_rfk_status, "", "");
KSYMTAB_FUNC(rtw_power_mode_change, "", "");
KSYMTAB_FUNC(rtw_bf_enable_bfee_su, "", "");
KSYMTAB_FUNC(rtw_bf_enable_bfee_mu, "", "");
KSYMTAB_FUNC(rtw_bf_remove_bfee_su, "", "");
KSYMTAB_FUNC(rtw_bf_remove_bfee_mu, "", "");
KSYMTAB_FUNC(rtw_bf_set_gid_table, "", "");
KSYMTAB_FUNC(rtw_bf_phy_init, "", "");
KSYMTAB_FUNC(rtw_bf_cfg_csi_rate, "", "");
KSYMTAB_FUNC(rtw_regd_get, "", "");

SYMBOL_CRC(rtw_disable_lps_deep_mode, 0x36c5bfca, "");
SYMBOL_CRC(rtw_debug_mask, 0x33b3f3c0, "");
SYMBOL_CRC(rtw_dump_fw, 0xf2bd4be3, "");
SYMBOL_CRC(rtw_dump_reg, 0xfbba2d95, "");
SYMBOL_CRC(rtw_set_rx_freq_band, 0x41173efe, "");
SYMBOL_CRC(rtw_chip_info_setup, 0x2a44e873, "");
SYMBOL_CRC(rtw_core_init, 0xc8597b67, "");
SYMBOL_CRC(rtw_core_deinit, 0x5075bcd5, "");
SYMBOL_CRC(rtw_register_hw, 0x849587ba, "");
SYMBOL_CRC(rtw_unregister_hw, 0x4d6c4f74, "");
SYMBOL_CRC(rtw_ops, 0xac4e84de, "");
SYMBOL_CRC(check_hw_ready, 0x39c8345d, "");
SYMBOL_CRC(rtw_restore_reg, 0x6a633291, "");
SYMBOL_CRC(rtw_tx_fill_tx_desc, 0x764d4d97, "");
SYMBOL_CRC(rtw_tx_report_enqueue, 0xd7987f28, "");
SYMBOL_CRC(rtw_tx_write_data_rsvd_page_get, 0xd1db31fe, "");
SYMBOL_CRC(rtw_tx_write_data_h2c_get, 0x91cb4055, "");
SYMBOL_CRC(rtw_tx_ac_to_hwq, 0x1dc2d072, "");
SYMBOL_CRC(rtw_tx_queue_mapping, 0x19656287, "");
SYMBOL_CRC(rtw_rx_stats, 0x43a22c5b, "");
SYMBOL_CRC(rtw_rx_fill_rx_status, 0xf5f449dd, "");
SYMBOL_CRC(rtw_set_channel_mac, 0xf9e42e4a, "");
SYMBOL_CRC(rtw_rate_section, 0x58210e60, "");
SYMBOL_CRC(rtw_rate_size, 0x519c8ba9, "");
SYMBOL_CRC(rtw_phy_set_edcca_th, 0x36f84070, "");
SYMBOL_CRC(rtw_phy_init, 0x0ee9fc9b, "");
SYMBOL_CRC(rtw_phy_parsing_cfo, 0x47317890, "");
SYMBOL_CRC(rtw_phy_rf_power_2_rssi, 0x440b7589, "");
SYMBOL_CRC(rtw_phy_read_rf, 0xddce7e08, "");
SYMBOL_CRC(rtw_phy_read_rf_sipi, 0x62567ef3, "");
SYMBOL_CRC(rtw_phy_write_rf_reg_sipi, 0x7cc59a9e, "");
SYMBOL_CRC(rtw_phy_write_rf_reg_mix, 0x4210aef0, "");
SYMBOL_CRC(rtw_parse_tbl_phy_cond, 0xb279ffcb, "");
SYMBOL_CRC(rtw_parse_tbl_bb_pg, 0xb2152387, "");
SYMBOL_CRC(rtw_parse_tbl_txpwr_lmt, 0xa469534f, "");
SYMBOL_CRC(rtw_phy_cfg_mac, 0xdf8d8dcb, "");
SYMBOL_CRC(rtw_phy_cfg_agc, 0x0ea3279c, "");
SYMBOL_CRC(rtw_phy_cfg_bb, 0xbad5c55b, "");
SYMBOL_CRC(rtw_phy_cfg_rf, 0x5378eaee, "");
SYMBOL_CRC(rtw_phy_load_tables, 0x3c4c4ec4, "");
SYMBOL_CRC(rtw_phy_get_tx_power_index, 0xb205be5c, "");
SYMBOL_CRC(rtw_phy_set_tx_power_level, 0x5c2337ee, "");
SYMBOL_CRC(rtw_phy_config_swing_table, 0xcfb742a3, "");
SYMBOL_CRC(rtw_phy_pwrtrack_avg, 0xfa8258b6, "");
SYMBOL_CRC(rtw_phy_pwrtrack_thermal_changed, 0x1a05ed51, "");
SYMBOL_CRC(rtw_phy_pwrtrack_get_delta, 0xc5347aae, "");
SYMBOL_CRC(rtw_phy_pwrtrack_get_pwridx, 0xcd0184d8, "");
SYMBOL_CRC(rtw_phy_pwrtrack_need_lck, 0x2d165447, "");
SYMBOL_CRC(rtw_phy_pwrtrack_need_iqk, 0x12abfb2e, "");
SYMBOL_CRC(rtw_coex_write_scbd, 0x5db4d064, "");
SYMBOL_CRC(rtw_coex_read_indirect_reg, 0x9a6b0a33, "");
SYMBOL_CRC(rtw_coex_write_indirect_reg, 0x979f8bab, "");
SYMBOL_CRC(rtw_read8_physical_efuse, 0x304b495b, "");
SYMBOL_CRC(rtw_fw_c2h_cmd_rx_irqsafe, 0x309aca86, "");
SYMBOL_CRC(rtw_fw_c2h_cmd_isr, 0xc2ed6596, "");
SYMBOL_CRC(rtw_fw_do_iqk, 0xa2ce6263, "");
SYMBOL_CRC(rtw_fw_inform_rfk_status, 0x3b1bb6d5, "");
SYMBOL_CRC(rtw_power_mode_change, 0x8ab6eb90, "");
SYMBOL_CRC(rtw_bf_enable_bfee_su, 0x4ee9a2e9, "");
SYMBOL_CRC(rtw_bf_enable_bfee_mu, 0x34d8f2d7, "");
SYMBOL_CRC(rtw_bf_remove_bfee_su, 0xb85f366a, "");
SYMBOL_CRC(rtw_bf_remove_bfee_mu, 0x5953d141, "");
SYMBOL_CRC(rtw_bf_set_gid_table, 0xb9a9cc34, "");
SYMBOL_CRC(rtw_bf_phy_init, 0x039a6764, "");
SYMBOL_CRC(rtw_bf_cfg_csi_rate, 0x9672aa53, "");
SYMBOL_CRC(rtw_regd_get, 0x35483e20, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6789bdad, "ieee80211_find_sta_by_ifaddr" },
	{ 0x86564197, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc25338ec, "skb_push" },
	{ 0x68f00fa1, "ieee80211_wake_queues" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x8daaa09, "ieee80211_iter_keys_rcu" },
	{ 0x55d0a5da, "ieee80211_free_txskb" },
	{ 0x5ae445f1, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x2d6cd7e, "ieee80211_tx_dequeue" },
	{ 0xfb578fc5, "memset" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa0cc62e3, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x7e3089b0, "ieee80211_stop_queues" },
	{ 0x4442b85c, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x999e8297, "vfree" },
	{ 0xb5a2b9da, "ieee80211_scan_completed" },
	{ 0xe36d4495, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x93067637, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb700b3e0, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xcb92acf1, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8a0efb21, "skb_copy" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x5273b57a, "ieee80211_cqm_rssi_notify" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd03a69f, "ieee80211_request_smps" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0xa9a81f10, "ieee80211_queue_work" },
	{ 0xa0410ee2, "dev_kfree_skb_any_reason" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0xbe1f2603, "device_set_wakeup_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xe4183b8b, "ieee80211_connection_loss" },
	{ 0x377cd063, "ieee80211_report_wowlan_wakeup" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x835eda7e, "ieee80211_txq_get_depth" },
	{ 0xe7749017, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x79856fee, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe7251df7, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xcaccbaf5, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5be2c2c5, "ieee80211_probereq_get" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x3119e09c, "ieee80211_iterate_stations_atomic" },
	{ 0x2807e33d, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfba897cf, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x2b392846, "ieee80211_nullfunc_get" },
	{ 0x497467cc, "ieee80211_pspoll_get" },
	{ 0x5afc3566, "ieee80211_register_hw" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4d19b2a6, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x824f5862, "skb_queue_purge_reason" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x75edbf9c, "ieee80211_find_sta" },
	{ 0xf2998d01, "ieee80211_iter_keys" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x7503943a, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xeaeba39b, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x591b192f, "_dev_info" },
	{ 0x30d8be3, "skb_queue_tail" },
	{ 0xb3baae38, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xb6936ffe, "_bcd2bin" },
	{ 0x40939d0c, "wiphy_to_ieee80211_hw" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x23eacd27, "ieee80211_queue_delayed_work" },
	{ 0x3d30a0f, "ieee80211_proberesp_get" },
	{ 0xb853f55d, "_dev_err" },
	{ 0x3b2f2a3d, "request_firmware_nowait" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "6AA6A6F9CCB2C14C73C098A");
