#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rtw_pm_ops, "", "");
KSYMTAB_FUNC(rtw_pci_probe, "", "");
KSYMTAB_FUNC(rtw_pci_remove, "", "");
KSYMTAB_FUNC(rtw_pci_shutdown, "", "");

SYMBOL_CRC(rtw_pm_ops, 0x182b90e3, "");
SYMBOL_CRC(rtw_pci_probe, 0x61c13405, "");
SYMBOL_CRC(rtw_pci_remove, 0x147f5c03, "");
SYMBOL_CRC(rtw_pci_shutdown, 0x28351ca5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4d6c4f74, "rtw_unregister_hw" },
	{ 0xb853f55d, "_dev_err" },
	{ 0x92836a8b, "skb_pull" },
	{ 0x764d4d97, "rtw_tx_fill_tx_desc" },
	{ 0xc25338ec, "skb_push" },
	{ 0xda754828, "dma_alloc_attrs" },
	{ 0x468fd87f, "napi_enable" },
	{ 0xc8597b67, "rtw_core_init" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x93c00428, "ieee80211_alloc_hw_nm" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3345c342, "pci_iounmap" },
	{ 0xc3b1bf66, "dma_sync_single_for_cpu" },
	{ 0xd1db31fe, "rtw_tx_write_data_rsvd_page_get" },
	{ 0xfb578fc5, "memset" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0x6d57bd5c, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc20fe68a, "ieee80211_stop_queue" },
	{ 0xa0cc62e3, "__netdev_alloc_skb" },
	{ 0x43a22c5b, "rtw_rx_stats" },
	{ 0x29fb4ebf, "pcie_capability_clear_and_set_word_unlocked" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x849587ba, "rtw_register_hw" },
	{ 0x62e6f572, "dma_free_attrs" },
	{ 0x93067637, "param_ops_bool" },
	{ 0xd4ef9091, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb700b3e0, "ieee80211_unregister_hw" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x5075bcd5, "rtw_core_deinit" },
	{ 0xac4e84de, "rtw_ops" },
	{ 0x8941e0e8, "pci_disable_device" },
	{ 0xe496c9fc, "napi_schedule_prep" },
	{ 0xe9927733, "napi_disable" },
	{ 0xa0410ee2, "dev_kfree_skb_any_reason" },
	{ 0x8ab6eb90, "rtw_power_mode_change" },
	{ 0x91cb4055, "rtw_tx_write_data_h2c_get" },
	{ 0x526c1129, "pci_free_irq_vectors" },
	{ 0x1238d9f7, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0x309aca86, "rtw_fw_c2h_cmd_rx_irqsafe" },
	{ 0x4d22f519, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd7987f28, "rtw_tx_report_enqueue" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x19656287, "rtw_tx_queue_mapping" },
	{ 0x234b6f17, "pcie_capability_read_word" },
	{ 0x211ce9ad, "devm_request_threaded_irq" },
	{ 0x28b05f52, "pci_enable_device" },
	{ 0x79856fee, "skb_put" },
	{ 0xe7251df7, "consume_skb" },
	{ 0xc33f127f, "pci_iomap" },
	{ 0x23e1ff2, "pci_alloc_irq_vectors" },
	{ 0x81f74173, "netif_napi_add_weight" },
	{ 0xcaccbaf5, "skb_dequeue" },
	{ 0x387150b6, "ieee80211_free_hw" },
	{ 0x3279e0ed, "dma_unmap_page_attrs" },
	{ 0x51e39b60, "dma_sync_single_for_device" },
	{ 0xc8974b62, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1dc2d072, "rtw_tx_ac_to_hwq" },
	{ 0x7c8efed4, "dev_kfree_skb_irq_reason" },
	{ 0xbce62797, "pci_set_power_state" },
	{ 0x469497b4, "__netif_napi_del" },
	{ 0xda8a92c8, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe168fe48, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x211a607e, "dma_map_page_attrs" },
	{ 0xf2dc7718, "napi_complete_done" },
	{ 0x7503943a, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa2b057be, "devm_free_irq" },
	{ 0xe86b53e0, "__napi_schedule" },
	{ 0x30d8be3, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x2a44e873, "rtw_chip_info_setup" },
	{ 0xc2ed6596, "rtw_fw_c2h_cmd_isr" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "rtw88_core,mac80211");


MODULE_INFO(srcversion, "90DC99D9FC974C42492204B");
