#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(parport_pc_probe_port, "", "");
KSYMTAB_FUNC(parport_pc_unregister_port, "", "");

SYMBOL_CRC(parport_pc_probe_port, 0xe275c92e, "");
SYMBOL_CRC(parport_pc_unregister_port, 0xa2131659, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x34f343e3, "parport_announce_port" },
	{ 0x28b05f52, "pci_enable_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa9ff1fdf, "pnp_get_resource" },
	{ 0x591b192f, "_dev_info" },
	{ 0xd2256dd7, "pci_write_config_dword" },
	{ 0xb1cdd034, "pci_read_config_byte" },
	{ 0xd9db14f0, "pci_read_config_dword" },
	{ 0xb6571a30, "pci_write_config_byte" },
	{ 0x39ebaee0, "pci_get_device" },
	{ 0xdf77bcee, "pci_match_id" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xeebad00b, "__pci_register_driver" },
	{ 0x2f01824e, "pnp_register_driver" },
	{ 0x477721ee, "__platform_driver_register" },
	{ 0x64e2c794, "param_ops_charp" },
	{ 0x1911b4c5, "param_array_ops" },
	{ 0x7cf19c, "param_ops_int" },
	{ 0xcf12b9b0, "parport_ieee1284_epp_write_data" },
	{ 0x1e897239, "parport_ieee1284_epp_read_data" },
	{ 0x3cfd4994, "parport_ieee1284_epp_write_addr" },
	{ 0x8941fa27, "parport_ieee1284_epp_read_addr" },
	{ 0x54239ae, "parport_ieee1284_ecp_write_data" },
	{ 0xca8b7eee, "parport_ieee1284_ecp_read_data" },
	{ 0xf6adc98a, "parport_ieee1284_ecp_write_addr" },
	{ 0xe7f322c6, "parport_ieee1284_write_compat" },
	{ 0x8e61e2f2, "parport_ieee1284_read_nibble" },
	{ 0x6f3d8522, "parport_ieee1284_read_byte" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb4e41581, "parport_remove_port" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xdbdf6c92, "ioport_resource" },
	{ 0x1035c7c2, "__release_region" },
	{ 0x37a0cba, "kfree" },
	{ 0xf643de8b, "parport_del_port" },
	{ 0x1cb77636, "platform_driver_unregister" },
	{ 0x19f71f6c, "platform_bus_type" },
	{ 0x1a94279d, "platform_device_unregister" },
	{ 0xb3ec0124, "pci_unregister_driver" },
	{ 0xebc24f87, "pnp_unregister_driver" },
	{ 0x5a921311, "strncmp" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb121390a, "probe_irq_on" },
	{ 0xab600421, "probe_irq_off" },
	{ 0xabdc439, "cc_platform_has" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0xd6926d79, "parport_register_port" },
	{ 0x85bd1608, "__request_region" },
	{ 0xd4028a51, "platform_device_register_full" },
	{ 0x4396602e, "dma_set_mask" },
	{ 0xb853f55d, "_dev_err" },
	{ 0xa5aa685b, "dma_set_coherent_mask" },
	{ 0x5e3a3912, "parport_irq_handler" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "parport");

MODULE_ALIAS("pnp:dPNP0400*");
MODULE_ALIAS("acpi*:PNP0400:*");
MODULE_ALIAS("pnp:dPNP0401*");
MODULE_ALIAS("acpi*:PNP0401:*");
MODULE_ALIAS("pci:v00001106d00000686sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001106d00008231sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001283d00008872sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000131Fd00001020sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000131Fd00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000131Fd00002020sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000131Fd00002021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001407d00008000sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001407d00008002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001407d00008003sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001407d00008800sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009050sv0000D84Dsd00004014bc*sc*i*");
MODULE_ALIAS("pci:v00001409d00007268sv00001409sd00000101bc*sc*i*");
MODULE_ALIAS("pci:v00001409d00007268sv00001409sd00000102bc*sc*i*");
MODULE_ALIAS("pci:v00001409d00007268sv00001409sd00000103bc*sc*i*");
MODULE_ALIAS("pci:v00001409d00007268sv00001409sd00000104bc*sc*i*");
MODULE_ALIAS("pci:v00001409d00007268sv00001409sd00009018bc*sc*i*");
MODULE_ALIAS("pci:v00001592d00000782sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001592d00000783sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014D2d00008001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014DBd00002120sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014DBd00002121sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d00009523sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d00009513sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d00008403sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C000sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C100sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C104sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C110sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C114sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C118sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C11Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000416Cd00000100sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014F2d00000121sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00009710d00009900sv0000A000sd00002000bc*sc*i*");
MODULE_ALIAS("pci:v00009710d00009705sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00009710d00009715sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00009710d00009755sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00009710d00009805sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00009710d00009815sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00009710d00009901sv0000A000sd00002000bc*sc*i*");
MODULE_ALIAS("pci:v00009710d00009865sv0000A000sd00001000bc*sc*i*");
MODULE_ALIAS("pci:v00009710d00009865sv0000A000sd00002000bc*sc*i*");
MODULE_ALIAS("pci:v0000125Bd00009100sv0000A000sd00002000bc*sc*i*");
MODULE_ALIAS("pci:v0000135Cd00000278sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001C00d00003050sv00001C00sd00003050bc*sc*i*");
MODULE_ALIAS("pci:v0000135Ad0000402Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000135Ad00000BE1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000135Ad00000BE2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000135Ad0000401Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000135Ad00004007sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000135Ad0000401Fsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "7C6BF636F086679C04EF1B0");
