#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(asus_wmi_evaluate_method, "_gpl", "");
KSYMTAB_FUNC(asus_wmi_register_driver, "_gpl", "");
KSYMTAB_FUNC(asus_wmi_unregister_driver, "_gpl", "");

SYMBOL_CRC(asus_wmi_evaluate_method, 0x57c46ceb, "_gpl");
SYMBOL_CRC(asus_wmi_register_driver, 0x58755a7a, "_gpl");
SYMBOL_CRC(asus_wmi_unregister_driver, 0x4e716251, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x79e79192, "__platform_create_bundle" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x67927a0d, "platform_profile_notify" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0xd401cc06, "device_remove_file" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd47100f3, "device_create_file" },
	{ 0x998f32e, "single_open" },
	{ 0x7109424, "seq_printf" },
	{ 0x65709836, "led_classdev_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x1a94279d, "platform_device_unregister" },
	{ 0x1cb77636, "platform_driver_unregister" },
	{ 0x65b4695, "wmi_get_acpi_device_uid" },
	{ 0x591b192f, "_dev_info" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x69acdf38, "memcpy" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xced75e17, "backlight_device_register" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8a490c90, "rfkill_set_sw_state" },
	{ 0xcbcca916, "input_set_capability" },
	{ 0x9a462e7e, "input_event" },
	{ 0xb853f55d, "_dev_err" },
	{ 0x23d2c28b, "rfkill_alloc" },
	{ 0xaad6d92f, "rfkill_init_sw_state" },
	{ 0xff282521, "rfkill_register" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x9cab34a6, "rfkill_set_led_trigger_name" },
	{ 0x7de7bf50, "__acpi_video_get_backlight_type" },
	{ 0xf39c4fa8, "sparse_keymap_report_event" },
	{ 0xd683411d, "backlight_force_update" },
	{ 0x65b959ac, "led_classdev_notify_brightness_hw_changed" },
	{ 0xddbeeecc, "pci_lock_rescan_remove" },
	{ 0x4cda9889, "pci_find_bus" },
	{ 0x1e437528, "pci_bus_read_config_dword" },
	{ 0x5844309a, "pci_get_slot" },
	{ 0x57191756, "pci_dev_put" },
	{ 0x5790e7a0, "pci_unlock_rescan_remove" },
	{ 0x13b94061, "pci_stop_and_remove_bus_device" },
	{ 0xecf8ff6b, "pci_scan_single_device" },
	{ 0xd24fac0e, "pci_bus_assign_resources" },
	{ 0x43e675c3, "pci_bus_add_device" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x7de1de47, "pci_hp_deregister" },
	{ 0x82c595c3, "i8042_remove_filter" },
	{ 0x76ae31fd, "wmi_remove_notify_handler" },
	{ 0x64f8191, "backlight_device_unregister" },
	{ 0x75e84ec1, "input_unregister_device" },
	{ 0x6ca64ef8, "debugfs_remove" },
	{ 0x25483cd5, "sysfs_remove_group" },
	{ 0x89f7e76b, "battery_hook_unregister" },
	{ 0xbfe36436, "platform_profile_remove" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x2e1932eb, "__pci_hp_register" },
	{ 0x8829cc30, "led_classdev_register_ext" },
	{ 0xce593c22, "ledtrig_audio_get" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0xcac33cd4, "platform_profile_register" },
	{ 0x81767c57, "sysfs_create_group" },
	{ 0xb28be58a, "input_allocate_device" },
	{ 0x40a41c5, "sparse_keymap_setup" },
	{ 0xf9bd5fd8, "input_register_device" },
	{ 0x5a4a3ee6, "devm_hwmon_device_register_with_groups" },
	{ 0xf18bdd75, "wmi_install_notify_handler" },
	{ 0xf0ef7fb7, "i8042_install_filter" },
	{ 0xf29606ab, "debugfs_create_dir" },
	{ 0xbe54ae88, "debugfs_create_x32" },
	{ 0x6e7f1d4a, "debugfs_create_file" },
	{ 0xa8440fde, "input_free_device" },
	{ 0x39ebaee0, "pci_get_device" },
	{ 0xd9db14f0, "pci_read_config_dword" },
	{ 0xd2256dd7, "pci_write_config_dword" },
	{ 0xab9d0f2a, "battery_hook_register" },
	{ 0xc9d4d6d1, "wmi_has_guid" },
	{ 0xdfc6e05a, "seq_lseek" },
	{ 0x61409eae, "seq_read" },
	{ 0xcb5f3d33, "single_release" },
	{ 0x93067637, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6068bedf, "wmi_evaluate_method" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x122c3a7e, "_printk" },
	{ 0x17b0f8ca, "wmi_get_event_data" },
	{ 0xcd8ce890, "acpi_format_exception" },
	{ 0x10f406dc, "sysfs_notify" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "platform_profile,wmi,rfkill,video,sparse-keymap,ledtrig-audio");


MODULE_INFO(srcversion, "FAE0AA6658DE270A1233E5C");
