#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iscsi_tcp_segment_unmap, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_segment_done, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_dgst_header, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_init_linear, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_seek_sg, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_hdr_recv_prep, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_segment_is_hdr, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_skb, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_init, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_xmit, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_set_max_r2t, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_get_stats, "_gpl", "");

SYMBOL_CRC(iscsi_tcp_segment_unmap, 0x254796cc, "_gpl");
SYMBOL_CRC(iscsi_tcp_segment_done, 0x00ff534e, "_gpl");
SYMBOL_CRC(iscsi_tcp_dgst_header, 0x7aa56bec, "_gpl");
SYMBOL_CRC(iscsi_segment_init_linear, 0x49424213, "_gpl");
SYMBOL_CRC(iscsi_segment_seek_sg, 0x479e0d9a, "_gpl");
SYMBOL_CRC(iscsi_tcp_hdr_recv_prep, 0xc93ce3f3, "_gpl");
SYMBOL_CRC(iscsi_tcp_cleanup_task, 0x2fb3f3a6, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_segment_is_hdr, 0x50dabf92, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_skb, 0x1fc7d951, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_init, 0xb35b1681, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_xmit, 0x182fe221, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_setup, 0x92212c6e, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_teardown, 0xb5d6ece8, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_alloc, 0x1507aef0, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_free, 0x766c9e3c, "_gpl");
SYMBOL_CRC(iscsi_tcp_set_max_r2t, 0x3c7b9ea7, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_get_stats, 0xd10ebdef, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1fe39b64, "iscsi_dbg_trace" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc906d8e1, "_dev_printk" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x5602656f, "crypto_ahash_digest" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x579d4e4c, "iscsi_itt_to_ctask" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf74e1864, "iscsi_get_task" },
	{ 0x4682ec19, "iscsi_update_cmdsn" },
	{ 0xbb4049db, "iscsi_put_task" },
	{ 0x4cb0fe1b, "iscsi_requeue_task" },
	{ 0xe65b583a, "iscsi_prep_data_out_pdu" },
	{ 0x2d952a2a, "iscsi_conn_failure" },
	{ 0x52d77191, "iscsi_conn_setup" },
	{ 0xf0dad7e7, "iscsi_conn_teardown" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x3bef2f73, "iscsi_pool_init" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x8d303b1b, "iscsi_pool_free" },
	{ 0xec69a778, "__tracepoint_iscsi_dbg_tcp" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xa8c4b5e1, "__SCT__tp_func_iscsi_dbg_tcp" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x16647d00, "iscsi_complete_pdu" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x304b6e82, "crypto_ahash_final" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5c09d30d, "skb_prepare_seq_read" },
	{ 0x7e33d48c, "skb_seq_read" },
	{ 0x9c78feca, "skb_abort_seq_read" },
	{ 0x61bed004, "iscsi_verify_itt" },
	{ 0xa4a7304f, "__iscsi_complete_pdu" },
	{ 0x7cf19c, "param_ops_int" },
	{ 0xb0752992, "__SCK__tp_func_iscsi_dbg_tcp" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,libiscsi");


MODULE_INFO(srcversion, "2064390599C28F50820AC03");
