#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_register_ha, "_gpl", "");
KSYMTAB_FUNC(sas_unregister_ha, "_gpl", "");
KSYMTAB_FUNC(sas_phy_enable, "_gpl", "");
KSYMTAB_FUNC(sas_phy_reset, "_gpl", "");
KSYMTAB_FUNC(sas_prep_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha_no_sync, "", "");
KSYMTAB_FUNC(sas_suspend_ha, "", "");
KSYMTAB_DATA(dev_attr_phy_event_threshold, "_gpl", "");
KSYMTAB_FUNC(sas_domain_attach_transport, "_gpl", "");
KSYMTAB_FUNC(sas_drain_work, "_gpl", "");
KSYMTAB_FUNC(sas_notify_port_event, "_gpl", "");
KSYMTAB_FUNC(sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(sas_find_attached_phy_id, "_gpl", "");
KSYMTAB_FUNC(sas_queuecommand, "_gpl", "");
KSYMTAB_FUNC(sas_get_local_phy, "_gpl", "");
KSYMTAB_FUNC(sas_eh_abort_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_device_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_target_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_ioctl, "_gpl", "");
KSYMTAB_FUNC(sas_target_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_slave_configure, "_gpl", "");
KSYMTAB_FUNC(sas_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(sas_bios_param, "_gpl", "");
KSYMTAB_FUNC(sas_execute_internal_abort_single, "_gpl", "");
KSYMTAB_FUNC(sas_execute_internal_abort_dev, "_gpl", "");
KSYMTAB_FUNC(sas_abort_task_set, "_gpl", "");
KSYMTAB_FUNC(sas_clear_task_set, "_gpl", "");
KSYMTAB_FUNC(sas_lu_reset, "_gpl", "");
KSYMTAB_FUNC(sas_query_task, "_gpl", "");
KSYMTAB_FUNC(sas_abort_task, "_gpl", "");
KSYMTAB_FUNC(sas_task_abort, "_gpl", "");
KSYMTAB_FUNC(sas_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_target_destroy, "_gpl", "");
KSYMTAB_FUNC(sas_request_addr, "_gpl", "");
KSYMTAB_FUNC(sas_ssp_task_response, "_gpl", "");
KSYMTAB_FUNC(smp_ata_check_ready_type, "_gpl", "");
KSYMTAB_FUNC(sas_ata_schedule_reset, "_gpl", "");
KSYMTAB_FUNC(sas_ata_device_link_abort, "_gpl", "");
KSYMTAB_FUNC(sas_execute_ata_cmd, "_gpl", "");
KSYMTAB_FUNC(try_test_sas_gpio_gp_bit, "", "");

SYMBOL_CRC(sas_register_ha, 0xcc8ef5a3, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0x15a9d5a4, "_gpl");
SYMBOL_CRC(sas_phy_enable, 0xb9e4d268, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0xbdeec9ea, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0x717ea8b8, "");
SYMBOL_CRC(sas_resume_ha, 0xdff683c5, "");
SYMBOL_CRC(sas_resume_ha_no_sync, 0x26d587bf, "");
SYMBOL_CRC(sas_suspend_ha, 0x91f1da21, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0x95441e64, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0x46fbd277, "_gpl");
SYMBOL_CRC(sas_drain_work, 0x8b89836e, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0x34fd973c, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0xd5433c62, "_gpl");
SYMBOL_CRC(sas_find_attached_phy_id, 0xcece6d5e, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0x8c023ef8, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0x64a45b0e, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0x1bf49303, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0x0b99e37f, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0x3927a327, "_gpl");
SYMBOL_CRC(sas_ioctl, 0xe381740d, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0xa18fbca2, "_gpl");
SYMBOL_CRC(sas_slave_configure, 0x11ce9580, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0x97950743, "_gpl");
SYMBOL_CRC(sas_bios_param, 0xaf126b97, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_single, 0x89537889, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_dev, 0x66009317, "_gpl");
SYMBOL_CRC(sas_abort_task_set, 0x072320dd, "_gpl");
SYMBOL_CRC(sas_clear_task_set, 0x0d7ae254, "_gpl");
SYMBOL_CRC(sas_lu_reset, 0xc013abce, "_gpl");
SYMBOL_CRC(sas_query_task, 0xab8ccd71, "_gpl");
SYMBOL_CRC(sas_abort_task, 0x95fcbb50, "_gpl");
SYMBOL_CRC(sas_task_abort, 0x36596a13, "_gpl");
SYMBOL_CRC(sas_slave_alloc, 0x5a516289, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0x36ed5b1e, "_gpl");
SYMBOL_CRC(sas_request_addr, 0xd9aca440, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0xc59fa43f, "_gpl");
SYMBOL_CRC(smp_ata_check_ready_type, 0x2f2bde83, "_gpl");
SYMBOL_CRC(sas_ata_schedule_reset, 0xedef9bbf, "_gpl");
SYMBOL_CRC(sas_ata_device_link_abort, 0xb60b7b39, "_gpl");
SYMBOL_CRC(sas_execute_ata_cmd, 0x0e548d14, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xef39ce92, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xa04670e3, "ata_sas_tport_delete" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5bcc0df7, "ata_dev_classify" },
	{ 0xaada9d35, "kmem_cache_alloc" },
	{ 0x591b192f, "_dev_info" },
	{ 0xda121313, "sas_phy_free" },
	{ 0x20ca3874, "scsi_eh_finish_cmd" },
	{ 0xd751348a, "ata_noop_qc_prep" },
	{ 0xbe6a73d0, "ata_sas_port_alloc" },
	{ 0x5cfa9505, "ata_port_schedule_eh" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x24d273d1, "add_timer" },
	{ 0x7e3d7f14, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe18bf65e, "sas_port_mark_backlink" },
	{ 0x11dbe881, "kmem_cache_free" },
	{ 0xb2a88f8d, "ata_link_abort" },
	{ 0xc9006dcc, "ata_std_qc_defer" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x6faae422, "ata_scsi_port_error_handler" },
	{ 0x5ff181f6, "ata_change_queue_depth" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1b16d437, "ata_port_probe" },
	{ 0x77871183, "ata_std_error_handler" },
	{ 0x7bb6fb92, "ata_port_free" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xabb15c70, "sas_end_device_alloc" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xc3541a6c, "sas_read_port_mode_page" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x72f92ea7, "sas_expander_alloc" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0xfeee0958, "sas_rphy_delete" },
	{ 0x88303564, "scsi_is_host_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x71d8f7c8, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x66ad55f0, "scsi_host_busy" },
	{ 0xc562c7ea, "sas_port_delete" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8f413fc1, "ata_sas_port_suspend" },
	{ 0x9c1e7d0d, "sas_rphy_add" },
	{ 0xa0c04ee5, "__pm_runtime_resume" },
	{ 0x247e52d1, "sas_port_delete_phy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd5d49d5a, "sas_rphy_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x34fad931, "sas_port_add_phy" },
	{ 0xbb97a3cb, "ata_scsi_cmd_error_handler" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xb58f6598, "ata_sas_slave_configure" },
	{ 0xffbd7e30, "blk_mq_tagset_busy_iter" },
	{ 0x325f0b2b, "scsi_done" },
	{ 0xc28fba59, "scsi_unblock_requests" },
	{ 0x66ed7d97, "sas_phy_add" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xeee20177, "ata_host_put" },
	{ 0xc5d0b1e5, "sas_port_free" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0xffee520a, "ata_std_sched_eh" },
	{ 0x33d2e8fc, "scsi_block_requests" },
	{ 0xc70cc7e9, "blk_abort_request" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xc64c74fe, "sas_remove_children" },
	{ 0xdfcbe920, "scsi_change_queue_depth" },
	{ 0xe733d41b, "__pm_runtime_idle" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x126b9d5e, "ata_port_wait_eh" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0xa71ccb69, "kmem_cache_destroy" },
	{ 0x3440bf80, "ata_qc_complete" },
	{ 0x1941809, "ata_sas_scsi_ioctl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7f9b4af9, "sas_rphy_remove" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x39ae8e4b, "bsg_job_done" },
	{ 0x57a58224, "ata_sas_queuecmd" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x5ca9f64, "sas_rphy_unlink" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x9a74a4db, "ata_sas_tport_add" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8b283335, "scsi_schedule_eh" },
	{ 0xe8038cb6, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x66f05697, "ata_host_init" },
	{ 0x29a9de60, "sas_port_alloc" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xe28a2f2c, "scsi_eh_ready_devs" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x96bfb4dd, "sas_port_get_phy" },
	{ 0x287bb59, "ata_sas_port_resume" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0xd4fbd8af, "kmem_cache_create" },
	{ 0xe1740888, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x3b2025a1, "ata_wait_after_reset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xee8cf3b2, "sas_phy_alloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "libata,scsi_transport_sas");


MODULE_INFO(srcversion, "0778E19128D011B35CDB20B");
