#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qlt_unreg_sess, "", "");
KSYMTAB_FUNC(qlt_stop_phase1, "", "");
KSYMTAB_FUNC(qlt_stop_phase2, "", "");
KSYMTAB_FUNC(qlt_free_mcmd, "", "");
KSYMTAB_FUNC(qlt_xmit_tm_rsp, "", "");
KSYMTAB_FUNC(qlt_xmit_response, "", "");
KSYMTAB_FUNC(qlt_rdy_to_xfer, "", "");
KSYMTAB_FUNC(qlt_abort_cmd, "", "");
KSYMTAB_FUNC(qlt_free_cmd, "", "");
KSYMTAB_FUNC(qlt_lport_register, "", "");
KSYMTAB_FUNC(qlt_lport_deregister, "", "");
KSYMTAB_FUNC(qlt_enable_vha, "", "");

SYMBOL_CRC(qlt_unreg_sess, 0xa43f2ce4, "");
SYMBOL_CRC(qlt_stop_phase1, 0x5686679e, "");
SYMBOL_CRC(qlt_stop_phase2, 0xe1b5fc14, "");
SYMBOL_CRC(qlt_free_mcmd, 0x2ddb5b00, "");
SYMBOL_CRC(qlt_xmit_tm_rsp, 0xfc9530ac, "");
SYMBOL_CRC(qlt_xmit_response, 0x671059bb, "");
SYMBOL_CRC(qlt_rdy_to_xfer, 0xd9f7fdcb, "");
SYMBOL_CRC(qlt_abort_cmd, 0xbb34d03d, "");
SYMBOL_CRC(qlt_free_cmd, 0xa0df6a60, "");
SYMBOL_CRC(qlt_lport_register, 0x2cfa1190, "");
SYMBOL_CRC(qlt_lport_deregister, 0x3d80be82, "");
SYMBOL_CRC(qlt_enable_vha, 0xaad06afe, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7db9bc2c, "fc_block_rport" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xd697f068, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc5bed2fe, "trace_array_get_by_name" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x6eecfaf4, "sg_copy_buffer" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x26dfd906, "pci_restore_state" },
	{ 0xfb578fc5, "memset" },
	{ 0x878cb558, "pci_alloc_irq_vectors_affinity" },
	{ 0x88303564, "scsi_is_host_device" },
	{ 0x6d57bd5c, "pci_set_master" },
	{ 0x64e2c794, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x1a980301, "dma_get_required_mask" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb94e9a22, "blk_mq_unique_tag" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd7d4b590, "kthread_create_on_node" },
	{ 0xa5aa685b, "dma_set_coherent_mask" },
	{ 0x61409eae, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa6d6c77b, "trace_array_set_clr_event" },
	{ 0xdd64e639, "strscpy" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x375f8bbd, "fc_get_event_number" },
	{ 0x6e7f1d4a, "debugfs_create_file" },
	{ 0x62e6f572, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x753a6f98, "fc_host_fpin_rcv" },
	{ 0x55254fa2, "trace_event_buffer_reserve" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0x759bfe36, "btree_destroy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x95faa83e, "scmd_printk" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x4f2593f0, "btree_update" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb6571a30, "pci_write_config_byte" },
	{ 0xfe1c9ea5, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x29458b4, "__register_chrdev" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd841e808, "fc_eh_should_retry_cmd" },
	{ 0x4f5b4fa1, "pcie_capability_read_dword" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7109424, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x3884f8b8, "nvme_fc_unregister_localport" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xde59c8c5, "scsi_is_fc_rport" },
	{ 0x8941e0e8, "pci_disable_device" },
	{ 0xab23235b, "seq_puts" },
	{ 0x325f0b2b, "scsi_done" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x890fa0fa, "btree_get_prev" },
	{ 0xcb5f3d33, "single_release" },
	{ 0xc28fba59, "scsi_unblock_requests" },
	{ 0x96e26c31, "pcie_set_readrq" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x4396602e, "dma_set_mask" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x9f4e5b40, "pci_disable_rom" },
	{ 0xe42dfeee, "dma_unmap_sg_attrs" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0xe7fe54ed, "pci_irq_get_affinity" },
	{ 0x33d2e8fc, "scsi_block_requests" },
	{ 0xa2bd9815, "scsi_add_host_with_dma" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xb1cdd034, "pci_read_config_byte" },
	{ 0x754d539c, "strlen" },
	{ 0x7cf19c, "param_ops_int" },
	{ 0xd12e564, "nvme_fc_register_remoteport" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x998f32e, "single_open" },
	{ 0xf82ccd6e, "scsi_host_alloc" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xf29606ab, "debugfs_create_dir" },
	{ 0x2ac7ea93, "pci_write_config_word" },
	{ 0x72851373, "sysfs_remove_bin_file" },
	{ 0x526c1129, "pci_free_irq_vectors" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x44360ba0, "nvme_fc_register_localport" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xdfcbe920, "scsi_change_queue_depth" },
	{ 0xf9a482f9, "msleep" },
	{ 0x89821cec, "pcix_set_mmrbc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0xa71ccb69, "kmem_cache_destroy" },
	{ 0x6c3c1f8c, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x72968d76, "param_ops_ullong" },
	{ 0xe914e41e, "strcpy" },
	{ 0x986d6339, "pci_save_state" },
	{ 0xef92ef33, "btree_last" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x234b6f17, "pcie_capability_read_word" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x5148dda1, "fc_attach_transport" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xd46a0d6f, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa3a04602, "btree_geo64" },
	{ 0x1f9d1937, "debugfs_attr_write" },
	{ 0xe7749017, "param_ops_uint" },
	{ 0xee8a942f, "dma_pool_create" },
	{ 0xb9266da5, "pci_request_selected_regions" },
	{ 0x1026444d, "pci_release_selected_regions" },
	{ 0x8a9cf5a7, "nvme_fc_set_remoteport_devloss" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x28b05f52, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77bc13a0, "strim" },
	{ 0x788f0b04, "pci_enable_device_mem" },
	{ 0x39ae8e4b, "bsg_job_done" },
	{ 0x50df94f5, "btree_insert" },
	{ 0x23e1ff2, "pci_alloc_irq_vectors" },
	{ 0x591f2d12, "fc_remote_port_add" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa4cbedd, "trace_raw_output_prep" },
	{ 0x1f581a17, "scsi_remove_host" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe8e0ed1e, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8f2c7e2d, "scsi_build_sense" },
	{ 0x3279e0ed, "dma_unmap_page_attrs" },
	{ 0x2aabcdc8, "vmalloc_array" },
	{ 0xe8038cb6, "request_firmware" },
	{ 0x65a259b6, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xaaeaa401, "fc_remove_host" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xeebad00b, "__pci_register_driver" },
	{ 0x28558211, "set_user_nice" },
	{ 0x51e39b60, "dma_sync_single_for_device" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xb46a0f75, "sysfs_create_bin_file" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xc8974b62, "pci_request_regions" },
	{ 0x5b50ae95, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfa15a1a1, "scsi_dma_unmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0xdfc6e05a, "seq_lseek" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xc835d856, "pci_clear_mwi" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe8690ce1, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xdfaec5c5, "fc_eh_timed_out" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf3b95d79, "btree_remove" },
	{ 0xcb3ab39a, "pci_irq_vector" },
	{ 0x148653, "vsnprintf" },
	{ 0x6ac59b04, "pci_try_set_mwi" },
	{ 0xd4fbd8af, "kmem_cache_create" },
	{ 0xe1740888, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbb0e18a6, "nvme_fc_rcv_ls_req" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xb3ec0124, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1a53c964, "wake_up_process" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xe168fe48, "dev_driver_string" },
	{ 0x7816f98d, "trace_event_buffer_commit" },
	{ 0xeea25388, "trace_array_put" },
	{ 0xd9db14f0, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x211a607e, "dma_map_page_attrs" },
	{ 0x8735ed3d, "irq_set_affinity_notifier" },
	{ 0x49380a50, "blk_mq_pci_map_queues" },
	{ 0xf06b801f, "fc_block_scsi_eh" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xf331236f, "btree_geo32" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1953c958, "mempool_create" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x5521f3e5, "fc_remote_port_delete" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa916b694, "strnlen" },
	{ 0xa80cb0b8, "scsi_host_get" },
	{ 0xc3762aec, "mempool_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x9fa4564a, "timer_shutdown" },
	{ 0x3aa3bb34, "fc_host_post_event" },
	{ 0xaada9d35, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x591b192f, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x8c5f0ff3, "pci_select_bars" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xeea88f63, "fc_release_transport" },
	{ 0xa5aaaf38, "pci_set_mwi" },
	{ 0xede9a09a, "btree_lookup" },
	{ 0xb602a134, "pci_find_capability" },
	{ 0xf02d5644, "debugfs_attr_read" },
	{ 0xf7afb369, "btree_init" },
	{ 0x37982f14, "kobject_uevent_env" },
	{ 0x86cf43f0, "pci_clear_master" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x6435d0f9, "perf_trace_run_bpf_submit" },
	{ 0xb853f55d, "_dev_err" },
	{ 0xc4de820, "blk_queue_update_dma_alignment" },
	{ 0xce50b4dc, "fc_vport_create" },
	{ 0x20769b8a, "scsi_host_put" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2717c154, "simple_attr_release" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x9ef9355f, "noop_llseek" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x45e36678, "fc_remote_port_rolechg" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x11dbe881, "kmem_cache_free" },
	{ 0xda754828, "dma_alloc_attrs" },
	{ 0x724b770b, "scsi_scan_host" },
	{ 0xfca9dc99, "nvme_fc_unregister_remoteport" },
	{ 0x65e0d6d7, "memory_read_from_buffer" },
	{ 0x6ca64ef8, "debugfs_remove" },
	{ 0xbe400d07, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xd7f80d10, "seq_putc" },
	{ 0x5122d8a0, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xdbb09708, "fc_vport_terminate" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_fc,nvme-fc");

MODULE_ALIAS("pci:v00001077d00002100sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002200sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002300sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00006312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00006322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002422sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00005422sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00005432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002532sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d0000F001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008044sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002071sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002271sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002261sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002061sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002081sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002281sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002089sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002289sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "FE570CE6C3452EEAEC62D79");
