#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fc_get_event_number, "", "");
KSYMTAB_FUNC(fc_host_post_fc_event, "", "");
KSYMTAB_FUNC(fc_host_post_event, "", "");
KSYMTAB_FUNC(fc_host_post_vendor_event, "", "");
KSYMTAB_FUNC(fc_find_rport_by_wwpn, "", "");
KSYMTAB_FUNC(fc_host_fpin_rcv, "", "");
KSYMTAB_FUNC(scsi_is_fc_rport, "", "");
KSYMTAB_FUNC(fc_eh_timed_out, "", "");
KSYMTAB_FUNC(fc_attach_transport, "", "");
KSYMTAB_FUNC(fc_release_transport, "", "");
KSYMTAB_FUNC(fc_remove_host, "", "");
KSYMTAB_FUNC(fc_remote_port_add, "", "");
KSYMTAB_FUNC(fc_remote_port_delete, "", "");
KSYMTAB_FUNC(fc_remote_port_rolechg, "", "");
KSYMTAB_FUNC(fc_block_rport, "", "");
KSYMTAB_FUNC(fc_block_scsi_eh, "", "");
KSYMTAB_FUNC(fc_eh_should_retry_cmd, "_gpl", "");
KSYMTAB_FUNC(fc_vport_create, "", "");
KSYMTAB_FUNC(fc_vport_terminate, "", "");

SYMBOL_CRC(fc_get_event_number, 0x375f8bbd, "");
SYMBOL_CRC(fc_host_post_fc_event, 0xcf0d540c, "");
SYMBOL_CRC(fc_host_post_event, 0x3aa3bb34, "");
SYMBOL_CRC(fc_host_post_vendor_event, 0xfdfe1da7, "");
SYMBOL_CRC(fc_find_rport_by_wwpn, 0x904e4fda, "");
SYMBOL_CRC(fc_host_fpin_rcv, 0x753a6f98, "");
SYMBOL_CRC(scsi_is_fc_rport, 0xde59c8c5, "");
SYMBOL_CRC(fc_eh_timed_out, 0xdfaec5c5, "");
SYMBOL_CRC(fc_attach_transport, 0x5148dda1, "");
SYMBOL_CRC(fc_release_transport, 0xeea88f63, "");
SYMBOL_CRC(fc_remove_host, 0xaaeaa401, "");
SYMBOL_CRC(fc_remote_port_add, 0x591f2d12, "");
SYMBOL_CRC(fc_remote_port_delete, 0x5521f3e5, "");
SYMBOL_CRC(fc_remote_port_rolechg, 0x45e36678, "");
SYMBOL_CRC(fc_block_rport, 0x7db9bc2c, "");
SYMBOL_CRC(fc_block_scsi_eh, 0xf06b801f, "");
SYMBOL_CRC(fc_eh_should_retry_cmd, 0xd841e808, "_gpl");
SYMBOL_CRC(fc_vport_create, 0xce50b4dc, "");
SYMBOL_CRC(fc_vport_terminate, 0xdbb09708, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x20769b8a, "scsi_host_put" },
	{ 0x28cb77ae, "sysfs_remove_link" },
	{ 0x72211960, "transport_remove_device" },
	{ 0x2f38ab01, "device_del" },
	{ 0xfdf5e619, "transport_destroy_device" },
	{ 0xc906d8e1, "_dev_printk" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0xe14f738f, "attribute_container_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xa80cb0b8, "scsi_host_get" },
	{ 0xd428971f, "device_initialize" },
	{ 0xe1740888, "get_device" },
	{ 0x19160e4d, "dev_set_name" },
	{ 0x698ea3db, "transport_setup_device" },
	{ 0x150c287d, "device_add" },
	{ 0xd621dc3, "transport_add_device" },
	{ 0x6a8b7a61, "transport_configure_device" },
	{ 0x38a1a970, "sysfs_create_link" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x259563bb, "scsi_flush_work" },
	{ 0xc3b914a3, "bsg_remove_queue" },
	{ 0x39e8fe67, "scsi_target_unblock" },
	{ 0x717c3509, "scsi_remove_target" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb6666929, "scsi_queue_work" },
	{ 0xf9a482f9, "msleep" },
	{ 0x175c3d9a, "scsi_is_target_device" },
	{ 0xae44939f, "scsi_block_targets" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x5c91a422, "blk_mq_run_hw_queues" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x6f56e8e, "bsg_job_get" },
	{ 0xf2526eed, "blk_mq_end_request" },
	{ 0xd51139ac, "bsg_job_put" },
	{ 0x39ae8e4b, "bsg_job_done" },
	{ 0xe7749017, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xef39ce92, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5a921311, "strncmp" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x58f137b4, "scsi_scan_target" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x122c3a7e, "_printk" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0xff14c810, "transport_class_register" },
	{ 0x2d68478e, "transport_class_unregister" },
	{ 0x83eb7c19, "scsi_nl_sock" },
	{ 0xeaeba39b, "__alloc_skb" },
	{ 0xc94b8682, "__nlmsg_put" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfb578fc5, "memset" },
	{ 0x157de0e5, "netlink_broadcast" },
	{ 0x86564197, "kfree_skb_reason" },
	{ 0x88303564, "scsi_is_host_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xeb6aeaf5, "bsg_setup_queue" },
	{ 0x35ca3ec2, "__scsi_init_queue" },
	{ 0x30ddf9b0, "blk_queue_rq_timeout" },
	{ 0xb853f55d, "_dev_err" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x82fe11bc, "attribute_container_unregister" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E7EE9F8EC3E8D124BAFCB53");
