#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(__tracepoint_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_session, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_session, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_lookup_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_ipaddress_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_router_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_flashnode_bus_match, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_all_flashnode, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_chkready, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_online, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_dev, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_for_each_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_scsi_eh, "_gpl", "");
KSYMTAB_FUNC(iscsi_unblock_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_force_destroy_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_free_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_recv_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_offload_mesg, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_error_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_login_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_post_host_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_ping_comp_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_discovery_parent_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_speed_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_register_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_dbg_trace, "_gpl", "");

SYMBOL_CRC(__tracepoint_iscsi_dbg_conn, 0x570a4737, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_conn, 0xc94576d3, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_conn, 0x178950df, "_gpl");
SYMBOL_CRC(__SCT__tp_func_iscsi_dbg_conn, 0x15dc8bab, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_eh, 0x90446fbf, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_eh, 0x63edaaa3, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_eh, 0x3fa08104, "_gpl");
SYMBOL_CRC(__SCT__tp_func_iscsi_dbg_eh, 0xf7e749fb, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_session, 0x1bfccbd4, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_session, 0xf2657c3e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_session, 0xcd3f1c80, "_gpl");
SYMBOL_CRC(__SCT__tp_func_iscsi_dbg_session, 0x52575134, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_tcp, 0xec69a778, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_tcp, 0x1d41c799, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_tcp, 0xb0752992, "_gpl");
SYMBOL_CRC(__SCT__tp_func_iscsi_dbg_tcp, 0xa8c4b5e1, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_sw_tcp, 0x745561a0, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_sw_tcp, 0xae0baf76, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_sw_tcp, 0x6121dd00, "_gpl");
SYMBOL_CRC(__SCT__tp_func_iscsi_dbg_sw_tcp, 0xdf515c49, "_gpl");
SYMBOL_CRC(iscsi_create_endpoint, 0xa92c93aa, "_gpl");
SYMBOL_CRC(iscsi_destroy_endpoint, 0xa68af911, "_gpl");
SYMBOL_CRC(iscsi_put_endpoint, 0x1bfbb9f6, "_gpl");
SYMBOL_CRC(iscsi_lookup_endpoint, 0x293462e4, "_gpl");
SYMBOL_CRC(iscsi_get_ipaddress_state_name, 0xbc071179, "_gpl");
SYMBOL_CRC(iscsi_get_router_state_name, 0x84a005f1, "_gpl");
SYMBOL_CRC(iscsi_create_iface, 0x6ba8a31f, "_gpl");
SYMBOL_CRC(iscsi_destroy_iface, 0x0fa3ccf5, "_gpl");
SYMBOL_CRC(iscsi_flashnode_bus_match, 0xa47df9bc, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_sess, 0x8c61d3ef, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_conn, 0x2a2efe81, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_sess, 0x518a3ebf, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_conn, 0x2d5e72ff, "_gpl");
SYMBOL_CRC(iscsi_destroy_flashnode_sess, 0xee27357a, "_gpl");
SYMBOL_CRC(iscsi_destroy_all_flashnode, 0x4b041376, "_gpl");
SYMBOL_CRC(iscsi_session_chkready, 0xef47def6, "_gpl");
SYMBOL_CRC(iscsi_is_session_online, 0xb5c1495f, "_gpl");
SYMBOL_CRC(iscsi_is_session_dev, 0x8feb03c6, "_gpl");
SYMBOL_CRC(iscsi_host_for_each_session, 0x615da6a2, "_gpl");
SYMBOL_CRC(iscsi_block_scsi_eh, 0xd9c9cd8c, "_gpl");
SYMBOL_CRC(iscsi_unblock_session, 0xa25b3598, "_gpl");
SYMBOL_CRC(iscsi_block_session, 0xfa0e4e86, "_gpl");
SYMBOL_CRC(iscsi_alloc_session, 0xf188087b, "_gpl");
SYMBOL_CRC(iscsi_add_session, 0x3a85367f, "_gpl");
SYMBOL_CRC(iscsi_create_session, 0x915d6aba, "_gpl");
SYMBOL_CRC(iscsi_remove_session, 0x5f4d75b4, "_gpl");
SYMBOL_CRC(iscsi_force_destroy_session, 0x1d8b2941, "_gpl");
SYMBOL_CRC(iscsi_free_session, 0xd655b371, "_gpl");
SYMBOL_CRC(iscsi_alloc_conn, 0xc0a4a76f, "_gpl");
SYMBOL_CRC(iscsi_add_conn, 0x60973ba0, "_gpl");
SYMBOL_CRC(iscsi_remove_conn, 0xe0265409, "_gpl");
SYMBOL_CRC(iscsi_put_conn, 0xb2f7a6e3, "_gpl");
SYMBOL_CRC(iscsi_get_conn, 0xc5f2eb0b, "_gpl");
SYMBOL_CRC(iscsi_recv_pdu, 0x285589f1, "_gpl");
SYMBOL_CRC(iscsi_offload_mesg, 0x47933bc9, "_gpl");
SYMBOL_CRC(iscsi_conn_error_event, 0x5bc114a2, "_gpl");
SYMBOL_CRC(iscsi_conn_login_event, 0xbb078222, "_gpl");
SYMBOL_CRC(iscsi_post_host_event, 0x6b519f94, "_gpl");
SYMBOL_CRC(iscsi_ping_comp_event, 0xe1449cd8, "_gpl");
SYMBOL_CRC(iscsi_session_event, 0xa6c0c4a8, "_gpl");
SYMBOL_CRC(iscsi_get_discovery_parent_name, 0x699fe53e, "_gpl");
SYMBOL_CRC(iscsi_get_port_speed_name, 0x58514cbe, "_gpl");
SYMBOL_CRC(iscsi_get_port_state_name, 0x2ec68fa7, "_gpl");
SYMBOL_CRC(iscsi_register_transport, 0xafb45fc9, "_gpl");
SYMBOL_CRC(iscsi_unregister_transport, 0x27e1ed04, "_gpl");
SYMBOL_CRC(iscsi_dbg_trace, 0x1fe39b64, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x754d539c, "strlen" },
	{ 0x148653, "vsnprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xe914e41e, "strcpy" },
	{ 0x6435d0f9, "perf_trace_run_bpf_submit" },
	{ 0x55254fa2, "trace_event_buffer_reserve" },
	{ 0x7816f98d, "trace_event_buffer_commit" },
	{ 0xe8e0ed1e, "__trace_trigger_soft_disabled" },
	{ 0xa4cbedd, "trace_raw_output_prep" },
	{ 0x65a259b6, "trace_event_printf" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe8690ce1, "bpf_trace_run2" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xef39ce92, "put_device" },
	{ 0x81335b6f, "device_unregister" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x25483cd5, "sysfs_remove_group" },
	{ 0x20978fb9, "idr_find" },
	{ 0xe1740888, "get_device" },
	{ 0xdfc3daee, "device_find_child" },
	{ 0x71b79722, "device_for_each_child" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf7370f56, "system_state" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6cbbc89, "capable" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x39e8fe67, "scsi_target_unblock" },
	{ 0xc906d8e1, "_dev_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xeaeba39b, "__alloc_skb" },
	{ 0xc94b8682, "__nlmsg_put" },
	{ 0x157de0e5, "netlink_broadcast" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x6052eb62, "netlink_kernel_release" },
	{ 0xf4b0bda5, "bus_unregister" },
	{ 0x2d68478e, "transport_class_unregister" },
	{ 0x1c153357, "class_unregister" },
	{ 0xd18ebda1, "class_register" },
	{ 0xff14c810, "transport_class_register" },
	{ 0x55252989, "bus_register" },
	{ 0x7abf16e4, "init_net" },
	{ 0x250d8c41, "__netlink_kernel_create" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x88303564, "scsi_is_host_device" },
	{ 0x58f137b4, "scsi_scan_target" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa80cb0b8, "scsi_host_get" },
	{ 0xd428971f, "device_initialize" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x150c287d, "device_add" },
	{ 0x698ea3db, "transport_setup_device" },
	{ 0xd621dc3, "transport_add_device" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xfdf5e619, "transport_destroy_device" },
	{ 0x2f38ab01, "device_del" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x72211960, "transport_remove_device" },
	{ 0x82fe11bc, "attribute_container_unregister" },
	{ 0x838fc730, "skb_trim" },
	{ 0x6e1c3098, "scsi_host_lookup" },
	{ 0xfb578fc5, "memset" },
	{ 0x20769b8a, "scsi_host_put" },
	{ 0x86564197, "kfree_skb_reason" },
	{ 0xc3b914a3, "bsg_remove_queue" },
	{ 0x39ae8e4b, "bsg_job_done" },
	{ 0xae44939f, "scsi_block_targets" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xeb6aeaf5, "bsg_setup_queue" },
	{ 0x35ca3ec2, "__scsi_init_queue" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x19160e4d, "dev_set_name" },
	{ 0x61ede170, "device_register" },
	{ 0x81767c57, "sysfs_create_group" },
	{ 0xe14f738f, "attribute_container_register" },
	{ 0x717c3509, "scsi_remove_target" },
	{ 0xffb7c514, "ida_free" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe0daa662, "netlink_capable" },
	{ 0x6f8442c4, "try_module_get" },
	{ 0x8e90385d, "module_put" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xb075fe75, "netlink_unicast" },
	{ 0x92836a8b, "skb_pull" },
	{ 0x7cf19c, "param_ops_int" },
	{ 0x5122d8a0, "trace_event_reg" },
	{ 0x5b50ae95, "trace_event_raw_init" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "29E682DBE647E8F842F1344");
