#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sdw_cdns_config_update, "", "");
KSYMTAB_FUNC(sdw_cdns_config_update_set_wait, "", "");
KSYMTAB_FUNC(sdw_cdns_debugfs_init, "_gpl", "");
KSYMTAB_FUNC(cdns_xfer_msg, "", "");
KSYMTAB_FUNC(cdns_xfer_msg_defer, "", "");
KSYMTAB_FUNC(cdns_read_ping_status, "", "");
KSYMTAB_FUNC(sdw_cdns_irq, "", "");
KSYMTAB_FUNC(sdw_cdns_check_self_clearing_bits, "", "");
KSYMTAB_FUNC(sdw_cdns_exit_reset, "", "");
KSYMTAB_FUNC(sdw_cdns_enable_interrupt, "", "");
KSYMTAB_FUNC(sdw_cdns_pdi_init, "", "");
KSYMTAB_FUNC(sdw_cdns_init, "", "");
KSYMTAB_FUNC(cdns_bus_conf, "", "");
KSYMTAB_FUNC(sdw_cdns_is_clock_stop, "", "");
KSYMTAB_FUNC(sdw_cdns_clock_stop, "", "");
KSYMTAB_FUNC(sdw_cdns_clock_restart, "", "");
KSYMTAB_FUNC(sdw_cdns_probe, "", "");
KSYMTAB_FUNC(cdns_set_sdw_stream, "", "");
KSYMTAB_FUNC(sdw_cdns_config_stream, "", "");
KSYMTAB_FUNC(sdw_cdns_alloc_pdi, "", "");

SYMBOL_CRC(sdw_cdns_config_update, 0x0653c161, "");
SYMBOL_CRC(sdw_cdns_config_update_set_wait, 0x5b253184, "");
SYMBOL_CRC(sdw_cdns_debugfs_init, 0x7f98e89f, "_gpl");
SYMBOL_CRC(cdns_xfer_msg, 0x97034186, "");
SYMBOL_CRC(cdns_xfer_msg_defer, 0xf678f57c, "");
SYMBOL_CRC(cdns_read_ping_status, 0x1bf45a71, "");
SYMBOL_CRC(sdw_cdns_irq, 0x34712074, "");
SYMBOL_CRC(sdw_cdns_check_self_clearing_bits, 0xba13bfa5, "");
SYMBOL_CRC(sdw_cdns_exit_reset, 0x67b69927, "");
SYMBOL_CRC(sdw_cdns_enable_interrupt, 0xee8ef35b, "");
SYMBOL_CRC(sdw_cdns_pdi_init, 0x1b08a67e, "");
SYMBOL_CRC(sdw_cdns_init, 0x9128b405, "");
SYMBOL_CRC(cdns_bus_conf, 0x2071239c, "");
SYMBOL_CRC(sdw_cdns_is_clock_stop, 0x172afefd, "");
SYMBOL_CRC(sdw_cdns_clock_stop, 0xa0d990fc, "");
SYMBOL_CRC(sdw_cdns_clock_restart, 0x24c178d4, "");
SYMBOL_CRC(sdw_cdns_probe, 0x24f4609c, "");
SYMBOL_CRC(cdns_set_sdw_stream, 0xdf066998, "");
SYMBOL_CRC(sdw_cdns_config_stream, 0xd341d75c, "");
SYMBOL_CRC(sdw_cdns_alloc_pdi, 0x1620eb9e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xabcd2c59, "sdw_handle_slave_status" },
	{ 0x5da8aca0, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x591b192f, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0xf02d5644, "debugfs_attr_read" },
	{ 0xb853f55d, "_dev_err" },
	{ 0x2717c154, "simple_attr_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x61409eae, "seq_read" },
	{ 0x6e7f1d4a, "debugfs_create_file" },
	{ 0xa0c04ee5, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x60e31fbb, "sdw_find_col_index" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x7109424, "seq_printf" },
	{ 0xcb5f3d33, "single_release" },
	{ 0x62ef9aa2, "sdw_bread_no_pm_unlocked" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x23b0d948, "__pm_runtime_suspend" },
	{ 0x7cf19c, "param_ops_int" },
	{ 0x998f32e, "single_open" },
	{ 0xb5c73bd7, "sdw_bus_exit_clk_stop" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe9321b35, "sdw_bus_prep_clk_stop" },
	{ 0xd46a0d6f, "simple_attr_open" },
	{ 0x1f9d1937, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xfc6ec21f, "devm_kmalloc" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6213a7ad, "sdw_bus_clk_stop" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0x1deee061, "sdw_find_row_index" },
	{ 0xdfc6e05a, "seq_lseek" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "soundwire-bus");


MODULE_INFO(srcversion, "7BA28D422E1C8D3BB32A149");
