#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(sdw_intel_cnl_hw_ops, "", "SOUNDWIRE_INTEL");
KSYMTAB_DATA(sdw_intel_lnl_hw_ops, "", "SOUNDWIRE_INTEL");
KSYMTAB_FUNC(sdw_intel_thread, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_probe, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_startup, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_exit, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_process_wakeen_event, "", "SOUNDWIRE_INTEL_INIT");

SYMBOL_CRC(sdw_intel_cnl_hw_ops, 0xe8dd9c46, "");
SYMBOL_CRC(sdw_intel_lnl_hw_ops, 0x7b256880, "");
SYMBOL_CRC(sdw_intel_thread, 0xaa52eba1, "");
SYMBOL_CRC(sdw_intel_probe, 0x996a1cd0, "");
SYMBOL_CRC(sdw_intel_startup, 0x579f35f7, "");
SYMBOL_CRC(sdw_intel_exit, 0xfe7dfc29, "");
SYMBOL_CRC(sdw_intel_process_wakeen_event, 0x7f71499e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf678f57c, "cdns_xfer_msg_defer" },
	{ 0x97034186, "cdns_xfer_msg" },
	{ 0xffb7c514, "ida_free" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2f38ab01, "device_del" },
	{ 0xa501f97, "hdac_bus_eml_sdw_check_cmdsync_unlocked" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x18af0d7f, "devm_kasprintf" },
	{ 0xaaeb1333, "hdac_bus_eml_sdw_sync_arm_unlocked" },
	{ 0x61409eae, "seq_read" },
	{ 0x6e7f1d4a, "debugfs_create_file" },
	{ 0xb9e5936d, "sdw_stream_add_master" },
	{ 0xa0c04ee5, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1bf45a71, "cdns_read_ping_status" },
	{ 0xcbc87a1b, "acpi_fetch_acpi_dev" },
	{ 0xf0a55650, "device_get_named_child_node" },
	{ 0x24f4609c, "sdw_cdns_probe" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x653c161, "sdw_cdns_config_update" },
	{ 0x7109424, "seq_printf" },
	{ 0x64168f3, "sdw_bus_master_delete" },
	{ 0xcb5f3d33, "single_release" },
	{ 0x8e75de17, "__auxiliary_driver_register" },
	{ 0xba13bfa5, "sdw_cdns_check_self_clearing_bits" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0xa1178e1f, "__pm_runtime_use_autosuspend" },
	{ 0x67be3a50, "hdac_bus_eml_sdw_wait_syncpu_unlocked" },
	{ 0x7cf19c, "param_ops_int" },
	{ 0x34712074, "sdw_cdns_irq" },
	{ 0x998f32e, "single_open" },
	{ 0xaea92b94, "hdac_bus_eml_sdw_sync_go_unlocked" },
	{ 0x308ad3c, "__pm_runtime_disable" },
	{ 0xf29606ab, "debugfs_create_dir" },
	{ 0x91962cc9, "sdw_master_read_prop" },
	{ 0xfe73427e, "sdw_compute_params" },
	{ 0xe733d41b, "__pm_runtime_idle" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x1b08a67e, "sdw_cdns_pdi_init" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xd46a0d6f, "simple_attr_open" },
	{ 0x1f9d1937, "debugfs_attr_write" },
	{ 0xfc6ec21f, "devm_kmalloc" },
	{ 0xb96971e9, "auxiliary_device_init" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x9128b405, "sdw_cdns_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x24c178d4, "sdw_cdns_clock_restart" },
	{ 0x7f98e89f, "sdw_cdns_debugfs_init" },
	{ 0x9ceae26e, "hdac_bus_eml_sdw_set_syncprd_unlocked" },
	{ 0x89f17944, "pm_runtime_set_autosuspend_delay" },
	{ 0x1e0b70b9, "sdw_bus_master_add" },
	{ 0xee8ef35b, "sdw_cdns_enable_interrupt" },
	{ 0x96848186, "scnprintf" },
	{ 0x419e7846, "hdac_bus_eml_sdw_power_down_unlocked" },
	{ 0x37a0cba, "kfree" },
	{ 0x172afefd, "sdw_cdns_is_clock_stop" },
	{ 0xdfc6e05a, "seq_lseek" },
	{ 0x5b253184, "sdw_cdns_config_update_set_wait" },
	{ 0x71b79722, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5da8aca0, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd341d75c, "sdw_cdns_config_stream" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb512f731, "__pm_runtime_set_status" },
	{ 0x5d5bf180, "auxiliary_driver_unregister" },
	{ 0x4e9db89e, "devm_snd_soc_register_component" },
	{ 0x2071239c, "cdns_bus_conf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xef39ce92, "put_device" },
	{ 0xdf066998, "cdns_set_sdw_stream" },
	{ 0x631da867, "pm_runtime_enable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7b047cb4, "fwnode_property_read_u32_array" },
	{ 0x591b192f, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0xb73b86a6, "sdw_clear_slave_status" },
	{ 0xf02d5644, "debugfs_attr_read" },
	{ 0x15001adc, "sdw_stream_remove_master" },
	{ 0x6f6cad95, "hdac_bus_eml_sdw_set_lsdiid" },
	{ 0x67b69927, "sdw_cdns_exit_reset" },
	{ 0xb853f55d, "_dev_err" },
	{ 0x2717c154, "simple_attr_release" },
	{ 0x2bd6f85c, "__auxiliary_device_add" },
	{ 0x1620eb9e, "sdw_cdns_alloc_pdi" },
	{ 0xa0d990fc, "sdw_cdns_clock_stop" },
	{ 0xc56d9507, "hdac_bus_eml_sdw_power_up_unlocked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6ca64ef8, "debugfs_remove" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "soundwire-cadence,snd-sof-intel-hda-mlink,soundwire-bus,soundwire-generic-allocation,snd-pcm,snd-soc-core");

MODULE_ALIAS("auxiliary:soundwire_intel.link");

MODULE_INFO(srcversion, "25EBA2C3B69DC5C5F969F69");
