#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(proc_thermal_add, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_remove, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_suspend, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_resume, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_mmio_add, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_mmio_remove, "_gpl", "");

SYMBOL_CRC(proc_thermal_add, 0xd5125310, "_gpl");
SYMBOL_CRC(proc_thermal_remove, 0x919794bb, "_gpl");
SYMBOL_CRC(proc_thermal_suspend, 0x481473ad, "_gpl");
SYMBOL_CRC(proc_thermal_resume, 0x5691659f, "_gpl");
SYMBOL_CRC(proc_thermal_mmio_add, 0x41e41c15, "_gpl");
SYMBOL_CRC(proc_thermal_mmio_remove, 0xc98aaa3b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfcf41aeb, "is_acpi_device_node" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x5ccd8ffa, "int340x_thermal_zone_add" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x5a9b51fc, "sysfs_create_file_ns" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x569c5d37, "int340x_thermal_zone_remove" },
	{ 0xa1186518, "intel_tcc_get_tjmax" },
	{ 0x81767c57, "sysfs_create_group" },
	{ 0xe84c0da2, "sysfs_remove_file_ns" },
	{ 0x25483cd5, "sysfs_remove_group" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0x9676f130, "pcim_iomap_regions" },
	{ 0xa965e302, "pcim_iomap_table" },
	{ 0x87fe7b67, "proc_thermal_rapl_add" },
	{ 0x6bf333e8, "proc_thermal_rfim_add" },
	{ 0x8b31012c, "proc_thermal_mbox_add" },
	{ 0x1f5155da, "proc_thermal_rfim_remove" },
	{ 0x98e82d4, "proc_thermal_rapl_remove" },
	{ 0x4e49b8c3, "proc_thermal_mbox_remove" },
	{ 0x5da8aca0, "__dynamic_dev_dbg" },
	{ 0x925b9c5f, "thermal_zone_device_update" },
	{ 0x205edb25, "__tracepoint_read_msr" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x39e3c030, "do_trace_read_msr" },
	{ 0xdb0da161, "intel_tcc_get_temp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8c32aa7b, "intel_tcc_get_offset" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xb853f55d, "_dev_err" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1936331f, "intel_tcc_set_offset" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "int340x_thermal_zone,processor_thermal_rapl,processor_thermal_rfim,processor_thermal_mbox");


MODULE_INFO(srcversion, "544E272ADC1FF736BFF8610");
