#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc4de820, "blk_queue_update_dma_alignment" },
	{ 0x1bbab994, "blk_queue_max_hw_sectors" },
	{ 0x241026cc, "usb_alloc_urb" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x49ef296c, "usb_stor_adjust_quirks" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x709f7616, "usb_anchor_urb" },
	{ 0x22e74c30, "usb_submit_urb" },
	{ 0x6f8c7b1, "usb_unanchor_urb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1bc3edc2, "usb_stor_sense_invalidCDB" },
	{ 0x325f0b2b, "scsi_done" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x1f581a17, "scsi_remove_host" },
	{ 0x20769b8a, "scsi_host_put" },
	{ 0xc558b612, "usb_lock_device_for_reset" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf82ccd6e, "scsi_host_alloc" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa2bd9815, "scsi_add_host_with_dma" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4aae71f3, "usb_unlink_urb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x16657d3c, "usb_register_driver" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x487a9013, "usb_free_streams" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf7370f56, "system_state" },
	{ 0x32cf5cb1, "usb_set_interface" },
	{ 0x5a0f4975, "usb_reset_device" },
	{ 0x7c249596, "usb_alloc_streams" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x65355d14, "scsi_report_bus_reset" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc28fba59, "scsi_unblock_requests" },
	{ 0xc906d8e1, "_dev_printk" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x407af304, "usb_wait_anchor_empty_timeout" },
	{ 0x33d2e8fc, "scsi_block_requests" },
	{ 0x95faa83e, "scmd_printk" },
	{ 0x3a28353d, "scsi_print_command" },
	{ 0xf43fcd82, "usb_free_urb" },
	{ 0x724b770b, "scsi_scan_host" },
	{ 0x5da8aca0, "__dynamic_dev_dbg" },
	{ 0xb853f55d, "_dev_err" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa4def5d6, "sdev_prefix_printk" },
	{ 0x88303564, "scsi_is_host_device" },
	{ 0xdfcbe920, "scsi_change_queue_depth" },
	{ 0x80477a2f, "usb_get_urb" },
	{ 0x3283fb69, "usb_kill_urb" },
	{ 0x3ff6391e, "usb_deregister" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "usb-storage");

MODULE_ALIAS("usb:v054Cp087Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp105Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp1061d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v090Cp2000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0984p0301d0128dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1932d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BC2p331Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13FDp3940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0539d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0567d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0578d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0583d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17EFp3899d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2109p0711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2537p1068d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v357Dp7788d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p1012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8017d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip50in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip62in*");

MODULE_INFO(srcversion, "6D00B977FC723C3E14A0E86");
