#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vdpa_set_status, "", "");
KSYMTAB_FUNC(__vdpa_alloc_device, "_gpl", "");
KSYMTAB_FUNC(_vdpa_register_device, "_gpl", "");
KSYMTAB_FUNC(vdpa_register_device, "_gpl", "");
KSYMTAB_FUNC(_vdpa_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vdpa_unregister_device, "_gpl", "");
KSYMTAB_FUNC(__vdpa_register_driver, "_gpl", "");
KSYMTAB_FUNC(vdpa_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(vdpa_mgmtdev_register, "_gpl", "");
KSYMTAB_FUNC(vdpa_mgmtdev_unregister, "_gpl", "");
KSYMTAB_FUNC(vdpa_get_config, "_gpl", "");
KSYMTAB_FUNC(vdpa_set_config, "_gpl", "");

SYMBOL_CRC(vdpa_set_status, 0x2e9d687c, "");
SYMBOL_CRC(__vdpa_alloc_device, 0x4f5146ac, "_gpl");
SYMBOL_CRC(_vdpa_register_device, 0x78d1af1f, "_gpl");
SYMBOL_CRC(vdpa_register_device, 0xecdabe49, "_gpl");
SYMBOL_CRC(_vdpa_unregister_device, 0x80c12b60, "_gpl");
SYMBOL_CRC(vdpa_unregister_device, 0xb4b4cfc7, "_gpl");
SYMBOL_CRC(__vdpa_register_driver, 0x59ece4dc, "_gpl");
SYMBOL_CRC(vdpa_unregister_driver, 0xe7c1f4ab, "_gpl");
SYMBOL_CRC(vdpa_mgmtdev_register, 0x27c9b7df, "_gpl");
SYMBOL_CRC(vdpa_mgmtdev_unregister, 0x3551549c, "_gpl");
SYMBOL_CRC(vdpa_get_config, 0x70205296, "_gpl");
SYMBOL_CRC(vdpa_set_config, 0x53773ef6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3298e05b, "driver_register" },
	{ 0xad3d97e3, "driver_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xe0e09289, "bus_for_each_dev" },
	{ 0x668b19a1, "down_read" },
	{ 0x53b954a2, "up_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x6360af9a, "genl_unregister_family" },
	{ 0xf4b0bda5, "bus_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x55252989, "bus_register" },
	{ 0xc71fe0b0, "genl_register_family" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0xd5a43273, "nla_put" },
	{ 0x4396602e, "dma_set_mask" },
	{ 0xa5aa685b, "dma_set_coherent_mask" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x19160e4d, "dev_set_name" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xd428971f, "device_initialize" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xe0daa662, "netlink_capable" },
	{ 0xeaeba39b, "__alloc_skb" },
	{ 0xf567b7be, "genlmsg_put" },
	{ 0x754d539c, "strlen" },
	{ 0x86564197, "kfree_skb_reason" },
	{ 0xb075fe75, "netlink_unicast" },
	{ 0x838fc730, "skb_trim" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xffb7c514, "ida_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeba113c, "driver_set_override" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x62af41d9, "bus_find_device" },
	{ 0x150c287d, "device_add" },
	{ 0xef39ce92, "put_device" },
	{ 0x81335b6f, "device_unregister" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E6E1ABFDEECC213CA239F01");
