#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4667f202, "ceph_auth_handle_svc_reply_more" },
	{ 0xa7fd8f9b, "netfs_write_begin" },
	{ 0x2087719e, "ceph_oid_copy" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x33a71b10, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6fe1a59, "init_uts_ns" },
	{ 0x92b7b4ce, "ceph_pg_pool_flags" },
	{ 0x8d12a9ba, "wait_on_page_writeback" },
	{ 0xb4e615, "posix_acl_equiv_mode" },
	{ 0x9fefa3cb, "ceph_calc_file_object_mapping" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3c0d7ca9, "file_update_time" },
	{ 0x34bdcfbc, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd4eb7735, "ceph_decode_entity_addr" },
	{ 0x11dbe881, "kmem_cache_free" },
	{ 0x6ca64ef8, "debugfs_remove" },
	{ 0x17c17611, "ceph_pg_to_acting_primary" },
	{ 0x5a921311, "strncmp" },
	{ 0xcb8cfbc5, "ceph_auth_add_authorizer_challenge" },
	{ 0xae202c4b, "d_move" },
	{ 0xd7f80d10, "seq_putc" },
	{ 0xeb2b24ec, "from_kgid" },
	{ 0x4861e7e9, "ceph_con_send" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x4ed7bdd4, "ceph_osdc_abort_requests" },
	{ 0xc53114e2, "ceph_zero_page_vector_range" },
	{ 0x75f9749c, "param_set_bool" },
	{ 0x90164b80, "iov_iter_kvec" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x7df9d5d5, "file_remove_privs" },
	{ 0xc55e6807, "ceph_osdc_start_request" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x67499a83, "ceph_compare_options" },
	{ 0x816e7cef, "d_obtain_alias" },
	{ 0x702f048c, "file_modified" },
	{ 0x7fbc2fa9, "posix_acl_chmod" },
	{ 0x5e2288f4, "copy_page_to_iter" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x6a6db4f6, "ceph_parse_mon_ips" },
	{ 0x5debe083, "ceph_client_addr" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xcaed502d, "ceph_msg_dump" },
	{ 0x9fbba67f, "ceph_buffer_new" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0x2c8dc27c, "finish_no_open" },
	{ 0x9f025f, "d_obtain_root" },
	{ 0x9431db67, "ceph_put_page_vector" },
	{ 0x312215ea, "from_kuid" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x66af95f, "ceph_osdc_alloc_request" },
	{ 0xa2a18340, "osd_req_op_init" },
	{ 0x4affd6c2, "ceph_parse_fsid" },
	{ 0xfb578fc5, "memset" },
	{ 0x6dd7652b, "ceph_osdc_update_epoch_barrier" },
	{ 0xbe3879aa, "ceph_get_snap_context" },
	{ 0x70f1d968, "security_inode_invalidate_secctx" },
	{ 0x498a258d, "osd_req_op_extent_osd_iter" },
	{ 0x4360cd8a, "iov_iter_bvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0xe34a59f2, "ceph_object_locator_to_pg" },
	{ 0x258f12f6, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x2877a41, "__ceph_auth_get_authorizer" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x99f6ee21, "d_delete" },
	{ 0xc37c3455, "simple_attr_read" },
	{ 0x23b24b82, "end_page_writeback" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x2a983d26, "ceph_pagelist_release" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xaeb47399, "osd_req_op_extent_osd_data_pages" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x45c82ebb, "iov_iter_get_pages_alloc2" },
	{ 0x76de98d2, "ceph_osdc_sync" },
	{ 0x694ef0b0, "set_page_dirty" },
	{ 0xc83f423e, "copy_page_from_iter" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x745a981, "xa_erase" },
	{ 0x2a43daa1, "ceph_destroy_client" },
	{ 0x61409eae, "seq_read" },
	{ 0x4f0333ae, "redirty_page_for_writepage" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x59a4c5fa, "noop_direct_IO" },
	{ 0x6e7f1d4a, "debugfs_create_file" },
	{ 0x2f46f643, "igrab" },
	{ 0xc5d21069, "netfs_read_folio" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xabb9e55d, "__ceph_open_session" },
	{ 0x29f6e24, "set_page_writeback" },
	{ 0x7d16a20a, "d_add" },
	{ 0xe6fa06a2, "rename_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3096be16, "names_cachep" },
	{ 0x53126ecc, "__percpu_counter_sum" },
	{ 0xfe49d011, "init_user_ns" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xbf53f746, "d_find_alias" },
	{ 0xd75ca4f0, "invalidate_inode_pages2" },
	{ 0xc310b981, "strnstr" },
	{ 0xe393f62f, "inode_set_ctime_current" },
	{ 0xc9d3b9c, "bdi_dev_name" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x991d34a3, "__folio_put" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x13e3c192, "ceph_alloc_page_vector" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x7c9cac6e, "set_anon_super_fc" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7109424, "seq_printf" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x216f39bd, "ceph_monc_do_statfs" },
	{ 0xb6cfaf14, "dput" },
	{ 0x981766ef, "ceph_monc_validate_auth" },
	{ 0x7932f51b, "iov_iter_zero" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7af56625, "generic_delete_inode" },
	{ 0x127a9489, "deactivate_locked_super" },
	{ 0xc13abf37, "__percpu_down_read" },
	{ 0xae96e88e, "ceph_auth_handle_svc_reply_done" },
	{ 0x417a9131, "ceph_oloc_destroy" },
	{ 0x1be47449, "set_page_dirty_lock" },
	{ 0x567194f0, "tag_pages_for_writeback" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x45a2c1b7, "posix_acl_update_mode" },
	{ 0x987847c0, "ceph_auth_handle_bad_authorizer" },
	{ 0x3503012a, "ceph_monc_renew_subs" },
	{ 0x762e149c, "truncate_inode_pages_range" },
	{ 0x18888d00, "downgrade_write" },
	{ 0xee120c03, "ceph_release_string" },
	{ 0x71a1beba, "__folio_lock" },
	{ 0xb726ed83, "filemap_dirty_folio" },
	{ 0xf92539fb, "pagecache_get_page" },
	{ 0x847c8fc3, "ceph_msg_put" },
	{ 0xff832c1f, "osd_req_op_extent_osd_data_bvecs" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xab23235b, "seq_puts" },
	{ 0x57baf885, "ceph_str_hash" },
	{ 0xdaf409bc, "rcuwait_wake_up" },
	{ 0xcb5f3d33, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x436ef33f, "iov_iter_xarray" },
	{ 0x2e1619bc, "__fs_parse" },
	{ 0xe6c33281, "filemap_splice_read" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x96da82ec, "posix_acl_to_xattr" },
	{ 0x6a7a38a0, "ceph_pr_addr" },
	{ 0xb72c162e, "ceph_buffer_release" },
	{ 0xc93c800, "dget_parent" },
	{ 0x981ae2f3, "kill_anon_super" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x5768cbc9, "iget5_locked" },
	{ 0x47709e42, "free_anon_bdev" },
	{ 0xb7b3dfa1, "security_dentry_init_security" },
	{ 0x6ae931c9, "filemap_write_and_wait_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x898c9c96, "osd_req_op_raw_data_in_pages" },
	{ 0x16174899, "netfs_subreq_terminated" },
	{ 0xa502b0e3, "ceph_con_init" },
	{ 0xe7098031, "generic_write_checks" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x998f32e, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0xd4bcba7e, "kmem_cache_alloc_lru" },
	{ 0x36fe7ba7, "filemap_fault" },
	{ 0xe6824f9f, "d_invalidate" },
	{ 0xf29606ab, "debugfs_create_dir" },
	{ 0x6932f81, "__mark_inode_dirty" },
	{ 0x6342a948, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd4d736db, "ceph_destroy_options" },
	{ 0xff87cd18, "lockref_get_not_dead" },
	{ 0x53b954a2, "up_read" },
	{ 0xcc0573cf, "ceph_osdc_clear_abort_err" },
	{ 0x44caf266, "iov_iter_npages" },
	{ 0x66dce2fb, "drop_nlink" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0xdf6ef4a1, "ceph_oid_printf" },
	{ 0xa71ccb69, "kmem_cache_destroy" },
	{ 0x156598ae, "ceph_con_close" },
	{ 0xafb8a407, "ceph_msgr_flush" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6a5fa363, "sigprocmask" },
	{ 0xf906ca29, "forget_cached_acl" },
	{ 0x9434d09d, "osd_req_op_xattr_init" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x5cf2e209, "ceph_con_keepalive" },
	{ 0x79184884, "super_setup_bdi_name" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0xcf921a8a, "folio_invalidate" },
	{ 0x257529b9, "ceph_auth_get_authorizer" },
	{ 0x6a1518c4, "__page_file_index" },
	{ 0x9b4bb359, "generic_copy_file_range" },
	{ 0x9bc6b539, "ceph_find_or_create_string" },
	{ 0xe914e41e, "strcpy" },
	{ 0x96bcffe9, "filemap_fdatawrite" },
	{ 0x7b2dbe4f, "generic_fillattr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x3c54cf53, "vfs_fsync_range" },
	{ 0x530695f7, "setattr_prepare" },
	{ 0xa8cd53e3, "ceph_print_client_options" },
	{ 0x7a1ff413, "simple_attr_write" },
	{ 0x123abce1, "file_check_and_advance_wb_err" },
	{ 0x37cb4e4f, "ceph_msg_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x76dd8112, "filemap_get_folios_tag" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xdfc091f9, "ceph_entity_type_name" },
	{ 0xbb0f1a73, "d_instantiate" },
	{ 0x370398d4, "_copy_to_iter" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xd46a0d6f, "simple_attr_open" },
	{ 0x9ca95932, "ceph_create_snap_context" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe005e8e5, "clear_inode" },
	{ 0x1bb5a9be, "ceph_create_client" },
	{ 0x71f89eb8, "vfs_inode_has_locks" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x774c62c0, "osd_req_op_extent_osd_data" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x999db788, "discard_new_inode" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x551ad6e1, "fs_param_is_string" },
	{ 0xf9fe9dac, "__folio_batch_release" },
	{ 0x187731ab, "folio_unlock" },
	{ 0x83552530, "inode_insert5" },
	{ 0x40e8d5ce, "ceph_monc_want_map" },
	{ 0xccd9e369, "new_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbe6f3769, "ceph_con_open" },
	{ 0x2c26c5e8, "forget_all_cached_acls" },
	{ 0xae010024, "init_special_inode" },
	{ 0x42e4a582, "unregister_filesystem" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x549e2ff4, "param_get_bool" },
	{ 0xe76e7226, "ceph_pagelist_alloc" },
	{ 0x5665bcba, "debugfs_create_symlink" },
	{ 0xca9360b5, "rb_next" },
	{ 0x12c379c7, "ceph_osdc_put_request" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xad703657, "ceph_auth_destroy_authorizer" },
	{ 0x58db4927, "iov_iter_advance" },
	{ 0xbdc8e00d, "d_make_root" },
	{ 0x39ce0a54, "d_same_name" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x4df21a11, "read_cache_folio" },
	{ 0xc5b1da40, "invalidate_mapping_pages" },
	{ 0x12bd7a1a, "sync_filesystem" },
	{ 0x86fca7e4, "ceph_put_snap_context" },
	{ 0x67b6255, "ceph_parse_param" },
	{ 0x1899f362, "ceph_client_gid" },
	{ 0xd07f543, "get_anon_bdev" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0xbd4eefdb, "sget_fc" },
	{ 0x94c80228, "d_splice_alias" },
	{ 0x40d8caf7, "generic_error_remove_page" },
	{ 0xc7ed07c4, "iov_iter_get_pages2" },
	{ 0x3bf21d91, "current_time" },
	{ 0x2de85767, "osd_req_op_extent_update" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa0641a94, "ihold" },
	{ 0x25ad20a6, "d_find_any_alias" },
	{ 0xc3fac54, "inode_dio_wait" },
	{ 0xd81c9ab0, "generic_permission" },
	{ 0x4496cecc, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xa27f2e17, "invalidate_inode_pages2_range" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x66bb5da3, "posix_lock_file" },
	{ 0x9eef56c1, "finish_open" },
	{ 0x8600ddfe, "iput" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0xdfc6e05a, "seq_lseek" },
	{ 0x6fedf114, "fs_param_is_enum" },
	{ 0xf4afd49f, "fs_param_is_s32" },
	{ 0x30052845, "wrap_directory_iterator" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x97a3e8ba, "logfc" },
	{ 0xb76bc482, "__put_devmap_managed_page_refs" },
	{ 0x6b239b75, "ceph_monc_blocklist_add" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0x7a725bb7, "iter_file_splice_write" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x88b9abd4, "do_splice_direct" },
	{ 0xbdd9feb4, "d_lookup" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x148653, "vsnprintf" },
	{ 0xf87a8fbb, "ceph_msg_new" },
	{ 0x27d8722f, "register_filesystem" },
	{ 0xd4fbd8af, "kmem_cache_create" },
	{ 0x5639ce4e, "ceph_auth_invalidate_authorizer" },
	{ 0x675d32fd, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x98084fc9, "ceph_monc_got_map" },
	{ 0x9c9d3ba3, "osd_req_op_extent_dup_last" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xf07a8ca6, "ceph_osdc_alloc_messages" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xaaebbabb, "clear_page_dirty_for_io" },
	{ 0xd8f815f6, "ceph_msg_data_add_pagelist" },
	{ 0x9d1e5f6, "netfs_readahead" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0x3e5d954d, "simple_get_link" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb54676fa, "ceph_msg_type_name" },
	{ 0x55982dfa, "shrink_dcache_parent" },
	{ 0xf57e46b9, "__put_cred" },
	{ 0x1c436d05, "d_prune_aliases" },
	{ 0x6f18b9f1, "ceph_reset_client_addr" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x987d3968, "ceph_alloc_options" },
	{ 0xdb02c0be, "locks_lock_inode_wait" },
	{ 0xd1c48b43, "fs_param_is_u32" },
	{ 0xba14a3c5, "inode_newsize_ok" },
	{ 0x7a91f388, "d_drop" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0xdb9fd17d, "ceph_msg_new2" },
	{ 0xc35247da, "unlock_new_inode" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1953c958, "mempool_create" },
	{ 0x61b31baf, "ceph_release_page_vector" },
	{ 0x71329eae, "posix_acl_from_xattr" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x6a76f088, "filemap_alloc_folio" },
	{ 0xc6a7d12a, "ceph_check_fsid" },
	{ 0x50603ce3, "ceph_decode_entity_addrvec" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xefce3c3b, "ceph_pagelist_reserve" },
	{ 0x2b6fc03d, "__ceph_alloc_sparse_ext_map" },
	{ 0xefce991c, "ceph_pagelist_append" },
	{ 0x1ef31eca, "ceph_auth_verify_authorizer_reply" },
	{ 0x83fd9682, "make_kuid" },
	{ 0x4b0bc638, "truncate_inode_pages_final" },
	{ 0xdee7214d, "d_alloc" },
	{ 0x75fa7000, "__filemap_set_wb_err" },
	{ 0xa916b694, "strnlen" },
	{ 0xb6607354, "generic_perform_write" },
	{ 0xc3762aec, "mempool_alloc" },
	{ 0x30cdcc1a, "simple_nosetlease" },
	{ 0x5fd94173, "__free_pages" },
	{ 0xaada9d35, "kmem_cache_alloc" },
	{ 0x8e1c98da, "folio_mark_dirty" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x1378aba3, "ceph_pg_pool_name_by_id" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xf16d535f, "ceph_osdc_wait_request" },
	{ 0xb7eb46cd, "inode_init_once" },
	{ 0xf03126e0, "folio_wait_private_2" },
	{ 0x2ac4b396, "file_write_and_wait_range" },
	{ 0x57397e1c, "ceph_osdc_new_request" },
	{ 0x5304c04, "compat_ptr_ioctl" },
	{ 0x4b5c3d71, "copy_splice_read" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xbd2f79ae, "ceph_oloc_copy" },
	{ 0xf01ca8e6, "ilookup5" },
	{ 0xe735c20d, "seq_escape_mem" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x395141d8, "osd_req_op_copy_from_init" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xdc7f482, "posix_acl_create" },
	{ 0x369ee47b, "release_pages" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x973715ce, "generic_file_read_iter" },
	{ 0x19e032e3, "unlock_page" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xab3c868f, "set_cached_acl" },
	{ 0x2717c154, "simple_attr_release" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "libceph,netfs");


MODULE_INFO(srcversion, "1B477BD9A15F075F8AD9304");
