#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0xd5e977fa, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0xf3a72c67, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0x4152ae94, "_gpl");
SYMBOL_CRC(fat_scan, 0xb52a640c, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0x8ef35f9b, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0x1b38a01d, "_gpl");
SYMBOL_CRC(fat_add_entries, 0x5a86e2a8, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0x66875485, "_gpl");
SYMBOL_CRC(fat_getattr, 0xe5cdff7c, "_gpl");
SYMBOL_CRC(fat_setattr, 0x003b1503, "_gpl");
SYMBOL_CRC(fat_attach, 0x48269e48, "_gpl");
SYMBOL_CRC(fat_detach, 0xd1fed641, "_gpl");
SYMBOL_CRC(fat_build_inode, 0x0be1b82f, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0xcb9670a1, "_gpl");
SYMBOL_CRC(fat_fill_super, 0x339aa5d0, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0x28939643, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0x42d11ae5, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0x9295a45c, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0x97b74e8f, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0xd3c577b1, "_gpl");
SYMBOL_CRC(fat_update_time, 0xd6b01d47, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcef12f34, "generic_file_mmap" },
	{ 0x878023ae, "sync_mapping_buffers" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xb41c8c67, "ilookup" },
	{ 0xaada9d35, "kmem_cache_alloc" },
	{ 0xada0b594, "invalidate_inode_buffers" },
	{ 0xbb0094c0, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x3f878f4d, "mnt_drop_write_file" },
	{ 0xb7eb46cd, "inode_init_once" },
	{ 0x5304c04, "compat_ptr_ioctl" },
	{ 0xaaedf7b4, "__fsnotify_parent" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x811acde, "__brelse" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x973715ce, "generic_file_read_iter" },
	{ 0x6a6fffe5, "inode_maybe_inc_iversion" },
	{ 0x4e3567f7, "match_int" },
	{ 0x33a71b10, "truncate_pagecache" },
	{ 0xc1aa4110, "sync_dirty_buffer" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x7771eb22, "setattr_copy" },
	{ 0x859b124d, "__wait_on_buffer" },
	{ 0x34bdcfbc, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x11dbe881, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x5a921311, "strncmp" },
	{ 0xb6b67c3a, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xcebbadb1, "from_vfsgid" },
	{ 0xf64af171, "write_inode_now" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x816e7cef, "d_obtain_alias" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xdcf6e68e, "__bread_gfp" },
	{ 0x92c08883, "block_dirty_folio" },
	{ 0xa89c3e2f, "mpage_read_folio" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x31c4fe43, "__insert_inode_hash" },
	{ 0xf2a14b4e, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x258f12f6, "make_kgid" },
	{ 0x67dca288, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x426f713c, "truncate_setsize" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb93ff0ce, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x2f46f643, "igrab" },
	{ 0x1526f444, "__getblk_gfp" },
	{ 0xf2bdd71, "generic_read_dir" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb45a4286, "mpage_readahead" },
	{ 0xba69d75c, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0xfe49d011, "init_user_ns" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x44e9a829, "match_token" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x7109424, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x1aa337fb, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xacf4d843, "match_strdup" },
	{ 0xa7f21240, "blkdev_issue_flush" },
	{ 0xab23235b, "seq_puts" },
	{ 0x283989b9, "generic_fh_to_parent" },
	{ 0xe6c33281, "filemap_splice_read" },
	{ 0x815b5dd4, "match_octal" },
	{ 0x989b1f2b, "from_kuid_munged" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x35be5fbc, "__generic_file_fsync" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd4bcba7e, "kmem_cache_alloc_lru" },
	{ 0x6932f81, "__mark_inode_dirty" },
	{ 0x6342a948, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe832883, "unload_nls" },
	{ 0x53b954a2, "up_read" },
	{ 0x52e167b, "mark_buffer_dirty_inode" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xee5d55b4, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0xa71ccb69, "kmem_cache_destroy" },
	{ 0x32924564, "blkdev_issue_discard" },
	{ 0x96bcffe9, "filemap_fdatawrite" },
	{ 0x7b2dbe4f, "generic_fillattr" },
	{ 0x530695f7, "setattr_prepare" },
	{ 0x567fc684, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x4bd4d9a8, "sync_blockdev_nowait" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xeffc7cfc, "make_vfsgid" },
	{ 0xfb655096, "blk_start_plug" },
	{ 0xe005e8e5, "clear_inode" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x885ff180, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0xccd9e369, "new_inode" },
	{ 0x31f67e02, "mark_buffer_dirty" },
	{ 0xf78a563a, "security_inode_setattr" },
	{ 0x11671fda, "__find_get_block" },
	{ 0x984de0ab, "filemap_fdatawrite_range" },
	{ 0xc36db402, "inode_needs_sync" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xbb65b6e4, "__blockdev_direct_IO" },
	{ 0xbdc8e00d, "d_make_root" },
	{ 0x64fc6d1c, "__bforget" },
	{ 0x91bba0bf, "sb_set_blocksize" },
	{ 0x192a9376, "block_truncate_page" },
	{ 0x160690ee, "write_dirty_buffer" },
	{ 0x12bd7a1a, "sync_filesystem" },
	{ 0xd8fcc4c8, "fsnotify" },
	{ 0x3bf21d91, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0x9f47dfc6, "from_vfsuid" },
	{ 0xc3fac54, "inode_dio_wait" },
	{ 0xc152421d, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0x5dcb10fc, "cont_write_begin" },
	{ 0x8600ddfe, "iput" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0x7a725bb7, "iter_file_splice_write" },
	{ 0x102cae60, "generic_file_write_iter" },
	{ 0xd4fbd8af, "kmem_cache_create" },
	{ 0x81cdb9f4, "sync_inode_metadata" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4537a7dc, "make_vfsuid" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x23c4dd58, "mnt_want_write_file" },
	{ 0x122c3a7e, "_printk" },
	{ 0xfb1723ce, "block_invalidate_folio" },
	{ 0x33f1d31b, "__breadahead" },
	{ 0xdc3a0a69, "generic_write_end" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9ec76ffd, "load_nls" },
	{ 0xbe20f623, "generic_cont_expand_simple" },
	{ 0x83fd9682, "make_kuid" },
	{ 0x4b0bc638, "truncate_inode_pages_final" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9410C7029DFD418F3FB2DEB");
