#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(register_nfs_version, "_gpl", "");
KSYMTAB_FUNC(unregister_nfs_version, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_free_client, "_gpl", "");
KSYMTAB_FUNC(nfs_put_client, "_gpl", "");
KSYMTAB_FUNC(nfs_client_init_is_complete, "_gpl", "");
KSYMTAB_FUNC(nfs_client_init_status, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_client_init_complete, "_gpl", "");
KSYMTAB_FUNC(nfs_get_client, "_gpl", "");
KSYMTAB_FUNC(nfs_mark_client_ready, "_gpl", "");
KSYMTAB_FUNC(nfs_init_timeout_values, "_gpl", "");
KSYMTAB_FUNC(nfs_create_rpc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_init_server_rpcclient, "_gpl", "");
KSYMTAB_FUNC(nfs_init_client, "_gpl", "");
KSYMTAB_FUNC(nfs_probe_server, "_gpl", "");
KSYMTAB_FUNC(nfs_server_copy_userdata, "_gpl", "");
KSYMTAB_FUNC(nfs_server_insert_lists, "_gpl", "");
KSYMTAB_FUNC(nfs_server_remove_lists, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_server, "_gpl", "");
KSYMTAB_FUNC(nfs_free_server, "_gpl", "");
KSYMTAB_FUNC(nfs_create_server, "_gpl", "");
KSYMTAB_FUNC(nfs_clone_server, "_gpl", "");
KSYMTAB_FUNC(nfs_force_lookup_revalidate, "_gpl", "");
KSYMTAB_FUNC(nfs_set_verifier, "_gpl", "");
KSYMTAB_FUNC(nfs_clear_verifier_delegated, "_gpl", "");
KSYMTAB_DATA(nfs_dentry_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_lookup, "_gpl", "");
KSYMTAB_FUNC(nfs_d_prune_case_insensitive_aliases, "_gpl", "");
KSYMTAB_DATA(nfs4_dentry_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_atomic_open, "_gpl", "");
KSYMTAB_FUNC(nfs_add_or_obtain, "_gpl", "");
KSYMTAB_FUNC(nfs_instantiate, "_gpl", "");
KSYMTAB_FUNC(nfs_create, "_gpl", "");
KSYMTAB_FUNC(nfs_mknod, "_gpl", "");
KSYMTAB_FUNC(nfs_mkdir, "_gpl", "");
KSYMTAB_FUNC(nfs_rmdir, "_gpl", "");
KSYMTAB_FUNC(nfs_unlink, "_gpl", "");
KSYMTAB_FUNC(nfs_symlink, "_gpl", "");
KSYMTAB_FUNC(nfs_link, "_gpl", "");
KSYMTAB_FUNC(nfs_rename, "_gpl", "");
KSYMTAB_FUNC(nfs_access_zap_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_access_get_cached, "_gpl", "");
KSYMTAB_FUNC(nfs_access_add_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_access_set_mask, "_gpl", "");
KSYMTAB_FUNC(nfs_may_open, "_gpl", "");
KSYMTAB_FUNC(nfs_permission, "_gpl", "");
KSYMTAB_FUNC(nfs_check_flags, "_gpl", "");
KSYMTAB_FUNC(nfs_file_release, "_gpl", "");
KSYMTAB_FUNC(nfs_file_llseek, "_gpl", "");
KSYMTAB_FUNC(nfs_file_read, "_gpl", "");
KSYMTAB_FUNC(nfs_file_splice_read, "_gpl", "");
KSYMTAB_FUNC(nfs_file_mmap, "_gpl", "");
KSYMTAB_FUNC(nfs_file_fsync, "_gpl", "");
KSYMTAB_FUNC(nfs_file_write, "_gpl", "");
KSYMTAB_FUNC(nfs_lock, "_gpl", "");
KSYMTAB_FUNC(nfs_flock, "_gpl", "");
KSYMTAB_DATA(nfs_file_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_bit_killable, "_gpl", "");
KSYMTAB_FUNC(nfs_drop_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_clear_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_sync_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_check_cache_invalid, "_gpl", "");
KSYMTAB_FUNC(nfs_set_cache_invalid, "_gpl", "");
KSYMTAB_FUNC(nfs_zap_acl_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_invalidate_atime, "_gpl", "");
KSYMTAB_FUNC(nfs4_label_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_setsecurity, "_gpl", "");
KSYMTAB_FUNC(nfs_fhget, "_gpl", "");
KSYMTAB_FUNC(nfs_setattr, "_gpl", "");
KSYMTAB_FUNC(nfs_setattr_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_getattr, "_gpl", "");
KSYMTAB_FUNC(nfs_get_lock_context, "_gpl", "");
KSYMTAB_FUNC(nfs_put_lock_context, "_gpl", "");
KSYMTAB_FUNC(nfs_close_context, "_gpl", "");
KSYMTAB_FUNC(alloc_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(get_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(put_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_inode_attach_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_file_set_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_revalidate_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_inc_attr_generation_counter, "_gpl", "");
KSYMTAB_FUNC(nfs_fattr_init, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fattr, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fattr_with_label, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fhandle, "_gpl", "");
KSYMTAB_FUNC(_nfs_display_fhandle_hash, "_gpl", "");
KSYMTAB_FUNC(_nfs_display_fhandle, "_gpl", "");
KSYMTAB_FUNC(nfs_refresh_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_post_op_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_post_op_update_inode_force_wcc, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_free_inode, "_gpl", "");
KSYMTAB_DATA(nfsiod_workqueue, "_gpl", "");
KSYMTAB_DATA(nfs_net_id, "_gpl", "");
KSYMTAB_DATA(nfs_sops, "_gpl", "");
KSYMTAB_FUNC(nfs_sb_active, "_gpl", "");
KSYMTAB_FUNC(nfs_sb_deactive, "_gpl", "");
KSYMTAB_FUNC(nfs_client_for_each_server, "_gpl", "");
KSYMTAB_FUNC(nfs_statfs, "_gpl", "");
KSYMTAB_FUNC(nfs_show_options, "_gpl", "");
KSYMTAB_FUNC(nfs_show_devname, "_gpl", "");
KSYMTAB_FUNC(nfs_show_path, "_gpl", "");
KSYMTAB_FUNC(nfs_show_stats, "_gpl", "");
KSYMTAB_FUNC(nfs_umount_begin, "_gpl", "");
KSYMTAB_FUNC(nfs_auth_info_match, "_gpl", "");
KSYMTAB_FUNC(nfs_try_get_tree, "_gpl", "");
KSYMTAB_FUNC(nfs_reconfigure, "_gpl", "");
KSYMTAB_FUNC(nfs_kill_super, "_gpl", "");
KSYMTAB_DATA(nfs_callback_nr_threads, "_gpl", "");
KSYMTAB_DATA(nfs_callback_set_tcpport, "_gpl", "");
KSYMTAB_DATA(nfs_idmap_cache_timeout, "_gpl", "");
KSYMTAB_DATA(nfs4_disable_idmapping, "_gpl", "");
KSYMTAB_DATA(max_session_slots, "_gpl", "");
KSYMTAB_DATA(max_session_cb_slots, "_gpl", "");
KSYMTAB_DATA(send_implementation_id, "_gpl", "");
KSYMTAB_DATA(nfs4_client_id_uniquifier, "_gpl", "");
KSYMTAB_DATA(recover_lost_locks, "_gpl", "");
KSYMTAB_FUNC(nfs_dreq_bytes_left, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_current_mirror, "_gpl", "");
KSYMTAB_FUNC(nfs_pgheader_init, "_gpl", "");
KSYMTAB_FUNC(nfs_async_iocounter_wait, "_gpl", "");
KSYMTAB_FUNC(nfs_release_request, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_on_request, "_gpl", "");
KSYMTAB_FUNC(nfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_header_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_header_free, "_gpl", "");
KSYMTAB_FUNC(nfs_initiate_pgio, "_gpl", "");
KSYMTAB_FUNC(nfs_generic_pgio, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_resend, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_init_read, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_reset_read_mds, "_gpl", "");
KSYMTAB_FUNC(nfs_read_alloc_scratch, "_gpl", "");
KSYMTAB_FUNC(nfs_commitdata_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_commit_free, "_gpl", "");
KSYMTAB_FUNC(nfs_request_add_commit_list_locked, "_gpl", "");
KSYMTAB_FUNC(nfs_request_add_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_request_remove_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_init_cinfo, "_gpl", "");
KSYMTAB_FUNC(nfs_scan_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_init_write, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_reset_write_mds, "_gpl", "");
KSYMTAB_FUNC(nfs_writeback_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_commitdata_release, "_gpl", "");
KSYMTAB_FUNC(nfs_initiate_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_init_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_retry_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_commit_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_write_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_filemap_write_and_wait_range, "_gpl", "");
KSYMTAB_FUNC(nfs_wb_all, "_gpl", "");
KSYMTAB_FUNC(nfs_path, "_gpl", "");
KSYMTAB_FUNC(nfs_do_submount, "_gpl", "");
KSYMTAB_FUNC(nfs_submount, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_fsync_enter, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_fsync_enter, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_fsync_enter, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs_fsync_enter, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_fsync_exit, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_fsync_exit, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_fsync_exit, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs_fsync_exit, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_xdr_status, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_xdr_status, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_xdr_status, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs_xdr_status, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(nfs_sysfs_link_rpc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_sysfs_add_server, "_gpl", "");
KSYMTAB_DATA(nfs_fs_type, "_gpl", "");
KSYMTAB_DATA(nfs4_fs_type, "_gpl", "");
KSYMTAB_FUNC(nfs_fscache_open_file, "_gpl", "");

SYMBOL_CRC(register_nfs_version, 0x239e87b3, "_gpl");
SYMBOL_CRC(unregister_nfs_version, 0x4986ea98, "_gpl");
SYMBOL_CRC(nfs_alloc_client, 0xe7edc2b8, "_gpl");
SYMBOL_CRC(nfs_free_client, 0xab7ce2dd, "_gpl");
SYMBOL_CRC(nfs_put_client, 0x7a249f21, "_gpl");
SYMBOL_CRC(nfs_client_init_is_complete, 0x80ef0342, "_gpl");
SYMBOL_CRC(nfs_client_init_status, 0x9c109791, "_gpl");
SYMBOL_CRC(nfs_wait_client_init_complete, 0xe3172c29, "_gpl");
SYMBOL_CRC(nfs_get_client, 0x888b7efd, "_gpl");
SYMBOL_CRC(nfs_mark_client_ready, 0xe42f9866, "_gpl");
SYMBOL_CRC(nfs_init_timeout_values, 0x98b0ece8, "_gpl");
SYMBOL_CRC(nfs_create_rpc_client, 0xd4f37c5b, "_gpl");
SYMBOL_CRC(nfs_init_server_rpcclient, 0x716b46ef, "_gpl");
SYMBOL_CRC(nfs_init_client, 0xc966bfa1, "_gpl");
SYMBOL_CRC(nfs_probe_server, 0x680c71c1, "_gpl");
SYMBOL_CRC(nfs_server_copy_userdata, 0x9f854777, "_gpl");
SYMBOL_CRC(nfs_server_insert_lists, 0xbf29e1e5, "_gpl");
SYMBOL_CRC(nfs_server_remove_lists, 0x14d78294, "_gpl");
SYMBOL_CRC(nfs_alloc_server, 0x595c85a5, "_gpl");
SYMBOL_CRC(nfs_free_server, 0xc2e9bae2, "_gpl");
SYMBOL_CRC(nfs_create_server, 0xfe127ff3, "_gpl");
SYMBOL_CRC(nfs_clone_server, 0xe14c7969, "_gpl");
SYMBOL_CRC(nfs_force_lookup_revalidate, 0xd230d8cb, "_gpl");
SYMBOL_CRC(nfs_set_verifier, 0xd99ad324, "_gpl");
SYMBOL_CRC(nfs_clear_verifier_delegated, 0x1a4b6d18, "_gpl");
SYMBOL_CRC(nfs_dentry_operations, 0x549c8a35, "_gpl");
SYMBOL_CRC(nfs_lookup, 0xac0da640, "_gpl");
SYMBOL_CRC(nfs_d_prune_case_insensitive_aliases, 0xc98f1dd6, "_gpl");
SYMBOL_CRC(nfs4_dentry_operations, 0xe1d62c4d, "_gpl");
SYMBOL_CRC(nfs_atomic_open, 0xc7042bef, "_gpl");
SYMBOL_CRC(nfs_add_or_obtain, 0xcd2b8faa, "_gpl");
SYMBOL_CRC(nfs_instantiate, 0xb20380f7, "_gpl");
SYMBOL_CRC(nfs_create, 0x268724b8, "_gpl");
SYMBOL_CRC(nfs_mknod, 0x2c3eaa06, "_gpl");
SYMBOL_CRC(nfs_mkdir, 0x7879357a, "_gpl");
SYMBOL_CRC(nfs_rmdir, 0x4206dcf6, "_gpl");
SYMBOL_CRC(nfs_unlink, 0x55434c32, "_gpl");
SYMBOL_CRC(nfs_symlink, 0xe52b2800, "_gpl");
SYMBOL_CRC(nfs_link, 0xe91f0c02, "_gpl");
SYMBOL_CRC(nfs_rename, 0xdc9d310f, "_gpl");
SYMBOL_CRC(nfs_access_zap_cache, 0xc26d7a44, "_gpl");
SYMBOL_CRC(nfs_access_get_cached, 0xb1b950b2, "_gpl");
SYMBOL_CRC(nfs_access_add_cache, 0x1c3ef8dd, "_gpl");
SYMBOL_CRC(nfs_access_set_mask, 0xc6c8b8f1, "_gpl");
SYMBOL_CRC(nfs_may_open, 0x62487cdd, "_gpl");
SYMBOL_CRC(nfs_permission, 0x993aa184, "_gpl");
SYMBOL_CRC(nfs_check_flags, 0x3f2690f2, "_gpl");
SYMBOL_CRC(nfs_file_release, 0x13f5bc22, "_gpl");
SYMBOL_CRC(nfs_file_llseek, 0xeacc4f83, "_gpl");
SYMBOL_CRC(nfs_file_read, 0xeb1e411f, "_gpl");
SYMBOL_CRC(nfs_file_splice_read, 0x6aae7645, "_gpl");
SYMBOL_CRC(nfs_file_mmap, 0x717d9b1e, "_gpl");
SYMBOL_CRC(nfs_file_fsync, 0xd9c30151, "_gpl");
SYMBOL_CRC(nfs_file_write, 0xf65ec0a0, "_gpl");
SYMBOL_CRC(nfs_lock, 0xf8ca61b8, "_gpl");
SYMBOL_CRC(nfs_flock, 0xc35bcb86, "_gpl");
SYMBOL_CRC(nfs_file_operations, 0x7e0b13ec, "_gpl");
SYMBOL_CRC(nfs_wait_bit_killable, 0x40739385, "_gpl");
SYMBOL_CRC(nfs_drop_inode, 0x27e3902d, "_gpl");
SYMBOL_CRC(nfs_clear_inode, 0x96046da5, "_gpl");
SYMBOL_CRC(nfs_sync_inode, 0x90938e7d, "_gpl");
SYMBOL_CRC(nfs_check_cache_invalid, 0x89cf78e3, "_gpl");
SYMBOL_CRC(nfs_set_cache_invalid, 0x97f0f1e4, "_gpl");
SYMBOL_CRC(nfs_zap_acl_cache, 0xc925f828, "_gpl");
SYMBOL_CRC(nfs_invalidate_atime, 0xb6eb86ed, "_gpl");
SYMBOL_CRC(nfs4_label_alloc, 0x3ec42484, "_gpl");
SYMBOL_CRC(nfs_setsecurity, 0x6a5100e3, "_gpl");
SYMBOL_CRC(nfs_fhget, 0x5bf3f86a, "_gpl");
SYMBOL_CRC(nfs_setattr, 0xe83903de, "_gpl");
SYMBOL_CRC(nfs_setattr_update_inode, 0xb57bb578, "_gpl");
SYMBOL_CRC(nfs_getattr, 0xbe2af18f, "_gpl");
SYMBOL_CRC(nfs_get_lock_context, 0xac0f8ea3, "_gpl");
SYMBOL_CRC(nfs_put_lock_context, 0xeb913d1f, "_gpl");
SYMBOL_CRC(nfs_close_context, 0x4f976ea9, "_gpl");
SYMBOL_CRC(alloc_nfs_open_context, 0xda2a786f, "_gpl");
SYMBOL_CRC(get_nfs_open_context, 0x1c4d1e24, "_gpl");
SYMBOL_CRC(put_nfs_open_context, 0x246dbe3c, "_gpl");
SYMBOL_CRC(nfs_inode_attach_open_context, 0x86bc8dc8, "_gpl");
SYMBOL_CRC(nfs_file_set_open_context, 0x73016031, "_gpl");
SYMBOL_CRC(nfs_revalidate_inode, 0x7de12196, "_gpl");
SYMBOL_CRC(nfs_inc_attr_generation_counter, 0x584b8482, "_gpl");
SYMBOL_CRC(nfs_fattr_init, 0xa05ca625, "_gpl");
SYMBOL_CRC(nfs_alloc_fattr, 0x832e8f0b, "_gpl");
SYMBOL_CRC(nfs_alloc_fattr_with_label, 0x89ceb3fc, "_gpl");
SYMBOL_CRC(nfs_alloc_fhandle, 0x26884ff7, "_gpl");
SYMBOL_CRC(_nfs_display_fhandle_hash, 0x22d795a8, "_gpl");
SYMBOL_CRC(_nfs_display_fhandle, 0xfc619abd, "_gpl");
SYMBOL_CRC(nfs_refresh_inode, 0x3d2c1a56, "_gpl");
SYMBOL_CRC(nfs_post_op_update_inode, 0xce9999c0, "_gpl");
SYMBOL_CRC(nfs_post_op_update_inode_force_wcc, 0xeb362c22, "_gpl");
SYMBOL_CRC(nfs_alloc_inode, 0x1a4e146d, "_gpl");
SYMBOL_CRC(nfs_free_inode, 0xa7264c08, "_gpl");
SYMBOL_CRC(nfsiod_workqueue, 0x90a5530f, "_gpl");
SYMBOL_CRC(nfs_net_id, 0xc3a2be67, "_gpl");
SYMBOL_CRC(nfs_sops, 0xeb298094, "_gpl");
SYMBOL_CRC(nfs_sb_active, 0x9d2b1708, "_gpl");
SYMBOL_CRC(nfs_sb_deactive, 0xa6d4da92, "_gpl");
SYMBOL_CRC(nfs_client_for_each_server, 0xe84ec31b, "_gpl");
SYMBOL_CRC(nfs_statfs, 0x3aa61f52, "_gpl");
SYMBOL_CRC(nfs_show_options, 0x3482283a, "_gpl");
SYMBOL_CRC(nfs_show_devname, 0x0d6fceac, "_gpl");
SYMBOL_CRC(nfs_show_path, 0xd3d93528, "_gpl");
SYMBOL_CRC(nfs_show_stats, 0x2ba3af00, "_gpl");
SYMBOL_CRC(nfs_umount_begin, 0xb56403ef, "_gpl");
SYMBOL_CRC(nfs_auth_info_match, 0x10962bc2, "_gpl");
SYMBOL_CRC(nfs_try_get_tree, 0x8405a8fc, "_gpl");
SYMBOL_CRC(nfs_reconfigure, 0x6b3e444f, "_gpl");
SYMBOL_CRC(nfs_kill_super, 0x5e379522, "_gpl");
SYMBOL_CRC(nfs_callback_nr_threads, 0x0294c6a2, "_gpl");
SYMBOL_CRC(nfs_callback_set_tcpport, 0x51892d61, "_gpl");
SYMBOL_CRC(nfs_idmap_cache_timeout, 0x39e05ac3, "_gpl");
SYMBOL_CRC(nfs4_disable_idmapping, 0xdae9b5d7, "_gpl");
SYMBOL_CRC(max_session_slots, 0x91d1fe52, "_gpl");
SYMBOL_CRC(max_session_cb_slots, 0xaafd4acc, "_gpl");
SYMBOL_CRC(send_implementation_id, 0xa8e9e1ae, "_gpl");
SYMBOL_CRC(nfs4_client_id_uniquifier, 0x42f2c81f, "_gpl");
SYMBOL_CRC(recover_lost_locks, 0x4cb9e001, "_gpl");
SYMBOL_CRC(nfs_dreq_bytes_left, 0xf92564d3, "_gpl");
SYMBOL_CRC(nfs_pgio_current_mirror, 0x3257b9af, "_gpl");
SYMBOL_CRC(nfs_pgheader_init, 0x2061668f, "_gpl");
SYMBOL_CRC(nfs_async_iocounter_wait, 0xceb6c8b1, "_gpl");
SYMBOL_CRC(nfs_release_request, 0x0827dcd5, "_gpl");
SYMBOL_CRC(nfs_wait_on_request, 0xd9b6f987, "_gpl");
SYMBOL_CRC(nfs_generic_pg_test, 0x6bd62bc3, "_gpl");
SYMBOL_CRC(nfs_pgio_header_alloc, 0x382cb55e, "_gpl");
SYMBOL_CRC(nfs_pgio_header_free, 0x19dc54c5, "_gpl");
SYMBOL_CRC(nfs_initiate_pgio, 0x1dff9c38, "_gpl");
SYMBOL_CRC(nfs_generic_pgio, 0x2f147938, "_gpl");
SYMBOL_CRC(nfs_pageio_resend, 0x55c9db86, "_gpl");
SYMBOL_CRC(nfs_pageio_init_read, 0xf38de743, "_gpl");
SYMBOL_CRC(nfs_pageio_reset_read_mds, 0x146a7b6b, "_gpl");
SYMBOL_CRC(nfs_read_alloc_scratch, 0x12f988bc, "_gpl");
SYMBOL_CRC(nfs_commitdata_alloc, 0xc7ced5fc, "_gpl");
SYMBOL_CRC(nfs_commit_free, 0x4747428f, "_gpl");
SYMBOL_CRC(nfs_request_add_commit_list_locked, 0x1171005e, "_gpl");
SYMBOL_CRC(nfs_request_add_commit_list, 0x4f5d671c, "_gpl");
SYMBOL_CRC(nfs_request_remove_commit_list, 0x33504548, "_gpl");
SYMBOL_CRC(nfs_init_cinfo, 0xf0200ff7, "_gpl");
SYMBOL_CRC(nfs_scan_commit_list, 0x4b31614f, "_gpl");
SYMBOL_CRC(nfs_pageio_init_write, 0x10345036, "_gpl");
SYMBOL_CRC(nfs_pageio_reset_write_mds, 0xf81cb3b1, "_gpl");
SYMBOL_CRC(nfs_writeback_update_inode, 0x9c5a6dd9, "_gpl");
SYMBOL_CRC(nfs_commitdata_release, 0x2c0693d3, "_gpl");
SYMBOL_CRC(nfs_initiate_commit, 0xb9d734fa, "_gpl");
SYMBOL_CRC(nfs_init_commit, 0xbacf9a15, "_gpl");
SYMBOL_CRC(nfs_retry_commit, 0x6bcfd012, "_gpl");
SYMBOL_CRC(nfs_commit_inode, 0x5a4afb9a, "_gpl");
SYMBOL_CRC(nfs_write_inode, 0x2c4fa250, "_gpl");
SYMBOL_CRC(nfs_filemap_write_and_wait_range, 0xe4abe696, "_gpl");
SYMBOL_CRC(nfs_wb_all, 0x7a858c56, "_gpl");
SYMBOL_CRC(nfs_path, 0x1deb84da, "_gpl");
SYMBOL_CRC(nfs_do_submount, 0x7bb41cdf, "_gpl");
SYMBOL_CRC(nfs_submount, 0x9cbdb623, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_fsync_enter, 0xe563ed59, "_gpl");
SYMBOL_CRC(__traceiter_nfs_fsync_enter, 0xe5056bb9, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_fsync_enter, 0x89d56bb7, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs_fsync_enter, 0xfd3c0de6, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_fsync_exit, 0x0e090f63, "_gpl");
SYMBOL_CRC(__traceiter_nfs_fsync_exit, 0x75244bde, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_fsync_exit, 0xbe1a0c37, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs_fsync_exit, 0x9d919c44, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_xdr_status, 0x13570b91, "_gpl");
SYMBOL_CRC(__traceiter_nfs_xdr_status, 0xa88ad7d7, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_xdr_status, 0xa34408c5, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs_xdr_status, 0xfeb42418, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_xdr_bad_filehandle, 0xf56b27ee, "_gpl");
SYMBOL_CRC(__traceiter_nfs_xdr_bad_filehandle, 0xd213f34d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_xdr_bad_filehandle, 0x806ab86e, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs_xdr_bad_filehandle, 0x37239e6d, "_gpl");
SYMBOL_CRC(nfs_sysfs_link_rpc_client, 0x6e577e73, "_gpl");
SYMBOL_CRC(nfs_sysfs_add_server, 0x3a22c615, "_gpl");
SYMBOL_CRC(nfs_fs_type, 0x7420bb19, "_gpl");
SYMBOL_CRC(nfs4_fs_type, 0x65b00682, "_gpl");
SYMBOL_CRC(nfs_fscache_open_file, 0xd71549f7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1562dc72, "vfs_parse_fs_string" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc54e1706, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x83fd9682, "make_kuid" },
	{ 0x4b0bc638, "truncate_inode_pages_final" },
	{ 0xdee7214d, "d_alloc" },
	{ 0xdc87be9b, "fs_kobj" },
	{ 0x6dced87a, "net_ns_type_operations" },
	{ 0x75fa7000, "__filemap_set_wb_err" },
	{ 0xcef12f34, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0xb6607354, "generic_perform_write" },
	{ 0xa42d99c9, "__filemap_get_folio" },
	{ 0xc3762aec, "mempool_alloc" },
	{ 0xa7e43a05, "unregister_shrinker" },
	{ 0x30cdcc1a, "simple_nosetlease" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5fd94173, "__free_pages" },
	{ 0xaada9d35, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x8e90385d, "module_put" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x6982f5b6, "rpc_setbufsize" },
	{ 0x12d14b57, "fs_context_for_submount" },
	{ 0xb7eb46cd, "inode_init_once" },
	{ 0xf03126e0, "folio_wait_private_2" },
	{ 0x2ac4b396, "file_write_and_wait_range" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x50e88ca6, "__fscache_relinquish_volume" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0xe735c20d, "seq_escape_mem" },
	{ 0xf01ca8e6, "ilookup5" },
	{ 0xa4c7b24a, "generic_parse_monolithic" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xedf04207, "inode_nohighmem" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x6435d0f9, "perf_trace_run_bpf_submit" },
	{ 0x2850623c, "security_d_instantiate" },
	{ 0x57bc19d2, "down_write" },
	{ 0x41482d8b, "strndup_user" },
	{ 0xce807a25, "up_write" },
	{ 0x973715ce, "generic_file_read_iter" },
	{ 0x19e032e3, "unlock_page" },
	{ 0x7e0e5c0d, "rpc_clone_client_set_auth" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xa07a37f0, "memchr" },
	{ 0x33a71b10, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x63be90ef, "put_fs_context" },
	{ 0x483e1a7f, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x74084256, "kobj_sysfs_ops" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x409b1dff, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x6c4c5c36, "write_cache_pages" },
	{ 0x34bdcfbc, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x11dbe881, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x4bc4ffe5, "rpc_max_payload" },
	{ 0xe0476205, "folio_alloc" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0xae202c4b, "d_move" },
	{ 0xd7f80d10, "seq_putc" },
	{ 0x4e4832fe, "rpc_proc_unregister" },
	{ 0x5122d8a0, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd71ebdce, "vfs_create_mount" },
	{ 0x64db9a5, "mark_mounts_for_expiry" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xe7b2792f, "folio_wait_writeback" },
	{ 0xffb7c514, "ida_free" },
	{ 0x5b475f9f, "nlmclnt_rpc_clnt" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x3f9a2b0b, "rpcauth_get_gssinfo" },
	{ 0xe5b643ab, "kobject_init_and_add" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf64af171, "write_inode_now" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x816e7cef, "d_obtain_alias" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0xd8b93f7b, "rpc_create" },
	{ 0x2c8dc27c, "finish_no_open" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xb0716d92, "__folio_start_writeback" },
	{ 0x9f025f, "d_obtain_root" },
	{ 0x8d10a62, "bpf_trace_run1" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x3eee1f2, "folio_end_writeback" },
	{ 0xcb41da94, "rpc_call_sync" },
	{ 0x94686cc8, "proc_mkdir" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xef5d3db5, "rpc_put_task_async" },
	{ 0xe2e2ddd6, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x655c8a2a, "xdr_init_decode_pages" },
	{ 0x21f93669, "register_sysctl_sz" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x86d52ba5, "lookup_constant" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xdbf058c6, "rpc_exit" },
	{ 0x258f12f6, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x99f6ee21, "d_delete" },
	{ 0x4784e85, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x531c0f95, "nfs_ssc_unregister" },
	{ 0xc0368a79, "rpc_killall_tasks" },
	{ 0x668b19a1, "down_read" },
	{ 0x6687baeb, "xdr_reserve_space" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x4841bdee, "strnchr" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x45c82ebb, "iov_iter_get_pages_alloc2" },
	{ 0x694ef0b0, "set_page_dirty" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xe0942c61, "bpf_trace_run3" },
	{ 0x54307a13, "__put_net" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xc5d21069, "netfs_read_folio" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf2bdd71, "generic_read_dir" },
	{ 0x60ede69c, "kobject_del" },
	{ 0x55254fa2, "trace_event_buffer_reserve" },
	{ 0x7d16a20a, "d_add" },
	{ 0xe6fa06a2, "rename_lock" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xba69d75c, "filemap_fdatawait_range" },
	{ 0x7b4c9ee9, "add_to_page_cache_lru" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x93067637, "param_ops_bool" },
	{ 0x732dd326, "groups_free" },
	{ 0x49d6b7a6, "security_inode_notifysecctx" },
	{ 0xe265544, "nfs_ssc_register" },
	{ 0xfe49d011, "init_user_ns" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xd75ca4f0, "invalidate_inode_pages2" },
	{ 0x9c49bb9, "alloc_pages" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x991d34a3, "__folio_put" },
	{ 0xf920e2a9, "kobject_set_name" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7109424, "seq_printf" },
	{ 0xb6cfaf14, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x101529e2, "rpc_init_wait_queue" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x127a9489, "deactivate_locked_super" },
	{ 0x5f667119, "put_rpccred" },
	{ 0xc13abf37, "__percpu_down_read" },
	{ 0x3cfca415, "__d_lookup_unhash_wake" },
	{ 0x1efa7f5b, "kobject_uevent" },
	{ 0xc67e1b8a, "__fscache_invalidate" },
	{ 0x37b5249c, "folio_mapping" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x18888d00, "downgrade_write" },
	{ 0x6f2d6bab, "cred_fscmp" },
	{ 0x71a1beba, "__folio_lock" },
	{ 0xb726ed83, "filemap_dirty_folio" },
	{ 0xf92539fb, "pagecache_get_page" },
	{ 0x86ee5b4f, "is_bad_inode" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0xab23235b, "seq_puts" },
	{ 0x30af57d0, "__fscache_use_cookie" },
	{ 0xdaf409bc, "rcuwait_wake_up" },
	{ 0x3c461e2e, "_proc_mkdir" },
	{ 0x91ebe803, "node_data" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xc1f485bc, "rpc_clnt_xprt_switch_has_addr" },
	{ 0x2e1619bc, "__fs_parse" },
	{ 0x709c9e6, "sysfs_create_link_nowarn" },
	{ 0xe6c33281, "filemap_splice_read" },
	{ 0xc93c800, "dget_parent" },
	{ 0xf48eb371, "nlmclnt_init" },
	{ 0x981ae2f3, "kill_anon_super" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x5768cbc9, "iget5_locked" },
	{ 0x6ae931c9, "filemap_write_and_wait_range" },
	{ 0x36bb9890, "kset_register" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xb9b910fe, "nlmclnt_done" },
	{ 0x754d539c, "strlen" },
	{ 0xb807f8e8, "proc_symlink" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x7cf19c, "param_ops_int" },
	{ 0x16174899, "netfs_subreq_terminated" },
	{ 0x5e06bc5c, "refcount_dec_and_lock" },
	{ 0xe197f6b4, "iov_iter_revert" },
	{ 0xe7098031, "generic_write_checks" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xde598e0f, "mntget" },
	{ 0xe6d84a2, "setattr_should_drop_sgid" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xd4bcba7e, "kmem_cache_alloc_lru" },
	{ 0x36fe7ba7, "filemap_fault" },
	{ 0xe6824f9f, "d_invalidate" },
	{ 0x6932f81, "__mark_inode_dirty" },
	{ 0x6342a948, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x77270473, "folio_wait_private_2_killable" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x53b954a2, "up_read" },
	{ 0x29f55036, "rpc_wait_for_completion_task" },
	{ 0x7e034401, "set_anon_super" },
	{ 0x66dce2fb, "drop_nlink" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa71ccb69, "kmem_cache_destroy" },
	{ 0x97d23f20, "__fscache_acquire_cookie" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f0c17b, "kobject_put" },
	{ 0x122f2a9e, "vfs_get_tree" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xc52a96ac, "rpc_put_task" },
	{ 0x79184884, "super_setup_bdi_name" },
	{ 0x69964287, "posix_test_lock" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x6a1518c4, "__page_file_index" },
	{ 0xe914e41e, "strcpy" },
	{ 0x7b2dbe4f, "generic_fillattr" },
	{ 0x3c54cf53, "vfs_fsync_range" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x83455f2c, "clear_nlink" },
	{ 0x123abce1, "file_check_and_advance_wb_err" },
	{ 0x6f8442c4, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc214bcac, "d_alloc_parallel" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x3c185c61, "page_put_link" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe005e8e5, "clear_inode" },
	{ 0x275dedc5, "inode_to_bdi" },
	{ 0xb1c89cea, "bpf_trace_run4" },
	{ 0x2e4f8165, "__fscache_acquire_volume" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xb48d2963, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe2bbfa56, "proc_dointvec_jiffies" },
	{ 0x5cd6b397, "rpc_proc_register" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5a9b51fc, "sysfs_create_file_ns" },
	{ 0x2bf3e20, "rpc_shutdown_client" },
	{ 0x551ad6e1, "fs_param_is_string" },
	{ 0x187731ab, "folio_unlock" },
	{ 0x382b6504, "mnt_set_expiry" },
	{ 0x145807e, "param_ops_ushort" },
	{ 0xd906841c, "lookup_one_len" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x2e4f31d9, "rpc_clnt_show_stats" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x20386b57, "filemap_map_pages" },
	{ 0xbf1629a4, "__fscache_begin_read_operation" },
	{ 0xafbe20d7, "xdr_inline_decode" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa4cbedd, "trace_raw_output_prep" },
	{ 0xb63619fc, "kobject_rename" },
	{ 0x944eaca2, "security_sb_set_mnt_opts" },
	{ 0xae010024, "init_special_inode" },
	{ 0x42e4a582, "unregister_filesystem" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe8e0ed1e, "__trace_trigger_soft_disabled" },
	{ 0x984de0ab, "filemap_fdatawrite_range" },
	{ 0xa1e6700d, "folio_wait_bit_killable" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xbc773afc, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0xbdc8e00d, "d_make_root" },
	{ 0x65a259b6, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x12bd7a1a, "sync_filesystem" },
	{ 0xc70b27f8, "__fscache_unuse_cookie" },
	{ 0x8f16b44e, "folio_redirty_for_writepage" },
	{ 0xe5fc3b34, "register_shrinker" },
	{ 0xbd4eefdb, "sget_fc" },
	{ 0x94c80228, "d_splice_alias" },
	{ 0x40d8caf7, "generic_error_remove_page" },
	{ 0x5b50ae95, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0xbdf29c18, "unmap_mapping_range" },
	{ 0xa0641a94, "ihold" },
	{ 0xc3fac54, "inode_dio_wait" },
	{ 0xd81c9ab0, "generic_permission" },
	{ 0x37a0cba, "kfree" },
	{ 0xa27f2e17, "invalidate_inode_pages2_range" },
	{ 0xdb643816, "read_cache_page" },
	{ 0x9eef56c1, "finish_open" },
	{ 0x8600ddfe, "iput" },
	{ 0xdbb10018, "kset_unregister" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0x909e59d0, "security_sb_clone_mnt_opts" },
	{ 0x6fedf114, "fs_param_is_enum" },
	{ 0x97a3e8ba, "logfc" },
	{ 0xb76bc482, "__put_devmap_managed_page_refs" },
	{ 0x7a725bb7, "iter_file_splice_write" },
	{ 0x8185d2e7, "rpc_pton" },
	{ 0xf734234e, "mod_node_page_state" },
	{ 0x3c7fef8f, "rpc_wake_up_queued_task" },
	{ 0xe8690ce1, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x19601715, "remove_proc_subtree" },
	{ 0x8511e14c, "rpc_restart_call_prepare" },
	{ 0xbdd9feb4, "d_lookup" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x7f5865a6, "__module_get" },
	{ 0xbb9e38a3, "__fscache_relinquish_cookie" },
	{ 0x27d8722f, "register_filesystem" },
	{ 0xd4fbd8af, "kmem_cache_create" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x675d32fd, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x4e75cf2e, "rpc_sleep_on" },
	{ 0xccc76120, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x9d1e5f6, "netfs_readahead" },
	{ 0x8c345a04, "proc_create_net_data" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x1c436d05, "d_prune_aliases" },
	{ 0xf57e46b9, "__put_cred" },
	{ 0x46bd3ea6, "register_pernet_subsys" },
	{ 0xb1518864, "swapcache_mapping" },
	{ 0x68ec3ac4, "rpc_cancel_tasks" },
	{ 0x7816f98d, "trace_event_buffer_commit" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x52b5d8b4, "migrate_folio" },
	{ 0xdb02c0be, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xd1c48b43, "fs_param_is_u32" },
	{ 0xba14a3c5, "inode_newsize_ok" },
	{ 0x7a91f388, "d_drop" },
	{ 0x87bba79d, "deactivate_super" },
	{ 0xc35247da, "unlock_new_inode" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1953c958, "mempool_create" },
	{ 0x1000e51, "schedule" },
	{ 0x764f1eca, "security_sb_mnt_opts_compat" },
	{ 0x52baa50c, "param_get_uint" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,fscache,lockd,netfs");


MODULE_INFO(srcversion, "38FD4463AF7786708732974");
