#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfs41_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_session_trunk, "_gpl", "");
KSYMTAB_FUNC(nfs4_proc_getdeviceinfo, "_gpl", "");
KSYMTAB_DATA(nfs41_maxgetdevinfo_overhead, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_session_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_or_create_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_ds_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(pnfs_register_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_unregister_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_put_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_destroy_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_layout_insert_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_update_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_error_mark_layout_for_return, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_range, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_cleanup, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(pnfs_write_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_write_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_writepages, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_read_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_resend_pnfs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_readpages, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_lo_fail, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_layoutcommit, "_gpl", "");
KSYMTAB_FUNC(pnfs_layoutcommit_inode, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(pnfs_report_layoutstat, "_gpl", "");
KSYMTAB_DATA(layoutstats_timer, "_gpl", "");
KSYMTAB_FUNC(nfs4_print_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_get_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_delete_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_put_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_available, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_rw_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_prepare_to_resend_writes, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_write_commit_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_clear_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_alloc_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_free_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_add_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_release_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_destroy, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_scan_commit_lists, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_recover_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_search_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_pagelist, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_put, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_add, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_connect, "_gpl", "");
KSYMTAB_FUNC(nfs4_decode_mp_ds_addr, "_gpl", "");
KSYMTAB_FUNC(pnfs_layout_mark_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_nfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(nfs42_proc_layouterror, "_gpl", "");

SYMBOL_CRC(nfs41_sequence_done, 0xfbf63932, "_gpl");
SYMBOL_CRC(nfs4_sequence_done, 0xd07e53b0, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0x2c0c5260, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0x5e23c078, "_gpl");
SYMBOL_CRC(nfs4_test_session_trunk, 0x5f9046dd, "_gpl");
SYMBOL_CRC(nfs4_proc_getdeviceinfo, 0xe4ab1fbe, "_gpl");
SYMBOL_CRC(nfs41_maxgetdevinfo_overhead, 0xf7801360, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0x700a7ad8, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0x5a626061, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0xd59888a0, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0xb0591309, "_gpl");
SYMBOL_CRC(nfs4_schedule_session_recovery, 0xb56c94ed, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0x7d5897e3, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0x6085edbd, "_gpl");
SYMBOL_CRC(nfs4_find_or_create_ds_client, 0x4dffc6be, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0xac2d038c, "_gpl");
SYMBOL_CRC(nfs4_init_ds_session, 0x4ba1d6cf, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_read, 0x6ca7aebc, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_read, 0xf5ea4d76, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_read, 0x5e551fe8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_read, 0x63826d35, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_write, 0xfd467db2, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_write, 0xae75e678, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_write, 0x91721aee, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_write, 0xadeca730, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_commit_ds, 0xf36248fa, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_commit_ds, 0x8bcfc123, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_commit_ds, 0xc00ffbc1, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_commit_ds, 0x2b16e909, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_read, 0x0ee70fa4, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_read, 0x906d27ce, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, 0xc603c1ab, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, 0x6a5eb444, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_write, 0xee48a545, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_write, 0xc3dcf547, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, 0x7e3f5c1a, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, 0xdeb5edce, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, 0x6e9d35ac, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, 0x0afc3fe7, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0xdd9a9d77, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x96c4643f, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_done, 0xddc8e131, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_done, 0xdf65dca2, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_done, 0x461925f5, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_done, 0xc361c3c5, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_done, 0xe7b0add9, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_done, 0x4d48c918, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_done, 0x7b227ab4, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_done, 0x930a94fd, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_pagelist, 0xb62b0a0e, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_pagelist, 0xace1f3b6, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, 0x265cf351, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, 0x6a925097, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_pagelist, 0xfd8a3d31, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_pagelist, 0xfae89454, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, 0x06ce06ad, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, 0x18e75751, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_read_error, 0xfc4b6629, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_read_error, 0x692eee9f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_read_error, 0x4d73e2be, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_read_error, 0x7e42bd3f, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_write_error, 0x3396bfaf, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_write_error, 0xee450a05, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_write_error, 0x5d4c81cc, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_write_error, 0xf32fa2b7, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_commit_error, 0x4cb5dbe1, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_commit_error, 0xef31d58c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_commit_error, 0x9860313d, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_commit_error, 0xcc21ce5c, "_gpl");
SYMBOL_CRC(pnfs_register_layoutdriver, 0xcda3059b, "_gpl");
SYMBOL_CRC(pnfs_unregister_layoutdriver, 0x97d9d10f, "_gpl");
SYMBOL_CRC(pnfs_put_lseg, 0xf97fdcc0, "_gpl");
SYMBOL_CRC(pnfs_destroy_layout, 0x38b6a224, "_gpl");
SYMBOL_CRC(pnfs_generic_layout_insert_lseg, 0xa6a614d2, "_gpl");
SYMBOL_CRC(pnfs_update_layout, 0x190087ff, "_gpl");
SYMBOL_CRC(pnfs_error_mark_layout_for_return, 0x6dce913d, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_layout, 0x2556fde6, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_range, 0x6bd528b7, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_read, 0xbf67ff07, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_write, 0xfd425f3a, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_cleanup, 0x27a81a2e, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_test, 0x0294b8f2, "_gpl");
SYMBOL_CRC(pnfs_write_done_resend_to_mds, 0x2f8893dd, "_gpl");
SYMBOL_CRC(pnfs_ld_write_done, 0xe430d222, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_writepages, 0x59b3d24b, "_gpl");
SYMBOL_CRC(pnfs_read_done_resend_to_mds, 0x53bf7dbe, "_gpl");
SYMBOL_CRC(pnfs_ld_read_done, 0x3014a79e, "_gpl");
SYMBOL_CRC(pnfs_read_resend_pnfs, 0xcd94342c, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_readpages, 0xddf21ac2, "_gpl");
SYMBOL_CRC(pnfs_set_lo_fail, 0xb93b521a, "_gpl");
SYMBOL_CRC(pnfs_set_layoutcommit, 0xf5bc8dfd, "_gpl");
SYMBOL_CRC(pnfs_layoutcommit_inode, 0xe96a3652, "_gpl");
SYMBOL_CRC(pnfs_generic_sync, 0xaca1f06f, "_gpl");
SYMBOL_CRC(pnfs_report_layoutstat, 0x131ee6df, "_gpl");
SYMBOL_CRC(layoutstats_timer, 0x054bef45, "_gpl");
SYMBOL_CRC(nfs4_print_deviceid, 0xed15fb41, "_gpl");
SYMBOL_CRC(nfs4_find_get_deviceid, 0x55a27d3d, "_gpl");
SYMBOL_CRC(nfs4_delete_deviceid, 0xd5626845, "_gpl");
SYMBOL_CRC(nfs4_init_deviceid_node, 0x907a5c64, "_gpl");
SYMBOL_CRC(nfs4_put_deviceid_node, 0xae096aa4, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_available, 0xb0858f85, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_unavailable, 0x46efe6a6, "_gpl");
SYMBOL_CRC(nfs4_test_deviceid_unavailable, 0xcfcd89a7, "_gpl");
SYMBOL_CRC(pnfs_generic_rw_release, 0x69d3558d, "_gpl");
SYMBOL_CRC(pnfs_generic_prepare_to_resend_writes, 0xe26b449b, "_gpl");
SYMBOL_CRC(pnfs_generic_write_commit_done, 0x3819acb8, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_release, 0xf999267e, "_gpl");
SYMBOL_CRC(pnfs_generic_clear_request_commit, 0x745b0093, "_gpl");
SYMBOL_CRC(pnfs_alloc_commit_array, 0xbdeabd51, "_gpl");
SYMBOL_CRC(pnfs_free_commit_array, 0xce90b34e, "_gpl");
SYMBOL_CRC(pnfs_add_commit_array, 0xb19378bc, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_release_lseg, 0xbd507af2, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_destroy, 0x1bbcca0d, "_gpl");
SYMBOL_CRC(pnfs_generic_scan_commit_lists, 0x720d69a2, "_gpl");
SYMBOL_CRC(pnfs_generic_recover_commit_reqs, 0x5f4ce721, "_gpl");
SYMBOL_CRC(pnfs_generic_search_commit_reqs, 0xd7a701a4, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_pagelist, 0x1e683154, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_put, 0xcc81e951, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_add, 0x160d61bc, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_connect, 0x88e9b162, "_gpl");
SYMBOL_CRC(nfs4_decode_mp_ds_addr, 0x05cf851d, "_gpl");
SYMBOL_CRC(pnfs_layout_mark_request_commit, 0x79fff0a8, "_gpl");
SYMBOL_CRC(pnfs_nfs_generic_sync, 0x0fa9c93a, "_gpl");
SYMBOL_CRC(nfs42_proc_layouterror, 0x070eeb3c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc0908dd0, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x6e3c26e3, "rpc_call_start" },
	{ 0xe195d6ab, "xprt_setup_backchannel" },
	{ 0x8d10a62, "bpf_trace_run1" },
	{ 0x183fd226, "svc_create" },
	{ 0xa6b79481, "rpc_clnt_iterate_for_each_xprt" },
	{ 0x73016031, "nfs_file_set_open_context" },
	{ 0x9c66d431, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0xcb41da94, "rpc_call_sync" },
	{ 0x312215ea, "from_kuid" },
	{ 0xef5d3db5, "rpc_put_task_async" },
	{ 0x96e3dae2, "rpc_prepare_reply_pages" },
	{ 0x3a0f6c0e, "rpc_queue_upcall" },
	{ 0xc2e9bae2, "nfs_free_server" },
	{ 0x8757ffe5, "fc_mount" },
	{ 0x21f93669, "register_sysctl_sz" },
	{ 0xe83903de, "nfs_setattr" },
	{ 0xfb578fc5, "memset" },
	{ 0x4d2d7f86, "xdr_terminate_string" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x65b00682, "nfs4_fs_type" },
	{ 0x5691b14e, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0xd370f0a3, "rpc_delay" },
	{ 0xc35bcb86, "nfs_flock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3b80d212, "__list_lru_init" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x94b32849, "svc_generic_init_request" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0x4a16deb5, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0xdbf058c6, "rpc_exit" },
	{ 0x258f12f6, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0xf2184ca2, "rpc_remove_pipe_dir_object" },
	{ 0x62487cdd, "nfs_may_open" },
	{ 0x67dca288, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x9f854777, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x6687baeb, "xdr_reserve_space" },
	{ 0x1efd9704, "rpcauth_lookupcred" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd7d4b590, "kthread_create_on_node" },
	{ 0xabc640f3, "list_lru_isolate" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x4206dcf6, "nfs_rmdir" },
	{ 0xe0942c61, "bpf_trace_run3" },
	{ 0x169f0b8f, "override_creds" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xe4abe696, "nfs_filemap_write_and_wait_range" },
	{ 0x78a62303, "rpc_mkpipe_dentry" },
	{ 0xb20ee7b4, "alloc_file_pseudo" },
	{ 0xdd64e639, "strscpy" },
	{ 0x497b72d3, "rpc_mkpipe_data" },
	{ 0xc0b1ff8d, "rpc_add_pipe_dir_object" },
	{ 0x2f46f643, "igrab" },
	{ 0x4986ea98, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xceb6c8b1, "nfs_async_iocounter_wait" },
	{ 0xeb1e411f, "nfs_file_read" },
	{ 0x55254fa2, "trace_event_buffer_reserve" },
	{ 0x89ceb3fc, "nfs_alloc_fattr_with_label" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xba69d75c, "filemap_fdatawait_range" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xc7ced5fc, "nfs_commitdata_alloc" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb57bb578, "nfs_setattr_update_inode" },
	{ 0xb20380f7, "nfs_instantiate" },
	{ 0xfe49d011, "init_user_ns" },
	{ 0x42ba23d4, "rpc_uaddr2sockaddr" },
	{ 0x74d731ba, "user_read" },
	{ 0xe07f611d, "rpc_restart_call" },
	{ 0x72012f35, "request_key_tag" },
	{ 0xb8049431, "xprt_force_disconnect" },
	{ 0x8ead800c, "user_free_preparse" },
	{ 0x9c49bb9, "alloc_pages" },
	{ 0x49c7797, "rpc_clnt_xprt_switch_remove_xprt" },
	{ 0x9abd2b00, "svc_xprt_destroy_all" },
	{ 0x6b4ab9b0, "generic_key_instantiate" },
	{ 0x5bbff36d, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0xe91f0c02, "nfs_link" },
	{ 0x991d34a3, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x76fcbe20, "list_lru_walk_one" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0x1efea1b6, "rpcauth_stringify_acceptor" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb6cfaf14, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x101529e2, "rpc_init_wait_queue" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x5d8a0b28, "xdr_stream_move_subsegment" },
	{ 0x5f667119, "put_rpccred" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x294c6a2, "nfs_callback_nr_threads" },
	{ 0xeb362c22, "nfs_post_op_update_inode_force_wcc" },
	{ 0x2061668f, "nfs_pgheader_init" },
	{ 0x246dbe3c, "put_nfs_open_context" },
	{ 0xd3d93528, "nfs_show_path" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xd6fceac, "nfs_show_devname" },
	{ 0x993aa184, "nfs_permission" },
	{ 0xb9d734fa, "nfs_initiate_commit" },
	{ 0x762e149c, "truncate_inode_pages_range" },
	{ 0x98199fa4, "__put_user_ns" },
	{ 0x6f2d6bab, "cred_fscmp" },
	{ 0x88c16b33, "rpc_unlink" },
	{ 0x90938e7d, "nfs_sync_inode" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xf65ec0a0, "nfs_file_write" },
	{ 0xaafd4acc, "max_session_cb_slots" },
	{ 0x91ebe803, "node_data" },
	{ 0x680c71c1, "nfs_probe_server" },
	{ 0x6a5100e3, "nfs_setsecurity" },
	{ 0xc1f485bc, "rpc_clnt_xprt_switch_has_addr" },
	{ 0x761aa0cd, "rpc_clnt_test_and_add_xprt" },
	{ 0x6a6fb173, "file_ra_state_init" },
	{ 0xd230d8cb, "nfs_force_lookup_revalidate" },
	{ 0xeacc4f83, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xb5fae50e, "rpc_clnt_add_xprt" },
	{ 0xc93c800, "dget_parent" },
	{ 0x989b1f2b, "from_kuid_munged" },
	{ 0x856d4573, "prepare_kernel_cred" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x595c85a5, "nfs_alloc_server" },
	{ 0xa257b182, "rpc_call_async" },
	{ 0xb7b3dfa1, "security_dentry_init_security" },
	{ 0x6ae931c9, "filemap_write_and_wait_range" },
	{ 0xbf29e1e5, "nfs_server_insert_lists" },
	{ 0xf92564d3, "nfs_dreq_bytes_left" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x754d539c, "strlen" },
	{ 0xab7ce2dd, "nfs_free_client" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x6833a1c1, "rpc_init_pipe_dir_object" },
	{ 0xd1bec6ca, "bpf_trace_run7" },
	{ 0x3d2c1a56, "nfs_refresh_inode" },
	{ 0x5e06bc5c, "refcount_dec_and_lock" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x91d1fe52, "max_session_slots" },
	{ 0x349cba85, "strchr" },
	{ 0xc6c8b8f1, "nfs_access_set_mask" },
	{ 0x716b46ef, "nfs_init_server_rpcclient" },
	{ 0x6932f81, "__mark_inode_dirty" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3c8dcb8e, "rpc_set_connect_timeout" },
	{ 0x44852d32, "rpcauth_create" },
	{ 0x648dfc82, "list_lru_add" },
	{ 0x9bb01c13, "xdr_stream_pos" },
	{ 0x33ad7f63, "key_set_timeout" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0x53b954a2, "up_read" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0x6fbc647a, "svc_xprt_create" },
	{ 0xf2302f51, "nfs42_ssc_register" },
	{ 0x29f55036, "rpc_wait_for_completion_task" },
	{ 0x66dce2fb, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa09eceac, "rpc_num_bc_slots" },
	{ 0x1a4e146d, "nfs_alloc_inode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5b2a5b3, "rpc_destroy_wait_queue" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0x69b84dc2, "security_inode_listsecurity" },
	{ 0x5bf3f86a, "nfs_fhget" },
	{ 0xe52b2800, "nfs_symlink" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x94e32e08, "locks_copy_lock" },
	{ 0xa71ccb69, "kmem_cache_destroy" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0x55434c32, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd99ad324, "nfs_set_verifier" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0xc52a96ac, "rpc_put_task" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9b4bb359, "generic_copy_file_range" },
	{ 0x50252cf8, "svc_generic_rpcbind_set" },
	{ 0xe14c7969, "nfs_clone_server" },
	{ 0x1c3ef8dd, "nfs_access_add_cache" },
	{ 0xe914e41e, "strcpy" },
	{ 0x96bcffe9, "filemap_fdatawrite" },
	{ 0x2ba3af00, "nfs_show_stats" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x14d78294, "nfs_server_remove_lists" },
	{ 0x8544e38c, "nfs42_ssc_unregister" },
	{ 0x820a4fd9, "generic_listxattr" },
	{ 0x6f8442c4, "try_module_get" },
	{ 0xef5acdbe, "revert_creds" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x9c5a6dd9, "nfs_writeback_update_inode" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xe005e8e5, "clear_inode" },
	{ 0x275dedc5, "inode_to_bdi" },
	{ 0xb1c89cea, "bpf_trace_run4" },
	{ 0x6772d3ef, "user_destroy" },
	{ 0x20978fb9, "idr_find" },
	{ 0xe7749017, "param_ops_uint" },
	{ 0x5bc02292, "user_revoke" },
	{ 0xc8c409df, "d_exact_alias" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe7edc2b8, "nfs_alloc_client" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0x42bf8fe1, "list_lru_del" },
	{ 0xe42f9866, "nfs_mark_client_ready" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x68520b36, "rpc_clnt_probe_trunked_xprts" },
	{ 0x146a7b6b, "nfs_pageio_reset_read_mds" },
	{ 0xe9c57853, "xdr_write_pages" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0x2bf3e20, "rpc_shutdown_client" },
	{ 0xc2e86b93, "svc_bind" },
	{ 0xc98f1dd6, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x40739385, "nfs_wait_bit_killable" },
	{ 0xa7264c08, "nfs_free_inode" },
	{ 0xc26d7a44, "nfs_access_zap_cache" },
	{ 0xa6d4da92, "nfs_sb_deactive" },
	{ 0x7a858c56, "nfs_wb_all" },
	{ 0xf5b3cda1, "__break_lease" },
	{ 0x10345036, "nfs_pageio_init_write" },
	{ 0x6fa48812, "svc_recv" },
	{ 0x27e3902d, "nfs_drop_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xafbe20d7, "xdr_inline_decode" },
	{ 0xf38de743, "nfs_pageio_init_read" },
	{ 0xa4cbedd, "trace_raw_output_prep" },
	{ 0xe3172c29, "nfs_wait_client_init_complete" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0xbacf9a15, "nfs_init_commit" },
	{ 0x2c0693d3, "nfs_commitdata_release" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x64775c4e, "bpf_trace_run6" },
	{ 0x96a55fda, "list_lru_destroy" },
	{ 0xca9360b5, "rb_next" },
	{ 0x1b9f88aa, "rpc_net_ns" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe8e0ed1e, "__trace_trigger_soft_disabled" },
	{ 0x2c3eaa06, "nfs_mknod" },
	{ 0x86bc8dc8, "nfs_inode_attach_open_context" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x3ec42484, "nfs4_label_alloc" },
	{ 0x51461b1b, "rpc_localaddr" },
	{ 0xbc773afc, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0x65a259b6, "trace_event_printf" },
	{ 0xb1b950b2, "nfs_access_get_cached" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0xf8ca61b8, "nfs_lock" },
	{ 0xca7d8764, "kthread_freezable_should_stop" },
	{ 0xb8312f7, "unregister_key_type" },
	{ 0x80ef0342, "nfs_client_init_is_complete" },
	{ 0x6aae7645, "nfs_file_splice_read" },
	{ 0xe5fc3b34, "register_shrinker" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x94c80228, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x5b50ae95, "trace_event_raw_init" },
	{ 0x1e424d61, "user_preparse" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0xa0641a94, "ihold" },
	{ 0x4496cecc, "truncate_pagecache_range" },
	{ 0xe8c3a9f2, "rpc_peeraddr" },
	{ 0x37a0cba, "kfree" },
	{ 0xa27f2e17, "invalidate_inode_pages2_range" },
	{ 0xce9999c0, "nfs_post_op_update_inode" },
	{ 0x5a9e3e18, "svc_exit_thread" },
	{ 0x8600ddfe, "iput" },
	{ 0xabce6873, "xdr_set_pagelen" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0x19dc54c5, "nfs_pgio_header_free" },
	{ 0x1171005e, "nfs_request_add_commit_list_locked" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x97a3e8ba, "logfc" },
	{ 0x382cb55e, "nfs_pgio_header_alloc" },
	{ 0xb76bc482, "__put_devmap_managed_page_refs" },
	{ 0x7a725bb7, "iter_file_splice_write" },
	{ 0x8185d2e7, "rpc_pton" },
	{ 0x9d2b1708, "nfs_sb_active" },
	{ 0xf734234e, "mod_node_page_state" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0x3c7fef8f, "rpc_wake_up_queued_task" },
	{ 0xe8690ce1, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xc0e5ac1a, "xdr_stream_zero" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x8511e14c, "rpc_restart_call_prepare" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x6a5f2736, "_copy_from_pages" },
	{ 0x7f5865a6, "__module_get" },
	{ 0xd4fbd8af, "kmem_cache_create" },
	{ 0xdbd6e00b, "rpc_task_release_transport" },
	{ 0x83316671, "xdr_page_pos" },
	{ 0x13f5bc22, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x3257b9af, "nfs_pgio_current_mirror" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xf602919c, "key_instantiate_and_link" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0x3539f11b, "match_strlcpy" },
	{ 0xbd0ed3d9, "xdr_read_pages" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd91eb551, "register_key_type" },
	{ 0x4e75cf2e, "rpc_sleep_on" },
	{ 0xccc76120, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x55c9db86, "nfs_pageio_resend" },
	{ 0x68e6c8f1, "keyring_alloc" },
	{ 0xe18954e9, "vfs_setpos" },
	{ 0x268724b8, "nfs_create" },
	{ 0xca65d4cd, "complete_request_key" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf57e46b9, "__put_cred" },
	{ 0xb1518864, "swapcache_mapping" },
	{ 0x3aa61f52, "nfs_statfs" },
	{ 0x1a53c964, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x561d4d3b, "rpc_max_bc_payload" },
	{ 0x7816f98d, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0xcedfd0e3, "rpc_clnt_xprt_switch_add_xprt" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdb02c0be, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x7879357a, "nfs_mkdir" },
	{ 0x7de12196, "nfs_revalidate_inode" },
	{ 0xba14a3c5, "inode_newsize_ok" },
	{ 0x717d9b1e, "nfs_file_mmap" },
	{ 0xac0f8ea3, "nfs_get_lock_context" },
	{ 0x7a91f388, "d_drop" },
	{ 0x122c3a7e, "_printk" },
	{ 0x97f0f1e4, "nfs_set_cache_invalid" },
	{ 0x1bd3f54d, "rpc_release_client" },
	{ 0x900a2cd9, "rpc_clnt_manage_trunked_xprts" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xb0d75b30, "xdr_enter_page" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb49ed169, "rpc_clnt_setup_test_and_add_xprt" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xc54e1706, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x2f147938, "nfs_generic_pgio" },
	{ 0x83fd9682, "make_kuid" },
	{ 0x4b0bc638, "truncate_inode_pages_final" },
	{ 0x6bca402f, "generic_setlease" },
	{ 0x82aaa915, "xprt_destroy_backchannel" },
	{ 0x96521a0c, "rpc_switch_client_transport" },
	{ 0x5a9ff783, "bc_svc_process" },
	{ 0xa916b694, "strnlen" },
	{ 0x4b31614f, "nfs_scan_commit_list" },
	{ 0x4a81db27, "xdr_stream_decode_string_dup" },
	{ 0x5a4afb9a, "nfs_commit_inode" },
	{ 0xf162a25b, "locks_init_lock" },
	{ 0xa8e9e1ae, "send_implementation_id" },
	{ 0xa7e43a05, "unregister_shrinker" },
	{ 0xfbee0ace, "rpc_destroy_pipe_data" },
	{ 0x888b7efd, "nfs_get_client" },
	{ 0x5fd94173, "__free_pages" },
	{ 0xaada9d35, "kmem_cache_alloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x57b89548, "init_task" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc7042bef, "nfs_atomic_open" },
	{ 0xeacba6d2, "rpc_pipe_generic_upcall" },
	{ 0xd9c30151, "nfs_file_fsync" },
	{ 0x8e90385d, "module_put" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xe609930f, "mntput" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xeb913d1f, "nfs_put_lock_context" },
	{ 0xdc9d310f, "nfs_rename" },
	{ 0xac0da640, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6e577e73, "nfs_sysfs_link_rpc_client" },
	{ 0x7a249f21, "nfs_put_client" },
	{ 0x3482283a, "nfs_show_options" },
	{ 0x65ef49e4, "dns_query" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0x76b6a9a7, "key_put" },
	{ 0x868784cb, "__symbol_get" },
	{ 0xa22b4c62, "mount_subtree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x1c4d1e24, "get_nfs_open_context" },
	{ 0x6435d0f9, "perf_trace_run_bpf_submit" },
	{ 0x1a4b6d18, "nfs_clear_verifier_delegated" },
	{ 0x3a22c615, "nfs_sysfs_add_server" },
	{ 0xf8f37fbe, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5a32944, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0x7bb41cdf, "nfs_do_submount" },
	{ 0x69e421b1, "vfs_dup_fs_context" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x898ed774, "request_key_with_auxdata" },
	{ 0x7e0e5c0d, "rpc_clone_client_set_auth" },
	{ 0x5f17ca0b, "rpc_clone_client" },
	{ 0x9ed33192, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0x9c109791, "nfs_client_init_status" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x21b332ef, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0xb8bd6366, "user_describe" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x63be90ef, "put_fs_context" },
	{ 0x6bcfd012, "nfs_retry_commit" },
	{ 0xe1d62c4d, "nfs4_dentry_operations" },
	{ 0xc34210c8, "__module_put_and_kthread_exit" },
	{ 0x483e1a7f, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xe84ec31b, "nfs_client_for_each_server" },
	{ 0x96046da5, "nfs_clear_inode" },
	{ 0x50a39d55, "rpc_sleep_on_priority" },
	{ 0xb6eb86ed, "nfs_invalidate_atime" },
	{ 0x409b1dff, "bpf_trace_run5" },
	{ 0x954f099c, "idr_preload" },
	{ 0xb56403ef, "nfs_umount_begin" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xbe2af18f, "nfs_getattr" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf81cb3b1, "nfs_pageio_reset_write_mds" },
	{ 0x11dbe881, "kmem_cache_free" },
	{ 0x6bd62bc3, "nfs_generic_pg_test" },
	{ 0x5a921311, "strncmp" },
	{ 0x562eaff2, "xdr_stream_subsegment" },
	{ 0xc925f828, "nfs_zap_acl_cache" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0xd71549f7, "nfs_fscache_open_file" },
	{ 0xeb2b24ec, "from_kgid" },
	{ 0x5122d8a0, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x2c4fa250, "nfs_write_inode" },
	{ 0x33504548, "nfs_request_remove_commit_list" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xffb7c514, "ida_free" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x41e10c81, "rpc_wake_up_first" },
	{ 0xda2a786f, "alloc_nfs_open_context" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1becfb92, "vfs_parse_fs_param" },
	{ 0x1deb84da, "nfs_path" },
	{ 0xab304d17, "rpc_sleep_on_priority_timeout" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xd4f37c5b, "nfs_create_rpc_client" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x239e87b3, "register_nfs_version" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9c85931c, "rpc_sleep_on_timeout" },
	{ 0x1c7be7b4, "list_lru_count_one" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,nfs,dns_resolver");


MODULE_INFO(srcversion, "98E828115DB118DD4C65F9C");
