#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bt_sock_reclassify_lock, "", "");
KSYMTAB_FUNC(bt_sock_register, "", "");
KSYMTAB_FUNC(bt_sock_unregister, "", "");
KSYMTAB_FUNC(bt_sock_alloc, "", "");
KSYMTAB_FUNC(bt_sock_link, "", "");
KSYMTAB_FUNC(bt_sock_unlink, "", "");
KSYMTAB_FUNC(bt_accept_enqueue, "", "");
KSYMTAB_FUNC(bt_accept_unlink, "", "");
KSYMTAB_FUNC(bt_accept_dequeue, "", "");
KSYMTAB_FUNC(bt_sock_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_stream_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_poll, "", "");
KSYMTAB_FUNC(bt_sock_ioctl, "", "");
KSYMTAB_FUNC(bt_sock_wait_state, "", "");
KSYMTAB_FUNC(bt_sock_wait_ready, "", "");
KSYMTAB_FUNC(bt_procfs_init, "", "");
KSYMTAB_FUNC(bt_procfs_cleanup, "", "");
KSYMTAB_DATA(bt_debugfs, "_gpl", "");
KSYMTAB_FUNC(hci_alloc_dev_priv, "", "");
KSYMTAB_FUNC(hci_free_dev, "", "");
KSYMTAB_FUNC(hci_register_dev, "", "");
KSYMTAB_FUNC(hci_unregister_dev, "", "");
KSYMTAB_FUNC(hci_release_dev, "", "");
KSYMTAB_FUNC(hci_suspend_dev, "", "");
KSYMTAB_FUNC(hci_resume_dev, "", "");
KSYMTAB_FUNC(hci_reset_dev, "", "");
KSYMTAB_FUNC(hci_recv_frame, "", "");
KSYMTAB_FUNC(hci_recv_diag, "", "");
KSYMTAB_FUNC(hci_set_hw_info, "", "");
KSYMTAB_FUNC(hci_set_fw_info, "", "");
KSYMTAB_FUNC(hci_register_cb, "", "");
KSYMTAB_FUNC(hci_unregister_cb, "", "");
KSYMTAB_FUNC(__hci_cmd_send, "", "");
KSYMTAB_FUNC(hci_get_route, "", "");
KSYMTAB_FUNC(hci_conn_security, "", "");
KSYMTAB_FUNC(hci_conn_check_secure, "", "");
KSYMTAB_FUNC(hci_conn_switch_role, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_register, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_unregister, "", "");
KSYMTAB_FUNC(l2cap_add_psm, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_create, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_put, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_set_defaults, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_del, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_list, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_close, "", "");
KSYMTAB_FUNC(l2cap_register_user, "", "");
KSYMTAB_FUNC(l2cap_unregister_user, "", "");
KSYMTAB_FUNC(l2cap_conn_get, "", "");
KSYMTAB_FUNC(l2cap_conn_put, "", "");
KSYMTAB_FUNC(l2cap_chan_send, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_connect, "_gpl", "");
KSYMTAB_FUNC(l2cap_is_socket, "", "");
KSYMTAB_FUNC(baswap, "", "");
KSYMTAB_FUNC(bt_to_errno, "", "");
KSYMTAB_FUNC(bt_status, "", "");
KSYMTAB_FUNC(bt_info, "", "");
KSYMTAB_FUNC(bt_warn, "", "");
KSYMTAB_FUNC(bt_err, "", "");
KSYMTAB_FUNC(bt_warn_ratelimited, "", "");
KSYMTAB_FUNC(bt_err_ratelimited, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_ev, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync_submit, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue, "", "");
KSYMTAB_FUNC(hci_devcd_rx, "", "");
KSYMTAB_FUNC(hci_devcd_timeout, "", "");
KSYMTAB_FUNC(hci_devcd_register, "", "");
KSYMTAB_FUNC(hci_devcd_init, "", "");
KSYMTAB_FUNC(hci_devcd_append, "", "");
KSYMTAB_FUNC(hci_devcd_append_pattern, "", "");
KSYMTAB_FUNC(hci_devcd_complete, "", "");
KSYMTAB_FUNC(hci_devcd_abort, "", "");

SYMBOL_CRC(bt_sock_reclassify_lock, 0xf15f6741, "");
SYMBOL_CRC(bt_sock_register, 0xc36ca525, "");
SYMBOL_CRC(bt_sock_unregister, 0x8fea24bd, "");
SYMBOL_CRC(bt_sock_alloc, 0x9409a7df, "");
SYMBOL_CRC(bt_sock_link, 0x9cb230f0, "");
SYMBOL_CRC(bt_sock_unlink, 0xd5bba3c7, "");
SYMBOL_CRC(bt_accept_enqueue, 0xbe958773, "");
SYMBOL_CRC(bt_accept_unlink, 0xc7ec04f7, "");
SYMBOL_CRC(bt_accept_dequeue, 0x443f729f, "");
SYMBOL_CRC(bt_sock_recvmsg, 0x1cdf7dc1, "");
SYMBOL_CRC(bt_sock_stream_recvmsg, 0x30d4a770, "");
SYMBOL_CRC(bt_sock_poll, 0x1e06a8e1, "");
SYMBOL_CRC(bt_sock_ioctl, 0x77801eae, "");
SYMBOL_CRC(bt_sock_wait_state, 0x7ce5680d, "");
SYMBOL_CRC(bt_sock_wait_ready, 0x15a07006, "");
SYMBOL_CRC(bt_procfs_init, 0x59729875, "");
SYMBOL_CRC(bt_procfs_cleanup, 0x2bbcba57, "");
SYMBOL_CRC(bt_debugfs, 0x469b9350, "_gpl");
SYMBOL_CRC(hci_alloc_dev_priv, 0x3ecc0f0d, "");
SYMBOL_CRC(hci_free_dev, 0x040ed7ec, "");
SYMBOL_CRC(hci_register_dev, 0x270b21a0, "");
SYMBOL_CRC(hci_unregister_dev, 0x4f4c35f5, "");
SYMBOL_CRC(hci_release_dev, 0x84b930c5, "");
SYMBOL_CRC(hci_suspend_dev, 0x00428839, "");
SYMBOL_CRC(hci_resume_dev, 0x97253337, "");
SYMBOL_CRC(hci_reset_dev, 0x8661a3b6, "");
SYMBOL_CRC(hci_recv_frame, 0xac245488, "");
SYMBOL_CRC(hci_recv_diag, 0x45365b9f, "");
SYMBOL_CRC(hci_set_hw_info, 0x5af3dd96, "");
SYMBOL_CRC(hci_set_fw_info, 0x41b89bd8, "");
SYMBOL_CRC(hci_register_cb, 0x760d95a6, "");
SYMBOL_CRC(hci_unregister_cb, 0x9b5582a3, "");
SYMBOL_CRC(__hci_cmd_send, 0x56400c2e, "");
SYMBOL_CRC(hci_get_route, 0x2821e8ea, "");
SYMBOL_CRC(hci_conn_security, 0x097802ea, "");
SYMBOL_CRC(hci_conn_check_secure, 0x5ca97266, "");
SYMBOL_CRC(hci_conn_switch_role, 0xd1d92747, "");
SYMBOL_CRC(hci_mgmt_chan_register, 0xbc209f51, "");
SYMBOL_CRC(hci_mgmt_chan_unregister, 0xdf8d502d, "");
SYMBOL_CRC(l2cap_add_psm, 0x4661d49d, "_gpl");
SYMBOL_CRC(l2cap_chan_create, 0x227deea9, "_gpl");
SYMBOL_CRC(l2cap_chan_put, 0xe2db7ebd, "_gpl");
SYMBOL_CRC(l2cap_chan_set_defaults, 0xfe7b2941, "_gpl");
SYMBOL_CRC(l2cap_chan_del, 0xe9859ca9, "_gpl");
SYMBOL_CRC(l2cap_chan_list, 0x10cd9d92, "_gpl");
SYMBOL_CRC(l2cap_chan_close, 0x74f7252a, "");
SYMBOL_CRC(l2cap_register_user, 0xe99335e6, "");
SYMBOL_CRC(l2cap_unregister_user, 0x39399412, "");
SYMBOL_CRC(l2cap_conn_get, 0x264762d8, "");
SYMBOL_CRC(l2cap_conn_put, 0x8e2b74b8, "");
SYMBOL_CRC(l2cap_chan_send, 0x8aa08da4, "_gpl");
SYMBOL_CRC(l2cap_chan_connect, 0x77085f68, "_gpl");
SYMBOL_CRC(l2cap_is_socket, 0xded98155, "");
SYMBOL_CRC(baswap, 0x7b5ce5c3, "");
SYMBOL_CRC(bt_to_errno, 0x7aad008b, "");
SYMBOL_CRC(bt_status, 0x7bd9427a, "");
SYMBOL_CRC(bt_info, 0x0718b8b7, "");
SYMBOL_CRC(bt_warn, 0x214e4265, "");
SYMBOL_CRC(bt_err, 0x7b8c32f1, "");
SYMBOL_CRC(bt_warn_ratelimited, 0xddacccf6, "");
SYMBOL_CRC(bt_err_ratelimited, 0xd7613212, "");
SYMBOL_CRC(__hci_cmd_sync_sk, 0x031e5290, "");
SYMBOL_CRC(__hci_cmd_sync, 0x5ede9b94, "");
SYMBOL_CRC(hci_cmd_sync, 0x487b61ed, "");
SYMBOL_CRC(__hci_cmd_sync_ev, 0x8f4a71df, "");
SYMBOL_CRC(__hci_cmd_sync_status_sk, 0x20ad7866, "");
SYMBOL_CRC(__hci_cmd_sync_status, 0x99376601, "");
SYMBOL_CRC(hci_cmd_sync_status, 0xbb512226, "");
SYMBOL_CRC(hci_cmd_sync_cancel, 0xea771044, "");
SYMBOL_CRC(hci_cmd_sync_cancel_sync, 0xbdc0427f, "");
SYMBOL_CRC(hci_cmd_sync_submit, 0x0d49088c, "");
SYMBOL_CRC(hci_cmd_sync_queue, 0x629774ca, "");
SYMBOL_CRC(hci_devcd_rx, 0xa36d67be, "");
SYMBOL_CRC(hci_devcd_timeout, 0xa60137a1, "");
SYMBOL_CRC(hci_devcd_register, 0x40e95af5, "");
SYMBOL_CRC(hci_devcd_init, 0x7938815b, "");
SYMBOL_CRC(hci_devcd_append, 0x141a5d02, "");
SYMBOL_CRC(hci_devcd_append_pattern, 0xe81911f4, "");
SYMBOL_CRC(hci_devcd_complete, 0x5692e9b1, "");
SYMBOL_CRC(hci_devcd_abort, 0xc0566f02, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf57e46b9, "__put_cred" },
	{ 0x7d084bc3, "put_cmsg" },
	{ 0x824f5862, "skb_queue_purge_reason" },
	{ 0x4d5e3e9d, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x122c3a7e, "_printk" },
	{ 0x49bd03ed, "crypto_alloc_kpp" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0xb9ed4742, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x5d69ce6c, "sock_register" },
	{ 0xc262b78c, "datagram_poll" },
	{ 0xe2254623, "__sock_recv_cmsgs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xef39ce92, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xeaeba39b, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0x9d4b617d, "proto_register" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0x30d8be3, "skb_queue_tail" },
	{ 0x8e90385d, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xf02d5644, "debugfs_attr_read" },
	{ 0x2882f9b7, "__sock_recv_timestamp" },
	{ 0xd79e9582, "sock_no_shutdown" },
	{ 0xc2a8fefc, "sk_filter_trim_cap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0x7abf16e4, "init_net" },
	{ 0x252c98b0, "crypto_shash_setkey" },
	{ 0x7d7cf115, "simple_open" },
	{ 0x92836a8b, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x150c287d, "device_add" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2717c154, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc6fe1a59, "init_uts_ns" },
	{ 0x99a236fd, "sk_free" },
	{ 0x8ebffc14, "device_move" },
	{ 0x86564197, "kfree_skb_reason" },
	{ 0xf0a8a6db, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc25338ec, "skb_push" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0xbae95b32, "sock_no_listen" },
	{ 0x6ca64ef8, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0xd7f80d10, "seq_putc" },
	{ 0xbd6841d4, "crc16" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x90164b80, "iov_iter_kvec" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1c153357, "class_unregister" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0xe7f94777, "lock_sock_nested" },
	{ 0xdfc3daee, "device_find_child" },
	{ 0x5ae445f1, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe8140ab8, "skb_copy_datagram_iter" },
	{ 0x23d2c28b, "rfkill_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb230d2ec, "crypto_ecdh_encode_key" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x13ab2665, "sk_alloc" },
	{ 0x2f38ab01, "device_del" },
	{ 0xeb966781, "__sock_queue_rcv_skb" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xc66b0eb0, "default_llseek" },
	{ 0x56754e9d, "__sock_recv_wifi_status" },
	{ 0x312215ea, "from_kuid" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x21a2e991, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x57d48319, "__get_task_comm" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x4668a810, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0xa405c525, "__pskb_pull_tail" },
	{ 0xafc77b9c, "__scm_destroy" },
	{ 0x67dca288, "from_kgid_munged" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x838fc730, "skb_trim" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x4442b85c, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x61409eae, "seq_read" },
	{ 0xdd64e639, "strscpy" },
	{ 0xbf2d1c4c, "sock_i_ino" },
	{ 0x6e7f1d4a, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xff282521, "rfkill_register" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xd5d488de, "sk_capable" },
	{ 0x1632bc21, "kvasprintf_const" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x93067637, "param_ops_bool" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0xedccf0db, "skb_recv_datagram" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x81d53143, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xffcaaff, "remove_proc_entry" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7109424, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8a0efb21, "skb_copy" },
	{ 0x8bcb3fdf, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe9020b00, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x4cb1ed00, "skb_pull_data" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xab23235b, "seq_puts" },
	{ 0x46ae8bf9, "sock_gettstamp" },
	{ 0xcb5f3d33, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x9dbc269d, "pid_vnr" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x989b1f2b, "from_kuid_munged" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xe197f6b4, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb8394a3f, "proc_create_seq_private" },
	{ 0xb21a0585, "debugfs_create_u8" },
	{ 0x998f32e, "single_open" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x136ea7d0, "crypto_alloc_shash" },
	{ 0xf29606ab, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x731cc8a3, "fwnode_property_read_u8_array" },
	{ 0x87214660, "put_pid" },
	{ 0xd18ebda1, "class_register" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xaf352228, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8ff38073, "__dev_fwnode" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2a9af5d9, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa175b502, "skb_queue_head" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0xa60ecef3, "skb_free_datagram" },
	{ 0x583f71e1, "sock_queue_rcv_skb_reason" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x6f8442c4, "try_module_get" },
	{ 0x2cf24c61, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xd46a0d6f, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7475be8e, "crypto_ecdh_key_len" },
	{ 0x78b887ed, "vsprintf" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x20978fb9, "idr_find" },
	{ 0x1f9d1937, "debugfs_attr_write" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x79856fee, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x19160e4d, "dev_set_name" },
	{ 0x74fef840, "scm_detach_fds" },
	{ 0x4bc980de, "crypto_shash_tfm_digest" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x81335b6f, "device_unregister" },
	{ 0xcaccbaf5, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x6677e10c, "debugfs_create_u16" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x96848186, "scnprintf" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0xd428971f, "device_initialize" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0xdfc6e05a, "seq_lseek" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xf4e11de9, "sock_no_connect" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x7c8efed4, "dev_kfree_skb_irq_reason" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xe2964344, "__wake_up" },
	{ 0x7f5865a6, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0xe1740888, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0xb476df2e, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "023CC0A0C05BE1F2D9D3A70");
