#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hsr_get_version, "", "");
KSYMTAB_FUNC(is_hsr_master, "", "");

SYMBOL_CRC(hsr_get_version, 0xb9e1bbd4, "");
SYMBOL_CRC(is_hsr_master, 0x7aa76c03, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf567b7be, "genlmsg_put" },
	{ 0x37a0cba, "kfree" },
	{ 0xb48fa54e, "dev_set_promiscuity" },
	{ 0xdfc6e05a, "seq_lseek" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x2c145a85, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4e55b5df, "unregister_netdevice_queue" },
	{ 0xf697cd5a, "netlink_ack" },
	{ 0xc1d72d7d, "netdev_state_change" },
	{ 0xb476df2e, "__pskb_copy_fclone" },
	{ 0xaef003f0, "ether_setup" },
	{ 0x693a9460, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x85bcb37c, "netdev_upper_dev_link" },
	{ 0x7fc396cf, "dev_addr_mod" },
	{ 0xc8432edb, "netdev_core_stats_alloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb6c03729, "netdev_rx_handler_unregister" },
	{ 0x7a053648, "eth_header_parse" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x157de0e5, "netlink_broadcast" },
	{ 0xeaeba39b, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2dd2e47a, "skb_copy_expand" },
	{ 0x299569af, "__dev_get_by_index" },
	{ 0x99f5fca7, "rtnl_link_unregister" },
	{ 0x7abf16e4, "init_net" },
	{ 0x92836a8b, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb075fe75, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x1b0596e5, "dev_get_by_index_rcu" },
	{ 0x86564197, "kfree_skb_reason" },
	{ 0xaf75aa37, "netdev_printk" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0xc25338ec, "skb_push" },
	{ 0x6ca64ef8, "debugfs_remove" },
	{ 0x3bcd1e6d, "netdev_upper_dev_unlink" },
	{ 0xd5a43273, "nla_put" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa405c525, "__pskb_pull_tail" },
	{ 0x513a6e20, "netif_rx" },
	{ 0xa0cc62e3, "__netdev_alloc_skb" },
	{ 0x838fc730, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x61409eae, "seq_read" },
	{ 0xca344e8e, "debugfs_rename" },
	{ 0x6e7f1d4a, "debugfs_create_file" },
	{ 0xdd6ef490, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x91337c2c, "call_netdevice_notifiers" },
	{ 0xa5976e4f, "dev_base_lock" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf20f992a, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x7109424, "seq_printf" },
	{ 0x8bcb3fdf, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x68b91085, "netif_carrier_on" },
	{ 0x759de620, "netdev_rx_handler_register" },
	{ 0xab23235b, "seq_puts" },
	{ 0xcb5f3d33, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x6360af9a, "genl_unregister_family" },
	{ 0x9c37c95, "dev_disable_lro" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0xa0410ee2, "dev_kfree_skb_any_reason" },
	{ 0x998f32e, "single_open" },
	{ 0xf29606ab, "debugfs_create_dir" },
	{ 0xc71fe0b0, "genl_register_family" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0x5b6f8c26, "netdev_info" },
	{ 0xdc5210c0, "register_netdevice" },
	{ 0xe7008f08, "dev_set_mtu" },
	{ 0xa5629620, "__skb_pad" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x39d3d657, "eth_header" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x79856fee, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x3fb5cd7e, "netdev_update_features" },
	{ 0xb0e602eb, "memmove" },
	{ 0x2be096d9, "rtnl_link_register" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A305EE1D69C908602F9E65F");
