#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wpan_phy_find, "", "");
KSYMTAB_FUNC(wpan_phy_for_each, "", "");
KSYMTAB_FUNC(wpan_phy_new, "", "");
KSYMTAB_FUNC(wpan_phy_register, "", "");
KSYMTAB_FUNC(wpan_phy_unregister, "", "");
KSYMTAB_FUNC(wpan_phy_free, "", "");
KSYMTAB_FUNC(ieee802154_hdr_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_beacon_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_pl_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek_addrs, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek, "_gpl", "");
KSYMTAB_FUNC(ieee802154_max_payload, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_event, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_started, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_done, "_gpl", "");
KSYMTAB_FUNC(nl802154_beaconing_done, "_gpl", "");

SYMBOL_CRC(wpan_phy_find, 0xdb6bdf7c, "");
SYMBOL_CRC(wpan_phy_for_each, 0x14838807, "");
SYMBOL_CRC(wpan_phy_new, 0x3d2e5ffa, "");
SYMBOL_CRC(wpan_phy_register, 0xfba7578c, "");
SYMBOL_CRC(wpan_phy_unregister, 0x9d6f75b3, "");
SYMBOL_CRC(wpan_phy_free, 0x270c485b, "");
SYMBOL_CRC(ieee802154_hdr_push, 0x56cd6007, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_push, 0x2543fce9, "_gpl");
SYMBOL_CRC(ieee802154_beacon_push, 0x549f54e8, "_gpl");
SYMBOL_CRC(ieee802154_hdr_pull, 0x002dd43a, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_pl_pull, 0x8f2f1c0f, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek_addrs, 0x5fae6f1b, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek, 0x08875214, "_gpl");
SYMBOL_CRC(ieee802154_max_payload, 0x87e2553b, "_gpl");
SYMBOL_CRC(nl802154_scan_event, 0x747d3c57, "_gpl");
SYMBOL_CRC(nl802154_scan_started, 0x05800f2e, "_gpl");
SYMBOL_CRC(nl802154_scan_done, 0xa10a8c62, "_gpl");
SYMBOL_CRC(nl802154_beaconing_done, 0xa8a1e945, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd5a43273, "nla_put" },
	{ 0x5122d8a0, "trace_event_reg" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1c153357, "class_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x14e75498, "unregister_pernet_device" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8d10a62, "bpf_trace_run1" },
	{ 0x2f38ab01, "device_del" },
	{ 0xdbaf6b5, "dev_set_mac_address" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa405c525, "__pskb_pull_tail" },
	{ 0x838fc730, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe0942c61, "bpf_trace_run3" },
	{ 0x54307a13, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1d99d488, "get_net_ns_by_pid" },
	{ 0xdd64e639, "strscpy" },
	{ 0x55254fa2, "trace_event_buffer_reserve" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5301fc08, "device_match_name" },
	{ 0xba5f8145, "dev_get_by_name" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6360af9a, "genl_unregister_family" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xc71fe0b0, "genl_register_family" },
	{ 0x4d098e9e, "__dev_change_net_namespace" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xb0b8b7e8, "register_pernet_device" },
	{ 0x3059133e, "get_net_ns_by_fd" },
	{ 0xd18ebda1, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0x15e4bb1c, "class_find_device" },
	{ 0xe914e41e, "strcpy" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xb1c89cea, "bpf_trace_run4" },
	{ 0x79856fee, "skb_put" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x19160e4d, "dev_set_name" },
	{ 0xa1aefb4f, "trace_output_call" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa4cbedd, "trace_raw_output_prep" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0xe8e0ed1e, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x65a259b6, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd428971f, "device_initialize" },
	{ 0xf567b7be, "genlmsg_put" },
	{ 0x5b50ae95, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0xe8690ce1, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe1740888, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcf5dbc8d, "device_rename" },
	{ 0x7816f98d, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xef39ce92, "put_device" },
	{ 0x157de0e5, "netlink_broadcast" },
	{ 0xa916b694, "strnlen" },
	{ 0xeaeba39b, "__alloc_skb" },
	{ 0xc37366a0, "class_for_each_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x299569af, "__dev_get_by_index" },
	{ 0x6435d0f9, "perf_trace_run_bpf_submit" },
	{ 0x7abf16e4, "init_net" },
	{ 0x92836a8b, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x150c287d, "device_add" },
	{ 0xb075fe75, "netlink_unicast" },
	{ 0x85e87fd5, "dev_get_by_index" },
	{ 0x86564197, "kfree_skb_reason" },
	{ 0xc25338ec, "skb_push" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "09D61B79C7F666EA2474C47");
