#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(esp_output_head, "_gpl", "");
KSYMTAB_FUNC(esp_output_tail, "_gpl", "");
KSYMTAB_FUNC(esp_input_done2, "_gpl", "");

SYMBOL_CRC(esp_output_head, 0xfb9cfeea, "_gpl");
SYMBOL_CRC(esp_output_tail, 0x8b34046e, "_gpl");
SYMBOL_CRC(esp_input_done2, 0x785a9869, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe80849b6, "crypto_aead_setauthsize" },
	{ 0x7ba13c43, "crypto_aead_setkey" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x779948a2, "xfrm_state_lookup" },
	{ 0x10022709, "ipv4_redirect" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd5371003, "ipv4_update_pmtu" },
	{ 0x36cfb606, "__xfrm_state_destroy" },
	{ 0xa87083f1, "skb_copy_bits" },
	{ 0x513e008e, "skb_checksum" },
	{ 0xc39771fa, "___pskb_trim" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x37a0cba, "kfree" },
	{ 0x99a236fd, "sk_free" },
	{ 0xebc2f532, "km_new_mapping" },
	{ 0xde0ae5c2, "skb_pull_rcsum" },
	{ 0x8fe61acd, "xfrm_input_resume" },
	{ 0x18c77fa, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x4ce9ebc3, "skb_to_sgvec" },
	{ 0x93ae4dba, "crypto_aead_decrypt" },
	{ 0xc25338ec, "skb_push" },
	{ 0xa405c525, "__pskb_pull_tail" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x324ac4cb, "napi_pp_put_page" },
	{ 0xb76bc482, "__put_devmap_managed_page_refs" },
	{ 0x991d34a3, "__folio_put" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x42cdb0bd, "__inet_lookup_established" },
	{ 0x37572983, "tcp_is_ulp_esp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x32688527, "espintcp_push_skb" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4f58a0c6, "espintcp_queue_out" },
	{ 0x8ae9482c, "xfrm_dev_resume" },
	{ 0xf5f64e79, "xfrm_output_resume" },
	{ 0x58e6910c, "__skb_ext_del" },
	{ 0x86564197, "kfree_skb_reason" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0x18bedb4, "xfrm_trans_queue_net" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfb578fc5, "memset" },
	{ 0x8fdab2b0, "crypto_aead_encrypt" },
	{ 0xc19afc50, "skb_page_frag_refill" },
	{ 0xa44ea3d3, "pskb_put" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xeda9e2c4, "xfrm_state_mtu" },
	{ 0xc8a447b0, "xfrm4_rcv" },
	{ 0xa533ef15, "xfrm_input" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x46922b29, "xfrm_register_type" },
	{ 0x88a5d4f0, "xfrm4_protocol_register" },
	{ 0x122c3a7e, "_printk" },
	{ 0x81f51e71, "xfrm_unregister_type" },
	{ 0x4d5e3e9d, "crypto_destroy_tfm" },
	{ 0xdfd8113b, "xfrm4_protocol_deregister" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7b6b92b1, "crypto_alloc_aead" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a02412, "xfrm_aalg_get_byname" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "FA39A78F5E7040F36A01341");
