#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(l2tp_sk_to_tunnel, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_session, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_by_ifname, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_recv_common, "_gpl", "");
KSYMTAB_FUNC(l2tp_udp_encap_recv, "_gpl", "");
KSYMTAB_FUNC(l2tp_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_create, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_set_header_len, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_create, "_gpl", "");

SYMBOL_CRC(l2tp_sk_to_tunnel, 0x65237418, "_gpl");
SYMBOL_CRC(l2tp_tunnel_inc_refcount, 0x0c8675a7, "_gpl");
SYMBOL_CRC(l2tp_tunnel_dec_refcount, 0x8ca8ec7c, "_gpl");
SYMBOL_CRC(l2tp_session_inc_refcount, 0x585c4fdc, "_gpl");
SYMBOL_CRC(l2tp_session_dec_refcount, 0x65e8fe6f, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0x63f41d24, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_nth, 0x6997bfaa, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_session, 0x84d13a0c, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0x958adfec, "_gpl");
SYMBOL_CRC(l2tp_session_get_nth, 0xf9469fcc, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0xc7daff48, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0x9d921c82, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0xb2a679c3, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0x79247c3e, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0xdddf04d9, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0xc85531f9, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0x96707e22, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0x57932fda, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0xcbf8db40, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0xa1909e0c, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0x80283146, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x6435d0f9, "perf_trace_run_bpf_submit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x55254fa2, "trace_event_buffer_reserve" },
	{ 0x7816f98d, "trace_event_buffer_commit" },
	{ 0xe8e0ed1e, "__trace_trigger_soft_disabled" },
	{ 0xa4cbedd, "trace_raw_output_prep" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x65a259b6, "trace_event_printf" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x8d10a62, "bpf_trace_run1" },
	{ 0xe8690ce1, "bpf_trace_run2" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xabc64861, "udp_sock_create6" },
	{ 0xdfe5feba, "kernel_sock_shutdown" },
	{ 0x498a16b5, "sock_release" },
	{ 0x1de20377, "sock_create_kern" },
	{ 0x9dbf5b9, "kernel_bind" },
	{ 0x414f9a92, "kernel_connect" },
	{ 0x416fd2b6, "udp_sock_create4" },
	{ 0xb0b8b7e8, "register_pernet_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x122c3a7e, "_printk" },
	{ 0x14e75498, "unregister_pernet_device" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0x20978fb9, "idr_find" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x99a236fd, "sk_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x86564197, "kfree_skb_reason" },
	{ 0xcaccbaf5, "skb_dequeue" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x30d8be3, "skb_queue_tail" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcd044aa8, "ip_queue_xmit" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc401512a, "pskb_expand_head" },
	{ 0x723606f4, "udp_set_csum" },
	{ 0xafcd3799, "inet6_csk_xmit" },
	{ 0x783bf903, "udp6_set_csum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x8da81df9, "dst_release" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0xef57206c, "sockfd_lookup" },
	{ 0xe7f94777, "lock_sock_nested" },
	{ 0x2a9af5d9, "release_sock" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0xf8f37fbe, "fput" },
	{ 0xe84d64ae, "setup_udp_tunnel_sock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa405c525, "__pskb_pull_tail" },
	{ 0x5122d8a0, "trace_event_reg" },
	{ 0x5b50ae95, "trace_event_raw_init" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel");


MODULE_INFO(srcversion, "D293F8DC0B380930B28E0B4");
