#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0x9c815119, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0xae632e4d, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0x5500affe, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0xdb0395a6, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0x656e9743, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0x5d78ae41, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0x2120c562, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0x9ff735f8, "");
SYMBOL_CRC(ip_vs_conn_put, 0x89a8831c, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0x28086931, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0x0528d222, "");
SYMBOL_CRC(register_ip_vs_app, 0x0cef00cb, "");
SYMBOL_CRC(unregister_ip_vs_app, 0xfbad42d5, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0x5609ba0b, "");
SYMBOL_CRC(ip_vs_proto_get, 0xa61e9bd3, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0xe70ed937, "");
SYMBOL_CRC(register_ip_vs_pe, 0xb5bb2983, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0x9839675a, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0xbec020eb, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x7ed31dd6, "ip_mc_join_group" },
	{ 0x2e3fecc7, "nf_ct_expect_put" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe0bc69b2, "ns_capable" },
	{ 0x93cfd1bd, "nf_unregister_net_hooks" },
	{ 0xa83ffe48, "inet_select_addr" },
	{ 0x14e75498, "unregister_pernet_device" },
	{ 0xe7f94777, "lock_sock_nested" },
	{ 0x58a57d4a, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xd697f068, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xa48fd5d2, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xe2e2ddd6, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x414f9a92, "kernel_connect" },
	{ 0x513e008e, "skb_checksum" },
	{ 0xcf34cedf, "ip_defrag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa405c525, "__pskb_pull_tail" },
	{ 0x89bcaec7, "nf_ct_delete" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x838fc730, "skb_trim" },
	{ 0x27952dc4, "nf_hook_slow" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd7d4b590, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0xafc2dbbc, "nf_ct_deliver_cached_events" },
	{ 0xb575dab7, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x78405ab9, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xab408bac, "__icmp_send" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf4055c03, "ipv4_mtu" },
	{ 0x9b4d2e7b, "skb_set_owner_w" },
	{ 0xd6afab6f, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x1de20377, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfe49d011, "init_user_ns" },
	{ 0x25433a5a, "nf_ct_expect_init" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xffcaaff, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x7109424, "seq_printf" },
	{ 0x33cf7e7f, "sock_recvmsg" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x4e160003, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd5371003, "ipv4_update_pmtu" },
	{ 0x7c636667, "nf_defrag_ipv6_enable" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x8da81df9, "dst_release" },
	{ 0x498a16b5, "sock_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0xab23235b, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xb805d2b3, "unregister_net_sysctl_table" },
	{ 0x2d50404b, "ip_local_out" },
	{ 0x6360af9a, "genl_unregister_family" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x783bf903, "udp6_set_csum" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x7cf19c, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc71fe0b0, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf6598edd, "kernel_sendmsg" },
	{ 0xfbf85aef, "nf_ct_netns_put" },
	{ 0xb0b8b7e8, "register_pernet_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa71ccb69, "kmem_cache_destroy" },
	{ 0x2a9af5d9, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0x19abe7fe, "nf_ct_ext_add" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0x42cf9d1e, "nf_conntrack_find_get" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x6f8442c4, "try_module_get" },
	{ 0x2e526675, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xf9e107c3, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x8b118f77, "icmp6_send" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xa87083f1, "skb_copy_bits" },
	{ 0xe13c82a0, "xfrm_lookup" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe2bbfa56, "proc_dointvec_jiffies" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xae9852a0, "housekeeping_cpumask" },
	{ 0xe7251df7, "consume_skb" },
	{ 0x2d932f18, "ip6_local_out" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0xa941a739, "ip_output" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7169fed1, "nf_register_sockopt" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x1b695b98, "nf_ct_netns_get" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x9dbf5b9, "kernel_bind" },
	{ 0x28558211, "set_user_nice" },
	{ 0xf567b7be, "genlmsg_put" },
	{ 0x723606f4, "udp_set_csum" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xaceb0db3, "ip6_output" },
	{ 0x2e62e484, "ip6_route_me_harder" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x7f5865a6, "__module_get" },
	{ 0x51dc391f, "ip_route_output_flow" },
	{ 0xd4fbd8af, "kmem_cache_create" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x49a1ee6e, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x81aac961, "__dev_get_by_name" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x8c345a04, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc401512a, "pskb_expand_head" },
	{ 0x46bd3ea6, "register_pernet_subsys" },
	{ 0x1a53c964, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x960e34f8, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xc0b7e7ff, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x86d1aec8, "nf_register_net_hooks" },
	{ 0xf8835cef, "ip6_route_output_flags" },
	{ 0xa916b694, "strnlen" },
	{ 0xeaeba39b, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xaada9d35, "kmem_cache_alloc" },
	{ 0x161d570e, "ipv6_sock_mc_join" },
	{ 0x8e90385d, "module_put" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0xa583877d, "ipv6_dev_get_saddr" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x3a9eb4a2, "__skb_get_hash" },
	{ 0x7abf16e4, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa7a76fd7, "ip6_mtu" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xb075fe75, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x96db75ec, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xc329625c, "nf_conntrack_alter_reply" },
	{ 0x2989fe30, "ip_route_me_harder" },
	{ 0x86564197, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc25338ec, "skb_push" },
	{ 0x11dbe881, "kmem_cache_free" },
	{ 0x409b6513, "set_cpus_allowed_ptr" },
	{ 0xd7f80d10, "seq_putc" },
	{ 0xd5a43273, "nla_put" },
	{ 0x9092defd, "proc_doulongvec_minmax" },
	{ 0x2db7cbb2, "nf_ct_expect_alloc" },
	{ 0xed81cb37, "skb_ensure_writable" },
	{ 0x90164b80, "iov_iter_kvec" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_defrag_ipv6");


MODULE_INFO(srcversion, "82E1E356740C165D1B4CBA5");
