#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rxrpc_debug_id, "", "");
KSYMTAB_FUNC(rxrpc_kernel_begin_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_shutdown_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_put_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_check_life, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_epoch, "", "");
KSYMTAB_FUNC(rxrpc_kernel_new_call_notification, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_max_life, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_min_security_level, "", "");
KSYMTAB_FUNC(rxrpc_kernel_charge_accept, "", "");
KSYMTAB_DATA(key_type_rxrpc, "", "");
KSYMTAB_FUNC(rxrpc_get_server_data_key, "", "");
KSYMTAB_FUNC(rxrpc_get_null_key, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_srtt, "", "");
KSYMTAB_FUNC(rxrpc_kernel_recv_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_send_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_abort_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_tx_length, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_security_keyring, "", "");

SYMBOL_CRC(rxrpc_debug_id, 0x31bf3ca3, "");
SYMBOL_CRC(rxrpc_kernel_begin_call, 0x4b14b687, "");
SYMBOL_CRC(rxrpc_kernel_shutdown_call, 0xbd0d399b, "");
SYMBOL_CRC(rxrpc_kernel_put_call, 0x767ae6f5, "");
SYMBOL_CRC(rxrpc_kernel_check_life, 0xcfcb325f, "");
SYMBOL_CRC(rxrpc_kernel_get_epoch, 0x06f4cfa8, "");
SYMBOL_CRC(rxrpc_kernel_new_call_notification, 0xfd461b8b, "");
SYMBOL_CRC(rxrpc_kernel_set_max_life, 0xbe19b8d9, "");
SYMBOL_CRC(rxrpc_sock_set_min_security_level, 0x59e959a1, "");
SYMBOL_CRC(rxrpc_kernel_charge_accept, 0x634251e8, "");
SYMBOL_CRC(key_type_rxrpc, 0x40d9105e, "");
SYMBOL_CRC(rxrpc_get_server_data_key, 0xecc00b99, "");
SYMBOL_CRC(rxrpc_get_null_key, 0xdbe35201, "");
SYMBOL_CRC(rxrpc_kernel_get_peer, 0xd72c8fa5, "");
SYMBOL_CRC(rxrpc_kernel_get_srtt, 0xed9a6c7e, "");
SYMBOL_CRC(rxrpc_kernel_recv_data, 0x33e0958b, "");
SYMBOL_CRC(rxrpc_kernel_send_data, 0x83fbe1fa, "");
SYMBOL_CRC(rxrpc_kernel_abort_call, 0x26adbdb8, "");
SYMBOL_CRC(rxrpc_kernel_set_tx_length, 0xd1601248, "");
SYMBOL_CRC(rxrpc_sock_set_security_keyring, 0xb1074373, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5122d8a0, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x90164b80, "iov_iter_kvec" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x14e75498, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0xe7f94777, "lock_sock_nested" },
	{ 0xd697f068, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xe8140ab8, "skb_copy_datagram_iter" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x9553220, "udp_sendmsg" },
	{ 0x11089ac7, "_ctype" },
	{ 0x13ab2665, "sk_alloc" },
	{ 0x8d10a62, "bpf_trace_run1" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x56754e9d, "__sock_recv_wifi_status" },
	{ 0x21a2e991, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0x5691b14e, "key_revoke" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4668a810, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0x4a16deb5, "key_validate" },
	{ 0x9fff5dd4, "crypto_alloc_sync_skcipher" },
	{ 0xe84d64ae, "setup_udp_tunnel_sock" },
	{ 0x19697bb7, "proc_remove" },
	{ 0xabc64861, "udp_sock_create6" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd7d4b590, "kthread_create_on_node" },
	{ 0xe0942c61, "bpf_trace_run3" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf4055c03, "ipv4_mtu" },
	{ 0x55254fa2, "trace_event_buffer_reserve" },
	{ 0x93134941, "keyring_search" },
	{ 0x75b7e601, "ip_sock_set_recverr" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x72012f35, "request_key_tag" },
	{ 0x6b4ab9b0, "generic_key_instantiate" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd4b408f6, "sock_no_getname" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7109424, "seq_printf" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0x8a0efb21, "skb_copy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x8bcb3fdf, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x8da81df9, "dst_release" },
	{ 0xe9020b00, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x498a16b5, "sock_release" },
	{ 0x7adc0fbf, "rb_replace_node_rcu" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xab23235b, "seq_puts" },
	{ 0xdba4be1e, "sock_no_ioctl" },
	{ 0x3c461e2e, "_proc_mkdir" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb805d2b3, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xd1bec6ca, "bpf_trace_run7" },
	{ 0x3636f2ff, "ip_icmp_error" },
	{ 0xe197f6b4, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x50944630, "seq_list_start_head_rcu" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf6598edd, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x4ce9ebc3, "skb_to_sgvec" },
	{ 0xb0b8b7e8, "register_pernet_device" },
	{ 0x75c91d69, "skb_condense" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xaf352228, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0xa71ccb69, "kmem_cache_destroy" },
	{ 0x2a9af5d9, "release_sock" },
	{ 0xa175b502, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6cfebdb9, "proc_create_net_single_write" },
	{ 0xd79861de, "crypto_alloc_skcipher" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0x96f7f4ac, "crypto_skcipher_encrypt" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6ea265fe, "key_alloc" },
	{ 0xb1c89cea, "bpf_trace_run4" },
	{ 0xa87083f1, "skb_copy_bits" },
	{ 0x20978fb9, "idr_find" },
	{ 0xe7749017, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xe7251df7, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa4cbedd, "trace_raw_output_prep" },
	{ 0x416fd2b6, "udp_sock_create4" },
	{ 0x64775c4e, "bpf_trace_run6" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xcaccbaf5, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe8e0ed1e, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x65a259b6, "trace_event_printf" },
	{ 0x67b78eb3, "seq_hlist_next_rcu" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0x28558211, "set_user_nice" },
	{ 0xcf2a6966, "up" },
	{ 0xf7773c5a, "udpv6_sendmsg" },
	{ 0xb8312f7, "unregister_key_type" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x5b50ae95, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x64d3c256, "key_type_keyring" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xe8690ce1, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x88480cca, "crypto_skcipher_setkey" },
	{ 0x51dc391f, "ip_route_output_flow" },
	{ 0xd4fbd8af, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xf602919c, "key_instantiate_and_link" },
	{ 0x479aac1, "seq_list_next_rcu" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc84a0a7e, "seq_hlist_start_rcu" },
	{ 0xd91eb551, "register_key_type" },
	{ 0x8c345a04, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7d084bc3, "put_cmsg" },
	{ 0x1a53c964, "wake_up_process" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x7816f98d, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x960e34f8, "register_net_sysctl_sz" },
	{ 0x4d5e3e9d, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xb9ed4742, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xbac3cd5e, "ipv6_icmp_error" },
	{ 0x5d69ce6c, "sock_register" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x23a35f85, "crypto_skcipher_decrypt" },
	{ 0x83fd9682, "make_kuid" },
	{ 0xf8835cef, "ip6_route_output_flags" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xaada9d35, "kmem_cache_alloc" },
	{ 0x9d4b617d, "proto_register" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x30d8be3, "skb_queue_tail" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc2c5802, "work_busy" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x2882f9b7, "__sock_recv_timestamp" },
	{ 0x76b6a9a7, "key_put" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x6435d0f9, "perf_trace_run_bpf_submit" },
	{ 0x7abf16e4, "init_net" },
	{ 0x92836a8b, "skb_pull" },
	{ 0x5968dc6d, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0xa07a37f0, "memchr" },
	{ 0xbb395186, "sock_enable_timestamps" },
	{ 0x80992c1a, "ip_sock_set_mtu_discover" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa7a76fd7, "ip6_mtu" },
	{ 0x6626afca, "down" },
	{ 0x409b1dff, "bpf_trace_run5" },
	{ 0x99a236fd, "sk_free" },
	{ 0x358bdfd9, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x86564197, "kfree_skb_reason" },
	{ 0xdfe5feba, "kernel_sock_shutdown" },
	{ 0xf0a8a6db, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x11dbe881, "kmem_cache_free" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "677359D9B6A4C753DEFD104");
