#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sctp_get_sctp_info, "_gpl", "");
KSYMTAB_FUNC(sctp_for_each_endpoint, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_lookup_process, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_traverse_process, "_gpl", "");
KSYMTAB_FUNC(sctp_do_peeloff, "", "");

SYMBOL_CRC(sctp_get_sctp_info, 0x9c70353d, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0xa1486af0, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0x28a73657, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0xe68a351c, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0x9c930621, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x18460348, "inet_del_offload" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0xc25338ec, "skb_push" },
	{ 0x5f2ad38b, "__ip_queue_xmit" },
	{ 0x11dbe881, "kmem_cache_free" },
	{ 0x782e2cb4, "__sk_mem_reclaim" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x770a5ae9, "fl6_update_dst" },
	{ 0x5a921311, "strncmp" },
	{ 0x9092defd, "proc_doulongvec_minmax" },
	{ 0x5122d8a0, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0xe590dea3, "sk_busy_loop_end" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0xe0bc69b2, "ns_capable" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe7f94777, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xba65be6, "inet6_ioctl" },
	{ 0xe8140ab8, "skb_copy_datagram_iter" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0x13ab2665, "sk_alloc" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0xe2e2ddd6, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xc7f16fc6, "ip6_dst_lookup_flow" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0x21a2e991, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xcbfa8a8a, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x4668a810, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa405c525, "__pskb_pull_tail" },
	{ 0xe84d64ae, "setup_udp_tunnel_sock" },
	{ 0xabc64861, "udp_sock_create6" },
	{ 0x838fc730, "skb_trim" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x22c9342e, "sk_common_release" },
	{ 0xe0942c61, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x39a4f3c3, "inet6_getname" },
	{ 0xbf2d1c4c, "sock_i_ino" },
	{ 0x4dd27e08, "inet6_sock_destruct" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xdbba61df, "ip6_xmit" },
	{ 0xc0118bab, "security_sctp_assoc_request" },
	{ 0xe900dd4d, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf4055c03, "ipv4_mtu" },
	{ 0x9b4d2e7b, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x55254fa2, "trace_event_buffer_reserve" },
	{ 0xd6afab6f, "__skb_checksum" },
	{ 0x807f97d8, "reuseport_alloc" },
	{ 0x1a1b850b, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0xdbfc7e54, "inet6_release" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xfe34573c, "inet_sendmsg" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x93067637, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x6db6831b, "ipv6_dup_options" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3ac3feba, "rhltable_init" },
	{ 0x3558a0d5, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7109424, "seq_printf" },
	{ 0x4e160003, "proc_create_net_single" },
	{ 0x8a0efb21, "skb_copy" },
	{ 0x8bcb3fdf, "skb_clone" },
	{ 0x6697596e, "inet_sk_set_state" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x8da81df9, "dst_release" },
	{ 0xe9020b00, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x498a16b5, "sock_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x527b9470, "inet_recv_error" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0xab23235b, "seq_puts" },
	{ 0x46ae8bf9, "sock_gettstamp" },
	{ 0x7c435d2f, "security_sctp_bind_connect" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0x3c461e2e, "_proc_mkdir" },
	{ 0xf4586a3f, "sk_setup_caps" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd721bd7e, "send_sig" },
	{ 0xb805d2b3, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x1c29405b, "inet6_add_protocol" },
	{ 0x989b1f2b, "from_kuid_munged" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x359b4ff8, "ip_setsockopt" },
	{ 0xcd5835b, "ipv6_flowlabel_exclusive" },
	{ 0xd7c18895, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98e2767d, "ipv6_getsockopt" },
	{ 0x754d539c, "strlen" },
	{ 0x2fa4693c, "reuseport_detach_sock" },
	{ 0xb41b0ab9, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0xe197f6b4, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x136ea7d0, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0x4a48c824, "ipv4_dst_check" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xaf352228, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0xa71ccb69, "kmem_cache_destroy" },
	{ 0x2a9af5d9, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa175b502, "skb_queue_head" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0x199c8d03, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x2cf24c61, "sock_i_uid" },
	{ 0x5c27f0fb, "ip6_dst_check" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x1c5276c1, "inet_addr_type_table" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xa87083f1, "skb_copy_bits" },
	{ 0x85e158d2, "inet_unregister_protosw" },
	{ 0x20978fb9, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x760baa66, "sock_wfree" },
	{ 0x79856fee, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x83389a57, "__fl6_sock_lookup" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc55b3cb0, "ip6_dst_hoplimit" },
	{ 0xe7251df7, "consume_skb" },
	{ 0x2acf6984, "inet6_add_offload" },
	{ 0x4bc980de, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf7b1bf6b, "inet6_bind" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xa4cbedd, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x1fac9299, "l3mdev_fib_table_by_index" },
	{ 0x416fd2b6, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xcaccbaf5, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x1d2825a3, "inet6_unregister_protosw" },
	{ 0x5be63c5b, "crc32c_csum_stub" },
	{ 0xe8e0ed1e, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xffdef330, "skb_segment" },
	{ 0x65a259b6, "trace_event_printf" },
	{ 0x812f3d63, "__ip_dev_find" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xb6cf5d61, "udp_tunnel6_xmit_skb" },
	{ 0xe02740f9, "sock_common_getsockopt" },
	{ 0x808fa1fb, "inet_bind" },
	{ 0xe2cd430d, "sock_create" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x4e9db8f, "fd_install" },
	{ 0x5b50ae95, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf5a20ed2, "__genradix_prealloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xf99e931b, "inet_register_protosw" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0x654a0f16, "__xfrm_policy_check" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x417477ec, "security_sctp_assoc_established" },
	{ 0xb73dccab, "__tracepoint_sk_data_ready" },
	{ 0xe8690ce1, "bpf_trace_run2" },
	{ 0x9b6f27b7, "sock_common_setsockopt" },
	{ 0x19601715, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x51dc391f, "ip_route_output_flow" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0xd4fbd8af, "kmem_cache_create" },
	{ 0x96ecb045, "__sk_mem_schedule" },
	{ 0xe6e20ae8, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xf342df9d, "sock_alloc_file" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x8c345a04, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xfb47a0d9, "sk_error_report" },
	{ 0x46bd3ea6, "register_pernet_subsys" },
	{ 0x7d084bc3, "put_cmsg" },
	{ 0x7816f98d, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x960e34f8, "register_net_sysctl_sz" },
	{ 0x69ad1d8c, "inet_sock_destruct" },
	{ 0x4d5e3e9d, "crypto_destroy_tfm" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x9f0e111d, "sock_kmalloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xccb88de9, "inet_sk_get_local_port_range" },
	{ 0xb840ecc5, "inet6_del_protocol" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1a457542, "inet_getname" },
	{ 0xb9ed4742, "proto_unregister" },
	{ 0xdc984676, "security_sctp_sk_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0xe2254623, "__sock_recv_cmsgs" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xeaeba39b, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x50f91491, "__genradix_ptr" },
	{ 0xbfb535af, "inet_release" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xaada9d35, "kmem_cache_alloc" },
	{ 0x9d4b617d, "proto_register" },
	{ 0x2dd2e47a, "skb_copy_expand" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x60758393, "inet6_compat_ioctl" },
	{ 0xadd139d4, "rfs_needed" },
	{ 0x29604158, "napi_busy_loop" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x979b3401, "inet_ctl_sock_create" },
	{ 0xda11ac31, "inet_ioctl" },
	{ 0xf18ab24, "reuseport_add_sock" },
	{ 0x4d82907c, "reuseport_select_sock" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0x520e97c4, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xc2a8fefc, "sk_filter_trim_cap" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x6435d0f9, "perf_trace_run_bpf_submit" },
	{ 0xf8f37fbe, "fput" },
	{ 0xd1898a35, "inet_accept" },
	{ 0x7abf16e4, "init_net" },
	{ 0x252c98b0, "crypto_shash_setkey" },
	{ 0x92836a8b, "skb_pull" },
	{ 0x22816292, "inet_add_offload" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa7a76fd7, "ip6_mtu" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x52eaf5d9, "__SCK__tp_func_sk_data_ready" },
	{ 0x5fb21918, "inet_add_protocol" },
	{ 0x44a5c5e0, "inet_shutdown" },
	{ 0x99a236fd, "sk_free" },
	{ 0x358bdfd9, "sock_wake_async" },
	{ 0x1b0596e5, "dev_get_by_index_rcu" },
	{ 0x86564197, "kfree_skb_reason" },
	{ 0x954f099c, "idr_preload" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "6FB239CA4A5652F857DFCFF");
