#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(g_token_size, "_gpl", "");
KSYMTAB_FUNC(g_make_token_header, "_gpl", "");
KSYMTAB_FUNC(g_verify_token_header, "_gpl", "");
KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0x5bd154c6, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0x88267fc5, "_gpl");
SYMBOL_CRC(gss_mech_get, 0x79e22e28, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0x7380f9f4, "");
SYMBOL_CRC(gss_mech_put, 0x495ab7ff, "");
SYMBOL_CRC(svcauth_gss_flavor, 0x13db93dc, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0x8799bb60, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9c85931c, "rpc_sleep_on_timeout" },
	{ 0xd8b93f7b, "rpc_create" },
	{ 0x8d10a62, "bpf_trace_run1" },
	{ 0xcb41da94, "rpc_call_sync" },
	{ 0x312215ea, "from_kuid" },
	{ 0xe2e2ddd6, "unregister_pernet_subsys" },
	{ 0x3a0f6c0e, "rpc_queue_upcall" },
	{ 0xe5588cd6, "xdr_encode_word" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x9b36c084, "cache_check" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x9566086b, "svcauth_unix_set_client" },
	{ 0x3c754165, "xdr_buf_subsegment" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0x258f12f6, "make_kgid" },
	{ 0xf2184ca2, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x6687baeb, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x109815da, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xe0942c61, "bpf_trace_run3" },
	{ 0x54307a13, "__put_net" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x78a62303, "rpc_mkpipe_dentry" },
	{ 0x497b72d3, "rpc_mkpipe_data" },
	{ 0x59069927, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x55254fa2, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x732dd326, "groups_free" },
	{ 0xa3c0eef1, "cache_register_net" },
	{ 0xfe49d011, "init_user_ns" },
	{ 0x9c49bb9, "alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x21011916, "xdr_inline_pages" },
	{ 0x991d34a3, "__folio_put" },
	{ 0xffcaaff, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0x101529e2, "rpc_init_wait_queue" },
	{ 0x5f667119, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x88c16b33, "rpc_unlink" },
	{ 0xbfa3740d, "rpcauth_wrap_req_encode" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa23ffc04, "groups_sort" },
	{ 0x989b1f2b, "from_kuid_munged" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x1c1bd15a, "rpcauth_init_cred" },
	{ 0x9803377, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x86ecb95, "cache_destroy_net" },
	{ 0x754d539c, "strlen" },
	{ 0x6833a1c1, "rpc_init_pipe_dir_object" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x9bb01c13, "xdr_stream_pos" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0x4359377a, "sunrpc_cache_update" },
	{ 0x7f0c2040, "xdr_truncate_encode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5b2a5b3, "rpc_destroy_wait_queue" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb51e194c, "auth_domain_put" },
	{ 0xd7ddf291, "rpcauth_unwrap_resp_decode" },
	{ 0x6ca06ba, "rpcauth_register" },
	{ 0xc52a96ac, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe914e41e, "strcpy" },
	{ 0x6f8442c4, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xe3993fb2, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0xd3a39e4e, "xdr_buf_from_iov" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xb1c89cea, "bpf_trace_run4" },
	{ 0x74280c07, "xdr_stream_decode_opaque_auth" },
	{ 0xe7749017, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe9c57853, "xdr_write_pages" },
	{ 0x2bf3e20, "rpc_shutdown_client" },
	{ 0x843a50e8, "auth_domain_find" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xafbe20d7, "xdr_inline_decode" },
	{ 0x96f10d82, "cache_create_net" },
	{ 0xc18d82, "rpcauth_destroy_credcache" },
	{ 0xa4cbedd, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x64775c4e, "bpf_trace_run6" },
	{ 0x1b9f88aa, "rpc_net_ns" },
	{ 0xca0056df, "read_bytes_from_xdr_buf" },
	{ 0xe8e0ed1e, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xbc773afc, "rpc_wake_up" },
	{ 0x65a259b6, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xfbf93362, "sunrpc_cache_lookup_rcu" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x5b50ae95, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0xb76bc482, "__put_devmap_managed_page_refs" },
	{ 0x17a24a7d, "proc_create_data" },
	{ 0x43d22fb9, "groups_alloc" },
	{ 0xe8690ce1, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x775ba4f3, "xdr_truncate_decode" },
	{ 0x9f57b67a, "rpcauth_unregister" },
	{ 0xe2964344, "__wake_up" },
	{ 0xfeb6009e, "__xdr_commit_encode" },
	{ 0x7f5865a6, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4e75cf2e, "rpc_sleep_on" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf57e46b9, "__put_cred" },
	{ 0x46bd3ea6, "register_pernet_subsys" },
	{ 0x7816f98d, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x20ef98fa, "cache_purge" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1bd3f54d, "rpc_release_client" },
	{ 0xe7452146, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xd6df622e, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd762d075, "svc_auth_register" },
	{ 0xdaf30a7c, "xdr_stream_encode_opaque_auth" },
	{ 0x83fd9682, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0xfbee0ace, "rpc_destroy_pipe_data" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5fd94173, "__free_pages" },
	{ 0xeacba6d2, "rpc_pipe_generic_upcall" },
	{ 0x8e90385d, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0xa44a1263, "cache_unregister_net" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x178284e3, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x6435d0f9, "perf_trace_run_bpf_submit" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x34f3b52e, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0x5bfd6fb, "rpcauth_init_credcache" },
	{ 0x19f50364, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0xcb826b81, "xdr_init_decode" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5122d8a0, "trace_event_reg" },
	{ 0x326a991a, "rpc_call_null" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "D3213DC345F5419BC550B8B");
