#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_vx_check_reg_bit, "", "");
KSYMTAB_FUNC(snd_vx_load_boot_image, "", "");
KSYMTAB_FUNC(snd_vx_threaded_irq_handler, "", "");
KSYMTAB_FUNC(snd_vx_irq_handler, "", "");
KSYMTAB_FUNC(snd_vx_dsp_boot, "", "");
KSYMTAB_FUNC(snd_vx_dsp_load, "", "");
KSYMTAB_FUNC(snd_vx_suspend, "", "");
KSYMTAB_FUNC(snd_vx_resume, "", "");
KSYMTAB_FUNC(snd_vx_create, "", "");
KSYMTAB_FUNC(snd_vx_setup_firmware, "", "");
KSYMTAB_FUNC(snd_vx_free_firmware, "", "");

SYMBOL_CRC(snd_vx_check_reg_bit, 0xdae3c891, "");
SYMBOL_CRC(snd_vx_load_boot_image, 0x96b9ce10, "");
SYMBOL_CRC(snd_vx_threaded_irq_handler, 0x226138b0, "");
SYMBOL_CRC(snd_vx_irq_handler, 0xf1f04d23, "");
SYMBOL_CRC(snd_vx_dsp_boot, 0xdf91f9bc, "");
SYMBOL_CRC(snd_vx_dsp_load, 0x77a7e2b7, "");
SYMBOL_CRC(snd_vx_suspend, 0x600a3bd1, "");
SYMBOL_CRC(snd_vx_resume, 0xb1d22409, "");
SYMBOL_CRC(snd_vx_create, 0xe27e1d28, "");
SYMBOL_CRC(snd_vx_setup_firmware, 0xb2483bf0, "");
SYMBOL_CRC(snd_vx_free_firmware, 0xeb4b0d84, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xe0310f27, "snd_ctl_add" },
	{ 0xc3a0a9b7, "snd_pcm_new" },
	{ 0xd85cb23a, "snd_card_register" },
	{ 0xe8038cb6, "request_firmware" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd9e5f971, "snd_card_rw_proc_new" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0x3796bdcc, "snd_pcm_format_little_endian" },
	{ 0xe2964344, "__wake_up" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa4d2e159, "snd_ctl_new1" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9a510220, "__devres_alloc_node" },
	{ 0x7d65ce58, "snd_ctl_boolean_stereo_info" },
	{ 0x4ca229f, "snd_pcm_set_ops" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x11974cef, "snd_pcm_set_managed_buffer_all" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x7109424, "seq_printf" },
	{ 0xc25dbfae, "snd_pcm_period_elapsed" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x787eb95a, "snd_pcm_hw_constraint_step" },
	{ 0x754d539c, "strlen" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-pcm");


MODULE_INFO(srcversion, "6114A225541791D3BFCBEDD");
