#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_hdac_ext_bus_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_device_remove, "_gpl", "");
KSYMTAB_FUNC(snd_hda_ext_driver_register, "_gpl", "");
KSYMTAB_FUNC(snd_hda_ext_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_ppcap_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_ppcap_int_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_get_ml_capabilities, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_link_free_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_get_hlink_by_addr, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_get_hlink_by_name, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_up_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_down_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_set_stream_id, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_clear_stream_id, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_get, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_put, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_init_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_free_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_decouple_locked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_decouple, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_start, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_clear, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_setup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_assign, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_release, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_cstream_assign, "_gpl", "");

SYMBOL_CRC(snd_hdac_ext_bus_init, 0x0dbada6c, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_exit, 0x16e60bdb, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_device_remove, 0x6718a92f, "_gpl");
SYMBOL_CRC(snd_hda_ext_driver_register, 0xa30e7de8, "_gpl");
SYMBOL_CRC(snd_hda_ext_driver_unregister, 0x174b4bdc, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_ppcap_enable, 0xb438387a, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_ppcap_int_enable, 0x2d593276, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_ml_capabilities, 0xe14c96ca, "_gpl");
SYMBOL_CRC(snd_hdac_ext_link_free_all, 0xba1c9c3b, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_hlink_by_addr, 0x25dce98f, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_hlink_by_name, 0xc23ed84c, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_up, 0x0c91a282, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_down, 0x5553132f, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_up_all, 0x7a5cc0e6, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_down_all, 0x819dadae, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_set_stream_id, 0x57ee2510, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_clear_stream_id, 0xdaadb62f, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_get, 0x78c5033a, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_put, 0xde3bb83d, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power, 0xb0168769, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_init_all, 0x8521b05a, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_free_all, 0x0228672a, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_decouple_locked, 0x4cafb036, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_decouple, 0xaecf4398, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_start, 0x4b50a68e, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_clear, 0xf97b769e, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_reset, 0xdcc957f2, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_setup, 0xa190f693, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_assign, 0xa7a03eba, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_release, 0xe9d7be72, "_gpl");
SYMBOL_CRC(snd_hdac_ext_cstream_assign, 0x7630939d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x5603c74d, "snd_hdac_bus_link_power" },
	{ 0x37a0cba, "kfree" },
	{ 0x5da8aca0, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd7f1b8f0, "snd_hdac_bus_exit" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xef39ce92, "put_device" },
	{ 0xa91dcbfb, "snd_hdac_bus_init" },
	{ 0xa3c4666d, "snd_hdac_stream_init" },
	{ 0xb853f55d, "_dev_err" },
	{ 0x93111ada, "snd_hdac_device_unregister" },
	{ 0x4870dbe6, "snd_hdac_stream_assign" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xad3d97e3, "driver_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x2df152aa, "snd_hdac_bus_stop_cmd_io" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfb3ff2d9, "snd_hdac_bus_init_cmd_io" },
	{ 0x85411e4c, "snd_hda_bus_type" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x3298e05b, "driver_register" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0xb68a8083, "snd_hdac_stream_release" },
	{ 0x10ecb43d, "snd_hdac_stream_release_locked" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-core");


MODULE_INFO(srcversion, "C6BD06A3B33D46F6573CECD");
