#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hdac_get_device_id, "_gpl", "");
KSYMTAB_DATA(snd_hda_bus_type, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exec_verb_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_link_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_link_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_register, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_set_chip_name, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_modalias, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_read, "_gpl", "");
KSYMTAB_FUNC(_snd_hdac_read_parm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_read_parm_uncached, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_override_parm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_sub_nodes, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_refresh_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_connections, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_up_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_down_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_calc_stream_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_query_supported_pcm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_is_supported_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_read, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_write, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_check_power_state, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_sync_power_state, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_add_vendor_verb, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_write_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_read_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_update_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_update_raw_once, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_sync, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init_cmd_io, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_stop_cmd_io, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_send_cmd, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_update_rirb, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_get_response, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_parse_capabilities, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_enter_link_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exit_link_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_reset_link, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_stop_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_handle_stream_irq, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_alloc_stream_pages, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_free_stream_pages, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_link_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_stream_stripe_ctl, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_start, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_stop, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stop_streams, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stop_streams_and_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_setup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_assign, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_release_locked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_release, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_stream, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_setup_periods, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_timecounter_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_sync_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_sync, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_spbcap_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_spib, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_get_spbmaxfifo, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_drsm_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_wait_drsm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_dpibr, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_lpib, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_prepare, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_array_new, "_gpl", "");
KSYMTAB_FUNC(snd_array_free, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_print_channel_allocation, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_chmap_to_spk_mask, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_spk_to_chmap, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_setup_channel_mapping, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_active_channels, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_ch_alloc_from_ca, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_channel_allocation, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_register_chmap_ops, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_add_chmap_ctls, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_set_codec_wakeup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_display_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_sync_audio_rate, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_get_eld, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_register_notifier, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_i915_set_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_i915_init, "_gpl", "");

SYMBOL_CRC(hdac_get_device_id, 0x2ce22d8c, "_gpl");
SYMBOL_CRC(snd_hda_bus_type, 0x85411e4c, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init, 0xa91dcbfb, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit, 0xd7f1b8f0, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exec_verb_unlocked, 0xefa5c110, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_up, 0xa428e7b1, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_down, 0x99f4275c, "_gpl");
SYMBOL_CRC(snd_hdac_device_init, 0x46eb2f87, "_gpl");
SYMBOL_CRC(snd_hdac_device_exit, 0xfe34cb32, "_gpl");
SYMBOL_CRC(snd_hdac_device_register, 0x6ccf3f60, "_gpl");
SYMBOL_CRC(snd_hdac_device_unregister, 0x93111ada, "_gpl");
SYMBOL_CRC(snd_hdac_device_set_chip_name, 0x5c95e16b, "_gpl");
SYMBOL_CRC(snd_hdac_codec_modalias, 0xf45db36d, "_gpl");
SYMBOL_CRC(snd_hdac_read, 0x8396f988, "_gpl");
SYMBOL_CRC(_snd_hdac_read_parm, 0xc806d1d6, "_gpl");
SYMBOL_CRC(snd_hdac_read_parm_uncached, 0xbc1a3dc5, "_gpl");
SYMBOL_CRC(snd_hdac_override_parm, 0x58cd71fb, "_gpl");
SYMBOL_CRC(snd_hdac_get_sub_nodes, 0x57148cb1, "_gpl");
SYMBOL_CRC(snd_hdac_refresh_widgets, 0x5f9803bf, "_gpl");
SYMBOL_CRC(snd_hdac_get_connections, 0x7f04441b, "_gpl");
SYMBOL_CRC(snd_hdac_power_up, 0x6b861e90, "_gpl");
SYMBOL_CRC(snd_hdac_power_down, 0x05e39b5b, "_gpl");
SYMBOL_CRC(snd_hdac_power_up_pm, 0xee959a53, "_gpl");
SYMBOL_CRC(snd_hdac_power_down_pm, 0x08431a45, "_gpl");
SYMBOL_CRC(snd_hdac_calc_stream_format, 0x5c07cb49, "_gpl");
SYMBOL_CRC(snd_hdac_query_supported_pcm, 0x33c05b8a, "_gpl");
SYMBOL_CRC(snd_hdac_is_supported_format, 0xb4307244, "_gpl");
SYMBOL_CRC(snd_hdac_codec_read, 0xe2130dad, "_gpl");
SYMBOL_CRC(snd_hdac_codec_write, 0x030e62ab, "_gpl");
SYMBOL_CRC(snd_hdac_check_power_state, 0x1dc7aec4, "_gpl");
SYMBOL_CRC(snd_hdac_sync_power_state, 0x7d4895bb, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_init, 0xda2b29c4, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_exit, 0xab617666, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_add_vendor_verb, 0x7dae3ff7, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_write_raw, 0x23bc4b65, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_read_raw, 0xc0e2ba9f, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw, 0x69ea55ed, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw_once, 0x84284002, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_sync, 0x8729729f, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_cmd_io, 0xfb3ff2d9, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_cmd_io, 0x2df152aa, "_gpl");
SYMBOL_CRC(snd_hdac_bus_send_cmd, 0x57df93e3, "_gpl");
SYMBOL_CRC(snd_hdac_bus_update_rirb, 0x6105fecb, "_gpl");
SYMBOL_CRC(snd_hdac_bus_get_response, 0xd00483c9, "_gpl");
SYMBOL_CRC(snd_hdac_bus_parse_capabilities, 0x8a293cdc, "_gpl");
SYMBOL_CRC(snd_hdac_bus_enter_link_reset, 0x85369a0d, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit_link_reset, 0x7c0fe246, "_gpl");
SYMBOL_CRC(snd_hdac_bus_reset_link, 0x8b95ea2b, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_chip, 0x8dbf26e2, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_chip, 0x512277fd, "_gpl");
SYMBOL_CRC(snd_hdac_bus_handle_stream_irq, 0x672023a1, "_gpl");
SYMBOL_CRC(snd_hdac_bus_alloc_stream_pages, 0x1f5e3d6b, "_gpl");
SYMBOL_CRC(snd_hdac_bus_free_stream_pages, 0x05842a22, "_gpl");
SYMBOL_CRC(snd_hdac_bus_link_power, 0x5603c74d, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream_stripe_ctl, 0x6a601e0f, "_gpl");
SYMBOL_CRC(snd_hdac_stream_init, 0xa3c4666d, "_gpl");
SYMBOL_CRC(snd_hdac_stream_start, 0xa833458b, "_gpl");
SYMBOL_CRC(snd_hdac_stream_stop, 0x251c0670, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams, 0xd9da7688, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams_and_chip, 0x14211900, "_gpl");
SYMBOL_CRC(snd_hdac_stream_reset, 0xc03dc569, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup, 0xc618d7b8, "_gpl");
SYMBOL_CRC(snd_hdac_stream_cleanup, 0x1fbf97a6, "_gpl");
SYMBOL_CRC(snd_hdac_stream_assign, 0x4870dbe6, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release_locked, 0x10ecb43d, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release, 0xb68a8083, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream, 0x3ba74d2c, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup_periods, 0x568c8ec7, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_params, 0x0c2357ee, "_gpl");
SYMBOL_CRC(snd_hdac_stream_timecounter_init, 0x4169f4a2, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync_trigger, 0xd02bd92c, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync, 0x44d71d47, "_gpl");
SYMBOL_CRC(snd_hdac_stream_spbcap_enable, 0xec11af04, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_spib, 0x5491a9fe, "_gpl");
SYMBOL_CRC(snd_hdac_stream_get_spbmaxfifo, 0xbc770ee3, "_gpl");
SYMBOL_CRC(snd_hdac_stream_drsm_enable, 0x58f46fc9, "_gpl");
SYMBOL_CRC(snd_hdac_stream_wait_drsm, 0x6896d9be, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_dpibr, 0xbdaeee34, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_lpib, 0xae3552ce, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_prepare, 0x345122f5, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_trigger, 0x67af9784, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_cleanup, 0xd0e84ccb, "_gpl");
SYMBOL_CRC(snd_array_new, 0xbe7dd7dc, "_gpl");
SYMBOL_CRC(snd_array_free, 0x9a8e1877, "_gpl");
SYMBOL_CRC(snd_hdac_print_channel_allocation, 0xe4e07754, "_gpl");
SYMBOL_CRC(snd_hdac_chmap_to_spk_mask, 0x77c754a8, "_gpl");
SYMBOL_CRC(snd_hdac_spk_to_chmap, 0x67bfe791, "_gpl");
SYMBOL_CRC(snd_hdac_setup_channel_mapping, 0x9984ba9a, "_gpl");
SYMBOL_CRC(snd_hdac_get_active_channels, 0x3bd544c2, "_gpl");
SYMBOL_CRC(snd_hdac_get_ch_alloc_from_ca, 0x4c7ec4b6, "_gpl");
SYMBOL_CRC(snd_hdac_channel_allocation, 0x0b232e22, "_gpl");
SYMBOL_CRC(snd_hdac_register_chmap_ops, 0x216d0e13, "_gpl");
SYMBOL_CRC(snd_hdac_add_chmap_ctls, 0x537f43d4, "_gpl");
SYMBOL_CRC(snd_hdac_set_codec_wakeup, 0xe8388f35, "_gpl");
SYMBOL_CRC(snd_hdac_display_power, 0x1e995770, "_gpl");
SYMBOL_CRC(snd_hdac_sync_audio_rate, 0x02271119, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_get_eld, 0x33f0e034, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_register_notifier, 0x5e89c194, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_init, 0xfaa538e9, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_exit, 0x57304ae5, "_gpl");
SYMBOL_CRC(snd_hdac_i915_set_bclk, 0xe3e52b00, "_gpl");
SYMBOL_CRC(snd_hdac_i915_init, 0x71bd4371, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x7816f98d, "trace_event_buffer_commit" },
	{ 0x8280d732, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb512f731, "__pm_runtime_set_status" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xef39ce92, "put_device" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x591b192f, "_dev_info" },
	{ 0x8e90385d, "module_put" },
	{ 0x721503e1, "component_match_add_typed" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x6435d0f9, "perf_trace_run_bpf_submit" },
	{ 0xf4b0bda5, "bus_unregister" },
	{ 0xb853f55d, "_dev_err" },
	{ 0x7e49736d, "kobject_add" },
	{ 0x150c287d, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x9a510220, "__devres_alloc_node" },
	{ 0x5122d8a0, "trace_event_reg" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x81767c57, "sysfs_create_group" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9c4a4d1, "__regmap_init" },
	{ 0x2f38ab01, "device_del" },
	{ 0xfb578fc5, "memset" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xf47937a4, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x25483cd5, "sysfs_remove_group" },
	{ 0xe0942c61, "bpf_trace_run3" },
	{ 0x7ece6750, "component_master_del" },
	{ 0x47cc6910, "regmap_read" },
	{ 0x55254fa2, "trace_event_buffer_reserve" },
	{ 0xa0c04ee5, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xd9eaeddc, "component_bind_all" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1efa7f5b, "kobject_uevent" },
	{ 0x62bb09bf, "clocks_calc_mult_shift" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xdf77bcee, "pci_match_id" },
	{ 0xb5242001, "devres_find" },
	{ 0xd17d1747, "regmap_update_bits_base" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x23b0d948, "__pm_runtime_suspend" },
	{ 0xe5ee686e, "regmap_exit" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x74c3f0b3, "component_unbind_all" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2d590fb7, "pci_bus_type" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x55252989, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x2f0c17b, "kobject_put" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x6f8442c4, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xd4b65998, "regcache_sync" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x572253a8, "regmap_write" },
	{ 0x510ea82c, "snd_dma_alloc_dir_pages" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x19160e4d, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7e20bd92, "component_master_add_with_match" },
	{ 0xa4cbedd, "trace_raw_output_prep" },
	{ 0xb872eea6, "snd_pcm_add_chmap_ctls" },
	{ 0x57191756, "pci_dev_put" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe8e0ed1e, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x39ebaee0, "pci_get_device" },
	{ 0x65a259b6, "trace_event_printf" },
	{ 0x7ac24442, "devres_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x339a3be1, "pm_runtime_get_if_active" },
	{ 0x52348b57, "kobject_init" },
	{ 0xd428971f, "device_initialize" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x5b50ae95, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0xf86654ae, "regcache_reg_cached" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe8690ce1, "bpf_trace_run2" },
	{ 0xe2964344, "__wake_up" },
	{ 0x671bf3b4, "snd_sgbuf_get_addr" },
	{ 0x5da8aca0, "__dynamic_dev_dbg" },
	{ 0x9b52413a, "snd_sgbuf_get_chunk_size" },
	{ 0xef8591fd, "devres_add" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm");


MODULE_INFO(srcversion, "FC2DD5974E7B474BC8FFADA");
