#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_hda_gen_spec_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_kctl, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_path_idx, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_path_from_idx, "_gpl", "");
KSYMTAB_FUNC(snd_hda_add_new_path, "_gpl", "");
KSYMTAB_FUNC(snd_hda_activate_path, "_gpl", "");
KSYMTAB_DATA(hda_main_out_badness, "_gpl", "");
KSYMTAB_DATA(hda_extra_out_badness, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_mute_led_cdev, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_micmute_led_cdev, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_fix_pin_power, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_update_outputs, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_hp_automute, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_line_automute, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_mic_autoswitch, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_path_power_filter, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_stream_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_parse_auto_config, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_build_controls, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_build_pcms, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_free, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_check_power_status, "_gpl", "");

SYMBOL_CRC(snd_hda_gen_spec_init, 0x49c55289, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_kctl, 0xb6f9588d, "_gpl");
SYMBOL_CRC(snd_hda_get_path_idx, 0x101a8f6d, "_gpl");
SYMBOL_CRC(snd_hda_get_path_from_idx, 0xa90fe8c7, "_gpl");
SYMBOL_CRC(snd_hda_add_new_path, 0x81a1d64e, "_gpl");
SYMBOL_CRC(snd_hda_activate_path, 0x332729b9, "_gpl");
SYMBOL_CRC(hda_main_out_badness, 0x76dc6871, "_gpl");
SYMBOL_CRC(hda_extra_out_badness, 0x871a6e44, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_mute_led_cdev, 0x035ee3d5, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_micmute_led_cdev, 0x35baf6e8, "_gpl");
SYMBOL_CRC(snd_hda_gen_fix_pin_power, 0x23848079, "_gpl");
SYMBOL_CRC(snd_hda_gen_update_outputs, 0x0444a0bc, "_gpl");
SYMBOL_CRC(snd_hda_gen_hp_automute, 0xbad54dc8, "_gpl");
SYMBOL_CRC(snd_hda_gen_line_automute, 0x2bbc2f3c, "_gpl");
SYMBOL_CRC(snd_hda_gen_mic_autoswitch, 0x476495eb, "_gpl");
SYMBOL_CRC(snd_hda_gen_path_power_filter, 0x4d633dac, "_gpl");
SYMBOL_CRC(snd_hda_gen_stream_pm, 0x59b089f5, "_gpl");
SYMBOL_CRC(snd_hda_gen_parse_auto_config, 0x3bf345a5, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_controls, 0x694d777b, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_pcms, 0x54647837, "_gpl");
SYMBOL_CRC(snd_hda_gen_init, 0x2a66ae98, "_gpl");
SYMBOL_CRC(snd_hda_gen_free, 0x93e8ba92, "_gpl");
SYMBOL_CRC(snd_hda_gen_check_power_status, 0x9bca7d44, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8729729f, "snd_hdac_regmap_sync" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0xfaf598c6, "snd_ctl_request_layer" },
	{ 0x876ad532, "snd_hda_apply_verbs" },
	{ 0xee4dabaa, "snd_hda_codec_amp_update" },
	{ 0xa5afcf09, "snd_hda_add_new_ctls" },
	{ 0x884f3b92, "snd_hda_get_connections" },
	{ 0x6ce573c3, "snd_hda_codec_amp_init_stereo" },
	{ 0x6462cab1, "snd_hda_set_vmaster_tlv" },
	{ 0xc2c36cbf, "hda_get_autocfg_input_label" },
	{ 0xeac738e1, "query_amp_caps" },
	{ 0xfc6ec21f, "devm_kmalloc" },
	{ 0x1c9f6392, "snd_hda_mixer_amp_volume_info" },
	{ 0xdb52b63e, "snd_hda_jack_detect_state_mst" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6caac9a3, "snd_hda_codec_setup_stream" },
	{ 0x3a9e4571, "snd_hda_mixer_amp_switch_info" },
	{ 0x9a76a5a6, "hda_codec_driver_unregister" },
	{ 0x3c93d1bc, "snd_hda_codec_get_pincfg" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x30e62ab, "snd_hdac_codec_write" },
	{ 0x96848186, "scnprintf" },
	{ 0x1764d2c, "snd_hda_jack_tbl_get_mst" },
	{ 0xf7d04477, "snd_hda_multi_out_dig_open" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b2083e1, "snd_hda_add_vmaster_hook" },
	{ 0x37a0cba, "kfree" },
	{ 0x65709836, "led_classdev_unregister" },
	{ 0xfc5a02ed, "snd_hda_codec_pcm_new" },
	{ 0x3245ddbb, "__snd_hda_codec_cleanup_stream" },
	{ 0x3560831b, "snd_ctl_sync_vmaster" },
	{ 0x5da8aca0, "__dynamic_dev_dbg" },
	{ 0x80dca0ac, "snd_hda_multi_out_dig_cleanup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6433dcd, "snd_hda_get_pin_label" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5787efd5, "snd_hda_add_imux_item" },
	{ 0x7383bed6, "snd_hda_correct_pin_ctl" },
	{ 0xc806d1d6, "_snd_hdac_read_parm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x24cf328c, "snd_hda_create_dig_out_ctls" },
	{ 0xf16fc089, "snd_hda_multi_out_dig_close" },
	{ 0xcad98b5d, "snd_hda_get_conn_index" },
	{ 0xc4f0fbab, "snd_hda_multi_out_analog_open" },
	{ 0x6bf1eb3c, "snd_hda_get_bool_hint" },
	{ 0x3e21ebc2, "snd_hda_create_spdif_share_sw" },
	{ 0x233489ff, "snd_hda_find_mixer_ctl" },
	{ 0x854b5640, "snd_hda_get_int_hint" },
	{ 0xb853f55d, "_dev_err" },
	{ 0x4f36282, "__hda_codec_driver_register" },
	{ 0xb7c0f443, "sort" },
	{ 0x34cab4c3, "snd_hda_parse_pin_defcfg" },
	{ 0xe634117, "snd_hda_codec_amp_init" },
	{ 0x37ff6a8e, "snd_hda_create_spdif_in_ctls" },
	{ 0x61db0abb, "is_jack_detectable" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x490db77a, "snd_hda_multi_out_analog_cleanup" },
	{ 0xd7ed44c9, "snd_hda_multi_out_analog_prepare" },
	{ 0x7d65ce58, "snd_ctl_boolean_stereo_info" },
	{ 0x5390fe98, "snd_hda_get_conn_list" },
	{ 0xe73a7129, "snd_hda_mixer_amp_switch_get" },
	{ 0xf2a34d04, "snd_hda_codec_set_pin_target" },
	{ 0x8829cc30, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x1f288ff2, "snd_hda_attach_beep_device" },
	{ 0xc0c5051b, "_snd_hda_set_pin_ctl" },
	{ 0x11089ac7, "_ctype" },
	{ 0x23bc4b65, "snd_hdac_regmap_write_raw" },
	{ 0xc13b57ca, "snd_hda_mixer_amp_volume_get" },
	{ 0x59612e7b, "snd_hda_jack_detect_enable_callback_mst" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0x30f97263, "snd_hda_check_amp_caps" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xce593c22, "ledtrig_audio_get" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8305f214, "snd_hda_mixer_amp_switch_put" },
	{ 0xe118de5d, "snd_pcm_2_1_chmaps" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0xe1413fd8, "snd_hda_jack_unsol_event" },
	{ 0xa4e8a9ee, "snd_hda_check_amp_list_power" },
	{ 0x676f5ac, "snd_hda_get_input_pin_attr" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x33a8cadc, "snd_hda_mixer_amp_tlv" },
	{ 0x2e523b29, "snd_hda_jack_add_kctls" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbe7dd7dc, "snd_array_new" },
	{ 0xd4cfbcf1, "__snd_hda_add_vmaster" },
	{ 0xe1963ed3, "snd_hda_codec_amp_stereo" },
	{ 0x279e085f, "snd_hda_sync_vmaster_hook" },
	{ 0xe8edcb7c, "snd_hda_apply_fixup" },
	{ 0x156204bc, "snd_hda_enum_helper_info" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0xc1a42cec, "snd_hda_get_default_vref" },
	{ 0x9a8e1877, "snd_array_free" },
	{ 0x754d539c, "strlen" },
	{ 0xe2130dad, "snd_hdac_codec_read" },
	{ 0xa504d4f7, "snd_hda_mixer_amp_volume_put" },
	{ 0xf8dc35ac, "snd_hda_input_mux_info" },
	{ 0x5be46127, "snd_hda_multi_out_dig_prepare" },
	{ 0x349cba85, "strchr" },
	{ 0x67534519, "snd_hda_codec_get_pin_target" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-core,snd,snd-hda-codec,ledtrig-audio");

MODULE_ALIAS("hdaudio:v00000201r*a01*");

MODULE_INFO(srcversion, "8B32622CA9DD77CAC8B4239");
