#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2642b599, "snd_hda_pick_fixup" },
	{ 0xe8edcb7c, "snd_hda_apply_fixup" },
	{ 0x9a2f83fd, "snd_hda_add_verbs" },
	{ 0x3bf345a5, "snd_hda_gen_parse_auto_config" },
	{ 0x156204bc, "snd_hda_enum_helper_info" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0xe2130dad, "snd_hdac_codec_read" },
	{ 0xa504d4f7, "snd_hda_mixer_amp_volume_put" },
	{ 0x93e8ba92, "snd_hda_gen_free" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8729729f, "snd_hdac_regmap_sync" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3422f503, "snd_hda_shutup_pins" },
	{ 0x884f3b92, "snd_hda_get_connections" },
	{ 0x694d777b, "snd_hda_gen_build_controls" },
	{ 0x1c9f6392, "snd_hda_mixer_amp_volume_info" },
	{ 0xc0e2ba9f, "snd_hdac_regmap_read_raw" },
	{ 0x49c55289, "snd_hda_gen_spec_init" },
	{ 0x3a9e4571, "snd_hda_mixer_amp_switch_info" },
	{ 0x9a76a5a6, "hda_codec_driver_unregister" },
	{ 0x3c93d1bc, "snd_hda_codec_get_pincfg" },
	{ 0x30e62ab, "snd_hdac_codec_write" },
	{ 0x67717d4b, "snd_hda_mixer_amp_switch_get_beep" },
	{ 0xb6f9588d, "snd_hda_gen_add_kctl" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xef8a14a7, "snd_hda_mixer_amp_switch_put_beep" },
	{ 0xc806d1d6, "_snd_hdac_read_parm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6bf1eb3c, "snd_hda_get_bool_hint" },
	{ 0xf84c4365, "snd_ctl_boolean_mono_info" },
	{ 0xe39add9b, "snd_hda_override_amp_caps" },
	{ 0x4f36282, "__hda_codec_driver_register" },
	{ 0x34cab4c3, "snd_hda_parse_pin_defcfg" },
	{ 0x2a66ae98, "snd_hda_gen_init" },
	{ 0xe73a7129, "snd_hda_mixer_amp_switch_get" },
	{ 0x2d8f30fc, "snd_hda_codec_set_name" },
	{ 0xc13b57ca, "snd_hda_mixer_amp_volume_get" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8305f214, "snd_hda_mixer_amp_switch_put" },
	{ 0x66a62a2b, "snd_hda_codec_set_pincfg" },
	{ 0xe1413fd8, "snd_hda_jack_unsol_event" },
	{ 0x6a23cdd7, "snd_hda_override_conn_list" },
	{ 0xa4e8a9ee, "snd_hda_check_amp_list_power" },
	{ 0x54647837, "snd_hda_gen_build_pcms" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x33a8cadc, "snd_hda_mixer_amp_tlv" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec,snd-hda-codec-generic,snd-hda-core,snd");

MODULE_ALIAS("hdaudio:v11061708r*a01*");
MODULE_ALIAS("hdaudio:v11061709r*a01*");
MODULE_ALIAS("hdaudio:v1106170Ar*a01*");
MODULE_ALIAS("hdaudio:v1106170Br*a01*");
MODULE_ALIAS("hdaudio:v1106E710r*a01*");
MODULE_ALIAS("hdaudio:v1106E711r*a01*");
MODULE_ALIAS("hdaudio:v1106E712r*a01*");
MODULE_ALIAS("hdaudio:v1106E713r*a01*");
MODULE_ALIAS("hdaudio:v1106E714r*a01*");
MODULE_ALIAS("hdaudio:v1106E715r*a01*");
MODULE_ALIAS("hdaudio:v1106E716r*a01*");
MODULE_ALIAS("hdaudio:v1106E717r*a01*");
MODULE_ALIAS("hdaudio:v1106E720r*a01*");
MODULE_ALIAS("hdaudio:v1106E721r*a01*");
MODULE_ALIAS("hdaudio:v1106E722r*a01*");
MODULE_ALIAS("hdaudio:v1106E723r*a01*");
MODULE_ALIAS("hdaudio:v1106E724r*a01*");
MODULE_ALIAS("hdaudio:v1106E725r*a01*");
MODULE_ALIAS("hdaudio:v1106E726r*a01*");
MODULE_ALIAS("hdaudio:v1106E727r*a01*");
MODULE_ALIAS("hdaudio:v11060397r*a01*");
MODULE_ALIAS("hdaudio:v11061397r*a01*");
MODULE_ALIAS("hdaudio:v11062397r*a01*");
MODULE_ALIAS("hdaudio:v11063397r*a01*");
MODULE_ALIAS("hdaudio:v11064397r*a01*");
MODULE_ALIAS("hdaudio:v11065397r*a01*");
MODULE_ALIAS("hdaudio:v11066397r*a01*");
MODULE_ALIAS("hdaudio:v11067397r*a01*");
MODULE_ALIAS("hdaudio:v11060398r*a01*");
MODULE_ALIAS("hdaudio:v11061398r*a01*");
MODULE_ALIAS("hdaudio:v11062398r*a01*");
MODULE_ALIAS("hdaudio:v11063398r*a01*");
MODULE_ALIAS("hdaudio:v11064398r*a01*");
MODULE_ALIAS("hdaudio:v11065398r*a01*");
MODULE_ALIAS("hdaudio:v11066398r*a01*");
MODULE_ALIAS("hdaudio:v11067398r*a01*");
MODULE_ALIAS("hdaudio:v11060428r*a01*");
MODULE_ALIAS("hdaudio:v11064428r*a01*");
MODULE_ALIAS("hdaudio:v11060441r*a01*");
MODULE_ALIAS("hdaudio:v11064441r*a01*");
MODULE_ALIAS("hdaudio:v11060433r*a01*");
MODULE_ALIAS("hdaudio:v1106A721r*a01*");
MODULE_ALIAS("hdaudio:v11060438r*a01*");
MODULE_ALIAS("hdaudio:v11064438r*a01*");
MODULE_ALIAS("hdaudio:v11060448r*a01*");
MODULE_ALIAS("hdaudio:v11060440r*a01*");
MODULE_ALIAS("hdaudio:v11060446r*a01*");
MODULE_ALIAS("hdaudio:v11068446r*a01*");
MODULE_ALIAS("hdaudio:v11064760r*a01*");
MODULE_ALIAS("hdaudio:v11064761r*a01*");
MODULE_ALIAS("hdaudio:v11064762r*a01*");

MODULE_INFO(srcversion, "558C15B795F5F4841E8D15D");
