#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l41_hda_probe, "_gpl", "SND_HDA_SCODEC_CS35L41");
KSYMTAB_FUNC(cs35l41_hda_remove, "_gpl", "SND_HDA_SCODEC_CS35L41");
KSYMTAB_DATA(cs35l41_hda_pm_ops, "_gpl", "SND_HDA_SCODEC_CS35L41");

SYMBOL_CRC(cs35l41_hda_probe, 0xeb008d4d, "_gpl");
SYMBOL_CRC(cs35l41_hda_remove, 0xd03effd1, "_gpl");
SYMBOL_CRC(cs35l41_hda_pm_ops, 0x3e95423f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xef39ce92, "put_device" },
	{ 0x631da867, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0xc1421932, "fwnode_gpiod_get_index" },
	{ 0xdbe919e0, "device_property_read_u32_array" },
	{ 0x591b192f, "_dev_info" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x51085e3, "lock_system_sleep" },
	{ 0x893c5ddb, "unlock_system_sleep" },
	{ 0xf84c4365, "snd_ctl_boolean_mono_info" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xfddeb056, "efi" },
	{ 0xe87b428c, "devm_acpi_dev_add_driver_gpios" },
	{ 0x1ff88043, "devm_kfree" },
	{ 0xb853f55d, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8dca1451, "cs_dsp_halo_init" },
	{ 0x3fa06257, "cs_dsp_power_down" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x6a9cd9b6, "device_link_remove" },
	{ 0x39e0a90f, "cs35l41_test_key_unlock" },
	{ 0x5c201b6f, "hda_cs_dsp_add_controls" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x249f68c0, "cs35l41_test_key_lock" },
	{ 0x362c83a5, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0x389e86c7, "cs35l41_safe_reset" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0xab6bf57e, "acpi_get_first_physical_node" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa88d7821, "cs_dsp_power_up" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xc98c4415, "hda_cs_dsp_write_ctl" },
	{ 0x94138dfb, "cs35l41_otp_unpack" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x18af0d7f, "devm_kasprintf" },
	{ 0xf26e65fb, "devm_regmap_add_irq_chip" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc8cecad2, "cs35l41_exit_hibernate" },
	{ 0x642a71b6, "spi_setup" },
	{ 0x999e8297, "vfree" },
	{ 0x47cc6910, "regmap_read" },
	{ 0xb763b7a, "cs_dsp_run" },
	{ 0xa0c04ee5, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe6caf25c, "cs35l41_set_cspl_mbox_cmd" },
	{ 0x93067637, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0xd10f0f9b, "cs35l41_write_fs_errata" },
	{ 0x6ea064a4, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x74dcba51, "cs35l41_configure_cs_dsp" },
	{ 0x4e5d89fa, "_dev_crit" },
	{ 0xd17d1747, "regmap_update_bits_base" },
	{ 0x140ebacd, "dev_err_probe" },
	{ 0x3d5d85b7, "regmap_multi_reg_write" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0x23b0d948, "__pm_runtime_suspend" },
	{ 0x40a05e0c, "component_add" },
	{ 0xa1178e1f, "__pm_runtime_use_autosuspend" },
	{ 0x71aca990, "cs35l41_set_channels" },
	{ 0x308ad3c, "__pm_runtime_disable" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xcb8f70d7, "device_link_add" },
	{ 0x2a882976, "pm_runtime_force_suspend" },
	{ 0x2b707546, "hda_cs_dsp_fw_ids" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe92ff6ad, "cs35l41_gpio_config" },
	{ 0x23b5e196, "acpi_dev_get_first_match_dev" },
	{ 0x134b7c5f, "gpiod_get_value_cansleep" },
	{ 0x303556e3, "cs35l41_global_enable" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xf7903ea3, "regcache_cache_only" },
	{ 0xfcf41aeb, "is_acpi_device_node" },
	{ 0x77e6e141, "gpiod_put" },
	{ 0xd4b65998, "regcache_sync" },
	{ 0x572253a8, "regmap_write" },
	{ 0x211ce9ad, "devm_request_threaded_irq" },
	{ 0xfc6ec21f, "devm_kmalloc" },
	{ 0x6a8340db, "firmware_request_nowarn" },
	{ 0x55784228, "regmap_irq_get_virq" },
	{ 0xe0310f27, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc2881dc9, "gpiod_count" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3abfda20, "cs_dsp_stop" },
	{ 0x89f17944, "pm_runtime_set_autosuspend_delay" },
	{ 0xbc1b24e, "cs35l41_register_errata_patch" },
	{ 0x9f9433ce, "gpiod_set_value_cansleep" },
	{ 0x8c2b7e40, "hda_cs_dsp_control_remove" },
	{ 0x96848186, "scnprintf" },
	{ 0x3a291676, "gpiod_get_index" },
	{ 0x96459c94, "component_del" },
	{ 0x37a0cba, "kfree" },
	{ 0xad9143c6, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa6d0aa2, "cs35l41_init_boost" },
	{ 0x3b39afec, "cs35l41_enter_hibernate" },
	{ 0xe1740888, "get_device" },
	{ 0x5da8aca0, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x977b3e63, "hda_cs_dsp_read_ctl" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb512f731, "__pm_runtime_set_status" },
	{ 0xa4d2e159, "snd_ctl_new1" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "snd,cs_dsp,snd-soc-cs35l41-lib,snd-hda-cs-dsp-ctls");


MODULE_INFO(srcversion, "CA5CC82C5464869C807CCC6");
