#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l56_hda_common_probe, "_gpl", "SND_HDA_SCODEC_CS35L56");
KSYMTAB_FUNC(cs35l56_hda_remove, "_gpl", "SND_HDA_SCODEC_CS35L56");
KSYMTAB_DATA(cs35l56_hda_pm_ops, "_gpl", "SND_HDA_SCODEC_CS35L56");

SYMBOL_CRC(cs35l56_hda_common_probe, 0x1244eb60, "_gpl");
SYMBOL_CRC(cs35l56_hda_remove, 0xb3ce6891, "_gpl");
SYMBOL_CRC(cs35l56_hda_pm_ops, 0xfc591089, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb512f731, "__pm_runtime_set_status" },
	{ 0xa4d2e159, "snd_ctl_new1" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x631da867, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0xdbe919e0, "device_property_read_u32_array" },
	{ 0x591b192f, "_dev_info" },
	{ 0x7d2f988e, "cs35l56_init_cs_dsp" },
	{ 0xb853f55d, "_dev_err" },
	{ 0x5c2529e, "cs35l56_tx_input_values" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8dca1451, "cs_dsp_halo_init" },
	{ 0x3fa06257, "cs_dsp_power_down" },
	{ 0x5c201b6f, "hda_cs_dsp_add_controls" },
	{ 0x643ff377, "cs35l56_runtime_suspend_common" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x362c83a5, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0xfd42e0b4, "cs35l56_mbox_send" },
	{ 0x6a12b2c7, "cs35l56_hw_init" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa88d7821, "cs_dsp_power_up" },
	{ 0x291bfdd8, "cs35l56_system_reset" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xa05ff9c9, "cs35l56_wait_for_firmware_boot" },
	{ 0x18af0d7f, "devm_kasprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x8ca797c3, "cs35l56_set_patch" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0xc681155c, "cs35l56_is_fw_reload_needed" },
	{ 0x47cc6910, "regmap_read" },
	{ 0xb763b7a, "cs_dsp_run" },
	{ 0xa0c04ee5, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6ea064a4, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xdeed311f, "cs35l56_runtime_resume_common" },
	{ 0xd17d1747, "regmap_update_bits_base" },
	{ 0x140ebacd, "dev_err_probe" },
	{ 0x3d5d85b7, "regmap_multi_reg_write" },
	{ 0x23b0d948, "__pm_runtime_suspend" },
	{ 0x40a05e0c, "component_add" },
	{ 0xcd79daba, "set_primary_fwnode" },
	{ 0xa1178e1f, "__pm_runtime_use_autosuspend" },
	{ 0x918dd862, "devm_gpiod_get_index_optional" },
	{ 0x308ad3c, "__pm_runtime_disable" },
	{ 0x75804f80, "cs35l56_firmware_shutdown" },
	{ 0x2a882976, "pm_runtime_force_suspend" },
	{ 0xe733d41b, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x23b5e196, "acpi_dev_get_first_match_dev" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xf7903ea3, "regcache_cache_only" },
	{ 0xfcf41aeb, "is_acpi_device_node" },
	{ 0xd4b65998, "regcache_sync" },
	{ 0x572253a8, "regmap_write" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0x6a8340db, "firmware_request_nowarn" },
	{ 0xe0310f27, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3abfda20, "cs_dsp_stop" },
	{ 0x89f17944, "pm_runtime_set_autosuspend_delay" },
	{ 0x9f9433ce, "gpiod_set_value_cansleep" },
	{ 0x8c2b7e40, "hda_cs_dsp_control_remove" },
	{ 0x96459c94, "component_del" },
	{ 0x9e20bc7, "cs35l56_force_sync_asp1_registers_from_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xad9143c6, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5da8aca0, "__dynamic_dev_dbg" },
	{ 0xeedecf89, "snd_ctl_remove" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-soc-cs35l56-shared,cs_dsp,snd-hda-cs-dsp-ctls");


MODULE_INFO(srcversion, "1A6E6758C655184C1BF725F");
