#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(oxygen_read8, "", "");
KSYMTAB_FUNC(oxygen_read16, "", "");
KSYMTAB_FUNC(oxygen_read32, "", "");
KSYMTAB_FUNC(oxygen_write8, "", "");
KSYMTAB_FUNC(oxygen_write16, "", "");
KSYMTAB_FUNC(oxygen_write32, "", "");
KSYMTAB_FUNC(oxygen_write8_masked, "", "");
KSYMTAB_FUNC(oxygen_write16_masked, "", "");
KSYMTAB_FUNC(oxygen_write32_masked, "", "");
KSYMTAB_FUNC(oxygen_write_ac97, "", "");
KSYMTAB_FUNC(oxygen_read_ac97, "", "");
KSYMTAB_FUNC(oxygen_write_ac97_masked, "", "");
KSYMTAB_FUNC(oxygen_write_spi, "", "");
KSYMTAB_FUNC(oxygen_write_i2c, "", "");
KSYMTAB_FUNC(oxygen_reset_uart, "", "");
KSYMTAB_FUNC(oxygen_write_uart, "", "");
KSYMTAB_FUNC(oxygen_pci_probe, "", "");
KSYMTAB_DATA(oxygen_pci_pm, "", "");
KSYMTAB_FUNC(oxygen_pci_shutdown, "", "");
KSYMTAB_FUNC(oxygen_update_dac_routing, "", "");

SYMBOL_CRC(oxygen_read8, 0xbea8e6f8, "");
SYMBOL_CRC(oxygen_read16, 0x9839fd86, "");
SYMBOL_CRC(oxygen_read32, 0x85b56f7c, "");
SYMBOL_CRC(oxygen_write8, 0xf2c9cf89, "");
SYMBOL_CRC(oxygen_write16, 0x992d83d2, "");
SYMBOL_CRC(oxygen_write32, 0x64f717f5, "");
SYMBOL_CRC(oxygen_write8_masked, 0x595976ae, "");
SYMBOL_CRC(oxygen_write16_masked, 0x9523e0be, "");
SYMBOL_CRC(oxygen_write32_masked, 0xee4c32a6, "");
SYMBOL_CRC(oxygen_write_ac97, 0xacfbc0bc, "");
SYMBOL_CRC(oxygen_read_ac97, 0x873c0421, "");
SYMBOL_CRC(oxygen_write_ac97_masked, 0x5bf54871, "");
SYMBOL_CRC(oxygen_write_spi, 0x6573aa93, "");
SYMBOL_CRC(oxygen_write_i2c, 0xcf824fe0, "");
SYMBOL_CRC(oxygen_reset_uart, 0x81adde5e, "");
SYMBOL_CRC(oxygen_write_uart, 0xe4b2ed56, "");
SYMBOL_CRC(oxygen_pci_probe, 0xa80554b6, "");
SYMBOL_CRC(oxygen_pci_pm, 0x55db4602, "");
SYMBOL_CRC(oxygen_pci_shutdown, 0xea554f57, "");
SYMBOL_CRC(oxygen_update_dac_routing, 0x353a66c6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x94141d27, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x7109424, "seq_printf" },
	{ 0xc06e679c, "snd_mpu401_uart_new" },
	{ 0xdf77bcee, "pci_match_id" },
	{ 0x184cc6e4, "snd_pcm_hw_constraint_msbits" },
	{ 0xc25dbfae, "snd_pcm_period_elapsed" },
	{ 0x81188c30, "match_string" },
	{ 0x787eb95a, "snd_pcm_hw_constraint_step" },
	{ 0x754d539c, "strlen" },
	{ 0x1c983405, "pcim_enable_device" },
	{ 0x2ac7ea93, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd2256dd7, "pci_write_config_dword" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x211ce9ad, "devm_request_threaded_irq" },
	{ 0xfc6ec21f, "devm_kmalloc" },
	{ 0xe0310f27, "snd_ctl_add" },
	{ 0xc3a0a9b7, "snd_pcm_new" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd85cb23a, "snd_card_register" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xc8974b62, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb8169644, "snd_card_free_on_error" },
	{ 0xd9e5f971, "snd_card_rw_proc_new" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4dd5b1ad, "snd_pcm_set_sync" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd9db14f0, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa4d2e159, "snd_ctl_new1" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6175cbf5, "snd_component_add" },
	{ 0xa916b694, "strnlen" },
	{ 0x591b192f, "_dev_info" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf84c4365, "snd_ctl_boolean_mono_info" },
	{ 0xb853f55d, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xbbcc289c, "snd_ctl_notify" },
	{ 0x4ca229f, "snd_pcm_set_ops" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc0ed8524, "snd_pcm_set_managed_buffer" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x11974cef, "snd_pcm_set_managed_buffer_all" },
	{ 0xc0fec227, "snd_mpu401_uart_interrupt" },
	{ 0x6d57bd5c, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-mpu401-uart,snd-pcm");


MODULE_INFO(srcversion, "7F1C9A83DA5732EA6CB6EEA");
