#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_trident_start_voice, "", "");
KSYMTAB_FUNC(snd_trident_stop_voice, "", "");
KSYMTAB_FUNC(snd_trident_write_voice_regs, "", "");
KSYMTAB_FUNC(snd_trident_alloc_voice, "", "");
KSYMTAB_FUNC(snd_trident_free_voice, "", "");

SYMBOL_CRC(snd_trident_start_voice, 0xbd9d2deb, "");
SYMBOL_CRC(snd_trident_stop_voice, 0x5939b5de, "");
SYMBOL_CRC(snd_trident_write_voice_regs, 0xf0b4df53, "");
SYMBOL_CRC(snd_trident_alloc_voice, 0x93afb433, "");
SYMBOL_CRC(snd_trident_free_voice, 0x2d16db73, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x7cf19c, "param_ops_int" },
	{ 0x1c983405, "pcim_enable_device" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd2256dd7, "pci_write_config_dword" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0xc59655e4, "snd_util_mem_avail" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x211ce9ad, "devm_request_threaded_irq" },
	{ 0xe0310f27, "snd_ctl_add" },
	{ 0xfdea1d4c, "snd_ac97_resume" },
	{ 0xc3a0a9b7, "snd_pcm_new" },
	{ 0xd85cb23a, "snd_card_register" },
	{ 0xd6ccd15d, "snd_devm_alloc_dir_pages" },
	{ 0xeebad00b, "__pci_register_driver" },
	{ 0x8f12d306, "snd_pcm_hw_constraint_minmax" },
	{ 0x1911b4c5, "param_array_ops" },
	{ 0xc8974b62, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0xd9e5f971, "snd_card_rw_proc_new" },
	{ 0x1a7e154e, "snd_ac97_mixer" },
	{ 0xe2964344, "__wake_up" },
	{ 0x671bf3b4, "snd_sgbuf_get_addr" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5f4b05bd, "snd_ac97_bus" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4dd5b1ad, "snd_pcm_set_sync" },
	{ 0xb3ec0124, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa4d2e159, "snd_ctl_new1" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xe15a5e39, "snd_ac97_suspend" },
	{ 0xf84c4365, "snd_ctl_boolean_mono_info" },
	{ 0xb853f55d, "_dev_err" },
	{ 0xeda33fa, "snd_util_memhdr_new" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xbbcc289c, "snd_ctl_notify" },
	{ 0x4ca229f, "snd_pcm_set_ops" },
	{ 0xc0ed8524, "snd_pcm_set_managed_buffer" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11974cef, "snd_pcm_set_managed_buffer_all" },
	{ 0xc0fec227, "snd_mpu401_uart_interrupt" },
	{ 0x6d57bd5c, "pci_set_master" },
	{ 0x64e2c794, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1d027e4b, "snd_pcm_format_signed" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa5aa685b, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6517719f, "__snd_util_mem_free" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x93067637, "param_ops_bool" },
	{ 0x94141d27, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb6571a30, "pci_write_config_byte" },
	{ 0x7109424, "seq_printf" },
	{ 0x914f3491, "snd_util_memhdr_free" },
	{ 0xc06e679c, "snd_mpu401_uart_new" },
	{ 0x4396602e, "dma_set_mask" },
	{ 0xc25dbfae, "snd_pcm_period_elapsed" },
	{ 0x9adc8c44, "__snd_util_memblk_new" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "snd-util-mem,snd-pcm,snd,snd-ac97-codec,snd-mpu401-uart");

MODULE_ALIAS("pci:v00001023d00002000sv*sd*bc04sc01i*");
MODULE_ALIAS("pci:v00001023d00002001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001039d00007018sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "41970AD61B7EA9C53D2F718");
