#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l41_probe, "_gpl", "");
KSYMTAB_FUNC(cs35l41_remove, "_gpl", "");
KSYMTAB_DATA(cs35l41_pm_ops, "_gpl", "");

SYMBOL_CRC(cs35l41_probe, 0x42f6ab29, "_gpl");
SYMBOL_CRC(cs35l41_remove, 0x335d0b00, "_gpl");
SYMBOL_CRC(cs35l41_pm_ops, 0xbace78b8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa6d0aa2, "cs35l41_init_boost" },
	{ 0x3b39afec, "cs35l41_enter_hibernate" },
	{ 0x5da8aca0, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb512f731, "__pm_runtime_set_status" },
	{ 0x4e9db89e, "devm_snd_soc_register_component" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x631da867, "pm_runtime_enable" },
	{ 0xdbe919e0, "device_property_read_u32_array" },
	{ 0x6d745401, "snd_soc_get_enum_double" },
	{ 0x591b192f, "_dev_info" },
	{ 0x2865fa0a, "snd_soc_info_volsw" },
	{ 0xcb9deb3e, "regmap_multi_reg_write_bypassed" },
	{ 0xb853f55d, "_dev_err" },
	{ 0x6f40833f, "wm_adsp_event" },
	{ 0x2932e4ae, "snd_soc_dapm_put_volsw" },
	{ 0x39e0a90f, "cs35l41_test_key_unlock" },
	{ 0x249f68c0, "cs35l41_test_key_lock" },
	{ 0x60f24bb8, "snd_pcm_hw_constraint_list" },
	{ 0x5616c613, "wm_adsp_fw_enum" },
	{ 0x389e86c7, "cs35l41_safe_reset" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0x6c37cace, "wm_adsp2_component_probe" },
	{ 0xf9af81e, "wm_adsp2_preloader_put" },
	{ 0x82a253c3, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa51b2d28, "wm_adsp2_preloader_get" },
	{ 0x60b2c4a, "snd_soc_info_enum_double" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0xfc0078b6, "snd_soc_info_volsw_sx" },
	{ 0x94138dfb, "cs35l41_otp_unpack" },
	{ 0x238d81e3, "wm_adsp2_component_remove" },
	{ 0xc0a4954, "snd_soc_get_volsw" },
	{ 0xc8cecad2, "cs35l41_exit_hibernate" },
	{ 0x47cc6910, "regmap_read" },
	{ 0xf3b5a15, "snd_soc_put_volsw" },
	{ 0x7139f9f4, "wm_adsp_fw_get" },
	{ 0xa0c04ee5, "__pm_runtime_resume" },
	{ 0xe6caf25c, "cs35l41_set_cspl_mbox_cmd" },
	{ 0xd10f0f9b, "cs35l41_write_fs_errata" },
	{ 0x80892e87, "snd_soc_dapm_new_controls" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x74dcba51, "cs35l41_configure_cs_dsp" },
	{ 0x4e5d89fa, "_dev_crit" },
	{ 0xd17d1747, "regmap_update_bits_base" },
	{ 0xc692fc52, "snd_soc_dapm_get_volsw" },
	{ 0x23b0d948, "__pm_runtime_suspend" },
	{ 0x24146e5f, "snd_soc_dapm_get_enum_double" },
	{ 0xa1178e1f, "__pm_runtime_use_autosuspend" },
	{ 0x512619c4, "wm_halo_init" },
	{ 0xe8664c5e, "wm_adsp_early_event" },
	{ 0x71aca990, "cs35l41_set_channels" },
	{ 0x308ad3c, "__pm_runtime_disable" },
	{ 0x36c475ff, "cs35l41_mdsync_up" },
	{ 0xa23c7090, "snd_soc_get_volsw_sx" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xe92ff6ad, "cs35l41_gpio_config" },
	{ 0xf901e5e6, "snd_soc_dapm_put_enum_double" },
	{ 0xdbb82cc2, "wm_adsp_fw_put" },
	{ 0xe150e193, "device_property_present" },
	{ 0x303556e3, "cs35l41_global_enable" },
	{ 0xf7903ea3, "regcache_cache_only" },
	{ 0xfcf41aeb, "is_acpi_device_node" },
	{ 0xd4b65998, "regcache_sync" },
	{ 0x572253a8, "regmap_write" },
	{ 0x211ce9ad, "devm_request_threaded_irq" },
	{ 0xe355d6cc, "snd_soc_put_volsw_sx" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x89f17944, "pm_runtime_set_autosuspend_delay" },
	{ 0xbc1b24e, "cs35l41_register_errata_patch" },
	{ 0x9f9433ce, "gpiod_set_value_cansleep" },
	{ 0x37a0cba, "kfree" },
	{ 0x922b0f19, "wm_adsp2_remove" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xc4e14107, "snd_soc_put_enum_double" },
	{ 0xad9143c6, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xaef269, "devm_gpiod_get_optional" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-cs35l41-lib,snd-soc-core,snd-soc-wm-adsp,snd-pcm");


MODULE_INFO(srcversion, "B7A8E4F5C750B666075CB92");
