#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l56_system_suspend, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_late, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_early, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume, "_gpl", "");
KSYMTAB_FUNC(cs35l56_common_probe, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_init, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_remove, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_DATA(cs35l56_pm_ops_i2c_spi, "_gpl", "SND_SOC_CS35L56_CORE");

SYMBOL_CRC(cs35l56_system_suspend, 0xdec0370d, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_late, 0xbf12f868, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_no_irq, 0xee59389d, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_no_irq, 0xf907cb41, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_early, 0xacac673c, "_gpl");
SYMBOL_CRC(cs35l56_system_resume, 0x67d4ef6f, "_gpl");
SYMBOL_CRC(cs35l56_common_probe, 0xd6f50990, "_gpl");
SYMBOL_CRC(cs35l56_init, 0xee45b325, "_gpl");
SYMBOL_CRC(cs35l56_remove, 0x82cb3707, "_gpl");
SYMBOL_CRC(cs35l56_pm_ops_i2c_spi, 0x775bca8f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xaef269, "devm_gpiod_get_optional" },
	{ 0x5da8aca0, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb512f731, "__pm_runtime_set_status" },
	{ 0x4e9db89e, "devm_snd_soc_register_component" },
	{ 0xc1aad374, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa70061da, "sdw_write_no_pm" },
	{ 0xa2b057be, "devm_free_irq" },
	{ 0x631da867, "pm_runtime_enable" },
	{ 0x591b192f, "_dev_info" },
	{ 0x2865fa0a, "snd_soc_info_volsw" },
	{ 0x7d2f988e, "cs35l56_init_cs_dsp" },
	{ 0xae006051, "wm_adsp_power_down" },
	{ 0x76ce16ed, "regcache_drop_region" },
	{ 0xb853f55d, "_dev_err" },
	{ 0xfd52a6b9, "debugfs_create_bool" },
	{ 0x6f40833f, "wm_adsp_event" },
	{ 0x5c2529e, "cs35l56_tx_input_values" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0xab560712, "device_property_read_string" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x643ff377, "cs35l56_runtime_suspend_common" },
	{ 0xa08dc788, "sdw_read_no_pm" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xfd42e0b4, "cs35l56_mbox_send" },
	{ 0x6a12b2c7, "cs35l56_hw_init" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0x6c37cace, "wm_adsp2_component_probe" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c8b80d3, "snd_soc_dapm_kcontrol_dapm" },
	{ 0x291bfdd8, "cs35l56_system_reset" },
	{ 0x60b2c4a, "snd_soc_info_enum_double" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x238d81e3, "wm_adsp2_component_remove" },
	{ 0xa05ff9c9, "cs35l56_wait_for_firmware_boot" },
	{ 0x18af0d7f, "devm_kasprintf" },
	{ 0xc0a4954, "snd_soc_get_volsw" },
	{ 0x8ca797c3, "cs35l56_set_patch" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0xc681155c, "cs35l56_is_fw_reload_needed" },
	{ 0x47cc6910, "regmap_read" },
	{ 0xf3b5a15, "snd_soc_put_volsw" },
	{ 0xa0c04ee5, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6ea064a4, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x42cd3b, "regmap_bulk_read" },
	{ 0x6f311542, "sdw_stream_remove_slave" },
	{ 0xdeed311f, "cs35l56_runtime_resume_common" },
	{ 0xabfac0af, "dapm_regulator_event" },
	{ 0xd17d1747, "regmap_update_bits_base" },
	{ 0x140ebacd, "dev_err_probe" },
	{ 0x23b0d948, "__pm_runtime_suspend" },
	{ 0xcd5438ad, "cs35l56_fill_supply_names" },
	{ 0x24146e5f, "snd_soc_dapm_get_enum_double" },
	{ 0xa1178e1f, "__pm_runtime_use_autosuspend" },
	{ 0x512619c4, "wm_halo_init" },
	{ 0x308ad3c, "__pm_runtime_disable" },
	{ 0x75804f80, "cs35l56_firmware_shutdown" },
	{ 0xefc9b9f9, "sdw_stream_add_slave" },
	{ 0x2a882976, "pm_runtime_force_suspend" },
	{ 0x411136ee, "wm_adsp_power_up" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xf901e5e6, "snd_soc_dapm_put_enum_double" },
	{ 0xf7903ea3, "regcache_cache_only" },
	{ 0xd4b65998, "regcache_sync" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x572253a8, "regmap_write" },
	{ 0x9e57fa37, "snd_soc_dapm_mux_update_power" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0x88762c92, "cs35l56_get_bclk_freq_id" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x89f17944, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9f9433ce, "gpiod_set_value_cansleep" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x572ff9ad, "snd_soc_card_get_kcontrol_locked" },
	{ 0x9e20bc7, "cs35l56_force_sync_asp1_registers_from_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xad9143c6, "regcache_mark_dirty" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,soundwire-bus,snd-soc-cs35l56-shared,snd-soc-wm-adsp,snd-pcm");


MODULE_INFO(srcversion, "EB5F2F0DC1F116AB1EF664D");
