#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hda_pci_intel_probe, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ops_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_skl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_skl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(skl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_apl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_apl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(apl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_cnl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_cnl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(cnl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(jsl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_tgl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_tgl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(tgl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(tglh_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(ehl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(adls_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_icl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_icl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(icl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_mtl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_mtl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(mtl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(arl_s_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_lnl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_lnl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(lnl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");

SYMBOL_CRC(hda_pci_intel_probe, 0x432cc6cf, "");
SYMBOL_CRC(hda_ops_free, 0x9a5cc0e7, "");
SYMBOL_CRC(sof_skl_ops, 0xbc221288, "");
SYMBOL_CRC(sof_skl_ops_init, 0x660a83de, "");
SYMBOL_CRC(skl_chip_info, 0xb7789ce9, "");
SYMBOL_CRC(sof_apl_ops, 0x83160394, "");
SYMBOL_CRC(sof_apl_ops_init, 0xe9cb8a42, "");
SYMBOL_CRC(apl_chip_info, 0xb0c8007d, "");
SYMBOL_CRC(sof_cnl_ops, 0xde09ae1d, "");
SYMBOL_CRC(sof_cnl_ops_init, 0xff2c3177, "");
SYMBOL_CRC(cnl_chip_info, 0x5f45a6bc, "");
SYMBOL_CRC(jsl_chip_info, 0x02389f58, "");
SYMBOL_CRC(sof_tgl_ops, 0x15349e9b, "");
SYMBOL_CRC(sof_tgl_ops_init, 0x80cdff16, "");
SYMBOL_CRC(tgl_chip_info, 0x9badf2fe, "");
SYMBOL_CRC(tglh_chip_info, 0x992e4f37, "");
SYMBOL_CRC(ehl_chip_info, 0x4760fad1, "");
SYMBOL_CRC(adls_chip_info, 0xef2002da, "");
SYMBOL_CRC(sof_icl_ops, 0x06c59e72, "");
SYMBOL_CRC(sof_icl_ops_init, 0xd002c126, "");
SYMBOL_CRC(icl_chip_info, 0x8a5cd45f, "");
SYMBOL_CRC(sof_mtl_ops, 0xcc8c9014, "");
SYMBOL_CRC(sof_mtl_ops_init, 0x2dc00cfd, "");
SYMBOL_CRC(mtl_chip_info, 0x2fd80e83, "");
SYMBOL_CRC(arl_s_chip_info, 0xd7561ed8, "");
SYMBOL_CRC(sof_lnl_ops, 0xc388530a, "");
SYMBOL_CRC(sof_lnl_ops_init, 0x5e3d0c44, "");
SYMBOL_CRC(lnl_chip_info, 0x3c8f2f09, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x772e2022, "hda_codec_i915_exit" },
	{ 0x7816f98d, "trace_event_buffer_commit" },
	{ 0x8280d732, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8b5c5fc4, "hda_codec_resume_cmd_io" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x16e60bdb, "snd_hdac_ext_bus_exit" },
	{ 0xc165571b, "sof_block_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf97b769e, "snd_hdac_ext_stream_clear" },
	{ 0x34776e64, "snd_sof_dsp_only_d0i3_compatible_stream_active" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x591b192f, "_dev_info" },
	{ 0x579f35f7, "sdw_intel_startup" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xb0168769, "snd_hdac_ext_bus_link_power" },
	{ 0x24dd3782, "snd_sof_dsp_dbg_dump" },
	{ 0x7f71499e, "sdw_intel_process_wakeen_event" },
	{ 0x161f6c34, "sof_mailbox_write" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5c07cb49, "snd_hdac_calc_stream_format" },
	{ 0x7d114f93, "sof_mailbox_read" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x6435d0f9, "perf_trace_run_bpf_submit" },
	{ 0x13e6f65e, "hda_bus_ml_put_all" },
	{ 0x1ff88043, "devm_kfree" },
	{ 0xb853f55d, "_dev_err" },
	{ 0x474bc20e, "snd_sof_dsp_update_bits_forced" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x1a94279d, "platform_device_unregister" },
	{ 0xe9d7be72, "snd_hdac_ext_stream_release" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x2dcf2c6a, "hdac_bus_eml_sdw_map_stream_ch" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x34a92e44, "sof_client_dev_register" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xba39aa11, "snd_soc_acpi_find_machine" },
	{ 0x5122d8a0, "trace_event_reg" },
	{ 0x3873561c, "hda_codec_device_remove" },
	{ 0xa9c4486a, "snd_soc_dpcm_get_substream" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xfddc18cd, "snd_sof_dsp_update_bits_unlocked" },
	{ 0x76cc8463, "sof_print_oops_and_stack" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x7c4fde53, "hda_bus_ml_reset_losidv" },
	{ 0xa190f693, "snd_hdac_ext_stream_setup" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xff6104d0, "snd_pcm_rate_bit_to_rate" },
	{ 0x41071e36, "snd_sof_ipc_get_reply" },
	{ 0x4f6f6092, "snd_sof_dsp_update_bits" },
	{ 0x2212613, "hdac_bus_eml_enable_interrupt" },
	{ 0x87c42fa7, "hdac_bus_eml_enable_offload" },
	{ 0x26dfd906, "pci_restore_state" },
	{ 0x3d365f62, "snd_sof_pci_update_bits" },
	{ 0xe530a8ac, "hdac_bus_eml_ssp_get_hlink" },
	{ 0xc624ca03, "hdac_bus_eml_dmic_get_hlink" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0x1e995770, "snd_hdac_display_power" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x7b256880, "sdw_intel_lnl_hw_ops" },
	{ 0x6d57bd5c, "pci_set_master" },
	{ 0x64e2c794, "param_ops_charp" },
	{ 0x5e40c615, "snd_pcm_hw_constraint_mask64" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa5aa685b, "dma_set_coherent_mask" },
	{ 0x18af0d7f, "devm_kasprintf" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xf7235d95, "snd_pcm_hw_constraint_integer" },
	{ 0xe0942c61, "bpf_trace_run3" },
	{ 0x40240950, "hda_codec_rirb_status_clear" },
	{ 0xa398f6ee, "hda_codec_suspend_cmd_io" },
	{ 0xf738dd3e, "snd_sof_ipc_reply" },
	{ 0xc918ace7, "hda_codec_init_cmd_io" },
	{ 0xd4778ced, "hda_codec_stop_cmd_io" },
	{ 0x288b9129, "hda_codec_detect_mask" },
	{ 0xd4028a51, "platform_device_register_full" },
	{ 0x55254fa2, "trace_event_buffer_reserve" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x93067637, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe1e2afce, "sof_machine_unregister" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x2918d88d, "sof_ipc_tx_message" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x996a1cd0, "sdw_intel_probe" },
	{ 0x994039d7, "snd_sof_load_firmware_raw" },
	{ 0x352041e1, "snd_sof_dsp_panic" },
	{ 0xc23ed84c, "snd_hdac_ext_bus_get_hlink_by_name" },
	{ 0x79597010, "snd_sof_suspend" },
	{ 0x57ee2510, "snd_hdac_ext_bus_link_set_stream_id" },
	{ 0xb7b836b3, "intel_nhlt_ssp_mclk_mask" },
	{ 0x4396602e, "dma_set_mask" },
	{ 0x787eb95a, "snd_pcm_hw_constraint_step" },
	{ 0x754d539c, "strlen" },
	{ 0x7cf19c, "param_ops_int" },
	{ 0xce2f905, "intel_nhlt_init" },
	{ 0xc906d8e1, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xad89695b, "sof_client_dev_unregister" },
	{ 0xe8dd9c46, "sdw_intel_cnl_hw_ops" },
	{ 0x66fd6169, "intel_nhlt_ssp_endpoint_mask" },
	{ 0x984416dd, "hda_codec_i915_init" },
	{ 0x526c1129, "pci_free_irq_vectors" },
	{ 0xe44b899d, "hda_codec_check_rirb_status" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xdcc957f2, "snd_hdac_ext_stream_reset" },
	{ 0xbb4f9d1f, "sdw_intel_acpi_scan" },
	{ 0xc6256ed, "hdac_bus_eml_get_count" },
	{ 0xdaadb62f, "snd_hdac_ext_bus_link_clear_stream_id" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x788b02b6, "sof_io_write" },
	{ 0xdf04678e, "sof_machine_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc472e396, "snd_sof_pcm_period_elapsed" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x56dd0b08, "hdac_bus_eml_get_mutex" },
	{ 0x7fcda693, "snd_soc_acpi_intel_hda_machines" },
	{ 0x69fbc79b, "hda_codec_jack_check" },
	{ 0xe2f9c9bf, "hda_bus_ml_suspend" },
	{ 0xf28174e1, "snd_soc_acpi_sdw_link_slaves_found" },
	{ 0xe914e41e, "strcpy" },
	{ 0x986d6339, "pci_save_state" },
	{ 0xaab90fcf, "sof_block_read" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x7c20eb9f, "snd_sof_debugfs_add_region_item_iomem" },
	{ 0x3ec9d77a, "hda_codec_i915_display_power" },
	{ 0xfcf41aeb, "is_acpi_device_node" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xb1c89cea, "bpf_trace_run4" },
	{ 0xaa52eba1, "sdw_intel_thread" },
	{ 0x510ea82c, "snd_dma_alloc_dir_pages" },
	{ 0xfc6ec21f, "devm_kmalloc" },
	{ 0x57df93e3, "snd_hdac_bus_send_cmd" },
	{ 0xd24d50ca, "hda_bus_ml_resume" },
	{ 0x23e1ff2, "pci_alloc_irq_vectors" },
	{ 0xbd12557c, "intel_nhlt_get_dmic_geo" },
	{ 0xd00483c9, "snd_hdac_bus_get_response" },
	{ 0x4b50a68e, "snd_hdac_ext_stream_start" },
	{ 0xa4cbedd, "trace_raw_output_prep" },
	{ 0x560c36de, "hdac_bus_eml_sdw_get_hlink" },
	{ 0xd51e248, "hda_codec_set_codec_wakeup" },
	{ 0xe8e0ed1e, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x90ff1f7e, "hda_bus_ml_init" },
	{ 0xc0588a99, "hda_codec_probe_bus" },
	{ 0x4cafb036, "snd_hdac_ext_stream_decouple_locked" },
	{ 0x65a259b6, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xedc03953, "iounmap" },
	{ 0x8f12d306, "snd_pcm_hw_constraint_minmax" },
	{ 0xfe7dfc29, "sdw_intel_exit" },
	{ 0x23b10abb, "hda_codec_check_for_state_change" },
	{ 0xf3165d5b, "hda_codec_jack_wake_enable" },
	{ 0x6c33c7de, "sof_xtensa_arch_ops" },
	{ 0x41a05c36, "intel_nhlt_has_endpoint_type" },
	{ 0x5b50ae95, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xdbada6c, "snd_hdac_ext_bus_init" },
	{ 0xb8898c9b, "hda_bus_ml_free" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0x9545397a, "sof_ipc4_set_pipeline_state" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe8690ce1, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x1822f0e4, "snd_intel_dsp_driver_probe" },
	{ 0xcb3ab39a, "pci_irq_vector" },
	{ 0x671bf3b4, "snd_sgbuf_get_addr" },
	{ 0x5da8aca0, "__dynamic_dev_dbg" },
	{ 0x9b52413a, "snd_sgbuf_get_chunk_size" },
	{ 0x572f80b0, "pci_ioremap_bar" },
	{ 0x4fa8a12c, "hdac_bus_eml_check_interrupt" },
	{ 0xdcae8adc, "sof_pci_probe" },
	{ 0xb05de49a, "snd_soc_hdac_hda_get_ops" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-intel-hda,snd-pcm,snd-hda-ext-core,snd-sof,soundwire-intel,snd-hda-core,snd-sof-intel-hda-mlink,snd-soc-acpi,snd-soc-core,snd-intel-dspcfg,snd-intel-sdw-acpi,snd-soc-acpi-intel-match,snd-sof-xtensa-dsp,snd-sof-pci,snd-soc-hdac-hda");


MODULE_INFO(srcversion, "DCAF2C267E66E4C1D46EF58");
