#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hda_bus_ml_init, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_free, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_get_count, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_enable_interrupt, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_check_interrupt, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_set_syncprd_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_set_syncprd_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_wait_syncpu_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_wait_syncpu_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sync_arm_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_sync_arm_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sync_go_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_sync_go_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_check_cmdsync_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_check_cmdsync_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_up, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_up_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_down, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_down_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_power_up_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_power_down_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_get_lsdiid_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_set_lsdiid, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_map_stream_ch, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_put_all, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_reset_losidv, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_resume, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_suspend, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_get_mutex, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_ssp_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_dmic_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_enable_offload, "", "SND_SOC_SOF_HDA_MLINK");

SYMBOL_CRC(hda_bus_ml_init, 0x90ff1f7e, "");
SYMBOL_CRC(hda_bus_ml_free, 0xb8898c9b, "");
SYMBOL_CRC(hdac_bus_eml_get_count, 0x0c6256ed, "");
SYMBOL_CRC(hdac_bus_eml_enable_interrupt, 0x02212613, "");
SYMBOL_CRC(hdac_bus_eml_check_interrupt, 0x4fa8a12c, "");
SYMBOL_CRC(hdac_bus_eml_set_syncprd_unlocked, 0x01b8c829, "");
SYMBOL_CRC(hdac_bus_eml_sdw_set_syncprd_unlocked, 0x9ceae26e, "");
SYMBOL_CRC(hdac_bus_eml_wait_syncpu_unlocked, 0x59575855, "");
SYMBOL_CRC(hdac_bus_eml_sdw_wait_syncpu_unlocked, 0x67be3a50, "");
SYMBOL_CRC(hdac_bus_eml_sync_arm_unlocked, 0xbf050dd9, "");
SYMBOL_CRC(hdac_bus_eml_sdw_sync_arm_unlocked, 0xaaeb1333, "");
SYMBOL_CRC(hdac_bus_eml_sync_go_unlocked, 0x214a94aa, "");
SYMBOL_CRC(hdac_bus_eml_sdw_sync_go_unlocked, 0xaea92b94, "");
SYMBOL_CRC(hdac_bus_eml_check_cmdsync_unlocked, 0x1f004e3a, "");
SYMBOL_CRC(hdac_bus_eml_sdw_check_cmdsync_unlocked, 0x0a501f97, "");
SYMBOL_CRC(hdac_bus_eml_power_up, 0x3a08643b, "");
SYMBOL_CRC(hdac_bus_eml_power_up_unlocked, 0x91f8a7c7, "");
SYMBOL_CRC(hdac_bus_eml_power_down, 0x2d05059a, "");
SYMBOL_CRC(hdac_bus_eml_power_down_unlocked, 0x0162c2ae, "");
SYMBOL_CRC(hdac_bus_eml_sdw_power_up_unlocked, 0xc56d9507, "");
SYMBOL_CRC(hdac_bus_eml_sdw_power_down_unlocked, 0x419e7846, "");
SYMBOL_CRC(hdac_bus_eml_sdw_get_lsdiid_unlocked, 0xbfb66264, "");
SYMBOL_CRC(hdac_bus_eml_sdw_set_lsdiid, 0x6f6cad95, "");
SYMBOL_CRC(hdac_bus_eml_sdw_map_stream_ch, 0x2dcf2c6a, "");
SYMBOL_CRC(hda_bus_ml_put_all, 0x13e6f65e, "");
SYMBOL_CRC(hda_bus_ml_reset_losidv, 0x7c4fde53, "");
SYMBOL_CRC(hda_bus_ml_resume, 0xd24d50ca, "");
SYMBOL_CRC(hda_bus_ml_suspend, 0xe2f9c9bf, "");
SYMBOL_CRC(hdac_bus_eml_get_mutex, 0x56dd0b08, "");
SYMBOL_CRC(hdac_bus_eml_ssp_get_hlink, 0xe530a8ac, "");
SYMBOL_CRC(hdac_bus_eml_dmic_get_hlink, 0xc624ca03, "");
SYMBOL_CRC(hdac_bus_eml_sdw_get_hlink, 0x560c36de, "");
SYMBOL_CRC(hdac_bus_eml_enable_offload, 0x87c42fa7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc91a282, "snd_hdac_ext_bus_link_power_up" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5da8aca0, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5553132f, "snd_hdac_ext_bus_link_power_down" },
	{ 0xb853f55d, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xde3bb83d, "snd_hdac_ext_bus_link_put" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-ext-core");


MODULE_INFO(srcversion, "CCD9D213FCABB93A5DA79AE");
