#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sof_debug_check_flag, "", "");
KSYMTAB_FUNC(sof_print_oops_and_stack, "", "");
KSYMTAB_FUNC(sof_set_fw_state, "", "");
KSYMTAB_FUNC(snd_sof_device_probe, "", "");
KSYMTAB_FUNC(snd_sof_device_probe_completed, "", "");
KSYMTAB_FUNC(snd_sof_device_remove, "", "");
KSYMTAB_FUNC(snd_sof_device_shutdown, "", "");
KSYMTAB_FUNC(snd_sof_pci_update_bits, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits_unlocked, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits64_unlocked, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits64, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits_forced, "", "");
KSYMTAB_FUNC(snd_sof_dsp_panic, "", "");
KSYMTAB_FUNC(snd_sof_load_firmware_raw, "", "");
KSYMTAB_FUNC(snd_sof_load_firmware_memcpy, "", "");
KSYMTAB_FUNC(snd_sof_run_firmware, "", "");
KSYMTAB_FUNC(snd_sof_fw_unload, "", "");
KSYMTAB_FUNC(sof_ipc_tx_message, "", "");
KSYMTAB_FUNC(sof_ipc_set_get_data, "", "");
KSYMTAB_FUNC(sof_ipc_tx_message_no_pm, "", "");
KSYMTAB_FUNC(snd_sof_ipc_get_reply, "", "");
KSYMTAB_FUNC(snd_sof_ipc_reply, "", "");
KSYMTAB_FUNC(snd_sof_ipc_init, "", "");
KSYMTAB_FUNC(snd_sof_ipc_free, "", "");
KSYMTAB_FUNC(snd_sof_pcm_period_elapsed, "", "");
KSYMTAB_FUNC(sof_pcm_dai_link_fixup, "", "");
KSYMTAB_FUNC(snd_sof_runtime_suspend, "", "");
KSYMTAB_FUNC(snd_sof_runtime_idle, "", "");
KSYMTAB_FUNC(snd_sof_runtime_resume, "", "");
KSYMTAB_FUNC(snd_sof_resume, "", "");
KSYMTAB_FUNC(snd_sof_suspend, "", "");
KSYMTAB_FUNC(snd_sof_prepare, "", "");
KSYMTAB_FUNC(snd_sof_complete, "", "");
KSYMTAB_FUNC(snd_sof_debugfs_add_region_item_iomem, "_gpl", "");
KSYMTAB_FUNC(snd_sof_debugfs_buf_item, "_gpl", "");
KSYMTAB_FUNC(snd_sof_dbg_memory_info_init, "_gpl", "");
KSYMTAB_FUNC(snd_sof_dbg_init, "_gpl", "");
KSYMTAB_FUNC(snd_sof_free_debug, "_gpl", "");
KSYMTAB_FUNC(snd_sof_dsp_dbg_dump, "", "");
KSYMTAB_FUNC(snd_sof_handle_fw_exception, "", "");
KSYMTAB_FUNC(snd_sof_load_topology, "", "");
KSYMTAB_FUNC(sof_io_write, "", "");
KSYMTAB_FUNC(sof_io_read, "", "");
KSYMTAB_FUNC(sof_io_write64, "", "");
KSYMTAB_FUNC(sof_io_read64, "", "");
KSYMTAB_FUNC(sof_mailbox_write, "", "");
KSYMTAB_FUNC(sof_mailbox_read, "", "");
KSYMTAB_FUNC(sof_block_write, "", "");
KSYMTAB_FUNC(sof_block_read, "", "");
KSYMTAB_FUNC(sof_widget_free, "", "");
KSYMTAB_FUNC(sof_widget_setup, "", "");
KSYMTAB_FUNC(snd_sof_dsp_only_d0i3_compatible_stream_active, "", "");
KSYMTAB_FUNC(sof_dai_get_mclk, "", "");
KSYMTAB_FUNC(sof_dai_get_bclk, "", "");
KSYMTAB_FUNC(sof_machine_check, "", "");
KSYMTAB_FUNC(sof_machine_register, "", "");
KSYMTAB_FUNC(sof_machine_unregister, "", "");
KSYMTAB_FUNC(sof_ipc_msg_data, "", "");
KSYMTAB_FUNC(sof_set_stream_data_offset, "", "");
KSYMTAB_FUNC(sof_stream_pcm_open, "", "");
KSYMTAB_FUNC(sof_stream_pcm_close, "", "");
KSYMTAB_FUNC(sof_ipc3_do_rx_work, "", "");
KSYMTAB_FUNC(sof_ipc4_set_pipeline_state, "", "");
KSYMTAB_FUNC(sof_client_dev_register, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_dev_unregister, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_ipc_tx_message, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_ipc_rx_message, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_ipc_set_get_data, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_ipc4_find_module, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_suspend_clients, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_resume_clients, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_debugfs_root, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_dma_dev, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_fw_version, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_ipc_max_payload_size, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_ipc_type, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_core_module_get, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_core_module_put, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_register_ipc_rx_handler, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_unregister_ipc_rx_handler, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_register_fw_state_handler, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_unregister_fw_state_handler, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_fw_state, "_gpl", "SND_SOC_SOF_CLIENT");

SYMBOL_CRC(sof_debug_check_flag, 0x368c6727, "");
SYMBOL_CRC(sof_print_oops_and_stack, 0x76cc8463, "");
SYMBOL_CRC(sof_set_fw_state, 0xe2975114, "");
SYMBOL_CRC(snd_sof_device_probe, 0x15dae853, "");
SYMBOL_CRC(snd_sof_device_probe_completed, 0x92596e0c, "");
SYMBOL_CRC(snd_sof_device_remove, 0x51983c4c, "");
SYMBOL_CRC(snd_sof_device_shutdown, 0x66ec8fbf, "");
SYMBOL_CRC(snd_sof_pci_update_bits, 0x3d365f62, "");
SYMBOL_CRC(snd_sof_dsp_update_bits_unlocked, 0xfddc18cd, "");
SYMBOL_CRC(snd_sof_dsp_update_bits64_unlocked, 0x8c116b0c, "");
SYMBOL_CRC(snd_sof_dsp_update_bits, 0x4f6f6092, "");
SYMBOL_CRC(snd_sof_dsp_update_bits64, 0xb4ec4a7e, "");
SYMBOL_CRC(snd_sof_dsp_update_bits_forced, 0x474bc20e, "");
SYMBOL_CRC(snd_sof_dsp_panic, 0x352041e1, "");
SYMBOL_CRC(snd_sof_load_firmware_raw, 0x994039d7, "");
SYMBOL_CRC(snd_sof_load_firmware_memcpy, 0x4d8756ae, "");
SYMBOL_CRC(snd_sof_run_firmware, 0xfb592e93, "");
SYMBOL_CRC(snd_sof_fw_unload, 0xaaa3271f, "");
SYMBOL_CRC(sof_ipc_tx_message, 0x2918d88d, "");
SYMBOL_CRC(sof_ipc_set_get_data, 0x3b1b3c46, "");
SYMBOL_CRC(sof_ipc_tx_message_no_pm, 0x1942a856, "");
SYMBOL_CRC(snd_sof_ipc_get_reply, 0x41071e36, "");
SYMBOL_CRC(snd_sof_ipc_reply, 0xf738dd3e, "");
SYMBOL_CRC(snd_sof_ipc_init, 0x2d0c9258, "");
SYMBOL_CRC(snd_sof_ipc_free, 0x2d3369af, "");
SYMBOL_CRC(snd_sof_pcm_period_elapsed, 0xc472e396, "");
SYMBOL_CRC(sof_pcm_dai_link_fixup, 0xe1c451c9, "");
SYMBOL_CRC(snd_sof_runtime_suspend, 0x35cdd9e5, "");
SYMBOL_CRC(snd_sof_runtime_idle, 0x480e619c, "");
SYMBOL_CRC(snd_sof_runtime_resume, 0x0219575d, "");
SYMBOL_CRC(snd_sof_resume, 0xffa0fc7c, "");
SYMBOL_CRC(snd_sof_suspend, 0x79597010, "");
SYMBOL_CRC(snd_sof_prepare, 0x8f8ff958, "");
SYMBOL_CRC(snd_sof_complete, 0x942b831f, "");
SYMBOL_CRC(snd_sof_debugfs_add_region_item_iomem, 0x7c20eb9f, "_gpl");
SYMBOL_CRC(snd_sof_debugfs_buf_item, 0x000aca74, "_gpl");
SYMBOL_CRC(snd_sof_dbg_memory_info_init, 0xd5e5436c, "_gpl");
SYMBOL_CRC(snd_sof_dbg_init, 0x9b57e061, "_gpl");
SYMBOL_CRC(snd_sof_free_debug, 0xd0f27d00, "_gpl");
SYMBOL_CRC(snd_sof_dsp_dbg_dump, 0x24dd3782, "");
SYMBOL_CRC(snd_sof_handle_fw_exception, 0x7e4ae8d4, "");
SYMBOL_CRC(snd_sof_load_topology, 0x79174786, "");
SYMBOL_CRC(sof_io_write, 0x788b02b6, "");
SYMBOL_CRC(sof_io_read, 0xe29a51bc, "");
SYMBOL_CRC(sof_io_write64, 0x0062a283, "");
SYMBOL_CRC(sof_io_read64, 0x87a8bf80, "");
SYMBOL_CRC(sof_mailbox_write, 0x161f6c34, "");
SYMBOL_CRC(sof_mailbox_read, 0x7d114f93, "");
SYMBOL_CRC(sof_block_write, 0xc165571b, "");
SYMBOL_CRC(sof_block_read, 0xaab90fcf, "");
SYMBOL_CRC(sof_widget_free, 0x528868fc, "");
SYMBOL_CRC(sof_widget_setup, 0x1cafd5fe, "");
SYMBOL_CRC(snd_sof_dsp_only_d0i3_compatible_stream_active, 0x34776e64, "");
SYMBOL_CRC(sof_dai_get_mclk, 0xa9c78f66, "");
SYMBOL_CRC(sof_dai_get_bclk, 0xeb4eeb64, "");
SYMBOL_CRC(sof_machine_check, 0x8f74c415, "");
SYMBOL_CRC(sof_machine_register, 0xdf04678e, "");
SYMBOL_CRC(sof_machine_unregister, 0xe1e2afce, "");
SYMBOL_CRC(sof_ipc_msg_data, 0xeaf66bec, "");
SYMBOL_CRC(sof_set_stream_data_offset, 0xd0a83064, "");
SYMBOL_CRC(sof_stream_pcm_open, 0x47968dae, "");
SYMBOL_CRC(sof_stream_pcm_close, 0x0d372344, "");
SYMBOL_CRC(sof_ipc3_do_rx_work, 0x921a7b42, "");
SYMBOL_CRC(sof_ipc4_set_pipeline_state, 0x9545397a, "");
SYMBOL_CRC(sof_client_dev_register, 0x34a92e44, "_gpl");
SYMBOL_CRC(sof_client_dev_unregister, 0xad89695b, "_gpl");
SYMBOL_CRC(sof_client_ipc_tx_message, 0x09353e15, "_gpl");
SYMBOL_CRC(sof_client_ipc_rx_message, 0x12cdc7bb, "_gpl");
SYMBOL_CRC(sof_client_ipc_set_get_data, 0xefe19db3, "_gpl");
SYMBOL_CRC(sof_client_ipc4_find_module, 0xcaf3cdb2, "_gpl");
SYMBOL_CRC(sof_suspend_clients, 0x5ee68b01, "_gpl");
SYMBOL_CRC(sof_resume_clients, 0xcd8e1fb6, "_gpl");
SYMBOL_CRC(sof_client_get_debugfs_root, 0xf0d81ef6, "_gpl");
SYMBOL_CRC(sof_client_get_dma_dev, 0xec33f8a1, "_gpl");
SYMBOL_CRC(sof_client_get_fw_version, 0xa6265f93, "_gpl");
SYMBOL_CRC(sof_client_get_ipc_max_payload_size, 0x7864f9df, "_gpl");
SYMBOL_CRC(sof_client_get_ipc_type, 0x2a60ff14, "_gpl");
SYMBOL_CRC(sof_client_core_module_get, 0x35e7fefa, "_gpl");
SYMBOL_CRC(sof_client_core_module_put, 0x99df68dc, "_gpl");
SYMBOL_CRC(sof_client_register_ipc_rx_handler, 0xe3b4b2ba, "_gpl");
SYMBOL_CRC(sof_client_unregister_ipc_rx_handler, 0xc6435a96, "_gpl");
SYMBOL_CRC(sof_client_register_fw_state_handler, 0x2fb2a9b8, "_gpl");
SYMBOL_CRC(sof_client_unregister_fw_state_handler, 0x5b0ed581, "_gpl");
SYMBOL_CRC(sof_client_get_fw_state, 0x2c580f87, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37110088, "remove_wait_queue" },
	{ 0xc25dbfae, "snd_pcm_period_elapsed" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x23b0d948, "__pm_runtime_suspend" },
	{ 0x787eb95a, "snd_pcm_hw_constraint_step" },
	{ 0x2bc4a42e, "snd_soc_tplg_widget_bind_event" },
	{ 0x754d539c, "strlen" },
	{ 0x7cf19c, "param_ops_int" },
	{ 0xc906d8e1, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xf29606ab, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd2256dd7, "pci_write_config_dword" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xfaf598c6, "snd_ctl_request_layer" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xd3a0c263, "dpcm_end_walk_at_be" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x189d947c, "snd_soc_dapm_dai_free_widgets" },
	{ 0x6f8442c4, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x510ea82c, "snd_dma_alloc_dir_pages" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xfc6ec21f, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb96971e9, "auxiliary_device_init" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x2eea6659, "snd_soc_dapm_dai_get_connected_widgets" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa4cbedd, "trace_raw_output_prep" },
	{ 0xe8e0ed1e, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xe8038cb6, "request_firmware" },
	{ 0x65a259b6, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x339a3be1, "pm_runtime_get_if_active" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x5b50ae95, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0xe8690ce1, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf66ca2a4, "snd_sof_create_page_table" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5da8aca0, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xe56e074d, "debugfs_file_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7816f98d, "trace_event_buffer_commit" },
	{ 0x8df9dd10, "guid_null" },
	{ 0xd9db14f0, "pci_read_config_dword" },
	{ 0xec788566, "acpi_target_system_state" },
	{ 0x8280d732, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4e9db89e, "devm_snd_soc_register_component" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xef39ce92, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x591b192f, "_dev_info" },
	{ 0xbab0f865, "debugfs_file_put" },
	{ 0x8e90385d, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x71af4718, "intel_nhlt_get_endpoint_blob" },
	{ 0x1019e2b1, "snd_soc_rtdcom_lookup" },
	{ 0x9cf37c44, "__iowrite32_copy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2e82590e, "devm_kmemdup" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x6435d0f9, "perf_trace_run_bpf_submit" },
	{ 0x1ff88043, "devm_kfree" },
	{ 0xb853f55d, "_dev_err" },
	{ 0x7d7cf115, "simple_open" },
	{ 0x1a94279d, "platform_device_unregister" },
	{ 0x2bd6f85c, "__auxiliary_device_add" },
	{ 0x87114972, "widget_in_list" },
	{ 0x409b1dff, "bpf_trace_run5" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6ca64ef8, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x5122d8a0, "trace_event_reg" },
	{ 0xffb7c514, "ida_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xf1d530d8, "snd_soc_tplg_component_load" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc0ed8524, "snd_pcm_set_managed_buffer" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8d10a62, "bpf_trace_run1" },
	{ 0x2f38ab01, "device_del" },
	{ 0xc66b0eb0, "default_llseek" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfe04b3ce, "debugfs_create_u32" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe6ff8653, "snd_soc_tplg_component_remove" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa7f81103, "snd_ctl_notify_one" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x18af0d7f, "devm_kasprintf" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xf7235d95, "snd_pcm_hw_constraint_integer" },
	{ 0xe0942c61, "bpf_trace_run3" },
	{ 0x6e7f1d4a, "debugfs_create_file" },
	{ 0xd4028a51, "platform_device_register_full" },
	{ 0x55254fa2, "trace_event_buffer_reserve" },
	{ 0xa0c04ee5, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x93067637, "param_ops_bool" },
	{ 0x47a5ac1b, "snd_dma_buffer_sync" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd-soc-core,snd,snd-sof-utils,snd-intel-dspcfg");


MODULE_INFO(srcversion, "01B3813D448A2C6AD464661");
