#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcd797f6, "usb_urb_ep_type_check" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x96cd0ac1, "snd_card_set_id" },
	{ 0xb853f55d, "_dev_err" },
	{ 0x32cf5cb1, "usb_set_interface" },
	{ 0x4ca229f, "snd_pcm_set_ops" },
	{ 0x3ff6391e, "usb_deregister" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5d1c22ec, "usb_string" },
	{ 0x11974cef, "snd_pcm_set_managed_buffer_all" },
	{ 0x8dfb5e0d, "_dev_warn" },
	{ 0x64e2c794, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x9a462e7e, "input_event" },
	{ 0xd6d8dd42, "input_set_abs_params" },
	{ 0x3b9a5cc0, "snd_rawmidi_new" },
	{ 0x85dd6fe9, "snd_card_disconnect" },
	{ 0xdd64e639, "strscpy" },
	{ 0x5e684e16, "snd_rawmidi_set_ops" },
	{ 0x93067637, "param_ops_bool" },
	{ 0x3283fb69, "usb_kill_urb" },
	{ 0x8080bbc4, "usb_init_urb" },
	{ 0xc25dbfae, "snd_pcm_period_elapsed" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x7cf19c, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0xb28be58a, "input_allocate_device" },
	{ 0x241026cc, "usb_alloc_urb" },
	{ 0xdc92cafe, "snd_rawmidi_receive" },
	{ 0xf43fcd82, "usb_free_urb" },
	{ 0x69255f54, "snd_pcm_hw_limit_rates" },
	{ 0x6337d5a, "snd_rawmidi_transmit" },
	{ 0xe0310f27, "snd_ctl_add" },
	{ 0xc3a0a9b7, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd85cb23a, "snd_card_register" },
	{ 0x177e10e3, "snd_card_free" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x16657d3c, "usb_register_driver" },
	{ 0x96848186, "scnprintf" },
	{ 0x1911b4c5, "param_array_ops" },
	{ 0x75e84ec1, "input_unregister_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5da8aca0, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa8440fde, "input_free_device" },
	{ 0xa4d2e159, "snd_ctl_new1" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xacb54712, "usb_bulk_msg" },
	{ 0xf9bd5fd8, "input_register_device" },
	{ 0x5a0f4975, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x22e74c30, "usb_submit_urb" },
	{ 0xca31ebd, "snd_card_new" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-pcm,snd-rawmidi");

MODULE_ALIAS("usb:v17CCp1969d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4712d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0815d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1978d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1915d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0D8Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0839d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp2305d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCpBAFFd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0808d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "1C35174CEC459936687656F");
