#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(line6_midi_id, "_gpl", "");
KSYMTAB_FUNC(line6_send_raw_message, "_gpl", "");
KSYMTAB_FUNC(line6_send_raw_message_async, "_gpl", "");
KSYMTAB_FUNC(line6_version_request_async, "_gpl", "");
KSYMTAB_FUNC(line6_send_sysex_message, "_gpl", "");
KSYMTAB_FUNC(line6_alloc_sysex_buffer, "_gpl", "");
KSYMTAB_FUNC(line6_read_data, "_gpl", "");
KSYMTAB_FUNC(line6_write_data, "_gpl", "");
KSYMTAB_FUNC(line6_read_serial_number, "_gpl", "");
KSYMTAB_FUNC(line6_probe, "_gpl", "");
KSYMTAB_FUNC(line6_disconnect, "_gpl", "");
KSYMTAB_FUNC(line6_suspend, "_gpl", "");
KSYMTAB_FUNC(line6_resume, "_gpl", "");
KSYMTAB_FUNC(line6_init_midi, "_gpl", "");
KSYMTAB_FUNC(line6_pcm_acquire, "_gpl", "");
KSYMTAB_FUNC(line6_pcm_release, "_gpl", "");
KSYMTAB_FUNC(line6_init_pcm, "_gpl", "");

SYMBOL_CRC(line6_midi_id, 0x202a1b1b, "_gpl");
SYMBOL_CRC(line6_send_raw_message, 0x4615168f, "_gpl");
SYMBOL_CRC(line6_send_raw_message_async, 0x3775af4a, "_gpl");
SYMBOL_CRC(line6_version_request_async, 0xc39bc0f6, "_gpl");
SYMBOL_CRC(line6_send_sysex_message, 0xbe87ccc1, "_gpl");
SYMBOL_CRC(line6_alloc_sysex_buffer, 0x0686bbc7, "_gpl");
SYMBOL_CRC(line6_read_data, 0xb338e56c, "_gpl");
SYMBOL_CRC(line6_write_data, 0x88707d96, "_gpl");
SYMBOL_CRC(line6_read_serial_number, 0xef1d5957, "_gpl");
SYMBOL_CRC(line6_probe, 0x07835fd7, "_gpl");
SYMBOL_CRC(line6_disconnect, 0xfad4aa07, "_gpl");
SYMBOL_CRC(line6_suspend, 0xf5e58fe3, "_gpl");
SYMBOL_CRC(line6_resume, 0xf2d7d631, "_gpl");
SYMBOL_CRC(line6_init_midi, 0x02439a7e, "_gpl");
SYMBOL_CRC(line6_pcm_acquire, 0x7b250f86, "_gpl");
SYMBOL_CRC(line6_pcm_release, 0xc8c56551, "_gpl");
SYMBOL_CRC(line6_init_pcm, 0x5ecc3f76, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb853f55d, "_dev_err" },
	{ 0xbece9f2c, "snd_hwdep_new" },
	{ 0x3be451a1, "snd_rawmidi_transmit_peek" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x59c96ecb, "snd_card_free_when_closed" },
	{ 0x32cf5cb1, "usb_set_interface" },
	{ 0x4ca229f, "snd_pcm_set_ops" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11974cef, "snd_pcm_set_managed_buffer_all" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc6cb465a, "__kfifo_max_r" },
	{ 0x3b9a5cc0, "snd_rawmidi_new" },
	{ 0x85dd6fe9, "snd_card_disconnect" },
	{ 0x4aae71f3, "usb_unlink_urb" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5e684e16, "snd_rawmidi_set_ops" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2484adc3, "__kfifo_to_user_r" },
	{ 0x3283fb69, "usb_kill_urb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc25dbfae, "snd_pcm_period_elapsed" },
	{ 0x750b19ae, "kmalloc_trace" },
	{ 0x7846af3e, "__kfifo_len_r" },
	{ 0x754d539c, "strlen" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8b3ad9b1, "kmalloc_caches" },
	{ 0x241026cc, "usb_alloc_urb" },
	{ 0xdc92cafe, "snd_rawmidi_receive" },
	{ 0xf43fcd82, "usb_free_urb" },
	{ 0x93539b94, "usb_control_msg_send" },
	{ 0xe0310f27, "snd_ctl_add" },
	{ 0xc3a0a9b7, "snd_pcm_new" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x86df5c6, "usb_control_msg_recv" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x9008cfd9, "pcpu_hot" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5da8aca0, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8c05935, "usb_interrupt_msg" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3955fcf6, "__kfifo_in_r" },
	{ 0xa4d2e159, "snd_ctl_new1" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xeb7b00a4, "usb_put_dev" },
	{ 0xacb54712, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x84ddb4e9, "snd_rawmidi_transmit_ack" },
	{ 0x16a43507, "usb_get_dev" },
	{ 0x22e74c30, "usb_submit_urb" },
	{ 0x591b192f, "_dev_info" },
	{ 0x2521be4a, "snd_pcm_hw_constraint_ratdens" },
	{ 0xca31ebd, "snd_card_new" },
	{ 0xcd797f6, "usb_urb_ep_type_check" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa30f53be, "module_layout" },
};

MODULE_INFO(depends, "snd-hwdep,snd-rawmidi,snd,snd-pcm");


MODULE_INFO(srcversion, "34ECE1C49CB8A1A32C1D6A6");
